#include <phonon_includes.h>

#include <smoke.h>
#include <phonon_smoke.h>

namespace __smokephonon {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 2:   //Phonon::AbstractAudioOutput
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::AbstractAudioOutput*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AbstractAudioOutput*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::AbstractAudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::AbstractAudioOutput*)xptr;
        default: return xptr;
      }
    case 3:   //Phonon::AbstractAudioOutputPrivate
      switch(to) {
        case 3: return (void*)(Phonon::AbstractAudioOutputPrivate*)xptr;
        default: return xptr;
      }
    case 4:   //Phonon::AbstractMediaStream
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::AbstractMediaStream*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)xptr;
        default: return xptr;
      }
    case 5:   //Phonon::AbstractMediaStreamPrivate
      switch(to) {
        case 5: return (void*)(Phonon::AbstractMediaStreamPrivate*)xptr;
        default: return xptr;
      }
    case 6:   //Phonon::AbstractVideoOutput
      switch(to) {
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AbstractVideoOutput*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(Phonon::AbstractVideoOutput*)xptr;
        default: return xptr;
      }
    case 7:   //Phonon::AbstractVideoOutputPrivate
      switch(to) {
        case 7: return (void*)(Phonon::AbstractVideoOutputPrivate*)xptr;
        default: return xptr;
      }
    case 8:   //Phonon::AudioDataOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioDataOutput*)xptr;
        case 59: return (void*)(QObject*)(Phonon::AudioDataOutput*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AudioDataOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)xptr;
        default: return xptr;
      }
    case 9:   //Phonon::AudioOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioOutput*)xptr;
        case 59: return (void*)(QObject*)(Phonon::AudioOutput*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 10:   //Phonon::BackendCapabilities::Notifier
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::BackendCapabilities::Notifier*)xptr;
        case 10: return (void*)(Phonon::BackendCapabilities::Notifier*)xptr;
        default: return xptr;
      }
    case 12:   //Phonon::Effect
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::Effect*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::Effect*)xptr;
        case 12: return (void*)(Phonon::Effect*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::Effect*)xptr;
        default: return xptr;
      }
    case 13:   //Phonon::EffectParameter
      switch(to) {
        case 13: return (void*)(Phonon::EffectParameter*)xptr;
        default: return xptr;
      }
    case 14:   //Phonon::EffectPrivate
      switch(to) {
        case 14: return (void*)(Phonon::EffectPrivate*)xptr;
        default: return xptr;
      }
    case 15:   //Phonon::EffectWidget
      switch(to) {
        case 74: return (void*)(QWidget*)(Phonon::EffectWidget*)xptr;
        case 59: return (void*)(QObject*)(Phonon::EffectWidget*)xptr;
        case 15: return (void*)(Phonon::EffectWidget*)xptr;
        default: return xptr;
      }
    case 16:   //Phonon::MediaController
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::MediaController*)xptr;
        case 16: return (void*)(Phonon::MediaController*)xptr;
        default: return xptr;
      }
    case 17:   //Phonon::MediaNode
      switch(to) {
        case 17: return (void*)(Phonon::MediaNode*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::MediaNode*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::MediaNode*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::MediaNode*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::MediaNode*)xptr;
        case 12: return (void*)(Phonon::Effect*)(Phonon::MediaNode*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::MediaNode*)xptr;
        case 19: return (void*)(Phonon::MediaObject*)(Phonon::MediaNode*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(Phonon::MediaNode*)xptr;
        default: return xptr;
      }
    case 18:   //Phonon::MediaNodePrivate
      switch(to) {
        case 18: return (void*)(Phonon::MediaNodePrivate*)xptr;
        default: return xptr;
      }
    case 19:   //Phonon::MediaObject
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::MediaObject*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::MediaObject*)xptr;
        case 19: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 20:   //Phonon::MediaSource
      switch(to) {
        case 20: return (void*)(Phonon::MediaSource*)xptr;
        default: return xptr;
      }
    case 21:   //Phonon::MediaSourcePrivate
      switch(to) {
        case 21: return (void*)(Phonon::MediaSourcePrivate*)xptr;
        default: return xptr;
      }
    case 22:   //Phonon::Mrl
      switch(to) {
        case 71: return (void*)(QUrl*)(Phonon::Mrl*)xptr;
        case 22: return (void*)(Phonon::Mrl*)xptr;
        default: return xptr;
      }
    case 23:   //Phonon::ObjectDescriptionData
      switch(to) {
        case 65: return (void*)(QSharedData*)(Phonon::ObjectDescriptionData*)xptr;
        case 23: return (void*)(Phonon::ObjectDescriptionData*)xptr;
        default: return xptr;
      }
    case 24:   //Phonon::ObjectDescriptionModelData
      switch(to) {
        case 24: return (void*)(Phonon::ObjectDescriptionModelData*)xptr;
        default: return xptr;
      }
    case 25:   //Phonon::ObjectDescriptionPrivate
      switch(to) {
        case 25: return (void*)(Phonon::ObjectDescriptionPrivate*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::Path
      switch(to) {
        case 26: return (void*)(Phonon::Path*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::SeekSlider
      switch(to) {
        case 74: return (void*)(QWidget*)(Phonon::SeekSlider*)xptr;
        case 59: return (void*)(QObject*)(Phonon::SeekSlider*)xptr;
        case 27: return (void*)(Phonon::SeekSlider*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::StreamInterface
      switch(to) {
        case 28: return (void*)(Phonon::StreamInterface*)xptr;
        default: return xptr;
      }
    case 29:   //Phonon::VideoPlayer
      switch(to) {
        case 74: return (void*)(QWidget*)(Phonon::VideoPlayer*)xptr;
        case 59: return (void*)(QObject*)(Phonon::VideoPlayer*)xptr;
        case 29: return (void*)(Phonon::VideoPlayer*)xptr;
        default: return xptr;
      }
    case 30:   //Phonon::VideoWidget
      switch(to) {
        case 74: return (void*)(QWidget*)(Phonon::VideoWidget*)xptr;
        case 59: return (void*)(QObject*)(Phonon::VideoWidget*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::VideoWidget*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::VideoWidget*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 31:   //Phonon::VideoWidgetPrivate
      switch(to) {
        case 31: return (void*)(Phonon::VideoWidgetPrivate*)xptr;
        default: return xptr;
      }
    case 32:   //Phonon::VolumeFaderEffect
      switch(to) {
        case 12: return (void*)(Phonon::Effect*)(Phonon::VolumeFaderEffect*)xptr;
        case 59: return (void*)(QObject*)(Phonon::VolumeFaderEffect*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::VolumeFaderEffect*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)xptr;
        default: return xptr;
      }
    case 33:   //Phonon::VolumeSlider
      switch(to) {
        case 74: return (void*)(QWidget*)(Phonon::VolumeSlider*)xptr;
        case 59: return (void*)(QObject*)(Phonon::VolumeSlider*)xptr;
        case 33: return (void*)(Phonon::VolumeSlider*)xptr;
        default: return xptr;
      }
    case 34:   //QAbstractListModel
      switch(to) {
        case 59: return (void*)(QObject*)(QAbstractListModel*)xptr;
        case 34: return (void*)(QAbstractListModel*)xptr;
        default: return xptr;
      }
    case 35:   //QActionEvent
      switch(to) {
        case 35: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QBool
      switch(to) {
        case 36: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 37:   //QByteArray
      switch(to) {
        case 37: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 38:   //QChildEvent
      switch(to) {
        case 38: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QCloseEvent
      switch(to) {
        case 39: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QContextMenuEvent
      switch(to) {
        case 40: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragEnterEvent
      switch(to) {
        case 41: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDragLeaveEvent
      switch(to) {
        case 42: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QDragMoveEvent
      switch(to) {
        case 43: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QDropEvent
      switch(to) {
        case 44: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QEvent
      switch(to) {
        case 45: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QFocusEvent
      switch(to) {
        case 46: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QFont
      switch(to) {
        case 47: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 49:   //QHideEvent
      switch(to) {
        case 49: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QIODevice
      switch(to) {
        case 59: return (void*)(QObject*)(QIODevice*)xptr;
        case 50: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 51:   //QImage
      switch(to) {
        case 51: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 52:   //QInputMethodEvent
      switch(to) {
        case 52: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QKeyEvent
      switch(to) {
        case 53: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QMetaObject
      switch(to) {
        case 54: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 55:   //QMimeData
      switch(to) {
        case 55: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 56:   //QModelIndex
      switch(to) {
        case 56: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 57:   //QMouseEvent
      switch(to) {
        case 57: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QMoveEvent
      switch(to) {
        case 58: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QObject
      switch(to) {
        case 59: return (void*)(QObject*)xptr;
        case 27: return (void*)(Phonon::SeekSlider*)(QObject*)xptr;
        case 29: return (void*)(Phonon::VideoPlayer*)(QObject*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(QObject*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(QObject*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(QObject*)xptr;
        case 12: return (void*)(Phonon::Effect*)(QObject*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)(QObject*)xptr;
        case 33: return (void*)(Phonon::VolumeSlider*)(QObject*)xptr;
        case 15: return (void*)(Phonon::EffectWidget*)(QObject*)xptr;
        case 19: return (void*)(Phonon::MediaObject*)(QObject*)xptr;
        case 16: return (void*)(Phonon::MediaController*)(QObject*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(QObject*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)(QObject*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEngine
      switch(to) {
        case 60: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintEvent
      switch(to) {
        case 61: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QPalette
      switch(to) {
        case 62: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 63:   //QRegExp
      switch(to) {
        case 63: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 64:   //QResizeEvent
      switch(to) {
        case 64: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QSharedData
      switch(to) {
        case 65: return (void*)(QSharedData*)xptr;
        case 23: return (void*)(Phonon::ObjectDescriptionData*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 66:   //QShowEvent
      switch(to) {
        case 66: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QSize
      switch(to) {
        case 67: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 68:   //QStyle
      switch(to) {
        case 68: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 69:   //QTabletEvent
      switch(to) {
        case 69: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QTimerEvent
      switch(to) {
        case 70: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QUrl
      switch(to) {
        case 71: return (void*)(QUrl*)xptr;
        case 22: return (void*)(Phonon::Mrl*)(QUrl*)xptr;
        default: return xptr;
      }
    case 72:   //QVariant
      switch(to) {
        case 72: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 73:   //QWheelEvent
      switch(to) {
        case 73: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QWidget
      switch(to) {
        case 59: return (void*)(QObject*)(QWidget*)xptr;
        case 74: return (void*)(QWidget*)xptr;
        case 27: return (void*)(Phonon::SeekSlider*)(QWidget*)xptr;
        case 29: return (void*)(Phonon::VideoPlayer*)(QWidget*)xptr;
        case 33: return (void*)(Phonon::VolumeSlider*)(QWidget*)xptr;
        case 15: return (void*)(Phonon::EffectWidget*)(QWidget*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    59, 17, 0,	// 1: QObject, Phonon::MediaNode
    59, 0,	// 4: QObject
    17, 0,	// 6: Phonon::MediaNode
    2, 0,	// 8: Phonon::AbstractAudioOutput
    74, 0,	// 10: QWidget
    71, 0,	// 12: QUrl
    65, 0,	// 14: QSharedData
    74, 6, 0,	// 16: QWidget, Phonon::AbstractVideoOutput
    12, 0,	// 19: Phonon::Effect
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__EffectParameter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VolumeFaderEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__Capture(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaController(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaSource(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__AudioDataOutput(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Phonon(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractAudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractMediaStream(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractVideoOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioDataOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Capture(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Effect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectParameter(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaController(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaNode(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaObject(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaSource(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Mrl(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionModelData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Path(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__SeekSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__StreamInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeFaderEffect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Phonon", false, 0, xcall_Phonon, xenum_Phonon, Smoke::cf_namespace, 0 },	//1
    { "Phonon::AbstractAudioOutput", false, 1, xcall_Phonon__AbstractAudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractAudioOutput) },	//2
    { "Phonon::AbstractAudioOutputPrivate", true, 0, 0, 0, 0, 0 },	//3
    { "Phonon::AbstractMediaStream", false, 4, xcall_Phonon__AbstractMediaStream, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractMediaStream) },	//4
    { "Phonon::AbstractMediaStreamPrivate", true, 0, 0, 0, 0, 0 },	//5
    { "Phonon::AbstractVideoOutput", false, 6, xcall_Phonon__AbstractVideoOutput, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::AbstractVideoOutput) },	//6
    { "Phonon::AbstractVideoOutputPrivate", true, 0, 0, 0, 0, 0 },	//7
    { "Phonon::AudioDataOutput", false, 8, xcall_Phonon__AudioDataOutput, xenum_Phonon__AudioDataOutput, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioDataOutput) },	//8
    { "Phonon::AudioOutput", false, 8, xcall_Phonon__AudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioOutput) },	//9
    { "Phonon::BackendCapabilities::Notifier", true, 0, 0, 0, 0, 0 },	//10
    { "Phonon::Capture", false, 0, xcall_Phonon__Capture, xenum_Phonon__Capture, Smoke::cf_namespace, 0 },	//11
    { "Phonon::Effect", false, 1, xcall_Phonon__Effect, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::Effect) },	//12
    { "Phonon::EffectParameter", false, 0, xcall_Phonon__EffectParameter, xenum_Phonon__EffectParameter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::EffectParameter) },	//13
    { "Phonon::EffectPrivate", true, 0, 0, 0, 0, 0 },	//14
    { "Phonon::EffectWidget", false, 10, xcall_Phonon__EffectWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::EffectWidget) },	//15
    { "Phonon::MediaController", false, 4, xcall_Phonon__MediaController, xenum_Phonon__MediaController, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaController) },	//16
    { "Phonon::MediaNode", false, 0, xcall_Phonon__MediaNode, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::MediaNode) },	//17
    { "Phonon::MediaNodePrivate", true, 0, 0, 0, 0, 0 },	//18
    { "Phonon::MediaObject", false, 1, xcall_Phonon__MediaObject, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaObject) },	//19
    { "Phonon::MediaSource", false, 0, xcall_Phonon__MediaSource, xenum_Phonon__MediaSource, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::MediaSource) },	//20
    { "Phonon::MediaSourcePrivate", true, 0, 0, 0, 0, 0 },	//21
    { "Phonon::Mrl", false, 12, xcall_Phonon__Mrl, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::Mrl) },	//22
    { "Phonon::ObjectDescriptionData", false, 14, xcall_Phonon__ObjectDescriptionData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionData) },	//23
    { "Phonon::ObjectDescriptionModelData", false, 0, xcall_Phonon__ObjectDescriptionModelData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionModelData) },	//24
    { "Phonon::ObjectDescriptionPrivate", true, 0, 0, 0, 0, 0 },	//25
    { "Phonon::Path", false, 0, xcall_Phonon__Path, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::Path) },	//26
    { "Phonon::SeekSlider", false, 10, xcall_Phonon__SeekSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::SeekSlider) },	//27
    { "Phonon::StreamInterface", false, 0, xcall_Phonon__StreamInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::StreamInterface) },	//28
    { "Phonon::VideoPlayer", false, 10, xcall_Phonon__VideoPlayer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoPlayer) },	//29
    { "Phonon::VideoWidget", false, 16, xcall_Phonon__VideoWidget, xenum_Phonon__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoWidget) },	//30
    { "Phonon::VideoWidgetPrivate", true, 0, 0, 0, 0, 0 },	//31
    { "Phonon::VolumeFaderEffect", false, 19, xcall_Phonon__VolumeFaderEffect, xenum_Phonon__VolumeFaderEffect, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeFaderEffect) },	//32
    { "Phonon::VolumeSlider", false, 10, xcall_Phonon__VolumeSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeSlider) },	//33
    { "QAbstractListModel", true, 0, 0, 0, 0, 0 },	//34
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QBool", true, 0, 0, 0, 0, 0 },	//36
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//37
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QFont", true, 0, 0, 0, 0, 0 },	//47
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//48
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//50
    { "QImage", true, 0, 0, 0, 0, 0 },	//51
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//54
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//55
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//56
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QObject", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QPalette", true, 0, 0, 0, 0, 0 },	//62
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//63
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//65
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QSize", true, 0, 0, 0, 0, 0 },	//67
    { "QStyle", true, 0, 0, 0, 0, 0 },	//68
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QUrl", true, 0, 0, 0, 0, 0 },	//71
    { "QVariant", true, 0, 0, 0, 0, 0 },	//72
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QWidget", true, 0, 0, 0, 0, 0 },	//74
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Phonon::AbstractAudioOutput*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Phonon::AbstractAudioOutputPrivate&", 3, Smoke::t_class|Smoke::tf_ref },	//2
    { "Phonon::AbstractMediaStream*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Phonon::AbstractMediaStreamPrivate&", 5, Smoke::t_class|Smoke::tf_ref },	//4
    { "Phonon::AbstractVideoOutput*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Phonon::AbstractVideoOutputPrivate&", 7, Smoke::t_class|Smoke::tf_ref },	//6
    { "Phonon::AudioCaptureDevice", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "Phonon::AudioCaptureDeviceType", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "Phonon::AudioChannelType", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "Phonon::AudioDataOutput*", 8, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Phonon::AudioDataOutput::Channel", 8, Smoke::t_enum|Smoke::tf_stack },	//11
    { "Phonon::AudioOutput*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Phonon::AudioOutputDevice", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "Phonon::AudioOutputDeviceType", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "Phonon::BackendCapabilities::Notifier*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Phonon::Capture::DeviceType", 11, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Phonon::CaptureCategory", 1, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Phonon::Category", 1, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Phonon::DiscType", 1, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Phonon::Effect*", 12, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Phonon::EffectDescription", 0, Smoke::t_voidp|Smoke::tf_stack },	//21
    { "Phonon::EffectParameter", 13, Smoke::t_class|Smoke::tf_stack },	//22
    { "Phonon::EffectParameter&", 13, Smoke::t_class|Smoke::tf_ref },	//23
    { "Phonon::EffectParameter*", 13, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Phonon::EffectParameter::Hint", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Phonon::EffectPrivate&", 14, Smoke::t_class|Smoke::tf_ref },	//26
    { "Phonon::EffectType", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "Phonon::EffectWidget*", 15, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Phonon::ErrorType", 1, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Phonon::MediaController*", 16, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Phonon::MediaController::Feature", 16, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Phonon::MediaController::NavigationMenu", 16, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Phonon::MediaNode*", 17, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Phonon::MediaNodePrivate&", 18, Smoke::t_class|Smoke::tf_ref },	//34
    { "Phonon::MediaObject*", 19, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Phonon::MediaSource", 20, Smoke::t_class|Smoke::tf_stack },	//36
    { "Phonon::MediaSource&", 20, Smoke::t_class|Smoke::tf_ref },	//37
    { "Phonon::MediaSource*", 20, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Phonon::MediaSource::Type", 20, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Phonon::MediaSourcePrivate&", 21, Smoke::t_class|Smoke::tf_ref },	//40
    { "Phonon::MetaData", 1, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Phonon::Mrl", 22, Smoke::t_class|Smoke::tf_stack },	//42
    { "Phonon::Mrl&", 22, Smoke::t_class|Smoke::tf_ref },	//43
    { "Phonon::Mrl*", 22, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "Phonon::ObjectDescription<Phonon::AudioChannelType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "Phonon::ObjectDescription<Phonon::EffectType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "Phonon::ObjectDescription<Phonon::SubtitleType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "Phonon::ObjectDescriptionData", 23, Smoke::t_class|Smoke::tf_stack },	//51
    { "Phonon::ObjectDescriptionData*", 23, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Phonon::ObjectDescriptionModelData*", 24, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Phonon::ObjectDescriptionPrivate*", 25, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Phonon::ObjectDescriptionType", 1, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Phonon::Path", 26, Smoke::t_class|Smoke::tf_stack },	//56
    { "Phonon::Path&", 26, Smoke::t_class|Smoke::tf_ref },	//57
    { "Phonon::Path*", 26, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Phonon::SeekSlider*", 27, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Phonon::State", 1, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Phonon::StreamInterface*", 28, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Phonon::SubtitleType", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "Phonon::VideoCaptureDevice", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "Phonon::VideoCaptureDeviceType", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "Phonon::VideoPlayer*", 29, Smoke::t_class|Smoke::tf_ptr },	//65
    { "Phonon::VideoWidget*", 30, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Phonon::VideoWidget::AspectRatio", 30, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Phonon::VideoWidget::ScaleMode", 30, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Phonon::VideoWidgetPrivate&", 31, Smoke::t_class|Smoke::tf_ref },	//69
    { "Phonon::VolumeFaderEffect*", 32, Smoke::t_class|Smoke::tf_ptr },	//70
    { "Phonon::VolumeFaderEffect::FadeCurve", 32, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Phonon::VolumeSlider*", 33, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QAbstractListModel*", 34, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QActionEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QBool", 36, Smoke::t_class|Smoke::tf_stack },	//75
    { "QByteArray", 37, Smoke::t_class|Smoke::tf_stack },	//76
    { "QChildEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QCloseEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QContextMenuEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QDragEnterEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QDragLeaveEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QDragMoveEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QDropEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QFlags<Phonon::EffectParameter::Hint>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Phonon::MediaController::Feature>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFocusEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QHideEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QIODevice*", 50, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QImage", 51, Smoke::t_class|Smoke::tf_stack },	//94
    { "QInputMethodEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QKeyEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QList<Phonon::AudioCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QList<Phonon::AudioOutputDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QList<Phonon::Effect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QList<Phonon::EffectDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<Phonon::EffectParameter>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QList<Phonon::MediaController::NavigationMenu>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<Phonon::MediaSource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<Phonon::ObjectDescription<Phonon::AudioChannelType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<Phonon::ObjectDescription<Phonon::SubtitleType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<Phonon::Path>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<Phonon::VideoCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QMetaObject::Call", 54, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QMimeData*", 55, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QModelIndex", 56, Smoke::t_class|Smoke::tf_stack },	//115
    { "QMouseEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QMoveEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QObject*", 59, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QPaintEngine*", 60, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QPaintEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QPair<QByteArray,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//123
    { "QRegExp&", 63, Smoke::t_class|Smoke::tf_ref },	//124
    { "QResizeEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QShowEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QSize", 67, Smoke::t_class|Smoke::tf_stack },	//127
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//128
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "QStyle&", 68, Smoke::t_class|Smoke::tf_ref },	//131
    { "QTabletEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QTimerEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QUrl", 71, Smoke::t_class|Smoke::tf_stack },	//134
    { "QUrl::FormattingOption", 71, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QVariant", 72, Smoke::t_class|Smoke::tf_stack },	//136
    { "QVariant::Type", 72, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QVector<qint16>", 0, Smoke::t_voidp|Smoke::tf_stack },	//138
    { "QWheelEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QWidget*", 74, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtMsgType", 48, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForActiveQtModule", 48, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForCoreModule", 48, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForDBusModule", 48, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForDeclarativeModule", 48, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForGuiModule", 48, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForHelpModule", 48, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForMultimediaModule", 48, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForNetworkModule", 48, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForOpenGLModule", 48, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForOpenVGModule", 48, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForQt3SupportLightModule", 48, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForQt3SupportModule", 48, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForScriptModule", 48, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForScriptToolsModule", 48, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForSqlModule", 48, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForSvgModule", 48, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForTestModule", 48, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForXmlModule", 48, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForXmlPatternsModule", 48, Smoke::t_enum|Smoke::tf_stack },	//232
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//233
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//234
    { "const Phonon::AbstractVideoOutput&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const Phonon::AudioOutputDevice&", 0, Smoke::t_voidp|Smoke::tf_stack },	//236
    { "const Phonon::EffectParameter&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const Phonon::MediaNode&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const Phonon::MediaSource&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const Phonon::Mrl&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const Phonon::ObjectDescription<Phonon::AudioChannelType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const Phonon::ObjectDescription<Phonon::EffectType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const Phonon::ObjectDescription<Phonon::SubtitleType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const Phonon::ObjectDescriptionData&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const Phonon::ObjectDescriptionModelData&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const Phonon::Path&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const Phonon::StreamInterface&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QByteArray&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QFont&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QHash<QByteArray,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QList<Phonon::MediaSource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QList<QPair<QByteArray,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QMetaObject&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QMetaObject*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "const QMimeData*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//262
    { "const QModelIndex&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QPair<QByteArray,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QPalette&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QRegExp&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QSize&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//269
    { "const QUrl&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QVariant&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//273
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//274
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//275
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//276
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//277
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//278
    { "qint16", 0, Smoke::t_short|Smoke::tf_stack },	//279
    { "qint32", 0, Smoke::t_int|Smoke::tf_stack },	//280
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//281
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//282
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//283
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//284
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//285
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//286
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    18, 0,	//1  Phonon::Category
    237, 0,	//3  const Phonon::EffectParameter&
    17, 0,	//5  Phonon::CaptureCategory
    33, 33, 0,	//7  Phonon::MediaNode*, Phonon::MediaNode*
    18, 239, 0,	//10  Phonon::Category, const Phonon::MediaSource&
    272, 0,	//13  const char*
    272, 272, 0,	//15  const char*, const char*
    272, 272, 276, 0,	//18  const char*, const char*, int
    113, 276, 285, 0,	//22  QMetaObject::Call, int, void**
    2, 119, 0,	//26  Phonon::AbstractAudioOutputPrivate&, QObject*
    119, 0,	//29  QObject*
    278, 0,	//31  long long
    234, 0,	//33  bool
    250, 0,	//35  const QByteArray&
    29, 268, 0,	//37  Phonon::ErrorType, const QString&
    4, 119, 0,	//40  Phonon::AbstractMediaStreamPrivate&, QObject*
    6, 0,	//43  Phonon::AbstractVideoOutputPrivate&
    235, 0,	//45  const Phonon::AbstractVideoOutput&
    276, 0,	//47  int
    259, 0,	//49  const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&
    18, 119, 0,	//51  Phonon::Category, QObject*
    268, 0,	//54  const QString&
    282, 0,	//56  qreal
    236, 0,	//58  const Phonon::AudioOutputDevice&
    243, 119, 0,	//60  const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*
    237, 271, 0,	//63  const Phonon::EffectParameter&, const QVariant&
    26, 119, 0,	//66  Phonon::EffectPrivate&, QObject*
    243, 0,	//69  const Phonon::ObjectDescription<Phonon::EffectType>&
    276, 268, 86, 271, 271, 271, 258, 268, 0,	//71  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&
    276, 268, 86, 271, 0,	//80  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&
    276, 268, 86, 271, 271, 0,	//85  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&
    276, 268, 86, 271, 271, 271, 0,	//91  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&
    276, 268, 86, 271, 271, 271, 258, 0,	//98  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&
    20, 140, 0,	//106  Phonon::Effect*, QWidget*
    20, 0,	//109  Phonon::Effect*
    35, 0,	//111  Phonon::MediaObject*
    32, 0,	//113  Phonon::MediaController::NavigationMenu
    242, 0,	//115  const Phonon::ObjectDescription<Phonon::AudioChannelType>&
    244, 0,	//117  const Phonon::ObjectDescription<Phonon::SubtitleType>&
    102, 0,	//119  QList<Phonon::MediaController::NavigationMenu>
    34, 0,	//121  Phonon::MediaNodePrivate&
    238, 0,	//123  const Phonon::MediaNode&
    41, 0,	//125  Phonon::MetaData
    239, 0,	//127  const Phonon::MediaSource&
    253, 0,	//129  const QList<Phonon::MediaSource>&
    257, 0,	//131  const QList<QUrl>&
    280, 0,	//133  qint32
    281, 0,	//135  qint64
    60, 60, 0,	//137  Phonon::State, Phonon::State
    270, 0,	//140  const QUrl&
    19, 268, 0,	//142  Phonon::DiscType, const QString&
    241, 0,	//145  const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&
    245, 0,	//147  const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&
    16, 17, 0,	//149  Phonon::Capture::DeviceType, Phonon::CaptureCategory
    3, 0,	//152  Phonon::AbstractMediaStream*
    93, 0,	//154  QIODevice*
    40, 0,	//156  Phonon::MediaSourcePrivate&
    264, 0,	//158  const QPair<QByteArray,QString>&
    19, 0,	//160  Phonon::DiscType
    16, 0,	//162  Phonon::Capture::DeviceType
    240, 0,	//164  const Phonon::Mrl&
    88, 0,	//166  QFlags<QUrl::FormattingOption>
    246, 0,	//168  const Phonon::ObjectDescriptionData&
    55, 276, 0,	//170  Phonon::ObjectDescriptionType, int
    54, 0,	//173  Phonon::ObjectDescriptionPrivate*
    276, 252, 0,	//175  int, const QHash<QByteArray,QVariant>&
    263, 0,	//178  const QModelIndex&
    263, 276, 0,	//180  const QModelIndex&, int
    55, 255, 0,	//183  Phonon::ObjectDescriptionType, const QList<QModelIndex>&
    254, 0,	//186  const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&
    55, 262, 163, 276, 276, 263, 0,	//188  Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    276, 276, 263, 0,	//195  int, int, const QModelIndex&
    55, 0,	//199  Phonon::ObjectDescriptionType
    73, 0,	//201  QAbstractListModel*
    247, 0,	//203  const Phonon::ObjectDescriptionModelData&
    276, 276, 0,	//205  int, int
    248, 0,	//208  const Phonon::Path&
    243, 20, 0,	//210  const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*
    20, 20, 0,	//213  Phonon::Effect*, Phonon::Effect*
    140, 0,	//216  QWidget*
    35, 140, 0,	//218  Phonon::MediaObject*, QWidget*
    187, 0,	//221  Qt::Orientation
    267, 0,	//223  const QSize&
    249, 0,	//225  const Phonon::StreamInterface&
    18, 140, 0,	//227  Phonon::Category, QWidget*
    275, 0,	//230  float
    84, 0,	//232  QEvent*
    67, 0,	//234  Phonon::VideoWidget::AspectRatio
    68, 0,	//236  Phonon::VideoWidget::ScaleMode
    69, 140, 0,	//238  Phonon::VideoWidgetPrivate&, QWidget*
    116, 0,	//241  QMouseEvent*
    274, 0,	//243  double
    71, 0,	//245  Phonon::VolumeFaderEffect::FadeCurve
    275, 276, 0,	//247  float, int
    12, 140, 0,	//250  Phonon::AudioOutput*, QWidget*
    12, 0,	//253  Phonon::AudioOutput*
    119, 84, 0,	//255  QObject*, QEvent*
    133, 0,	//258  QTimerEvent*
    77, 0,	//260  QChildEvent*
    139, 0,	//262  QWheelEvent*
    96, 0,	//264  QKeyEvent*
    91, 0,	//266  QFocusEvent*
    122, 0,	//268  QPaintEvent*
    117, 0,	//270  QMoveEvent*
    125, 0,	//272  QResizeEvent*
    78, 0,	//274  QCloseEvent*
    79, 0,	//276  QContextMenuEvent*
    132, 0,	//278  QTabletEvent*
    74, 0,	//280  QActionEvent*
    80, 0,	//282  QDragEnterEvent*
    82, 0,	//284  QDragMoveEvent*
    81, 0,	//286  QDragLeaveEvent*
    83, 0,	//288  QDropEvent*
    126, 0,	//290  QShowEvent*
    92, 0,	//292  QHideEvent*
    233, 0,	//294  _XEvent*
    120, 0,	//296  QPaintDevice::PaintDeviceMetric
    95, 0,	//298  QInputMethodEvent*
    175, 0,	//300  Qt::InputMethodQuery
    131, 0,	//302  QStyle&
    265, 0,	//304  const QPalette&
    251, 0,	//306  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractAudioOutput",	//1
    "AbstractAudioOutput##",	//2
    "AbstractMediaStream",	//3
    "AbstractMediaStream#",	//4
    "AbstractMediaStream##",	//5
    "AbstractVideoOutput",	//6
    "AbstractVideoOutput#",	//7
    "AccessibilityCategory",	//8
    "AlbumMetaData",	//9
    "AngleMenu",	//10
    "Angles",	//11
    "ArtistMetaData",	//12
    "AspectRatio16_9",	//13
    "AspectRatio4_3",	//14
    "AspectRatioAuto",	//15
    "AspectRatioWidget",	//16
    "AudioCaptureDeviceType",	//17
    "AudioChannelType",	//18
    "AudioDataOutput",	//19
    "AudioDataOutput#",	//20
    "AudioMenu",	//21
    "AudioOutput",	//22
    "AudioOutput#",	//23
    "AudioOutput$",	//24
    "AudioOutput$#",	//25
    "AudioOutputDeviceType",	//26
    "AudioType",	//27
    "BufferingState",	//28
    "CaptureDevice",	//29
    "Cd",	//30
    "CenterChannel",	//31
    "ChapterMenu",	//32
    "Chapters",	//33
    "CommunicationCaptureCategory",	//34
    "CommunicationCategory",	//35
    "ControlCaptureCategory",	//36
    "DateMetaData",	//37
    "DescriptionMetaData",	//38
    "Disc",	//39
    "DrawChildren",	//40
    "DrawWindowBackground",	//41
    "Dvd",	//42
    "Effect",	//43
    "Effect##",	//44
    "Effect?",	//45
    "Effect?#",	//46
    "EffectParameter",	//47
    "EffectParameter#",	//48
    "EffectParameter$$$#",	//49
    "EffectParameter$$$##",	//50
    "EffectParameter$$$###",	//51
    "EffectParameter$$$###?",	//52
    "EffectParameter$$$###?$",	//53
    "EffectType",	//54
    "EffectWidget",	//55
    "EffectWidget#",	//56
    "EffectWidget##",	//57
    "Empty",	//58
    "ErrorState",	//59
    "Fade12Decibel",	//60
    "Fade3Decibel",	//61
    "Fade6Decibel",	//62
    "Fade9Decibel",	//63
    "FatalError",	//64
    "FitInView",	//65
    "GameCategory",	//66
    "GenreMetaData",	//67
    "IgnoreMask",	//68
    "IntegerHint",	//69
    "Invalid",	//70
    "LastCategory",	//71
    "LeftChannel",	//72
    "LeftSurroundChannel",	//73
    "LicensedActiveQt",	//74
    "LicensedCore",	//75
    "LicensedDBus",	//76
    "LicensedDeclarative",	//77
    "LicensedGui",	//78
    "LicensedHelp",	//79
    "LicensedMultimedia",	//80
    "LicensedNetwork",	//81
    "LicensedOpenGL",	//82
    "LicensedOpenVG",	//83
    "LicensedQt3Support",	//84
    "LicensedQt3SupportLight",	//85
    "LicensedScript",	//86
    "LicensedScriptTools",	//87
    "LicensedSql",	//88
    "LicensedSvg",	//89
    "LicensedTest",	//90
    "LicensedXml",	//91
    "LicensedXmlPatterns",	//92
    "LoadingState",	//93
    "LocalFile",	//94
    "LogarithmicHint",	//95
    "MediaController",	//96
    "MediaController#",	//97
    "MediaNode",	//98
    "MediaNode#",	//99
    "MediaObject",	//100
    "MediaObject#",	//101
    "MediaSource",	//102
    "MediaSource#",	//103
    "MediaSource$",	//104
    "MediaSource$$",	//105
    "MediaSource?",	//106
    "Mrl",	//107
    "Mrl#",	//108
    "Mrl$",	//109
    "MusicBrainzDiscIdMetaData",	//110
    "MusicCategory",	//111
    "Navigations",	//112
    "NoCaptureCategory",	//113
    "NoCategory",	//114
    "NoDisc",	//115
    "NoError",	//116
    "NormalError",	//117
    "NotificationCategory",	//118
    "ObjectDescriptionData",	//119
    "ObjectDescriptionData#",	//120
    "ObjectDescriptionData$?",	//121
    "ObjectDescriptionModelData",	//122
    "ObjectDescriptionModelData#",	//123
    "Path",	//124
    "Path#",	//125
    "PausedState",	//126
    "PlayingState",	//127
    "Q_COMPLEX_TYPE",	//128
    "Q_DUMMY_TYPE",	//129
    "Q_MOVABLE_TYPE",	//130
    "Q_PRIMITIVE_TYPE",	//131
    "Q_STATIC_TYPE",	//132
    "QtCriticalMsg",	//133
    "QtDebugMsg",	//134
    "QtFatalMsg",	//135
    "QtSystemMsg",	//136
    "QtWarningMsg",	//137
    "RecordingCaptureCategory",	//138
    "RightChannel",	//139
    "RightSurroundChannel",	//140
    "RootMenu",	//141
    "ScaleAndCrop",	//142
    "SeekSlider",	//143
    "SeekSlider#",	//144
    "SeekSlider##",	//145
    "StoppedState",	//146
    "Stream",	//147
    "StreamInterface",	//148
    "StreamInterface#",	//149
    "SubtitleMenu",	//150
    "SubtitleType",	//151
    "SubwooferChannel",	//152
    "TitleMenu",	//153
    "TitleMetaData",	//154
    "Titles",	//155
    "ToggledHint",	//156
    "TracknumberMetaData",	//157
    "Url",	//158
    "Vcd",	//159
    "VideoCaptureDeviceType",	//160
    "VideoCategory",	//161
    "VideoPlayer",	//162
    "VideoPlayer#",	//163
    "VideoPlayer$",	//164
    "VideoPlayer$#",	//165
    "VideoType",	//166
    "VideoWidget",	//167
    "VideoWidget#",	//168
    "VideoWidget##",	//169
    "VolumeFaderEffect",	//170
    "VolumeFaderEffect#",	//171
    "VolumeSlider",	//172
    "VolumeSlider#",	//173
    "VolumeSlider##",	//174
    "aboutToFinish",	//175
    "actionEvent",	//176
    "angleChanged",	//177
    "angleChanged$",	//178
    "aspectRatio",	//179
    "audioCaptureDevice",	//180
    "audioOutput",	//181
    "autoDelete",	//182
    "autoplayTitles",	//183
    "availableAngles",	//184
    "availableAnglesChanged",	//185
    "availableAnglesChanged$",	//186
    "availableAudioChannels",	//187
    "availableAudioChannelsChanged",	//188
    "availableChapters",	//189
    "availableChaptersChanged",	//190
    "availableChaptersChanged$",	//191
    "availableMenus",	//192
    "availableMenusChanged",	//193
    "availableMenusChanged?",	//194
    "availableSubtitles",	//195
    "availableSubtitlesChanged",	//196
    "availableTitles",	//197
    "availableTitlesChanged",	//198
    "availableTitlesChanged$",	//199
    "brightness",	//200
    "bufferStatus",	//201
    "bufferStatus$",	//202
    "category",	//203
    "categoryToString",	//204
    "categoryToString$",	//205
    "changeEvent",	//206
    "chapterChanged",	//207
    "chapterChanged$",	//208
    "childEvent",	//209
    "clear",	//210
    "clearQueue",	//211
    "closeEvent",	//212
    "connectNotify",	//213
    "connectToSource",	//214
    "connectToSource#",	//215
    "contextMenuEvent",	//216
    "contrast",	//217
    "createPath",	//218
    "createPath##",	//219
    "createPlayer",	//220
    "createPlayer$",	//221
    "createPlayer$#",	//222
    "currentAngle",	//223
    "currentAudioChannel",	//224
    "currentChapter",	//225
    "currentSource",	//226
    "currentSourceChanged",	//227
    "currentSourceChanged#",	//228
    "currentSubtitle",	//229
    "currentTime",	//230
    "currentTitle",	//231
    "customEvent",	//232
    "data",	//233
    "data#",	//234
    "data#$",	//235
    "dataReady",	//236
    "dataReady?",	//237
    "dataSize",	//238
    "defaultValue",	//239
    "description",	//240
    "devType",	//241
    "deviceAccessList",	//242
    "deviceName",	//243
    "discType",	//244
    "disconnect",	//245
    "disconnectNotify",	//246
    "dragEnterEvent",	//247
    "dragLeaveEvent",	//248
    "dragMoveEvent",	//249
    "dropEvent",	//250
    "dropMimeData",	//251
    "dropMimeData$#$$$#",	//252
    "effects",	//253
    "enabledChange",	//254
    "endOfData",	//255
    "endOfMedia",	//256
    "endOfMedia$",	//257
    "enoughData",	//258
    "enqueue",	//259
    "enqueue#",	//260
    "enqueue?",	//261
    "enterEvent",	//262
    "enterFullScreen",	//263
    "error",	//264
    "error$$",	//265
    "errorString",	//266
    "errorType",	//267
    "event",	//268
    "event#",	//269
    "eventFilter",	//270
    "exitFullScreen",	//271
    "fadeCurve",	//272
    "fadeIn",	//273
    "fadeIn$",	//274
    "fadeOut",	//275
    "fadeOut$",	//276
    "fadeTo",	//277
    "fadeTo$$",	//278
    "fileName",	//279
    "finished",	//280
    "flags",	//281
    "flags#",	//282
    "focusInEvent",	//283
    "focusNextPrevChild",	//284
    "focusOutEvent",	//285
    "fontChange",	//286
    "fromIndex",	//287
    "fromIndex$$",	//288
    "hasTracking",	//289
    "hasVideo",	//290
    "hasVideoChanged",	//291
    "hasVideoChanged$",	//292
    "heightForWidth",	//293
    "hideEvent",	//294
    "hue",	//295
    "iconSize",	//296
    "id",	//297
    "index",	//298
    "inputMethodEvent",	//299
    "inputMethodQuery",	//300
    "inputPaths",	//301
    "insertEffect",	//302
    "insertEffect#",	//303
    "insertEffect##",	//304
    "insertEffect?",	//305
    "insertEffect?#",	//306
    "isIconVisible",	//307
    "isLogarithmicControl",	//308
    "isMuteVisible",	//309
    "isMuted",	//310
    "isPaused",	//311
    "isPlaying",	//312
    "isSeekable",	//313
    "isValid",	//314
    "keyPressEvent",	//315
    "keyReleaseEvent",	//316
    "languageChange",	//317
    "leaveEvent",	//318
    "load",	//319
    "load#",	//320
    "maximumValue",	//321
    "maximumVolume",	//322
    "mediaObject",	//323
    "metaData",	//324
    "metaData$",	//325
    "metaDataChanged",	//326
    "metaObject",	//327
    "metric",	//328
    "mimeData",	//329
    "mimeData$?",	//330
    "mimeTypes",	//331
    "mimeTypes$",	//332
    "minimumSizeHint",	//333
    "minimumValue",	//334
    "modelData",	//335
    "modelData#",	//336
    "mouseDoubleClickEvent",	//337
    "mouseMoveEvent",	//338
    "mouseMoveEvent#",	//339
    "mousePressEvent",	//340
    "mouseReleaseEvent",	//341
    "moveDown",	//342
    "moveDown#",	//343
    "moveEvent",	//344
    "moveUp",	//345
    "moveUp#",	//346
    "mrl",	//347
    "mutedChanged",	//348
    "mutedChanged$",	//349
    "name",	//350
    "navigationMenuToString",	//351
    "navigationMenuToString$",	//352
    "needData",	//353
    "nextTitle",	//354
    "operator!=",	//355
    "operator!=#",	//356
    "operator<",	//357
    "operator<#",	//358
    "operator=",	//359
    "operator=#",	//360
    "operator=$",	//361
    "operator==",	//362
    "operator==#",	//363
    "operator>",	//364
    "operator>#",	//365
    "orientation",	//366
    "outputDevice",	//367
    "outputDeviceChanged",	//368
    "outputDeviceChanged?",	//369
    "outputPaths",	//370
    "pageStep",	//371
    "paintEngine",	//372
    "paintEvent",	//373
    "paletteChange",	//374
    "parameterValue",	//375
    "parameterValue#",	//376
    "parameters",	//377
    "pause",	//378
    "phononVersion",	//379
    "play",	//380
    "play#",	//381
    "possibleValues",	//382
    "prefinishMark",	//383
    "prefinishMarkReached",	//384
    "prefinishMarkReached$",	//385
    "previousTitle",	//386
    "property",	//387
    "property$",	//388
    "propertyNames",	//389
    "qHash",	//390
    "qHash#",	//391
    "qt_metacall",	//392
    "qt_metacall$$?",	//393
    "qt_metacast",	//394
    "qt_metacast$",	//395
    "queue",	//396
    "reconnect",	//397
    "reconnect##",	//398
    "registerMetaTypes",	//399
    "remainingTime",	//400
    "removeEffect",	//401
    "removeEffect#",	//402
    "removeRows",	//403
    "removeRows$$",	//404
    "removeRows$$#",	//405
    "reset",	//406
    "resizeEvent",	//407
    "rowCount",	//408
    "rowCount#",	//409
    "sampleRate",	//410
    "saturation",	//411
    "scaleMode",	//412
    "seek",	//413
    "seek$",	//414
    "seekStream",	//415
    "seekStream$",	//416
    "seekableChanged",	//417
    "seekableChanged$",	//418
    "setAspectRatio",	//419
    "setAspectRatio$",	//420
    "setAudioOutput",	//421
    "setAudioOutput#",	//422
    "setAutoDelete",	//423
    "setAutoDelete$",	//424
    "setAutoplayTitles",	//425
    "setAutoplayTitles$",	//426
    "setBrightness",	//427
    "setBrightness$",	//428
    "setContrast",	//429
    "setContrast$",	//430
    "setCurrentAngle",	//431
    "setCurrentAngle$",	//432
    "setCurrentAudioChannel",	//433
    "setCurrentAudioChannel?",	//434
    "setCurrentChapter",	//435
    "setCurrentChapter$",	//436
    "setCurrentMenu",	//437
    "setCurrentMenu$",	//438
    "setCurrentSource",	//439
    "setCurrentSource#",	//440
    "setCurrentSubtitle",	//441
    "setCurrentSubtitle?",	//442
    "setCurrentTitle",	//443
    "setCurrentTitle$",	//444
    "setDataSize",	//445
    "setDataSize$",	//446
    "setFadeCurve",	//447
    "setFadeCurve$",	//448
    "setFullScreen",	//449
    "setFullScreen$",	//450
    "setHue",	//451
    "setHue$",	//452
    "setIconSize",	//453
    "setIconSize#",	//454
    "setIconVisible",	//455
    "setIconVisible$",	//456
    "setMaximumVolume",	//457
    "setMaximumVolume$",	//458
    "setMediaObject",	//459
    "setMediaObject#",	//460
    "setModelData",	//461
    "setModelData?",	//462
    "setMuteVisible",	//463
    "setMuteVisible$",	//464
    "setMuted",	//465
    "setMuted$",	//466
    "setName",	//467
    "setName$",	//468
    "setOrientation",	//469
    "setOrientation$",	//470
    "setOutputDevice",	//471
    "setOutputDevice?",	//472
    "setPageStep",	//473
    "setPageStep$",	//474
    "setParameterValue",	//475
    "setParameterValue##",	//476
    "setPrefinishMark",	//477
    "setPrefinishMark$",	//478
    "setQueue",	//479
    "setQueue?",	//480
    "setSaturation",	//481
    "setSaturation$",	//482
    "setScaleMode",	//483
    "setScaleMode$",	//484
    "setSingleStep",	//485
    "setSingleStep$",	//486
    "setStreamSeekable",	//487
    "setStreamSeekable$",	//488
    "setStreamSize",	//489
    "setStreamSize$",	//490
    "setTickInterval",	//491
    "setTickInterval$",	//492
    "setTracking",	//493
    "setTracking$",	//494
    "setTransitionTime",	//495
    "setTransitionTime$",	//496
    "setVisible",	//497
    "setVolume",	//498
    "setVolume$",	//499
    "setVolumeDecibel",	//500
    "setVolumeDecibel$",	//501
    "showEvent",	//502
    "singleStep",	//503
    "sink",	//504
    "sizeHint",	//505
    "snapshot",	//506
    "source",	//507
    "state",	//508
    "stateChanged",	//509
    "stateChanged$$",	//510
    "staticMetaObject",	//511
    "stop",	//512
    "stream",	//513
    "streamSeekable",	//514
    "streamSize",	//515
    "styleChange",	//516
    "supportedDropActions",	//517
    "supportedFeatures",	//518
    "tabletEvent",	//519
    "tick",	//520
    "tick$",	//521
    "tickInterval",	//522
    "timerEvent",	//523
    "titleChanged",	//524
    "titleChanged$",	//525
    "toEncoded",	//526
    "toEncoded$",	//527
    "totalTime",	//528
    "totalTimeChanged",	//529
    "totalTimeChanged$",	//530
    "tr",	//531
    "tr$",	//532
    "tr$$",	//533
    "tr$$$",	//534
    "trUtf8",	//535
    "trUtf8$",	//536
    "trUtf8$$",	//537
    "trUtf8$$$",	//538
    "transitionTime",	//539
    "tupleIndexAtPositionIndex",	//540
    "tupleIndexAtPositionIndex$",	//541
    "tupleIndexOrder",	//542
    "type",	//543
    "url",	//544
    "videoCaptureDevice",	//545
    "videoWidget",	//546
    "volume",	//547
    "volumeChanged",	//548
    "volumeChanged$",	//549
    "volumeDecibel",	//550
    "wheelEvent",	//551
    "windowActivationChange",	//552
    "writeData",	//553
    "writeData#",	//554
    "x11Event",	//555
    "~AbstractAudioOutput",	//556
    "~AbstractMediaStream",	//557
    "~AbstractVideoOutput",	//558
    "~AudioDataOutput",	//559
    "~AudioOutput",	//560
    "~Effect",	//561
    "~EffectParameter",	//562
    "~EffectWidget",	//563
    "~MediaController",	//564
    "~MediaNode",	//565
    "~MediaObject",	//566
    "~MediaSource",	//567
    "~Mrl",	//568
    "~ObjectDescriptionData",	//569
    "~ObjectDescriptionModelData",	//570
    "~Path",	//571
    "~SeekSlider",	//572
    "~StreamInterface",	//573
    "~VideoPlayer",	//574
    "~VideoWidget",	//575
    "~VolumeFaderEffect",	//576
    "~VolumeSlider",	//577
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 204, 1, 1, Smoke::mf_static, 128, 1},	//1 Phonon::categoryToString(Phonon::Category)
    {1, 379, 0, 0, Smoke::mf_static, 272, 2},	//2 Phonon::phononVersion()
    {1, 390, 3, 1, Smoke::mf_static, 283, 3},	//3 Phonon::qHash(const Phonon::EffectParameter&)
    {1, 399, 0, 0, Smoke::mf_static, 0, 4},	//4 Phonon::registerMetaTypes()
    {1, 204, 5, 1, Smoke::mf_static, 128, 5},	//5 Phonon::categoryToString(Phonon::CaptureCategory)
    {1, 218, 7, 2, Smoke::mf_static, 56, 6},	//6 Phonon::createPath(Phonon::MediaNode*, Phonon::MediaNode*)
    {1, 220, 10, 2, Smoke::mf_static, 35, 7},	//7 Phonon::createPlayer(Phonon::Category, const Phonon::MediaSource&)
    {1, 220, 1, 1, Smoke::mf_static, 35, 8},	//8 Phonon::createPlayer(Phonon::Category)
    {1, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 9},	//9 Phonon::ArtistMetaData (enum)
    {1, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 10},	//10 Phonon::AlbumMetaData (enum)
    {1, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 11},	//11 Phonon::TitleMetaData (enum)
    {1, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 12},	//12 Phonon::DateMetaData (enum)
    {1, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 13},	//13 Phonon::GenreMetaData (enum)
    {1, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 14},	//14 Phonon::TracknumberMetaData (enum)
    {1, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 15},	//15 Phonon::DescriptionMetaData (enum)
    {1, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 16},	//16 Phonon::MusicBrainzDiscIdMetaData (enum)
    {1, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 17},	//17 Phonon::AudioOutputDeviceType (enum)
    {1, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 18},	//18 Phonon::EffectType (enum)
    {1, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 19},	//19 Phonon::AudioChannelType (enum)
    {1, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 20},	//20 Phonon::SubtitleType (enum)
    {1, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 21},	//21 Phonon::AudioCaptureDeviceType (enum)
    {1, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 22},	//22 Phonon::VideoCaptureDeviceType (enum)
    {1, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 23},	//23 Phonon::NoDisc (enum)
    {1, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 24},	//24 Phonon::Cd (enum)
    {1, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 25},	//25 Phonon::Dvd (enum)
    {1, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 26},	//26 Phonon::Vcd (enum)
    {1, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//27 Phonon::NoCaptureCategory (enum)
    {1, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 28},	//28 Phonon::CommunicationCaptureCategory (enum)
    {1, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 29},	//29 Phonon::RecordingCaptureCategory (enum)
    {1, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//30 Phonon::ControlCaptureCategory (enum)
    {1, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 31},	//31 Phonon::NoError (enum)
    {1, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 32},	//32 Phonon::NormalError (enum)
    {1, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 33},	//33 Phonon::FatalError (enum)
    {1, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 34},	//34 Phonon::NoCategory (enum)
    {1, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 35},	//35 Phonon::NotificationCategory (enum)
    {1, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 36},	//36 Phonon::MusicCategory (enum)
    {1, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 37},	//37 Phonon::VideoCategory (enum)
    {1, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 38},	//38 Phonon::CommunicationCategory (enum)
    {1, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 39},	//39 Phonon::GameCategory (enum)
    {1, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 40},	//40 Phonon::AccessibilityCategory (enum)
    {1, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 41},	//41 Phonon::LastCategory (enum)
    {1, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 42},	//42 Phonon::LoadingState (enum)
    {1, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 43},	//43 Phonon::StoppedState (enum)
    {1, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 44},	//44 Phonon::PlayingState (enum)
    {1, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 45},	//45 Phonon::BufferingState (enum)
    {1, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 46},	//46 Phonon::PausedState (enum)
    {1, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 47},	//47 Phonon::ErrorState (enum)
    {2, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//48 Phonon::AbstractAudioOutput::metaObject() const
    {2, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//49 Phonon::AbstractAudioOutput::qt_metacast(const char*)
    {2, 531, 15, 2, Smoke::mf_static, 128, 3},	//50 Phonon::AbstractAudioOutput::tr(const char*, const char*)
    {2, 535, 15, 2, Smoke::mf_static, 128, 4},	//51 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*)
    {2, 531, 18, 3, Smoke::mf_static, 128, 5},	//52 Phonon::AbstractAudioOutput::tr(const char*, const char*, int)
    {2, 535, 18, 3, Smoke::mf_static, 128, 6},	//53 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*, int)
    {2, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//54 Phonon::AbstractAudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {2, 1, 26, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 8},	//55 Phonon::AbstractAudioOutput::AbstractAudioOutput(Phonon::AbstractAudioOutputPrivate&, QObject*)
    {2, 531, 13, 1, Smoke::mf_static, 128, 9},	//56 Phonon::AbstractAudioOutput::tr(const char*)
    {2, 535, 13, 1, Smoke::mf_static, 128, 10},	//57 Phonon::AbstractAudioOutput::trUtf8(const char*)
    {2, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 11},	//58 Phonon::AbstractAudioOutput::staticMetaObject() const
    {2, 556, 0, 0, Smoke::mf_dtor, 0, 12 },	//59 Phonon::AbstractAudioOutput::~AbstractAudioOutput()
    {4, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//60 Phonon::AbstractMediaStream::metaObject() const
    {4, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//61 Phonon::AbstractMediaStream::qt_metacast(const char*)
    {4, 531, 15, 2, Smoke::mf_static, 128, 3},	//62 Phonon::AbstractMediaStream::tr(const char*, const char*)
    {4, 535, 15, 2, Smoke::mf_static, 128, 4},	//63 Phonon::AbstractMediaStream::trUtf8(const char*, const char*)
    {4, 531, 18, 3, Smoke::mf_static, 128, 5},	//64 Phonon::AbstractMediaStream::tr(const char*, const char*, int)
    {4, 535, 18, 3, Smoke::mf_static, 128, 6},	//65 Phonon::AbstractMediaStream::trUtf8(const char*, const char*, int)
    {4, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//66 Phonon::AbstractMediaStream::qt_metacall(QMetaObject::Call, int, void**)
    {4, 3, 29, 1, Smoke::mf_ctor|Smoke::mf_protected, 3, 8},	//67 Phonon::AbstractMediaStream::AbstractMediaStream(QObject*)
    {4, 515, 0, 0, Smoke::mf_const|Smoke::mf_protected, 278, 9},	//68 Phonon::AbstractMediaStream::streamSize() const
    {4, 489, 31, 1, Smoke::mf_protected, 0, 10},	//69 Phonon::AbstractMediaStream::setStreamSize(long long)
    {4, 514, 0, 0, Smoke::mf_const|Smoke::mf_protected, 234, 11},	//70 Phonon::AbstractMediaStream::streamSeekable() const
    {4, 487, 33, 1, Smoke::mf_protected, 0, 12},	//71 Phonon::AbstractMediaStream::setStreamSeekable(bool)
    {4, 553, 35, 1, Smoke::mf_protected, 0, 13},	//72 Phonon::AbstractMediaStream::writeData(const QByteArray&)
    {4, 255, 0, 0, Smoke::mf_protected, 0, 14},	//73 Phonon::AbstractMediaStream::endOfData()
    {4, 264, 37, 2, Smoke::mf_protected, 0, 15},	//74 Phonon::AbstractMediaStream::error(Phonon::ErrorType, const QString&)
    {4, 406, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//75 Phonon::AbstractMediaStream::reset() [pure virtual]
    {4, 353, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//76 Phonon::AbstractMediaStream::needData() [pure virtual]
    {4, 258, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//77 Phonon::AbstractMediaStream::enoughData()
    {4, 415, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//78 Phonon::AbstractMediaStream::seekStream(long long)
    {4, 3, 40, 2, Smoke::mf_ctor|Smoke::mf_protected, 3, 20},	//79 Phonon::AbstractMediaStream::AbstractMediaStream(Phonon::AbstractMediaStreamPrivate&, QObject*)
    {4, 531, 13, 1, Smoke::mf_static, 128, 21},	//80 Phonon::AbstractMediaStream::tr(const char*)
    {4, 535, 13, 1, Smoke::mf_static, 128, 22},	//81 Phonon::AbstractMediaStream::trUtf8(const char*)
    {4, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 3, 23},	//82 Phonon::AbstractMediaStream::AbstractMediaStream()
    {4, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 24},	//83 Phonon::AbstractMediaStream::staticMetaObject() const
    {4, 557, 0, 0, Smoke::mf_dtor, 0, 25 },	//84 Phonon::AbstractMediaStream::~AbstractMediaStream()
    {6, 6, 43, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 1},	//85 Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    {6, 6, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 5, 2},	//86 Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    {6, 558, 0, 0, Smoke::mf_dtor, 0, 3 },	//87 Phonon::AbstractVideoOutput::~AbstractVideoOutput()
    {8, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//88 Phonon::AudioDataOutput::metaObject() const
    {8, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//89 Phonon::AudioDataOutput::qt_metacast(const char*)
    {8, 531, 15, 2, Smoke::mf_static, 128, 3},	//90 Phonon::AudioDataOutput::tr(const char*, const char*)
    {8, 535, 15, 2, Smoke::mf_static, 128, 4},	//91 Phonon::AudioDataOutput::trUtf8(const char*, const char*)
    {8, 531, 18, 3, Smoke::mf_static, 128, 5},	//92 Phonon::AudioDataOutput::tr(const char*, const char*, int)
    {8, 535, 18, 3, Smoke::mf_static, 128, 6},	//93 Phonon::AudioDataOutput::trUtf8(const char*, const char*, int)
    {8, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//94 Phonon::AudioDataOutput::qt_metacall(QMetaObject::Call, int, void**)
    {8, 19, 29, 1, Smoke::mf_ctor, 10, 8},	//95 Phonon::AudioDataOutput::AudioDataOutput(QObject*)
    {8, 238, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 9},	//96 Phonon::AudioDataOutput::dataSize() const
    {8, 410, 0, 0, Smoke::mf_const, 276, 10},	//97 Phonon::AudioDataOutput::sampleRate() const
    {8, 445, 47, 1, Smoke::mf_property|Smoke::mf_slot, 0, 11},	//98 Phonon::AudioDataOutput::setDataSize(int)
    {8, 236, 49, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//99 Phonon::AudioDataOutput::dataReady(const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&)
    {8, 256, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//100 Phonon::AudioDataOutput::endOfMedia(int)
    {8, 531, 13, 1, Smoke::mf_static, 128, 14},	//101 Phonon::AudioDataOutput::tr(const char*)
    {8, 535, 13, 1, Smoke::mf_static, 128, 15},	//102 Phonon::AudioDataOutput::trUtf8(const char*)
    {8, 19, 0, 0, Smoke::mf_ctor, 10, 16},	//103 Phonon::AudioDataOutput::AudioDataOutput()
    {8, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 17},	//104 Phonon::AudioDataOutput::staticMetaObject() const
    {8, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 18},	//105 Phonon::AudioDataOutput::LeftChannel (enum)
    {8, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 19},	//106 Phonon::AudioDataOutput::RightChannel (enum)
    {8, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 20},	//107 Phonon::AudioDataOutput::CenterChannel (enum)
    {8, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 21},	//108 Phonon::AudioDataOutput::LeftSurroundChannel (enum)
    {8, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 22},	//109 Phonon::AudioDataOutput::RightSurroundChannel (enum)
    {8, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 23},	//110 Phonon::AudioDataOutput::SubwooferChannel (enum)
    {8, 559, 0, 0, Smoke::mf_dtor, 0, 24 },	//111 Phonon::AudioDataOutput::~AudioDataOutput()
    {9, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//112 Phonon::AudioOutput::metaObject() const
    {9, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//113 Phonon::AudioOutput::qt_metacast(const char*)
    {9, 531, 15, 2, Smoke::mf_static, 128, 3},	//114 Phonon::AudioOutput::tr(const char*, const char*)
    {9, 535, 15, 2, Smoke::mf_static, 128, 4},	//115 Phonon::AudioOutput::trUtf8(const char*, const char*)
    {9, 531, 18, 3, Smoke::mf_static, 128, 5},	//116 Phonon::AudioOutput::tr(const char*, const char*, int)
    {9, 535, 18, 3, Smoke::mf_static, 128, 6},	//117 Phonon::AudioOutput::trUtf8(const char*, const char*, int)
    {9, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//118 Phonon::AudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {9, 22, 51, 2, Smoke::mf_ctor, 12, 8},	//119 Phonon::AudioOutput::AudioOutput(Phonon::Category, QObject*)
    {9, 22, 29, 1, Smoke::mf_ctor, 12, 9},	//120 Phonon::AudioOutput::AudioOutput(QObject*)
    {9, 350, 0, 0, Smoke::mf_const|Smoke::mf_property, 128, 10},	//121 Phonon::AudioOutput::name() const
    {9, 547, 0, 0, Smoke::mf_const, 274, 11},	//122 Phonon::AudioOutput::volume() const
    {9, 550, 0, 0, Smoke::mf_const, 274, 12},	//123 Phonon::AudioOutput::volumeDecibel() const
    {9, 203, 0, 0, Smoke::mf_const, 18, 13},	//124 Phonon::AudioOutput::category() const
    {9, 367, 0, 0, Smoke::mf_const, 47, 14},	//125 Phonon::AudioOutput::outputDevice() const
    {9, 310, 0, 0, Smoke::mf_const|Smoke::mf_property, 234, 15},	//126 Phonon::AudioOutput::isMuted() const
    {9, 467, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//127 Phonon::AudioOutput::setName(const QString&)
    {9, 498, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 17},	//128 Phonon::AudioOutput::setVolume(qreal)
    {9, 500, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 18},	//129 Phonon::AudioOutput::setVolumeDecibel(qreal)
    {9, 471, 58, 1, Smoke::mf_property|Smoke::mf_slot, 234, 19},	//130 Phonon::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&)
    {9, 465, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//131 Phonon::AudioOutput::setMuted(bool)
    {9, 548, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//132 Phonon::AudioOutput::volumeChanged(qreal)
    {9, 348, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//133 Phonon::AudioOutput::mutedChanged(bool)
    {9, 368, 58, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//134 Phonon::AudioOutput::outputDeviceChanged(const Phonon::AudioOutputDevice&)
    {9, 531, 13, 1, Smoke::mf_static, 128, 24},	//135 Phonon::AudioOutput::tr(const char*)
    {9, 535, 13, 1, Smoke::mf_static, 128, 25},	//136 Phonon::AudioOutput::trUtf8(const char*)
    {9, 22, 1, 1, Smoke::mf_ctor, 12, 26},	//137 Phonon::AudioOutput::AudioOutput(Phonon::Category)
    {9, 22, 0, 0, Smoke::mf_ctor, 12, 27},	//138 Phonon::AudioOutput::AudioOutput()
    {9, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 28},	//139 Phonon::AudioOutput::staticMetaObject() const
    {9, 560, 0, 0, Smoke::mf_dtor, 0, 29 },	//140 Phonon::AudioOutput::~AudioOutput()
    {11, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 1},	//141 Phonon::Capture::AudioType (enum)
    {11, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 2},	//142 Phonon::Capture::VideoType (enum)
    {12, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//143 Phonon::Effect::metaObject() const
    {12, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//144 Phonon::Effect::qt_metacast(const char*)
    {12, 531, 15, 2, Smoke::mf_static, 128, 3},	//145 Phonon::Effect::tr(const char*, const char*)
    {12, 535, 15, 2, Smoke::mf_static, 128, 4},	//146 Phonon::Effect::trUtf8(const char*, const char*)
    {12, 531, 18, 3, Smoke::mf_static, 128, 5},	//147 Phonon::Effect::tr(const char*, const char*, int)
    {12, 535, 18, 3, Smoke::mf_static, 128, 6},	//148 Phonon::Effect::trUtf8(const char*, const char*, int)
    {12, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//149 Phonon::Effect::qt_metacall(QMetaObject::Call, int, void**)
    {12, 43, 60, 2, Smoke::mf_ctor, 20, 8},	//150 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*)
    {12, 240, 0, 0, Smoke::mf_const, 48, 9},	//151 Phonon::Effect::description() const
    {12, 377, 0, 0, Smoke::mf_const, 101, 10},	//152 Phonon::Effect::parameters() const
    {12, 375, 3, 1, Smoke::mf_const, 136, 11},	//153 Phonon::Effect::parameterValue(const Phonon::EffectParameter&) const
    {12, 475, 63, 2, 0, 0, 12},	//154 Phonon::Effect::setParameterValue(const Phonon::EffectParameter&, const QVariant&)
    {12, 43, 66, 2, Smoke::mf_ctor|Smoke::mf_protected, 20, 13},	//155 Phonon::Effect::Effect(Phonon::EffectPrivate&, QObject*)
    {12, 531, 13, 1, Smoke::mf_static, 128, 14},	//156 Phonon::Effect::tr(const char*)
    {12, 535, 13, 1, Smoke::mf_static, 128, 15},	//157 Phonon::Effect::trUtf8(const char*)
    {12, 43, 69, 1, Smoke::mf_ctor, 20, 16},	//158 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {12, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 17},	//159 Phonon::Effect::staticMetaObject() const
    {12, 561, 0, 0, Smoke::mf_dtor, 0, 18 },	//160 Phonon::Effect::~Effect()
    {13, 47, 0, 0, Smoke::mf_ctor, 24, 1},	//161 Phonon::EffectParameter::EffectParameter()
    {13, 350, 0, 0, Smoke::mf_const, 268, 2},	//162 Phonon::EffectParameter::name() const
    {13, 240, 0, 0, Smoke::mf_const, 268, 3},	//163 Phonon::EffectParameter::description() const
    {13, 543, 0, 0, Smoke::mf_const, 137, 4},	//164 Phonon::EffectParameter::type() const
    {13, 308, 0, 0, Smoke::mf_const, 234, 5},	//165 Phonon::EffectParameter::isLogarithmicControl() const
    {13, 334, 0, 0, Smoke::mf_const, 136, 6},	//166 Phonon::EffectParameter::minimumValue() const
    {13, 321, 0, 0, Smoke::mf_const, 136, 7},	//167 Phonon::EffectParameter::maximumValue() const
    {13, 239, 0, 0, Smoke::mf_const, 136, 8},	//168 Phonon::EffectParameter::defaultValue() const
    {13, 382, 0, 0, Smoke::mf_const, 110, 9},	//169 Phonon::EffectParameter::possibleValues() const
    {13, 357, 3, 1, Smoke::mf_const, 234, 10},	//170 Phonon::EffectParameter::operator<(const Phonon::EffectParameter&) const
    {13, 364, 3, 1, Smoke::mf_const, 234, 11},	//171 Phonon::EffectParameter::operator>(const Phonon::EffectParameter&) const
    {13, 362, 3, 1, Smoke::mf_const, 234, 12},	//172 Phonon::EffectParameter::operator==(const Phonon::EffectParameter&) const
    {13, 47, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 13},	//173 Phonon::EffectParameter::EffectParameter(const Phonon::EffectParameter&)
    {13, 359, 3, 1, 0, 23, 14},	//174 Phonon::EffectParameter::operator=(const Phonon::EffectParameter&)
    {13, 47, 71, 8, Smoke::mf_ctor, 24, 15},	//175 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&)
    {13, 297, 0, 0, Smoke::mf_const, 276, 16},	//176 Phonon::EffectParameter::id() const
    {13, 47, 80, 4, Smoke::mf_ctor, 24, 17},	//177 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&)
    {13, 47, 85, 5, Smoke::mf_ctor, 24, 18},	//178 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&)
    {13, 47, 91, 6, Smoke::mf_ctor, 24, 19},	//179 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&)
    {13, 47, 98, 7, Smoke::mf_ctor, 24, 20},	//180 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&)
    {13, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 21},	//181 Phonon::EffectParameter::ToggledHint (enum)
    {13, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 22},	//182 Phonon::EffectParameter::LogarithmicHint (enum)
    {13, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 23},	//183 Phonon::EffectParameter::IntegerHint (enum)
    {13, 562, 0, 0, Smoke::mf_dtor, 0, 24 },	//184 Phonon::EffectParameter::~EffectParameter()
    {15, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//185 Phonon::EffectWidget::metaObject() const
    {15, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//186 Phonon::EffectWidget::qt_metacast(const char*)
    {15, 531, 15, 2, Smoke::mf_static, 128, 3},	//187 Phonon::EffectWidget::tr(const char*, const char*)
    {15, 535, 15, 2, Smoke::mf_static, 128, 4},	//188 Phonon::EffectWidget::trUtf8(const char*, const char*)
    {15, 531, 18, 3, Smoke::mf_static, 128, 5},	//189 Phonon::EffectWidget::tr(const char*, const char*, int)
    {15, 535, 18, 3, Smoke::mf_static, 128, 6},	//190 Phonon::EffectWidget::trUtf8(const char*, const char*, int)
    {15, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//191 Phonon::EffectWidget::qt_metacall(QMetaObject::Call, int, void**)
    {15, 55, 106, 2, Smoke::mf_ctor, 28, 8},	//192 Phonon::EffectWidget::EffectWidget(Phonon::Effect*, QWidget*)
    {15, 531, 13, 1, Smoke::mf_static, 128, 9},	//193 Phonon::EffectWidget::tr(const char*)
    {15, 535, 13, 1, Smoke::mf_static, 128, 10},	//194 Phonon::EffectWidget::trUtf8(const char*)
    {15, 55, 109, 1, Smoke::mf_ctor, 28, 11},	//195 Phonon::EffectWidget::EffectWidget(Phonon::Effect*)
    {15, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 12},	//196 Phonon::EffectWidget::staticMetaObject() const
    {15, 563, 0, 0, Smoke::mf_dtor, 0, 13 },	//197 Phonon::EffectWidget::~EffectWidget()
    {16, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//198 Phonon::MediaController::metaObject() const
    {16, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//199 Phonon::MediaController::qt_metacast(const char*)
    {16, 531, 15, 2, Smoke::mf_static, 128, 3},	//200 Phonon::MediaController::tr(const char*, const char*)
    {16, 535, 15, 2, Smoke::mf_static, 128, 4},	//201 Phonon::MediaController::trUtf8(const char*, const char*)
    {16, 531, 18, 3, Smoke::mf_static, 128, 5},	//202 Phonon::MediaController::tr(const char*, const char*, int)
    {16, 535, 18, 3, Smoke::mf_static, 128, 6},	//203 Phonon::MediaController::trUtf8(const char*, const char*, int)
    {16, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//204 Phonon::MediaController::qt_metacall(QMetaObject::Call, int, void**)
    {16, 96, 111, 1, Smoke::mf_ctor, 30, 8},	//205 Phonon::MediaController::MediaController(Phonon::MediaObject*)
    {16, 518, 0, 0, Smoke::mf_const, 87, 9},	//206 Phonon::MediaController::supportedFeatures() const
    {16, 184, 0, 0, Smoke::mf_const, 276, 10},	//207 Phonon::MediaController::availableAngles() const
    {16, 223, 0, 0, Smoke::mf_const, 276, 11},	//208 Phonon::MediaController::currentAngle() const
    {16, 189, 0, 0, Smoke::mf_const, 276, 12},	//209 Phonon::MediaController::availableChapters() const
    {16, 225, 0, 0, Smoke::mf_const, 276, 13},	//210 Phonon::MediaController::currentChapter() const
    {16, 351, 113, 1, Smoke::mf_static, 128, 14},	//211 Phonon::MediaController::navigationMenuToString(Phonon::MediaController::NavigationMenu)
    {16, 192, 0, 0, Smoke::mf_const, 102, 15},	//212 Phonon::MediaController::availableMenus() const
    {16, 197, 0, 0, Smoke::mf_const, 276, 16},	//213 Phonon::MediaController::availableTitles() const
    {16, 231, 0, 0, Smoke::mf_const, 276, 17},	//214 Phonon::MediaController::currentTitle() const
    {16, 183, 0, 0, Smoke::mf_const, 234, 18},	//215 Phonon::MediaController::autoplayTitles() const
    {16, 224, 0, 0, Smoke::mf_const, 46, 19},	//216 Phonon::MediaController::currentAudioChannel() const
    {16, 229, 0, 0, Smoke::mf_const, 49, 20},	//217 Phonon::MediaController::currentSubtitle() const
    {16, 187, 0, 0, Smoke::mf_const, 104, 21},	//218 Phonon::MediaController::availableAudioChannels() const
    {16, 195, 0, 0, Smoke::mf_const, 105, 22},	//219 Phonon::MediaController::availableSubtitles() const
    {16, 433, 115, 1, 0, 0, 23},	//220 Phonon::MediaController::setCurrentAudioChannel(const Phonon::ObjectDescription<Phonon::AudioChannelType>&)
    {16, 437, 113, 1, 0, 0, 24},	//221 Phonon::MediaController::setCurrentMenu(Phonon::MediaController::NavigationMenu)
    {16, 441, 117, 1, 0, 0, 25},	//222 Phonon::MediaController::setCurrentSubtitle(const Phonon::ObjectDescription<Phonon::SubtitleType>&)
    {16, 431, 47, 1, Smoke::mf_slot, 0, 26},	//223 Phonon::MediaController::setCurrentAngle(int)
    {16, 435, 47, 1, Smoke::mf_slot, 0, 27},	//224 Phonon::MediaController::setCurrentChapter(int)
    {16, 443, 47, 1, Smoke::mf_slot, 0, 28},	//225 Phonon::MediaController::setCurrentTitle(int)
    {16, 425, 33, 1, Smoke::mf_slot, 0, 29},	//226 Phonon::MediaController::setAutoplayTitles(bool)
    {16, 354, 0, 0, Smoke::mf_slot, 0, 30},	//227 Phonon::MediaController::nextTitle()
    {16, 386, 0, 0, Smoke::mf_slot, 0, 31},	//228 Phonon::MediaController::previousTitle()
    {16, 185, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//229 Phonon::MediaController::availableAnglesChanged(int)
    {16, 188, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//230 Phonon::MediaController::availableAudioChannelsChanged()
    {16, 190, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//231 Phonon::MediaController::availableChaptersChanged(int)
    {16, 193, 119, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//232 Phonon::MediaController::availableMenusChanged(QList<Phonon::MediaController::NavigationMenu>)
    {16, 196, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//233 Phonon::MediaController::availableSubtitlesChanged()
    {16, 198, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//234 Phonon::MediaController::availableTitlesChanged(int)
    {16, 177, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//235 Phonon::MediaController::angleChanged(int)
    {16, 207, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//236 Phonon::MediaController::chapterChanged(int)
    {16, 524, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//237 Phonon::MediaController::titleChanged(int)
    {16, 531, 13, 1, Smoke::mf_static, 128, 41},	//238 Phonon::MediaController::tr(const char*)
    {16, 535, 13, 1, Smoke::mf_static, 128, 42},	//239 Phonon::MediaController::trUtf8(const char*)
    {16, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 43},	//240 Phonon::MediaController::staticMetaObject() const
    {16, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 44},	//241 Phonon::MediaController::Angles (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 45},	//242 Phonon::MediaController::Chapters (enum)
    {16, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 46},	//243 Phonon::MediaController::Navigations (enum)
    {16, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 47},	//244 Phonon::MediaController::Titles (enum)
    {16, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 48},	//245 Phonon::MediaController::RootMenu (enum)
    {16, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 49},	//246 Phonon::MediaController::TitleMenu (enum)
    {16, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 50},	//247 Phonon::MediaController::AudioMenu (enum)
    {16, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 51},	//248 Phonon::MediaController::SubtitleMenu (enum)
    {16, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 52},	//249 Phonon::MediaController::ChapterMenu (enum)
    {16, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 53},	//250 Phonon::MediaController::AngleMenu (enum)
    {16, 564, 0, 0, Smoke::mf_dtor, 0, 54 },	//251 Phonon::MediaController::~MediaController()
    {17, 314, 0, 0, Smoke::mf_const, 234, 1},	//252 Phonon::MediaNode::isValid() const
    {17, 301, 0, 0, Smoke::mf_const, 106, 2},	//253 Phonon::MediaNode::inputPaths() const
    {17, 370, 0, 0, Smoke::mf_const, 106, 3},	//254 Phonon::MediaNode::outputPaths() const
    {17, 98, 121, 1, Smoke::mf_ctor|Smoke::mf_protected, 33, 4},	//255 Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    {17, 98, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 5},	//256 Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    {17, 565, 0, 0, Smoke::mf_dtor, 0, 6 },	//257 Phonon::MediaNode::~MediaNode()
    {19, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//258 Phonon::MediaObject::metaObject() const
    {19, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//259 Phonon::MediaObject::qt_metacast(const char*)
    {19, 531, 15, 2, Smoke::mf_static, 128, 3},	//260 Phonon::MediaObject::tr(const char*, const char*)
    {19, 535, 15, 2, Smoke::mf_static, 128, 4},	//261 Phonon::MediaObject::trUtf8(const char*, const char*)
    {19, 531, 18, 3, Smoke::mf_static, 128, 5},	//262 Phonon::MediaObject::tr(const char*, const char*, int)
    {19, 535, 18, 3, Smoke::mf_static, 128, 6},	//263 Phonon::MediaObject::trUtf8(const char*, const char*, int)
    {19, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//264 Phonon::MediaObject::qt_metacall(QMetaObject::Call, int, void**)
    {19, 100, 29, 1, Smoke::mf_ctor, 35, 8},	//265 Phonon::MediaObject::MediaObject(QObject*)
    {19, 508, 0, 0, Smoke::mf_const, 60, 9},	//266 Phonon::MediaObject::state() const
    {19, 290, 0, 0, Smoke::mf_const, 234, 10},	//267 Phonon::MediaObject::hasVideo() const
    {19, 313, 0, 0, Smoke::mf_const, 234, 11},	//268 Phonon::MediaObject::isSeekable() const
    {19, 522, 0, 0, Smoke::mf_const, 276, 12},	//269 Phonon::MediaObject::tickInterval() const
    {19, 324, 54, 1, Smoke::mf_const, 129, 13},	//270 Phonon::MediaObject::metaData(const QString&) const
    {19, 324, 125, 1, Smoke::mf_const, 129, 14},	//271 Phonon::MediaObject::metaData(Phonon::MetaData) const
    {19, 324, 0, 0, Smoke::mf_const, 118, 15},	//272 Phonon::MediaObject::metaData() const
    {19, 266, 0, 0, Smoke::mf_const, 128, 16},	//273 Phonon::MediaObject::errorString() const
    {19, 267, 0, 0, Smoke::mf_const, 29, 17},	//274 Phonon::MediaObject::errorType() const
    {19, 226, 0, 0, Smoke::mf_const, 36, 18},	//275 Phonon::MediaObject::currentSource() const
    {19, 439, 127, 1, 0, 0, 19},	//276 Phonon::MediaObject::setCurrentSource(const Phonon::MediaSource&)
    {19, 396, 0, 0, Smoke::mf_const, 103, 20},	//277 Phonon::MediaObject::queue() const
    {19, 479, 129, 1, 0, 0, 21},	//278 Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    {19, 479, 131, 1, 0, 0, 22},	//279 Phonon::MediaObject::setQueue(const QList<QUrl>&)
    {19, 259, 127, 1, 0, 0, 23},	//280 Phonon::MediaObject::enqueue(const Phonon::MediaSource&)
    {19, 259, 129, 1, 0, 0, 24},	//281 Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    {19, 259, 131, 1, 0, 0, 25},	//282 Phonon::MediaObject::enqueue(const QList<QUrl>&)
    {19, 211, 0, 0, 0, 0, 26},	//283 Phonon::MediaObject::clearQueue()
    {19, 230, 0, 0, Smoke::mf_const, 278, 27},	//284 Phonon::MediaObject::currentTime() const
    {19, 528, 0, 0, Smoke::mf_const, 278, 28},	//285 Phonon::MediaObject::totalTime() const
    {19, 400, 0, 0, Smoke::mf_const, 278, 29},	//286 Phonon::MediaObject::remainingTime() const
    {19, 383, 0, 0, Smoke::mf_const, 276, 30},	//287 Phonon::MediaObject::prefinishMark() const
    {19, 477, 47, 1, 0, 0, 31},	//288 Phonon::MediaObject::setPrefinishMark(int)
    {19, 539, 0, 0, Smoke::mf_const, 276, 32},	//289 Phonon::MediaObject::transitionTime() const
    {19, 495, 47, 1, 0, 0, 33},	//290 Phonon::MediaObject::setTransitionTime(int)
    {19, 491, 133, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//291 Phonon::MediaObject::setTickInterval(qint32)
    {19, 380, 0, 0, Smoke::mf_slot, 0, 35},	//292 Phonon::MediaObject::play()
    {19, 378, 0, 0, Smoke::mf_slot, 0, 36},	//293 Phonon::MediaObject::pause()
    {19, 512, 0, 0, Smoke::mf_slot, 0, 37},	//294 Phonon::MediaObject::stop()
    {19, 413, 135, 1, Smoke::mf_slot, 0, 38},	//295 Phonon::MediaObject::seek(qint64)
    {19, 210, 0, 0, Smoke::mf_slot, 0, 39},	//296 Phonon::MediaObject::clear()
    {19, 509, 137, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//297 Phonon::MediaObject::stateChanged(Phonon::State, Phonon::State)
    {19, 520, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//298 Phonon::MediaObject::tick(qint64)
    {19, 326, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//299 Phonon::MediaObject::metaDataChanged()
    {19, 417, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//300 Phonon::MediaObject::seekableChanged(bool)
    {19, 291, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//301 Phonon::MediaObject::hasVideoChanged(bool)
    {19, 201, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//302 Phonon::MediaObject::bufferStatus(int)
    {19, 280, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//303 Phonon::MediaObject::finished()
    {19, 227, 127, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//304 Phonon::MediaObject::currentSourceChanged(const Phonon::MediaSource&)
    {19, 175, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//305 Phonon::MediaObject::aboutToFinish()
    {19, 384, 133, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//306 Phonon::MediaObject::prefinishMarkReached(qint32)
    {19, 529, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//307 Phonon::MediaObject::totalTimeChanged(qint64)
    {19, 531, 13, 1, Smoke::mf_static, 128, 51},	//308 Phonon::MediaObject::tr(const char*)
    {19, 535, 13, 1, Smoke::mf_static, 128, 52},	//309 Phonon::MediaObject::trUtf8(const char*)
    {19, 100, 0, 0, Smoke::mf_ctor, 35, 53},	//310 Phonon::MediaObject::MediaObject()
    {19, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 54},	//311 Phonon::MediaObject::staticMetaObject() const
    {19, 566, 0, 0, Smoke::mf_dtor, 0, 55 },	//312 Phonon::MediaObject::~MediaObject()
    {20, 102, 0, 0, Smoke::mf_ctor, 38, 1},	//313 Phonon::MediaSource::MediaSource()
    {20, 102, 54, 1, Smoke::mf_ctor, 38, 2},	//314 Phonon::MediaSource::MediaSource(const QString&)
    {20, 102, 140, 1, Smoke::mf_ctor, 38, 3},	//315 Phonon::MediaSource::MediaSource(const QUrl&)
    {20, 102, 142, 2, Smoke::mf_ctor, 38, 4},	//316 Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    {20, 102, 145, 1, Smoke::mf_ctor, 38, 5},	//317 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    {20, 102, 147, 1, Smoke::mf_ctor, 38, 6},	//318 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    {20, 102, 149, 2, Smoke::mf_ctor, 38, 7},	//319 Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType, Phonon::CaptureCategory)
    {20, 102, 152, 1, Smoke::mf_ctor, 38, 8},	//320 Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    {20, 102, 154, 1, Smoke::mf_ctor, 38, 9},	//321 Phonon::MediaSource::MediaSource(QIODevice*)
    {20, 102, 127, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 10},	//322 Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    {20, 359, 127, 1, 0, 37, 11},	//323 Phonon::MediaSource::operator=(const Phonon::MediaSource&)
    {20, 362, 127, 1, Smoke::mf_const, 234, 12},	//324 Phonon::MediaSource::operator==(const Phonon::MediaSource&) const
    {20, 423, 33, 1, 0, 0, 13},	//325 Phonon::MediaSource::setAutoDelete(bool)
    {20, 182, 0, 0, Smoke::mf_const, 234, 14},	//326 Phonon::MediaSource::autoDelete() const
    {20, 543, 0, 0, Smoke::mf_const, 39, 15},	//327 Phonon::MediaSource::type() const
    {20, 279, 0, 0, Smoke::mf_const, 128, 16},	//328 Phonon::MediaSource::fileName() const
    {20, 347, 0, 0, Smoke::mf_const, 42, 17},	//329 Phonon::MediaSource::mrl() const
    {20, 544, 0, 0, Smoke::mf_const, 134, 18},	//330 Phonon::MediaSource::url() const
    {20, 244, 0, 0, Smoke::mf_const, 19, 19},	//331 Phonon::MediaSource::discType() const
    {20, 242, 0, 0, Smoke::mf_const, 256, 20},	//332 Phonon::MediaSource::deviceAccessList() const
    {20, 243, 0, 0, Smoke::mf_const, 128, 21},	//333 Phonon::MediaSource::deviceName() const
    {20, 513, 0, 0, Smoke::mf_const, 3, 22},	//334 Phonon::MediaSource::stream() const
    {20, 180, 0, 0, Smoke::mf_const, 45, 23},	//335 Phonon::MediaSource::audioCaptureDevice() const
    {20, 545, 0, 0, Smoke::mf_const, 50, 24},	//336 Phonon::MediaSource::videoCaptureDevice() const
    {20, 102, 156, 1, Smoke::mf_ctor|Smoke::mf_protected, 38, 25},	//337 Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    {20, 102, 158, 1, Smoke::mf_ctor|Smoke::mf_protected, 38, 26},	//338 Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    {20, 102, 160, 1, Smoke::mf_ctor, 38, 27},	//339 Phonon::MediaSource::MediaSource(Phonon::DiscType)
    {20, 102, 162, 1, Smoke::mf_ctor, 38, 28},	//340 Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType)
    {20, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 29},	//341 Phonon::MediaSource::Invalid (enum)
    {20, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 30},	//342 Phonon::MediaSource::LocalFile (enum)
    {20, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 31},	//343 Phonon::MediaSource::Url (enum)
    {20, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 32},	//344 Phonon::MediaSource::Disc (enum)
    {20, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 33},	//345 Phonon::MediaSource::Stream (enum)
    {20, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 34},	//346 Phonon::MediaSource::CaptureDevice (enum)
    {20, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 35},	//347 Phonon::MediaSource::Empty (enum)
    {20, 567, 0, 0, Smoke::mf_dtor, 0, 36 },	//348 Phonon::MediaSource::~MediaSource()
    {22, 107, 0, 0, Smoke::mf_ctor, 44, 1},	//349 Phonon::Mrl::Mrl()
    {22, 107, 164, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 2},	//350 Phonon::Mrl::Mrl(const Phonon::Mrl&)
    {22, 107, 140, 1, Smoke::mf_ctor, 44, 3},	//351 Phonon::Mrl::Mrl(const QUrl&)
    {22, 107, 54, 1, Smoke::mf_ctor, 44, 4},	//352 Phonon::Mrl::Mrl(const QString&)
    {22, 359, 164, 1, 0, 43, 5},	//353 Phonon::Mrl::operator=(const Phonon::Mrl&)
    {22, 359, 54, 1, 0, 43, 6},	//354 Phonon::Mrl::operator=(const QString&)
    {22, 526, 166, 1, Smoke::mf_const, 76, 7},	//355 Phonon::Mrl::toEncoded(QFlags<QUrl::FormattingOption>) const
    {22, 526, 0, 0, Smoke::mf_const, 76, 8},	//356 Phonon::Mrl::toEncoded() const
    {22, 568, 0, 0, Smoke::mf_dtor, 0, 9 },	//357 Phonon::Mrl::~Mrl()
    {23, 362, 168, 1, Smoke::mf_const, 234, 1},	//358 Phonon::ObjectDescriptionData::operator==(const Phonon::ObjectDescriptionData&) const
    {23, 350, 0, 0, Smoke::mf_const, 128, 2},	//359 Phonon::ObjectDescriptionData::name() const
    {23, 240, 0, 0, Smoke::mf_const, 128, 3},	//360 Phonon::ObjectDescriptionData::description() const
    {23, 387, 13, 1, Smoke::mf_const, 136, 4},	//361 Phonon::ObjectDescriptionData::property(const char*) const
    {23, 389, 0, 0, Smoke::mf_const, 108, 5},	//362 Phonon::ObjectDescriptionData::propertyNames() const
    {23, 314, 0, 0, Smoke::mf_const, 234, 6},	//363 Phonon::ObjectDescriptionData::isValid() const
    {23, 298, 0, 0, Smoke::mf_const, 276, 7},	//364 Phonon::ObjectDescriptionData::index() const
    {23, 287, 170, 2, Smoke::mf_static, 52, 8},	//365 Phonon::ObjectDescriptionData::fromIndex(Phonon::ObjectDescriptionType, int)
    {23, 119, 173, 1, Smoke::mf_ctor, 52, 9},	//366 Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    {23, 119, 175, 2, Smoke::mf_ctor, 52, 10},	//367 Phonon::ObjectDescriptionData::ObjectDescriptionData(int, const QHash<QByteArray,QVariant>&)
    {23, 119, 168, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 11},	//368 Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    {23, 119, 0, 0, Smoke::mf_ctor, 52, 12},	//369 Phonon::ObjectDescriptionData::ObjectDescriptionData()
    {23, 569, 0, 0, Smoke::mf_dtor, 0, 13 },	//370 Phonon::ObjectDescriptionData::~ObjectDescriptionData()
    {24, 408, 178, 1, Smoke::mf_const, 276, 1},	//371 Phonon::ObjectDescriptionModelData::rowCount(const QModelIndex&) const
    {24, 233, 180, 2, Smoke::mf_const, 136, 2},	//372 Phonon::ObjectDescriptionModelData::data(const QModelIndex&, int) const
    {24, 281, 178, 1, Smoke::mf_const, 90, 3},	//373 Phonon::ObjectDescriptionModelData::flags(const QModelIndex&) const
    {24, 542, 0, 0, Smoke::mf_const, 111, 4},	//374 Phonon::ObjectDescriptionModelData::tupleIndexOrder() const
    {24, 540, 47, 1, Smoke::mf_const, 276, 5},	//375 Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex(int) const
    {24, 329, 183, 2, Smoke::mf_const, 114, 6},	//376 Phonon::ObjectDescriptionModelData::mimeData(Phonon::ObjectDescriptionType, const QList<QModelIndex>&) const
    {24, 345, 178, 1, 0, 0, 7},	//377 Phonon::ObjectDescriptionModelData::moveUp(const QModelIndex&)
    {24, 342, 178, 1, 0, 0, 8},	//378 Phonon::ObjectDescriptionModelData::moveDown(const QModelIndex&)
    {24, 461, 186, 1, 0, 0, 9},	//379 Phonon::ObjectDescriptionModelData::setModelData(const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&)
    {24, 335, 0, 0, Smoke::mf_const, 109, 10},	//380 Phonon::ObjectDescriptionModelData::modelData() const
    {24, 335, 178, 1, Smoke::mf_const, 85, 11},	//381 Phonon::ObjectDescriptionModelData::modelData(const QModelIndex&) const
    {24, 517, 0, 0, Smoke::mf_const, 89, 12},	//382 Phonon::ObjectDescriptionModelData::supportedDropActions() const
    {24, 251, 188, 6, 0, 234, 13},	//383 Phonon::ObjectDescriptionModelData::dropMimeData(Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {24, 403, 195, 3, 0, 234, 14},	//384 Phonon::ObjectDescriptionModelData::removeRows(int, int, const QModelIndex&)
    {24, 331, 199, 1, Smoke::mf_const, 129, 15},	//385 Phonon::ObjectDescriptionModelData::mimeTypes(Phonon::ObjectDescriptionType) const
    {24, 122, 201, 1, Smoke::mf_ctor, 53, 16},	//386 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    {24, 122, 203, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 17},	//387 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    {24, 408, 0, 0, Smoke::mf_const, 276, 18},	//388 Phonon::ObjectDescriptionModelData::rowCount() const
    {24, 233, 178, 1, Smoke::mf_const, 136, 19},	//389 Phonon::ObjectDescriptionModelData::data(const QModelIndex&) const
    {24, 403, 205, 2, 0, 234, 20},	//390 Phonon::ObjectDescriptionModelData::removeRows(int, int)
    {24, 570, 0, 0, Smoke::mf_dtor, 0, 21 },	//391 Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData()
    {26, 124, 0, 0, Smoke::mf_ctor, 58, 1},	//392 Phonon::Path::Path()
    {26, 124, 208, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//393 Phonon::Path::Path(const Phonon::Path&)
    {26, 314, 0, 0, Smoke::mf_const, 234, 3},	//394 Phonon::Path::isValid() const
    {26, 302, 210, 2, 0, 20, 4},	//395 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*)
    {26, 302, 213, 2, 0, 234, 5},	//396 Phonon::Path::insertEffect(Phonon::Effect*, Phonon::Effect*)
    {26, 401, 109, 1, 0, 234, 6},	//397 Phonon::Path::removeEffect(Phonon::Effect*)
    {26, 253, 0, 0, Smoke::mf_const, 99, 7},	//398 Phonon::Path::effects() const
    {26, 397, 7, 2, 0, 234, 8},	//399 Phonon::Path::reconnect(Phonon::MediaNode*, Phonon::MediaNode*)
    {26, 245, 0, 0, 0, 234, 9},	//400 Phonon::Path::disconnect()
    {26, 359, 208, 1, 0, 57, 10},	//401 Phonon::Path::operator=(const Phonon::Path&)
    {26, 362, 208, 1, Smoke::mf_const, 234, 11},	//402 Phonon::Path::operator==(const Phonon::Path&) const
    {26, 355, 208, 1, Smoke::mf_const, 234, 12},	//403 Phonon::Path::operator!=(const Phonon::Path&) const
    {26, 507, 0, 0, Smoke::mf_const, 33, 13},	//404 Phonon::Path::source() const
    {26, 504, 0, 0, Smoke::mf_const, 33, 14},	//405 Phonon::Path::sink() const
    {26, 302, 69, 1, 0, 20, 15},	//406 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {26, 302, 109, 1, 0, 234, 16},	//407 Phonon::Path::insertEffect(Phonon::Effect*)
    {26, 571, 0, 0, Smoke::mf_dtor, 0, 17 },	//408 Phonon::Path::~Path()
    {27, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//409 Phonon::SeekSlider::metaObject() const
    {27, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//410 Phonon::SeekSlider::qt_metacast(const char*)
    {27, 531, 15, 2, Smoke::mf_static, 128, 3},	//411 Phonon::SeekSlider::tr(const char*, const char*)
    {27, 535, 15, 2, Smoke::mf_static, 128, 4},	//412 Phonon::SeekSlider::trUtf8(const char*, const char*)
    {27, 531, 18, 3, Smoke::mf_static, 128, 5},	//413 Phonon::SeekSlider::tr(const char*, const char*, int)
    {27, 535, 18, 3, Smoke::mf_static, 128, 6},	//414 Phonon::SeekSlider::trUtf8(const char*, const char*, int)
    {27, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//415 Phonon::SeekSlider::qt_metacall(QMetaObject::Call, int, void**)
    {27, 143, 216, 1, Smoke::mf_ctor, 59, 8},	//416 Phonon::SeekSlider::SeekSlider(QWidget*)
    {27, 143, 218, 2, Smoke::mf_ctor, 59, 9},	//417 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*, QWidget*)
    {27, 289, 0, 0, Smoke::mf_const|Smoke::mf_property, 234, 10},	//418 Phonon::SeekSlider::hasTracking() const
    {27, 493, 33, 1, Smoke::mf_property, 0, 11},	//419 Phonon::SeekSlider::setTracking(bool)
    {27, 371, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 12},	//420 Phonon::SeekSlider::pageStep() const
    {27, 473, 47, 1, Smoke::mf_property, 0, 13},	//421 Phonon::SeekSlider::setPageStep(int)
    {27, 503, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 14},	//422 Phonon::SeekSlider::singleStep() const
    {27, 485, 47, 1, Smoke::mf_property, 0, 15},	//423 Phonon::SeekSlider::setSingleStep(int)
    {27, 366, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 16},	//424 Phonon::SeekSlider::orientation() const
    {27, 307, 0, 0, Smoke::mf_const|Smoke::mf_property, 234, 17},	//425 Phonon::SeekSlider::isIconVisible() const
    {27, 296, 0, 0, Smoke::mf_const|Smoke::mf_property, 127, 18},	//426 Phonon::SeekSlider::iconSize() const
    {27, 323, 0, 0, Smoke::mf_const, 35, 19},	//427 Phonon::SeekSlider::mediaObject() const
    {27, 469, 221, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//428 Phonon::SeekSlider::setOrientation(Qt::Orientation)
    {27, 455, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//429 Phonon::SeekSlider::setIconVisible(bool)
    {27, 453, 223, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//430 Phonon::SeekSlider::setIconSize(const QSize&)
    {27, 459, 111, 1, Smoke::mf_slot, 0, 23},	//431 Phonon::SeekSlider::setMediaObject(Phonon::MediaObject*)
    {27, 531, 13, 1, Smoke::mf_static, 128, 24},	//432 Phonon::SeekSlider::tr(const char*)
    {27, 535, 13, 1, Smoke::mf_static, 128, 25},	//433 Phonon::SeekSlider::trUtf8(const char*)
    {27, 143, 0, 0, Smoke::mf_ctor, 59, 26},	//434 Phonon::SeekSlider::SeekSlider()
    {27, 143, 111, 1, Smoke::mf_ctor, 59, 27},	//435 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    {27, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 28},	//436 Phonon::SeekSlider::staticMetaObject() const
    {27, 572, 0, 0, Smoke::mf_dtor, 0, 29 },	//437 Phonon::SeekSlider::~SeekSlider()
    {28, 553, 35, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//438 Phonon::StreamInterface::writeData(const QByteArray&) [pure virtual]
    {28, 255, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//439 Phonon::StreamInterface::endOfData() [pure virtual]
    {28, 489, 31, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//440 Phonon::StreamInterface::setStreamSize(long long) [pure virtual]
    {28, 487, 33, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//441 Phonon::StreamInterface::setStreamSeekable(bool) [pure virtual]
    {28, 214, 127, 1, 0, 0, 5},	//442 Phonon::StreamInterface::connectToSource(const Phonon::MediaSource&)
    {28, 353, 0, 0, 0, 0, 6},	//443 Phonon::StreamInterface::needData()
    {28, 258, 0, 0, 0, 0, 7},	//444 Phonon::StreamInterface::enoughData()
    {28, 415, 31, 1, 0, 0, 8},	//445 Phonon::StreamInterface::seekStream(long long)
    {28, 406, 0, 0, 0, 0, 9},	//446 Phonon::StreamInterface::reset()
    {28, 148, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 61, 10},	//447 Phonon::StreamInterface::StreamInterface()
    {28, 148, 225, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 11},	//448 Phonon::StreamInterface::StreamInterface(const Phonon::StreamInterface&)
    {28, 573, 0, 0, Smoke::mf_dtor, 0, 12 },	//449 Phonon::StreamInterface::~StreamInterface()
    {29, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//450 Phonon::VideoPlayer::metaObject() const
    {29, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//451 Phonon::VideoPlayer::qt_metacast(const char*)
    {29, 531, 15, 2, Smoke::mf_static, 128, 3},	//452 Phonon::VideoPlayer::tr(const char*, const char*)
    {29, 535, 15, 2, Smoke::mf_static, 128, 4},	//453 Phonon::VideoPlayer::trUtf8(const char*, const char*)
    {29, 531, 18, 3, Smoke::mf_static, 128, 5},	//454 Phonon::VideoPlayer::tr(const char*, const char*, int)
    {29, 535, 18, 3, Smoke::mf_static, 128, 6},	//455 Phonon::VideoPlayer::trUtf8(const char*, const char*, int)
    {29, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//456 Phonon::VideoPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {29, 162, 227, 2, Smoke::mf_ctor, 65, 8},	//457 Phonon::VideoPlayer::VideoPlayer(Phonon::Category, QWidget*)
    {29, 162, 216, 1, Smoke::mf_ctor, 65, 9},	//458 Phonon::VideoPlayer::VideoPlayer(QWidget*)
    {29, 528, 0, 0, Smoke::mf_const, 278, 10},	//459 Phonon::VideoPlayer::totalTime() const
    {29, 230, 0, 0, Smoke::mf_const, 278, 11},	//460 Phonon::VideoPlayer::currentTime() const
    {29, 547, 0, 0, Smoke::mf_const, 275, 12},	//461 Phonon::VideoPlayer::volume() const
    {29, 312, 0, 0, Smoke::mf_const, 234, 13},	//462 Phonon::VideoPlayer::isPlaying() const
    {29, 311, 0, 0, Smoke::mf_const, 234, 14},	//463 Phonon::VideoPlayer::isPaused() const
    {29, 323, 0, 0, Smoke::mf_const, 35, 15},	//464 Phonon::VideoPlayer::mediaObject() const
    {29, 181, 0, 0, Smoke::mf_const, 12, 16},	//465 Phonon::VideoPlayer::audioOutput() const
    {29, 546, 0, 0, Smoke::mf_const, 66, 17},	//466 Phonon::VideoPlayer::videoWidget() const
    {29, 319, 127, 1, Smoke::mf_slot, 0, 18},	//467 Phonon::VideoPlayer::load(const Phonon::MediaSource&)
    {29, 380, 127, 1, Smoke::mf_slot, 0, 19},	//468 Phonon::VideoPlayer::play(const Phonon::MediaSource&)
    {29, 380, 0, 0, Smoke::mf_slot, 0, 20},	//469 Phonon::VideoPlayer::play()
    {29, 378, 0, 0, Smoke::mf_slot, 0, 21},	//470 Phonon::VideoPlayer::pause()
    {29, 512, 0, 0, Smoke::mf_slot, 0, 22},	//471 Phonon::VideoPlayer::stop()
    {29, 413, 135, 1, Smoke::mf_slot, 0, 23},	//472 Phonon::VideoPlayer::seek(qint64)
    {29, 498, 230, 1, Smoke::mf_slot, 0, 24},	//473 Phonon::VideoPlayer::setVolume(float)
    {29, 280, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//474 Phonon::VideoPlayer::finished()
    {29, 268, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 234, 26},	//475 Phonon::VideoPlayer::event(QEvent*)
    {29, 531, 13, 1, Smoke::mf_static, 128, 27},	//476 Phonon::VideoPlayer::tr(const char*)
    {29, 535, 13, 1, Smoke::mf_static, 128, 28},	//477 Phonon::VideoPlayer::trUtf8(const char*)
    {29, 162, 1, 1, Smoke::mf_ctor, 65, 29},	//478 Phonon::VideoPlayer::VideoPlayer(Phonon::Category)
    {29, 162, 0, 0, Smoke::mf_ctor, 65, 30},	//479 Phonon::VideoPlayer::VideoPlayer()
    {29, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 31},	//480 Phonon::VideoPlayer::staticMetaObject() const
    {29, 574, 0, 0, Smoke::mf_dtor, 0, 32 },	//481 Phonon::VideoPlayer::~VideoPlayer()
    {30, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//482 Phonon::VideoWidget::metaObject() const
    {30, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//483 Phonon::VideoWidget::qt_metacast(const char*)
    {30, 531, 15, 2, Smoke::mf_static, 128, 3},	//484 Phonon::VideoWidget::tr(const char*, const char*)
    {30, 535, 15, 2, Smoke::mf_static, 128, 4},	//485 Phonon::VideoWidget::trUtf8(const char*, const char*)
    {30, 531, 18, 3, Smoke::mf_static, 128, 5},	//486 Phonon::VideoWidget::tr(const char*, const char*, int)
    {30, 535, 18, 3, Smoke::mf_static, 128, 6},	//487 Phonon::VideoWidget::trUtf8(const char*, const char*, int)
    {30, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//488 Phonon::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {30, 167, 216, 1, Smoke::mf_ctor, 66, 8},	//489 Phonon::VideoWidget::VideoWidget(QWidget*)
    {30, 179, 0, 0, Smoke::mf_const|Smoke::mf_property, 67, 9},	//490 Phonon::VideoWidget::aspectRatio() const
    {30, 412, 0, 0, Smoke::mf_const|Smoke::mf_property, 68, 10},	//491 Phonon::VideoWidget::scaleMode() const
    {30, 200, 0, 0, Smoke::mf_const, 274, 11},	//492 Phonon::VideoWidget::brightness() const
    {30, 217, 0, 0, Smoke::mf_const, 274, 12},	//493 Phonon::VideoWidget::contrast() const
    {30, 295, 0, 0, Smoke::mf_const, 274, 13},	//494 Phonon::VideoWidget::hue() const
    {30, 411, 0, 0, Smoke::mf_const, 274, 14},	//495 Phonon::VideoWidget::saturation() const
    {30, 506, 0, 0, Smoke::mf_const, 94, 15},	//496 Phonon::VideoWidget::snapshot() const
    {30, 449, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//497 Phonon::VideoWidget::setFullScreen(bool)
    {30, 271, 0, 0, Smoke::mf_slot, 0, 17},	//498 Phonon::VideoWidget::exitFullScreen()
    {30, 263, 0, 0, Smoke::mf_slot, 0, 18},	//499 Phonon::VideoWidget::enterFullScreen()
    {30, 419, 234, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//500 Phonon::VideoWidget::setAspectRatio(Phonon::VideoWidget::AspectRatio)
    {30, 483, 236, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//501 Phonon::VideoWidget::setScaleMode(Phonon::VideoWidget::ScaleMode)
    {30, 427, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//502 Phonon::VideoWidget::setBrightness(qreal)
    {30, 429, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//503 Phonon::VideoWidget::setContrast(qreal)
    {30, 451, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//504 Phonon::VideoWidget::setHue(qreal)
    {30, 481, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//505 Phonon::VideoWidget::setSaturation(qreal)
    {30, 167, 238, 2, Smoke::mf_ctor|Smoke::mf_protected, 66, 25},	//506 Phonon::VideoWidget::VideoWidget(Phonon::VideoWidgetPrivate&, QWidget*)
    {30, 338, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//507 Phonon::VideoWidget::mouseMoveEvent(QMouseEvent*)
    {30, 268, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 234, 27},	//508 Phonon::VideoWidget::event(QEvent*)
    {30, 531, 13, 1, Smoke::mf_static, 128, 28},	//509 Phonon::VideoWidget::tr(const char*)
    {30, 535, 13, 1, Smoke::mf_static, 128, 29},	//510 Phonon::VideoWidget::trUtf8(const char*)
    {30, 167, 0, 0, Smoke::mf_ctor, 66, 30},	//511 Phonon::VideoWidget::VideoWidget()
    {30, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 31},	//512 Phonon::VideoWidget::staticMetaObject() const
    {30, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 32},	//513 Phonon::VideoWidget::AspectRatioAuto (enum)
    {30, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 33},	//514 Phonon::VideoWidget::AspectRatioWidget (enum)
    {30, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 34},	//515 Phonon::VideoWidget::AspectRatio4_3 (enum)
    {30, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 35},	//516 Phonon::VideoWidget::AspectRatio16_9 (enum)
    {30, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 36},	//517 Phonon::VideoWidget::FitInView (enum)
    {30, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 37},	//518 Phonon::VideoWidget::ScaleAndCrop (enum)
    {30, 575, 0, 0, Smoke::mf_dtor, 0, 38 },	//519 Phonon::VideoWidget::~VideoWidget()
    {32, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//520 Phonon::VolumeFaderEffect::metaObject() const
    {32, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//521 Phonon::VolumeFaderEffect::qt_metacast(const char*)
    {32, 531, 15, 2, Smoke::mf_static, 128, 3},	//522 Phonon::VolumeFaderEffect::tr(const char*, const char*)
    {32, 535, 15, 2, Smoke::mf_static, 128, 4},	//523 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*)
    {32, 531, 18, 3, Smoke::mf_static, 128, 5},	//524 Phonon::VolumeFaderEffect::tr(const char*, const char*, int)
    {32, 535, 18, 3, Smoke::mf_static, 128, 6},	//525 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*, int)
    {32, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//526 Phonon::VolumeFaderEffect::qt_metacall(QMetaObject::Call, int, void**)
    {32, 170, 29, 1, Smoke::mf_ctor, 70, 8},	//527 Phonon::VolumeFaderEffect::VolumeFaderEffect(QObject*)
    {32, 547, 0, 0, Smoke::mf_const|Smoke::mf_property, 275, 9},	//528 Phonon::VolumeFaderEffect::volume() const
    {32, 550, 0, 0, Smoke::mf_const|Smoke::mf_property, 274, 10},	//529 Phonon::VolumeFaderEffect::volumeDecibel() const
    {32, 272, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 11},	//530 Phonon::VolumeFaderEffect::fadeCurve() const
    {32, 273, 47, 1, Smoke::mf_slot, 0, 12},	//531 Phonon::VolumeFaderEffect::fadeIn(int)
    {32, 275, 47, 1, Smoke::mf_slot, 0, 13},	//532 Phonon::VolumeFaderEffect::fadeOut(int)
    {32, 498, 230, 1, Smoke::mf_property|Smoke::mf_slot, 0, 14},	//533 Phonon::VolumeFaderEffect::setVolume(float)
    {32, 500, 243, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//534 Phonon::VolumeFaderEffect::setVolumeDecibel(double)
    {32, 447, 245, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//535 Phonon::VolumeFaderEffect::setFadeCurve(Phonon::VolumeFaderEffect::FadeCurve)
    {32, 277, 247, 2, Smoke::mf_slot, 0, 17},	//536 Phonon::VolumeFaderEffect::fadeTo(float, int)
    {32, 531, 13, 1, Smoke::mf_static, 128, 18},	//537 Phonon::VolumeFaderEffect::tr(const char*)
    {32, 535, 13, 1, Smoke::mf_static, 128, 19},	//538 Phonon::VolumeFaderEffect::trUtf8(const char*)
    {32, 170, 0, 0, Smoke::mf_ctor, 70, 20},	//539 Phonon::VolumeFaderEffect::VolumeFaderEffect()
    {32, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 21},	//540 Phonon::VolumeFaderEffect::staticMetaObject() const
    {32, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 22},	//541 Phonon::VolumeFaderEffect::Fade3Decibel (enum)
    {32, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 23},	//542 Phonon::VolumeFaderEffect::Fade6Decibel (enum)
    {32, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 24},	//543 Phonon::VolumeFaderEffect::Fade9Decibel (enum)
    {32, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 25},	//544 Phonon::VolumeFaderEffect::Fade12Decibel (enum)
    {32, 576, 0, 0, Smoke::mf_dtor, 0, 26 },	//545 Phonon::VolumeFaderEffect::~VolumeFaderEffect()
    {33, 327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//546 Phonon::VolumeSlider::metaObject() const
    {33, 394, 13, 1, Smoke::mf_virtual, 284, 2},	//547 Phonon::VolumeSlider::qt_metacast(const char*)
    {33, 531, 15, 2, Smoke::mf_static, 128, 3},	//548 Phonon::VolumeSlider::tr(const char*, const char*)
    {33, 535, 15, 2, Smoke::mf_static, 128, 4},	//549 Phonon::VolumeSlider::trUtf8(const char*, const char*)
    {33, 531, 18, 3, Smoke::mf_static, 128, 5},	//550 Phonon::VolumeSlider::tr(const char*, const char*, int)
    {33, 535, 18, 3, Smoke::mf_static, 128, 6},	//551 Phonon::VolumeSlider::trUtf8(const char*, const char*, int)
    {33, 392, 22, 3, Smoke::mf_virtual, 276, 7},	//552 Phonon::VolumeSlider::qt_metacall(QMetaObject::Call, int, void**)
    {33, 172, 216, 1, Smoke::mf_ctor, 72, 8},	//553 Phonon::VolumeSlider::VolumeSlider(QWidget*)
    {33, 172, 250, 2, Smoke::mf_ctor, 72, 9},	//554 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*, QWidget*)
    {33, 289, 0, 0, Smoke::mf_const|Smoke::mf_property, 234, 10},	//555 Phonon::VolumeSlider::hasTracking() const
    {33, 493, 33, 1, Smoke::mf_property, 0, 11},	//556 Phonon::VolumeSlider::setTracking(bool)
    {33, 371, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 12},	//557 Phonon::VolumeSlider::pageStep() const
    {33, 473, 47, 1, Smoke::mf_property, 0, 13},	//558 Phonon::VolumeSlider::setPageStep(int)
    {33, 503, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 14},	//559 Phonon::VolumeSlider::singleStep() const
    {33, 485, 47, 1, Smoke::mf_property, 0, 15},	//560 Phonon::VolumeSlider::setSingleStep(int)
    {33, 309, 0, 0, Smoke::mf_const|Smoke::mf_property, 234, 16},	//561 Phonon::VolumeSlider::isMuteVisible() const
    {33, 296, 0, 0, Smoke::mf_const|Smoke::mf_property, 127, 17},	//562 Phonon::VolumeSlider::iconSize() const
    {33, 322, 0, 0, Smoke::mf_const, 274, 18},	//563 Phonon::VolumeSlider::maximumVolume() const
    {33, 366, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 19},	//564 Phonon::VolumeSlider::orientation() const
    {33, 181, 0, 0, Smoke::mf_const, 12, 20},	//565 Phonon::VolumeSlider::audioOutput() const
    {33, 457, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//566 Phonon::VolumeSlider::setMaximumVolume(qreal)
    {33, 469, 221, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//567 Phonon::VolumeSlider::setOrientation(Qt::Orientation)
    {33, 463, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//568 Phonon::VolumeSlider::setMuteVisible(bool)
    {33, 453, 223, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//569 Phonon::VolumeSlider::setIconSize(const QSize&)
    {33, 421, 253, 1, Smoke::mf_slot, 0, 25},	//570 Phonon::VolumeSlider::setAudioOutput(Phonon::AudioOutput*)
    {33, 531, 13, 1, Smoke::mf_static, 128, 26},	//571 Phonon::VolumeSlider::tr(const char*)
    {33, 535, 13, 1, Smoke::mf_static, 128, 27},	//572 Phonon::VolumeSlider::trUtf8(const char*)
    {33, 172, 0, 0, Smoke::mf_ctor, 72, 28},	//573 Phonon::VolumeSlider::VolumeSlider()
    {33, 172, 253, 1, Smoke::mf_ctor, 72, 29},	//574 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    {33, 511, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 30},	//575 Phonon::VolumeSlider::staticMetaObject() const
    {33, 577, 0, 0, Smoke::mf_dtor, 0, 31 },	//576 Phonon::VolumeSlider::~VolumeSlider()
    {48, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 1},	//577 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {48, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 2},	//578 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {48, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 3},	//579 QGlobalSpace::Q_STATIC_TYPE (enum)
    {48, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 4},	//580 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {48, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 5},	//581 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {48, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 6},	//582 QGlobalSpace::LicensedGui (enum)
    {48, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 7},	//583 QGlobalSpace::LicensedXml (enum)
    {48, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 8},	//584 QGlobalSpace::LicensedQt3SupportLight (enum)
    {48, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 9},	//585 QGlobalSpace::LicensedScript (enum)
    {48, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 10},	//586 QGlobalSpace::LicensedOpenVG (enum)
    {48, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 11},	//587 QGlobalSpace::LicensedDBus (enum)
    {48, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 12},	//588 QGlobalSpace::LicensedTest (enum)
    {48, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 13},	//589 QGlobalSpace::LicensedActiveQt (enum)
    {48, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 14},	//590 QGlobalSpace::LicensedScriptTools (enum)
    {48, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 15},	//591 QGlobalSpace::LicensedSvg (enum)
    {48, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 16},	//592 QGlobalSpace::LicensedDeclarative (enum)
    {48, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 17},	//593 QGlobalSpace::LicensedSql (enum)
    {48, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 18},	//594 QGlobalSpace::LicensedOpenGL (enum)
    {48, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 19},	//595 QGlobalSpace::LicensedCore (enum)
    {48, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 20},	//596 QGlobalSpace::QtDebugMsg (enum)
    {48, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 21},	//597 QGlobalSpace::QtWarningMsg (enum)
    {48, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 22},	//598 QGlobalSpace::QtCriticalMsg (enum)
    {48, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 23},	//599 QGlobalSpace::QtFatalMsg (enum)
    {48, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 24},	//600 QGlobalSpace::QtSystemMsg (enum)
    {48, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 25},	//601 QGlobalSpace::LicensedHelp (enum)
    {48, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 26},	//602 QGlobalSpace::LicensedMultimedia (enum)
    {48, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 27},	//603 QGlobalSpace::LicensedQt3Support (enum)
    {48, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 28},	//604 QGlobalSpace::LicensedXmlPatterns (enum)
    {48, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 29},	//605 QGlobalSpace::LicensedNetwork (enum)
    {59, 268, 232, 1, Smoke::mf_virtual, 234, 0},	//606 QObject::event(QEvent*)
    {59, 270, 255, 2, Smoke::mf_virtual, 234, 0},	//607 QObject::eventFilter(QObject*, QEvent*)
    {59, 523, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//608 QObject::timerEvent(QTimerEvent*)
    {59, 209, 260, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//609 QObject::childEvent(QChildEvent*)
    {59, 232, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//610 QObject::customEvent(QEvent*)
    {59, 213, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//611 QObject::connectNotify(const char*)
    {59, 246, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//612 QObject::disconnectNotify(const char*)
    {74, 241, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//613 QWidget::devType() const
    {74, 497, 33, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//614 QWidget::setVisible(bool)
    {74, 505, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 127, 0},	//615 QWidget::sizeHint() const
    {74, 333, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 127, 0},	//616 QWidget::minimumSizeHint() const
    {74, 293, 47, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//617 QWidget::heightForWidth(int) const
    {74, 372, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 121, 0},	//618 QWidget::paintEngine() const
    {74, 268, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 234, 0},	//619 QWidget::event(QEvent*)
    {74, 340, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//620 QWidget::mousePressEvent(QMouseEvent*)
    {74, 341, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//621 QWidget::mouseReleaseEvent(QMouseEvent*)
    {74, 337, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//622 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {74, 338, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//623 QWidget::mouseMoveEvent(QMouseEvent*)
    {74, 551, 262, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//624 QWidget::wheelEvent(QWheelEvent*)
    {74, 315, 264, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//625 QWidget::keyPressEvent(QKeyEvent*)
    {74, 316, 264, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//626 QWidget::keyReleaseEvent(QKeyEvent*)
    {74, 283, 266, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//627 QWidget::focusInEvent(QFocusEvent*)
    {74, 285, 266, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//628 QWidget::focusOutEvent(QFocusEvent*)
    {74, 262, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//629 QWidget::enterEvent(QEvent*)
    {74, 318, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//630 QWidget::leaveEvent(QEvent*)
    {74, 373, 268, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//631 QWidget::paintEvent(QPaintEvent*)
    {74, 344, 270, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//632 QWidget::moveEvent(QMoveEvent*)
    {74, 407, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//633 QWidget::resizeEvent(QResizeEvent*)
    {74, 212, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//634 QWidget::closeEvent(QCloseEvent*)
    {74, 216, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//635 QWidget::contextMenuEvent(QContextMenuEvent*)
    {74, 519, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//636 QWidget::tabletEvent(QTabletEvent*)
    {74, 176, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//637 QWidget::actionEvent(QActionEvent*)
    {74, 247, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//638 QWidget::dragEnterEvent(QDragEnterEvent*)
    {74, 249, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//639 QWidget::dragMoveEvent(QDragMoveEvent*)
    {74, 248, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//640 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {74, 250, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//641 QWidget::dropEvent(QDropEvent*)
    {74, 502, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//642 QWidget::showEvent(QShowEvent*)
    {74, 294, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//643 QWidget::hideEvent(QHideEvent*)
    {74, 555, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 234, 0},	//644 QWidget::x11Event(_XEvent*)
    {74, 206, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//645 QWidget::changeEvent(QEvent*)
    {74, 328, 296, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 276, 0},	//646 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {74, 299, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//647 QWidget::inputMethodEvent(QInputMethodEvent*)
    {74, 300, 300, 1, Smoke::mf_const|Smoke::mf_virtual, 136, 0},	//648 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {74, 284, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 234, 0},	//649 QWidget::focusNextPrevChild(bool)
    {74, 516, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//650 QWidget::styleChange(QStyle&)
    {74, 254, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//651 QWidget::enabledChange(bool)
    {74, 374, 304, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//652 QWidget::paletteChange(const QPalette&)
    {74, 286, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//653 QWidget::fontChange(const QFont&)
    {74, 552, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//654 QWidget::windowActivationChange(bool)
    {74, 317, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//655 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    350,  // Phonon::Mrl::Mrl(const Phonon::Mrl&)
    351,  // Phonon::Mrl::Mrl(const QUrl&)
    0,
    416,  // Phonon::SeekSlider::SeekSlider(QWidget*)
    435,  // Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    0,
    366,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    368,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    0,
    1,  // Phonon::categoryToString(Phonon::Category)
    5,  // Phonon::categoryToString(Phonon::CaptureCategory)
    0,
    386,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    387,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    0,
    553,  // Phonon::VolumeSlider::VolumeSlider(QWidget*)
    574,  // Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    0,
    281,  // Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    282,  // Phonon::MediaObject::enqueue(const QList<QUrl>&)
    0,
    270,  // Phonon::MediaObject::metaData(const QString&) const
    271,  // Phonon::MediaObject::metaData(Phonon::MetaData) const
    0,
    278,  // Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    279,  // Phonon::MediaObject::setQueue(const QList<QUrl>&)
    0,
    315,  // Phonon::MediaSource::MediaSource(const QUrl&)
    320,  // Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    321,  // Phonon::MediaSource::MediaSource(QIODevice*)
    322,  // Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    337,  // Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    0,
    314,  // Phonon::MediaSource::MediaSource(const QString&)
    339,  // Phonon::MediaSource::MediaSource(Phonon::DiscType)
    340,  // Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType)
    0,
    316,  // Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    319,  // Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType, Phonon::CaptureCategory)
    0,
    317,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    318,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    338,  // Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    0,
    255,  // Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    256,  // Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    0,
    85,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    86,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 8, 40},	// Phonon::AccessibilityCategory
    {1, 9, 10},	// Phonon::AlbumMetaData
    {1, 12, 9},	// Phonon::ArtistMetaData
    {1, 17, 21},	// Phonon::AudioCaptureDeviceType
    {1, 18, 19},	// Phonon::AudioChannelType
    {1, 26, 17},	// Phonon::AudioOutputDeviceType
    {1, 28, 45},	// Phonon::BufferingState
    {1, 30, 24},	// Phonon::Cd
    {1, 34, 28},	// Phonon::CommunicationCaptureCategory
    {1, 35, 38},	// Phonon::CommunicationCategory
    {1, 36, 30},	// Phonon::ControlCaptureCategory
    {1, 37, 12},	// Phonon::DateMetaData
    {1, 38, 15},	// Phonon::DescriptionMetaData
    {1, 42, 25},	// Phonon::Dvd
    {1, 54, 18},	// Phonon::EffectType
    {1, 59, 47},	// Phonon::ErrorState
    {1, 64, 33},	// Phonon::FatalError
    {1, 66, 39},	// Phonon::GameCategory
    {1, 67, 13},	// Phonon::GenreMetaData
    {1, 71, 41},	// Phonon::LastCategory
    {1, 93, 42},	// Phonon::LoadingState
    {1, 110, 16},	// Phonon::MusicBrainzDiscIdMetaData
    {1, 111, 36},	// Phonon::MusicCategory
    {1, 113, 27},	// Phonon::NoCaptureCategory
    {1, 114, 34},	// Phonon::NoCategory
    {1, 115, 23},	// Phonon::NoDisc
    {1, 116, 31},	// Phonon::NoError
    {1, 117, 32},	// Phonon::NormalError
    {1, 118, 35},	// Phonon::NotificationCategory
    {1, 126, 46},	// Phonon::PausedState
    {1, 127, 44},	// Phonon::PlayingState
    {1, 138, 29},	// Phonon::RecordingCaptureCategory
    {1, 146, 43},	// Phonon::StoppedState
    {1, 151, 20},	// Phonon::SubtitleType
    {1, 154, 11},	// Phonon::TitleMetaData
    {1, 157, 14},	// Phonon::TracknumberMetaData
    {1, 159, 26},	// Phonon::Vcd
    {1, 160, 22},	// Phonon::VideoCaptureDeviceType
    {1, 161, 37},	// Phonon::VideoCategory
    {1, 205, -10},	// Phonon::categoryToString$
    {1, 219, 6},	// Phonon::createPath##
    {1, 221, 8},	// Phonon::createPlayer$
    {1, 222, 7},	// Phonon::createPlayer$#
    {1, 379, 2},	// Phonon::phononVersion
    {1, 391, 3},	// Phonon::qHash#
    {1, 399, 4},	// Phonon::registerMetaTypes
    {2, 2, 55},	// Phonon::AbstractAudioOutput::AbstractAudioOutput##
    {2, 327, 48},	// Phonon::AbstractAudioOutput::metaObject
    {2, 393, 54},	// Phonon::AbstractAudioOutput::qt_metacall$$?
    {2, 395, 49},	// Phonon::AbstractAudioOutput::qt_metacast$
    {2, 511, 58},	// Phonon::AbstractAudioOutput::staticMetaObject
    {2, 532, 56},	// Phonon::AbstractAudioOutput::tr$
    {2, 533, 50},	// Phonon::AbstractAudioOutput::tr$$
    {2, 534, 52},	// Phonon::AbstractAudioOutput::tr$$$
    {2, 536, 57},	// Phonon::AbstractAudioOutput::trUtf8$
    {2, 537, 51},	// Phonon::AbstractAudioOutput::trUtf8$$
    {2, 538, 53},	// Phonon::AbstractAudioOutput::trUtf8$$$
    {2, 556, 59},	// Phonon::AbstractAudioOutput::~AbstractAudioOutput
    {4, 3, 82},	// Phonon::AbstractMediaStream::AbstractMediaStream
    {4, 4, 67},	// Phonon::AbstractMediaStream::AbstractMediaStream#
    {4, 5, 79},	// Phonon::AbstractMediaStream::AbstractMediaStream##
    {4, 255, 73},	// Phonon::AbstractMediaStream::endOfData
    {4, 258, 77},	// Phonon::AbstractMediaStream::enoughData
    {4, 265, 74},	// Phonon::AbstractMediaStream::error$$
    {4, 327, 60},	// Phonon::AbstractMediaStream::metaObject
    {4, 353, 76},	// Phonon::AbstractMediaStream::needData
    {4, 393, 66},	// Phonon::AbstractMediaStream::qt_metacall$$?
    {4, 395, 61},	// Phonon::AbstractMediaStream::qt_metacast$
    {4, 406, 75},	// Phonon::AbstractMediaStream::reset
    {4, 416, 78},	// Phonon::AbstractMediaStream::seekStream$
    {4, 488, 71},	// Phonon::AbstractMediaStream::setStreamSeekable$
    {4, 490, 69},	// Phonon::AbstractMediaStream::setStreamSize$
    {4, 511, 83},	// Phonon::AbstractMediaStream::staticMetaObject
    {4, 514, 70},	// Phonon::AbstractMediaStream::streamSeekable
    {4, 515, 68},	// Phonon::AbstractMediaStream::streamSize
    {4, 532, 80},	// Phonon::AbstractMediaStream::tr$
    {4, 533, 62},	// Phonon::AbstractMediaStream::tr$$
    {4, 534, 64},	// Phonon::AbstractMediaStream::tr$$$
    {4, 536, 81},	// Phonon::AbstractMediaStream::trUtf8$
    {4, 537, 63},	// Phonon::AbstractMediaStream::trUtf8$$
    {4, 538, 65},	// Phonon::AbstractMediaStream::trUtf8$$$
    {4, 554, 72},	// Phonon::AbstractMediaStream::writeData#
    {4, 557, 84},	// Phonon::AbstractMediaStream::~AbstractMediaStream
    {6, 7, -48},	// Phonon::AbstractVideoOutput::AbstractVideoOutput#
    {6, 558, 87},	// Phonon::AbstractVideoOutput::~AbstractVideoOutput
    {8, 19, 103},	// Phonon::AudioDataOutput::AudioDataOutput
    {8, 20, 95},	// Phonon::AudioDataOutput::AudioDataOutput#
    {8, 31, 107},	// Phonon::AudioDataOutput::CenterChannel
    {8, 72, 105},	// Phonon::AudioDataOutput::LeftChannel
    {8, 73, 108},	// Phonon::AudioDataOutput::LeftSurroundChannel
    {8, 139, 106},	// Phonon::AudioDataOutput::RightChannel
    {8, 140, 109},	// Phonon::AudioDataOutput::RightSurroundChannel
    {8, 152, 110},	// Phonon::AudioDataOutput::SubwooferChannel
    {8, 237, 99},	// Phonon::AudioDataOutput::dataReady?
    {8, 238, 96},	// Phonon::AudioDataOutput::dataSize
    {8, 257, 100},	// Phonon::AudioDataOutput::endOfMedia$
    {8, 327, 88},	// Phonon::AudioDataOutput::metaObject
    {8, 393, 94},	// Phonon::AudioDataOutput::qt_metacall$$?
    {8, 395, 89},	// Phonon::AudioDataOutput::qt_metacast$
    {8, 410, 97},	// Phonon::AudioDataOutput::sampleRate
    {8, 446, 98},	// Phonon::AudioDataOutput::setDataSize$
    {8, 511, 104},	// Phonon::AudioDataOutput::staticMetaObject
    {8, 532, 101},	// Phonon::AudioDataOutput::tr$
    {8, 533, 90},	// Phonon::AudioDataOutput::tr$$
    {8, 534, 92},	// Phonon::AudioDataOutput::tr$$$
    {8, 536, 102},	// Phonon::AudioDataOutput::trUtf8$
    {8, 537, 91},	// Phonon::AudioDataOutput::trUtf8$$
    {8, 538, 93},	// Phonon::AudioDataOutput::trUtf8$$$
    {8, 559, 111},	// Phonon::AudioDataOutput::~AudioDataOutput
    {9, 22, 138},	// Phonon::AudioOutput::AudioOutput
    {9, 23, 120},	// Phonon::AudioOutput::AudioOutput#
    {9, 24, 137},	// Phonon::AudioOutput::AudioOutput$
    {9, 25, 119},	// Phonon::AudioOutput::AudioOutput$#
    {9, 203, 124},	// Phonon::AudioOutput::category
    {9, 310, 126},	// Phonon::AudioOutput::isMuted
    {9, 327, 112},	// Phonon::AudioOutput::metaObject
    {9, 349, 133},	// Phonon::AudioOutput::mutedChanged$
    {9, 350, 121},	// Phonon::AudioOutput::name
    {9, 367, 125},	// Phonon::AudioOutput::outputDevice
    {9, 369, 134},	// Phonon::AudioOutput::outputDeviceChanged?
    {9, 393, 118},	// Phonon::AudioOutput::qt_metacall$$?
    {9, 395, 113},	// Phonon::AudioOutput::qt_metacast$
    {9, 466, 131},	// Phonon::AudioOutput::setMuted$
    {9, 468, 127},	// Phonon::AudioOutput::setName$
    {9, 472, 130},	// Phonon::AudioOutput::setOutputDevice?
    {9, 499, 128},	// Phonon::AudioOutput::setVolume$
    {9, 501, 129},	// Phonon::AudioOutput::setVolumeDecibel$
    {9, 511, 139},	// Phonon::AudioOutput::staticMetaObject
    {9, 532, 135},	// Phonon::AudioOutput::tr$
    {9, 533, 114},	// Phonon::AudioOutput::tr$$
    {9, 534, 116},	// Phonon::AudioOutput::tr$$$
    {9, 536, 136},	// Phonon::AudioOutput::trUtf8$
    {9, 537, 115},	// Phonon::AudioOutput::trUtf8$$
    {9, 538, 117},	// Phonon::AudioOutput::trUtf8$$$
    {9, 547, 122},	// Phonon::AudioOutput::volume
    {9, 549, 132},	// Phonon::AudioOutput::volumeChanged$
    {9, 550, 123},	// Phonon::AudioOutput::volumeDecibel
    {9, 560, 140},	// Phonon::AudioOutput::~AudioOutput
    {11, 27, 141},	// Phonon::Capture::AudioType
    {11, 166, 142},	// Phonon::Capture::VideoType
    {12, 44, 155},	// Phonon::Effect::Effect##
    {12, 45, 158},	// Phonon::Effect::Effect?
    {12, 46, 150},	// Phonon::Effect::Effect?#
    {12, 240, 151},	// Phonon::Effect::description
    {12, 327, 143},	// Phonon::Effect::metaObject
    {12, 376, 153},	// Phonon::Effect::parameterValue#
    {12, 377, 152},	// Phonon::Effect::parameters
    {12, 393, 149},	// Phonon::Effect::qt_metacall$$?
    {12, 395, 144},	// Phonon::Effect::qt_metacast$
    {12, 476, 154},	// Phonon::Effect::setParameterValue##
    {12, 511, 159},	// Phonon::Effect::staticMetaObject
    {12, 532, 156},	// Phonon::Effect::tr$
    {12, 533, 145},	// Phonon::Effect::tr$$
    {12, 534, 147},	// Phonon::Effect::tr$$$
    {12, 536, 157},	// Phonon::Effect::trUtf8$
    {12, 537, 146},	// Phonon::Effect::trUtf8$$
    {12, 538, 148},	// Phonon::Effect::trUtf8$$$
    {12, 561, 160},	// Phonon::Effect::~Effect
    {13, 47, 161},	// Phonon::EffectParameter::EffectParameter
    {13, 48, 173},	// Phonon::EffectParameter::EffectParameter#
    {13, 49, 177},	// Phonon::EffectParameter::EffectParameter$$$#
    {13, 50, 178},	// Phonon::EffectParameter::EffectParameter$$$##
    {13, 51, 179},	// Phonon::EffectParameter::EffectParameter$$$###
    {13, 52, 180},	// Phonon::EffectParameter::EffectParameter$$$###?
    {13, 53, 175},	// Phonon::EffectParameter::EffectParameter$$$###?$
    {13, 69, 183},	// Phonon::EffectParameter::IntegerHint
    {13, 95, 182},	// Phonon::EffectParameter::LogarithmicHint
    {13, 156, 181},	// Phonon::EffectParameter::ToggledHint
    {13, 239, 168},	// Phonon::EffectParameter::defaultValue
    {13, 240, 163},	// Phonon::EffectParameter::description
    {13, 297, 176},	// Phonon::EffectParameter::id
    {13, 308, 165},	// Phonon::EffectParameter::isLogarithmicControl
    {13, 321, 167},	// Phonon::EffectParameter::maximumValue
    {13, 334, 166},	// Phonon::EffectParameter::minimumValue
    {13, 350, 162},	// Phonon::EffectParameter::name
    {13, 358, 170},	// Phonon::EffectParameter::operator<#
    {13, 360, 174},	// Phonon::EffectParameter::operator=#
    {13, 363, 172},	// Phonon::EffectParameter::operator==#
    {13, 365, 171},	// Phonon::EffectParameter::operator>#
    {13, 382, 169},	// Phonon::EffectParameter::possibleValues
    {13, 543, 164},	// Phonon::EffectParameter::type
    {13, 562, 184},	// Phonon::EffectParameter::~EffectParameter
    {15, 56, 195},	// Phonon::EffectWidget::EffectWidget#
    {15, 57, 192},	// Phonon::EffectWidget::EffectWidget##
    {15, 327, 185},	// Phonon::EffectWidget::metaObject
    {15, 393, 191},	// Phonon::EffectWidget::qt_metacall$$?
    {15, 395, 186},	// Phonon::EffectWidget::qt_metacast$
    {15, 511, 196},	// Phonon::EffectWidget::staticMetaObject
    {15, 532, 193},	// Phonon::EffectWidget::tr$
    {15, 533, 187},	// Phonon::EffectWidget::tr$$
    {15, 534, 189},	// Phonon::EffectWidget::tr$$$
    {15, 536, 194},	// Phonon::EffectWidget::trUtf8$
    {15, 537, 188},	// Phonon::EffectWidget::trUtf8$$
    {15, 538, 190},	// Phonon::EffectWidget::trUtf8$$$
    {15, 563, 197},	// Phonon::EffectWidget::~EffectWidget
    {16, 10, 250},	// Phonon::MediaController::AngleMenu
    {16, 11, 241},	// Phonon::MediaController::Angles
    {16, 21, 247},	// Phonon::MediaController::AudioMenu
    {16, 32, 249},	// Phonon::MediaController::ChapterMenu
    {16, 33, 242},	// Phonon::MediaController::Chapters
    {16, 97, 205},	// Phonon::MediaController::MediaController#
    {16, 112, 243},	// Phonon::MediaController::Navigations
    {16, 141, 245},	// Phonon::MediaController::RootMenu
    {16, 150, 248},	// Phonon::MediaController::SubtitleMenu
    {16, 153, 246},	// Phonon::MediaController::TitleMenu
    {16, 155, 244},	// Phonon::MediaController::Titles
    {16, 178, 235},	// Phonon::MediaController::angleChanged$
    {16, 183, 215},	// Phonon::MediaController::autoplayTitles
    {16, 184, 207},	// Phonon::MediaController::availableAngles
    {16, 186, 229},	// Phonon::MediaController::availableAnglesChanged$
    {16, 187, 218},	// Phonon::MediaController::availableAudioChannels
    {16, 188, 230},	// Phonon::MediaController::availableAudioChannelsChanged
    {16, 189, 209},	// Phonon::MediaController::availableChapters
    {16, 191, 231},	// Phonon::MediaController::availableChaptersChanged$
    {16, 192, 212},	// Phonon::MediaController::availableMenus
    {16, 194, 232},	// Phonon::MediaController::availableMenusChanged?
    {16, 195, 219},	// Phonon::MediaController::availableSubtitles
    {16, 196, 233},	// Phonon::MediaController::availableSubtitlesChanged
    {16, 197, 213},	// Phonon::MediaController::availableTitles
    {16, 199, 234},	// Phonon::MediaController::availableTitlesChanged$
    {16, 208, 236},	// Phonon::MediaController::chapterChanged$
    {16, 223, 208},	// Phonon::MediaController::currentAngle
    {16, 224, 216},	// Phonon::MediaController::currentAudioChannel
    {16, 225, 210},	// Phonon::MediaController::currentChapter
    {16, 229, 217},	// Phonon::MediaController::currentSubtitle
    {16, 231, 214},	// Phonon::MediaController::currentTitle
    {16, 327, 198},	// Phonon::MediaController::metaObject
    {16, 352, 211},	// Phonon::MediaController::navigationMenuToString$
    {16, 354, 227},	// Phonon::MediaController::nextTitle
    {16, 386, 228},	// Phonon::MediaController::previousTitle
    {16, 393, 204},	// Phonon::MediaController::qt_metacall$$?
    {16, 395, 199},	// Phonon::MediaController::qt_metacast$
    {16, 426, 226},	// Phonon::MediaController::setAutoplayTitles$
    {16, 432, 223},	// Phonon::MediaController::setCurrentAngle$
    {16, 434, 220},	// Phonon::MediaController::setCurrentAudioChannel?
    {16, 436, 224},	// Phonon::MediaController::setCurrentChapter$
    {16, 438, 221},	// Phonon::MediaController::setCurrentMenu$
    {16, 442, 222},	// Phonon::MediaController::setCurrentSubtitle?
    {16, 444, 225},	// Phonon::MediaController::setCurrentTitle$
    {16, 511, 240},	// Phonon::MediaController::staticMetaObject
    {16, 518, 206},	// Phonon::MediaController::supportedFeatures
    {16, 525, 237},	// Phonon::MediaController::titleChanged$
    {16, 532, 238},	// Phonon::MediaController::tr$
    {16, 533, 200},	// Phonon::MediaController::tr$$
    {16, 534, 202},	// Phonon::MediaController::tr$$$
    {16, 536, 239},	// Phonon::MediaController::trUtf8$
    {16, 537, 201},	// Phonon::MediaController::trUtf8$$
    {16, 538, 203},	// Phonon::MediaController::trUtf8$$$
    {16, 564, 251},	// Phonon::MediaController::~MediaController
    {17, 99, -45},	// Phonon::MediaNode::MediaNode#
    {17, 301, 253},	// Phonon::MediaNode::inputPaths
    {17, 314, 252},	// Phonon::MediaNode::isValid
    {17, 370, 254},	// Phonon::MediaNode::outputPaths
    {17, 565, 257},	// Phonon::MediaNode::~MediaNode
    {19, 100, 310},	// Phonon::MediaObject::MediaObject
    {19, 101, 265},	// Phonon::MediaObject::MediaObject#
    {19, 175, 305},	// Phonon::MediaObject::aboutToFinish
    {19, 202, 302},	// Phonon::MediaObject::bufferStatus$
    {19, 210, 296},	// Phonon::MediaObject::clear
    {19, 211, 283},	// Phonon::MediaObject::clearQueue
    {19, 226, 275},	// Phonon::MediaObject::currentSource
    {19, 228, 304},	// Phonon::MediaObject::currentSourceChanged#
    {19, 230, 284},	// Phonon::MediaObject::currentTime
    {19, 260, 280},	// Phonon::MediaObject::enqueue#
    {19, 261, -19},	// Phonon::MediaObject::enqueue?
    {19, 266, 273},	// Phonon::MediaObject::errorString
    {19, 267, 274},	// Phonon::MediaObject::errorType
    {19, 280, 303},	// Phonon::MediaObject::finished
    {19, 290, 267},	// Phonon::MediaObject::hasVideo
    {19, 292, 301},	// Phonon::MediaObject::hasVideoChanged$
    {19, 313, 268},	// Phonon::MediaObject::isSeekable
    {19, 324, 272},	// Phonon::MediaObject::metaData
    {19, 325, -22},	// Phonon::MediaObject::metaData$
    {19, 326, 299},	// Phonon::MediaObject::metaDataChanged
    {19, 327, 258},	// Phonon::MediaObject::metaObject
    {19, 378, 293},	// Phonon::MediaObject::pause
    {19, 380, 292},	// Phonon::MediaObject::play
    {19, 383, 287},	// Phonon::MediaObject::prefinishMark
    {19, 385, 306},	// Phonon::MediaObject::prefinishMarkReached$
    {19, 393, 264},	// Phonon::MediaObject::qt_metacall$$?
    {19, 395, 259},	// Phonon::MediaObject::qt_metacast$
    {19, 396, 277},	// Phonon::MediaObject::queue
    {19, 400, 286},	// Phonon::MediaObject::remainingTime
    {19, 414, 295},	// Phonon::MediaObject::seek$
    {19, 418, 300},	// Phonon::MediaObject::seekableChanged$
    {19, 440, 276},	// Phonon::MediaObject::setCurrentSource#
    {19, 478, 288},	// Phonon::MediaObject::setPrefinishMark$
    {19, 480, -25},	// Phonon::MediaObject::setQueue?
    {19, 492, 291},	// Phonon::MediaObject::setTickInterval$
    {19, 496, 290},	// Phonon::MediaObject::setTransitionTime$
    {19, 508, 266},	// Phonon::MediaObject::state
    {19, 510, 297},	// Phonon::MediaObject::stateChanged$$
    {19, 511, 311},	// Phonon::MediaObject::staticMetaObject
    {19, 512, 294},	// Phonon::MediaObject::stop
    {19, 521, 298},	// Phonon::MediaObject::tick$
    {19, 522, 269},	// Phonon::MediaObject::tickInterval
    {19, 528, 285},	// Phonon::MediaObject::totalTime
    {19, 530, 307},	// Phonon::MediaObject::totalTimeChanged$
    {19, 532, 308},	// Phonon::MediaObject::tr$
    {19, 533, 260},	// Phonon::MediaObject::tr$$
    {19, 534, 262},	// Phonon::MediaObject::tr$$$
    {19, 536, 309},	// Phonon::MediaObject::trUtf8$
    {19, 537, 261},	// Phonon::MediaObject::trUtf8$$
    {19, 538, 263},	// Phonon::MediaObject::trUtf8$$$
    {19, 539, 289},	// Phonon::MediaObject::transitionTime
    {19, 566, 312},	// Phonon::MediaObject::~MediaObject
    {20, 29, 346},	// Phonon::MediaSource::CaptureDevice
    {20, 39, 344},	// Phonon::MediaSource::Disc
    {20, 58, 347},	// Phonon::MediaSource::Empty
    {20, 70, 341},	// Phonon::MediaSource::Invalid
    {20, 94, 342},	// Phonon::MediaSource::LocalFile
    {20, 102, 313},	// Phonon::MediaSource::MediaSource
    {20, 103, -28},	// Phonon::MediaSource::MediaSource#
    {20, 104, -34},	// Phonon::MediaSource::MediaSource$
    {20, 105, -38},	// Phonon::MediaSource::MediaSource$$
    {20, 106, -41},	// Phonon::MediaSource::MediaSource?
    {20, 147, 345},	// Phonon::MediaSource::Stream
    {20, 158, 343},	// Phonon::MediaSource::Url
    {20, 180, 335},	// Phonon::MediaSource::audioCaptureDevice
    {20, 182, 326},	// Phonon::MediaSource::autoDelete
    {20, 242, 332},	// Phonon::MediaSource::deviceAccessList
    {20, 243, 333},	// Phonon::MediaSource::deviceName
    {20, 244, 331},	// Phonon::MediaSource::discType
    {20, 279, 328},	// Phonon::MediaSource::fileName
    {20, 347, 329},	// Phonon::MediaSource::mrl
    {20, 360, 323},	// Phonon::MediaSource::operator=#
    {20, 363, 324},	// Phonon::MediaSource::operator==#
    {20, 424, 325},	// Phonon::MediaSource::setAutoDelete$
    {20, 513, 334},	// Phonon::MediaSource::stream
    {20, 543, 327},	// Phonon::MediaSource::type
    {20, 544, 330},	// Phonon::MediaSource::url
    {20, 545, 336},	// Phonon::MediaSource::videoCaptureDevice
    {20, 567, 348},	// Phonon::MediaSource::~MediaSource
    {22, 107, 349},	// Phonon::Mrl::Mrl
    {22, 108, -1},	// Phonon::Mrl::Mrl#
    {22, 109, 352},	// Phonon::Mrl::Mrl$
    {22, 360, 353},	// Phonon::Mrl::operator=#
    {22, 361, 354},	// Phonon::Mrl::operator=$
    {22, 526, 356},	// Phonon::Mrl::toEncoded
    {22, 527, 355},	// Phonon::Mrl::toEncoded$
    {22, 568, 357},	// Phonon::Mrl::~Mrl
    {23, 119, 369},	// Phonon::ObjectDescriptionData::ObjectDescriptionData
    {23, 120, -7},	// Phonon::ObjectDescriptionData::ObjectDescriptionData#
    {23, 121, 367},	// Phonon::ObjectDescriptionData::ObjectDescriptionData$?
    {23, 240, 360},	// Phonon::ObjectDescriptionData::description
    {23, 288, 365},	// Phonon::ObjectDescriptionData::fromIndex$$
    {23, 298, 364},	// Phonon::ObjectDescriptionData::index
    {23, 314, 363},	// Phonon::ObjectDescriptionData::isValid
    {23, 350, 359},	// Phonon::ObjectDescriptionData::name
    {23, 363, 358},	// Phonon::ObjectDescriptionData::operator==#
    {23, 388, 361},	// Phonon::ObjectDescriptionData::property$
    {23, 389, 362},	// Phonon::ObjectDescriptionData::propertyNames
    {23, 569, 370},	// Phonon::ObjectDescriptionData::~ObjectDescriptionData
    {24, 123, -13},	// Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData#
    {24, 234, 389},	// Phonon::ObjectDescriptionModelData::data#
    {24, 235, 372},	// Phonon::ObjectDescriptionModelData::data#$
    {24, 252, 383},	// Phonon::ObjectDescriptionModelData::dropMimeData$#$$$#
    {24, 282, 373},	// Phonon::ObjectDescriptionModelData::flags#
    {24, 330, 376},	// Phonon::ObjectDescriptionModelData::mimeData$?
    {24, 332, 385},	// Phonon::ObjectDescriptionModelData::mimeTypes$
    {24, 335, 380},	// Phonon::ObjectDescriptionModelData::modelData
    {24, 336, 381},	// Phonon::ObjectDescriptionModelData::modelData#
    {24, 343, 378},	// Phonon::ObjectDescriptionModelData::moveDown#
    {24, 346, 377},	// Phonon::ObjectDescriptionModelData::moveUp#
    {24, 404, 390},	// Phonon::ObjectDescriptionModelData::removeRows$$
    {24, 405, 384},	// Phonon::ObjectDescriptionModelData::removeRows$$#
    {24, 408, 388},	// Phonon::ObjectDescriptionModelData::rowCount
    {24, 409, 371},	// Phonon::ObjectDescriptionModelData::rowCount#
    {24, 462, 379},	// Phonon::ObjectDescriptionModelData::setModelData?
    {24, 517, 382},	// Phonon::ObjectDescriptionModelData::supportedDropActions
    {24, 541, 375},	// Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex$
    {24, 542, 374},	// Phonon::ObjectDescriptionModelData::tupleIndexOrder
    {24, 570, 391},	// Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData
    {26, 124, 392},	// Phonon::Path::Path
    {26, 125, 393},	// Phonon::Path::Path#
    {26, 245, 400},	// Phonon::Path::disconnect
    {26, 253, 398},	// Phonon::Path::effects
    {26, 303, 407},	// Phonon::Path::insertEffect#
    {26, 304, 396},	// Phonon::Path::insertEffect##
    {26, 305, 406},	// Phonon::Path::insertEffect?
    {26, 306, 395},	// Phonon::Path::insertEffect?#
    {26, 314, 394},	// Phonon::Path::isValid
    {26, 356, 403},	// Phonon::Path::operator!=#
    {26, 360, 401},	// Phonon::Path::operator=#
    {26, 363, 402},	// Phonon::Path::operator==#
    {26, 398, 399},	// Phonon::Path::reconnect##
    {26, 402, 397},	// Phonon::Path::removeEffect#
    {26, 504, 405},	// Phonon::Path::sink
    {26, 507, 404},	// Phonon::Path::source
    {26, 571, 408},	// Phonon::Path::~Path
    {27, 143, 434},	// Phonon::SeekSlider::SeekSlider
    {27, 144, -4},	// Phonon::SeekSlider::SeekSlider#
    {27, 145, 417},	// Phonon::SeekSlider::SeekSlider##
    {27, 289, 418},	// Phonon::SeekSlider::hasTracking
    {27, 296, 426},	// Phonon::SeekSlider::iconSize
    {27, 307, 425},	// Phonon::SeekSlider::isIconVisible
    {27, 323, 427},	// Phonon::SeekSlider::mediaObject
    {27, 327, 409},	// Phonon::SeekSlider::metaObject
    {27, 366, 424},	// Phonon::SeekSlider::orientation
    {27, 371, 420},	// Phonon::SeekSlider::pageStep
    {27, 393, 415},	// Phonon::SeekSlider::qt_metacall$$?
    {27, 395, 410},	// Phonon::SeekSlider::qt_metacast$
    {27, 454, 430},	// Phonon::SeekSlider::setIconSize#
    {27, 456, 429},	// Phonon::SeekSlider::setIconVisible$
    {27, 460, 431},	// Phonon::SeekSlider::setMediaObject#
    {27, 470, 428},	// Phonon::SeekSlider::setOrientation$
    {27, 474, 421},	// Phonon::SeekSlider::setPageStep$
    {27, 486, 423},	// Phonon::SeekSlider::setSingleStep$
    {27, 494, 419},	// Phonon::SeekSlider::setTracking$
    {27, 503, 422},	// Phonon::SeekSlider::singleStep
    {27, 511, 436},	// Phonon::SeekSlider::staticMetaObject
    {27, 532, 432},	// Phonon::SeekSlider::tr$
    {27, 533, 411},	// Phonon::SeekSlider::tr$$
    {27, 534, 413},	// Phonon::SeekSlider::tr$$$
    {27, 536, 433},	// Phonon::SeekSlider::trUtf8$
    {27, 537, 412},	// Phonon::SeekSlider::trUtf8$$
    {27, 538, 414},	// Phonon::SeekSlider::trUtf8$$$
    {27, 572, 437},	// Phonon::SeekSlider::~SeekSlider
    {28, 148, 447},	// Phonon::StreamInterface::StreamInterface
    {28, 149, 448},	// Phonon::StreamInterface::StreamInterface#
    {28, 215, 442},	// Phonon::StreamInterface::connectToSource#
    {28, 255, 439},	// Phonon::StreamInterface::endOfData
    {28, 258, 444},	// Phonon::StreamInterface::enoughData
    {28, 353, 443},	// Phonon::StreamInterface::needData
    {28, 406, 446},	// Phonon::StreamInterface::reset
    {28, 416, 445},	// Phonon::StreamInterface::seekStream$
    {28, 488, 441},	// Phonon::StreamInterface::setStreamSeekable$
    {28, 490, 440},	// Phonon::StreamInterface::setStreamSize$
    {28, 554, 438},	// Phonon::StreamInterface::writeData#
    {28, 573, 449},	// Phonon::StreamInterface::~StreamInterface
    {29, 162, 479},	// Phonon::VideoPlayer::VideoPlayer
    {29, 163, 458},	// Phonon::VideoPlayer::VideoPlayer#
    {29, 164, 478},	// Phonon::VideoPlayer::VideoPlayer$
    {29, 165, 457},	// Phonon::VideoPlayer::VideoPlayer$#
    {29, 181, 465},	// Phonon::VideoPlayer::audioOutput
    {29, 230, 460},	// Phonon::VideoPlayer::currentTime
    {29, 269, 475},	// Phonon::VideoPlayer::event#
    {29, 280, 474},	// Phonon::VideoPlayer::finished
    {29, 311, 463},	// Phonon::VideoPlayer::isPaused
    {29, 312, 462},	// Phonon::VideoPlayer::isPlaying
    {29, 320, 467},	// Phonon::VideoPlayer::load#
    {29, 323, 464},	// Phonon::VideoPlayer::mediaObject
    {29, 327, 450},	// Phonon::VideoPlayer::metaObject
    {29, 378, 470},	// Phonon::VideoPlayer::pause
    {29, 380, 469},	// Phonon::VideoPlayer::play
    {29, 381, 468},	// Phonon::VideoPlayer::play#
    {29, 393, 456},	// Phonon::VideoPlayer::qt_metacall$$?
    {29, 395, 451},	// Phonon::VideoPlayer::qt_metacast$
    {29, 414, 472},	// Phonon::VideoPlayer::seek$
    {29, 499, 473},	// Phonon::VideoPlayer::setVolume$
    {29, 511, 480},	// Phonon::VideoPlayer::staticMetaObject
    {29, 512, 471},	// Phonon::VideoPlayer::stop
    {29, 528, 459},	// Phonon::VideoPlayer::totalTime
    {29, 532, 476},	// Phonon::VideoPlayer::tr$
    {29, 533, 452},	// Phonon::VideoPlayer::tr$$
    {29, 534, 454},	// Phonon::VideoPlayer::tr$$$
    {29, 536, 477},	// Phonon::VideoPlayer::trUtf8$
    {29, 537, 453},	// Phonon::VideoPlayer::trUtf8$$
    {29, 538, 455},	// Phonon::VideoPlayer::trUtf8$$$
    {29, 546, 466},	// Phonon::VideoPlayer::videoWidget
    {29, 547, 461},	// Phonon::VideoPlayer::volume
    {29, 574, 481},	// Phonon::VideoPlayer::~VideoPlayer
    {30, 13, 516},	// Phonon::VideoWidget::AspectRatio16_9
    {30, 14, 515},	// Phonon::VideoWidget::AspectRatio4_3
    {30, 15, 513},	// Phonon::VideoWidget::AspectRatioAuto
    {30, 16, 514},	// Phonon::VideoWidget::AspectRatioWidget
    {30, 65, 517},	// Phonon::VideoWidget::FitInView
    {30, 142, 518},	// Phonon::VideoWidget::ScaleAndCrop
    {30, 167, 511},	// Phonon::VideoWidget::VideoWidget
    {30, 168, 489},	// Phonon::VideoWidget::VideoWidget#
    {30, 169, 506},	// Phonon::VideoWidget::VideoWidget##
    {30, 179, 490},	// Phonon::VideoWidget::aspectRatio
    {30, 200, 492},	// Phonon::VideoWidget::brightness
    {30, 217, 493},	// Phonon::VideoWidget::contrast
    {30, 263, 499},	// Phonon::VideoWidget::enterFullScreen
    {30, 269, 508},	// Phonon::VideoWidget::event#
    {30, 271, 498},	// Phonon::VideoWidget::exitFullScreen
    {30, 295, 494},	// Phonon::VideoWidget::hue
    {30, 327, 482},	// Phonon::VideoWidget::metaObject
    {30, 339, 507},	// Phonon::VideoWidget::mouseMoveEvent#
    {30, 393, 488},	// Phonon::VideoWidget::qt_metacall$$?
    {30, 395, 483},	// Phonon::VideoWidget::qt_metacast$
    {30, 411, 495},	// Phonon::VideoWidget::saturation
    {30, 412, 491},	// Phonon::VideoWidget::scaleMode
    {30, 420, 500},	// Phonon::VideoWidget::setAspectRatio$
    {30, 428, 502},	// Phonon::VideoWidget::setBrightness$
    {30, 430, 503},	// Phonon::VideoWidget::setContrast$
    {30, 450, 497},	// Phonon::VideoWidget::setFullScreen$
    {30, 452, 504},	// Phonon::VideoWidget::setHue$
    {30, 482, 505},	// Phonon::VideoWidget::setSaturation$
    {30, 484, 501},	// Phonon::VideoWidget::setScaleMode$
    {30, 506, 496},	// Phonon::VideoWidget::snapshot
    {30, 511, 512},	// Phonon::VideoWidget::staticMetaObject
    {30, 532, 509},	// Phonon::VideoWidget::tr$
    {30, 533, 484},	// Phonon::VideoWidget::tr$$
    {30, 534, 486},	// Phonon::VideoWidget::tr$$$
    {30, 536, 510},	// Phonon::VideoWidget::trUtf8$
    {30, 537, 485},	// Phonon::VideoWidget::trUtf8$$
    {30, 538, 487},	// Phonon::VideoWidget::trUtf8$$$
    {30, 575, 519},	// Phonon::VideoWidget::~VideoWidget
    {32, 60, 544},	// Phonon::VolumeFaderEffect::Fade12Decibel
    {32, 61, 541},	// Phonon::VolumeFaderEffect::Fade3Decibel
    {32, 62, 542},	// Phonon::VolumeFaderEffect::Fade6Decibel
    {32, 63, 543},	// Phonon::VolumeFaderEffect::Fade9Decibel
    {32, 170, 539},	// Phonon::VolumeFaderEffect::VolumeFaderEffect
    {32, 171, 527},	// Phonon::VolumeFaderEffect::VolumeFaderEffect#
    {32, 272, 530},	// Phonon::VolumeFaderEffect::fadeCurve
    {32, 274, 531},	// Phonon::VolumeFaderEffect::fadeIn$
    {32, 276, 532},	// Phonon::VolumeFaderEffect::fadeOut$
    {32, 278, 536},	// Phonon::VolumeFaderEffect::fadeTo$$
    {32, 327, 520},	// Phonon::VolumeFaderEffect::metaObject
    {32, 393, 526},	// Phonon::VolumeFaderEffect::qt_metacall$$?
    {32, 395, 521},	// Phonon::VolumeFaderEffect::qt_metacast$
    {32, 448, 535},	// Phonon::VolumeFaderEffect::setFadeCurve$
    {32, 499, 533},	// Phonon::VolumeFaderEffect::setVolume$
    {32, 501, 534},	// Phonon::VolumeFaderEffect::setVolumeDecibel$
    {32, 511, 540},	// Phonon::VolumeFaderEffect::staticMetaObject
    {32, 532, 537},	// Phonon::VolumeFaderEffect::tr$
    {32, 533, 522},	// Phonon::VolumeFaderEffect::tr$$
    {32, 534, 524},	// Phonon::VolumeFaderEffect::tr$$$
    {32, 536, 538},	// Phonon::VolumeFaderEffect::trUtf8$
    {32, 537, 523},	// Phonon::VolumeFaderEffect::trUtf8$$
    {32, 538, 525},	// Phonon::VolumeFaderEffect::trUtf8$$$
    {32, 547, 528},	// Phonon::VolumeFaderEffect::volume
    {32, 550, 529},	// Phonon::VolumeFaderEffect::volumeDecibel
    {32, 576, 545},	// Phonon::VolumeFaderEffect::~VolumeFaderEffect
    {33, 172, 573},	// Phonon::VolumeSlider::VolumeSlider
    {33, 173, -16},	// Phonon::VolumeSlider::VolumeSlider#
    {33, 174, 554},	// Phonon::VolumeSlider::VolumeSlider##
    {33, 181, 565},	// Phonon::VolumeSlider::audioOutput
    {33, 289, 555},	// Phonon::VolumeSlider::hasTracking
    {33, 296, 562},	// Phonon::VolumeSlider::iconSize
    {33, 309, 561},	// Phonon::VolumeSlider::isMuteVisible
    {33, 322, 563},	// Phonon::VolumeSlider::maximumVolume
    {33, 327, 546},	// Phonon::VolumeSlider::metaObject
    {33, 366, 564},	// Phonon::VolumeSlider::orientation
    {33, 371, 557},	// Phonon::VolumeSlider::pageStep
    {33, 393, 552},	// Phonon::VolumeSlider::qt_metacall$$?
    {33, 395, 547},	// Phonon::VolumeSlider::qt_metacast$
    {33, 422, 570},	// Phonon::VolumeSlider::setAudioOutput#
    {33, 454, 569},	// Phonon::VolumeSlider::setIconSize#
    {33, 458, 566},	// Phonon::VolumeSlider::setMaximumVolume$
    {33, 464, 568},	// Phonon::VolumeSlider::setMuteVisible$
    {33, 470, 567},	// Phonon::VolumeSlider::setOrientation$
    {33, 474, 558},	// Phonon::VolumeSlider::setPageStep$
    {33, 486, 560},	// Phonon::VolumeSlider::setSingleStep$
    {33, 494, 556},	// Phonon::VolumeSlider::setTracking$
    {33, 503, 559},	// Phonon::VolumeSlider::singleStep
    {33, 511, 575},	// Phonon::VolumeSlider::staticMetaObject
    {33, 532, 571},	// Phonon::VolumeSlider::tr$
    {33, 533, 548},	// Phonon::VolumeSlider::tr$$
    {33, 534, 550},	// Phonon::VolumeSlider::tr$$$
    {33, 536, 572},	// Phonon::VolumeSlider::trUtf8$
    {33, 537, 549},	// Phonon::VolumeSlider::trUtf8$$
    {33, 538, 551},	// Phonon::VolumeSlider::trUtf8$$$
    {33, 577, 576},	// Phonon::VolumeSlider::~VolumeSlider
    {48, 74, 589},	// QGlobalSpace::LicensedActiveQt
    {48, 75, 595},	// QGlobalSpace::LicensedCore
    {48, 76, 587},	// QGlobalSpace::LicensedDBus
    {48, 77, 592},	// QGlobalSpace::LicensedDeclarative
    {48, 78, 582},	// QGlobalSpace::LicensedGui
    {48, 79, 601},	// QGlobalSpace::LicensedHelp
    {48, 80, 602},	// QGlobalSpace::LicensedMultimedia
    {48, 81, 605},	// QGlobalSpace::LicensedNetwork
    {48, 82, 594},	// QGlobalSpace::LicensedOpenGL
    {48, 83, 586},	// QGlobalSpace::LicensedOpenVG
    {48, 84, 603},	// QGlobalSpace::LicensedQt3Support
    {48, 85, 584},	// QGlobalSpace::LicensedQt3SupportLight
    {48, 86, 585},	// QGlobalSpace::LicensedScript
    {48, 87, 590},	// QGlobalSpace::LicensedScriptTools
    {48, 88, 593},	// QGlobalSpace::LicensedSql
    {48, 89, 591},	// QGlobalSpace::LicensedSvg
    {48, 90, 588},	// QGlobalSpace::LicensedTest
    {48, 91, 583},	// QGlobalSpace::LicensedXml
    {48, 92, 604},	// QGlobalSpace::LicensedXmlPatterns
    {48, 128, 577},	// QGlobalSpace::Q_COMPLEX_TYPE
    {48, 129, 581},	// QGlobalSpace::Q_DUMMY_TYPE
    {48, 130, 580},	// QGlobalSpace::Q_MOVABLE_TYPE
    {48, 131, 578},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {48, 132, 579},	// QGlobalSpace::Q_STATIC_TYPE
    {48, 133, 598},	// QGlobalSpace::QtCriticalMsg
    {48, 134, 596},	// QGlobalSpace::QtDebugMsg
    {48, 135, 599},	// QGlobalSpace::QtFatalMsg
    {48, 136, 600},	// QGlobalSpace::QtSystemMsg
    {48, 137, 597},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *phonon_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_phonon_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    phonon_Smoke = new Smoke(
        "phonon",
        __smokephonon::classes, 74,
        __smokephonon::methods, 656,
        __smokephonon::methodMaps, 586,
        __smokephonon::methodNames, 577,
        __smokephonon::types, 286,
        __smokephonon::inheritanceList,
        __smokephonon::argumentList,
        __smokephonon::ambiguousMethodList,
        __smokephonon::cast );
    initialized = true;
}

void delete_phonon_Smoke() { delete phonon_Smoke; }

}
