#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 16: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 47: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 28: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 86: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 16:   //QFrame
      switch(to) {
        case 47: return (void*)(QWidget*)(QFrame*)xptr;
        case 28: return (void*)(QObject*)(QFrame*)xptr;
        case 16: return (void*)(QFrame*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 86: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 18:   //QHideEvent
      switch(to) {
        case 18: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QIODevice
      switch(to) {
        case 28: return (void*)(QObject*)(QIODevice*)xptr;
        case 19: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 20:   //QImage
      switch(to) {
        case 20: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 21:   //QInputMethodEvent
      switch(to) {
        case 21: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QKeyEvent
      switch(to) {
        case 22: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QMenu
      switch(to) {
        case 23: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QMouseEvent
      switch(to) {
        case 26: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QMoveEvent
      switch(to) {
        case 27: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 48: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 53: return (void*)(QsciLexer*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 86: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 84: return (void*)(QsciMacro*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QResizeEvent
      switch(to) {
        case 38: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QSettings
      switch(to) {
        case 39: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QVariant
      switch(to) {
        case 45: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 46:   //QWheelEvent
      switch(to) {
        case 46: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 47: return (void*)(QWidget*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 86: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 48:   //QsciAPIs
      switch(to) {
        case 49: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 28: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 49:   //QsciAbstractAPIs
      switch(to) {
        case 28: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 50:   //QsciCommand
      switch(to) {
        case 50: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 51:   //QsciCommandSet
      switch(to) {
        case 51: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 52:   //QsciDocument
      switch(to) {
        case 52: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexer
      switch(to) {
        case 28: return (void*)(QObject*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerBash
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 54: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerBatch
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 55: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCMake
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 56: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCPP
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 57: return (void*)(QsciLexerCPP*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerCSS
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 58: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerCSharp
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerCustom
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 60: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerD
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 61: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerDiff
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 62: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerFortran
      switch(to) {
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 63: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerFortran77
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerHTML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 65: return (void*)(QsciLexerHTML*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerIDL
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 66: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerJava
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 67: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerJavaScript
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerLua
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 69: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerMakefile
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPOV
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 71: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPascal
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 72: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPerl
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 73: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerPostScript
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerProperties
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 75: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerPython
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 76: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerRuby
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 77: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerSQL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 78: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerTCL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 79: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerTeX
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 80: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 81:   //QsciLexerVHDL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 82:   //QsciLexerXML
      switch(to) {
        case 65: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 82: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 83:   //QsciLexerYAML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 83: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 84:   //QsciMacro
      switch(to) {
        case 28: return (void*)(QObject*)(QsciMacro*)xptr;
        case 84: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 85:   //QsciPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 86:   //QsciScintilla
      switch(to) {
        case 87: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 28: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 86: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 87:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 28: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 87: return (void*)(QsciScintillaBase*)xptr;
        case 86: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 88:   //QsciStyle
      switch(to) {
        case 88: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 89:   //QsciStyledText
      switch(to) {
        case 89: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QsciAbstractAPIs
    28, 0,	// 3: QObject
    53, 0,	// 5: QsciLexer
    57, 0,	// 7: QsciLexerCPP
    64, 0,	// 9: QsciLexerFortran77
    65, 0,	// 11: QsciLexerHTML
    35, 0,	// 13: QPrinter
    87, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciCommand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QFrame", true, 0, 0, 0, 0, 0 },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//19
    { "QImage", true, 0, 0, 0, 0, 0 },	//20
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QMenu", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QSettings", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QVariant", true, 0, 0, 0, 0, 0 },	//45
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QWidget", true, 0, 0, 0, 0, 0 },	//47
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//48
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//49
    { "QsciCommand", false, 0, xcall_QsciCommand, xenum_QsciCommand, 0, sizeof(QsciCommand) },	//50
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//51
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//52
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//53
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//54
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//55
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//56
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//57
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//58
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//59
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//60
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//61
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//62
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//63
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//64
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//65
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//66
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//67
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//68
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//69
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//70
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//71
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//72
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//73
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//74
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//75
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//76
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//77
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//78
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//79
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//80
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//81
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//82
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//83
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//84
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//85
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//86
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//87
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//88
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//89
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QFont", 15, Smoke::t_class|Smoke::tf_stack },	//14
    { "QHideEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QIODevice*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QInputMethodEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QKeyEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "QMenu*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QMouseEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QMoveEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QPainter&", 31, Smoke::t_class|Smoke::tf_ref },	//31
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QPrinter::PrinterMode", 35, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QRect&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//35
    { "QResizeEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QSettings&", 39, Smoke::t_class|Smoke::tf_ref },	//37
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//39
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//42
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//44
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QVariant", 45, Smoke::t_class|Smoke::tf_stack },	//47
    { "QWheelEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QWidget*", 47, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciAPIs*", 48, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QsciAbstractAPIs*", 49, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciCommand*", 50, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciCommand::Command", 50, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QsciCommandSet*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciDocument", 52, Smoke::t_class|Smoke::tf_stack },	//55
    { "QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref },	//56
    { "QsciDocument*", 52, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexer*", 53, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerBash*", 54, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerBatch*", 55, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerCMake*", 56, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerCPP*", 57, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerCSS*", 58, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerCSharp*", 59, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerCustom*", 60, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerD*", 61, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerDiff*", 62, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerFortran*", 63, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerFortran77*", 64, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerHTML*", 65, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerIDL*", 66, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerJava*", 67, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerJavaScript*", 68, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerLua*", 69, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerMakefile*", 70, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPOV*", 71, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPascal*", 72, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerPerl*", 73, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerPostScript*", 74, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerProperties*", 75, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerPython*", 76, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerPython::IndentationWarning", 76, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QsciLexerRuby*", 77, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerSQL*", 78, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciLexerTCL*", 79, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciLexerTeX*", 80, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciLexerVHDL*", 81, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciLexerXML*", 82, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QsciLexerYAML*", 83, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QsciMacro*", 84, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QsciPrinter*", 85, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QsciScintilla*", 86, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QsciScintilla::AnnotationDisplay", 86, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::AutoCompletionSource", 86, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::AutoCompletionUseSingle", 86, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::BraceMatch", 86, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::CallTipsPosition", 86, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::CallTipsStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::EdgeMode", 86, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::EolMode", 86, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::FoldStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintilla::IndentState", 86, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciScintilla::IndicatorStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciScintilla::MarginType", 86, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciScintilla::MarkerSymbol", 86, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QsciScintilla::WhitespaceVisibility", 86, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QsciScintilla::WrapIndentMode", 86, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QsciScintilla::WrapMode", 86, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QsciScintilla::WrapVisualFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QsciScintillaBase*", 87, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QsciStyle*", 88, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QsciStyle::TextCase", 88, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QsciStyledText", 89, Smoke::t_class|Smoke::tf_stack },	//113
    { "QsciStyledText*", 89, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//155
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QtValidLicenseForActiveQtModule", 17, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QtValidLicenseForCoreModule", 17, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QtValidLicenseForDBusModule", 17, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QtValidLicenseForDeclarativeModule", 17, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QtValidLicenseForGuiModule", 17, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QtValidLicenseForHelpModule", 17, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QtValidLicenseForMultimediaModule", 17, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QtValidLicenseForNetworkModule", 17, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QtValidLicenseForOpenGLModule", 17, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QtValidLicenseForOpenVGModule", 17, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QtValidLicenseForQt3SupportLightModule", 17, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QtValidLicenseForQt3SupportModule", 17, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QtValidLicenseForScriptModule", 17, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QtValidLicenseForScriptToolsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QtValidLicenseForSqlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QtValidLicenseForSvgModule", 17, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtValidLicenseForTestModule", 17, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtValidLicenseForXmlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtValidLicenseForXmlPatternsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//207
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//208
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//209
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//210
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//211
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//212
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QImage&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//220
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//221
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//229
    { "const QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QsciStyle&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QsciStyledText&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//233
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//234
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//235
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//236
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//237
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//238
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//239
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//240
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//241
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//242
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//243
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  QEvent*
    48, 0,	//3  QWheelEvent*
    27, 12, 0,	//5  QObject*, QEvent*
    46, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    233, 0,	//12  const char*
    28, 0,	//14  QPaintDevice::PaintDeviceMetric
    209, 0,	//16  bool
    235, 0,	//18  int
    18, 0,	//20  QKeyEvent*
    26, 0,	//22  QMoveEvent*
    5, 0,	//24  QCloseEvent*
    45, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    38, 0,	//30  QShowEvent*
    15, 0,	//32  QHideEvent*
    208, 0,	//34  _XEvent*
    149, 0,	//36  Qt::InputMethodQuery
    44, 0,	//38  QStyle&
    222, 0,	//40  const QPalette&
    215, 0,	//42  const QFont&
    233, 233, 0,	//44  const char*, const char*
    233, 233, 235, 0,	//47  const char*, const char*, int
    23, 235, 242, 0,	//51  QMetaObject::Call, int, void**
    58, 0,	//55  QsciLexer*
    227, 0,	//57  const QString&
    228, 42, 0,	//59  const QStringList&, QStringList&
    228, 235, 98, 21, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    37, 233, 0,	//67  QSettings&, const char*
    53, 0,	//70  QsciCommand::Command
    37, 0,	//72  QSettings&
    230, 0,	//74  const QsciDocument&
    27, 0,	//76  QObject*
    237, 0,	//78  int*
    51, 0,	//80  QsciAbstractAPIs*
    214, 0,	//82  const QColor&
    92, 0,	//84  QsciScintilla*
    214, 235, 0,	//86  const QColor&, int
    209, 235, 0,	//89  bool, int
    215, 235, 0,	//92  const QFont&, int
    37, 227, 0,	//95  QSettings&, const QString&
    27, 209, 0,	//98  QObject*, bool
    235, 235, 0,	//101  int, int
    235, 231, 0,	//104  int, const QsciStyle&
    82, 0,	//107  QsciLexerPython::IndentationWarning
    227, 92, 0,	//109  const QString&, QsciScintilla*
    33, 0,	//112  QPrinter::PrinterMode
    31, 209, 34, 235, 0,	//114  QPainter&, bool, QRect&, int
    110, 235, 235, 0,	//119  QsciScintillaBase*, int, int
    108, 0,	//123  QsciScintilla::WrapMode
    110, 0,	//125  QsciScintillaBase*
    110, 235, 0,	//127  QsciScintillaBase*, int
    49, 0,	//130  QWidget*
    235, 236, 236, 0,	//132  int, int&, int&
    235, 227, 235, 0,	//136  int, const QString&, int
    235, 227, 231, 0,	//140  int, const QString&, const QsciStyle&
    235, 232, 0,	//144  int, const QsciStyledText&
    235, 217, 0,	//147  int, const QList<QsciStyledText>&
    235, 235, 235, 235, 235, 0,	//150  int, int, int, int, int
    100, 0,	//156  QsciScintilla::EolMode
    227, 209, 209, 209, 209, 209, 235, 235, 209, 209, 0,	//158  const QString&, bool, bool, bool, bool, bool, int, int, bool, bool
    227, 209, 209, 209, 209, 209, 209, 0,	//169  const QString&, bool, bool, bool, bool, bool, bool
    237, 237, 0,	//177  int*, int*
    237, 237, 237, 237, 0,	//180  int*, int*, int*, int*
    103, 235, 0,	//185  QsciScintilla::IndicatorStyle, int
    211, 0,	//188  char
    224, 0,	//190  const QPoint&
    235, 237, 237, 0,	//192  int, int*, int*
    105, 235, 0,	//196  QsciScintilla::MarkerSymbol, int
    211, 235, 0,	//199  char, int
    223, 235, 0,	//202  const QPixmap&, int
    216, 235, 0,	//205  const QImage&, int
    235, 239, 0,	//208  int, unsigned int
    16, 0,	//211  QIODevice*
    235, 223, 0,	//213  int, const QPixmap&
    235, 216, 0,	//216  int, const QImage&
    214, 214, 0,	//219  const QColor&, const QColor&
    93, 0,	//222  QsciScintilla::AnnotationDisplay
    228, 0,	//224  const QStringList&
    97, 0,	//226  QsciScintilla::CallTipsPosition
    98, 0,	//228  QsciScintilla::CallTipsStyle
    218, 0,	//230  const QList<int>&
    99, 0,	//232  QsciScintilla::EdgeMode
    235, 104, 0,	//234  int, QsciScintilla::MarginType
    109, 109, 235, 0,	//237  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    107, 0,	//241  QsciScintilla::WrapIndentMode
    235, 228, 0,	//243  int, const QStringList&
    227, 235, 235, 0,	//246  const QString&, int, int
    94, 0,	//250  QsciScintilla::AutoCompletionSource
    95, 0,	//252  QsciScintilla::AutoCompletionUseSingle
    96, 0,	//254  QsciScintilla::BraceMatch
    101, 235, 0,	//256  QsciScintilla::FoldStyle, int
    235, 209, 0,	//259  int, bool
    235, 227, 0,	//262  int, const QString&
    235, 235, 235, 235, 0,	//265  int, int, int, int
    106, 0,	//270  QsciScintilla::WhitespaceVisibility
    235, 235, 155, 0,	//272  int, int, Qt::KeyboardModifiers
    7, 0,	//276  QContextMenuEvent*
    227, 209, 209, 209, 209, 0,	//278  const QString&, bool, bool, bool, bool
    227, 209, 209, 209, 209, 209, 0,	//284  const QString&, bool, bool, bool, bool, bool
    227, 209, 209, 209, 209, 209, 235, 0,	//291  const QString&, bool, bool, bool, bool, bool, int
    227, 209, 209, 209, 209, 209, 235, 235, 0,	//299  const QString&, bool, bool, bool, bool, bool, int, int
    227, 209, 209, 209, 209, 209, 235, 235, 209, 0,	//308  const QString&, bool, bool, bool, bool, bool, int, int, bool
    227, 209, 209, 209, 0,	//318  const QString&, bool, bool, bool
    103, 0,	//323  QsciScintilla::IndicatorStyle
    105, 0,	//325  QsciScintilla::MarkerSymbol
    223, 0,	//327  const QPixmap&
    216, 0,	//329  const QImage&
    109, 0,	//331  QsciScintilla::WrapVisualFlag
    109, 109, 0,	//333  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    101, 0,	//336  QsciScintilla::FoldStyle
    239, 240, 238, 0,	//338  unsigned int, unsigned long, long
    239, 240, 241, 0,	//342  unsigned int, unsigned long, void*
    239, 240, 233, 0,	//346  unsigned int, unsigned long, const char*
    239, 233, 0,	//350  unsigned int, const char*
    239, 233, 233, 0,	//353  unsigned int, const char*, const char*
    239, 238, 0,	//357  unsigned int, long
    239, 235, 0,	//360  unsigned int, int
    239, 238, 238, 212, 0,	//363  unsigned int, long, long, char*
    239, 240, 214, 0,	//368  unsigned int, unsigned long, const QColor&
    239, 214, 0,	//372  unsigned int, const QColor&
    239, 240, 32, 225, 238, 238, 0,	//375  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    239, 240, 223, 0,	//382  unsigned int, unsigned long, const QPixmap&
    239, 240, 216, 0,	//386  unsigned int, unsigned long, const QImage&
    239, 0,	//390  unsigned int
    233, 235, 0,	//392  const char*, int
    235, 235, 235, 0,	//395  int, int, int
    235, 235, 233, 235, 235, 235, 235, 235, 235, 235, 0,	//399  int, int, const char*, int, int, int, int, int, int, int
    221, 0,	//410  const QMimeData*
    221, 210, 0,	//412  const QMimeData*, bool&
    213, 209, 0,	//415  const QByteArray&, bool
    8, 0,	//418  QDragEnterEvent*
    9, 0,	//420  QDragLeaveEvent*
    10, 0,	//422  QDragMoveEvent*
    11, 0,	//424  QDropEvent*
    13, 0,	//426  QFocusEvent*
    17, 0,	//428  QInputMethodEvent*
    25, 0,	//430  QMouseEvent*
    30, 0,	//432  QPaintEvent*
    36, 0,	//434  QResizeEvent*
    239, 240, 0,	//436  unsigned int, unsigned long
    235, 227, 214, 214, 215, 209, 0,	//439  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    112, 0,	//446  QsciStyle::TextCase
    231, 0,	//448  const QsciStyle&
    235, 227, 214, 214, 215, 0,	//450  int, const QString&, const QColor&, const QColor&, const QFont&
    227, 235, 0,	//456  const QString&, int
    227, 231, 0,	//459  const QString&, const QsciStyle&
    232, 0,	//462  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AcusAlways",	//54
    "AcusExplicit",	//55
    "AcusNever",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BackquoteString",	//80
    "Backtab",	//81
    "BacktickHereDocument",	//82
    "BacktickHereDocumentVar",	//83
    "Backticks",	//84
    "BackticksVar",	//85
    "BadDirective",	//86
    "BadStringCharacter",	//87
    "Base85String",	//88
    "BasicFunctions",	//89
    "BlockForeach",	//90
    "BlockIf",	//91
    "BlockMacro",	//92
    "BlockWhile",	//93
    "BottomLeftCorner",	//94
    "Box",	//95
    "BoxIndicator",	//96
    "BoxedFoldStyle",	//97
    "BoxedMinus",	//98
    "BoxedMinusConnected",	//99
    "BoxedPlus",	//100
    "BoxedPlusConnected",	//101
    "BoxedTreeFoldStyle",	//102
    "C5E",	//103
    "CDATA",	//104
    "CSS1Property",	//105
    "CSS2Property",	//106
    "CSS3Property",	//107
    "CallTipsAboveText",	//108
    "CallTipsBelowText",	//109
    "CallTipsContext",	//110
    "CallTipsNoAutoCompletionContext",	//111
    "CallTipsNoContext",	//112
    "CallTipsNone",	//113
    "Cancel",	//114
    "Cassette",	//115
    "CharLeft",	//116
    "CharLeftExtend",	//117
    "CharLeftRectExtend",	//118
    "CharRight",	//119
    "CharRightExtend",	//120
    "CharRightRectExtend",	//121
    "Character",	//122
    "Cicero",	//123
    "Circle",	//124
    "CircledFoldStyle",	//125
    "CircledMinus",	//126
    "CircledMinusConnected",	//127
    "CircledPlus",	//128
    "CircledPlusConnected",	//129
    "CircledTreeFoldStyle",	//130
    "ClassName",	//131
    "ClassSelector",	//132
    "ClassVariable",	//133
    "Color",	//134
    "Comm10E",	//135
    "Command",	//136
    "Comment",	//137
    "CommentBlock",	//138
    "CommentBox",	//139
    "CommentDoc",	//140
    "CommentDocKeyword",	//141
    "CommentDocKeywordError",	//142
    "CommentLine",	//143
    "CommentLineDoc",	//144
    "CommentLineHash",	//145
    "CommentNested",	//146
    "CommentParenthesis",	//147
    "Continuation",	//148
    "CoroutinesIOSystemFacilities",	//149
    "CurrentPage",	//150
    "Custom",	//151
    "DLE",	//152
    "DSCComment",	//153
    "DSCCommentValue",	//154
    "DashesIndicator",	//155
    "DataSection",	//156
    "Decorator",	//157
    "Default",	//158
    "DefaultValue",	//159
    "Delete",	//160
    "DeleteBack",	//161
    "DeleteBackNotLine",	//162
    "DeleteLineLeft",	//163
    "DeleteLineRight",	//164
    "DeleteWordLeft",	//165
    "DeleteWordRight",	//166
    "DeleteWordRightEnd",	//167
    "DemotedKeyword",	//168
    "DevicePixel",	//169
    "DiagonalIndicator",	//170
    "DictionaryParenthesis",	//171
    "Didot",	//172
    "Directive",	//173
    "DocumentDelimiter",	//174
    "DocumentEnd",	//175
    "DocumentEndExtend",	//176
    "DocumentStart",	//177
    "DocumentStartExtend",	//178
    "DotBoxIndicator",	//179
    "DotsIndicator",	//180
    "DottedOperator",	//181
    "DoubleQuotedHereDocument",	//182
    "DoubleQuotedHereDocumentVar",	//183
    "DoubleQuotedString",	//184
    "DoubleQuotedStringVar",	//185
    "DownTriangle",	//186
    "DrawChildren",	//187
    "DrawWindowBackground",	//188
    "DuplexAuto",	//189
    "DuplexLongSide",	//190
    "DuplexNone",	//191
    "DuplexShortSide",	//192
    "EdgeBackground",	//193
    "EdgeLine",	//194
    "EdgeNone",	//195
    "EditToggleOvertype",	//196
    "Entity",	//197
    "Envelope",	//198
    "EnvelopeManual",	//199
    "EolMac",	//200
    "EolUnix",	//201
    "EolWindows",	//202
    "Error",	//203
    "Executive",	//204
    "ExpandKeyword",	//205
    "ExtendedCSSProperty",	//206
    "ExtendedFunction",	//207
    "ExtendedPseudoClass",	//208
    "ExtendedPseudoElement",	//209
    "ExternalCommand",	//210
    "FirstPageFirst",	//211
    "Folio",	//212
    "FormSource",	//213
    "FormatBody",	//214
    "FormatIdentifier",	//215
    "Formfeed",	//216
    "FullRectangle",	//217
    "Function",	//218
    "FunctionMethodName",	//219
    "Global",	//220
    "GlobalClass",	//221
    "GrayScale",	//222
    "Group",	//223
    "HLine",	//224
    "HSSLanguage",	//225
    "HTMLComment",	//226
    "HTMLDoubleQuotedString",	//227
    "HTMLNumber",	//228
    "HTMLSingleQuotedString",	//229
    "HTMLValue",	//230
    "Hash",	//231
    "HashQuotedString",	//232
    "Header",	//233
    "HereDocument",	//234
    "HereDocumentDelimiter",	//235
    "HexNumber",	//236
    "HexString",	//237
    "HiddenIndicator",	//238
    "HideCommandChar",	//239
    "HighResolution",	//240
    "HighlightedIdentifier",	//241
    "Home",	//242
    "HomeDisplay",	//243
    "HomeDisplayExtend",	//244
    "HomeExtend",	//245
    "HomeRectExtend",	//246
    "HomeWrap",	//247
    "HomeWrapExtend",	//248
    "IDSelector",	//249
    "ITCLKeyword",	//250
    "Identifier",	//251
    "Idle",	//252
    "IgnoreMask",	//253
    "ImmediateEvalLiteral",	//254
    "Important",	//255
    "InactiveComment",	//256
    "InactiveCommentDoc",	//257
    "InactiveCommentDocKeyword",	//258
    "InactiveCommentDocKeywordError",	//259
    "InactiveCommentLine",	//260
    "InactiveCommentLineDoc",	//261
    "InactiveDefault",	//262
    "InactiveDoubleQuotedString",	//263
    "InactiveGlobalClass",	//264
    "InactiveHashQuotedString",	//265
    "InactiveIdentifier",	//266
    "InactiveKeyword",	//267
    "InactiveKeywordSet2",	//268
    "InactiveNumber",	//269
    "InactiveOperator",	//270
    "InactivePreProcessor",	//271
    "InactivePreProcessorComment",	//272
    "InactiveRawString",	//273
    "InactiveRegex",	//274
    "InactiveSingleQuotedString",	//275
    "InactiveTripleQuotedVerbatimString",	//276
    "InactiveUUID",	//277
    "InactiveUnclosedString",	//278
    "InactiveVerbatimString",	//279
    "Inch",	//280
    "Inconsistent",	//281
    "InstanceVariable",	//282
    "IntrinsicFunction",	//283
    "Invisible",	//284
    "JavaScriptComment",	//285
    "JavaScriptCommentDoc",	//286
    "JavaScriptCommentLine",	//287
    "JavaScriptDefault",	//288
    "JavaScriptDoubleQuotedString",	//289
    "JavaScriptKeyword",	//290
    "JavaScriptNumber",	//291
    "JavaScriptRegex",	//292
    "JavaScriptSingleQuotedString",	//293
    "JavaScriptStart",	//294
    "JavaScriptSymbol",	//295
    "JavaScriptUnclosedString",	//296
    "JavaScriptWord",	//297
    "Key",	//298
    "Keyword",	//299
    "KeywordDoc",	//300
    "KeywordSecondary",	//301
    "KeywordSet2",	//302
    "KeywordSet3",	//303
    "KeywordSet5",	//304
    "KeywordSet6",	//305
    "KeywordSet7",	//306
    "KeywordSet8",	//307
    "KeywordSet9",	//308
    "Label",	//309
    "Landscape",	//310
    "LargeCapacity",	//311
    "LargeFormat",	//312
    "LastPageFirst",	//313
    "Ledger",	//314
    "LeftRectangle",	//315
    "LeftSideRoundedSplitter",	//316
    "LeftSideSplitter",	//317
    "Legal",	//318
    "LessLanguage",	//319
    "Letter",	//320
    "LicensedActiveQt",	//321
    "LicensedCore",	//322
    "LicensedDBus",	//323
    "LicensedDeclarative",	//324
    "LicensedGui",	//325
    "LicensedHelp",	//326
    "LicensedMultimedia",	//327
    "LicensedNetwork",	//328
    "LicensedOpenGL",	//329
    "LicensedOpenVG",	//330
    "LicensedQt3Support",	//331
    "LicensedQt3SupportLight",	//332
    "LicensedScript",	//333
    "LicensedScriptTools",	//334
    "LicensedSql",	//335
    "LicensedSvg",	//336
    "LicensedTest",	//337
    "LicensedXml",	//338
    "LicensedXmlPatterns",	//339
    "LineAdded",	//340
    "LineChanged",	//341
    "LineComment",	//342
    "LineCopy",	//343
    "LineCut",	//344
    "LineDelete",	//345
    "LineDown",	//346
    "LineDownExtend",	//347
    "LineDownRectExtend",	//348
    "LineDuplicate",	//349
    "LineEnd",	//350
    "LineEndDisplay",	//351
    "LineEndDisplayExtend",	//352
    "LineEndExtend",	//353
    "LineEndRectExtend",	//354
    "LineEndWrap",	//355
    "LineEndWrapExtend",	//356
    "LineRemoved",	//357
    "LineScrollDown",	//358
    "LineScrollUp",	//359
    "LineTranspose",	//360
    "LineUp",	//361
    "LineUpExtend",	//362
    "LineUpRectExtend",	//363
    "Literal",	//364
    "LiteralString",	//365
    "Lower",	//366
    "LowerCase",	//367
    "Manual",	//368
    "MaxPageSource",	//369
    "MediaRule",	//370
    "Middle",	//371
    "Millimeter",	//372
    "Minus",	//373
    "MoNone",	//374
    "MoSublineSelect",	//375
    "Modifier",	//376
    "ModuleName",	//377
    "MoveSelectedLinesDown",	//378
    "MoveSelectedLinesUp",	//379
    "NPageSize",	//380
    "NPaperSize",	//381
    "Name",	//382
    "NativeFormat",	//383
    "Newline",	//384
    "NoBraceMatch",	//385
    "NoFoldStyle",	//386
    "NoFrame",	//387
    "NoWarning",	//388
    "Number",	//389
    "NumberMargin",	//390
    "ObjectsCSGAppearance",	//391
    "OnlyOne",	//392
    "Operator",	//393
    "OriginalCase",	//394
    "OtherInTag",	//395
    "PHPComment",	//396
    "PHPCommentLine",	//397
    "PHPDefault",	//398
    "PHPDoubleQuotedString",	//399
    "PHPDoubleQuotedVariable",	//400
    "PHPKeyword",	//401
    "PHPNumber",	//402
    "PHPOperator",	//403
    "PHPSingleQuotedString",	//404
    "PHPStart",	//405
    "PHPVariable",	//406
    "POD",	//407
    "PODVerbatim",	//408
    "PageDown",	//409
    "PageDownExtend",	//410
    "PageDownRectExtend",	//411
    "PageRange",	//412
    "PageUp",	//413
    "PageUpExtend",	//414
    "PageUpRectExtend",	//415
    "Panel",	//416
    "ParaDown",	//417
    "ParaDownExtend",	//418
    "ParaUp",	//419
    "ParaUpExtend",	//420
    "ParameterExpansion",	//421
    "Paste",	//422
    "PdfFormat",	//423
    "PercentStringQ",	//424
    "PercentStringq",	//425
    "PercentStringr",	//426
    "PercentStringw",	//427
    "PercentStringx",	//428
    "Pica",	//429
    "Plain",	//430
    "PlainFoldStyle",	//431
    "PlainIndicator",	//432
    "Plus",	//433
    "PlusComment",	//434
    "PlusKeyword",	//435
    "PlusPrompt",	//436
    "Point",	//437
    "Portrait",	//438
    "Position",	//439
    "PostScriptFormat",	//440
    "PreProcessor",	//441
    "PreProcessorComment",	//442
    "PreProcessorParenthesis",	//443
    "PredefinedFunctions",	//444
    "PredefinedIdentifiers",	//445
    "Preprocessor",	//446
    "PrinterResolution",	//447
    "ProcedureParenthesis",	//448
    "PseudoClass",	//449
    "PseudoElement",	//450
    "PythonClassName",	//451
    "PythonComment",	//452
    "PythonDefault",	//453
    "PythonDoubleQuotedString",	//454
    "PythonFunctionMethodName",	//455
    "PythonIdentifier",	//456
    "PythonKeyword",	//457
    "PythonNumber",	//458
    "PythonOperator",	//459
    "PythonSingleQuotedString",	//460
    "PythonStart",	//461
    "PythonTripleDoubleQuotedString",	//462
    "PythonTripleSingleQuotedString",	//463
    "QSCN_SELCHANGED",	//464
    "QSCN_SELCHANGED$",	//465
    "Q_COMPLEX_TYPE",	//466
    "Q_DUMMY_TYPE",	//467
    "Q_MOVABLE_TYPE",	//468
    "Q_PRIMITIVE_TYPE",	//469
    "Q_STATIC_TYPE",	//470
    "QsciAPIs",	//471
    "QsciAPIs#",	//472
    "QsciAbstractAPIs",	//473
    "QsciAbstractAPIs#",	//474
    "QsciDocument",	//475
    "QsciDocument#",	//476
    "QsciLexer",	//477
    "QsciLexer#",	//478
    "QsciLexerBash",	//479
    "QsciLexerBash#",	//480
    "QsciLexerBatch",	//481
    "QsciLexerBatch#",	//482
    "QsciLexerCMake",	//483
    "QsciLexerCMake#",	//484
    "QsciLexerCPP",	//485
    "QsciLexerCPP#",	//486
    "QsciLexerCPP#$",	//487
    "QsciLexerCSS",	//488
    "QsciLexerCSS#",	//489
    "QsciLexerCSharp",	//490
    "QsciLexerCSharp#",	//491
    "QsciLexerCustom",	//492
    "QsciLexerCustom#",	//493
    "QsciLexerD",	//494
    "QsciLexerD#",	//495
    "QsciLexerDiff",	//496
    "QsciLexerDiff#",	//497
    "QsciLexerFortran",	//498
    "QsciLexerFortran#",	//499
    "QsciLexerFortran77",	//500
    "QsciLexerFortran77#",	//501
    "QsciLexerHTML",	//502
    "QsciLexerHTML#",	//503
    "QsciLexerIDL",	//504
    "QsciLexerIDL#",	//505
    "QsciLexerJava",	//506
    "QsciLexerJava#",	//507
    "QsciLexerJavaScript",	//508
    "QsciLexerJavaScript#",	//509
    "QsciLexerLua",	//510
    "QsciLexerLua#",	//511
    "QsciLexerMakefile",	//512
    "QsciLexerMakefile#",	//513
    "QsciLexerPOV",	//514
    "QsciLexerPOV#",	//515
    "QsciLexerPascal",	//516
    "QsciLexerPascal#",	//517
    "QsciLexerPerl",	//518
    "QsciLexerPerl#",	//519
    "QsciLexerPostScript",	//520
    "QsciLexerPostScript#",	//521
    "QsciLexerProperties",	//522
    "QsciLexerProperties#",	//523
    "QsciLexerPython",	//524
    "QsciLexerPython#",	//525
    "QsciLexerRuby",	//526
    "QsciLexerRuby#",	//527
    "QsciLexerSQL",	//528
    "QsciLexerSQL#",	//529
    "QsciLexerTCL",	//530
    "QsciLexerTCL#",	//531
    "QsciLexerTeX",	//532
    "QsciLexerTeX#",	//533
    "QsciLexerVHDL",	//534
    "QsciLexerVHDL#",	//535
    "QsciLexerXML",	//536
    "QsciLexerXML#",	//537
    "QsciLexerYAML",	//538
    "QsciLexerYAML#",	//539
    "QsciMacro",	//540
    "QsciMacro#",	//541
    "QsciMacro$#",	//542
    "QsciPrinter",	//543
    "QsciPrinter$",	//544
    "QsciScintilla",	//545
    "QsciScintilla#",	//546
    "QsciScintillaBase",	//547
    "QsciScintillaBase#",	//548
    "QsciStyle",	//549
    "QsciStyle#",	//550
    "QsciStyle$",	//551
    "QsciStyle$$###",	//552
    "QsciStyle$$###$",	//553
    "QsciStyledText",	//554
    "QsciStyledText#",	//555
    "QsciStyledText$#",	//556
    "QsciStyledText$$",	//557
    "QtCriticalMsg",	//558
    "QtDebugMsg",	//559
    "QtFatalMsg",	//560
    "QtSystemMsg",	//561
    "QtWarningMsg",	//562
    "QuotedIdentifier",	//563
    "QuotedKeyword",	//564
    "QuotedString",	//565
    "QuotedStringQ",	//566
    "QuotedStringQQ",	//567
    "QuotedStringQQVar",	//568
    "QuotedStringQR",	//569
    "QuotedStringQRVar",	//570
    "QuotedStringQW",	//571
    "QuotedStringQX",	//572
    "QuotedStringQXVar",	//573
    "Raised",	//574
    "RawString",	//575
    "Rectangle",	//576
    "Redo",	//577
    "Reference",	//578
    "Regex",	//579
    "RegexVar",	//580
    "RightArrow",	//581
    "RightTriangle",	//582
    "RoundBoxIndicator",	//583
    "RoundedBottomLeftCorner",	//584
    "SCEN_CHANGE",	//585
    "SCN_AUTOCCANCELLED",	//586
    "SCN_AUTOCCHARDELETED",	//587
    "SCN_AUTOCSELECTION",	//588
    "SCN_AUTOCSELECTION$$",	//589
    "SCN_CALLTIPCLICK",	//590
    "SCN_CALLTIPCLICK$",	//591
    "SCN_CHARADDED",	//592
    "SCN_CHARADDED$",	//593
    "SCN_DOUBLECLICK",	//594
    "SCN_DOUBLECLICK$$$",	//595
    "SCN_DWELLEND",	//596
    "SCN_DWELLEND$$$",	//597
    "SCN_DWELLSTART",	//598
    "SCN_DWELLSTART$$$",	//599
    "SCN_HOTSPOTCLICK",	//600
    "SCN_HOTSPOTCLICK$$",	//601
    "SCN_HOTSPOTDOUBLECLICK",	//602
    "SCN_HOTSPOTDOUBLECLICK$$",	//603
    "SCN_HOTSPOTRELEASECLICK",	//604
    "SCN_HOTSPOTRELEASECLICK$$",	//605
    "SCN_INDICATORCLICK",	//606
    "SCN_INDICATORCLICK$$",	//607
    "SCN_INDICATORRELEASE",	//608
    "SCN_INDICATORRELEASE$$",	//609
    "SCN_MACRORECORD",	//610
    "SCN_MACRORECORD$$$",	//611
    "SCN_MARGINCLICK",	//612
    "SCN_MARGINCLICK$$$",	//613
    "SCN_MODIFIED",	//614
    "SCN_MODIFIED$$$$$$$$$$",	//615
    "SCN_MODIFYATTEMPTRO",	//616
    "SCN_NEEDSHOWN",	//617
    "SCN_NEEDSHOWN$$",	//618
    "SCN_PAINTED",	//619
    "SCN_SAVEPOINTLEFT",	//620
    "SCN_SAVEPOINTREACHED",	//621
    "SCN_STYLENEEDED",	//622
    "SCN_STYLENEEDED$",	//623
    "SCN_UPDATEUI",	//624
    "SCN_UPDATEUI$",	//625
    "SCN_USERLISTSELECTION",	//626
    "SCN_USERLISTSELECTION$$",	//627
    "SCN_ZOOM",	//628
    "SCSSLanguage",	//629
    "SC_FONT_SIZE_MULTIPLIER",	//630
    "SGMLBlockDefault",	//631
    "SGMLCommand",	//632
    "SGMLComment",	//633
    "SGMLDefault",	//634
    "SGMLDoubleQuotedString",	//635
    "SGMLEntity",	//636
    "SGMLError",	//637
    "SGMLParameter",	//638
    "SGMLParameterComment",	//639
    "SGMLSingleQuotedString",	//640
    "SGMLSpecial",	//641
    "Scalar",	//642
    "ScreenResolution",	//643
    "Script",	//644
    "ScrollToEnd",	//645
    "ScrollToStart",	//646
    "Section",	//647
    "SelectAll",	//648
    "Selection",	//649
    "SelectionCopy",	//650
    "SelectionCut",	//651
    "SelectionDuplicate",	//652
    "SelectionLowerCase",	//653
    "SelectionUpperCase",	//654
    "SendScintilla",	//655
    "SendScintilla$",	//656
    "SendScintilla$#",	//657
    "SendScintilla$$",	//658
    "SendScintilla$$#",	//659
    "SendScintilla$$##$$",	//660
    "SendScintilla$$$",	//661
    "SendScintilla$$$$",	//662
    "SendScintillaPtrResult",	//663
    "SendScintillaPtrResult$",	//664
    "Shadow_Mask",	//665
    "Shape_Mask",	//666
    "SingleQuotedHereDocument",	//667
    "SingleQuotedString",	//668
    "SloppyBraceMatch",	//669
    "SmallFormat",	//670
    "SmallRectangle",	//671
    "Spaces",	//672
    "Special",	//673
    "SquiggleIndicator",	//674
    "SquiggleLowIndicator",	//675
    "SquigglePixmapIndicator",	//676
    "StandardFunction",	//677
    "StandardOperator",	//678
    "StandardPackage",	//679
    "StandardType",	//680
    "Stderr",	//681
    "Stdin",	//682
    "Stdout",	//683
    "StraightBoxIndicator",	//684
    "StrictBraceMatch",	//685
    "StrikeIndicator",	//686
    "String",	//687
    "StringLeftQuote",	//688
    "StringRightQuote",	//689
    "StringTableMathsFunctions",	//690
    "StringVariable",	//691
    "StutteredPageDown",	//692
    "StutteredPageDownExtend",	//693
    "StutteredPageUp",	//694
    "StutteredPageUpExtend",	//695
    "StyledPanel",	//696
    "SubroutinePrototype",	//697
    "Substitution",	//698
    "SubstitutionBrace",	//699
    "SubstitutionVar",	//700
    "Sunken",	//701
    "Symbol",	//702
    "SymbolMargin",	//703
    "SymbolMarginDefaultBackgroundColor",	//704
    "SymbolMarginDefaultForegroundColor",	//705
    "SymbolTable",	//706
    "SyntaxErrorMarker",	//707
    "TCLKeyword",	//708
    "TTIndicator",	//709
    "Tab",	//710
    "Tabloid",	//711
    "Tabs",	//712
    "TabsAfterSpaces",	//713
    "Tag",	//714
    "Target",	//715
    "Text",	//716
    "TextBlockMarker",	//717
    "TextMargin",	//718
    "TextMarginRightJustified",	//719
    "ThreeDots",	//720
    "ThreeRightArrows",	//721
    "TkCommand",	//722
    "TkKeyword",	//723
    "Tractor",	//724
    "Translation",	//725
    "TripleDoubleQuotedString",	//726
    "TripleQuotedVerbatimString",	//727
    "TripleSingleQuotedString",	//728
    "Typedefs",	//729
    "TypesModifiersItems",	//730
    "UUID",	//731
    "UnclosedString",	//732
    "Underline",	//733
    "Undo",	//734
    "UnknownAttribute",	//735
    "UnknownProperty",	//736
    "UnknownPseudoClass",	//737
    "UnknownTag",	//738
    "UpperCase",	//739
    "VBScriptComment",	//740
    "VBScriptDefault",	//741
    "VBScriptIdentifier",	//742
    "VBScriptKeyword",	//743
    "VBScriptNumber",	//744
    "VBScriptStart",	//745
    "VBScriptString",	//746
    "VBScriptUnclosedString",	//747
    "VCHome",	//748
    "VCHomeExtend",	//749
    "VCHomeRectExtend",	//750
    "VCHomeWrap",	//751
    "VCHomeWrapExtend",	//752
    "VLine",	//753
    "Value",	//754
    "Variable",	//755
    "VerbatimString",	//756
    "VerticalCentreCaret",	//757
    "VerticalLine",	//758
    "WinPanel",	//759
    "WordLeft",	//760
    "WordLeftEnd",	//761
    "WordLeftEndExtend",	//762
    "WordLeftExtend",	//763
    "WordPartLeft",	//764
    "WordPartLeftExtend",	//765
    "WordPartRight",	//766
    "WordPartRightExtend",	//767
    "WordRight",	//768
    "WordRightEnd",	//769
    "WordRightEndExtend",	//770
    "WordRightExtend",	//771
    "WrapCharacter",	//772
    "WrapFlagByBorder",	//773
    "WrapFlagByText",	//774
    "WrapFlagInMargin",	//775
    "WrapFlagNone",	//776
    "WrapIndentFixed",	//777
    "WrapIndentIndented",	//778
    "WrapIndentSame",	//779
    "WrapNone",	//780
    "WrapWord",	//781
    "WsInvisible",	//782
    "WsVisible",	//783
    "WsVisibleAfterIndent",	//784
    "XMLEnd",	//785
    "XMLStart",	//786
    "XMLTagEnd",	//787
    "ZoomIn",	//788
    "ZoomOut",	//789
    "actionEvent",	//790
    "add",	//791
    "add$",	//792
    "alternateKey",	//793
    "annotate",	//794
    "annotate$#",	//795
    "annotate$$#",	//796
    "annotate$$$",	//797
    "annotate$?",	//798
    "annotation",	//799
    "annotation$",	//800
    "annotationDisplay",	//801
    "apiContext",	//802
    "apiContext$$$",	//803
    "apiPreparationCancelled",	//804
    "apiPreparationFinished",	//805
    "apiPreparationStarted",	//806
    "apis",	//807
    "append",	//808
    "append$",	//809
    "apply",	//810
    "apply#",	//811
    "autoCompleteFromAPIs",	//812
    "autoCompleteFromAll",	//813
    "autoCompleteFromDocument",	//814
    "autoCompletionCaseSensitivity",	//815
    "autoCompletionFillups",	//816
    "autoCompletionFillupsEnabled",	//817
    "autoCompletionReplaceWord",	//818
    "autoCompletionSelected",	//819
    "autoCompletionSelected$",	//820
    "autoCompletionShowSingle",	//821
    "autoCompletionSource",	//822
    "autoCompletionThreshold",	//823
    "autoCompletionUseSingle",	//824
    "autoCompletionWordSeparators",	//825
    "autoIndent",	//826
    "autoIndentStyle",	//827
    "backslashEscapes",	//828
    "backspaceUnindents",	//829
    "beginUndoAction",	//830
    "blockEnd",	//831
    "blockEnd$",	//832
    "blockLookback",	//833
    "blockStart",	//834
    "blockStart$",	//835
    "blockStartKeyword",	//836
    "blockStartKeyword$",	//837
    "boundTo",	//838
    "boundTo$",	//839
    "braceMatching",	//840
    "braceStyle",	//841
    "callTip",	//842
    "callTips",	//843
    "callTips?$$?",	//844
    "callTipsPosition",	//845
    "callTipsStyle",	//846
    "callTipsVisible",	//847
    "canInsertFromMimeData",	//848
    "canInsertFromMimeData#",	//849
    "cancelList",	//850
    "cancelPreparation",	//851
    "caseSensitive",	//852
    "caseSensitiveTags",	//853
    "changeEvent",	//854
    "changeable",	//855
    "childEvent",	//856
    "clear",	//857
    "clearAlternateKeys",	//858
    "clearAnnotations",	//859
    "clearAnnotations$",	//860
    "clearFolds",	//861
    "clearIndicatorRange",	//862
    "clearIndicatorRange$$$$$",	//863
    "clearKeys",	//864
    "clearMarginText",	//865
    "clearMarginText$",	//866
    "clearRegisteredImages",	//867
    "closeEvent",	//868
    "color",	//869
    "color$",	//870
    "colorChanged",	//871
    "colorChanged#$",	//872
    "command",	//873
    "commands",	//874
    "connectNotify",	//875
    "contextMenuEvent",	//876
    "contextMenuEvent#",	//877
    "contractedFolds",	//878
    "convertEols",	//879
    "convertEols$",	//880
    "copy",	//881
    "copyAvailable",	//882
    "copyAvailable$",	//883
    "createStandardContextMenu",	//884
    "cursorPositionChanged",	//885
    "cursorPositionChanged$$",	//886
    "customEvent",	//887
    "cut",	//888
    "defaultColor",	//889
    "defaultColor$",	//890
    "defaultEolFill",	//891
    "defaultEolFill$",	//892
    "defaultFont",	//893
    "defaultFont$",	//894
    "defaultPaper",	//895
    "defaultPaper$",	//896
    "defaultPreparedName",	//897
    "defaultStyle",	//898
    "description",	//899
    "description$",	//900
    "devType",	//901
    "disconnectNotify",	//902
    "djangoTemplates",	//903
    "document",	//904
    "dollarsAllowed",	//905
    "dottedWords",	//906
    "dragEnterEvent",	//907
    "dragEnterEvent#",	//908
    "dragLeaveEvent",	//909
    "dragLeaveEvent#",	//910
    "dragMoveEvent",	//911
    "dragMoveEvent#",	//912
    "dropEvent",	//913
    "dropEvent#",	//914
    "edgeColor",	//915
    "edgeColumn",	//916
    "edgeMode",	//917
    "editor",	//918
    "enabledChange",	//919
    "endRecording",	//920
    "endUndoAction",	//921
    "ensureCursorVisible",	//922
    "ensureLineVisible",	//923
    "ensureLineVisible$",	//924
    "enterEvent",	//925
    "eolFill",	//926
    "eolFill$",	//927
    "eolFillChanged",	//928
    "eolFillChanged$$",	//929
    "eolMode",	//930
    "eolVisibility",	//931
    "event",	//932
    "event#",	//933
    "eventFilter",	//934
    "execute",	//935
    "extraAscent",	//936
    "extraDescent",	//937
    "fillIndicatorRange",	//938
    "fillIndicatorRange$$$$$",	//939
    "find",	//940
    "find$",	//941
    "findFirst",	//942
    "findFirst$$$$$",	//943
    "findFirst$$$$$$",	//944
    "findFirst$$$$$$$",	//945
    "findFirst$$$$$$$$",	//946
    "findFirst$$$$$$$$$",	//947
    "findFirst$$$$$$$$$$",	//948
    "findFirstInSelection",	//949
    "findFirstInSelection$$$$",	//950
    "findFirstInSelection$$$$$",	//951
    "findFirstInSelection$$$$$$",	//952
    "findFirstInSelection$$$$$$$",	//953
    "findNext",	//954
    "firstVisibleLine",	//955
    "focusInEvent",	//956
    "focusInEvent#",	//957
    "focusNextPrevChild",	//958
    "focusNextPrevChild$",	//959
    "focusOutEvent",	//960
    "focusOutEvent#",	//961
    "foldAll",	//962
    "foldAll$",	//963
    "foldAtBegin",	//964
    "foldAtElse",	//965
    "foldAtParenthesis",	//966
    "foldComments",	//967
    "foldCompact",	//968
    "foldDirectives",	//969
    "foldLine",	//970
    "foldLine$",	//971
    "foldOnlyBegin",	//972
    "foldPODBlocks",	//973
    "foldPackages",	//974
    "foldPreprocessor",	//975
    "foldQuotes",	//976
    "foldScriptComments",	//977
    "foldScriptHeredocs",	//978
    "folding",	//979
    "font",	//980
    "font$",	//981
    "fontChange",	//982
    "fontChanged",	//983
    "fontChanged#$",	//984
    "formatPage",	//985
    "formatPage#$#$",	//986
    "fromMimeData",	//987
    "fromMimeData#$",	//988
    "getCursorPosition",	//989
    "getCursorPosition$$",	//990
    "getSelection",	//991
    "getSelection$$$$",	//992
    "hasSelectedText",	//993
    "hashComments",	//994
    "heightForWidth",	//995
    "hideEvent",	//996
    "highlightHashQuotedStrings",	//997
    "highlightSubidentifiers",	//998
    "highlightTripleQuotedStrings",	//999
    "hotspot",	//1000
    "indent",	//1001
    "indent$",	//1002
    "indentation",	//1003
    "indentation$",	//1004
    "indentationGuideView",	//1005
    "indentationGuides",	//1006
    "indentationWarning",	//1007
    "indentationWidth",	//1008
    "indentationsUseTabs",	//1009
    "indicatorClicked",	//1010
    "indicatorClicked$$$",	//1011
    "indicatorDefine",	//1012
    "indicatorDefine$",	//1013
    "indicatorDefine$$",	//1014
    "indicatorDrawUnder",	//1015
    "indicatorDrawUnder$",	//1016
    "indicatorReleased",	//1017
    "indicatorReleased$$$",	//1018
    "initialSpaces",	//1019
    "inputMethodEvent",	//1020
    "inputMethodEvent#",	//1021
    "inputMethodQuery",	//1022
    "insert",	//1023
    "insert$",	//1024
    "insertAt",	//1025
    "insertAt$$$",	//1026
    "installedAPIFiles",	//1027
    "isCallTipActive",	//1028
    "isListActive",	//1029
    "isModified",	//1030
    "isPrepared",	//1031
    "isPrepared$",	//1032
    "isReadOnly",	//1033
    "isRedoAvailable",	//1034
    "isUndoAvailable",	//1035
    "isUtf8",	//1036
    "isWordCharacter",	//1037
    "isWordCharacter$",	//1038
    "key",	//1039
    "keyPressEvent",	//1040
    "keyPressEvent#",	//1041
    "keyReleaseEvent",	//1042
    "keywords",	//1043
    "keywords$",	//1044
    "language",	//1045
    "languageChange",	//1046
    "leaveEvent",	//1047
    "length",	//1048
    "level",	//1049
    "lexer",	//1050
    "lexerId",	//1051
    "lineAt",	//1052
    "lineAt#",	//1053
    "lineIndexFromPosition",	//1054
    "lineIndexFromPosition$$$",	//1055
    "lineLength",	//1056
    "lineLength$",	//1057
    "lines",	//1058
    "linesChanged",	//1059
    "load",	//1060
    "load$",	//1061
    "loadPrepared",	//1062
    "loadPrepared$",	//1063
    "magnification",	//1064
    "makoTemplates",	//1065
    "marginClicked",	//1066
    "marginClicked$$$",	//1067
    "marginLineNumbers",	//1068
    "marginLineNumbers$",	//1069
    "marginMarkerMask",	//1070
    "marginMarkerMask$",	//1071
    "marginOptions",	//1072
    "marginSensitivity",	//1073
    "marginSensitivity$",	//1074
    "marginType",	//1075
    "marginType$",	//1076
    "marginWidth",	//1077
    "marginWidth$",	//1078
    "markerAdd",	//1079
    "markerAdd$$",	//1080
    "markerDefine",	//1081
    "markerDefine#",	//1082
    "markerDefine#$",	//1083
    "markerDefine$",	//1084
    "markerDefine$$",	//1085
    "markerDelete",	//1086
    "markerDelete$",	//1087
    "markerDelete$$",	//1088
    "markerDeleteAll",	//1089
    "markerDeleteAll$",	//1090
    "markerDeleteHandle",	//1091
    "markerDeleteHandle$",	//1092
    "markerFindNext",	//1093
    "markerFindNext$$",	//1094
    "markerFindPrevious",	//1095
    "markerFindPrevious$$",	//1096
    "markerLine",	//1097
    "markerLine$",	//1098
    "markersAtLine",	//1099
    "markersAtLine$",	//1100
    "metaObject",	//1101
    "metric",	//1102
    "minimumSizeHint",	//1103
    "modificationAttempted",	//1104
    "modificationChanged",	//1105
    "modificationChanged$",	//1106
    "mouseDoubleClickEvent",	//1107
    "mouseDoubleClickEvent#",	//1108
    "mouseMoveEvent",	//1109
    "mouseMoveEvent#",	//1110
    "mousePressEvent",	//1111
    "mousePressEvent#",	//1112
    "mouseReleaseEvent",	//1113
    "mouseReleaseEvent#",	//1114
    "moveEvent",	//1115
    "moveToMatchingBrace",	//1116
    "operator=",	//1117
    "operator=#",	//1118
    "overwriteMode",	//1119
    "paintEngine",	//1120
    "paintEvent",	//1121
    "paintEvent#",	//1122
    "paletteChange",	//1123
    "paper",	//1124
    "paper$",	//1125
    "paperChanged",	//1126
    "paperChanged#$",	//1127
    "paste",	//1128
    "play",	//1129
    "pool",	//1130
    "positionFromLineIndex",	//1131
    "positionFromLineIndex$$",	//1132
    "prepare",	//1133
    "printRange",	//1134
    "printRange#",	//1135
    "printRange#$",	//1136
    "printRange#$$",	//1137
    "processComments",	//1138
    "processIf",	//1139
    "propertyChanged",	//1140
    "propertyChanged$$",	//1141
    "qt_metacall",	//1142
    "qt_metacall$$?",	//1143
    "qt_metacast",	//1144
    "qt_metacast$",	//1145
    "quotedIdentifiers",	//1146
    "read",	//1147
    "read#",	//1148
    "readProperties",	//1149
    "readProperties#$",	//1150
    "readSettings",	//1151
    "readSettings#",	//1152
    "readSettings#$",	//1153
    "recolor",	//1154
    "recolor$",	//1155
    "recolor$$",	//1156
    "redo",	//1157
    "refresh",	//1158
    "refreshProperties",	//1159
    "registerImage",	//1160
    "registerImage$#",	//1161
    "remove",	//1162
    "remove$",	//1163
    "removeSelectedText",	//1164
    "replace",	//1165
    "replace$",	//1166
    "replaceSelectedText",	//1167
    "replaceSelectedText$",	//1168
    "resetFoldMarginColors",	//1169
    "resetMatchedBraceIndicator",	//1170
    "resetSelectionBackgroundColor",	//1171
    "resetSelectionForegroundColor",	//1172
    "resetUnmatchedBraceIndicator",	//1173
    "resizeEvent",	//1174
    "resizeEvent#",	//1175
    "save",	//1176
    "savePrepared",	//1177
    "savePrepared$",	//1178
    "scriptsStyled",	//1179
    "scrollContentsBy",	//1180
    "scrollContentsBy$$",	//1181
    "selectAll",	//1182
    "selectAll$",	//1183
    "selectToMatchingBrace",	//1184
    "selectedText",	//1185
    "selectionChanged",	//1186
    "selectionToEol",	//1187
    "setAPIs",	//1188
    "setAPIs#",	//1189
    "setAlternateKey",	//1190
    "setAlternateKey$",	//1191
    "setAnnotationDisplay",	//1192
    "setAnnotationDisplay$",	//1193
    "setAutoCompletionCaseSensitivity",	//1194
    "setAutoCompletionCaseSensitivity$",	//1195
    "setAutoCompletionFillups",	//1196
    "setAutoCompletionFillups$",	//1197
    "setAutoCompletionFillupsEnabled",	//1198
    "setAutoCompletionFillupsEnabled$",	//1199
    "setAutoCompletionReplaceWord",	//1200
    "setAutoCompletionReplaceWord$",	//1201
    "setAutoCompletionShowSingle",	//1202
    "setAutoCompletionShowSingle$",	//1203
    "setAutoCompletionSource",	//1204
    "setAutoCompletionSource$",	//1205
    "setAutoCompletionThreshold",	//1206
    "setAutoCompletionThreshold$",	//1207
    "setAutoCompletionUseSingle",	//1208
    "setAutoCompletionUseSingle$",	//1209
    "setAutoCompletionWordSeparators",	//1210
    "setAutoCompletionWordSeparators?",	//1211
    "setAutoIndent",	//1212
    "setAutoIndent$",	//1213
    "setAutoIndentStyle",	//1214
    "setAutoIndentStyle$",	//1215
    "setBackslashEscapes",	//1216
    "setBackslashEscapes$",	//1217
    "setBackspaceUnindents",	//1218
    "setBackspaceUnindents$",	//1219
    "setBraceMatching",	//1220
    "setBraceMatching$",	//1221
    "setCallTipsBackgroundColor",	//1222
    "setCallTipsBackgroundColor#",	//1223
    "setCallTipsForegroundColor",	//1224
    "setCallTipsForegroundColor#",	//1225
    "setCallTipsHighlightColor",	//1226
    "setCallTipsHighlightColor#",	//1227
    "setCallTipsPosition",	//1228
    "setCallTipsPosition$",	//1229
    "setCallTipsStyle",	//1230
    "setCallTipsStyle$",	//1231
    "setCallTipsVisible",	//1232
    "setCallTipsVisible$",	//1233
    "setCaretForegroundColor",	//1234
    "setCaretForegroundColor#",	//1235
    "setCaretLineBackgroundColor",	//1236
    "setCaretLineBackgroundColor#",	//1237
    "setCaretLineVisible",	//1238
    "setCaretLineVisible$",	//1239
    "setCaretWidth",	//1240
    "setCaretWidth$",	//1241
    "setCaseSensitiveTags",	//1242
    "setCaseSensitiveTags$",	//1243
    "setChangeable",	//1244
    "setChangeable$",	//1245
    "setColor",	//1246
    "setColor#",	//1247
    "setColor#$",	//1248
    "setContractedFolds",	//1249
    "setContractedFolds?",	//1250
    "setCursorPosition",	//1251
    "setCursorPosition$$",	//1252
    "setDefaultColor",	//1253
    "setDefaultColor#",	//1254
    "setDefaultFont",	//1255
    "setDefaultFont#",	//1256
    "setDefaultPaper",	//1257
    "setDefaultPaper#",	//1258
    "setDescription",	//1259
    "setDescription$",	//1260
    "setDjangoTemplates",	//1261
    "setDjangoTemplates$",	//1262
    "setDocument",	//1263
    "setDocument#",	//1264
    "setDollarsAllowed",	//1265
    "setDollarsAllowed$",	//1266
    "setDottedWords",	//1267
    "setDottedWords$",	//1268
    "setEdgeColor",	//1269
    "setEdgeColor#",	//1270
    "setEdgeColumn",	//1271
    "setEdgeColumn$",	//1272
    "setEdgeMode",	//1273
    "setEdgeMode$",	//1274
    "setEditor",	//1275
    "setEditor#",	//1276
    "setEolFill",	//1277
    "setEolFill$",	//1278
    "setEolFill$$",	//1279
    "setEolMode",	//1280
    "setEolMode$",	//1281
    "setEolVisibility",	//1282
    "setEolVisibility$",	//1283
    "setExtraAscent",	//1284
    "setExtraAscent$",	//1285
    "setExtraDescent",	//1286
    "setExtraDescent$",	//1287
    "setFirstVisibleLine",	//1288
    "setFirstVisibleLine$",	//1289
    "setFoldAtBegin",	//1290
    "setFoldAtBegin$",	//1291
    "setFoldAtElse",	//1292
    "setFoldAtElse$",	//1293
    "setFoldAtParenthesis",	//1294
    "setFoldAtParenthesis$",	//1295
    "setFoldComments",	//1296
    "setFoldComments$",	//1297
    "setFoldCompact",	//1298
    "setFoldCompact$",	//1299
    "setFoldDirectives",	//1300
    "setFoldDirectives$",	//1301
    "setFoldMarginColors",	//1302
    "setFoldMarginColors##",	//1303
    "setFoldOnlyBegin",	//1304
    "setFoldOnlyBegin$",	//1305
    "setFoldPODBlocks",	//1306
    "setFoldPODBlocks$",	//1307
    "setFoldPackages",	//1308
    "setFoldPackages$",	//1309
    "setFoldPreprocessor",	//1310
    "setFoldPreprocessor$",	//1311
    "setFoldQuotes",	//1312
    "setFoldQuotes$",	//1313
    "setFoldScriptComments",	//1314
    "setFoldScriptComments$",	//1315
    "setFoldScriptHeredocs",	//1316
    "setFoldScriptHeredocs$",	//1317
    "setFolding",	//1318
    "setFolding$",	//1319
    "setFolding$$",	//1320
    "setFont",	//1321
    "setFont#",	//1322
    "setFont#$",	//1323
    "setHSSLanguage",	//1324
    "setHSSLanguage$",	//1325
    "setHashComments",	//1326
    "setHashComments$",	//1327
    "setHighlightHashQuotedStrings",	//1328
    "setHighlightHashQuotedStrings$",	//1329
    "setHighlightSubidentifiers",	//1330
    "setHighlightSubidentifiers$",	//1331
    "setHighlightTripleQuotedStrings",	//1332
    "setHighlightTripleQuotedStrings$",	//1333
    "setHotspot",	//1334
    "setHotspot$",	//1335
    "setIndentation",	//1336
    "setIndentation$$",	//1337
    "setIndentationGuides",	//1338
    "setIndentationGuides$",	//1339
    "setIndentationGuidesBackgroundColor",	//1340
    "setIndentationGuidesBackgroundColor#",	//1341
    "setIndentationGuidesForegroundColor",	//1342
    "setIndentationGuidesForegroundColor#",	//1343
    "setIndentationWarning",	//1344
    "setIndentationWarning$",	//1345
    "setIndentationWidth",	//1346
    "setIndentationWidth$",	//1347
    "setIndentationsUseTabs",	//1348
    "setIndentationsUseTabs$",	//1349
    "setIndicatorDrawUnder",	//1350
    "setIndicatorDrawUnder$",	//1351
    "setIndicatorDrawUnder$$",	//1352
    "setIndicatorForegroundColor",	//1353
    "setIndicatorForegroundColor#",	//1354
    "setIndicatorForegroundColor#$",	//1355
    "setIndicatorOutlineColor",	//1356
    "setIndicatorOutlineColor#",	//1357
    "setIndicatorOutlineColor#$",	//1358
    "setInitialSpaces",	//1359
    "setInitialSpaces$",	//1360
    "setKey",	//1361
    "setKey$",	//1362
    "setLessLanguage",	//1363
    "setLessLanguage$",	//1364
    "setLevel",	//1365
    "setLevel$",	//1366
    "setLexer",	//1367
    "setLexer#",	//1368
    "setMagnification",	//1369
    "setMagnification$",	//1370
    "setMakoTemplates",	//1371
    "setMakoTemplates$",	//1372
    "setMarginLineNumbers",	//1373
    "setMarginLineNumbers$$",	//1374
    "setMarginMarkerMask",	//1375
    "setMarginMarkerMask$$",	//1376
    "setMarginOptions",	//1377
    "setMarginOptions$",	//1378
    "setMarginSensitivity",	//1379
    "setMarginSensitivity$$",	//1380
    "setMarginText",	//1381
    "setMarginText$#",	//1382
    "setMarginText$$#",	//1383
    "setMarginText$$$",	//1384
    "setMarginText$?",	//1385
    "setMarginType",	//1386
    "setMarginType$$",	//1387
    "setMarginWidth",	//1388
    "setMarginWidth$$",	//1389
    "setMarginsBackgroundColor",	//1390
    "setMarginsBackgroundColor#",	//1391
    "setMarginsFont",	//1392
    "setMarginsFont#",	//1393
    "setMarginsForegroundColor",	//1394
    "setMarginsForegroundColor#",	//1395
    "setMarkerBackgroundColor",	//1396
    "setMarkerBackgroundColor#",	//1397
    "setMarkerBackgroundColor#$",	//1398
    "setMarkerForegroundColor",	//1399
    "setMarkerForegroundColor#",	//1400
    "setMarkerForegroundColor#$",	//1401
    "setMatchedBraceBackgroundColor",	//1402
    "setMatchedBraceBackgroundColor#",	//1403
    "setMatchedBraceForegroundColor",	//1404
    "setMatchedBraceForegroundColor#",	//1405
    "setMatchedBraceIndicator",	//1406
    "setMatchedBraceIndicator$",	//1407
    "setModified",	//1408
    "setModified$",	//1409
    "setOverwriteMode",	//1410
    "setOverwriteMode$",	//1411
    "setPaper",	//1412
    "setPaper#",	//1413
    "setPaper#$",	//1414
    "setProcessComments",	//1415
    "setProcessComments$",	//1416
    "setProcessIf",	//1417
    "setProcessIf$",	//1418
    "setQuotedIdentifiers",	//1419
    "setQuotedIdentifiers$",	//1420
    "setReadOnly",	//1421
    "setReadOnly$",	//1422
    "setSCSSLanguage",	//1423
    "setSCSSLanguage$",	//1424
    "setScriptsStyled",	//1425
    "setScriptsStyled$",	//1426
    "setScrollBars",	//1427
    "setSelection",	//1428
    "setSelection$$$$",	//1429
    "setSelectionBackgroundColor",	//1430
    "setSelectionBackgroundColor#",	//1431
    "setSelectionForegroundColor",	//1432
    "setSelectionForegroundColor#",	//1433
    "setSelectionToEol",	//1434
    "setSelectionToEol$",	//1435
    "setSmartHighlighting",	//1436
    "setSmartHighlighting$",	//1437
    "setStringsOverNewlineAllowed",	//1438
    "setStringsOverNewlineAllowed$",	//1439
    "setStylePreprocessor",	//1440
    "setStylePreprocessor$",	//1441
    "setStyling",	//1442
    "setStyling$#",	//1443
    "setStyling$$",	//1444
    "setTabIndents",	//1445
    "setTabIndents$",	//1446
    "setTabWidth",	//1447
    "setTabWidth$",	//1448
    "setText",	//1449
    "setText$",	//1450
    "setTextCase",	//1451
    "setTextCase$",	//1452
    "setTokenize",	//1453
    "setTokenize$",	//1454
    "setUnmatchedBraceBackgroundColor",	//1455
    "setUnmatchedBraceBackgroundColor#",	//1456
    "setUnmatchedBraceForegroundColor",	//1457
    "setUnmatchedBraceForegroundColor#",	//1458
    "setUnmatchedBraceIndicator",	//1459
    "setUnmatchedBraceIndicator$",	//1460
    "setUtf8",	//1461
    "setUtf8$",	//1462
    "setV2UnicodeAllowed",	//1463
    "setV2UnicodeAllowed$",	//1464
    "setV3BinaryOctalAllowed",	//1465
    "setV3BinaryOctalAllowed$",	//1466
    "setV3BytesAllowed",	//1467
    "setV3BytesAllowed$",	//1468
    "setVisible",	//1469
    "setVisible$",	//1470
    "setWhitespaceBackgroundColor",	//1471
    "setWhitespaceBackgroundColor#",	//1472
    "setWhitespaceForegroundColor",	//1473
    "setWhitespaceForegroundColor#",	//1474
    "setWhitespaceSize",	//1475
    "setWhitespaceSize$",	//1476
    "setWhitespaceVisibility",	//1477
    "setWhitespaceVisibility$",	//1478
    "setWrapIndentMode",	//1479
    "setWrapIndentMode$",	//1480
    "setWrapMode",	//1481
    "setWrapMode$",	//1482
    "setWrapVisualFlags",	//1483
    "setWrapVisualFlags$",	//1484
    "setWrapVisualFlags$$",	//1485
    "setWrapVisualFlags$$$",	//1486
    "showEvent",	//1487
    "showUserList",	//1488
    "showUserList$?",	//1489
    "sizeHint",	//1490
    "smartHighlighting",	//1491
    "standardCommands",	//1492
    "startRecording",	//1493
    "startStyling",	//1494
    "startStyling$",	//1495
    "startStyling$$",	//1496
    "staticMetaObject",	//1497
    "stringsOverNewlineAllowed",	//1498
    "style",	//1499
    "styleBitsNeeded",	//1500
    "styleChange",	//1501
    "stylePreprocessor",	//1502
    "styleText",	//1503
    "styleText$$",	//1504
    "tabIndents",	//1505
    "tabWidth",	//1506
    "tabletEvent",	//1507
    "text",	//1508
    "text$",	//1509
    "textCase",	//1510
    "textChanged",	//1511
    "textHeight",	//1512
    "textHeight$",	//1513
    "timerEvent",	//1514
    "toMimeData",	//1515
    "toMimeData#$",	//1516
    "tokenize",	//1517
    "tr",	//1518
    "tr$",	//1519
    "tr$$",	//1520
    "tr$$$",	//1521
    "trUtf8",	//1522
    "trUtf8$",	//1523
    "trUtf8$$",	//1524
    "trUtf8$$$",	//1525
    "undo",	//1526
    "unindent",	//1527
    "unindent$",	//1528
    "updateAutoCompletionList",	//1529
    "updateAutoCompletionList??",	//1530
    "userListActivated",	//1531
    "userListActivated$$",	//1532
    "v2UnicodeAllowed",	//1533
    "v3BinaryOctalAllowed",	//1534
    "v3BytesAllowed",	//1535
    "validKey",	//1536
    "validKey$",	//1537
    "viewportEvent",	//1538
    "visible",	//1539
    "wheelEvent",	//1540
    "whitespaceSize",	//1541
    "whitespaceVisibility",	//1542
    "windowActivationChange",	//1543
    "wordAtLineIndex",	//1544
    "wordAtLineIndex$$",	//1545
    "wordAtPoint",	//1546
    "wordAtPoint#",	//1547
    "wordCharacters",	//1548
    "wrapIndentMode",	//1549
    "wrapMode",	//1550
    "write",	//1551
    "write#",	//1552
    "writeProperties",	//1553
    "writeProperties#$",	//1554
    "writeSettings",	//1555
    "writeSettings#",	//1556
    "writeSettings#$",	//1557
    "x11Event",	//1558
    "zoomIn",	//1559
    "zoomIn$",	//1560
    "zoomOut",	//1561
    "zoomOut$",	//1562
    "zoomTo",	//1563
    "zoomTo$",	//1564
    "~QsciAPIs",	//1565
    "~QsciAbstractAPIs",	//1566
    "~QsciCommand",	//1567
    "~QsciDocument",	//1568
    "~QsciLexer",	//1569
    "~QsciLexerBash",	//1570
    "~QsciLexerBatch",	//1571
    "~QsciLexerCMake",	//1572
    "~QsciLexerCPP",	//1573
    "~QsciLexerCSS",	//1574
    "~QsciLexerCSharp",	//1575
    "~QsciLexerCustom",	//1576
    "~QsciLexerD",	//1577
    "~QsciLexerDiff",	//1578
    "~QsciLexerFortran",	//1579
    "~QsciLexerFortran77",	//1580
    "~QsciLexerHTML",	//1581
    "~QsciLexerIDL",	//1582
    "~QsciLexerJava",	//1583
    "~QsciLexerJavaScript",	//1584
    "~QsciLexerLua",	//1585
    "~QsciLexerMakefile",	//1586
    "~QsciLexerPOV",	//1587
    "~QsciLexerPascal",	//1588
    "~QsciLexerPerl",	//1589
    "~QsciLexerPostScript",	//1590
    "~QsciLexerProperties",	//1591
    "~QsciLexerPython",	//1592
    "~QsciLexerRuby",	//1593
    "~QsciLexerSQL",	//1594
    "~QsciLexerTCL",	//1595
    "~QsciLexerTeX",	//1596
    "~QsciLexerVHDL",	//1597
    "~QsciLexerXML",	//1598
    "~QsciLexerYAML",	//1599
    "~QsciMacro",	//1600
    "~QsciPrinter",	//1601
    "~QsciScintilla",	//1602
    "~QsciScintillaBase",	//1603
    "~QsciStyle",	//1604
    "~QsciStyledText",	//1605
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1103, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1490, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 932, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 209, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1538, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 209, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1540, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {16, 854, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {17, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {17, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 6},	//12 QGlobalSpace::LicensedGui (enum)
    {17, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 7},	//13 QGlobalSpace::LicensedXml (enum)
    {17, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 8},	//14 QGlobalSpace::LicensedQt3SupportLight (enum)
    {17, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 9},	//15 QGlobalSpace::LicensedScript (enum)
    {17, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 10},	//16 QGlobalSpace::LicensedOpenVG (enum)
    {17, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 11},	//17 QGlobalSpace::LicensedDBus (enum)
    {17, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 12},	//18 QGlobalSpace::LicensedTest (enum)
    {17, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 13},	//19 QGlobalSpace::LicensedActiveQt (enum)
    {17, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 14},	//20 QGlobalSpace::LicensedScriptTools (enum)
    {17, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 15},	//21 QGlobalSpace::LicensedSvg (enum)
    {17, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 16},	//22 QGlobalSpace::LicensedDeclarative (enum)
    {17, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 17},	//23 QGlobalSpace::LicensedSql (enum)
    {17, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 18},	//24 QGlobalSpace::LicensedOpenGL (enum)
    {17, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 19},	//25 QGlobalSpace::LicensedCore (enum)
    {17, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 20},	//26 QGlobalSpace::QtDebugMsg (enum)
    {17, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 21},	//27 QGlobalSpace::QtWarningMsg (enum)
    {17, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 22},	//28 QGlobalSpace::QtCriticalMsg (enum)
    {17, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 23},	//29 QGlobalSpace::QtFatalMsg (enum)
    {17, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 24},	//30 QGlobalSpace::QtSystemMsg (enum)
    {17, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 25},	//31 QGlobalSpace::LicensedHelp (enum)
    {17, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 26},	//32 QGlobalSpace::LicensedMultimedia (enum)
    {17, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 27},	//33 QGlobalSpace::LicensedQt3Support (enum)
    {17, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 28},	//34 QGlobalSpace::LicensedXmlPatterns (enum)
    {17, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 29},	//35 QGlobalSpace::LicensedNetwork (enum)
    {28, 932, 1, 1, Smoke::mf_virtual, 209, 0},	//36 QObject::event(QEvent*)
    {28, 934, 5, 2, Smoke::mf_virtual, 209, 0},	//37 QObject::eventFilter(QObject*, QEvent*)
    {28, 1514, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::timerEvent(QTimerEvent*)
    {28, 856, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::childEvent(QChildEvent*)
    {28, 887, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::customEvent(QEvent*)
    {28, 875, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QObject::connectNotify(const char*)
    {28, 902, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QObject::disconnectNotify(const char*)
    {35, 901, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//43 QPrinter::devType() const
    {35, 1120, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//44 QPrinter::paintEngine() const
    {35, 1102, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 235, 0},	//45 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {35, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 4},	//46 QPrinter::ScreenResolution (enum)
    {35, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 5},	//47 QPrinter::PrinterResolution (enum)
    {35, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 6},	//48 QPrinter::HighResolution (enum)
    {47, 901, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//49 QWidget::devType() const
    {47, 1469, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//50 QWidget::setVisible(bool)
    {47, 995, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//51 QWidget::heightForWidth(int) const
    {47, 1120, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//52 QWidget::paintEngine() const
    {47, 1042, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 QWidget::keyReleaseEvent(QKeyEvent*)
    {47, 925, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 QWidget::enterEvent(QEvent*)
    {47, 1047, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 QWidget::leaveEvent(QEvent*)
    {47, 1115, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//56 QWidget::moveEvent(QMoveEvent*)
    {47, 868, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//57 QWidget::closeEvent(QCloseEvent*)
    {47, 1507, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//58 QWidget::tabletEvent(QTabletEvent*)
    {47, 790, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//59 QWidget::actionEvent(QActionEvent*)
    {47, 1487, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 QWidget::showEvent(QShowEvent*)
    {47, 996, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//61 QWidget::hideEvent(QHideEvent*)
    {47, 1558, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 209, 0},	//62 QWidget::x11Event(_XEvent*)
    {47, 1102, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 235, 0},	//63 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {47, 1022, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 0},	//64 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {47, 1501, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//65 QWidget::styleChange(QStyle&)
    {47, 919, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 QWidget::enabledChange(bool)
    {47, 1123, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 QWidget::paletteChange(const QPalette&)
    {47, 982, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//68 QWidget::fontChange(const QFont&)
    {47, 1543, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//69 QWidget::windowActivationChange(bool)
    {47, 1046, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//70 QWidget::languageChange()
    {48, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//71 QsciAPIs::metaObject() const
    {48, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//72 QsciAPIs::qt_metacast(const char*)
    {48, 1518, 44, 2, Smoke::mf_static, 40, 3},	//73 QsciAPIs::tr(const char*, const char*)
    {48, 1522, 44, 2, Smoke::mf_static, 40, 4},	//74 QsciAPIs::trUtf8(const char*, const char*)
    {48, 1518, 47, 3, Smoke::mf_static, 40, 5},	//75 QsciAPIs::tr(const char*, const char*, int)
    {48, 1522, 47, 3, Smoke::mf_static, 40, 6},	//76 QsciAPIs::trUtf8(const char*, const char*, int)
    {48, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//77 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {48, 471, 55, 1, Smoke::mf_ctor, 50, 8},	//78 QsciAPIs::QsciAPIs(QsciLexer*)
    {48, 791, 57, 1, 0, 0, 9},	//79 QsciAPIs::add(const QString&)
    {48, 857, 0, 0, 0, 0, 10},	//80 QsciAPIs::clear()
    {48, 1060, 57, 1, 0, 209, 11},	//81 QsciAPIs::load(const QString&)
    {48, 1162, 57, 1, 0, 0, 12},	//82 QsciAPIs::remove(const QString&)
    {48, 1133, 0, 0, 0, 0, 13},	//83 QsciAPIs::prepare()
    {48, 851, 0, 0, 0, 0, 14},	//84 QsciAPIs::cancelPreparation()
    {48, 897, 0, 0, Smoke::mf_const, 40, 15},	//85 QsciAPIs::defaultPreparedName() const
    {48, 1031, 57, 1, Smoke::mf_const, 209, 16},	//86 QsciAPIs::isPrepared(const QString&) const
    {48, 1062, 57, 1, 0, 209, 17},	//87 QsciAPIs::loadPrepared(const QString&)
    {48, 1177, 57, 1, Smoke::mf_const, 209, 18},	//88 QsciAPIs::savePrepared(const QString&) const
    {48, 1529, 59, 2, Smoke::mf_virtual, 0, 19},	//89 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {48, 819, 57, 1, Smoke::mf_virtual, 0, 20},	//90 QsciAPIs::autoCompletionSelected(const QString&)
    {48, 843, 62, 4, Smoke::mf_virtual, 41, 21},	//91 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {48, 932, 1, 1, Smoke::mf_virtual, 209, 22},	//92 QsciAPIs::event(QEvent*)
    {48, 1027, 0, 0, Smoke::mf_const, 41, 23},	//93 QsciAPIs::installedAPIFiles() const
    {48, 804, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//94 QsciAPIs::apiPreparationCancelled()
    {48, 806, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//95 QsciAPIs::apiPreparationStarted()
    {48, 805, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//96 QsciAPIs::apiPreparationFinished()
    {48, 1518, 12, 1, Smoke::mf_static, 40, 27},	//97 QsciAPIs::tr(const char*)
    {48, 1522, 12, 1, Smoke::mf_static, 40, 28},	//98 QsciAPIs::trUtf8(const char*)
    {48, 1031, 0, 0, Smoke::mf_const, 209, 29},	//99 QsciAPIs::isPrepared() const
    {48, 1062, 0, 0, 0, 209, 30},	//100 QsciAPIs::loadPrepared()
    {48, 1177, 0, 0, Smoke::mf_const, 209, 31},	//101 QsciAPIs::savePrepared() const
    {48, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 32},	//102 QsciAPIs::staticMetaObject() const
    {48, 1565, 0, 0, Smoke::mf_dtor, 0, 33 },	//103 QsciAPIs::~QsciAPIs()
    {49, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//104 QsciAbstractAPIs::metaObject() const
    {49, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//105 QsciAbstractAPIs::qt_metacast(const char*)
    {49, 1518, 44, 2, Smoke::mf_static, 40, 3},	//106 QsciAbstractAPIs::tr(const char*, const char*)
    {49, 1522, 44, 2, Smoke::mf_static, 40, 4},	//107 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {49, 1518, 47, 3, Smoke::mf_static, 40, 5},	//108 QsciAbstractAPIs::tr(const char*, const char*, int)
    {49, 1522, 47, 3, Smoke::mf_static, 40, 6},	//109 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {49, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//110 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {49, 473, 55, 1, Smoke::mf_ctor, 51, 8},	//111 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {49, 1050, 0, 0, Smoke::mf_const, 58, 9},	//112 QsciAbstractAPIs::lexer() const
    {49, 1529, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//113 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {49, 819, 57, 1, Smoke::mf_virtual, 0, 11},	//114 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {49, 843, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 41, 12},	//115 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {49, 1518, 12, 1, Smoke::mf_static, 40, 13},	//116 QsciAbstractAPIs::tr(const char*)
    {49, 1522, 12, 1, Smoke::mf_static, 40, 14},	//117 QsciAbstractAPIs::trUtf8(const char*)
    {49, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 15},	//118 QsciAbstractAPIs::staticMetaObject() const
    {49, 1566, 0, 0, Smoke::mf_dtor, 0, 16 },	//119 QsciAbstractAPIs::~QsciAbstractAPIs()
    {50, 873, 0, 0, Smoke::mf_const, 53, 1},	//120 QsciCommand::command() const
    {50, 935, 0, 0, 0, 0, 2},	//121 QsciCommand::execute()
    {50, 1361, 18, 1, 0, 0, 3},	//122 QsciCommand::setKey(int)
    {50, 1190, 18, 1, 0, 0, 4},	//123 QsciCommand::setAlternateKey(int)
    {50, 1039, 0, 0, Smoke::mf_const, 235, 5},	//124 QsciCommand::key() const
    {50, 793, 0, 0, Smoke::mf_const, 235, 6},	//125 QsciCommand::alternateKey() const
    {50, 1536, 18, 1, Smoke::mf_static, 209, 7},	//126 QsciCommand::validKey(int)
    {50, 899, 0, 0, Smoke::mf_const, 40, 8},	//127 QsciCommand::description() const
    {50, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 9},	//128 QsciCommand::LineDown (enum)
    {50, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 10},	//129 QsciCommand::LineDownExtend (enum)
    {50, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 11},	//130 QsciCommand::LineDownRectExtend (enum)
    {50, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 12},	//131 QsciCommand::LineScrollDown (enum)
    {50, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 13},	//132 QsciCommand::LineUp (enum)
    {50, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 14},	//133 QsciCommand::LineUpExtend (enum)
    {50, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 15},	//134 QsciCommand::LineUpRectExtend (enum)
    {50, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 16},	//135 QsciCommand::LineScrollUp (enum)
    {50, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 17},	//136 QsciCommand::ScrollToStart (enum)
    {50, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 18},	//137 QsciCommand::ScrollToEnd (enum)
    {50, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 19},	//138 QsciCommand::VerticalCentreCaret (enum)
    {50, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 20},	//139 QsciCommand::ParaDown (enum)
    {50, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 21},	//140 QsciCommand::ParaDownExtend (enum)
    {50, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 22},	//141 QsciCommand::ParaUp (enum)
    {50, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 23},	//142 QsciCommand::ParaUpExtend (enum)
    {50, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 24},	//143 QsciCommand::CharLeft (enum)
    {50, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 25},	//144 QsciCommand::CharLeftExtend (enum)
    {50, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 26},	//145 QsciCommand::CharLeftRectExtend (enum)
    {50, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 27},	//146 QsciCommand::CharRight (enum)
    {50, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 28},	//147 QsciCommand::CharRightExtend (enum)
    {50, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 29},	//148 QsciCommand::CharRightRectExtend (enum)
    {50, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 30},	//149 QsciCommand::WordLeft (enum)
    {50, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 31},	//150 QsciCommand::WordLeftExtend (enum)
    {50, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 32},	//151 QsciCommand::WordRight (enum)
    {50, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 33},	//152 QsciCommand::WordRightExtend (enum)
    {50, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 34},	//153 QsciCommand::WordLeftEnd (enum)
    {50, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 35},	//154 QsciCommand::WordLeftEndExtend (enum)
    {50, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 36},	//155 QsciCommand::WordRightEnd (enum)
    {50, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 37},	//156 QsciCommand::WordRightEndExtend (enum)
    {50, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 38},	//157 QsciCommand::WordPartLeft (enum)
    {50, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 39},	//158 QsciCommand::WordPartLeftExtend (enum)
    {50, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 40},	//159 QsciCommand::WordPartRight (enum)
    {50, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 41},	//160 QsciCommand::WordPartRightExtend (enum)
    {50, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 42},	//161 QsciCommand::Home (enum)
    {50, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 43},	//162 QsciCommand::HomeExtend (enum)
    {50, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 44},	//163 QsciCommand::HomeRectExtend (enum)
    {50, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 45},	//164 QsciCommand::HomeDisplay (enum)
    {50, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 46},	//165 QsciCommand::HomeDisplayExtend (enum)
    {50, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 47},	//166 QsciCommand::HomeWrap (enum)
    {50, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 48},	//167 QsciCommand::HomeWrapExtend (enum)
    {50, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 49},	//168 QsciCommand::VCHome (enum)
    {50, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 50},	//169 QsciCommand::VCHomeExtend (enum)
    {50, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 51},	//170 QsciCommand::VCHomeRectExtend (enum)
    {50, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 52},	//171 QsciCommand::VCHomeWrap (enum)
    {50, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 53},	//172 QsciCommand::VCHomeWrapExtend (enum)
    {50, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 54},	//173 QsciCommand::LineEnd (enum)
    {50, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 55},	//174 QsciCommand::LineEndExtend (enum)
    {50, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 56},	//175 QsciCommand::LineEndRectExtend (enum)
    {50, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 57},	//176 QsciCommand::LineEndDisplay (enum)
    {50, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 58},	//177 QsciCommand::LineEndDisplayExtend (enum)
    {50, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 59},	//178 QsciCommand::LineEndWrap (enum)
    {50, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 60},	//179 QsciCommand::LineEndWrapExtend (enum)
    {50, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 61},	//180 QsciCommand::DocumentStart (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 62},	//181 QsciCommand::DocumentStartExtend (enum)
    {50, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 63},	//182 QsciCommand::DocumentEnd (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 64},	//183 QsciCommand::DocumentEndExtend (enum)
    {50, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 65},	//184 QsciCommand::PageUp (enum)
    {50, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 66},	//185 QsciCommand::PageUpExtend (enum)
    {50, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 67},	//186 QsciCommand::PageUpRectExtend (enum)
    {50, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 68},	//187 QsciCommand::PageDown (enum)
    {50, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 69},	//188 QsciCommand::PageDownExtend (enum)
    {50, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 70},	//189 QsciCommand::PageDownRectExtend (enum)
    {50, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 71},	//190 QsciCommand::StutteredPageUp (enum)
    {50, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 72},	//191 QsciCommand::StutteredPageUpExtend (enum)
    {50, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 73},	//192 QsciCommand::StutteredPageDown (enum)
    {50, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 74},	//193 QsciCommand::StutteredPageDownExtend (enum)
    {50, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 75},	//194 QsciCommand::Delete (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 76},	//195 QsciCommand::DeleteBack (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 77},	//196 QsciCommand::DeleteBackNotLine (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 78},	//197 QsciCommand::DeleteWordLeft (enum)
    {50, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 79},	//198 QsciCommand::DeleteWordRight (enum)
    {50, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 80},	//199 QsciCommand::DeleteWordRightEnd (enum)
    {50, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 81},	//200 QsciCommand::DeleteLineLeft (enum)
    {50, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 82},	//201 QsciCommand::DeleteLineRight (enum)
    {50, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 83},	//202 QsciCommand::LineDelete (enum)
    {50, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 84},	//203 QsciCommand::LineCut (enum)
    {50, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 85},	//204 QsciCommand::LineCopy (enum)
    {50, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 86},	//205 QsciCommand::LineTranspose (enum)
    {50, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 87},	//206 QsciCommand::LineDuplicate (enum)
    {50, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 88},	//207 QsciCommand::SelectAll (enum)
    {50, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 89},	//208 QsciCommand::MoveSelectedLinesUp (enum)
    {50, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 90},	//209 QsciCommand::MoveSelectedLinesDown (enum)
    {50, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 91},	//210 QsciCommand::SelectionDuplicate (enum)
    {50, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 92},	//211 QsciCommand::SelectionLowerCase (enum)
    {50, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 93},	//212 QsciCommand::SelectionUpperCase (enum)
    {50, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 94},	//213 QsciCommand::SelectionCut (enum)
    {50, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 95},	//214 QsciCommand::SelectionCopy (enum)
    {50, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 96},	//215 QsciCommand::Paste (enum)
    {50, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 97},	//216 QsciCommand::EditToggleOvertype (enum)
    {50, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 98},	//217 QsciCommand::Newline (enum)
    {50, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 99},	//218 QsciCommand::Formfeed (enum)
    {50, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 100},	//219 QsciCommand::Tab (enum)
    {50, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 101},	//220 QsciCommand::Backtab (enum)
    {50, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 102},	//221 QsciCommand::Cancel (enum)
    {50, 734, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 103},	//222 QsciCommand::Undo (enum)
    {50, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 104},	//223 QsciCommand::Redo (enum)
    {50, 788, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 105},	//224 QsciCommand::ZoomIn (enum)
    {50, 789, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 106},	//225 QsciCommand::ZoomOut (enum)
    {50, 1567, 0, 0, Smoke::mf_dtor, 0, 107 },	//226 QsciCommand::~QsciCommand()
    {51, 1151, 67, 2, 0, 209, 1},	//227 QsciCommandSet::readSettings(QSettings&, const char*)
    {51, 1555, 67, 2, 0, 209, 2},	//228 QsciCommandSet::writeSettings(QSettings&, const char*)
    {51, 874, 0, 0, 0, 19, 3},	//229 QsciCommandSet::commands()
    {51, 864, 0, 0, 0, 0, 4},	//230 QsciCommandSet::clearKeys()
    {51, 858, 0, 0, 0, 0, 5},	//231 QsciCommandSet::clearAlternateKeys()
    {51, 838, 18, 1, Smoke::mf_const, 52, 6},	//232 QsciCommandSet::boundTo(int) const
    {51, 940, 70, 1, Smoke::mf_const, 52, 7},	//233 QsciCommandSet::find(QsciCommand::Command) const
    {51, 1151, 72, 1, 0, 209, 8},	//234 QsciCommandSet::readSettings(QSettings&)
    {51, 1555, 72, 1, 0, 209, 9},	//235 QsciCommandSet::writeSettings(QSettings&)
    {52, 475, 0, 0, Smoke::mf_ctor, 57, 1},	//236 QsciDocument::QsciDocument()
    {52, 475, 74, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//237 QsciDocument::QsciDocument(const QsciDocument&)
    {52, 1117, 74, 1, 0, 56, 3},	//238 QsciDocument::operator=(const QsciDocument&)
    {52, 1568, 0, 0, Smoke::mf_dtor, 0, 4 },	//239 QsciDocument::~QsciDocument()
    {53, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//240 QsciLexer::metaObject() const
    {53, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//241 QsciLexer::qt_metacast(const char*)
    {53, 1518, 44, 2, Smoke::mf_static, 40, 3},	//242 QsciLexer::tr(const char*, const char*)
    {53, 1522, 44, 2, Smoke::mf_static, 40, 4},	//243 QsciLexer::trUtf8(const char*, const char*)
    {53, 1518, 47, 3, Smoke::mf_static, 40, 5},	//244 QsciLexer::tr(const char*, const char*, int)
    {53, 1522, 47, 3, Smoke::mf_static, 40, 6},	//245 QsciLexer::trUtf8(const char*, const char*, int)
    {53, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//246 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {53, 477, 76, 1, Smoke::mf_ctor, 58, 8},	//247 QsciLexer::QsciLexer(QObject*)
    {53, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 233, 9},	//248 QsciLexer::language() const [pure virtual]
    {53, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//249 QsciLexer::lexer() const
    {53, 1051, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 11},	//250 QsciLexer::lexerId() const
    {53, 807, 0, 0, Smoke::mf_const, 51, 12},	//251 QsciLexer::apis() const
    {53, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 13},	//252 QsciLexer::autoCompletionFillups() const
    {53, 825, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 14},	//253 QsciLexer::autoCompletionWordSeparators() const
    {53, 827, 0, 0, 0, 235, 15},	//254 QsciLexer::autoIndentStyle()
    {53, 831, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//255 QsciLexer::blockEnd(int*) const
    {53, 833, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 17},	//256 QsciLexer::blockLookback() const
    {53, 834, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 18},	//257 QsciLexer::blockStart(int*) const
    {53, 836, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 19},	//258 QsciLexer::blockStartKeyword(int*) const
    {53, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 20},	//259 QsciLexer::braceStyle() const
    {53, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 21},	//260 QsciLexer::caseSensitive() const
    {53, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 22},	//261 QsciLexer::color(int) const
    {53, 926, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 23},	//262 QsciLexer::eolFill(int) const
    {53, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 24},	//263 QsciLexer::font(int) const
    {53, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 25},	//264 QsciLexer::indentationGuideView() const
    {53, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 26},	//265 QsciLexer::keywords(int) const
    {53, 898, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 27},	//266 QsciLexer::defaultStyle() const
    {53, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 28},	//267 QsciLexer::description(int) const [pure virtual]
    {53, 1124, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 29},	//268 QsciLexer::paper(int) const
    {53, 889, 0, 0, Smoke::mf_const, 6, 30},	//269 QsciLexer::defaultColor() const
    {53, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 31},	//270 QsciLexer::defaultColor(int) const
    {53, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 32},	//271 QsciLexer::defaultEolFill(int) const
    {53, 893, 0, 0, Smoke::mf_const, 14, 33},	//272 QsciLexer::defaultFont() const
    {53, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 34},	//273 QsciLexer::defaultFont(int) const
    {53, 895, 0, 0, Smoke::mf_const, 6, 35},	//274 QsciLexer::defaultPaper() const
    {53, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 36},	//275 QsciLexer::defaultPaper(int) const
    {53, 918, 0, 0, Smoke::mf_const, 92, 37},	//276 QsciLexer::editor() const
    {53, 1188, 80, 1, 0, 0, 38},	//277 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {53, 1253, 82, 1, 0, 0, 39},	//278 QsciLexer::setDefaultColor(const QColor&)
    {53, 1255, 42, 1, 0, 0, 40},	//279 QsciLexer::setDefaultFont(const QFont&)
    {53, 1257, 82, 1, 0, 0, 41},	//280 QsciLexer::setDefaultPaper(const QColor&)
    {53, 1275, 84, 1, Smoke::mf_virtual, 0, 42},	//281 QsciLexer::setEditor(QsciScintilla*)
    {53, 1151, 67, 2, 0, 209, 43},	//282 QsciLexer::readSettings(QSettings&, const char*)
    {53, 1159, 0, 0, Smoke::mf_virtual, 0, 44},	//283 QsciLexer::refreshProperties()
    {53, 1500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 45},	//284 QsciLexer::styleBitsNeeded() const
    {53, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 46},	//285 QsciLexer::wordCharacters() const
    {53, 1555, 67, 2, Smoke::mf_const, 209, 47},	//286 QsciLexer::writeSettings(QSettings&, const char*) const
    {53, 1214, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//287 QsciLexer::setAutoIndentStyle(int)
    {53, 1246, 86, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//288 QsciLexer::setColor(const QColor&, int)
    {53, 1277, 89, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//289 QsciLexer::setEolFill(bool, int)
    {53, 1321, 92, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//290 QsciLexer::setFont(const QFont&, int)
    {53, 1412, 86, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//291 QsciLexer::setPaper(const QColor&, int)
    {53, 871, 86, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//292 QsciLexer::colorChanged(const QColor&, int)
    {53, 928, 89, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//293 QsciLexer::eolFillChanged(bool, int)
    {53, 983, 92, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//294 QsciLexer::fontChanged(const QFont&, int)
    {53, 1126, 86, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//295 QsciLexer::paperChanged(const QColor&, int)
    {53, 1140, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//296 QsciLexer::propertyChanged(const char*, const char*)
    {53, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 58},	//297 QsciLexer::readProperties(QSettings&, const QString&)
    {53, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 59},	//298 QsciLexer::writeProperties(QSettings&, const QString&) const
    {53, 1518, 12, 1, Smoke::mf_static, 40, 60},	//299 QsciLexer::tr(const char*)
    {53, 1522, 12, 1, Smoke::mf_static, 40, 61},	//300 QsciLexer::trUtf8(const char*)
    {53, 477, 0, 0, Smoke::mf_ctor, 58, 62},	//301 QsciLexer::QsciLexer()
    {53, 831, 0, 0, Smoke::mf_const, 233, 63},	//302 QsciLexer::blockEnd() const
    {53, 834, 0, 0, Smoke::mf_const, 233, 64},	//303 QsciLexer::blockStart() const
    {53, 836, 0, 0, Smoke::mf_const, 233, 65},	//304 QsciLexer::blockStartKeyword() const
    {53, 1151, 72, 1, 0, 209, 66},	//305 QsciLexer::readSettings(QSettings&)
    {53, 1555, 72, 1, Smoke::mf_const, 209, 67},	//306 QsciLexer::writeSettings(QSettings&) const
    {53, 1246, 82, 1, Smoke::mf_slot, 0, 68},	//307 QsciLexer::setColor(const QColor&)
    {53, 1277, 16, 1, Smoke::mf_slot, 0, 69},	//308 QsciLexer::setEolFill(bool)
    {53, 1321, 42, 1, Smoke::mf_slot, 0, 70},	//309 QsciLexer::setFont(const QFont&)
    {53, 1412, 82, 1, Smoke::mf_slot, 0, 71},	//310 QsciLexer::setPaper(const QColor&)
    {53, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 72},	//311 QsciLexer::staticMetaObject() const
    {53, 1569, 0, 0, Smoke::mf_dtor, 0, 73 },	//312 QsciLexer::~QsciLexer()
    {54, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//313 QsciLexerBash::metaObject() const
    {54, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//314 QsciLexerBash::qt_metacast(const char*)
    {54, 1518, 44, 2, Smoke::mf_static, 40, 3},	//315 QsciLexerBash::tr(const char*, const char*)
    {54, 1522, 44, 2, Smoke::mf_static, 40, 4},	//316 QsciLexerBash::trUtf8(const char*, const char*)
    {54, 1518, 47, 3, Smoke::mf_static, 40, 5},	//317 QsciLexerBash::tr(const char*, const char*, int)
    {54, 1522, 47, 3, Smoke::mf_static, 40, 6},	//318 QsciLexerBash::trUtf8(const char*, const char*, int)
    {54, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//319 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {54, 479, 76, 1, Smoke::mf_ctor, 59, 8},	//320 QsciLexerBash::QsciLexerBash(QObject*)
    {54, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//321 QsciLexerBash::language() const
    {54, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//322 QsciLexerBash::lexer() const
    {54, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 11},	//323 QsciLexerBash::braceStyle() const
    {54, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 12},	//324 QsciLexerBash::wordCharacters() const
    {54, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//325 QsciLexerBash::defaultColor(int) const
    {54, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 14},	//326 QsciLexerBash::defaultEolFill(int) const
    {54, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//327 QsciLexerBash::defaultFont(int) const
    {54, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//328 QsciLexerBash::defaultPaper(int) const
    {54, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 17},	//329 QsciLexerBash::keywords(int) const
    {54, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//330 QsciLexerBash::description(int) const
    {54, 1159, 0, 0, Smoke::mf_virtual, 0, 19},	//331 QsciLexerBash::refreshProperties()
    {54, 967, 0, 0, Smoke::mf_const, 209, 20},	//332 QsciLexerBash::foldComments() const
    {54, 968, 0, 0, Smoke::mf_const, 209, 21},	//333 QsciLexerBash::foldCompact() const
    {54, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//334 QsciLexerBash::setFoldComments(bool)
    {54, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//335 QsciLexerBash::setFoldCompact(bool)
    {54, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 24},	//336 QsciLexerBash::readProperties(QSettings&, const QString&)
    {54, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 25},	//337 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {54, 1518, 12, 1, Smoke::mf_static, 40, 26},	//338 QsciLexerBash::tr(const char*)
    {54, 1522, 12, 1, Smoke::mf_static, 40, 27},	//339 QsciLexerBash::trUtf8(const char*)
    {54, 479, 0, 0, Smoke::mf_ctor, 59, 28},	//340 QsciLexerBash::QsciLexerBash()
    {54, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 29},	//341 QsciLexerBash::staticMetaObject() const
    {54, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 30},	//342 QsciLexerBash::Default (enum)
    {54, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 31},	//343 QsciLexerBash::Error (enum)
    {54, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//344 QsciLexerBash::Comment (enum)
    {54, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//345 QsciLexerBash::Number (enum)
    {54, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 34},	//346 QsciLexerBash::Keyword (enum)
    {54, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//347 QsciLexerBash::DoubleQuotedString (enum)
    {54, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 36},	//348 QsciLexerBash::SingleQuotedString (enum)
    {54, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 37},	//349 QsciLexerBash::Operator (enum)
    {54, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 38},	//350 QsciLexerBash::Identifier (enum)
    {54, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//351 QsciLexerBash::Scalar (enum)
    {54, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//352 QsciLexerBash::ParameterExpansion (enum)
    {54, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//353 QsciLexerBash::Backticks (enum)
    {54, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//354 QsciLexerBash::HereDocumentDelimiter (enum)
    {54, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//355 QsciLexerBash::SingleQuotedHereDocument (enum)
    {54, 1570, 0, 0, Smoke::mf_dtor, 0, 44 },	//356 QsciLexerBash::~QsciLexerBash()
    {55, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//357 QsciLexerBatch::metaObject() const
    {55, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//358 QsciLexerBatch::qt_metacast(const char*)
    {55, 1518, 44, 2, Smoke::mf_static, 40, 3},	//359 QsciLexerBatch::tr(const char*, const char*)
    {55, 1522, 44, 2, Smoke::mf_static, 40, 4},	//360 QsciLexerBatch::trUtf8(const char*, const char*)
    {55, 1518, 47, 3, Smoke::mf_static, 40, 5},	//361 QsciLexerBatch::tr(const char*, const char*, int)
    {55, 1522, 47, 3, Smoke::mf_static, 40, 6},	//362 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {55, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//363 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {55, 481, 76, 1, Smoke::mf_ctor, 60, 8},	//364 QsciLexerBatch::QsciLexerBatch(QObject*)
    {55, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//365 QsciLexerBatch::language() const
    {55, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//366 QsciLexerBatch::lexer() const
    {55, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 11},	//367 QsciLexerBatch::wordCharacters() const
    {55, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 12},	//368 QsciLexerBatch::caseSensitive() const
    {55, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//369 QsciLexerBatch::defaultColor(int) const
    {55, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 14},	//370 QsciLexerBatch::defaultEolFill(int) const
    {55, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//371 QsciLexerBatch::defaultFont(int) const
    {55, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//372 QsciLexerBatch::defaultPaper(int) const
    {55, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 17},	//373 QsciLexerBatch::keywords(int) const
    {55, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//374 QsciLexerBatch::description(int) const
    {55, 1518, 12, 1, Smoke::mf_static, 40, 19},	//375 QsciLexerBatch::tr(const char*)
    {55, 1522, 12, 1, Smoke::mf_static, 40, 20},	//376 QsciLexerBatch::trUtf8(const char*)
    {55, 481, 0, 0, Smoke::mf_ctor, 60, 21},	//377 QsciLexerBatch::QsciLexerBatch()
    {55, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 22},	//378 QsciLexerBatch::staticMetaObject() const
    {55, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 23},	//379 QsciLexerBatch::Default (enum)
    {55, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 24},	//380 QsciLexerBatch::Comment (enum)
    {55, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 25},	//381 QsciLexerBatch::Keyword (enum)
    {55, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 26},	//382 QsciLexerBatch::Label (enum)
    {55, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 27},	//383 QsciLexerBatch::HideCommandChar (enum)
    {55, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 28},	//384 QsciLexerBatch::ExternalCommand (enum)
    {55, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 29},	//385 QsciLexerBatch::Variable (enum)
    {55, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 30},	//386 QsciLexerBatch::Operator (enum)
    {55, 1571, 0, 0, Smoke::mf_dtor, 0, 31 },	//387 QsciLexerBatch::~QsciLexerBatch()
    {56, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//388 QsciLexerCMake::metaObject() const
    {56, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//389 QsciLexerCMake::qt_metacast(const char*)
    {56, 1518, 44, 2, Smoke::mf_static, 40, 3},	//390 QsciLexerCMake::tr(const char*, const char*)
    {56, 1522, 44, 2, Smoke::mf_static, 40, 4},	//391 QsciLexerCMake::trUtf8(const char*, const char*)
    {56, 1518, 47, 3, Smoke::mf_static, 40, 5},	//392 QsciLexerCMake::tr(const char*, const char*, int)
    {56, 1522, 47, 3, Smoke::mf_static, 40, 6},	//393 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {56, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//394 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {56, 483, 76, 1, Smoke::mf_ctor, 61, 8},	//395 QsciLexerCMake::QsciLexerCMake(QObject*)
    {56, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//396 QsciLexerCMake::language() const
    {56, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//397 QsciLexerCMake::lexer() const
    {56, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//398 QsciLexerCMake::defaultColor(int) const
    {56, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//399 QsciLexerCMake::defaultFont(int) const
    {56, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//400 QsciLexerCMake::defaultPaper(int) const
    {56, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 14},	//401 QsciLexerCMake::keywords(int) const
    {56, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//402 QsciLexerCMake::description(int) const
    {56, 1159, 0, 0, Smoke::mf_virtual, 0, 16},	//403 QsciLexerCMake::refreshProperties()
    {56, 965, 0, 0, Smoke::mf_const, 209, 17},	//404 QsciLexerCMake::foldAtElse() const
    {56, 1292, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//405 QsciLexerCMake::setFoldAtElse(bool)
    {56, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 19},	//406 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {56, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 20},	//407 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {56, 1518, 12, 1, Smoke::mf_static, 40, 21},	//408 QsciLexerCMake::tr(const char*)
    {56, 1522, 12, 1, Smoke::mf_static, 40, 22},	//409 QsciLexerCMake::trUtf8(const char*)
    {56, 483, 0, 0, Smoke::mf_ctor, 61, 23},	//410 QsciLexerCMake::QsciLexerCMake()
    {56, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 24},	//411 QsciLexerCMake::staticMetaObject() const
    {56, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 25},	//412 QsciLexerCMake::Default (enum)
    {56, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 26},	//413 QsciLexerCMake::Comment (enum)
    {56, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 27},	//414 QsciLexerCMake::String (enum)
    {56, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 28},	//415 QsciLexerCMake::StringLeftQuote (enum)
    {56, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 29},	//416 QsciLexerCMake::StringRightQuote (enum)
    {56, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 30},	//417 QsciLexerCMake::Function (enum)
    {56, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 31},	//418 QsciLexerCMake::Variable (enum)
    {56, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//419 QsciLexerCMake::Label (enum)
    {56, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//420 QsciLexerCMake::KeywordSet3 (enum)
    {56, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 34},	//421 QsciLexerCMake::BlockWhile (enum)
    {56, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//422 QsciLexerCMake::BlockForeach (enum)
    {56, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 36},	//423 QsciLexerCMake::BlockIf (enum)
    {56, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 37},	//424 QsciLexerCMake::BlockMacro (enum)
    {56, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 38},	//425 QsciLexerCMake::StringVariable (enum)
    {56, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//426 QsciLexerCMake::Number (enum)
    {56, 1572, 0, 0, Smoke::mf_dtor, 0, 40 },	//427 QsciLexerCMake::~QsciLexerCMake()
    {57, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//428 QsciLexerCPP::metaObject() const
    {57, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//429 QsciLexerCPP::qt_metacast(const char*)
    {57, 1518, 44, 2, Smoke::mf_static, 40, 3},	//430 QsciLexerCPP::tr(const char*, const char*)
    {57, 1522, 44, 2, Smoke::mf_static, 40, 4},	//431 QsciLexerCPP::trUtf8(const char*, const char*)
    {57, 1518, 47, 3, Smoke::mf_static, 40, 5},	//432 QsciLexerCPP::tr(const char*, const char*, int)
    {57, 1522, 47, 3, Smoke::mf_static, 40, 6},	//433 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {57, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//434 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {57, 485, 98, 2, Smoke::mf_ctor, 62, 8},	//435 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {57, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//436 QsciLexerCPP::language() const
    {57, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//437 QsciLexerCPP::lexer() const
    {57, 825, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//438 QsciLexerCPP::autoCompletionWordSeparators() const
    {57, 831, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 12},	//439 QsciLexerCPP::blockEnd(int*) const
    {57, 834, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 13},	//440 QsciLexerCPP::blockStart(int*) const
    {57, 836, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 14},	//441 QsciLexerCPP::blockStartKeyword(int*) const
    {57, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 15},	//442 QsciLexerCPP::braceStyle() const
    {57, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//443 QsciLexerCPP::wordCharacters() const
    {57, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//444 QsciLexerCPP::defaultColor(int) const
    {57, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 18},	//445 QsciLexerCPP::defaultEolFill(int) const
    {57, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//446 QsciLexerCPP::defaultFont(int) const
    {57, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//447 QsciLexerCPP::defaultPaper(int) const
    {57, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 21},	//448 QsciLexerCPP::keywords(int) const
    {57, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//449 QsciLexerCPP::description(int) const
    {57, 1159, 0, 0, Smoke::mf_virtual, 0, 23},	//450 QsciLexerCPP::refreshProperties()
    {57, 965, 0, 0, Smoke::mf_const, 209, 24},	//451 QsciLexerCPP::foldAtElse() const
    {57, 967, 0, 0, Smoke::mf_const, 209, 25},	//452 QsciLexerCPP::foldComments() const
    {57, 968, 0, 0, Smoke::mf_const, 209, 26},	//453 QsciLexerCPP::foldCompact() const
    {57, 975, 0, 0, Smoke::mf_const, 209, 27},	//454 QsciLexerCPP::foldPreprocessor() const
    {57, 1502, 0, 0, Smoke::mf_const, 209, 28},	//455 QsciLexerCPP::stylePreprocessor() const
    {57, 1265, 16, 1, 0, 0, 29},	//456 QsciLexerCPP::setDollarsAllowed(bool)
    {57, 905, 0, 0, Smoke::mf_const, 209, 30},	//457 QsciLexerCPP::dollarsAllowed() const
    {57, 1332, 16, 1, 0, 0, 31},	//458 QsciLexerCPP::setHighlightTripleQuotedStrings(bool)
    {57, 999, 0, 0, Smoke::mf_const, 209, 32},	//459 QsciLexerCPP::highlightTripleQuotedStrings() const
    {57, 1328, 16, 1, 0, 0, 33},	//460 QsciLexerCPP::setHighlightHashQuotedStrings(bool)
    {57, 997, 0, 0, Smoke::mf_const, 209, 34},	//461 QsciLexerCPP::highlightHashQuotedStrings() const
    {57, 1292, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//462 QsciLexerCPP::setFoldAtElse(bool)
    {57, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//463 QsciLexerCPP::setFoldComments(bool)
    {57, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 37},	//464 QsciLexerCPP::setFoldCompact(bool)
    {57, 1310, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//465 QsciLexerCPP::setFoldPreprocessor(bool)
    {57, 1440, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//466 QsciLexerCPP::setStylePreprocessor(bool)
    {57, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 40},	//467 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {57, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 41},	//468 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {57, 1518, 12, 1, Smoke::mf_static, 40, 42},	//469 QsciLexerCPP::tr(const char*)
    {57, 1522, 12, 1, Smoke::mf_static, 40, 43},	//470 QsciLexerCPP::trUtf8(const char*)
    {57, 485, 0, 0, Smoke::mf_ctor, 62, 44},	//471 QsciLexerCPP::QsciLexerCPP()
    {57, 485, 76, 1, Smoke::mf_ctor, 62, 45},	//472 QsciLexerCPP::QsciLexerCPP(QObject*)
    {57, 831, 0, 0, Smoke::mf_const, 233, 46},	//473 QsciLexerCPP::blockEnd() const
    {57, 834, 0, 0, Smoke::mf_const, 233, 47},	//474 QsciLexerCPP::blockStart() const
    {57, 836, 0, 0, Smoke::mf_const, 233, 48},	//475 QsciLexerCPP::blockStartKeyword() const
    {57, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 49},	//476 QsciLexerCPP::staticMetaObject() const
    {57, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//477 QsciLexerCPP::Default (enum)
    {57, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//478 QsciLexerCPP::InactiveDefault (enum)
    {57, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//479 QsciLexerCPP::Comment (enum)
    {57, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//480 QsciLexerCPP::InactiveComment (enum)
    {57, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//481 QsciLexerCPP::CommentLine (enum)
    {57, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//482 QsciLexerCPP::InactiveCommentLine (enum)
    {57, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//483 QsciLexerCPP::CommentDoc (enum)
    {57, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//484 QsciLexerCPP::InactiveCommentDoc (enum)
    {57, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//485 QsciLexerCPP::Number (enum)
    {57, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 59},	//486 QsciLexerCPP::InactiveNumber (enum)
    {57, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 60},	//487 QsciLexerCPP::Keyword (enum)
    {57, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 61},	//488 QsciLexerCPP::InactiveKeyword (enum)
    {57, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 62},	//489 QsciLexerCPP::DoubleQuotedString (enum)
    {57, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 63},	//490 QsciLexerCPP::InactiveDoubleQuotedString (enum)
    {57, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 64},	//491 QsciLexerCPP::SingleQuotedString (enum)
    {57, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 65},	//492 QsciLexerCPP::InactiveSingleQuotedString (enum)
    {57, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 66},	//493 QsciLexerCPP::UUID (enum)
    {57, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 67},	//494 QsciLexerCPP::InactiveUUID (enum)
    {57, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 68},	//495 QsciLexerCPP::PreProcessor (enum)
    {57, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 69},	//496 QsciLexerCPP::InactivePreProcessor (enum)
    {57, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 70},	//497 QsciLexerCPP::Operator (enum)
    {57, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 71},	//498 QsciLexerCPP::InactiveOperator (enum)
    {57, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 72},	//499 QsciLexerCPP::Identifier (enum)
    {57, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 73},	//500 QsciLexerCPP::InactiveIdentifier (enum)
    {57, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 74},	//501 QsciLexerCPP::UnclosedString (enum)
    {57, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 75},	//502 QsciLexerCPP::InactiveUnclosedString (enum)
    {57, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 76},	//503 QsciLexerCPP::VerbatimString (enum)
    {57, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 77},	//504 QsciLexerCPP::InactiveVerbatimString (enum)
    {57, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 78},	//505 QsciLexerCPP::Regex (enum)
    {57, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 79},	//506 QsciLexerCPP::InactiveRegex (enum)
    {57, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 80},	//507 QsciLexerCPP::CommentLineDoc (enum)
    {57, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 81},	//508 QsciLexerCPP::InactiveCommentLineDoc (enum)
    {57, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 82},	//509 QsciLexerCPP::KeywordSet2 (enum)
    {57, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 83},	//510 QsciLexerCPP::InactiveKeywordSet2 (enum)
    {57, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 84},	//511 QsciLexerCPP::CommentDocKeyword (enum)
    {57, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 85},	//512 QsciLexerCPP::InactiveCommentDocKeyword (enum)
    {57, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 86},	//513 QsciLexerCPP::CommentDocKeywordError (enum)
    {57, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 87},	//514 QsciLexerCPP::InactiveCommentDocKeywordError (enum)
    {57, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 88},	//515 QsciLexerCPP::GlobalClass (enum)
    {57, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 89},	//516 QsciLexerCPP::InactiveGlobalClass (enum)
    {57, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 90},	//517 QsciLexerCPP::RawString (enum)
    {57, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 91},	//518 QsciLexerCPP::InactiveRawString (enum)
    {57, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 92},	//519 QsciLexerCPP::TripleQuotedVerbatimString (enum)
    {57, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 93},	//520 QsciLexerCPP::InactiveTripleQuotedVerbatimString (enum)
    {57, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 94},	//521 QsciLexerCPP::HashQuotedString (enum)
    {57, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 95},	//522 QsciLexerCPP::InactiveHashQuotedString (enum)
    {57, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 96},	//523 QsciLexerCPP::PreProcessorComment (enum)
    {57, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 97},	//524 QsciLexerCPP::InactivePreProcessorComment (enum)
    {57, 1573, 0, 0, Smoke::mf_dtor, 0, 98 },	//525 QsciLexerCPP::~QsciLexerCPP()
    {58, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//526 QsciLexerCSS::metaObject() const
    {58, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//527 QsciLexerCSS::qt_metacast(const char*)
    {58, 1518, 44, 2, Smoke::mf_static, 40, 3},	//528 QsciLexerCSS::tr(const char*, const char*)
    {58, 1522, 44, 2, Smoke::mf_static, 40, 4},	//529 QsciLexerCSS::trUtf8(const char*, const char*)
    {58, 1518, 47, 3, Smoke::mf_static, 40, 5},	//530 QsciLexerCSS::tr(const char*, const char*, int)
    {58, 1522, 47, 3, Smoke::mf_static, 40, 6},	//531 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {58, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//532 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {58, 488, 76, 1, Smoke::mf_ctor, 63, 8},	//533 QsciLexerCSS::QsciLexerCSS(QObject*)
    {58, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//534 QsciLexerCSS::language() const
    {58, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//535 QsciLexerCSS::lexer() const
    {58, 831, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 11},	//536 QsciLexerCSS::blockEnd(int*) const
    {58, 834, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 12},	//537 QsciLexerCSS::blockStart(int*) const
    {58, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 13},	//538 QsciLexerCSS::wordCharacters() const
    {58, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//539 QsciLexerCSS::defaultColor(int) const
    {58, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//540 QsciLexerCSS::defaultFont(int) const
    {58, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//541 QsciLexerCSS::keywords(int) const
    {58, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//542 QsciLexerCSS::description(int) const
    {58, 1159, 0, 0, Smoke::mf_virtual, 0, 18},	//543 QsciLexerCSS::refreshProperties()
    {58, 967, 0, 0, Smoke::mf_const, 209, 19},	//544 QsciLexerCSS::foldComments() const
    {58, 968, 0, 0, Smoke::mf_const, 209, 20},	//545 QsciLexerCSS::foldCompact() const
    {58, 1324, 16, 1, 0, 0, 21},	//546 QsciLexerCSS::setHSSLanguage(bool)
    {58, 225, 0, 0, Smoke::mf_const, 209, 22},	//547 QsciLexerCSS::HSSLanguage() const
    {58, 1363, 16, 1, 0, 0, 23},	//548 QsciLexerCSS::setLessLanguage(bool)
    {58, 319, 0, 0, Smoke::mf_const, 209, 24},	//549 QsciLexerCSS::LessLanguage() const
    {58, 1423, 16, 1, 0, 0, 25},	//550 QsciLexerCSS::setSCSSLanguage(bool)
    {58, 629, 0, 0, Smoke::mf_const, 209, 26},	//551 QsciLexerCSS::SCSSLanguage() const
    {58, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//552 QsciLexerCSS::setFoldComments(bool)
    {58, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//553 QsciLexerCSS::setFoldCompact(bool)
    {58, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 29},	//554 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {58, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 30},	//555 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {58, 1518, 12, 1, Smoke::mf_static, 40, 31},	//556 QsciLexerCSS::tr(const char*)
    {58, 1522, 12, 1, Smoke::mf_static, 40, 32},	//557 QsciLexerCSS::trUtf8(const char*)
    {58, 488, 0, 0, Smoke::mf_ctor, 63, 33},	//558 QsciLexerCSS::QsciLexerCSS()
    {58, 831, 0, 0, Smoke::mf_const, 233, 34},	//559 QsciLexerCSS::blockEnd() const
    {58, 834, 0, 0, Smoke::mf_const, 233, 35},	//560 QsciLexerCSS::blockStart() const
    {58, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 36},	//561 QsciLexerCSS::staticMetaObject() const
    {58, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 37},	//562 QsciLexerCSS::Default (enum)
    {58, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 38},	//563 QsciLexerCSS::Tag (enum)
    {58, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//564 QsciLexerCSS::ClassSelector (enum)
    {58, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//565 QsciLexerCSS::PseudoClass (enum)
    {58, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//566 QsciLexerCSS::UnknownPseudoClass (enum)
    {58, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//567 QsciLexerCSS::Operator (enum)
    {58, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//568 QsciLexerCSS::CSS1Property (enum)
    {58, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//569 QsciLexerCSS::UnknownProperty (enum)
    {58, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//570 QsciLexerCSS::Value (enum)
    {58, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//571 QsciLexerCSS::Comment (enum)
    {58, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//572 QsciLexerCSS::IDSelector (enum)
    {58, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//573 QsciLexerCSS::Important (enum)
    {58, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//574 QsciLexerCSS::AtRule (enum)
    {58, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//575 QsciLexerCSS::DoubleQuotedString (enum)
    {58, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//576 QsciLexerCSS::SingleQuotedString (enum)
    {58, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//577 QsciLexerCSS::CSS2Property (enum)
    {58, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//578 QsciLexerCSS::Attribute (enum)
    {58, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//579 QsciLexerCSS::CSS3Property (enum)
    {58, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//580 QsciLexerCSS::PseudoElement (enum)
    {58, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//581 QsciLexerCSS::ExtendedCSSProperty (enum)
    {58, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//582 QsciLexerCSS::ExtendedPseudoClass (enum)
    {58, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//583 QsciLexerCSS::ExtendedPseudoElement (enum)
    {58, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 59},	//584 QsciLexerCSS::MediaRule (enum)
    {58, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 60},	//585 QsciLexerCSS::Variable (enum)
    {58, 1574, 0, 0, Smoke::mf_dtor, 0, 61 },	//586 QsciLexerCSS::~QsciLexerCSS()
    {59, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//587 QsciLexerCSharp::metaObject() const
    {59, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//588 QsciLexerCSharp::qt_metacast(const char*)
    {59, 1518, 44, 2, Smoke::mf_static, 40, 3},	//589 QsciLexerCSharp::tr(const char*, const char*)
    {59, 1522, 44, 2, Smoke::mf_static, 40, 4},	//590 QsciLexerCSharp::trUtf8(const char*, const char*)
    {59, 1518, 47, 3, Smoke::mf_static, 40, 5},	//591 QsciLexerCSharp::tr(const char*, const char*, int)
    {59, 1522, 47, 3, Smoke::mf_static, 40, 6},	//592 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {59, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//593 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {59, 490, 76, 1, Smoke::mf_ctor, 64, 8},	//594 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {59, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//595 QsciLexerCSharp::language() const
    {59, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//596 QsciLexerCSharp::defaultColor(int) const
    {59, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 11},	//597 QsciLexerCSharp::defaultEolFill(int) const
    {59, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//598 QsciLexerCSharp::defaultFont(int) const
    {59, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//599 QsciLexerCSharp::defaultPaper(int) const
    {59, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 14},	//600 QsciLexerCSharp::keywords(int) const
    {59, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//601 QsciLexerCSharp::description(int) const
    {59, 1518, 12, 1, Smoke::mf_static, 40, 16},	//602 QsciLexerCSharp::tr(const char*)
    {59, 1522, 12, 1, Smoke::mf_static, 40, 17},	//603 QsciLexerCSharp::trUtf8(const char*)
    {59, 490, 0, 0, Smoke::mf_ctor, 64, 18},	//604 QsciLexerCSharp::QsciLexerCSharp()
    {59, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 19},	//605 QsciLexerCSharp::staticMetaObject() const
    {59, 1575, 0, 0, Smoke::mf_dtor, 0, 20 },	//606 QsciLexerCSharp::~QsciLexerCSharp()
    {60, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//607 QsciLexerCustom::metaObject() const
    {60, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//608 QsciLexerCustom::qt_metacast(const char*)
    {60, 1518, 44, 2, Smoke::mf_static, 40, 3},	//609 QsciLexerCustom::tr(const char*, const char*)
    {60, 1522, 44, 2, Smoke::mf_static, 40, 4},	//610 QsciLexerCustom::trUtf8(const char*, const char*)
    {60, 1518, 47, 3, Smoke::mf_static, 40, 5},	//611 QsciLexerCustom::tr(const char*, const char*, int)
    {60, 1522, 47, 3, Smoke::mf_static, 40, 6},	//612 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {60, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//613 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {60, 492, 76, 1, Smoke::mf_ctor, 65, 8},	//614 QsciLexerCustom::QsciLexerCustom(QObject*)
    {60, 1442, 101, 2, 0, 0, 9},	//615 QsciLexerCustom::setStyling(int, int)
    {60, 1442, 104, 2, 0, 0, 10},	//616 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {60, 1494, 101, 2, 0, 0, 11},	//617 QsciLexerCustom::startStyling(int, int)
    {60, 1503, 101, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//618 QsciLexerCustom::styleText(int, int) [pure virtual]
    {60, 1275, 84, 1, Smoke::mf_virtual, 0, 13},	//619 QsciLexerCustom::setEditor(QsciScintilla*)
    {60, 1500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 14},	//620 QsciLexerCustom::styleBitsNeeded() const
    {60, 1518, 12, 1, Smoke::mf_static, 40, 15},	//621 QsciLexerCustom::tr(const char*)
    {60, 1522, 12, 1, Smoke::mf_static, 40, 16},	//622 QsciLexerCustom::trUtf8(const char*)
    {60, 492, 0, 0, Smoke::mf_ctor, 65, 17},	//623 QsciLexerCustom::QsciLexerCustom()
    {60, 1494, 18, 1, 0, 0, 18},	//624 QsciLexerCustom::startStyling(int)
    {60, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 19},	//625 QsciLexerCustom::staticMetaObject() const
    {60, 1576, 0, 0, Smoke::mf_dtor, 0, 20 },	//626 QsciLexerCustom::~QsciLexerCustom()
    {61, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//627 QsciLexerD::metaObject() const
    {61, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//628 QsciLexerD::qt_metacast(const char*)
    {61, 1518, 44, 2, Smoke::mf_static, 40, 3},	//629 QsciLexerD::tr(const char*, const char*)
    {61, 1522, 44, 2, Smoke::mf_static, 40, 4},	//630 QsciLexerD::trUtf8(const char*, const char*)
    {61, 1518, 47, 3, Smoke::mf_static, 40, 5},	//631 QsciLexerD::tr(const char*, const char*, int)
    {61, 1522, 47, 3, Smoke::mf_static, 40, 6},	//632 QsciLexerD::trUtf8(const char*, const char*, int)
    {61, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//633 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {61, 494, 76, 1, Smoke::mf_ctor, 66, 8},	//634 QsciLexerD::QsciLexerD(QObject*)
    {61, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//635 QsciLexerD::language() const
    {61, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//636 QsciLexerD::lexer() const
    {61, 825, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//637 QsciLexerD::autoCompletionWordSeparators() const
    {61, 831, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 12},	//638 QsciLexerD::blockEnd(int*) const
    {61, 834, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 13},	//639 QsciLexerD::blockStart(int*) const
    {61, 836, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 14},	//640 QsciLexerD::blockStartKeyword(int*) const
    {61, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 15},	//641 QsciLexerD::braceStyle() const
    {61, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//642 QsciLexerD::wordCharacters() const
    {61, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//643 QsciLexerD::defaultColor(int) const
    {61, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 18},	//644 QsciLexerD::defaultEolFill(int) const
    {61, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//645 QsciLexerD::defaultFont(int) const
    {61, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//646 QsciLexerD::defaultPaper(int) const
    {61, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 21},	//647 QsciLexerD::keywords(int) const
    {61, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//648 QsciLexerD::description(int) const
    {61, 1159, 0, 0, Smoke::mf_virtual, 0, 23},	//649 QsciLexerD::refreshProperties()
    {61, 965, 0, 0, Smoke::mf_const, 209, 24},	//650 QsciLexerD::foldAtElse() const
    {61, 967, 0, 0, Smoke::mf_const, 209, 25},	//651 QsciLexerD::foldComments() const
    {61, 968, 0, 0, Smoke::mf_const, 209, 26},	//652 QsciLexerD::foldCompact() const
    {61, 1292, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//653 QsciLexerD::setFoldAtElse(bool)
    {61, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//654 QsciLexerD::setFoldComments(bool)
    {61, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//655 QsciLexerD::setFoldCompact(bool)
    {61, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 30},	//656 QsciLexerD::readProperties(QSettings&, const QString&)
    {61, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 31},	//657 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {61, 1518, 12, 1, Smoke::mf_static, 40, 32},	//658 QsciLexerD::tr(const char*)
    {61, 1522, 12, 1, Smoke::mf_static, 40, 33},	//659 QsciLexerD::trUtf8(const char*)
    {61, 494, 0, 0, Smoke::mf_ctor, 66, 34},	//660 QsciLexerD::QsciLexerD()
    {61, 831, 0, 0, Smoke::mf_const, 233, 35},	//661 QsciLexerD::blockEnd() const
    {61, 834, 0, 0, Smoke::mf_const, 233, 36},	//662 QsciLexerD::blockStart() const
    {61, 836, 0, 0, Smoke::mf_const, 233, 37},	//663 QsciLexerD::blockStartKeyword() const
    {61, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 38},	//664 QsciLexerD::staticMetaObject() const
    {61, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//665 QsciLexerD::Default (enum)
    {61, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//666 QsciLexerD::Comment (enum)
    {61, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//667 QsciLexerD::CommentLine (enum)
    {61, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//668 QsciLexerD::CommentDoc (enum)
    {61, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//669 QsciLexerD::CommentNested (enum)
    {61, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//670 QsciLexerD::Number (enum)
    {61, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//671 QsciLexerD::Keyword (enum)
    {61, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//672 QsciLexerD::KeywordSecondary (enum)
    {61, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//673 QsciLexerD::KeywordDoc (enum)
    {61, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//674 QsciLexerD::Typedefs (enum)
    {61, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//675 QsciLexerD::String (enum)
    {61, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//676 QsciLexerD::UnclosedString (enum)
    {61, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//677 QsciLexerD::Character (enum)
    {61, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//678 QsciLexerD::Operator (enum)
    {61, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//679 QsciLexerD::Identifier (enum)
    {61, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//680 QsciLexerD::CommentLineDoc (enum)
    {61, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//681 QsciLexerD::CommentDocKeyword (enum)
    {61, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//682 QsciLexerD::CommentDocKeywordError (enum)
    {61, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//683 QsciLexerD::BackquoteString (enum)
    {61, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//684 QsciLexerD::RawString (enum)
    {61, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 59},	//685 QsciLexerD::KeywordSet5 (enum)
    {61, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 60},	//686 QsciLexerD::KeywordSet6 (enum)
    {61, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 61},	//687 QsciLexerD::KeywordSet7 (enum)
    {61, 1577, 0, 0, Smoke::mf_dtor, 0, 62 },	//688 QsciLexerD::~QsciLexerD()
    {62, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//689 QsciLexerDiff::metaObject() const
    {62, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//690 QsciLexerDiff::qt_metacast(const char*)
    {62, 1518, 44, 2, Smoke::mf_static, 40, 3},	//691 QsciLexerDiff::tr(const char*, const char*)
    {62, 1522, 44, 2, Smoke::mf_static, 40, 4},	//692 QsciLexerDiff::trUtf8(const char*, const char*)
    {62, 1518, 47, 3, Smoke::mf_static, 40, 5},	//693 QsciLexerDiff::tr(const char*, const char*, int)
    {62, 1522, 47, 3, Smoke::mf_static, 40, 6},	//694 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {62, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//695 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {62, 496, 76, 1, Smoke::mf_ctor, 67, 8},	//696 QsciLexerDiff::QsciLexerDiff(QObject*)
    {62, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//697 QsciLexerDiff::language() const
    {62, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//698 QsciLexerDiff::lexer() const
    {62, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 11},	//699 QsciLexerDiff::wordCharacters() const
    {62, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//700 QsciLexerDiff::defaultColor(int) const
    {62, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 13},	//701 QsciLexerDiff::description(int) const
    {62, 1518, 12, 1, Smoke::mf_static, 40, 14},	//702 QsciLexerDiff::tr(const char*)
    {62, 1522, 12, 1, Smoke::mf_static, 40, 15},	//703 QsciLexerDiff::trUtf8(const char*)
    {62, 496, 0, 0, Smoke::mf_ctor, 67, 16},	//704 QsciLexerDiff::QsciLexerDiff()
    {62, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 17},	//705 QsciLexerDiff::staticMetaObject() const
    {62, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 18},	//706 QsciLexerDiff::Default (enum)
    {62, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 19},	//707 QsciLexerDiff::Comment (enum)
    {62, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 20},	//708 QsciLexerDiff::Command (enum)
    {62, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 21},	//709 QsciLexerDiff::Header (enum)
    {62, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 22},	//710 QsciLexerDiff::Position (enum)
    {62, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 23},	//711 QsciLexerDiff::LineRemoved (enum)
    {62, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 24},	//712 QsciLexerDiff::LineAdded (enum)
    {62, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 25},	//713 QsciLexerDiff::LineChanged (enum)
    {62, 1578, 0, 0, Smoke::mf_dtor, 0, 26 },	//714 QsciLexerDiff::~QsciLexerDiff()
    {63, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//715 QsciLexerFortran::metaObject() const
    {63, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//716 QsciLexerFortran::qt_metacast(const char*)
    {63, 1518, 44, 2, Smoke::mf_static, 40, 3},	//717 QsciLexerFortran::tr(const char*, const char*)
    {63, 1522, 44, 2, Smoke::mf_static, 40, 4},	//718 QsciLexerFortran::trUtf8(const char*, const char*)
    {63, 1518, 47, 3, Smoke::mf_static, 40, 5},	//719 QsciLexerFortran::tr(const char*, const char*, int)
    {63, 1522, 47, 3, Smoke::mf_static, 40, 6},	//720 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {63, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//721 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {63, 498, 76, 1, Smoke::mf_ctor, 68, 8},	//722 QsciLexerFortran::QsciLexerFortran(QObject*)
    {63, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//723 QsciLexerFortran::language() const
    {63, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//724 QsciLexerFortran::lexer() const
    {63, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 11},	//725 QsciLexerFortran::keywords(int) const
    {63, 1518, 12, 1, Smoke::mf_static, 40, 12},	//726 QsciLexerFortran::tr(const char*)
    {63, 1522, 12, 1, Smoke::mf_static, 40, 13},	//727 QsciLexerFortran::trUtf8(const char*)
    {63, 498, 0, 0, Smoke::mf_ctor, 68, 14},	//728 QsciLexerFortran::QsciLexerFortran()
    {63, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 15},	//729 QsciLexerFortran::staticMetaObject() const
    {63, 1579, 0, 0, Smoke::mf_dtor, 0, 16 },	//730 QsciLexerFortran::~QsciLexerFortran()
    {64, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//731 QsciLexerFortran77::metaObject() const
    {64, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//732 QsciLexerFortran77::qt_metacast(const char*)
    {64, 1518, 44, 2, Smoke::mf_static, 40, 3},	//733 QsciLexerFortran77::tr(const char*, const char*)
    {64, 1522, 44, 2, Smoke::mf_static, 40, 4},	//734 QsciLexerFortran77::trUtf8(const char*, const char*)
    {64, 1518, 47, 3, Smoke::mf_static, 40, 5},	//735 QsciLexerFortran77::tr(const char*, const char*, int)
    {64, 1522, 47, 3, Smoke::mf_static, 40, 6},	//736 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {64, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//737 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {64, 500, 76, 1, Smoke::mf_ctor, 69, 8},	//738 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {64, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//739 QsciLexerFortran77::language() const
    {64, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//740 QsciLexerFortran77::lexer() const
    {64, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 11},	//741 QsciLexerFortran77::braceStyle() const
    {64, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//742 QsciLexerFortran77::defaultColor(int) const
    {64, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 13},	//743 QsciLexerFortran77::defaultEolFill(int) const
    {64, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//744 QsciLexerFortran77::defaultFont(int) const
    {64, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//745 QsciLexerFortran77::defaultPaper(int) const
    {64, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//746 QsciLexerFortran77::keywords(int) const
    {64, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//747 QsciLexerFortran77::description(int) const
    {64, 1159, 0, 0, Smoke::mf_virtual, 0, 18},	//748 QsciLexerFortran77::refreshProperties()
    {64, 968, 0, 0, Smoke::mf_const, 209, 19},	//749 QsciLexerFortran77::foldCompact() const
    {64, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//750 QsciLexerFortran77::setFoldCompact(bool)
    {64, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 21},	//751 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {64, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 22},	//752 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {64, 1518, 12, 1, Smoke::mf_static, 40, 23},	//753 QsciLexerFortran77::tr(const char*)
    {64, 1522, 12, 1, Smoke::mf_static, 40, 24},	//754 QsciLexerFortran77::trUtf8(const char*)
    {64, 500, 0, 0, Smoke::mf_ctor, 69, 25},	//755 QsciLexerFortran77::QsciLexerFortran77()
    {64, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 26},	//756 QsciLexerFortran77::staticMetaObject() const
    {64, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 27},	//757 QsciLexerFortran77::Default (enum)
    {64, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 28},	//758 QsciLexerFortran77::Comment (enum)
    {64, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 29},	//759 QsciLexerFortran77::Number (enum)
    {64, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 30},	//760 QsciLexerFortran77::SingleQuotedString (enum)
    {64, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 31},	//761 QsciLexerFortran77::DoubleQuotedString (enum)
    {64, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//762 QsciLexerFortran77::UnclosedString (enum)
    {64, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//763 QsciLexerFortran77::Operator (enum)
    {64, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 34},	//764 QsciLexerFortran77::Identifier (enum)
    {64, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//765 QsciLexerFortran77::Keyword (enum)
    {64, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 36},	//766 QsciLexerFortran77::IntrinsicFunction (enum)
    {64, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 37},	//767 QsciLexerFortran77::ExtendedFunction (enum)
    {64, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 38},	//768 QsciLexerFortran77::PreProcessor (enum)
    {64, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//769 QsciLexerFortran77::DottedOperator (enum)
    {64, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//770 QsciLexerFortran77::Label (enum)
    {64, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//771 QsciLexerFortran77::Continuation (enum)
    {64, 1580, 0, 0, Smoke::mf_dtor, 0, 42 },	//772 QsciLexerFortran77::~QsciLexerFortran77()
    {65, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//773 QsciLexerHTML::metaObject() const
    {65, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//774 QsciLexerHTML::qt_metacast(const char*)
    {65, 1518, 44, 2, Smoke::mf_static, 40, 3},	//775 QsciLexerHTML::tr(const char*, const char*)
    {65, 1522, 44, 2, Smoke::mf_static, 40, 4},	//776 QsciLexerHTML::trUtf8(const char*, const char*)
    {65, 1518, 47, 3, Smoke::mf_static, 40, 5},	//777 QsciLexerHTML::tr(const char*, const char*, int)
    {65, 1522, 47, 3, Smoke::mf_static, 40, 6},	//778 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {65, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//779 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {65, 502, 76, 1, Smoke::mf_ctor, 70, 8},	//780 QsciLexerHTML::QsciLexerHTML(QObject*)
    {65, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//781 QsciLexerHTML::language() const
    {65, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//782 QsciLexerHTML::lexer() const
    {65, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 11},	//783 QsciLexerHTML::autoCompletionFillups() const
    {65, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 12},	//784 QsciLexerHTML::wordCharacters() const
    {65, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//785 QsciLexerHTML::defaultColor(int) const
    {65, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 14},	//786 QsciLexerHTML::defaultEolFill(int) const
    {65, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//787 QsciLexerHTML::defaultFont(int) const
    {65, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//788 QsciLexerHTML::defaultPaper(int) const
    {65, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 17},	//789 QsciLexerHTML::keywords(int) const
    {65, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//790 QsciLexerHTML::description(int) const
    {65, 1159, 0, 0, Smoke::mf_virtual, 0, 19},	//791 QsciLexerHTML::refreshProperties()
    {65, 853, 0, 0, Smoke::mf_const, 209, 20},	//792 QsciLexerHTML::caseSensitiveTags() const
    {65, 1261, 16, 1, 0, 0, 21},	//793 QsciLexerHTML::setDjangoTemplates(bool)
    {65, 903, 0, 0, Smoke::mf_const, 209, 22},	//794 QsciLexerHTML::djangoTemplates() const
    {65, 968, 0, 0, Smoke::mf_const, 209, 23},	//795 QsciLexerHTML::foldCompact() const
    {65, 975, 0, 0, Smoke::mf_const, 209, 24},	//796 QsciLexerHTML::foldPreprocessor() const
    {65, 1314, 16, 1, 0, 0, 25},	//797 QsciLexerHTML::setFoldScriptComments(bool)
    {65, 977, 0, 0, Smoke::mf_const, 209, 26},	//798 QsciLexerHTML::foldScriptComments() const
    {65, 1316, 16, 1, 0, 0, 27},	//799 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {65, 978, 0, 0, Smoke::mf_const, 209, 28},	//800 QsciLexerHTML::foldScriptHeredocs() const
    {65, 1371, 16, 1, 0, 0, 29},	//801 QsciLexerHTML::setMakoTemplates(bool)
    {65, 1065, 0, 0, Smoke::mf_const, 209, 30},	//802 QsciLexerHTML::makoTemplates() const
    {65, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//803 QsciLexerHTML::setFoldCompact(bool)
    {65, 1310, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//804 QsciLexerHTML::setFoldPreprocessor(bool)
    {65, 1242, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//805 QsciLexerHTML::setCaseSensitiveTags(bool)
    {65, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 34},	//806 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {65, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 35},	//807 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {65, 1518, 12, 1, Smoke::mf_static, 40, 36},	//808 QsciLexerHTML::tr(const char*)
    {65, 1522, 12, 1, Smoke::mf_static, 40, 37},	//809 QsciLexerHTML::trUtf8(const char*)
    {65, 502, 0, 0, Smoke::mf_ctor, 70, 38},	//810 QsciLexerHTML::QsciLexerHTML()
    {65, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 39},	//811 QsciLexerHTML::staticMetaObject() const
    {65, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//812 QsciLexerHTML::Default (enum)
    {65, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//813 QsciLexerHTML::Tag (enum)
    {65, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//814 QsciLexerHTML::UnknownTag (enum)
    {65, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//815 QsciLexerHTML::Attribute (enum)
    {65, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//816 QsciLexerHTML::UnknownAttribute (enum)
    {65, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//817 QsciLexerHTML::HTMLNumber (enum)
    {65, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//818 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {65, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//819 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {65, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//820 QsciLexerHTML::OtherInTag (enum)
    {65, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//821 QsciLexerHTML::HTMLComment (enum)
    {65, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//822 QsciLexerHTML::Entity (enum)
    {65, 787, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//823 QsciLexerHTML::XMLTagEnd (enum)
    {65, 786, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//824 QsciLexerHTML::XMLStart (enum)
    {65, 785, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//825 QsciLexerHTML::XMLEnd (enum)
    {65, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//826 QsciLexerHTML::Script (enum)
    {65, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//827 QsciLexerHTML::ASPAtStart (enum)
    {65, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//828 QsciLexerHTML::ASPStart (enum)
    {65, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//829 QsciLexerHTML::CDATA (enum)
    {65, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//830 QsciLexerHTML::PHPStart (enum)
    {65, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 59},	//831 QsciLexerHTML::HTMLValue (enum)
    {65, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 60},	//832 QsciLexerHTML::ASPXCComment (enum)
    {65, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 61},	//833 QsciLexerHTML::SGMLDefault (enum)
    {65, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 62},	//834 QsciLexerHTML::SGMLCommand (enum)
    {65, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 63},	//835 QsciLexerHTML::SGMLParameter (enum)
    {65, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 64},	//836 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {65, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 65},	//837 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {65, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 66},	//838 QsciLexerHTML::SGMLError (enum)
    {65, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 67},	//839 QsciLexerHTML::SGMLSpecial (enum)
    {65, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 68},	//840 QsciLexerHTML::SGMLEntity (enum)
    {65, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 69},	//841 QsciLexerHTML::SGMLComment (enum)
    {65, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 70},	//842 QsciLexerHTML::SGMLParameterComment (enum)
    {65, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 71},	//843 QsciLexerHTML::SGMLBlockDefault (enum)
    {65, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 72},	//844 QsciLexerHTML::JavaScriptStart (enum)
    {65, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 73},	//845 QsciLexerHTML::JavaScriptDefault (enum)
    {65, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 74},	//846 QsciLexerHTML::JavaScriptComment (enum)
    {65, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 75},	//847 QsciLexerHTML::JavaScriptCommentLine (enum)
    {65, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 76},	//848 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {65, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 77},	//849 QsciLexerHTML::JavaScriptNumber (enum)
    {65, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 78},	//850 QsciLexerHTML::JavaScriptWord (enum)
    {65, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 79},	//851 QsciLexerHTML::JavaScriptKeyword (enum)
    {65, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 80},	//852 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {65, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 81},	//853 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {65, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 82},	//854 QsciLexerHTML::JavaScriptSymbol (enum)
    {65, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 83},	//855 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {65, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 84},	//856 QsciLexerHTML::JavaScriptRegex (enum)
    {65, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 85},	//857 QsciLexerHTML::ASPJavaScriptStart (enum)
    {65, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 86},	//858 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {65, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 87},	//859 QsciLexerHTML::ASPJavaScriptComment (enum)
    {65, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 88},	//860 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {65, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 89},	//861 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {65, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 90},	//862 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {65, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 91},	//863 QsciLexerHTML::ASPJavaScriptWord (enum)
    {65, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 92},	//864 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {65, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 93},	//865 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {65, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 94},	//866 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {65, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 95},	//867 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 96},	//868 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {65, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 97},	//869 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {65, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 98},	//870 QsciLexerHTML::VBScriptStart (enum)
    {65, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 99},	//871 QsciLexerHTML::VBScriptDefault (enum)
    {65, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 100},	//872 QsciLexerHTML::VBScriptComment (enum)
    {65, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 101},	//873 QsciLexerHTML::VBScriptNumber (enum)
    {65, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 102},	//874 QsciLexerHTML::VBScriptKeyword (enum)
    {65, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 103},	//875 QsciLexerHTML::VBScriptString (enum)
    {65, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 104},	//876 QsciLexerHTML::VBScriptIdentifier (enum)
    {65, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 105},	//877 QsciLexerHTML::VBScriptUnclosedString (enum)
    {65, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 106},	//878 QsciLexerHTML::ASPVBScriptStart (enum)
    {65, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 107},	//879 QsciLexerHTML::ASPVBScriptDefault (enum)
    {65, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 108},	//880 QsciLexerHTML::ASPVBScriptComment (enum)
    {65, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 109},	//881 QsciLexerHTML::ASPVBScriptNumber (enum)
    {65, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 110},	//882 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {65, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 111},	//883 QsciLexerHTML::ASPVBScriptString (enum)
    {65, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 112},	//884 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {65, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 113},	//885 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {65, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 114},	//886 QsciLexerHTML::PythonStart (enum)
    {65, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 115},	//887 QsciLexerHTML::PythonDefault (enum)
    {65, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 116},	//888 QsciLexerHTML::PythonComment (enum)
    {65, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 117},	//889 QsciLexerHTML::PythonNumber (enum)
    {65, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 118},	//890 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {65, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 119},	//891 QsciLexerHTML::PythonSingleQuotedString (enum)
    {65, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 120},	//892 QsciLexerHTML::PythonKeyword (enum)
    {65, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 121},	//893 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {65, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 122},	//894 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {65, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 123},	//895 QsciLexerHTML::PythonClassName (enum)
    {65, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 124},	//896 QsciLexerHTML::PythonFunctionMethodName (enum)
    {65, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 125},	//897 QsciLexerHTML::PythonOperator (enum)
    {65, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 126},	//898 QsciLexerHTML::PythonIdentifier (enum)
    {65, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 127},	//899 QsciLexerHTML::ASPPythonStart (enum)
    {65, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 128},	//900 QsciLexerHTML::ASPPythonDefault (enum)
    {65, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 129},	//901 QsciLexerHTML::ASPPythonComment (enum)
    {65, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 130},	//902 QsciLexerHTML::ASPPythonNumber (enum)
    {65, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 131},	//903 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {65, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 132},	//904 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {65, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 133},	//905 QsciLexerHTML::ASPPythonKeyword (enum)
    {65, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 134},	//906 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {65, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 135},	//907 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {65, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 136},	//908 QsciLexerHTML::ASPPythonClassName (enum)
    {65, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 137},	//909 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {65, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 138},	//910 QsciLexerHTML::ASPPythonOperator (enum)
    {65, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 139},	//911 QsciLexerHTML::ASPPythonIdentifier (enum)
    {65, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 140},	//912 QsciLexerHTML::PHPDefault (enum)
    {65, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 141},	//913 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {65, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 142},	//914 QsciLexerHTML::PHPSingleQuotedString (enum)
    {65, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 143},	//915 QsciLexerHTML::PHPKeyword (enum)
    {65, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 144},	//916 QsciLexerHTML::PHPNumber (enum)
    {65, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 145},	//917 QsciLexerHTML::PHPVariable (enum)
    {65, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 146},	//918 QsciLexerHTML::PHPComment (enum)
    {65, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 147},	//919 QsciLexerHTML::PHPCommentLine (enum)
    {65, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 148},	//920 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {65, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 149},	//921 QsciLexerHTML::PHPOperator (enum)
    {65, 1581, 0, 0, Smoke::mf_dtor, 0, 150 },	//922 QsciLexerHTML::~QsciLexerHTML()
    {66, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//923 QsciLexerIDL::metaObject() const
    {66, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//924 QsciLexerIDL::qt_metacast(const char*)
    {66, 1518, 44, 2, Smoke::mf_static, 40, 3},	//925 QsciLexerIDL::tr(const char*, const char*)
    {66, 1522, 44, 2, Smoke::mf_static, 40, 4},	//926 QsciLexerIDL::trUtf8(const char*, const char*)
    {66, 1518, 47, 3, Smoke::mf_static, 40, 5},	//927 QsciLexerIDL::tr(const char*, const char*, int)
    {66, 1522, 47, 3, Smoke::mf_static, 40, 6},	//928 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {66, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//929 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {66, 504, 76, 1, Smoke::mf_ctor, 71, 8},	//930 QsciLexerIDL::QsciLexerIDL(QObject*)
    {66, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//931 QsciLexerIDL::language() const
    {66, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//932 QsciLexerIDL::defaultColor(int) const
    {66, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 11},	//933 QsciLexerIDL::keywords(int) const
    {66, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 12},	//934 QsciLexerIDL::description(int) const
    {66, 1518, 12, 1, Smoke::mf_static, 40, 13},	//935 QsciLexerIDL::tr(const char*)
    {66, 1522, 12, 1, Smoke::mf_static, 40, 14},	//936 QsciLexerIDL::trUtf8(const char*)
    {66, 504, 0, 0, Smoke::mf_ctor, 71, 15},	//937 QsciLexerIDL::QsciLexerIDL()
    {66, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 16},	//938 QsciLexerIDL::staticMetaObject() const
    {66, 1582, 0, 0, Smoke::mf_dtor, 0, 17 },	//939 QsciLexerIDL::~QsciLexerIDL()
    {67, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//940 QsciLexerJava::metaObject() const
    {67, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//941 QsciLexerJava::qt_metacast(const char*)
    {67, 1518, 44, 2, Smoke::mf_static, 40, 3},	//942 QsciLexerJava::tr(const char*, const char*)
    {67, 1522, 44, 2, Smoke::mf_static, 40, 4},	//943 QsciLexerJava::trUtf8(const char*, const char*)
    {67, 1518, 47, 3, Smoke::mf_static, 40, 5},	//944 QsciLexerJava::tr(const char*, const char*, int)
    {67, 1522, 47, 3, Smoke::mf_static, 40, 6},	//945 QsciLexerJava::trUtf8(const char*, const char*, int)
    {67, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//946 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {67, 506, 76, 1, Smoke::mf_ctor, 72, 8},	//947 QsciLexerJava::QsciLexerJava(QObject*)
    {67, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//948 QsciLexerJava::language() const
    {67, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//949 QsciLexerJava::keywords(int) const
    {67, 1518, 12, 1, Smoke::mf_static, 40, 11},	//950 QsciLexerJava::tr(const char*)
    {67, 1522, 12, 1, Smoke::mf_static, 40, 12},	//951 QsciLexerJava::trUtf8(const char*)
    {67, 506, 0, 0, Smoke::mf_ctor, 72, 13},	//952 QsciLexerJava::QsciLexerJava()
    {67, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 14},	//953 QsciLexerJava::staticMetaObject() const
    {67, 1583, 0, 0, Smoke::mf_dtor, 0, 15 },	//954 QsciLexerJava::~QsciLexerJava()
    {68, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//955 QsciLexerJavaScript::metaObject() const
    {68, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//956 QsciLexerJavaScript::qt_metacast(const char*)
    {68, 1518, 44, 2, Smoke::mf_static, 40, 3},	//957 QsciLexerJavaScript::tr(const char*, const char*)
    {68, 1522, 44, 2, Smoke::mf_static, 40, 4},	//958 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {68, 1518, 47, 3, Smoke::mf_static, 40, 5},	//959 QsciLexerJavaScript::tr(const char*, const char*, int)
    {68, 1522, 47, 3, Smoke::mf_static, 40, 6},	//960 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {68, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//961 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {68, 508, 76, 1, Smoke::mf_ctor, 73, 8},	//962 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {68, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//963 QsciLexerJavaScript::language() const
    {68, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//964 QsciLexerJavaScript::defaultColor(int) const
    {68, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 11},	//965 QsciLexerJavaScript::defaultEolFill(int) const
    {68, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//966 QsciLexerJavaScript::defaultFont(int) const
    {68, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//967 QsciLexerJavaScript::defaultPaper(int) const
    {68, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 14},	//968 QsciLexerJavaScript::keywords(int) const
    {68, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//969 QsciLexerJavaScript::description(int) const
    {68, 1518, 12, 1, Smoke::mf_static, 40, 16},	//970 QsciLexerJavaScript::tr(const char*)
    {68, 1522, 12, 1, Smoke::mf_static, 40, 17},	//971 QsciLexerJavaScript::trUtf8(const char*)
    {68, 508, 0, 0, Smoke::mf_ctor, 73, 18},	//972 QsciLexerJavaScript::QsciLexerJavaScript()
    {68, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 19},	//973 QsciLexerJavaScript::staticMetaObject() const
    {68, 1584, 0, 0, Smoke::mf_dtor, 0, 20 },	//974 QsciLexerJavaScript::~QsciLexerJavaScript()
    {69, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//975 QsciLexerLua::metaObject() const
    {69, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//976 QsciLexerLua::qt_metacast(const char*)
    {69, 1518, 44, 2, Smoke::mf_static, 40, 3},	//977 QsciLexerLua::tr(const char*, const char*)
    {69, 1522, 44, 2, Smoke::mf_static, 40, 4},	//978 QsciLexerLua::trUtf8(const char*, const char*)
    {69, 1518, 47, 3, Smoke::mf_static, 40, 5},	//979 QsciLexerLua::tr(const char*, const char*, int)
    {69, 1522, 47, 3, Smoke::mf_static, 40, 6},	//980 QsciLexerLua::trUtf8(const char*, const char*, int)
    {69, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//981 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {69, 510, 76, 1, Smoke::mf_ctor, 74, 8},	//982 QsciLexerLua::QsciLexerLua(QObject*)
    {69, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//983 QsciLexerLua::language() const
    {69, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//984 QsciLexerLua::lexer() const
    {69, 825, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//985 QsciLexerLua::autoCompletionWordSeparators() const
    {69, 834, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 12},	//986 QsciLexerLua::blockStart(int*) const
    {69, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 13},	//987 QsciLexerLua::braceStyle() const
    {69, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//988 QsciLexerLua::defaultColor(int) const
    {69, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 15},	//989 QsciLexerLua::defaultEolFill(int) const
    {69, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//990 QsciLexerLua::defaultFont(int) const
    {69, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//991 QsciLexerLua::defaultPaper(int) const
    {69, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 18},	//992 QsciLexerLua::keywords(int) const
    {69, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 19},	//993 QsciLexerLua::description(int) const
    {69, 1159, 0, 0, Smoke::mf_virtual, 0, 20},	//994 QsciLexerLua::refreshProperties()
    {69, 968, 0, 0, Smoke::mf_const, 209, 21},	//995 QsciLexerLua::foldCompact() const
    {69, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//996 QsciLexerLua::setFoldCompact(bool)
    {69, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 23},	//997 QsciLexerLua::readProperties(QSettings&, const QString&)
    {69, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 24},	//998 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {69, 1518, 12, 1, Smoke::mf_static, 40, 25},	//999 QsciLexerLua::tr(const char*)
    {69, 1522, 12, 1, Smoke::mf_static, 40, 26},	//1000 QsciLexerLua::trUtf8(const char*)
    {69, 510, 0, 0, Smoke::mf_ctor, 74, 27},	//1001 QsciLexerLua::QsciLexerLua()
    {69, 834, 0, 0, Smoke::mf_const, 233, 28},	//1002 QsciLexerLua::blockStart() const
    {69, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 29},	//1003 QsciLexerLua::staticMetaObject() const
    {69, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 30},	//1004 QsciLexerLua::Default (enum)
    {69, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 31},	//1005 QsciLexerLua::Comment (enum)
    {69, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//1006 QsciLexerLua::LineComment (enum)
    {69, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//1007 QsciLexerLua::Number (enum)
    {69, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 34},	//1008 QsciLexerLua::Keyword (enum)
    {69, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//1009 QsciLexerLua::String (enum)
    {69, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 36},	//1010 QsciLexerLua::Character (enum)
    {69, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 37},	//1011 QsciLexerLua::LiteralString (enum)
    {69, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 38},	//1012 QsciLexerLua::Preprocessor (enum)
    {69, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//1013 QsciLexerLua::Operator (enum)
    {69, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//1014 QsciLexerLua::Identifier (enum)
    {69, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//1015 QsciLexerLua::UnclosedString (enum)
    {69, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//1016 QsciLexerLua::BasicFunctions (enum)
    {69, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//1017 QsciLexerLua::StringTableMathsFunctions (enum)
    {69, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1018 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {69, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1019 QsciLexerLua::KeywordSet5 (enum)
    {69, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1020 QsciLexerLua::KeywordSet6 (enum)
    {69, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1021 QsciLexerLua::KeywordSet7 (enum)
    {69, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1022 QsciLexerLua::KeywordSet8 (enum)
    {69, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//1023 QsciLexerLua::Label (enum)
    {69, 1585, 0, 0, Smoke::mf_dtor, 0, 50 },	//1024 QsciLexerLua::~QsciLexerLua()
    {70, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1025 QsciLexerMakefile::metaObject() const
    {70, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1026 QsciLexerMakefile::qt_metacast(const char*)
    {70, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1027 QsciLexerMakefile::tr(const char*, const char*)
    {70, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1028 QsciLexerMakefile::trUtf8(const char*, const char*)
    {70, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1029 QsciLexerMakefile::tr(const char*, const char*, int)
    {70, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1030 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {70, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1031 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {70, 512, 76, 1, Smoke::mf_ctor, 75, 8},	//1032 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {70, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1033 QsciLexerMakefile::language() const
    {70, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1034 QsciLexerMakefile::lexer() const
    {70, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 11},	//1035 QsciLexerMakefile::wordCharacters() const
    {70, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1036 QsciLexerMakefile::defaultColor(int) const
    {70, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 13},	//1037 QsciLexerMakefile::defaultEolFill(int) const
    {70, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1038 QsciLexerMakefile::defaultFont(int) const
    {70, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1039 QsciLexerMakefile::defaultPaper(int) const
    {70, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1040 QsciLexerMakefile::description(int) const
    {70, 1518, 12, 1, Smoke::mf_static, 40, 17},	//1041 QsciLexerMakefile::tr(const char*)
    {70, 1522, 12, 1, Smoke::mf_static, 40, 18},	//1042 QsciLexerMakefile::trUtf8(const char*)
    {70, 512, 0, 0, Smoke::mf_ctor, 75, 19},	//1043 QsciLexerMakefile::QsciLexerMakefile()
    {70, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 20},	//1044 QsciLexerMakefile::staticMetaObject() const
    {70, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 21},	//1045 QsciLexerMakefile::Default (enum)
    {70, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 22},	//1046 QsciLexerMakefile::Comment (enum)
    {70, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 23},	//1047 QsciLexerMakefile::Preprocessor (enum)
    {70, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 24},	//1048 QsciLexerMakefile::Variable (enum)
    {70, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 25},	//1049 QsciLexerMakefile::Operator (enum)
    {70, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 26},	//1050 QsciLexerMakefile::Target (enum)
    {70, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 27},	//1051 QsciLexerMakefile::Error (enum)
    {70, 1586, 0, 0, Smoke::mf_dtor, 0, 28 },	//1052 QsciLexerMakefile::~QsciLexerMakefile()
    {71, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1053 QsciLexerPOV::metaObject() const
    {71, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1054 QsciLexerPOV::qt_metacast(const char*)
    {71, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1055 QsciLexerPOV::tr(const char*, const char*)
    {71, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1056 QsciLexerPOV::trUtf8(const char*, const char*)
    {71, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1057 QsciLexerPOV::tr(const char*, const char*, int)
    {71, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1058 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {71, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1059 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {71, 514, 76, 1, Smoke::mf_ctor, 76, 8},	//1060 QsciLexerPOV::QsciLexerPOV(QObject*)
    {71, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1061 QsciLexerPOV::language() const
    {71, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1062 QsciLexerPOV::lexer() const
    {71, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 11},	//1063 QsciLexerPOV::braceStyle() const
    {71, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 12},	//1064 QsciLexerPOV::wordCharacters() const
    {71, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//1065 QsciLexerPOV::defaultColor(int) const
    {71, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 14},	//1066 QsciLexerPOV::defaultEolFill(int) const
    {71, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//1067 QsciLexerPOV::defaultFont(int) const
    {71, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1068 QsciLexerPOV::defaultPaper(int) const
    {71, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 17},	//1069 QsciLexerPOV::keywords(int) const
    {71, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//1070 QsciLexerPOV::description(int) const
    {71, 1159, 0, 0, Smoke::mf_virtual, 0, 19},	//1071 QsciLexerPOV::refreshProperties()
    {71, 967, 0, 0, Smoke::mf_const, 209, 20},	//1072 QsciLexerPOV::foldComments() const
    {71, 968, 0, 0, Smoke::mf_const, 209, 21},	//1073 QsciLexerPOV::foldCompact() const
    {71, 969, 0, 0, Smoke::mf_const, 209, 22},	//1074 QsciLexerPOV::foldDirectives() const
    {71, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1075 QsciLexerPOV::setFoldComments(bool)
    {71, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1076 QsciLexerPOV::setFoldCompact(bool)
    {71, 1300, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1077 QsciLexerPOV::setFoldDirectives(bool)
    {71, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 26},	//1078 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {71, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 27},	//1079 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {71, 1518, 12, 1, Smoke::mf_static, 40, 28},	//1080 QsciLexerPOV::tr(const char*)
    {71, 1522, 12, 1, Smoke::mf_static, 40, 29},	//1081 QsciLexerPOV::trUtf8(const char*)
    {71, 514, 0, 0, Smoke::mf_ctor, 76, 30},	//1082 QsciLexerPOV::QsciLexerPOV()
    {71, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 31},	//1083 QsciLexerPOV::staticMetaObject() const
    {71, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//1084 QsciLexerPOV::Default (enum)
    {71, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//1085 QsciLexerPOV::Comment (enum)
    {71, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 34},	//1086 QsciLexerPOV::CommentLine (enum)
    {71, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//1087 QsciLexerPOV::Number (enum)
    {71, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 36},	//1088 QsciLexerPOV::Operator (enum)
    {71, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 37},	//1089 QsciLexerPOV::Identifier (enum)
    {71, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 38},	//1090 QsciLexerPOV::String (enum)
    {71, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//1091 QsciLexerPOV::UnclosedString (enum)
    {71, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//1092 QsciLexerPOV::Directive (enum)
    {71, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//1093 QsciLexerPOV::BadDirective (enum)
    {71, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//1094 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {71, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//1095 QsciLexerPOV::TypesModifiersItems (enum)
    {71, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1096 QsciLexerPOV::PredefinedIdentifiers (enum)
    {71, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1097 QsciLexerPOV::PredefinedFunctions (enum)
    {71, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1098 QsciLexerPOV::KeywordSet6 (enum)
    {71, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1099 QsciLexerPOV::KeywordSet7 (enum)
    {71, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1100 QsciLexerPOV::KeywordSet8 (enum)
    {71, 1587, 0, 0, Smoke::mf_dtor, 0, 49 },	//1101 QsciLexerPOV::~QsciLexerPOV()
    {72, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1102 QsciLexerPascal::metaObject() const
    {72, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1103 QsciLexerPascal::qt_metacast(const char*)
    {72, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1104 QsciLexerPascal::tr(const char*, const char*)
    {72, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1105 QsciLexerPascal::trUtf8(const char*, const char*)
    {72, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1106 QsciLexerPascal::tr(const char*, const char*, int)
    {72, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1107 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {72, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1108 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {72, 516, 76, 1, Smoke::mf_ctor, 77, 8},	//1109 QsciLexerPascal::QsciLexerPascal(QObject*)
    {72, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1110 QsciLexerPascal::language() const
    {72, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1111 QsciLexerPascal::lexer() const
    {72, 825, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1112 QsciLexerPascal::autoCompletionWordSeparators() const
    {72, 831, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 12},	//1113 QsciLexerPascal::blockEnd(int*) const
    {72, 834, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 13},	//1114 QsciLexerPascal::blockStart(int*) const
    {72, 836, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 14},	//1115 QsciLexerPascal::blockStartKeyword(int*) const
    {72, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 15},	//1116 QsciLexerPascal::braceStyle() const
    {72, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1117 QsciLexerPascal::defaultColor(int) const
    {72, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 17},	//1118 QsciLexerPascal::defaultEolFill(int) const
    {72, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1119 QsciLexerPascal::defaultFont(int) const
    {72, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1120 QsciLexerPascal::defaultPaper(int) const
    {72, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 20},	//1121 QsciLexerPascal::keywords(int) const
    {72, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1122 QsciLexerPascal::description(int) const
    {72, 1159, 0, 0, Smoke::mf_virtual, 0, 22},	//1123 QsciLexerPascal::refreshProperties()
    {72, 967, 0, 0, Smoke::mf_const, 209, 23},	//1124 QsciLexerPascal::foldComments() const
    {72, 968, 0, 0, Smoke::mf_const, 209, 24},	//1125 QsciLexerPascal::foldCompact() const
    {72, 975, 0, 0, Smoke::mf_const, 209, 25},	//1126 QsciLexerPascal::foldPreprocessor() const
    {72, 1436, 16, 1, 0, 0, 26},	//1127 QsciLexerPascal::setSmartHighlighting(bool)
    {72, 1491, 0, 0, Smoke::mf_const, 209, 27},	//1128 QsciLexerPascal::smartHighlighting() const
    {72, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1129 QsciLexerPascal::setFoldComments(bool)
    {72, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1130 QsciLexerPascal::setFoldCompact(bool)
    {72, 1310, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//1131 QsciLexerPascal::setFoldPreprocessor(bool)
    {72, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 31},	//1132 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {72, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 32},	//1133 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {72, 1518, 12, 1, Smoke::mf_static, 40, 33},	//1134 QsciLexerPascal::tr(const char*)
    {72, 1522, 12, 1, Smoke::mf_static, 40, 34},	//1135 QsciLexerPascal::trUtf8(const char*)
    {72, 516, 0, 0, Smoke::mf_ctor, 77, 35},	//1136 QsciLexerPascal::QsciLexerPascal()
    {72, 831, 0, 0, Smoke::mf_const, 233, 36},	//1137 QsciLexerPascal::blockEnd() const
    {72, 834, 0, 0, Smoke::mf_const, 233, 37},	//1138 QsciLexerPascal::blockStart() const
    {72, 836, 0, 0, Smoke::mf_const, 233, 38},	//1139 QsciLexerPascal::blockStartKeyword() const
    {72, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 39},	//1140 QsciLexerPascal::staticMetaObject() const
    {72, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//1141 QsciLexerPascal::Default (enum)
    {72, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//1142 QsciLexerPascal::Identifier (enum)
    {72, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//1143 QsciLexerPascal::Comment (enum)
    {72, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//1144 QsciLexerPascal::CommentParenthesis (enum)
    {72, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1145 QsciLexerPascal::CommentLine (enum)
    {72, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1146 QsciLexerPascal::PreProcessor (enum)
    {72, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1147 QsciLexerPascal::PreProcessorParenthesis (enum)
    {72, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1148 QsciLexerPascal::Number (enum)
    {72, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1149 QsciLexerPascal::HexNumber (enum)
    {72, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//1150 QsciLexerPascal::Keyword (enum)
    {72, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//1151 QsciLexerPascal::SingleQuotedString (enum)
    {72, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//1152 QsciLexerPascal::UnclosedString (enum)
    {72, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//1153 QsciLexerPascal::Character (enum)
    {72, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//1154 QsciLexerPascal::Operator (enum)
    {72, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//1155 QsciLexerPascal::Asm (enum)
    {72, 1588, 0, 0, Smoke::mf_dtor, 0, 55 },	//1156 QsciLexerPascal::~QsciLexerPascal()
    {73, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1157 QsciLexerPerl::metaObject() const
    {73, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1158 QsciLexerPerl::qt_metacast(const char*)
    {73, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1159 QsciLexerPerl::tr(const char*, const char*)
    {73, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1160 QsciLexerPerl::trUtf8(const char*, const char*)
    {73, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1161 QsciLexerPerl::tr(const char*, const char*, int)
    {73, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1162 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {73, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1163 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {73, 518, 76, 1, Smoke::mf_ctor, 78, 8},	//1164 QsciLexerPerl::QsciLexerPerl(QObject*)
    {73, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1165 QsciLexerPerl::language() const
    {73, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1166 QsciLexerPerl::lexer() const
    {73, 825, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1167 QsciLexerPerl::autoCompletionWordSeparators() const
    {73, 831, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 12},	//1168 QsciLexerPerl::blockEnd(int*) const
    {73, 834, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 13},	//1169 QsciLexerPerl::blockStart(int*) const
    {73, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 14},	//1170 QsciLexerPerl::braceStyle() const
    {73, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 15},	//1171 QsciLexerPerl::wordCharacters() const
    {73, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1172 QsciLexerPerl::defaultColor(int) const
    {73, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 17},	//1173 QsciLexerPerl::defaultEolFill(int) const
    {73, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1174 QsciLexerPerl::defaultFont(int) const
    {73, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1175 QsciLexerPerl::defaultPaper(int) const
    {73, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 20},	//1176 QsciLexerPerl::keywords(int) const
    {73, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1177 QsciLexerPerl::description(int) const
    {73, 1159, 0, 0, Smoke::mf_virtual, 0, 22},	//1178 QsciLexerPerl::refreshProperties()
    {73, 1292, 16, 1, 0, 0, 23},	//1179 QsciLexerPerl::setFoldAtElse(bool)
    {73, 965, 0, 0, Smoke::mf_const, 209, 24},	//1180 QsciLexerPerl::foldAtElse() const
    {73, 967, 0, 0, Smoke::mf_const, 209, 25},	//1181 QsciLexerPerl::foldComments() const
    {73, 968, 0, 0, Smoke::mf_const, 209, 26},	//1182 QsciLexerPerl::foldCompact() const
    {73, 1308, 16, 1, 0, 0, 27},	//1183 QsciLexerPerl::setFoldPackages(bool)
    {73, 974, 0, 0, Smoke::mf_const, 209, 28},	//1184 QsciLexerPerl::foldPackages() const
    {73, 1306, 16, 1, 0, 0, 29},	//1185 QsciLexerPerl::setFoldPODBlocks(bool)
    {73, 973, 0, 0, Smoke::mf_const, 209, 30},	//1186 QsciLexerPerl::foldPODBlocks() const
    {73, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//1187 QsciLexerPerl::setFoldComments(bool)
    {73, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1188 QsciLexerPerl::setFoldCompact(bool)
    {73, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 33},	//1189 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {73, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 34},	//1190 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {73, 1518, 12, 1, Smoke::mf_static, 40, 35},	//1191 QsciLexerPerl::tr(const char*)
    {73, 1522, 12, 1, Smoke::mf_static, 40, 36},	//1192 QsciLexerPerl::trUtf8(const char*)
    {73, 518, 0, 0, Smoke::mf_ctor, 78, 37},	//1193 QsciLexerPerl::QsciLexerPerl()
    {73, 831, 0, 0, Smoke::mf_const, 233, 38},	//1194 QsciLexerPerl::blockEnd() const
    {73, 834, 0, 0, Smoke::mf_const, 233, 39},	//1195 QsciLexerPerl::blockStart() const
    {73, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 40},	//1196 QsciLexerPerl::staticMetaObject() const
    {73, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//1197 QsciLexerPerl::Default (enum)
    {73, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//1198 QsciLexerPerl::Error (enum)
    {73, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//1199 QsciLexerPerl::Comment (enum)
    {73, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1200 QsciLexerPerl::POD (enum)
    {73, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1201 QsciLexerPerl::Number (enum)
    {73, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1202 QsciLexerPerl::Keyword (enum)
    {73, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1203 QsciLexerPerl::DoubleQuotedString (enum)
    {73, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1204 QsciLexerPerl::SingleQuotedString (enum)
    {73, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//1205 QsciLexerPerl::Operator (enum)
    {73, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//1206 QsciLexerPerl::Identifier (enum)
    {73, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//1207 QsciLexerPerl::Scalar (enum)
    {73, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//1208 QsciLexerPerl::Array (enum)
    {73, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//1209 QsciLexerPerl::Hash (enum)
    {73, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//1210 QsciLexerPerl::SymbolTable (enum)
    {73, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//1211 QsciLexerPerl::Regex (enum)
    {73, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//1212 QsciLexerPerl::Substitution (enum)
    {73, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//1213 QsciLexerPerl::Backticks (enum)
    {73, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//1214 QsciLexerPerl::DataSection (enum)
    {73, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 59},	//1215 QsciLexerPerl::HereDocumentDelimiter (enum)
    {73, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 60},	//1216 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {73, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 61},	//1217 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {73, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 62},	//1218 QsciLexerPerl::BacktickHereDocument (enum)
    {73, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 63},	//1219 QsciLexerPerl::QuotedStringQ (enum)
    {73, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 64},	//1220 QsciLexerPerl::QuotedStringQQ (enum)
    {73, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 65},	//1221 QsciLexerPerl::QuotedStringQX (enum)
    {73, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 66},	//1222 QsciLexerPerl::QuotedStringQR (enum)
    {73, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 67},	//1223 QsciLexerPerl::QuotedStringQW (enum)
    {73, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 68},	//1224 QsciLexerPerl::PODVerbatim (enum)
    {73, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 69},	//1225 QsciLexerPerl::SubroutinePrototype (enum)
    {73, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 70},	//1226 QsciLexerPerl::FormatIdentifier (enum)
    {73, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 71},	//1227 QsciLexerPerl::FormatBody (enum)
    {73, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 72},	//1228 QsciLexerPerl::DoubleQuotedStringVar (enum)
    {73, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 73},	//1229 QsciLexerPerl::Translation (enum)
    {73, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 74},	//1230 QsciLexerPerl::RegexVar (enum)
    {73, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 75},	//1231 QsciLexerPerl::SubstitutionVar (enum)
    {73, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 76},	//1232 QsciLexerPerl::BackticksVar (enum)
    {73, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 77},	//1233 QsciLexerPerl::DoubleQuotedHereDocumentVar (enum)
    {73, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 78},	//1234 QsciLexerPerl::BacktickHereDocumentVar (enum)
    {73, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 79},	//1235 QsciLexerPerl::QuotedStringQQVar (enum)
    {73, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 80},	//1236 QsciLexerPerl::QuotedStringQXVar (enum)
    {73, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 81},	//1237 QsciLexerPerl::QuotedStringQRVar (enum)
    {73, 1589, 0, 0, Smoke::mf_dtor, 0, 82 },	//1238 QsciLexerPerl::~QsciLexerPerl()
    {74, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1239 QsciLexerPostScript::metaObject() const
    {74, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1240 QsciLexerPostScript::qt_metacast(const char*)
    {74, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1241 QsciLexerPostScript::tr(const char*, const char*)
    {74, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1242 QsciLexerPostScript::trUtf8(const char*, const char*)
    {74, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1243 QsciLexerPostScript::tr(const char*, const char*, int)
    {74, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1244 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {74, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1245 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {74, 520, 76, 1, Smoke::mf_ctor, 79, 8},	//1246 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {74, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1247 QsciLexerPostScript::language() const
    {74, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1248 QsciLexerPostScript::lexer() const
    {74, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 11},	//1249 QsciLexerPostScript::braceStyle() const
    {74, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1250 QsciLexerPostScript::defaultColor(int) const
    {74, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1251 QsciLexerPostScript::defaultFont(int) const
    {74, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1252 QsciLexerPostScript::defaultPaper(int) const
    {74, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 15},	//1253 QsciLexerPostScript::keywords(int) const
    {74, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1254 QsciLexerPostScript::description(int) const
    {74, 1159, 0, 0, Smoke::mf_virtual, 0, 17},	//1255 QsciLexerPostScript::refreshProperties()
    {74, 1517, 0, 0, Smoke::mf_const, 209, 18},	//1256 QsciLexerPostScript::tokenize() const
    {74, 1049, 0, 0, Smoke::mf_const, 235, 19},	//1257 QsciLexerPostScript::level() const
    {74, 968, 0, 0, Smoke::mf_const, 209, 20},	//1258 QsciLexerPostScript::foldCompact() const
    {74, 965, 0, 0, Smoke::mf_const, 209, 21},	//1259 QsciLexerPostScript::foldAtElse() const
    {74, 1453, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1260 QsciLexerPostScript::setTokenize(bool)
    {74, 1365, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1261 QsciLexerPostScript::setLevel(int)
    {74, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1262 QsciLexerPostScript::setFoldCompact(bool)
    {74, 1292, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1263 QsciLexerPostScript::setFoldAtElse(bool)
    {74, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 26},	//1264 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {74, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 27},	//1265 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {74, 1518, 12, 1, Smoke::mf_static, 40, 28},	//1266 QsciLexerPostScript::tr(const char*)
    {74, 1522, 12, 1, Smoke::mf_static, 40, 29},	//1267 QsciLexerPostScript::trUtf8(const char*)
    {74, 520, 0, 0, Smoke::mf_ctor, 79, 30},	//1268 QsciLexerPostScript::QsciLexerPostScript()
    {74, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 31},	//1269 QsciLexerPostScript::staticMetaObject() const
    {74, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//1270 QsciLexerPostScript::Default (enum)
    {74, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//1271 QsciLexerPostScript::Comment (enum)
    {74, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 34},	//1272 QsciLexerPostScript::DSCComment (enum)
    {74, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//1273 QsciLexerPostScript::DSCCommentValue (enum)
    {74, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 36},	//1274 QsciLexerPostScript::Number (enum)
    {74, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 37},	//1275 QsciLexerPostScript::Name (enum)
    {74, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 38},	//1276 QsciLexerPostScript::Keyword (enum)
    {74, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//1277 QsciLexerPostScript::Literal (enum)
    {74, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//1278 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {74, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//1279 QsciLexerPostScript::ArrayParenthesis (enum)
    {74, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//1280 QsciLexerPostScript::DictionaryParenthesis (enum)
    {74, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//1281 QsciLexerPostScript::ProcedureParenthesis (enum)
    {74, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1282 QsciLexerPostScript::Text (enum)
    {74, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1283 QsciLexerPostScript::HexString (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1284 QsciLexerPostScript::Base85String (enum)
    {74, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1285 QsciLexerPostScript::BadStringCharacter (enum)
    {74, 1590, 0, 0, Smoke::mf_dtor, 0, 48 },	//1286 QsciLexerPostScript::~QsciLexerPostScript()
    {75, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1287 QsciLexerProperties::metaObject() const
    {75, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1288 QsciLexerProperties::qt_metacast(const char*)
    {75, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1289 QsciLexerProperties::tr(const char*, const char*)
    {75, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1290 QsciLexerProperties::trUtf8(const char*, const char*)
    {75, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1291 QsciLexerProperties::tr(const char*, const char*, int)
    {75, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1292 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {75, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1293 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {75, 522, 76, 1, Smoke::mf_ctor, 80, 8},	//1294 QsciLexerProperties::QsciLexerProperties(QObject*)
    {75, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1295 QsciLexerProperties::language() const
    {75, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1296 QsciLexerProperties::lexer() const
    {75, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 11},	//1297 QsciLexerProperties::wordCharacters() const
    {75, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1298 QsciLexerProperties::defaultColor(int) const
    {75, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 13},	//1299 QsciLexerProperties::defaultEolFill(int) const
    {75, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1300 QsciLexerProperties::defaultFont(int) const
    {75, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1301 QsciLexerProperties::defaultPaper(int) const
    {75, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1302 QsciLexerProperties::description(int) const
    {75, 1159, 0, 0, Smoke::mf_virtual, 0, 17},	//1303 QsciLexerProperties::refreshProperties()
    {75, 968, 0, 0, Smoke::mf_const, 209, 18},	//1304 QsciLexerProperties::foldCompact() const
    {75, 1359, 16, 1, 0, 0, 19},	//1305 QsciLexerProperties::setInitialSpaces(bool)
    {75, 1019, 0, 0, Smoke::mf_const, 209, 20},	//1306 QsciLexerProperties::initialSpaces() const
    {75, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1307 QsciLexerProperties::setFoldCompact(bool)
    {75, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 22},	//1308 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {75, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 23},	//1309 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {75, 1518, 12, 1, Smoke::mf_static, 40, 24},	//1310 QsciLexerProperties::tr(const char*)
    {75, 1522, 12, 1, Smoke::mf_static, 40, 25},	//1311 QsciLexerProperties::trUtf8(const char*)
    {75, 522, 0, 0, Smoke::mf_ctor, 80, 26},	//1312 QsciLexerProperties::QsciLexerProperties()
    {75, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 27},	//1313 QsciLexerProperties::staticMetaObject() const
    {75, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 28},	//1314 QsciLexerProperties::Default (enum)
    {75, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 29},	//1315 QsciLexerProperties::Comment (enum)
    {75, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 30},	//1316 QsciLexerProperties::Section (enum)
    {75, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 31},	//1317 QsciLexerProperties::Assignment (enum)
    {75, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//1318 QsciLexerProperties::DefaultValue (enum)
    {75, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//1319 QsciLexerProperties::Key (enum)
    {75, 1591, 0, 0, Smoke::mf_dtor, 0, 34 },	//1320 QsciLexerProperties::~QsciLexerProperties()
    {76, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1321 QsciLexerPython::metaObject() const
    {76, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1322 QsciLexerPython::qt_metacast(const char*)
    {76, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1323 QsciLexerPython::tr(const char*, const char*)
    {76, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1324 QsciLexerPython::trUtf8(const char*, const char*)
    {76, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1325 QsciLexerPython::tr(const char*, const char*, int)
    {76, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1326 QsciLexerPython::trUtf8(const char*, const char*, int)
    {76, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1327 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {76, 524, 76, 1, Smoke::mf_ctor, 81, 8},	//1328 QsciLexerPython::QsciLexerPython(QObject*)
    {76, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1329 QsciLexerPython::language() const
    {76, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1330 QsciLexerPython::lexer() const
    {76, 825, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1331 QsciLexerPython::autoCompletionWordSeparators() const
    {76, 833, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 12},	//1332 QsciLexerPython::blockLookback() const
    {76, 834, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 13},	//1333 QsciLexerPython::blockStart(int*) const
    {76, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 14},	//1334 QsciLexerPython::braceStyle() const
    {76, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1335 QsciLexerPython::defaultColor(int) const
    {76, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 16},	//1336 QsciLexerPython::defaultEolFill(int) const
    {76, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1337 QsciLexerPython::defaultFont(int) const
    {76, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1338 QsciLexerPython::defaultPaper(int) const
    {76, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 19},	//1339 QsciLexerPython::indentationGuideView() const
    {76, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 20},	//1340 QsciLexerPython::keywords(int) const
    {76, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1341 QsciLexerPython::description(int) const
    {76, 1159, 0, 0, Smoke::mf_virtual, 0, 22},	//1342 QsciLexerPython::refreshProperties()
    {76, 967, 0, 0, Smoke::mf_const, 209, 23},	//1343 QsciLexerPython::foldComments() const
    {76, 1298, 16, 1, 0, 0, 24},	//1344 QsciLexerPython::setFoldCompact(bool)
    {76, 968, 0, 0, Smoke::mf_const, 209, 25},	//1345 QsciLexerPython::foldCompact() const
    {76, 976, 0, 0, Smoke::mf_const, 209, 26},	//1346 QsciLexerPython::foldQuotes() const
    {76, 1007, 0, 0, Smoke::mf_const, 82, 27},	//1347 QsciLexerPython::indentationWarning() const
    {76, 1330, 16, 1, 0, 0, 28},	//1348 QsciLexerPython::setHighlightSubidentifiers(bool)
    {76, 998, 0, 0, Smoke::mf_const, 209, 29},	//1349 QsciLexerPython::highlightSubidentifiers() const
    {76, 1438, 16, 1, 0, 0, 30},	//1350 QsciLexerPython::setStringsOverNewlineAllowed(bool)
    {76, 1498, 0, 0, Smoke::mf_const, 209, 31},	//1351 QsciLexerPython::stringsOverNewlineAllowed() const
    {76, 1463, 16, 1, 0, 0, 32},	//1352 QsciLexerPython::setV2UnicodeAllowed(bool)
    {76, 1533, 0, 0, Smoke::mf_const, 209, 33},	//1353 QsciLexerPython::v2UnicodeAllowed() const
    {76, 1465, 16, 1, 0, 0, 34},	//1354 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {76, 1534, 0, 0, Smoke::mf_const, 209, 35},	//1355 QsciLexerPython::v3BinaryOctalAllowed() const
    {76, 1467, 16, 1, 0, 0, 36},	//1356 QsciLexerPython::setV3BytesAllowed(bool)
    {76, 1535, 0, 0, Smoke::mf_const, 209, 37},	//1357 QsciLexerPython::v3BytesAllowed() const
    {76, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//1358 QsciLexerPython::setFoldComments(bool)
    {76, 1312, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//1359 QsciLexerPython::setFoldQuotes(bool)
    {76, 1344, 107, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 40},	//1360 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {76, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 41},	//1361 QsciLexerPython::readProperties(QSettings&, const QString&)
    {76, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 42},	//1362 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {76, 1518, 12, 1, Smoke::mf_static, 40, 43},	//1363 QsciLexerPython::tr(const char*)
    {76, 1522, 12, 1, Smoke::mf_static, 40, 44},	//1364 QsciLexerPython::trUtf8(const char*)
    {76, 524, 0, 0, Smoke::mf_ctor, 81, 45},	//1365 QsciLexerPython::QsciLexerPython()
    {76, 834, 0, 0, Smoke::mf_const, 233, 46},	//1366 QsciLexerPython::blockStart() const
    {76, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 47},	//1367 QsciLexerPython::staticMetaObject() const
    {76, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1368 QsciLexerPython::Default (enum)
    {76, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//1369 QsciLexerPython::Comment (enum)
    {76, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//1370 QsciLexerPython::Number (enum)
    {76, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//1371 QsciLexerPython::DoubleQuotedString (enum)
    {76, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//1372 QsciLexerPython::SingleQuotedString (enum)
    {76, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//1373 QsciLexerPython::Keyword (enum)
    {76, 728, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//1374 QsciLexerPython::TripleSingleQuotedString (enum)
    {76, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//1375 QsciLexerPython::TripleDoubleQuotedString (enum)
    {76, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//1376 QsciLexerPython::ClassName (enum)
    {76, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//1377 QsciLexerPython::FunctionMethodName (enum)
    {76, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//1378 QsciLexerPython::Operator (enum)
    {76, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 59},	//1379 QsciLexerPython::Identifier (enum)
    {76, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 60},	//1380 QsciLexerPython::CommentBlock (enum)
    {76, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 61},	//1381 QsciLexerPython::UnclosedString (enum)
    {76, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 62},	//1382 QsciLexerPython::HighlightedIdentifier (enum)
    {76, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 63},	//1383 QsciLexerPython::Decorator (enum)
    {76, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 64},	//1384 QsciLexerPython::NoWarning (enum)
    {76, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 65},	//1385 QsciLexerPython::Inconsistent (enum)
    {76, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 66},	//1386 QsciLexerPython::TabsAfterSpaces (enum)
    {76, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 67},	//1387 QsciLexerPython::Spaces (enum)
    {76, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 68},	//1388 QsciLexerPython::Tabs (enum)
    {76, 1592, 0, 0, Smoke::mf_dtor, 0, 69 },	//1389 QsciLexerPython::~QsciLexerPython()
    {77, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1390 QsciLexerRuby::metaObject() const
    {77, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1391 QsciLexerRuby::qt_metacast(const char*)
    {77, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1392 QsciLexerRuby::tr(const char*, const char*)
    {77, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1393 QsciLexerRuby::trUtf8(const char*, const char*)
    {77, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1394 QsciLexerRuby::tr(const char*, const char*, int)
    {77, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1395 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {77, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1396 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {77, 526, 76, 1, Smoke::mf_ctor, 83, 8},	//1397 QsciLexerRuby::QsciLexerRuby(QObject*)
    {77, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1398 QsciLexerRuby::language() const
    {77, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1399 QsciLexerRuby::lexer() const
    {77, 831, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 11},	//1400 QsciLexerRuby::blockEnd(int*) const
    {77, 834, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 12},	//1401 QsciLexerRuby::blockStart(int*) const
    {77, 836, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 13},	//1402 QsciLexerRuby::blockStartKeyword(int*) const
    {77, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 14},	//1403 QsciLexerRuby::braceStyle() const
    {77, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1404 QsciLexerRuby::defaultColor(int) const
    {77, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 16},	//1405 QsciLexerRuby::defaultEolFill(int) const
    {77, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1406 QsciLexerRuby::defaultFont(int) const
    {77, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1407 QsciLexerRuby::defaultPaper(int) const
    {77, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 19},	//1408 QsciLexerRuby::keywords(int) const
    {77, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 20},	//1409 QsciLexerRuby::description(int) const
    {77, 1159, 0, 0, Smoke::mf_virtual, 0, 21},	//1410 QsciLexerRuby::refreshProperties()
    {77, 1296, 16, 1, 0, 0, 22},	//1411 QsciLexerRuby::setFoldComments(bool)
    {77, 967, 0, 0, Smoke::mf_const, 209, 23},	//1412 QsciLexerRuby::foldComments() const
    {77, 1298, 16, 1, 0, 0, 24},	//1413 QsciLexerRuby::setFoldCompact(bool)
    {77, 968, 0, 0, Smoke::mf_const, 209, 25},	//1414 QsciLexerRuby::foldCompact() const
    {77, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 26},	//1415 QsciLexerRuby::readProperties(QSettings&, const QString&)
    {77, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 27},	//1416 QsciLexerRuby::writeProperties(QSettings&, const QString&) const
    {77, 1518, 12, 1, Smoke::mf_static, 40, 28},	//1417 QsciLexerRuby::tr(const char*)
    {77, 1522, 12, 1, Smoke::mf_static, 40, 29},	//1418 QsciLexerRuby::trUtf8(const char*)
    {77, 526, 0, 0, Smoke::mf_ctor, 83, 30},	//1419 QsciLexerRuby::QsciLexerRuby()
    {77, 831, 0, 0, Smoke::mf_const, 233, 31},	//1420 QsciLexerRuby::blockEnd() const
    {77, 834, 0, 0, Smoke::mf_const, 233, 32},	//1421 QsciLexerRuby::blockStart() const
    {77, 836, 0, 0, Smoke::mf_const, 233, 33},	//1422 QsciLexerRuby::blockStartKeyword() const
    {77, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 34},	//1423 QsciLexerRuby::staticMetaObject() const
    {77, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//1424 QsciLexerRuby::Default (enum)
    {77, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 36},	//1425 QsciLexerRuby::Error (enum)
    {77, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 37},	//1426 QsciLexerRuby::Comment (enum)
    {77, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 38},	//1427 QsciLexerRuby::POD (enum)
    {77, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//1428 QsciLexerRuby::Number (enum)
    {77, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//1429 QsciLexerRuby::Keyword (enum)
    {77, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//1430 QsciLexerRuby::DoubleQuotedString (enum)
    {77, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//1431 QsciLexerRuby::SingleQuotedString (enum)
    {77, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//1432 QsciLexerRuby::ClassName (enum)
    {77, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1433 QsciLexerRuby::FunctionMethodName (enum)
    {77, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1434 QsciLexerRuby::Operator (enum)
    {77, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1435 QsciLexerRuby::Identifier (enum)
    {77, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1436 QsciLexerRuby::Regex (enum)
    {77, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1437 QsciLexerRuby::Global (enum)
    {77, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//1438 QsciLexerRuby::Symbol (enum)
    {77, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//1439 QsciLexerRuby::ModuleName (enum)
    {77, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//1440 QsciLexerRuby::InstanceVariable (enum)
    {77, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//1441 QsciLexerRuby::ClassVariable (enum)
    {77, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//1442 QsciLexerRuby::Backticks (enum)
    {77, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//1443 QsciLexerRuby::DataSection (enum)
    {77, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//1444 QsciLexerRuby::HereDocumentDelimiter (enum)
    {77, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//1445 QsciLexerRuby::HereDocument (enum)
    {77, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//1446 QsciLexerRuby::PercentStringq (enum)
    {77, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//1447 QsciLexerRuby::PercentStringQ (enum)
    {77, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 59},	//1448 QsciLexerRuby::PercentStringx (enum)
    {77, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 60},	//1449 QsciLexerRuby::PercentStringr (enum)
    {77, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 61},	//1450 QsciLexerRuby::PercentStringw (enum)
    {77, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 62},	//1451 QsciLexerRuby::DemotedKeyword (enum)
    {77, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 63},	//1452 QsciLexerRuby::Stdin (enum)
    {77, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 64},	//1453 QsciLexerRuby::Stdout (enum)
    {77, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 65},	//1454 QsciLexerRuby::Stderr (enum)
    {77, 1593, 0, 0, Smoke::mf_dtor, 0, 66 },	//1455 QsciLexerRuby::~QsciLexerRuby()
    {78, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1456 QsciLexerSQL::metaObject() const
    {78, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1457 QsciLexerSQL::qt_metacast(const char*)
    {78, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1458 QsciLexerSQL::tr(const char*, const char*)
    {78, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1459 QsciLexerSQL::trUtf8(const char*, const char*)
    {78, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1460 QsciLexerSQL::tr(const char*, const char*, int)
    {78, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1461 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {78, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1462 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 528, 76, 1, Smoke::mf_ctor, 84, 8},	//1463 QsciLexerSQL::QsciLexerSQL(QObject*)
    {78, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1464 QsciLexerSQL::language() const
    {78, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1465 QsciLexerSQL::lexer() const
    {78, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 11},	//1466 QsciLexerSQL::braceStyle() const
    {78, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1467 QsciLexerSQL::defaultColor(int) const
    {78, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 13},	//1468 QsciLexerSQL::defaultEolFill(int) const
    {78, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1469 QsciLexerSQL::defaultFont(int) const
    {78, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1470 QsciLexerSQL::defaultPaper(int) const
    {78, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//1471 QsciLexerSQL::keywords(int) const
    {78, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1472 QsciLexerSQL::description(int) const
    {78, 1159, 0, 0, Smoke::mf_virtual, 0, 18},	//1473 QsciLexerSQL::refreshProperties()
    {78, 828, 0, 0, Smoke::mf_const, 209, 19},	//1474 QsciLexerSQL::backslashEscapes() const
    {78, 1267, 16, 1, 0, 0, 20},	//1475 QsciLexerSQL::setDottedWords(bool)
    {78, 906, 0, 0, Smoke::mf_const, 209, 21},	//1476 QsciLexerSQL::dottedWords() const
    {78, 1292, 16, 1, 0, 0, 22},	//1477 QsciLexerSQL::setFoldAtElse(bool)
    {78, 965, 0, 0, Smoke::mf_const, 209, 23},	//1478 QsciLexerSQL::foldAtElse() const
    {78, 967, 0, 0, Smoke::mf_const, 209, 24},	//1479 QsciLexerSQL::foldComments() const
    {78, 968, 0, 0, Smoke::mf_const, 209, 25},	//1480 QsciLexerSQL::foldCompact() const
    {78, 1304, 16, 1, 0, 0, 26},	//1481 QsciLexerSQL::setFoldOnlyBegin(bool)
    {78, 972, 0, 0, Smoke::mf_const, 209, 27},	//1482 QsciLexerSQL::foldOnlyBegin() const
    {78, 1326, 16, 1, 0, 0, 28},	//1483 QsciLexerSQL::setHashComments(bool)
    {78, 994, 0, 0, Smoke::mf_const, 209, 29},	//1484 QsciLexerSQL::hashComments() const
    {78, 1419, 16, 1, 0, 0, 30},	//1485 QsciLexerSQL::setQuotedIdentifiers(bool)
    {78, 1146, 0, 0, Smoke::mf_const, 209, 31},	//1486 QsciLexerSQL::quotedIdentifiers() const
    {78, 1216, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1487 QsciLexerSQL::setBackslashEscapes(bool)
    {78, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1488 QsciLexerSQL::setFoldComments(bool)
    {78, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1489 QsciLexerSQL::setFoldCompact(bool)
    {78, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 35},	//1490 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {78, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 36},	//1491 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {78, 1518, 12, 1, Smoke::mf_static, 40, 37},	//1492 QsciLexerSQL::tr(const char*)
    {78, 1522, 12, 1, Smoke::mf_static, 40, 38},	//1493 QsciLexerSQL::trUtf8(const char*)
    {78, 528, 0, 0, Smoke::mf_ctor, 84, 39},	//1494 QsciLexerSQL::QsciLexerSQL()
    {78, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 40},	//1495 QsciLexerSQL::staticMetaObject() const
    {78, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//1496 QsciLexerSQL::Default (enum)
    {78, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//1497 QsciLexerSQL::Comment (enum)
    {78, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//1498 QsciLexerSQL::CommentLine (enum)
    {78, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1499 QsciLexerSQL::CommentDoc (enum)
    {78, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1500 QsciLexerSQL::Number (enum)
    {78, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1501 QsciLexerSQL::Keyword (enum)
    {78, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1502 QsciLexerSQL::DoubleQuotedString (enum)
    {78, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1503 QsciLexerSQL::SingleQuotedString (enum)
    {78, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//1504 QsciLexerSQL::PlusKeyword (enum)
    {78, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//1505 QsciLexerSQL::PlusPrompt (enum)
    {78, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//1506 QsciLexerSQL::Operator (enum)
    {78, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//1507 QsciLexerSQL::Identifier (enum)
    {78, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//1508 QsciLexerSQL::PlusComment (enum)
    {78, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//1509 QsciLexerSQL::CommentLineHash (enum)
    {78, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//1510 QsciLexerSQL::CommentDocKeyword (enum)
    {78, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//1511 QsciLexerSQL::CommentDocKeywordError (enum)
    {78, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//1512 QsciLexerSQL::KeywordSet5 (enum)
    {78, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//1513 QsciLexerSQL::KeywordSet6 (enum)
    {78, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 59},	//1514 QsciLexerSQL::KeywordSet7 (enum)
    {78, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 60},	//1515 QsciLexerSQL::KeywordSet8 (enum)
    {78, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 61},	//1516 QsciLexerSQL::QuotedIdentifier (enum)
    {78, 1594, 0, 0, Smoke::mf_dtor, 0, 62 },	//1517 QsciLexerSQL::~QsciLexerSQL()
    {79, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1518 QsciLexerTCL::metaObject() const
    {79, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1519 QsciLexerTCL::qt_metacast(const char*)
    {79, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1520 QsciLexerTCL::tr(const char*, const char*)
    {79, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1521 QsciLexerTCL::trUtf8(const char*, const char*)
    {79, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1522 QsciLexerTCL::tr(const char*, const char*, int)
    {79, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1523 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {79, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1524 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {79, 530, 76, 1, Smoke::mf_ctor, 85, 8},	//1525 QsciLexerTCL::QsciLexerTCL(QObject*)
    {79, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1526 QsciLexerTCL::language() const
    {79, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1527 QsciLexerTCL::lexer() const
    {79, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 11},	//1528 QsciLexerTCL::braceStyle() const
    {79, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1529 QsciLexerTCL::defaultColor(int) const
    {79, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 13},	//1530 QsciLexerTCL::defaultEolFill(int) const
    {79, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1531 QsciLexerTCL::defaultFont(int) const
    {79, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1532 QsciLexerTCL::defaultPaper(int) const
    {79, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//1533 QsciLexerTCL::keywords(int) const
    {79, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1534 QsciLexerTCL::description(int) const
    {79, 1159, 0, 0, Smoke::mf_virtual, 0, 18},	//1535 QsciLexerTCL::refreshProperties()
    {79, 1296, 16, 1, 0, 0, 19},	//1536 QsciLexerTCL::setFoldComments(bool)
    {79, 967, 0, 0, Smoke::mf_const, 209, 20},	//1537 QsciLexerTCL::foldComments() const
    {79, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 21},	//1538 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {79, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 22},	//1539 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {79, 1518, 12, 1, Smoke::mf_static, 40, 23},	//1540 QsciLexerTCL::tr(const char*)
    {79, 1522, 12, 1, Smoke::mf_static, 40, 24},	//1541 QsciLexerTCL::trUtf8(const char*)
    {79, 530, 0, 0, Smoke::mf_ctor, 85, 25},	//1542 QsciLexerTCL::QsciLexerTCL()
    {79, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 26},	//1543 QsciLexerTCL::staticMetaObject() const
    {79, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 27},	//1544 QsciLexerTCL::Default (enum)
    {79, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 28},	//1545 QsciLexerTCL::Comment (enum)
    {79, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 29},	//1546 QsciLexerTCL::CommentLine (enum)
    {79, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 30},	//1547 QsciLexerTCL::Number (enum)
    {79, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 31},	//1548 QsciLexerTCL::QuotedKeyword (enum)
    {79, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//1549 QsciLexerTCL::QuotedString (enum)
    {79, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//1550 QsciLexerTCL::Operator (enum)
    {79, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 34},	//1551 QsciLexerTCL::Identifier (enum)
    {79, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//1552 QsciLexerTCL::Substitution (enum)
    {79, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 36},	//1553 QsciLexerTCL::SubstitutionBrace (enum)
    {79, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 37},	//1554 QsciLexerTCL::Modifier (enum)
    {79, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 38},	//1555 QsciLexerTCL::ExpandKeyword (enum)
    {79, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//1556 QsciLexerTCL::TCLKeyword (enum)
    {79, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//1557 QsciLexerTCL::TkKeyword (enum)
    {79, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//1558 QsciLexerTCL::ITCLKeyword (enum)
    {79, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//1559 QsciLexerTCL::TkCommand (enum)
    {79, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//1560 QsciLexerTCL::KeywordSet6 (enum)
    {79, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1561 QsciLexerTCL::KeywordSet7 (enum)
    {79, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1562 QsciLexerTCL::KeywordSet8 (enum)
    {79, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1563 QsciLexerTCL::KeywordSet9 (enum)
    {79, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1564 QsciLexerTCL::CommentBox (enum)
    {79, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1565 QsciLexerTCL::CommentBlock (enum)
    {79, 1595, 0, 0, Smoke::mf_dtor, 0, 49 },	//1566 QsciLexerTCL::~QsciLexerTCL()
    {80, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1567 QsciLexerTeX::metaObject() const
    {80, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1568 QsciLexerTeX::qt_metacast(const char*)
    {80, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1569 QsciLexerTeX::tr(const char*, const char*)
    {80, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1570 QsciLexerTeX::trUtf8(const char*, const char*)
    {80, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1571 QsciLexerTeX::tr(const char*, const char*, int)
    {80, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1572 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {80, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1573 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {80, 532, 76, 1, Smoke::mf_ctor, 86, 8},	//1574 QsciLexerTeX::QsciLexerTeX(QObject*)
    {80, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1575 QsciLexerTeX::language() const
    {80, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1576 QsciLexerTeX::lexer() const
    {80, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 11},	//1577 QsciLexerTeX::wordCharacters() const
    {80, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1578 QsciLexerTeX::defaultColor(int) const
    {80, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 13},	//1579 QsciLexerTeX::keywords(int) const
    {80, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 14},	//1580 QsciLexerTeX::description(int) const
    {80, 1159, 0, 0, Smoke::mf_virtual, 0, 15},	//1581 QsciLexerTeX::refreshProperties()
    {80, 1296, 16, 1, 0, 0, 16},	//1582 QsciLexerTeX::setFoldComments(bool)
    {80, 967, 0, 0, Smoke::mf_const, 209, 17},	//1583 QsciLexerTeX::foldComments() const
    {80, 1298, 16, 1, 0, 0, 18},	//1584 QsciLexerTeX::setFoldCompact(bool)
    {80, 968, 0, 0, Smoke::mf_const, 209, 19},	//1585 QsciLexerTeX::foldCompact() const
    {80, 1415, 16, 1, 0, 0, 20},	//1586 QsciLexerTeX::setProcessComments(bool)
    {80, 1138, 0, 0, Smoke::mf_const, 209, 21},	//1587 QsciLexerTeX::processComments() const
    {80, 1417, 16, 1, 0, 0, 22},	//1588 QsciLexerTeX::setProcessIf(bool)
    {80, 1139, 0, 0, Smoke::mf_const, 209, 23},	//1589 QsciLexerTeX::processIf() const
    {80, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 24},	//1590 QsciLexerTeX::readProperties(QSettings&, const QString&)
    {80, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 25},	//1591 QsciLexerTeX::writeProperties(QSettings&, const QString&) const
    {80, 1518, 12, 1, Smoke::mf_static, 40, 26},	//1592 QsciLexerTeX::tr(const char*)
    {80, 1522, 12, 1, Smoke::mf_static, 40, 27},	//1593 QsciLexerTeX::trUtf8(const char*)
    {80, 532, 0, 0, Smoke::mf_ctor, 86, 28},	//1594 QsciLexerTeX::QsciLexerTeX()
    {80, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 29},	//1595 QsciLexerTeX::staticMetaObject() const
    {80, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 30},	//1596 QsciLexerTeX::Default (enum)
    {80, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 31},	//1597 QsciLexerTeX::Special (enum)
    {80, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//1598 QsciLexerTeX::Group (enum)
    {80, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//1599 QsciLexerTeX::Symbol (enum)
    {80, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 34},	//1600 QsciLexerTeX::Command (enum)
    {80, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//1601 QsciLexerTeX::Text (enum)
    {80, 1596, 0, 0, Smoke::mf_dtor, 0, 36 },	//1602 QsciLexerTeX::~QsciLexerTeX()
    {81, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1603 QsciLexerVHDL::metaObject() const
    {81, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1604 QsciLexerVHDL::qt_metacast(const char*)
    {81, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1605 QsciLexerVHDL::tr(const char*, const char*)
    {81, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1606 QsciLexerVHDL::trUtf8(const char*, const char*)
    {81, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1607 QsciLexerVHDL::tr(const char*, const char*, int)
    {81, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1608 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {81, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1609 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {81, 534, 76, 1, Smoke::mf_ctor, 87, 8},	//1610 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {81, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1611 QsciLexerVHDL::language() const
    {81, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1612 QsciLexerVHDL::lexer() const
    {81, 841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 11},	//1613 QsciLexerVHDL::braceStyle() const
    {81, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1614 QsciLexerVHDL::defaultColor(int) const
    {81, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 13},	//1615 QsciLexerVHDL::defaultEolFill(int) const
    {81, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1616 QsciLexerVHDL::defaultFont(int) const
    {81, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1617 QsciLexerVHDL::defaultPaper(int) const
    {81, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//1618 QsciLexerVHDL::keywords(int) const
    {81, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1619 QsciLexerVHDL::description(int) const
    {81, 1159, 0, 0, Smoke::mf_virtual, 0, 18},	//1620 QsciLexerVHDL::refreshProperties()
    {81, 967, 0, 0, Smoke::mf_const, 209, 19},	//1621 QsciLexerVHDL::foldComments() const
    {81, 968, 0, 0, Smoke::mf_const, 209, 20},	//1622 QsciLexerVHDL::foldCompact() const
    {81, 965, 0, 0, Smoke::mf_const, 209, 21},	//1623 QsciLexerVHDL::foldAtElse() const
    {81, 964, 0, 0, Smoke::mf_const, 209, 22},	//1624 QsciLexerVHDL::foldAtBegin() const
    {81, 966, 0, 0, Smoke::mf_const, 209, 23},	//1625 QsciLexerVHDL::foldAtParenthesis() const
    {81, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1626 QsciLexerVHDL::setFoldComments(bool)
    {81, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1627 QsciLexerVHDL::setFoldCompact(bool)
    {81, 1292, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1628 QsciLexerVHDL::setFoldAtElse(bool)
    {81, 1290, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1629 QsciLexerVHDL::setFoldAtBegin(bool)
    {81, 1294, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1630 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {81, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 29},	//1631 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {81, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 30},	//1632 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {81, 1518, 12, 1, Smoke::mf_static, 40, 31},	//1633 QsciLexerVHDL::tr(const char*)
    {81, 1522, 12, 1, Smoke::mf_static, 40, 32},	//1634 QsciLexerVHDL::trUtf8(const char*)
    {81, 534, 0, 0, Smoke::mf_ctor, 87, 33},	//1635 QsciLexerVHDL::QsciLexerVHDL()
    {81, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 34},	//1636 QsciLexerVHDL::staticMetaObject() const
    {81, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//1637 QsciLexerVHDL::Default (enum)
    {81, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 36},	//1638 QsciLexerVHDL::Comment (enum)
    {81, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 37},	//1639 QsciLexerVHDL::CommentLine (enum)
    {81, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 38},	//1640 QsciLexerVHDL::Number (enum)
    {81, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 39},	//1641 QsciLexerVHDL::String (enum)
    {81, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 40},	//1642 QsciLexerVHDL::Operator (enum)
    {81, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 41},	//1643 QsciLexerVHDL::Identifier (enum)
    {81, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 42},	//1644 QsciLexerVHDL::UnclosedString (enum)
    {81, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 43},	//1645 QsciLexerVHDL::Keyword (enum)
    {81, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1646 QsciLexerVHDL::StandardOperator (enum)
    {81, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1647 QsciLexerVHDL::Attribute (enum)
    {81, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1648 QsciLexerVHDL::StandardFunction (enum)
    {81, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1649 QsciLexerVHDL::StandardPackage (enum)
    {81, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1650 QsciLexerVHDL::StandardType (enum)
    {81, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//1651 QsciLexerVHDL::KeywordSet7 (enum)
    {81, 1597, 0, 0, Smoke::mf_dtor, 0, 50 },	//1652 QsciLexerVHDL::~QsciLexerVHDL()
    {82, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1653 QsciLexerXML::metaObject() const
    {82, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1654 QsciLexerXML::qt_metacast(const char*)
    {82, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1655 QsciLexerXML::tr(const char*, const char*)
    {82, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1656 QsciLexerXML::trUtf8(const char*, const char*)
    {82, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1657 QsciLexerXML::tr(const char*, const char*, int)
    {82, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1658 QsciLexerXML::trUtf8(const char*, const char*, int)
    {82, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1659 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {82, 536, 76, 1, Smoke::mf_ctor, 88, 8},	//1660 QsciLexerXML::QsciLexerXML(QObject*)
    {82, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1661 QsciLexerXML::language() const
    {82, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1662 QsciLexerXML::lexer() const
    {82, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1663 QsciLexerXML::defaultColor(int) const
    {82, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 12},	//1664 QsciLexerXML::defaultEolFill(int) const
    {82, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1665 QsciLexerXML::defaultFont(int) const
    {82, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1666 QsciLexerXML::defaultPaper(int) const
    {82, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 15},	//1667 QsciLexerXML::keywords(int) const
    {82, 1159, 0, 0, Smoke::mf_virtual, 0, 16},	//1668 QsciLexerXML::refreshProperties()
    {82, 1425, 16, 1, 0, 0, 17},	//1669 QsciLexerXML::setScriptsStyled(bool)
    {82, 1179, 0, 0, Smoke::mf_const, 209, 18},	//1670 QsciLexerXML::scriptsStyled() const
    {82, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 19},	//1671 QsciLexerXML::readProperties(QSettings&, const QString&)
    {82, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 20},	//1672 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {82, 1518, 12, 1, Smoke::mf_static, 40, 21},	//1673 QsciLexerXML::tr(const char*)
    {82, 1522, 12, 1, Smoke::mf_static, 40, 22},	//1674 QsciLexerXML::trUtf8(const char*)
    {82, 536, 0, 0, Smoke::mf_ctor, 88, 23},	//1675 QsciLexerXML::QsciLexerXML()
    {82, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 24},	//1676 QsciLexerXML::staticMetaObject() const
    {82, 1598, 0, 0, Smoke::mf_dtor, 0, 25 },	//1677 QsciLexerXML::~QsciLexerXML()
    {83, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1678 QsciLexerYAML::metaObject() const
    {83, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1679 QsciLexerYAML::qt_metacast(const char*)
    {83, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1680 QsciLexerYAML::tr(const char*, const char*)
    {83, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1681 QsciLexerYAML::trUtf8(const char*, const char*)
    {83, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1682 QsciLexerYAML::tr(const char*, const char*, int)
    {83, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1683 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {83, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1684 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {83, 538, 76, 1, Smoke::mf_ctor, 89, 8},	//1685 QsciLexerYAML::QsciLexerYAML(QObject*)
    {83, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//1686 QsciLexerYAML::language() const
    {83, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//1687 QsciLexerYAML::lexer() const
    {83, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1688 QsciLexerYAML::defaultColor(int) const
    {83, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 12},	//1689 QsciLexerYAML::defaultEolFill(int) const
    {83, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1690 QsciLexerYAML::defaultFont(int) const
    {83, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1691 QsciLexerYAML::defaultPaper(int) const
    {83, 1043, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 15},	//1692 QsciLexerYAML::keywords(int) const
    {83, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1693 QsciLexerYAML::description(int) const
    {83, 1159, 0, 0, Smoke::mf_virtual, 0, 17},	//1694 QsciLexerYAML::refreshProperties()
    {83, 967, 0, 0, Smoke::mf_const, 209, 18},	//1695 QsciLexerYAML::foldComments() const
    {83, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1696 QsciLexerYAML::setFoldComments(bool)
    {83, 1149, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 20},	//1697 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {83, 1553, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 21},	//1698 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {83, 1518, 12, 1, Smoke::mf_static, 40, 22},	//1699 QsciLexerYAML::tr(const char*)
    {83, 1522, 12, 1, Smoke::mf_static, 40, 23},	//1700 QsciLexerYAML::trUtf8(const char*)
    {83, 538, 0, 0, Smoke::mf_ctor, 89, 24},	//1701 QsciLexerYAML::QsciLexerYAML()
    {83, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 25},	//1702 QsciLexerYAML::staticMetaObject() const
    {83, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 26},	//1703 QsciLexerYAML::Default (enum)
    {83, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 27},	//1704 QsciLexerYAML::Comment (enum)
    {83, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 28},	//1705 QsciLexerYAML::Identifier (enum)
    {83, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 29},	//1706 QsciLexerYAML::Keyword (enum)
    {83, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 30},	//1707 QsciLexerYAML::Number (enum)
    {83, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 31},	//1708 QsciLexerYAML::Reference (enum)
    {83, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//1709 QsciLexerYAML::DocumentDelimiter (enum)
    {83, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//1710 QsciLexerYAML::TextBlockMarker (enum)
    {83, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 34},	//1711 QsciLexerYAML::SyntaxErrorMarker (enum)
    {83, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 35},	//1712 QsciLexerYAML::Operator (enum)
    {83, 1599, 0, 0, Smoke::mf_dtor, 0, 36 },	//1713 QsciLexerYAML::~QsciLexerYAML()
    {84, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1714 QsciMacro::metaObject() const
    {84, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1715 QsciMacro::qt_metacast(const char*)
    {84, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1716 QsciMacro::tr(const char*, const char*)
    {84, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1717 QsciMacro::trUtf8(const char*, const char*)
    {84, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1718 QsciMacro::tr(const char*, const char*, int)
    {84, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1719 QsciMacro::trUtf8(const char*, const char*, int)
    {84, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1720 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {84, 540, 84, 1, Smoke::mf_ctor, 90, 8},	//1721 QsciMacro::QsciMacro(QsciScintilla*)
    {84, 540, 109, 2, Smoke::mf_ctor, 90, 9},	//1722 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {84, 857, 0, 0, 0, 0, 10},	//1723 QsciMacro::clear()
    {84, 1060, 57, 1, 0, 209, 11},	//1724 QsciMacro::load(const QString&)
    {84, 1176, 0, 0, Smoke::mf_const, 40, 12},	//1725 QsciMacro::save() const
    {84, 1129, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1726 QsciMacro::play()
    {84, 1493, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1727 QsciMacro::startRecording()
    {84, 920, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1728 QsciMacro::endRecording()
    {84, 1518, 12, 1, Smoke::mf_static, 40, 16},	//1729 QsciMacro::tr(const char*)
    {84, 1522, 12, 1, Smoke::mf_static, 40, 17},	//1730 QsciMacro::trUtf8(const char*)
    {84, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 18},	//1731 QsciMacro::staticMetaObject() const
    {84, 1600, 0, 0, Smoke::mf_dtor, 0, 19 },	//1732 QsciMacro::~QsciMacro()
    {85, 543, 112, 1, Smoke::mf_ctor, 91, 1},	//1733 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {85, 985, 114, 4, Smoke::mf_virtual, 0, 2},	//1734 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {85, 1064, 0, 0, Smoke::mf_const, 235, 3},	//1735 QsciPrinter::magnification() const
    {85, 1369, 18, 1, Smoke::mf_virtual, 0, 4},	//1736 QsciPrinter::setMagnification(int)
    {85, 1134, 119, 3, Smoke::mf_virtual, 235, 5},	//1737 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {85, 1550, 0, 0, Smoke::mf_const, 108, 6},	//1738 QsciPrinter::wrapMode() const
    {85, 1481, 123, 1, Smoke::mf_virtual, 0, 7},	//1739 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {85, 543, 0, 0, Smoke::mf_ctor, 91, 8},	//1740 QsciPrinter::QsciPrinter()
    {85, 1134, 125, 1, 0, 235, 9},	//1741 QsciPrinter::printRange(QsciScintillaBase*)
    {85, 1134, 127, 2, 0, 235, 10},	//1742 QsciPrinter::printRange(QsciScintillaBase*, int)
    {85, 1601, 0, 0, Smoke::mf_dtor, 0, 11 },	//1743 QsciPrinter::~QsciPrinter()
    {86, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//1744 QsciScintilla::metaObject() const
    {86, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//1745 QsciScintilla::qt_metacast(const char*)
    {86, 1518, 44, 2, Smoke::mf_static, 40, 3},	//1746 QsciScintilla::tr(const char*, const char*)
    {86, 1522, 44, 2, Smoke::mf_static, 40, 4},	//1747 QsciScintilla::trUtf8(const char*, const char*)
    {86, 1518, 47, 3, Smoke::mf_static, 40, 5},	//1748 QsciScintilla::tr(const char*, const char*, int)
    {86, 1522, 47, 3, Smoke::mf_static, 40, 6},	//1749 QsciScintilla::trUtf8(const char*, const char*, int)
    {86, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//1750 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {86, 545, 130, 1, Smoke::mf_ctor, 92, 8},	//1751 QsciScintilla::QsciScintilla(QWidget*)
    {86, 802, 132, 3, Smoke::mf_virtual, 41, 9},	//1752 QsciScintilla::apiContext(int, int&, int&)
    {86, 794, 136, 3, 0, 0, 10},	//1753 QsciScintilla::annotate(int, const QString&, int)
    {86, 794, 140, 3, 0, 0, 11},	//1754 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {86, 794, 144, 2, 0, 0, 12},	//1755 QsciScintilla::annotate(int, const QsciStyledText&)
    {86, 794, 147, 2, 0, 0, 13},	//1756 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {86, 799, 18, 1, Smoke::mf_const, 40, 14},	//1757 QsciScintilla::annotation(int) const
    {86, 801, 0, 0, Smoke::mf_const, 93, 15},	//1758 QsciScintilla::annotationDisplay() const
    {86, 859, 18, 1, 0, 0, 16},	//1759 QsciScintilla::clearAnnotations(int)
    {86, 815, 0, 0, Smoke::mf_const, 209, 17},	//1760 QsciScintilla::autoCompletionCaseSensitivity() const
    {86, 817, 0, 0, Smoke::mf_const, 209, 18},	//1761 QsciScintilla::autoCompletionFillupsEnabled() const
    {86, 818, 0, 0, Smoke::mf_const, 209, 19},	//1762 QsciScintilla::autoCompletionReplaceWord() const
    {86, 821, 0, 0, Smoke::mf_const, 209, 20},	//1763 QsciScintilla::autoCompletionShowSingle() const
    {86, 822, 0, 0, Smoke::mf_const, 94, 21},	//1764 QsciScintilla::autoCompletionSource() const
    {86, 823, 0, 0, Smoke::mf_const, 235, 22},	//1765 QsciScintilla::autoCompletionThreshold() const
    {86, 824, 0, 0, Smoke::mf_const, 95, 23},	//1766 QsciScintilla::autoCompletionUseSingle() const
    {86, 826, 0, 0, Smoke::mf_const, 209, 24},	//1767 QsciScintilla::autoIndent() const
    {86, 829, 0, 0, Smoke::mf_const, 209, 25},	//1768 QsciScintilla::backspaceUnindents() const
    {86, 830, 0, 0, 0, 0, 26},	//1769 QsciScintilla::beginUndoAction()
    {86, 840, 0, 0, Smoke::mf_const, 96, 27},	//1770 QsciScintilla::braceMatching() const
    {86, 845, 0, 0, Smoke::mf_const, 97, 28},	//1771 QsciScintilla::callTipsPosition() const
    {86, 846, 0, 0, Smoke::mf_const, 98, 29},	//1772 QsciScintilla::callTipsStyle() const
    {86, 847, 0, 0, Smoke::mf_const, 235, 30},	//1773 QsciScintilla::callTipsVisible() const
    {86, 850, 0, 0, 0, 0, 31},	//1774 QsciScintilla::cancelList()
    {86, 852, 0, 0, Smoke::mf_const, 209, 32},	//1775 QsciScintilla::caseSensitive() const
    {86, 861, 0, 0, 0, 0, 33},	//1776 QsciScintilla::clearFolds()
    {86, 862, 150, 5, 0, 0, 34},	//1777 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {86, 867, 0, 0, 0, 0, 35},	//1778 QsciScintilla::clearRegisteredImages()
    {86, 869, 0, 0, Smoke::mf_const, 6, 36},	//1779 QsciScintilla::color() const
    {86, 878, 0, 0, Smoke::mf_const, 20, 37},	//1780 QsciScintilla::contractedFolds() const
    {86, 879, 156, 1, 0, 0, 38},	//1781 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {86, 884, 0, 0, 0, 22, 39},	//1782 QsciScintilla::createStandardContextMenu()
    {86, 904, 0, 0, Smoke::mf_const, 55, 40},	//1783 QsciScintilla::document() const
    {86, 921, 0, 0, 0, 0, 41},	//1784 QsciScintilla::endUndoAction()
    {86, 915, 0, 0, Smoke::mf_const, 6, 42},	//1785 QsciScintilla::edgeColor() const
    {86, 916, 0, 0, Smoke::mf_const, 235, 43},	//1786 QsciScintilla::edgeColumn() const
    {86, 917, 0, 0, Smoke::mf_const, 99, 44},	//1787 QsciScintilla::edgeMode() const
    {86, 1321, 42, 1, 0, 0, 45},	//1788 QsciScintilla::setFont(const QFont&)
    {86, 930, 0, 0, Smoke::mf_const, 100, 46},	//1789 QsciScintilla::eolMode() const
    {86, 931, 0, 0, Smoke::mf_const, 209, 47},	//1790 QsciScintilla::eolVisibility() const
    {86, 936, 0, 0, Smoke::mf_const, 235, 48},	//1791 QsciScintilla::extraAscent() const
    {86, 937, 0, 0, Smoke::mf_const, 235, 49},	//1792 QsciScintilla::extraDescent() const
    {86, 938, 150, 5, 0, 0, 50},	//1793 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {86, 942, 158, 10, Smoke::mf_virtual, 209, 51},	//1794 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool, bool)
    {86, 949, 169, 7, Smoke::mf_virtual, 209, 52},	//1795 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool, bool)
    {86, 954, 0, 0, Smoke::mf_virtual, 209, 53},	//1796 QsciScintilla::findNext()
    {86, 955, 0, 0, Smoke::mf_const, 235, 54},	//1797 QsciScintilla::firstVisibleLine() const
    {86, 979, 0, 0, Smoke::mf_const, 101, 55},	//1798 QsciScintilla::folding() const
    {86, 989, 177, 2, Smoke::mf_const, 0, 56},	//1799 QsciScintilla::getCursorPosition(int*, int*) const
    {86, 991, 180, 4, Smoke::mf_const, 0, 57},	//1800 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {86, 993, 0, 0, Smoke::mf_const, 209, 58},	//1801 QsciScintilla::hasSelectedText() const
    {86, 1003, 18, 1, Smoke::mf_const, 235, 59},	//1802 QsciScintilla::indentation(int) const
    {86, 1006, 0, 0, Smoke::mf_const, 209, 60},	//1803 QsciScintilla::indentationGuides() const
    {86, 1009, 0, 0, Smoke::mf_const, 209, 61},	//1804 QsciScintilla::indentationsUseTabs() const
    {86, 1008, 0, 0, Smoke::mf_const, 235, 62},	//1805 QsciScintilla::indentationWidth() const
    {86, 1012, 185, 2, 0, 235, 63},	//1806 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {86, 1015, 18, 1, Smoke::mf_const, 209, 64},	//1807 QsciScintilla::indicatorDrawUnder(int) const
    {86, 1028, 0, 0, Smoke::mf_const, 209, 65},	//1808 QsciScintilla::isCallTipActive() const
    {86, 1029, 0, 0, Smoke::mf_const, 209, 66},	//1809 QsciScintilla::isListActive() const
    {86, 1030, 0, 0, Smoke::mf_const, 209, 67},	//1810 QsciScintilla::isModified() const
    {86, 1033, 0, 0, Smoke::mf_const, 209, 68},	//1811 QsciScintilla::isReadOnly() const
    {86, 1034, 0, 0, Smoke::mf_const, 209, 69},	//1812 QsciScintilla::isRedoAvailable() const
    {86, 1035, 0, 0, Smoke::mf_const, 209, 70},	//1813 QsciScintilla::isUndoAvailable() const
    {86, 1036, 0, 0, Smoke::mf_const, 209, 71},	//1814 QsciScintilla::isUtf8() const
    {86, 1037, 188, 1, Smoke::mf_const, 209, 72},	//1815 QsciScintilla::isWordCharacter(char) const
    {86, 1052, 190, 1, Smoke::mf_const, 235, 73},	//1816 QsciScintilla::lineAt(const QPoint&) const
    {86, 1054, 192, 3, Smoke::mf_const, 0, 74},	//1817 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {86, 1056, 18, 1, Smoke::mf_const, 235, 75},	//1818 QsciScintilla::lineLength(int) const
    {86, 1058, 0, 0, Smoke::mf_const, 235, 76},	//1819 QsciScintilla::lines() const
    {86, 1048, 0, 0, Smoke::mf_const, 235, 77},	//1820 QsciScintilla::length() const
    {86, 1050, 0, 0, Smoke::mf_const, 58, 78},	//1821 QsciScintilla::lexer() const
    {86, 1068, 18, 1, Smoke::mf_const, 209, 79},	//1822 QsciScintilla::marginLineNumbers(int) const
    {86, 1070, 18, 1, Smoke::mf_const, 235, 80},	//1823 QsciScintilla::marginMarkerMask(int) const
    {86, 1072, 0, 0, Smoke::mf_const, 235, 81},	//1824 QsciScintilla::marginOptions() const
    {86, 1073, 18, 1, Smoke::mf_const, 209, 82},	//1825 QsciScintilla::marginSensitivity(int) const
    {86, 1075, 18, 1, Smoke::mf_const, 104, 83},	//1826 QsciScintilla::marginType(int) const
    {86, 1077, 18, 1, Smoke::mf_const, 235, 84},	//1827 QsciScintilla::marginWidth(int) const
    {86, 1081, 196, 2, 0, 235, 85},	//1828 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {86, 1081, 199, 2, 0, 235, 86},	//1829 QsciScintilla::markerDefine(char, int)
    {86, 1081, 202, 2, 0, 235, 87},	//1830 QsciScintilla::markerDefine(const QPixmap&, int)
    {86, 1081, 205, 2, 0, 235, 88},	//1831 QsciScintilla::markerDefine(const QImage&, int)
    {86, 1079, 101, 2, 0, 235, 89},	//1832 QsciScintilla::markerAdd(int, int)
    {86, 1099, 18, 1, Smoke::mf_const, 239, 90},	//1833 QsciScintilla::markersAtLine(int) const
    {86, 1086, 101, 2, 0, 0, 91},	//1834 QsciScintilla::markerDelete(int, int)
    {86, 1089, 18, 1, 0, 0, 92},	//1835 QsciScintilla::markerDeleteAll(int)
    {86, 1091, 18, 1, 0, 0, 93},	//1836 QsciScintilla::markerDeleteHandle(int)
    {86, 1097, 18, 1, Smoke::mf_const, 235, 94},	//1837 QsciScintilla::markerLine(int) const
    {86, 1093, 208, 2, Smoke::mf_const, 235, 95},	//1838 QsciScintilla::markerFindNext(int, unsigned int) const
    {86, 1095, 208, 2, Smoke::mf_const, 235, 96},	//1839 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {86, 1119, 0, 0, Smoke::mf_const, 209, 97},	//1840 QsciScintilla::overwriteMode() const
    {86, 1124, 0, 0, Smoke::mf_const, 6, 98},	//1841 QsciScintilla::paper() const
    {86, 1131, 101, 2, Smoke::mf_const, 235, 99},	//1842 QsciScintilla::positionFromLineIndex(int, int) const
    {86, 1147, 211, 1, 0, 209, 100},	//1843 QsciScintilla::read(QIODevice*)
    {86, 1154, 101, 2, Smoke::mf_virtual, 0, 101},	//1844 QsciScintilla::recolor(int, int)
    {86, 1160, 213, 2, 0, 0, 102},	//1845 QsciScintilla::registerImage(int, const QPixmap&)
    {86, 1160, 216, 2, 0, 0, 103},	//1846 QsciScintilla::registerImage(int, const QImage&)
    {86, 1165, 57, 1, Smoke::mf_virtual, 0, 104},	//1847 QsciScintilla::replace(const QString&)
    {86, 1169, 0, 0, 0, 0, 105},	//1848 QsciScintilla::resetFoldMarginColors()
    {86, 1302, 219, 2, 0, 0, 106},	//1849 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {86, 1192, 222, 1, 0, 0, 107},	//1850 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {86, 1198, 16, 1, 0, 0, 108},	//1851 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {86, 1196, 12, 1, 0, 0, 109},	//1852 QsciScintilla::setAutoCompletionFillups(const char*)
    {86, 1210, 224, 1, 0, 0, 110},	//1853 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {86, 1222, 82, 1, 0, 0, 111},	//1854 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {86, 1224, 82, 1, 0, 0, 112},	//1855 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {86, 1226, 82, 1, 0, 0, 113},	//1856 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {86, 1228, 226, 1, 0, 0, 114},	//1857 QsciScintilla::setCallTipsPosition(QsciScintilla::CallTipsPosition)
    {86, 1230, 228, 1, 0, 0, 115},	//1858 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {86, 1232, 18, 1, 0, 0, 116},	//1859 QsciScintilla::setCallTipsVisible(int)
    {86, 1249, 230, 1, 0, 0, 117},	//1860 QsciScintilla::setContractedFolds(const QList<int>&)
    {86, 1263, 74, 1, 0, 0, 118},	//1861 QsciScintilla::setDocument(const QsciDocument&)
    {86, 1269, 82, 1, 0, 0, 119},	//1862 QsciScintilla::setEdgeColor(const QColor&)
    {86, 1271, 18, 1, 0, 0, 120},	//1863 QsciScintilla::setEdgeColumn(int)
    {86, 1273, 232, 1, 0, 0, 121},	//1864 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {86, 1288, 18, 1, 0, 0, 122},	//1865 QsciScintilla::setFirstVisibleLine(int)
    {86, 1350, 89, 2, 0, 0, 123},	//1866 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {86, 1353, 86, 2, 0, 0, 124},	//1867 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {86, 1356, 86, 2, 0, 0, 125},	//1868 QsciScintilla::setIndicatorOutlineColor(const QColor&, int)
    {86, 1377, 18, 1, 0, 0, 126},	//1869 QsciScintilla::setMarginOptions(int)
    {86, 1381, 136, 3, 0, 0, 127},	//1870 QsciScintilla::setMarginText(int, const QString&, int)
    {86, 1381, 140, 3, 0, 0, 128},	//1871 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {86, 1381, 144, 2, 0, 0, 129},	//1872 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {86, 1381, 147, 2, 0, 0, 130},	//1873 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {86, 1386, 234, 2, 0, 0, 131},	//1874 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {86, 865, 18, 1, 0, 0, 132},	//1875 QsciScintilla::clearMarginText(int)
    {86, 1396, 86, 2, 0, 0, 133},	//1876 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {86, 1399, 86, 2, 0, 0, 134},	//1877 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {86, 1402, 82, 1, 0, 0, 135},	//1878 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {86, 1404, 82, 1, 0, 0, 136},	//1879 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {86, 1406, 18, 1, 0, 0, 137},	//1880 QsciScintilla::setMatchedBraceIndicator(int)
    {86, 1170, 0, 0, 0, 0, 138},	//1881 QsciScintilla::resetMatchedBraceIndicator()
    {86, 1455, 82, 1, 0, 0, 139},	//1882 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {86, 1457, 82, 1, 0, 0, 140},	//1883 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {86, 1459, 18, 1, 0, 0, 141},	//1884 QsciScintilla::setUnmatchedBraceIndicator(int)
    {86, 1173, 0, 0, 0, 0, 142},	//1885 QsciScintilla::resetUnmatchedBraceIndicator()
    {86, 1483, 237, 3, 0, 0, 143},	//1886 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {86, 1185, 0, 0, Smoke::mf_const, 40, 144},	//1887 QsciScintilla::selectedText() const
    {86, 1187, 0, 0, Smoke::mf_const, 209, 145},	//1888 QsciScintilla::selectionToEol() const
    {86, 1434, 16, 1, 0, 0, 146},	//1889 QsciScintilla::setSelectionToEol(bool)
    {86, 1284, 18, 1, 0, 0, 147},	//1890 QsciScintilla::setExtraAscent(int)
    {86, 1286, 18, 1, 0, 0, 148},	//1891 QsciScintilla::setExtraDescent(int)
    {86, 1410, 16, 1, 0, 0, 149},	//1892 QsciScintilla::setOverwriteMode(bool)
    {86, 1471, 82, 1, 0, 0, 150},	//1893 QsciScintilla::setWhitespaceBackgroundColor(const QColor&)
    {86, 1473, 82, 1, 0, 0, 151},	//1894 QsciScintilla::setWhitespaceForegroundColor(const QColor&)
    {86, 1475, 18, 1, 0, 0, 152},	//1895 QsciScintilla::setWhitespaceSize(int)
    {86, 1479, 241, 1, 0, 0, 153},	//1896 QsciScintilla::setWrapIndentMode(QsciScintilla::WrapIndentMode)
    {86, 1488, 243, 2, 0, 0, 154},	//1897 QsciScintilla::showUserList(int, const QStringList&)
    {86, 1492, 0, 0, Smoke::mf_const, 54, 155},	//1898 QsciScintilla::standardCommands() const
    {86, 1505, 0, 0, Smoke::mf_const, 209, 156},	//1899 QsciScintilla::tabIndents() const
    {86, 1506, 0, 0, Smoke::mf_const, 235, 157},	//1900 QsciScintilla::tabWidth() const
    {86, 1508, 0, 0, Smoke::mf_const, 40, 158},	//1901 QsciScintilla::text() const
    {86, 1508, 18, 1, Smoke::mf_const, 40, 159},	//1902 QsciScintilla::text(int) const
    {86, 1512, 18, 1, Smoke::mf_const, 235, 160},	//1903 QsciScintilla::textHeight(int) const
    {86, 1541, 0, 0, Smoke::mf_const, 235, 161},	//1904 QsciScintilla::whitespaceSize() const
    {86, 1542, 0, 0, Smoke::mf_const, 106, 162},	//1905 QsciScintilla::whitespaceVisibility() const
    {86, 1544, 101, 2, Smoke::mf_const, 40, 163},	//1906 QsciScintilla::wordAtLineIndex(int, int) const
    {86, 1546, 190, 1, Smoke::mf_const, 40, 164},	//1907 QsciScintilla::wordAtPoint(const QPoint&) const
    {86, 1548, 0, 0, Smoke::mf_const, 233, 165},	//1908 QsciScintilla::wordCharacters() const
    {86, 1550, 0, 0, Smoke::mf_const, 108, 166},	//1909 QsciScintilla::wrapMode() const
    {86, 1549, 0, 0, Smoke::mf_const, 107, 167},	//1910 QsciScintilla::wrapIndentMode() const
    {86, 1551, 211, 1, Smoke::mf_const, 209, 168},	//1911 QsciScintilla::write(QIODevice*) const
    {86, 808, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1912 QsciScintilla::append(const QString&)
    {86, 813, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1913 QsciScintilla::autoCompleteFromAll()
    {86, 812, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1914 QsciScintilla::autoCompleteFromAPIs()
    {86, 814, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1915 QsciScintilla::autoCompleteFromDocument()
    {86, 842, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1916 QsciScintilla::callTip()
    {86, 857, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1917 QsciScintilla::clear()
    {86, 881, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1918 QsciScintilla::copy()
    {86, 888, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1919 QsciScintilla::cut()
    {86, 922, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1920 QsciScintilla::ensureCursorVisible()
    {86, 923, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1921 QsciScintilla::ensureLineVisible(int)
    {86, 962, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1922 QsciScintilla::foldAll(bool)
    {86, 970, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1923 QsciScintilla::foldLine(int)
    {86, 1001, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1924 QsciScintilla::indent(int)
    {86, 1023, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1925 QsciScintilla::insert(const QString&)
    {86, 1025, 246, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1926 QsciScintilla::insertAt(const QString&, int, int)
    {86, 1116, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1927 QsciScintilla::moveToMatchingBrace()
    {86, 1128, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1928 QsciScintilla::paste()
    {86, 1157, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1929 QsciScintilla::redo()
    {86, 1164, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1930 QsciScintilla::removeSelectedText()
    {86, 1167, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1931 QsciScintilla::replaceSelectedText(const QString&)
    {86, 1171, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1932 QsciScintilla::resetSelectionBackgroundColor()
    {86, 1172, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1933 QsciScintilla::resetSelectionForegroundColor()
    {86, 1182, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1934 QsciScintilla::selectAll(bool)
    {86, 1184, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1935 QsciScintilla::selectToMatchingBrace()
    {86, 1194, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1936 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {86, 1200, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1937 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {86, 1202, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1938 QsciScintilla::setAutoCompletionShowSingle(bool)
    {86, 1204, 250, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1939 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {86, 1206, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1940 QsciScintilla::setAutoCompletionThreshold(int)
    {86, 1208, 252, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1941 QsciScintilla::setAutoCompletionUseSingle(QsciScintilla::AutoCompletionUseSingle)
    {86, 1212, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1942 QsciScintilla::setAutoIndent(bool)
    {86, 1220, 254, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1943 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {86, 1218, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1944 QsciScintilla::setBackspaceUnindents(bool)
    {86, 1234, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1945 QsciScintilla::setCaretForegroundColor(const QColor&)
    {86, 1236, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1946 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {86, 1238, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1947 QsciScintilla::setCaretLineVisible(bool)
    {86, 1240, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1948 QsciScintilla::setCaretWidth(int)
    {86, 1246, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1949 QsciScintilla::setColor(const QColor&)
    {86, 1251, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1950 QsciScintilla::setCursorPosition(int, int)
    {86, 1280, 156, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1951 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {86, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1952 QsciScintilla::setEolVisibility(bool)
    {86, 1318, 256, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1953 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {86, 1336, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1954 QsciScintilla::setIndentation(int, int)
    {86, 1338, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1955 QsciScintilla::setIndentationGuides(bool)
    {86, 1340, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 213},	//1956 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {86, 1342, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 214},	//1957 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {86, 1348, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 215},	//1958 QsciScintilla::setIndentationsUseTabs(bool)
    {86, 1346, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 216},	//1959 QsciScintilla::setIndentationWidth(int)
    {86, 1367, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 217},	//1960 QsciScintilla::setLexer(QsciLexer*)
    {86, 1390, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 218},	//1961 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {86, 1392, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 219},	//1962 QsciScintilla::setMarginsFont(const QFont&)
    {86, 1394, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 220},	//1963 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {86, 1373, 259, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 221},	//1964 QsciScintilla::setMarginLineNumbers(int, bool)
    {86, 1375, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 222},	//1965 QsciScintilla::setMarginMarkerMask(int, int)
    {86, 1379, 259, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 223},	//1966 QsciScintilla::setMarginSensitivity(int, bool)
    {86, 1388, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 224},	//1967 QsciScintilla::setMarginWidth(int, int)
    {86, 1388, 262, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 225},	//1968 QsciScintilla::setMarginWidth(int, const QString&)
    {86, 1408, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 226},	//1969 QsciScintilla::setModified(bool)
    {86, 1412, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 227},	//1970 QsciScintilla::setPaper(const QColor&)
    {86, 1421, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 228},	//1971 QsciScintilla::setReadOnly(bool)
    {86, 1428, 265, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 229},	//1972 QsciScintilla::setSelection(int, int, int, int)
    {86, 1430, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 230},	//1973 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {86, 1432, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 231},	//1974 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {86, 1445, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 232},	//1975 QsciScintilla::setTabIndents(bool)
    {86, 1447, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 233},	//1976 QsciScintilla::setTabWidth(int)
    {86, 1449, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 234},	//1977 QsciScintilla::setText(const QString&)
    {86, 1461, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 235},	//1978 QsciScintilla::setUtf8(bool)
    {86, 1477, 270, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 236},	//1979 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {86, 1481, 123, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 237},	//1980 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {86, 1526, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 238},	//1981 QsciScintilla::undo()
    {86, 1527, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 239},	//1982 QsciScintilla::unindent(int)
    {86, 1559, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 240},	//1983 QsciScintilla::zoomIn(int)
    {86, 1559, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 241},	//1984 QsciScintilla::zoomIn()
    {86, 1561, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 242},	//1985 QsciScintilla::zoomOut(int)
    {86, 1561, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 243},	//1986 QsciScintilla::zoomOut()
    {86, 1563, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 244},	//1987 QsciScintilla::zoomTo(int)
    {86, 885, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 245},	//1988 QsciScintilla::cursorPositionChanged(int, int)
    {86, 882, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 246},	//1989 QsciScintilla::copyAvailable(bool)
    {86, 1010, 272, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 247},	//1990 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {86, 1017, 272, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 248},	//1991 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {86, 1059, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 249},	//1992 QsciScintilla::linesChanged()
    {86, 1066, 272, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 250},	//1993 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {86, 1104, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 251},	//1994 QsciScintilla::modificationAttempted()
    {86, 1105, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 252},	//1995 QsciScintilla::modificationChanged(bool)
    {86, 1186, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 253},	//1996 QsciScintilla::selectionChanged()
    {86, 1511, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 254},	//1997 QsciScintilla::textChanged()
    {86, 1531, 262, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 255},	//1998 QsciScintilla::userListActivated(int, const QString&)
    {86, 932, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 209, 256},	//1999 QsciScintilla::event(QEvent*)
    {86, 876, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 257},	//2000 QsciScintilla::contextMenuEvent(QContextMenuEvent*)
    {86, 1518, 12, 1, Smoke::mf_static, 40, 258},	//2001 QsciScintilla::tr(const char*)
    {86, 1522, 12, 1, Smoke::mf_static, 40, 259},	//2002 QsciScintilla::trUtf8(const char*)
    {86, 545, 0, 0, Smoke::mf_ctor, 92, 260},	//2003 QsciScintilla::QsciScintilla()
    {86, 859, 0, 0, 0, 0, 261},	//2004 QsciScintilla::clearAnnotations()
    {86, 942, 278, 5, 0, 209, 262},	//2005 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {86, 942, 284, 6, 0, 209, 263},	//2006 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {86, 942, 291, 7, 0, 209, 264},	//2007 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {86, 942, 299, 8, 0, 209, 265},	//2008 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {86, 942, 308, 9, 0, 209, 266},	//2009 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {86, 949, 318, 4, 0, 209, 267},	//2010 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool)
    {86, 949, 278, 5, 0, 209, 268},	//2011 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool)
    {86, 949, 284, 6, 0, 209, 269},	//2012 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool)
    {86, 1012, 323, 1, 0, 235, 270},	//2013 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {86, 1081, 325, 1, 0, 235, 271},	//2014 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {86, 1081, 188, 1, 0, 235, 272},	//2015 QsciScintilla::markerDefine(char)
    {86, 1081, 327, 1, 0, 235, 273},	//2016 QsciScintilla::markerDefine(const QPixmap&)
    {86, 1081, 329, 1, 0, 235, 274},	//2017 QsciScintilla::markerDefine(const QImage&)
    {86, 1086, 18, 1, 0, 0, 275},	//2018 QsciScintilla::markerDelete(int)
    {86, 1089, 0, 0, 0, 0, 276},	//2019 QsciScintilla::markerDeleteAll()
    {86, 1154, 0, 0, 0, 0, 277},	//2020 QsciScintilla::recolor()
    {86, 1154, 18, 1, 0, 0, 278},	//2021 QsciScintilla::recolor(int)
    {86, 1350, 16, 1, 0, 0, 279},	//2022 QsciScintilla::setIndicatorDrawUnder(bool)
    {86, 1353, 82, 1, 0, 0, 280},	//2023 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {86, 1356, 82, 1, 0, 0, 281},	//2024 QsciScintilla::setIndicatorOutlineColor(const QColor&)
    {86, 865, 0, 0, 0, 0, 282},	//2025 QsciScintilla::clearMarginText()
    {86, 1396, 82, 1, 0, 0, 283},	//2026 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {86, 1399, 82, 1, 0, 0, 284},	//2027 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {86, 1483, 331, 1, 0, 0, 285},	//2028 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {86, 1483, 333, 2, 0, 0, 286},	//2029 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {86, 962, 0, 0, Smoke::mf_slot, 0, 287},	//2030 QsciScintilla::foldAll()
    {86, 1182, 0, 0, Smoke::mf_slot, 0, 288},	//2031 QsciScintilla::selectAll()
    {86, 1318, 336, 1, Smoke::mf_slot, 0, 289},	//2032 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {86, 1367, 0, 0, Smoke::mf_slot, 0, 290},	//2033 QsciScintilla::setLexer()
    {86, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 291},	//2034 QsciScintilla::staticMetaObject() const
    {86, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 292},	//2035 QsciScintilla::MoNone (enum)
    {86, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 293},	//2036 QsciScintilla::MoSublineSelect (enum)
    {86, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 294},	//2037 QsciScintilla::AnnotationHidden (enum)
    {86, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 295},	//2038 QsciScintilla::AnnotationStandard (enum)
    {86, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 296},	//2039 QsciScintilla::AnnotationBoxed (enum)
    {86, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 297},	//2040 QsciScintilla::AcusNever (enum)
    {86, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 298},	//2041 QsciScintilla::AcusExplicit (enum)
    {86, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 299},	//2042 QsciScintilla::AcusAlways (enum)
    {86, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 300},	//2043 QsciScintilla::AcsNone (enum)
    {86, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 301},	//2044 QsciScintilla::AcsAll (enum)
    {86, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 302},	//2045 QsciScintilla::AcsDocument (enum)
    {86, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 303},	//2046 QsciScintilla::AcsAPIs (enum)
    {86, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 304},	//2047 QsciScintilla::NoBraceMatch (enum)
    {86, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 305},	//2048 QsciScintilla::StrictBraceMatch (enum)
    {86, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 306},	//2049 QsciScintilla::SloppyBraceMatch (enum)
    {86, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 307},	//2050 QsciScintilla::CallTipsBelowText (enum)
    {86, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 308},	//2051 QsciScintilla::CallTipsAboveText (enum)
    {86, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 309},	//2052 QsciScintilla::CallTipsNone (enum)
    {86, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 310},	//2053 QsciScintilla::CallTipsNoContext (enum)
    {86, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 311},	//2054 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {86, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 312},	//2055 QsciScintilla::CallTipsContext (enum)
    {86, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 313},	//2056 QsciScintilla::EdgeNone (enum)
    {86, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 314},	//2057 QsciScintilla::EdgeLine (enum)
    {86, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 315},	//2058 QsciScintilla::EdgeBackground (enum)
    {86, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 316},	//2059 QsciScintilla::EolWindows (enum)
    {86, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 317},	//2060 QsciScintilla::EolUnix (enum)
    {86, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 318},	//2061 QsciScintilla::EolMac (enum)
    {86, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 319},	//2062 QsciScintilla::NoFoldStyle (enum)
    {86, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 320},	//2063 QsciScintilla::PlainFoldStyle (enum)
    {86, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 321},	//2064 QsciScintilla::CircledFoldStyle (enum)
    {86, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 322},	//2065 QsciScintilla::BoxedFoldStyle (enum)
    {86, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 323},	//2066 QsciScintilla::CircledTreeFoldStyle (enum)
    {86, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 324},	//2067 QsciScintilla::BoxedTreeFoldStyle (enum)
    {86, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 325},	//2068 QsciScintilla::PlainIndicator (enum)
    {86, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 326},	//2069 QsciScintilla::SquiggleIndicator (enum)
    {86, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 327},	//2070 QsciScintilla::TTIndicator (enum)
    {86, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 328},	//2071 QsciScintilla::DiagonalIndicator (enum)
    {86, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 329},	//2072 QsciScintilla::StrikeIndicator (enum)
    {86, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 330},	//2073 QsciScintilla::HiddenIndicator (enum)
    {86, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 331},	//2074 QsciScintilla::BoxIndicator (enum)
    {86, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 332},	//2075 QsciScintilla::RoundBoxIndicator (enum)
    {86, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 333},	//2076 QsciScintilla::StraightBoxIndicator (enum)
    {86, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 334},	//2077 QsciScintilla::DashesIndicator (enum)
    {86, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 335},	//2078 QsciScintilla::DotsIndicator (enum)
    {86, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 336},	//2079 QsciScintilla::SquiggleLowIndicator (enum)
    {86, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 337},	//2080 QsciScintilla::DotBoxIndicator (enum)
    {86, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 338},	//2081 QsciScintilla::SquigglePixmapIndicator (enum)
    {86, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 339},	//2082 QsciScintilla::MoNone (enum)
    {86, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 340},	//2083 QsciScintilla::MoSublineSelect (enum)
    {86, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 341},	//2084 QsciScintilla::SymbolMargin (enum)
    {86, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 342},	//2085 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {86, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 343},	//2086 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {86, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 344},	//2087 QsciScintilla::NumberMargin (enum)
    {86, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 345},	//2088 QsciScintilla::TextMargin (enum)
    {86, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 346},	//2089 QsciScintilla::TextMarginRightJustified (enum)
    {86, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 347},	//2090 QsciScintilla::Circle (enum)
    {86, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 348},	//2091 QsciScintilla::Rectangle (enum)
    {86, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 349},	//2092 QsciScintilla::RightTriangle (enum)
    {86, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 350},	//2093 QsciScintilla::SmallRectangle (enum)
    {86, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 351},	//2094 QsciScintilla::RightArrow (enum)
    {86, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 352},	//2095 QsciScintilla::Invisible (enum)
    {86, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 353},	//2096 QsciScintilla::DownTriangle (enum)
    {86, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 354},	//2097 QsciScintilla::Minus (enum)
    {86, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 355},	//2098 QsciScintilla::Plus (enum)
    {86, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 356},	//2099 QsciScintilla::VerticalLine (enum)
    {86, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 357},	//2100 QsciScintilla::BottomLeftCorner (enum)
    {86, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 358},	//2101 QsciScintilla::LeftSideSplitter (enum)
    {86, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 359},	//2102 QsciScintilla::BoxedPlus (enum)
    {86, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 360},	//2103 QsciScintilla::BoxedPlusConnected (enum)
    {86, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 361},	//2104 QsciScintilla::BoxedMinus (enum)
    {86, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 362},	//2105 QsciScintilla::BoxedMinusConnected (enum)
    {86, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 363},	//2106 QsciScintilla::RoundedBottomLeftCorner (enum)
    {86, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 364},	//2107 QsciScintilla::LeftSideRoundedSplitter (enum)
    {86, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 365},	//2108 QsciScintilla::CircledPlus (enum)
    {86, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 366},	//2109 QsciScintilla::CircledPlusConnected (enum)
    {86, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 367},	//2110 QsciScintilla::CircledMinus (enum)
    {86, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 368},	//2111 QsciScintilla::CircledMinusConnected (enum)
    {86, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 369},	//2112 QsciScintilla::Background (enum)
    {86, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 370},	//2113 QsciScintilla::ThreeDots (enum)
    {86, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 371},	//2114 QsciScintilla::ThreeRightArrows (enum)
    {86, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 372},	//2115 QsciScintilla::FullRectangle (enum)
    {86, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 373},	//2116 QsciScintilla::LeftRectangle (enum)
    {86, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 374},	//2117 QsciScintilla::Underline (enum)
    {86, 782, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 375},	//2118 QsciScintilla::WsInvisible (enum)
    {86, 783, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 376},	//2119 QsciScintilla::WsVisible (enum)
    {86, 784, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 377},	//2120 QsciScintilla::WsVisibleAfterIndent (enum)
    {86, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 378},	//2121 QsciScintilla::WrapNone (enum)
    {86, 781, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 379},	//2122 QsciScintilla::WrapWord (enum)
    {86, 772, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 380},	//2123 QsciScintilla::WrapCharacter (enum)
    {86, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 381},	//2124 QsciScintilla::WrapFlagNone (enum)
    {86, 774, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 382},	//2125 QsciScintilla::WrapFlagByText (enum)
    {86, 773, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 383},	//2126 QsciScintilla::WrapFlagByBorder (enum)
    {86, 775, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 384},	//2127 QsciScintilla::WrapFlagInMargin (enum)
    {86, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 385},	//2128 QsciScintilla::WrapIndentFixed (enum)
    {86, 779, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 386},	//2129 QsciScintilla::WrapIndentSame (enum)
    {86, 778, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 387},	//2130 QsciScintilla::WrapIndentIndented (enum)
    {86, 1602, 0, 0, Smoke::mf_dtor, 0, 388 },	//2131 QsciScintilla::~QsciScintilla()
    {87, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//2132 QsciScintillaBase::metaObject() const
    {87, 1144, 12, 1, Smoke::mf_virtual, 241, 2},	//2133 QsciScintillaBase::qt_metacast(const char*)
    {87, 1518, 44, 2, Smoke::mf_static, 40, 3},	//2134 QsciScintillaBase::tr(const char*, const char*)
    {87, 1522, 44, 2, Smoke::mf_static, 40, 4},	//2135 QsciScintillaBase::trUtf8(const char*, const char*)
    {87, 1518, 47, 3, Smoke::mf_static, 40, 5},	//2136 QsciScintillaBase::tr(const char*, const char*, int)
    {87, 1522, 47, 3, Smoke::mf_static, 40, 6},	//2137 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {87, 1142, 51, 3, Smoke::mf_virtual, 235, 7},	//2138 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {87, 547, 130, 1, Smoke::mf_ctor, 110, 8},	//2139 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {87, 1130, 0, 0, Smoke::mf_static, 110, 9},	//2140 QsciScintillaBase::pool()
    {87, 655, 338, 3, Smoke::mf_const, 238, 10},	//2141 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {87, 655, 342, 3, Smoke::mf_const, 238, 11},	//2142 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {87, 655, 346, 3, Smoke::mf_const, 238, 12},	//2143 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {87, 655, 350, 2, Smoke::mf_const, 238, 13},	//2144 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {87, 655, 353, 3, Smoke::mf_const, 238, 14},	//2145 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {87, 655, 357, 2, Smoke::mf_const, 238, 15},	//2146 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {87, 655, 360, 2, Smoke::mf_const, 238, 16},	//2147 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {87, 655, 363, 4, Smoke::mf_const, 238, 17},	//2148 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {87, 655, 368, 3, Smoke::mf_const, 238, 18},	//2149 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {87, 655, 372, 2, Smoke::mf_const, 238, 19},	//2150 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {87, 655, 375, 6, Smoke::mf_const, 238, 20},	//2151 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {87, 655, 382, 3, Smoke::mf_const, 238, 21},	//2152 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {87, 655, 386, 3, Smoke::mf_const, 238, 22},	//2153 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    {87, 663, 390, 1, Smoke::mf_const, 241, 23},	//2154 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {87, 464, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2155 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {87, 586, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2156 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {87, 587, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2157 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {87, 588, 392, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2158 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {87, 585, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2159 QsciScintillaBase::SCEN_CHANGE()
    {87, 590, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2160 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {87, 592, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2161 QsciScintillaBase::SCN_CHARADDED(int)
    {87, 594, 395, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2162 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {87, 596, 395, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2163 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {87, 598, 395, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//2164 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {87, 600, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2165 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {87, 602, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2166 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {87, 604, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2167 QsciScintillaBase::SCN_HOTSPOTRELEASECLICK(int, int)
    {87, 606, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//2168 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {87, 608, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//2169 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {87, 610, 342, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2170 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {87, 612, 395, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2171 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {87, 614, 399, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2172 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {87, 616, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2173 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {87, 617, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2174 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {87, 619, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2175 QsciScintillaBase::SCN_PAINTED()
    {87, 620, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2176 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {87, 621, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2177 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {87, 622, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2178 QsciScintillaBase::SCN_STYLENEEDED(int)
    {87, 624, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2179 QsciScintillaBase::SCN_UPDATEUI(int)
    {87, 626, 392, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2180 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {87, 628, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2181 QsciScintillaBase::SCN_ZOOM()
    {87, 848, 410, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 209, 51},	//2182 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {87, 987, 412, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 3, 52},	//2183 QsciScintillaBase::fromMimeData(const QMimeData*, bool&) const
    {87, 1515, 415, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 24, 53},	//2184 QsciScintillaBase::toMimeData(const QByteArray&, bool) const
    {87, 876, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//2185 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {87, 907, 418, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//2186 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {87, 909, 420, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//2187 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {87, 911, 422, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//2188 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {87, 913, 424, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//2189 QsciScintillaBase::dropEvent(QDropEvent*)
    {87, 956, 426, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//2190 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {87, 960, 426, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//2191 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {87, 958, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 209, 61},	//2192 QsciScintillaBase::focusNextPrevChild(bool)
    {87, 1040, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2193 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {87, 1020, 428, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2194 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {87, 1107, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2195 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {87, 1109, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//2196 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {87, 1111, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//2197 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {87, 1113, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//2198 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {87, 1121, 432, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2199 QsciScintillaBase::paintEvent(QPaintEvent*)
    {87, 1174, 434, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2200 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {87, 1180, 101, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//2201 QsciScintillaBase::scrollContentsBy(int, int)
    {87, 1427, 0, 0, Smoke::mf_protected, 0, 71},	//2202 QsciScintillaBase::setScrollBars()
    {87, 1518, 12, 1, Smoke::mf_static, 40, 72},	//2203 QsciScintillaBase::tr(const char*)
    {87, 1522, 12, 1, Smoke::mf_static, 40, 73},	//2204 QsciScintillaBase::trUtf8(const char*)
    {87, 547, 0, 0, Smoke::mf_ctor, 110, 74},	//2205 QsciScintillaBase::QsciScintillaBase()
    {87, 655, 390, 1, Smoke::mf_const, 238, 75},	//2206 QsciScintillaBase::SendScintilla(unsigned int) const
    {87, 655, 436, 2, Smoke::mf_const, 238, 76},	//2207 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {87, 1497, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 77},	//2208 QsciScintillaBase::staticMetaObject() const
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 78},	//2209 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 79},	//2210 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 80},	//2211 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 81},	//2212 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 82},	//2213 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 83},	//2214 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 84},	//2215 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 85},	//2216 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 86},	//2217 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 87},	//2218 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 88},	//2219 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 89},	//2220 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 90},	//2221 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 91},	//2222 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 92},	//2223 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 93},	//2224 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 94},	//2225 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 95},	//2226 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 96},	//2227 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 97},	//2228 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 98},	//2229 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 99},	//2230 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 100},	//2231 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 101},	//2232 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 102},	//2233 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 103},	//2234 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 104},	//2235 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 105},	//2236 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 106},	//2237 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 107},	//2238 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 108},	//2239 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 109},	//2240 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 110},	//2241 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 111},	//2242 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 112},	//2243 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 113},	//2244 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 114},	//2245 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 115},	//2246 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 116},	//2247 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 117},	//2248 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 118},	//2249 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 119},	//2250 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 120},	//2251 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 121},	//2252 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 122},	//2253 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 123},	//2254 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 1603, 0, 0, Smoke::mf_dtor, 0, 124 },	//2255 QsciScintillaBase::~QsciScintillaBase()
    {88, 549, 18, 1, Smoke::mf_ctor, 111, 1},	//2256 QsciStyle::QsciStyle(int)
    {88, 549, 439, 6, Smoke::mf_ctor, 111, 2},	//2257 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {88, 810, 125, 1, Smoke::mf_const, 0, 3},	//2258 QsciStyle::apply(QsciScintillaBase*) const
    {88, 1499, 0, 0, Smoke::mf_const, 235, 4},	//2259 QsciStyle::style() const
    {88, 1259, 57, 1, 0, 0, 5},	//2260 QsciStyle::setDescription(const QString&)
    {88, 899, 0, 0, Smoke::mf_const, 40, 6},	//2261 QsciStyle::description() const
    {88, 1246, 82, 1, 0, 0, 7},	//2262 QsciStyle::setColor(const QColor&)
    {88, 869, 0, 0, Smoke::mf_const, 6, 8},	//2263 QsciStyle::color() const
    {88, 1412, 82, 1, 0, 0, 9},	//2264 QsciStyle::setPaper(const QColor&)
    {88, 1124, 0, 0, Smoke::mf_const, 6, 10},	//2265 QsciStyle::paper() const
    {88, 1321, 42, 1, 0, 0, 11},	//2266 QsciStyle::setFont(const QFont&)
    {88, 980, 0, 0, Smoke::mf_const, 14, 12},	//2267 QsciStyle::font() const
    {88, 1277, 16, 1, 0, 0, 13},	//2268 QsciStyle::setEolFill(bool)
    {88, 926, 0, 0, Smoke::mf_const, 209, 14},	//2269 QsciStyle::eolFill() const
    {88, 1451, 446, 1, 0, 0, 15},	//2270 QsciStyle::setTextCase(QsciStyle::TextCase)
    {88, 1510, 0, 0, Smoke::mf_const, 112, 16},	//2271 QsciStyle::textCase() const
    {88, 1469, 16, 1, 0, 0, 17},	//2272 QsciStyle::setVisible(bool)
    {88, 1539, 0, 0, Smoke::mf_const, 209, 18},	//2273 QsciStyle::visible() const
    {88, 1244, 16, 1, 0, 0, 19},	//2274 QsciStyle::setChangeable(bool)
    {88, 855, 0, 0, Smoke::mf_const, 209, 20},	//2275 QsciStyle::changeable() const
    {88, 1334, 16, 1, 0, 0, 21},	//2276 QsciStyle::setHotspot(bool)
    {88, 1000, 0, 0, Smoke::mf_const, 209, 22},	//2277 QsciStyle::hotspot() const
    {88, 1158, 0, 0, 0, 0, 23},	//2278 QsciStyle::refresh()
    {88, 549, 448, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 24},	//2279 QsciStyle::QsciStyle(const QsciStyle&)
    {88, 549, 0, 0, Smoke::mf_ctor, 111, 25},	//2280 QsciStyle::QsciStyle()
    {88, 549, 450, 5, Smoke::mf_ctor, 111, 26},	//2281 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {88, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 27},	//2282 QsciStyle::OriginalCase (enum)
    {88, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 28},	//2283 QsciStyle::UpperCase (enum)
    {88, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 29},	//2284 QsciStyle::LowerCase (enum)
    {88, 1604, 0, 0, Smoke::mf_dtor, 0, 30 },	//2285 QsciStyle::~QsciStyle()
    {89, 554, 456, 2, Smoke::mf_ctor, 114, 1},	//2286 QsciStyledText::QsciStyledText(const QString&, int)
    {89, 554, 459, 2, Smoke::mf_ctor, 114, 2},	//2287 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {89, 810, 125, 1, Smoke::mf_const, 0, 3},	//2288 QsciStyledText::apply(QsciScintillaBase*) const
    {89, 1508, 0, 0, Smoke::mf_const, 227, 4},	//2289 QsciStyledText::text() const
    {89, 1499, 0, 0, Smoke::mf_const, 235, 5},	//2290 QsciStyledText::style() const
    {89, 554, 462, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 114, 6},	//2291 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {89, 1605, 0, 0, Smoke::mf_dtor, 0, 7 },	//2292 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2082,  // QsciScintilla::MoNone
    2082,  // QsciScintilla::MoNone
    0,
    2083,  // QsciScintilla::MoSublineSelect
    2083,  // QsciScintilla::MoSublineSelect
    0,
    2016,  // QsciScintilla::markerDefine(const QPixmap&)
    2017,  // QsciScintilla::markerDefine(const QImage&)
    0,
    1830,  // QsciScintilla::markerDefine(const QPixmap&, int)
    1831,  // QsciScintilla::markerDefine(const QImage&, int)
    0,
    2014,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    2015,  // QsciScintilla::markerDefine(char)
    0,
    1828,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1829,  // QsciScintilla::markerDefine(char, int)
    0,
    1845,  // QsciScintilla::registerImage(int, const QPixmap&)
    1846,  // QsciScintilla::registerImage(int, const QImage&)
    0,
    1967,  // QsciScintilla::setMarginWidth(int, int)
    1968,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2254,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    0,
    2144,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    2146,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    2147,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    2207,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    2149,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    2152,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    2153,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    0,
    2141,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    2142,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    2143,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    2145,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {17, 321, 19},	// QGlobalSpace::LicensedActiveQt
    {17, 322, 25},	// QGlobalSpace::LicensedCore
    {17, 323, 17},	// QGlobalSpace::LicensedDBus
    {17, 324, 22},	// QGlobalSpace::LicensedDeclarative
    {17, 325, 12},	// QGlobalSpace::LicensedGui
    {17, 326, 31},	// QGlobalSpace::LicensedHelp
    {17, 327, 32},	// QGlobalSpace::LicensedMultimedia
    {17, 328, 35},	// QGlobalSpace::LicensedNetwork
    {17, 329, 24},	// QGlobalSpace::LicensedOpenGL
    {17, 330, 16},	// QGlobalSpace::LicensedOpenVG
    {17, 331, 33},	// QGlobalSpace::LicensedQt3Support
    {17, 332, 14},	// QGlobalSpace::LicensedQt3SupportLight
    {17, 333, 15},	// QGlobalSpace::LicensedScript
    {17, 334, 20},	// QGlobalSpace::LicensedScriptTools
    {17, 335, 23},	// QGlobalSpace::LicensedSql
    {17, 336, 21},	// QGlobalSpace::LicensedSvg
    {17, 337, 18},	// QGlobalSpace::LicensedTest
    {17, 338, 13},	// QGlobalSpace::LicensedXml
    {17, 339, 34},	// QGlobalSpace::LicensedXmlPatterns
    {17, 466, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 467, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 468, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 469, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 470, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {17, 558, 28},	// QGlobalSpace::QtCriticalMsg
    {17, 559, 26},	// QGlobalSpace::QtDebugMsg
    {17, 560, 29},	// QGlobalSpace::QtFatalMsg
    {17, 561, 30},	// QGlobalSpace::QtSystemMsg
    {17, 562, 27},	// QGlobalSpace::QtWarningMsg
    {48, 472, 78},	// QsciAPIs::QsciAPIs#
    {48, 792, 79},	// QsciAPIs::add$
    {48, 804, 94},	// QsciAPIs::apiPreparationCancelled
    {48, 805, 96},	// QsciAPIs::apiPreparationFinished
    {48, 806, 95},	// QsciAPIs::apiPreparationStarted
    {48, 820, 90},	// QsciAPIs::autoCompletionSelected$
    {48, 844, 91},	// QsciAPIs::callTips?$$?
    {48, 851, 84},	// QsciAPIs::cancelPreparation
    {48, 857, 80},	// QsciAPIs::clear
    {48, 897, 85},	// QsciAPIs::defaultPreparedName
    {48, 933, 92},	// QsciAPIs::event#
    {48, 1027, 93},	// QsciAPIs::installedAPIFiles
    {48, 1031, 99},	// QsciAPIs::isPrepared
    {48, 1032, 86},	// QsciAPIs::isPrepared$
    {48, 1061, 81},	// QsciAPIs::load$
    {48, 1062, 100},	// QsciAPIs::loadPrepared
    {48, 1063, 87},	// QsciAPIs::loadPrepared$
    {48, 1101, 71},	// QsciAPIs::metaObject
    {48, 1133, 83},	// QsciAPIs::prepare
    {48, 1143, 77},	// QsciAPIs::qt_metacall$$?
    {48, 1145, 72},	// QsciAPIs::qt_metacast$
    {48, 1163, 82},	// QsciAPIs::remove$
    {48, 1177, 101},	// QsciAPIs::savePrepared
    {48, 1178, 88},	// QsciAPIs::savePrepared$
    {48, 1497, 102},	// QsciAPIs::staticMetaObject
    {48, 1519, 97},	// QsciAPIs::tr$
    {48, 1520, 73},	// QsciAPIs::tr$$
    {48, 1521, 75},	// QsciAPIs::tr$$$
    {48, 1523, 98},	// QsciAPIs::trUtf8$
    {48, 1524, 74},	// QsciAPIs::trUtf8$$
    {48, 1525, 76},	// QsciAPIs::trUtf8$$$
    {48, 1530, 89},	// QsciAPIs::updateAutoCompletionList??
    {48, 1565, 103},	// QsciAPIs::~QsciAPIs
    {49, 474, 111},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {49, 820, 114},	// QsciAbstractAPIs::autoCompletionSelected$
    {49, 844, 115},	// QsciAbstractAPIs::callTips?$$?
    {49, 1050, 112},	// QsciAbstractAPIs::lexer
    {49, 1101, 104},	// QsciAbstractAPIs::metaObject
    {49, 1143, 110},	// QsciAbstractAPIs::qt_metacall$$?
    {49, 1145, 105},	// QsciAbstractAPIs::qt_metacast$
    {49, 1497, 118},	// QsciAbstractAPIs::staticMetaObject
    {49, 1519, 116},	// QsciAbstractAPIs::tr$
    {49, 1520, 106},	// QsciAbstractAPIs::tr$$
    {49, 1521, 108},	// QsciAbstractAPIs::tr$$$
    {49, 1523, 117},	// QsciAbstractAPIs::trUtf8$
    {49, 1524, 107},	// QsciAbstractAPIs::trUtf8$$
    {49, 1525, 109},	// QsciAbstractAPIs::trUtf8$$$
    {49, 1530, 113},	// QsciAbstractAPIs::updateAutoCompletionList??
    {49, 1566, 119},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {50, 81, 220},	// QsciCommand::Backtab
    {50, 114, 221},	// QsciCommand::Cancel
    {50, 116, 143},	// QsciCommand::CharLeft
    {50, 117, 144},	// QsciCommand::CharLeftExtend
    {50, 118, 145},	// QsciCommand::CharLeftRectExtend
    {50, 119, 146},	// QsciCommand::CharRight
    {50, 120, 147},	// QsciCommand::CharRightExtend
    {50, 121, 148},	// QsciCommand::CharRightRectExtend
    {50, 160, 194},	// QsciCommand::Delete
    {50, 161, 195},	// QsciCommand::DeleteBack
    {50, 162, 196},	// QsciCommand::DeleteBackNotLine
    {50, 163, 200},	// QsciCommand::DeleteLineLeft
    {50, 164, 201},	// QsciCommand::DeleteLineRight
    {50, 165, 197},	// QsciCommand::DeleteWordLeft
    {50, 166, 198},	// QsciCommand::DeleteWordRight
    {50, 167, 199},	// QsciCommand::DeleteWordRightEnd
    {50, 175, 182},	// QsciCommand::DocumentEnd
    {50, 176, 183},	// QsciCommand::DocumentEndExtend
    {50, 177, 180},	// QsciCommand::DocumentStart
    {50, 178, 181},	// QsciCommand::DocumentStartExtend
    {50, 196, 216},	// QsciCommand::EditToggleOvertype
    {50, 216, 218},	// QsciCommand::Formfeed
    {50, 242, 161},	// QsciCommand::Home
    {50, 243, 164},	// QsciCommand::HomeDisplay
    {50, 244, 165},	// QsciCommand::HomeDisplayExtend
    {50, 245, 162},	// QsciCommand::HomeExtend
    {50, 246, 163},	// QsciCommand::HomeRectExtend
    {50, 247, 166},	// QsciCommand::HomeWrap
    {50, 248, 167},	// QsciCommand::HomeWrapExtend
    {50, 343, 204},	// QsciCommand::LineCopy
    {50, 344, 203},	// QsciCommand::LineCut
    {50, 345, 202},	// QsciCommand::LineDelete
    {50, 346, 128},	// QsciCommand::LineDown
    {50, 347, 129},	// QsciCommand::LineDownExtend
    {50, 348, 130},	// QsciCommand::LineDownRectExtend
    {50, 349, 206},	// QsciCommand::LineDuplicate
    {50, 350, 173},	// QsciCommand::LineEnd
    {50, 351, 176},	// QsciCommand::LineEndDisplay
    {50, 352, 177},	// QsciCommand::LineEndDisplayExtend
    {50, 353, 174},	// QsciCommand::LineEndExtend
    {50, 354, 175},	// QsciCommand::LineEndRectExtend
    {50, 355, 178},	// QsciCommand::LineEndWrap
    {50, 356, 179},	// QsciCommand::LineEndWrapExtend
    {50, 358, 131},	// QsciCommand::LineScrollDown
    {50, 359, 135},	// QsciCommand::LineScrollUp
    {50, 360, 205},	// QsciCommand::LineTranspose
    {50, 361, 132},	// QsciCommand::LineUp
    {50, 362, 133},	// QsciCommand::LineUpExtend
    {50, 363, 134},	// QsciCommand::LineUpRectExtend
    {50, 378, 209},	// QsciCommand::MoveSelectedLinesDown
    {50, 379, 208},	// QsciCommand::MoveSelectedLinesUp
    {50, 384, 217},	// QsciCommand::Newline
    {50, 409, 187},	// QsciCommand::PageDown
    {50, 410, 188},	// QsciCommand::PageDownExtend
    {50, 411, 189},	// QsciCommand::PageDownRectExtend
    {50, 413, 184},	// QsciCommand::PageUp
    {50, 414, 185},	// QsciCommand::PageUpExtend
    {50, 415, 186},	// QsciCommand::PageUpRectExtend
    {50, 417, 139},	// QsciCommand::ParaDown
    {50, 418, 140},	// QsciCommand::ParaDownExtend
    {50, 419, 141},	// QsciCommand::ParaUp
    {50, 420, 142},	// QsciCommand::ParaUpExtend
    {50, 422, 215},	// QsciCommand::Paste
    {50, 577, 223},	// QsciCommand::Redo
    {50, 645, 137},	// QsciCommand::ScrollToEnd
    {50, 646, 136},	// QsciCommand::ScrollToStart
    {50, 648, 207},	// QsciCommand::SelectAll
    {50, 650, 214},	// QsciCommand::SelectionCopy
    {50, 651, 213},	// QsciCommand::SelectionCut
    {50, 652, 210},	// QsciCommand::SelectionDuplicate
    {50, 653, 211},	// QsciCommand::SelectionLowerCase
    {50, 654, 212},	// QsciCommand::SelectionUpperCase
    {50, 692, 192},	// QsciCommand::StutteredPageDown
    {50, 693, 193},	// QsciCommand::StutteredPageDownExtend
    {50, 694, 190},	// QsciCommand::StutteredPageUp
    {50, 695, 191},	// QsciCommand::StutteredPageUpExtend
    {50, 710, 219},	// QsciCommand::Tab
    {50, 734, 222},	// QsciCommand::Undo
    {50, 748, 168},	// QsciCommand::VCHome
    {50, 749, 169},	// QsciCommand::VCHomeExtend
    {50, 750, 170},	// QsciCommand::VCHomeRectExtend
    {50, 751, 171},	// QsciCommand::VCHomeWrap
    {50, 752, 172},	// QsciCommand::VCHomeWrapExtend
    {50, 757, 138},	// QsciCommand::VerticalCentreCaret
    {50, 760, 149},	// QsciCommand::WordLeft
    {50, 761, 153},	// QsciCommand::WordLeftEnd
    {50, 762, 154},	// QsciCommand::WordLeftEndExtend
    {50, 763, 150},	// QsciCommand::WordLeftExtend
    {50, 764, 157},	// QsciCommand::WordPartLeft
    {50, 765, 158},	// QsciCommand::WordPartLeftExtend
    {50, 766, 159},	// QsciCommand::WordPartRight
    {50, 767, 160},	// QsciCommand::WordPartRightExtend
    {50, 768, 151},	// QsciCommand::WordRight
    {50, 769, 155},	// QsciCommand::WordRightEnd
    {50, 770, 156},	// QsciCommand::WordRightEndExtend
    {50, 771, 152},	// QsciCommand::WordRightExtend
    {50, 788, 224},	// QsciCommand::ZoomIn
    {50, 789, 225},	// QsciCommand::ZoomOut
    {50, 793, 125},	// QsciCommand::alternateKey
    {50, 873, 120},	// QsciCommand::command
    {50, 899, 127},	// QsciCommand::description
    {50, 935, 121},	// QsciCommand::execute
    {50, 1039, 124},	// QsciCommand::key
    {50, 1191, 123},	// QsciCommand::setAlternateKey$
    {50, 1362, 122},	// QsciCommand::setKey$
    {50, 1537, 126},	// QsciCommand::validKey$
    {50, 1567, 226},	// QsciCommand::~QsciCommand
    {51, 839, 232},	// QsciCommandSet::boundTo$
    {51, 858, 231},	// QsciCommandSet::clearAlternateKeys
    {51, 864, 230},	// QsciCommandSet::clearKeys
    {51, 874, 229},	// QsciCommandSet::commands
    {51, 941, 233},	// QsciCommandSet::find$
    {51, 1152, 234},	// QsciCommandSet::readSettings#
    {51, 1153, 227},	// QsciCommandSet::readSettings#$
    {51, 1556, 235},	// QsciCommandSet::writeSettings#
    {51, 1557, 228},	// QsciCommandSet::writeSettings#$
    {52, 475, 236},	// QsciDocument::QsciDocument
    {52, 476, 237},	// QsciDocument::QsciDocument#
    {52, 1118, 238},	// QsciDocument::operator=#
    {52, 1568, 239},	// QsciDocument::~QsciDocument
    {53, 477, 301},	// QsciLexer::QsciLexer
    {53, 478, 247},	// QsciLexer::QsciLexer#
    {53, 807, 251},	// QsciLexer::apis
    {53, 816, 252},	// QsciLexer::autoCompletionFillups
    {53, 825, 253},	// QsciLexer::autoCompletionWordSeparators
    {53, 827, 254},	// QsciLexer::autoIndentStyle
    {53, 831, 302},	// QsciLexer::blockEnd
    {53, 832, 255},	// QsciLexer::blockEnd$
    {53, 833, 256},	// QsciLexer::blockLookback
    {53, 834, 303},	// QsciLexer::blockStart
    {53, 835, 257},	// QsciLexer::blockStart$
    {53, 836, 304},	// QsciLexer::blockStartKeyword
    {53, 837, 258},	// QsciLexer::blockStartKeyword$
    {53, 841, 259},	// QsciLexer::braceStyle
    {53, 852, 260},	// QsciLexer::caseSensitive
    {53, 870, 261},	// QsciLexer::color$
    {53, 872, 292},	// QsciLexer::colorChanged#$
    {53, 889, 269},	// QsciLexer::defaultColor
    {53, 890, 270},	// QsciLexer::defaultColor$
    {53, 892, 271},	// QsciLexer::defaultEolFill$
    {53, 893, 272},	// QsciLexer::defaultFont
    {53, 894, 273},	// QsciLexer::defaultFont$
    {53, 895, 274},	// QsciLexer::defaultPaper
    {53, 896, 275},	// QsciLexer::defaultPaper$
    {53, 898, 266},	// QsciLexer::defaultStyle
    {53, 900, 267},	// QsciLexer::description$
    {53, 918, 276},	// QsciLexer::editor
    {53, 927, 262},	// QsciLexer::eolFill$
    {53, 929, 293},	// QsciLexer::eolFillChanged$$
    {53, 981, 263},	// QsciLexer::font$
    {53, 984, 294},	// QsciLexer::fontChanged#$
    {53, 1005, 264},	// QsciLexer::indentationGuideView
    {53, 1044, 265},	// QsciLexer::keywords$
    {53, 1045, 248},	// QsciLexer::language
    {53, 1050, 249},	// QsciLexer::lexer
    {53, 1051, 250},	// QsciLexer::lexerId
    {53, 1101, 240},	// QsciLexer::metaObject
    {53, 1125, 268},	// QsciLexer::paper$
    {53, 1127, 295},	// QsciLexer::paperChanged#$
    {53, 1141, 296},	// QsciLexer::propertyChanged$$
    {53, 1143, 246},	// QsciLexer::qt_metacall$$?
    {53, 1145, 241},	// QsciLexer::qt_metacast$
    {53, 1150, 297},	// QsciLexer::readProperties#$
    {53, 1152, 305},	// QsciLexer::readSettings#
    {53, 1153, 282},	// QsciLexer::readSettings#$
    {53, 1159, 283},	// QsciLexer::refreshProperties
    {53, 1189, 277},	// QsciLexer::setAPIs#
    {53, 1215, 287},	// QsciLexer::setAutoIndentStyle$
    {53, 1247, 307},	// QsciLexer::setColor#
    {53, 1248, 288},	// QsciLexer::setColor#$
    {53, 1254, 278},	// QsciLexer::setDefaultColor#
    {53, 1256, 279},	// QsciLexer::setDefaultFont#
    {53, 1258, 280},	// QsciLexer::setDefaultPaper#
    {53, 1276, 281},	// QsciLexer::setEditor#
    {53, 1278, 308},	// QsciLexer::setEolFill$
    {53, 1279, 289},	// QsciLexer::setEolFill$$
    {53, 1322, 309},	// QsciLexer::setFont#
    {53, 1323, 290},	// QsciLexer::setFont#$
    {53, 1413, 310},	// QsciLexer::setPaper#
    {53, 1414, 291},	// QsciLexer::setPaper#$
    {53, 1497, 311},	// QsciLexer::staticMetaObject
    {53, 1500, 284},	// QsciLexer::styleBitsNeeded
    {53, 1519, 299},	// QsciLexer::tr$
    {53, 1520, 242},	// QsciLexer::tr$$
    {53, 1521, 244},	// QsciLexer::tr$$$
    {53, 1523, 300},	// QsciLexer::trUtf8$
    {53, 1524, 243},	// QsciLexer::trUtf8$$
    {53, 1525, 245},	// QsciLexer::trUtf8$$$
    {53, 1548, 285},	// QsciLexer::wordCharacters
    {53, 1554, 298},	// QsciLexer::writeProperties#$
    {53, 1556, 306},	// QsciLexer::writeSettings#
    {53, 1557, 286},	// QsciLexer::writeSettings#$
    {53, 1569, 312},	// QsciLexer::~QsciLexer
    {54, 84, 353},	// QsciLexerBash::Backticks
    {54, 137, 344},	// QsciLexerBash::Comment
    {54, 158, 342},	// QsciLexerBash::Default
    {54, 184, 347},	// QsciLexerBash::DoubleQuotedString
    {54, 203, 343},	// QsciLexerBash::Error
    {54, 235, 354},	// QsciLexerBash::HereDocumentDelimiter
    {54, 251, 350},	// QsciLexerBash::Identifier
    {54, 299, 346},	// QsciLexerBash::Keyword
    {54, 389, 345},	// QsciLexerBash::Number
    {54, 393, 349},	// QsciLexerBash::Operator
    {54, 421, 352},	// QsciLexerBash::ParameterExpansion
    {54, 479, 340},	// QsciLexerBash::QsciLexerBash
    {54, 480, 320},	// QsciLexerBash::QsciLexerBash#
    {54, 642, 351},	// QsciLexerBash::Scalar
    {54, 667, 355},	// QsciLexerBash::SingleQuotedHereDocument
    {54, 668, 348},	// QsciLexerBash::SingleQuotedString
    {54, 841, 323},	// QsciLexerBash::braceStyle
    {54, 890, 325},	// QsciLexerBash::defaultColor$
    {54, 892, 326},	// QsciLexerBash::defaultEolFill$
    {54, 894, 327},	// QsciLexerBash::defaultFont$
    {54, 896, 328},	// QsciLexerBash::defaultPaper$
    {54, 900, 330},	// QsciLexerBash::description$
    {54, 967, 332},	// QsciLexerBash::foldComments
    {54, 968, 333},	// QsciLexerBash::foldCompact
    {54, 1044, 329},	// QsciLexerBash::keywords$
    {54, 1045, 321},	// QsciLexerBash::language
    {54, 1050, 322},	// QsciLexerBash::lexer
    {54, 1101, 313},	// QsciLexerBash::metaObject
    {54, 1143, 319},	// QsciLexerBash::qt_metacall$$?
    {54, 1145, 314},	// QsciLexerBash::qt_metacast$
    {54, 1150, 336},	// QsciLexerBash::readProperties#$
    {54, 1159, 331},	// QsciLexerBash::refreshProperties
    {54, 1297, 334},	// QsciLexerBash::setFoldComments$
    {54, 1299, 335},	// QsciLexerBash::setFoldCompact$
    {54, 1497, 341},	// QsciLexerBash::staticMetaObject
    {54, 1519, 338},	// QsciLexerBash::tr$
    {54, 1520, 315},	// QsciLexerBash::tr$$
    {54, 1521, 317},	// QsciLexerBash::tr$$$
    {54, 1523, 339},	// QsciLexerBash::trUtf8$
    {54, 1524, 316},	// QsciLexerBash::trUtf8$$
    {54, 1525, 318},	// QsciLexerBash::trUtf8$$$
    {54, 1548, 324},	// QsciLexerBash::wordCharacters
    {54, 1554, 337},	// QsciLexerBash::writeProperties#$
    {54, 1570, 356},	// QsciLexerBash::~QsciLexerBash
    {55, 137, 380},	// QsciLexerBatch::Comment
    {55, 158, 379},	// QsciLexerBatch::Default
    {55, 210, 384},	// QsciLexerBatch::ExternalCommand
    {55, 239, 383},	// QsciLexerBatch::HideCommandChar
    {55, 299, 381},	// QsciLexerBatch::Keyword
    {55, 309, 382},	// QsciLexerBatch::Label
    {55, 393, 386},	// QsciLexerBatch::Operator
    {55, 481, 377},	// QsciLexerBatch::QsciLexerBatch
    {55, 482, 364},	// QsciLexerBatch::QsciLexerBatch#
    {55, 755, 385},	// QsciLexerBatch::Variable
    {55, 852, 368},	// QsciLexerBatch::caseSensitive
    {55, 890, 369},	// QsciLexerBatch::defaultColor$
    {55, 892, 370},	// QsciLexerBatch::defaultEolFill$
    {55, 894, 371},	// QsciLexerBatch::defaultFont$
    {55, 896, 372},	// QsciLexerBatch::defaultPaper$
    {55, 900, 374},	// QsciLexerBatch::description$
    {55, 1044, 373},	// QsciLexerBatch::keywords$
    {55, 1045, 365},	// QsciLexerBatch::language
    {55, 1050, 366},	// QsciLexerBatch::lexer
    {55, 1101, 357},	// QsciLexerBatch::metaObject
    {55, 1143, 363},	// QsciLexerBatch::qt_metacall$$?
    {55, 1145, 358},	// QsciLexerBatch::qt_metacast$
    {55, 1497, 378},	// QsciLexerBatch::staticMetaObject
    {55, 1519, 375},	// QsciLexerBatch::tr$
    {55, 1520, 359},	// QsciLexerBatch::tr$$
    {55, 1521, 361},	// QsciLexerBatch::tr$$$
    {55, 1523, 376},	// QsciLexerBatch::trUtf8$
    {55, 1524, 360},	// QsciLexerBatch::trUtf8$$
    {55, 1525, 362},	// QsciLexerBatch::trUtf8$$$
    {55, 1548, 367},	// QsciLexerBatch::wordCharacters
    {55, 1571, 387},	// QsciLexerBatch::~QsciLexerBatch
    {56, 90, 422},	// QsciLexerCMake::BlockForeach
    {56, 91, 423},	// QsciLexerCMake::BlockIf
    {56, 92, 424},	// QsciLexerCMake::BlockMacro
    {56, 93, 421},	// QsciLexerCMake::BlockWhile
    {56, 137, 413},	// QsciLexerCMake::Comment
    {56, 158, 412},	// QsciLexerCMake::Default
    {56, 218, 417},	// QsciLexerCMake::Function
    {56, 303, 420},	// QsciLexerCMake::KeywordSet3
    {56, 309, 419},	// QsciLexerCMake::Label
    {56, 389, 426},	// QsciLexerCMake::Number
    {56, 483, 410},	// QsciLexerCMake::QsciLexerCMake
    {56, 484, 395},	// QsciLexerCMake::QsciLexerCMake#
    {56, 687, 414},	// QsciLexerCMake::String
    {56, 688, 415},	// QsciLexerCMake::StringLeftQuote
    {56, 689, 416},	// QsciLexerCMake::StringRightQuote
    {56, 691, 425},	// QsciLexerCMake::StringVariable
    {56, 755, 418},	// QsciLexerCMake::Variable
    {56, 890, 398},	// QsciLexerCMake::defaultColor$
    {56, 894, 399},	// QsciLexerCMake::defaultFont$
    {56, 896, 400},	// QsciLexerCMake::defaultPaper$
    {56, 900, 402},	// QsciLexerCMake::description$
    {56, 965, 404},	// QsciLexerCMake::foldAtElse
    {56, 1044, 401},	// QsciLexerCMake::keywords$
    {56, 1045, 396},	// QsciLexerCMake::language
    {56, 1050, 397},	// QsciLexerCMake::lexer
    {56, 1101, 388},	// QsciLexerCMake::metaObject
    {56, 1143, 394},	// QsciLexerCMake::qt_metacall$$?
    {56, 1145, 389},	// QsciLexerCMake::qt_metacast$
    {56, 1150, 406},	// QsciLexerCMake::readProperties#$
    {56, 1159, 403},	// QsciLexerCMake::refreshProperties
    {56, 1293, 405},	// QsciLexerCMake::setFoldAtElse$
    {56, 1497, 411},	// QsciLexerCMake::staticMetaObject
    {56, 1519, 408},	// QsciLexerCMake::tr$
    {56, 1520, 390},	// QsciLexerCMake::tr$$
    {56, 1521, 392},	// QsciLexerCMake::tr$$$
    {56, 1523, 409},	// QsciLexerCMake::trUtf8$
    {56, 1524, 391},	// QsciLexerCMake::trUtf8$$
    {56, 1525, 393},	// QsciLexerCMake::trUtf8$$$
    {56, 1554, 407},	// QsciLexerCMake::writeProperties#$
    {56, 1572, 427},	// QsciLexerCMake::~QsciLexerCMake
    {57, 137, 479},	// QsciLexerCPP::Comment
    {57, 140, 483},	// QsciLexerCPP::CommentDoc
    {57, 141, 511},	// QsciLexerCPP::CommentDocKeyword
    {57, 142, 513},	// QsciLexerCPP::CommentDocKeywordError
    {57, 143, 481},	// QsciLexerCPP::CommentLine
    {57, 144, 507},	// QsciLexerCPP::CommentLineDoc
    {57, 158, 477},	// QsciLexerCPP::Default
    {57, 184, 489},	// QsciLexerCPP::DoubleQuotedString
    {57, 221, 515},	// QsciLexerCPP::GlobalClass
    {57, 232, 521},	// QsciLexerCPP::HashQuotedString
    {57, 251, 499},	// QsciLexerCPP::Identifier
    {57, 256, 480},	// QsciLexerCPP::InactiveComment
    {57, 257, 484},	// QsciLexerCPP::InactiveCommentDoc
    {57, 258, 512},	// QsciLexerCPP::InactiveCommentDocKeyword
    {57, 259, 514},	// QsciLexerCPP::InactiveCommentDocKeywordError
    {57, 260, 482},	// QsciLexerCPP::InactiveCommentLine
    {57, 261, 508},	// QsciLexerCPP::InactiveCommentLineDoc
    {57, 262, 478},	// QsciLexerCPP::InactiveDefault
    {57, 263, 490},	// QsciLexerCPP::InactiveDoubleQuotedString
    {57, 264, 516},	// QsciLexerCPP::InactiveGlobalClass
    {57, 265, 522},	// QsciLexerCPP::InactiveHashQuotedString
    {57, 266, 500},	// QsciLexerCPP::InactiveIdentifier
    {57, 267, 488},	// QsciLexerCPP::InactiveKeyword
    {57, 268, 510},	// QsciLexerCPP::InactiveKeywordSet2
    {57, 269, 486},	// QsciLexerCPP::InactiveNumber
    {57, 270, 498},	// QsciLexerCPP::InactiveOperator
    {57, 271, 496},	// QsciLexerCPP::InactivePreProcessor
    {57, 272, 524},	// QsciLexerCPP::InactivePreProcessorComment
    {57, 273, 518},	// QsciLexerCPP::InactiveRawString
    {57, 274, 506},	// QsciLexerCPP::InactiveRegex
    {57, 275, 492},	// QsciLexerCPP::InactiveSingleQuotedString
    {57, 276, 520},	// QsciLexerCPP::InactiveTripleQuotedVerbatimString
    {57, 277, 494},	// QsciLexerCPP::InactiveUUID
    {57, 278, 502},	// QsciLexerCPP::InactiveUnclosedString
    {57, 279, 504},	// QsciLexerCPP::InactiveVerbatimString
    {57, 299, 487},	// QsciLexerCPP::Keyword
    {57, 302, 509},	// QsciLexerCPP::KeywordSet2
    {57, 389, 485},	// QsciLexerCPP::Number
    {57, 393, 497},	// QsciLexerCPP::Operator
    {57, 441, 495},	// QsciLexerCPP::PreProcessor
    {57, 442, 523},	// QsciLexerCPP::PreProcessorComment
    {57, 485, 471},	// QsciLexerCPP::QsciLexerCPP
    {57, 486, 472},	// QsciLexerCPP::QsciLexerCPP#
    {57, 487, 435},	// QsciLexerCPP::QsciLexerCPP#$
    {57, 575, 517},	// QsciLexerCPP::RawString
    {57, 579, 505},	// QsciLexerCPP::Regex
    {57, 668, 491},	// QsciLexerCPP::SingleQuotedString
    {57, 727, 519},	// QsciLexerCPP::TripleQuotedVerbatimString
    {57, 731, 493},	// QsciLexerCPP::UUID
    {57, 732, 501},	// QsciLexerCPP::UnclosedString
    {57, 756, 503},	// QsciLexerCPP::VerbatimString
    {57, 825, 438},	// QsciLexerCPP::autoCompletionWordSeparators
    {57, 831, 473},	// QsciLexerCPP::blockEnd
    {57, 832, 439},	// QsciLexerCPP::blockEnd$
    {57, 834, 474},	// QsciLexerCPP::blockStart
    {57, 835, 440},	// QsciLexerCPP::blockStart$
    {57, 836, 475},	// QsciLexerCPP::blockStartKeyword
    {57, 837, 441},	// QsciLexerCPP::blockStartKeyword$
    {57, 841, 442},	// QsciLexerCPP::braceStyle
    {57, 890, 444},	// QsciLexerCPP::defaultColor$
    {57, 892, 445},	// QsciLexerCPP::defaultEolFill$
    {57, 894, 446},	// QsciLexerCPP::defaultFont$
    {57, 896, 447},	// QsciLexerCPP::defaultPaper$
    {57, 900, 449},	// QsciLexerCPP::description$
    {57, 905, 457},	// QsciLexerCPP::dollarsAllowed
    {57, 965, 451},	// QsciLexerCPP::foldAtElse
    {57, 967, 452},	// QsciLexerCPP::foldComments
    {57, 968, 453},	// QsciLexerCPP::foldCompact
    {57, 975, 454},	// QsciLexerCPP::foldPreprocessor
    {57, 997, 461},	// QsciLexerCPP::highlightHashQuotedStrings
    {57, 999, 459},	// QsciLexerCPP::highlightTripleQuotedStrings
    {57, 1044, 448},	// QsciLexerCPP::keywords$
    {57, 1045, 436},	// QsciLexerCPP::language
    {57, 1050, 437},	// QsciLexerCPP::lexer
    {57, 1101, 428},	// QsciLexerCPP::metaObject
    {57, 1143, 434},	// QsciLexerCPP::qt_metacall$$?
    {57, 1145, 429},	// QsciLexerCPP::qt_metacast$
    {57, 1150, 467},	// QsciLexerCPP::readProperties#$
    {57, 1159, 450},	// QsciLexerCPP::refreshProperties
    {57, 1266, 456},	// QsciLexerCPP::setDollarsAllowed$
    {57, 1293, 462},	// QsciLexerCPP::setFoldAtElse$
    {57, 1297, 463},	// QsciLexerCPP::setFoldComments$
    {57, 1299, 464},	// QsciLexerCPP::setFoldCompact$
    {57, 1311, 465},	// QsciLexerCPP::setFoldPreprocessor$
    {57, 1329, 460},	// QsciLexerCPP::setHighlightHashQuotedStrings$
    {57, 1333, 458},	// QsciLexerCPP::setHighlightTripleQuotedStrings$
    {57, 1441, 466},	// QsciLexerCPP::setStylePreprocessor$
    {57, 1497, 476},	// QsciLexerCPP::staticMetaObject
    {57, 1502, 455},	// QsciLexerCPP::stylePreprocessor
    {57, 1519, 469},	// QsciLexerCPP::tr$
    {57, 1520, 430},	// QsciLexerCPP::tr$$
    {57, 1521, 432},	// QsciLexerCPP::tr$$$
    {57, 1523, 470},	// QsciLexerCPP::trUtf8$
    {57, 1524, 431},	// QsciLexerCPP::trUtf8$$
    {57, 1525, 433},	// QsciLexerCPP::trUtf8$$$
    {57, 1548, 443},	// QsciLexerCPP::wordCharacters
    {57, 1554, 468},	// QsciLexerCPP::writeProperties#$
    {57, 1573, 525},	// QsciLexerCPP::~QsciLexerCPP
    {58, 65, 574},	// QsciLexerCSS::AtRule
    {58, 66, 578},	// QsciLexerCSS::Attribute
    {58, 105, 568},	// QsciLexerCSS::CSS1Property
    {58, 106, 577},	// QsciLexerCSS::CSS2Property
    {58, 107, 579},	// QsciLexerCSS::CSS3Property
    {58, 132, 564},	// QsciLexerCSS::ClassSelector
    {58, 137, 571},	// QsciLexerCSS::Comment
    {58, 158, 562},	// QsciLexerCSS::Default
    {58, 184, 575},	// QsciLexerCSS::DoubleQuotedString
    {58, 206, 581},	// QsciLexerCSS::ExtendedCSSProperty
    {58, 208, 582},	// QsciLexerCSS::ExtendedPseudoClass
    {58, 209, 583},	// QsciLexerCSS::ExtendedPseudoElement
    {58, 225, 547},	// QsciLexerCSS::HSSLanguage
    {58, 249, 572},	// QsciLexerCSS::IDSelector
    {58, 255, 573},	// QsciLexerCSS::Important
    {58, 319, 549},	// QsciLexerCSS::LessLanguage
    {58, 370, 584},	// QsciLexerCSS::MediaRule
    {58, 393, 567},	// QsciLexerCSS::Operator
    {58, 449, 565},	// QsciLexerCSS::PseudoClass
    {58, 450, 580},	// QsciLexerCSS::PseudoElement
    {58, 488, 558},	// QsciLexerCSS::QsciLexerCSS
    {58, 489, 533},	// QsciLexerCSS::QsciLexerCSS#
    {58, 629, 551},	// QsciLexerCSS::SCSSLanguage
    {58, 668, 576},	// QsciLexerCSS::SingleQuotedString
    {58, 714, 563},	// QsciLexerCSS::Tag
    {58, 736, 569},	// QsciLexerCSS::UnknownProperty
    {58, 737, 566},	// QsciLexerCSS::UnknownPseudoClass
    {58, 754, 570},	// QsciLexerCSS::Value
    {58, 755, 585},	// QsciLexerCSS::Variable
    {58, 831, 559},	// QsciLexerCSS::blockEnd
    {58, 832, 536},	// QsciLexerCSS::blockEnd$
    {58, 834, 560},	// QsciLexerCSS::blockStart
    {58, 835, 537},	// QsciLexerCSS::blockStart$
    {58, 890, 539},	// QsciLexerCSS::defaultColor$
    {58, 894, 540},	// QsciLexerCSS::defaultFont$
    {58, 900, 542},	// QsciLexerCSS::description$
    {58, 967, 544},	// QsciLexerCSS::foldComments
    {58, 968, 545},	// QsciLexerCSS::foldCompact
    {58, 1044, 541},	// QsciLexerCSS::keywords$
    {58, 1045, 534},	// QsciLexerCSS::language
    {58, 1050, 535},	// QsciLexerCSS::lexer
    {58, 1101, 526},	// QsciLexerCSS::metaObject
    {58, 1143, 532},	// QsciLexerCSS::qt_metacall$$?
    {58, 1145, 527},	// QsciLexerCSS::qt_metacast$
    {58, 1150, 554},	// QsciLexerCSS::readProperties#$
    {58, 1159, 543},	// QsciLexerCSS::refreshProperties
    {58, 1297, 552},	// QsciLexerCSS::setFoldComments$
    {58, 1299, 553},	// QsciLexerCSS::setFoldCompact$
    {58, 1325, 546},	// QsciLexerCSS::setHSSLanguage$
    {58, 1364, 548},	// QsciLexerCSS::setLessLanguage$
    {58, 1424, 550},	// QsciLexerCSS::setSCSSLanguage$
    {58, 1497, 561},	// QsciLexerCSS::staticMetaObject
    {58, 1519, 556},	// QsciLexerCSS::tr$
    {58, 1520, 528},	// QsciLexerCSS::tr$$
    {58, 1521, 530},	// QsciLexerCSS::tr$$$
    {58, 1523, 557},	// QsciLexerCSS::trUtf8$
    {58, 1524, 529},	// QsciLexerCSS::trUtf8$$
    {58, 1525, 531},	// QsciLexerCSS::trUtf8$$$
    {58, 1548, 538},	// QsciLexerCSS::wordCharacters
    {58, 1554, 555},	// QsciLexerCSS::writeProperties#$
    {58, 1574, 586},	// QsciLexerCSS::~QsciLexerCSS
    {59, 490, 604},	// QsciLexerCSharp::QsciLexerCSharp
    {59, 491, 594},	// QsciLexerCSharp::QsciLexerCSharp#
    {59, 890, 596},	// QsciLexerCSharp::defaultColor$
    {59, 892, 597},	// QsciLexerCSharp::defaultEolFill$
    {59, 894, 598},	// QsciLexerCSharp::defaultFont$
    {59, 896, 599},	// QsciLexerCSharp::defaultPaper$
    {59, 900, 601},	// QsciLexerCSharp::description$
    {59, 1044, 600},	// QsciLexerCSharp::keywords$
    {59, 1045, 595},	// QsciLexerCSharp::language
    {59, 1101, 587},	// QsciLexerCSharp::metaObject
    {59, 1143, 593},	// QsciLexerCSharp::qt_metacall$$?
    {59, 1145, 588},	// QsciLexerCSharp::qt_metacast$
    {59, 1497, 605},	// QsciLexerCSharp::staticMetaObject
    {59, 1519, 602},	// QsciLexerCSharp::tr$
    {59, 1520, 589},	// QsciLexerCSharp::tr$$
    {59, 1521, 591},	// QsciLexerCSharp::tr$$$
    {59, 1523, 603},	// QsciLexerCSharp::trUtf8$
    {59, 1524, 590},	// QsciLexerCSharp::trUtf8$$
    {59, 1525, 592},	// QsciLexerCSharp::trUtf8$$$
    {59, 1575, 606},	// QsciLexerCSharp::~QsciLexerCSharp
    {60, 492, 623},	// QsciLexerCustom::QsciLexerCustom
    {60, 493, 614},	// QsciLexerCustom::QsciLexerCustom#
    {60, 1101, 607},	// QsciLexerCustom::metaObject
    {60, 1143, 613},	// QsciLexerCustom::qt_metacall$$?
    {60, 1145, 608},	// QsciLexerCustom::qt_metacast$
    {60, 1276, 619},	// QsciLexerCustom::setEditor#
    {60, 1443, 616},	// QsciLexerCustom::setStyling$#
    {60, 1444, 615},	// QsciLexerCustom::setStyling$$
    {60, 1495, 624},	// QsciLexerCustom::startStyling$
    {60, 1496, 617},	// QsciLexerCustom::startStyling$$
    {60, 1497, 625},	// QsciLexerCustom::staticMetaObject
    {60, 1500, 620},	// QsciLexerCustom::styleBitsNeeded
    {60, 1504, 618},	// QsciLexerCustom::styleText$$
    {60, 1519, 621},	// QsciLexerCustom::tr$
    {60, 1520, 609},	// QsciLexerCustom::tr$$
    {60, 1521, 611},	// QsciLexerCustom::tr$$$
    {60, 1523, 622},	// QsciLexerCustom::trUtf8$
    {60, 1524, 610},	// QsciLexerCustom::trUtf8$$
    {60, 1525, 612},	// QsciLexerCustom::trUtf8$$$
    {60, 1576, 626},	// QsciLexerCustom::~QsciLexerCustom
    {61, 80, 683},	// QsciLexerD::BackquoteString
    {61, 122, 677},	// QsciLexerD::Character
    {61, 137, 666},	// QsciLexerD::Comment
    {61, 140, 668},	// QsciLexerD::CommentDoc
    {61, 141, 681},	// QsciLexerD::CommentDocKeyword
    {61, 142, 682},	// QsciLexerD::CommentDocKeywordError
    {61, 143, 667},	// QsciLexerD::CommentLine
    {61, 144, 680},	// QsciLexerD::CommentLineDoc
    {61, 146, 669},	// QsciLexerD::CommentNested
    {61, 158, 665},	// QsciLexerD::Default
    {61, 251, 679},	// QsciLexerD::Identifier
    {61, 299, 671},	// QsciLexerD::Keyword
    {61, 300, 673},	// QsciLexerD::KeywordDoc
    {61, 301, 672},	// QsciLexerD::KeywordSecondary
    {61, 304, 685},	// QsciLexerD::KeywordSet5
    {61, 305, 686},	// QsciLexerD::KeywordSet6
    {61, 306, 687},	// QsciLexerD::KeywordSet7
    {61, 389, 670},	// QsciLexerD::Number
    {61, 393, 678},	// QsciLexerD::Operator
    {61, 494, 660},	// QsciLexerD::QsciLexerD
    {61, 495, 634},	// QsciLexerD::QsciLexerD#
    {61, 575, 684},	// QsciLexerD::RawString
    {61, 687, 675},	// QsciLexerD::String
    {61, 729, 674},	// QsciLexerD::Typedefs
    {61, 732, 676},	// QsciLexerD::UnclosedString
    {61, 825, 637},	// QsciLexerD::autoCompletionWordSeparators
    {61, 831, 661},	// QsciLexerD::blockEnd
    {61, 832, 638},	// QsciLexerD::blockEnd$
    {61, 834, 662},	// QsciLexerD::blockStart
    {61, 835, 639},	// QsciLexerD::blockStart$
    {61, 836, 663},	// QsciLexerD::blockStartKeyword
    {61, 837, 640},	// QsciLexerD::blockStartKeyword$
    {61, 841, 641},	// QsciLexerD::braceStyle
    {61, 890, 643},	// QsciLexerD::defaultColor$
    {61, 892, 644},	// QsciLexerD::defaultEolFill$
    {61, 894, 645},	// QsciLexerD::defaultFont$
    {61, 896, 646},	// QsciLexerD::defaultPaper$
    {61, 900, 648},	// QsciLexerD::description$
    {61, 965, 650},	// QsciLexerD::foldAtElse
    {61, 967, 651},	// QsciLexerD::foldComments
    {61, 968, 652},	// QsciLexerD::foldCompact
    {61, 1044, 647},	// QsciLexerD::keywords$
    {61, 1045, 635},	// QsciLexerD::language
    {61, 1050, 636},	// QsciLexerD::lexer
    {61, 1101, 627},	// QsciLexerD::metaObject
    {61, 1143, 633},	// QsciLexerD::qt_metacall$$?
    {61, 1145, 628},	// QsciLexerD::qt_metacast$
    {61, 1150, 656},	// QsciLexerD::readProperties#$
    {61, 1159, 649},	// QsciLexerD::refreshProperties
    {61, 1293, 653},	// QsciLexerD::setFoldAtElse$
    {61, 1297, 654},	// QsciLexerD::setFoldComments$
    {61, 1299, 655},	// QsciLexerD::setFoldCompact$
    {61, 1497, 664},	// QsciLexerD::staticMetaObject
    {61, 1519, 658},	// QsciLexerD::tr$
    {61, 1520, 629},	// QsciLexerD::tr$$
    {61, 1521, 631},	// QsciLexerD::tr$$$
    {61, 1523, 659},	// QsciLexerD::trUtf8$
    {61, 1524, 630},	// QsciLexerD::trUtf8$$
    {61, 1525, 632},	// QsciLexerD::trUtf8$$$
    {61, 1548, 642},	// QsciLexerD::wordCharacters
    {61, 1554, 657},	// QsciLexerD::writeProperties#$
    {61, 1577, 688},	// QsciLexerD::~QsciLexerD
    {62, 136, 708},	// QsciLexerDiff::Command
    {62, 137, 707},	// QsciLexerDiff::Comment
    {62, 158, 706},	// QsciLexerDiff::Default
    {62, 233, 709},	// QsciLexerDiff::Header
    {62, 340, 712},	// QsciLexerDiff::LineAdded
    {62, 341, 713},	// QsciLexerDiff::LineChanged
    {62, 357, 711},	// QsciLexerDiff::LineRemoved
    {62, 439, 710},	// QsciLexerDiff::Position
    {62, 496, 704},	// QsciLexerDiff::QsciLexerDiff
    {62, 497, 696},	// QsciLexerDiff::QsciLexerDiff#
    {62, 890, 700},	// QsciLexerDiff::defaultColor$
    {62, 900, 701},	// QsciLexerDiff::description$
    {62, 1045, 697},	// QsciLexerDiff::language
    {62, 1050, 698},	// QsciLexerDiff::lexer
    {62, 1101, 689},	// QsciLexerDiff::metaObject
    {62, 1143, 695},	// QsciLexerDiff::qt_metacall$$?
    {62, 1145, 690},	// QsciLexerDiff::qt_metacast$
    {62, 1497, 705},	// QsciLexerDiff::staticMetaObject
    {62, 1519, 702},	// QsciLexerDiff::tr$
    {62, 1520, 691},	// QsciLexerDiff::tr$$
    {62, 1521, 693},	// QsciLexerDiff::tr$$$
    {62, 1523, 703},	// QsciLexerDiff::trUtf8$
    {62, 1524, 692},	// QsciLexerDiff::trUtf8$$
    {62, 1525, 694},	// QsciLexerDiff::trUtf8$$$
    {62, 1548, 699},	// QsciLexerDiff::wordCharacters
    {62, 1578, 714},	// QsciLexerDiff::~QsciLexerDiff
    {63, 498, 728},	// QsciLexerFortran::QsciLexerFortran
    {63, 499, 722},	// QsciLexerFortran::QsciLexerFortran#
    {63, 1044, 725},	// QsciLexerFortran::keywords$
    {63, 1045, 723},	// QsciLexerFortran::language
    {63, 1050, 724},	// QsciLexerFortran::lexer
    {63, 1101, 715},	// QsciLexerFortran::metaObject
    {63, 1143, 721},	// QsciLexerFortran::qt_metacall$$?
    {63, 1145, 716},	// QsciLexerFortran::qt_metacast$
    {63, 1497, 729},	// QsciLexerFortran::staticMetaObject
    {63, 1519, 726},	// QsciLexerFortran::tr$
    {63, 1520, 717},	// QsciLexerFortran::tr$$
    {63, 1521, 719},	// QsciLexerFortran::tr$$$
    {63, 1523, 727},	// QsciLexerFortran::trUtf8$
    {63, 1524, 718},	// QsciLexerFortran::trUtf8$$
    {63, 1525, 720},	// QsciLexerFortran::trUtf8$$$
    {63, 1579, 730},	// QsciLexerFortran::~QsciLexerFortran
    {64, 137, 758},	// QsciLexerFortran77::Comment
    {64, 148, 771},	// QsciLexerFortran77::Continuation
    {64, 158, 757},	// QsciLexerFortran77::Default
    {64, 181, 769},	// QsciLexerFortran77::DottedOperator
    {64, 184, 761},	// QsciLexerFortran77::DoubleQuotedString
    {64, 207, 767},	// QsciLexerFortran77::ExtendedFunction
    {64, 251, 764},	// QsciLexerFortran77::Identifier
    {64, 283, 766},	// QsciLexerFortran77::IntrinsicFunction
    {64, 299, 765},	// QsciLexerFortran77::Keyword
    {64, 309, 770},	// QsciLexerFortran77::Label
    {64, 389, 759},	// QsciLexerFortran77::Number
    {64, 393, 763},	// QsciLexerFortran77::Operator
    {64, 441, 768},	// QsciLexerFortran77::PreProcessor
    {64, 500, 755},	// QsciLexerFortran77::QsciLexerFortran77
    {64, 501, 738},	// QsciLexerFortran77::QsciLexerFortran77#
    {64, 668, 760},	// QsciLexerFortran77::SingleQuotedString
    {64, 732, 762},	// QsciLexerFortran77::UnclosedString
    {64, 841, 741},	// QsciLexerFortran77::braceStyle
    {64, 890, 742},	// QsciLexerFortran77::defaultColor$
    {64, 892, 743},	// QsciLexerFortran77::defaultEolFill$
    {64, 894, 744},	// QsciLexerFortran77::defaultFont$
    {64, 896, 745},	// QsciLexerFortran77::defaultPaper$
    {64, 900, 747},	// QsciLexerFortran77::description$
    {64, 968, 749},	// QsciLexerFortran77::foldCompact
    {64, 1044, 746},	// QsciLexerFortran77::keywords$
    {64, 1045, 739},	// QsciLexerFortran77::language
    {64, 1050, 740},	// QsciLexerFortran77::lexer
    {64, 1101, 731},	// QsciLexerFortran77::metaObject
    {64, 1143, 737},	// QsciLexerFortran77::qt_metacall$$?
    {64, 1145, 732},	// QsciLexerFortran77::qt_metacast$
    {64, 1150, 751},	// QsciLexerFortran77::readProperties#$
    {64, 1159, 748},	// QsciLexerFortran77::refreshProperties
    {64, 1299, 750},	// QsciLexerFortran77::setFoldCompact$
    {64, 1497, 756},	// QsciLexerFortran77::staticMetaObject
    {64, 1519, 753},	// QsciLexerFortran77::tr$
    {64, 1520, 733},	// QsciLexerFortran77::tr$$
    {64, 1521, 735},	// QsciLexerFortran77::tr$$$
    {64, 1523, 754},	// QsciLexerFortran77::trUtf8$
    {64, 1524, 734},	// QsciLexerFortran77::trUtf8$$
    {64, 1525, 736},	// QsciLexerFortran77::trUtf8$$$
    {64, 1554, 752},	// QsciLexerFortran77::writeProperties#$
    {64, 1580, 772},	// QsciLexerFortran77::~QsciLexerFortran77
    {65, 11, 827},	// QsciLexerHTML::ASPAtStart
    {65, 12, 859},	// QsciLexerHTML::ASPJavaScriptComment
    {65, 13, 861},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {65, 14, 860},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {65, 15, 858},	// QsciLexerHTML::ASPJavaScriptDefault
    {65, 16, 865},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {65, 17, 864},	// QsciLexerHTML::ASPJavaScriptKeyword
    {65, 18, 862},	// QsciLexerHTML::ASPJavaScriptNumber
    {65, 19, 869},	// QsciLexerHTML::ASPJavaScriptRegex
    {65, 20, 866},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {65, 21, 857},	// QsciLexerHTML::ASPJavaScriptStart
    {65, 22, 867},	// QsciLexerHTML::ASPJavaScriptSymbol
    {65, 23, 868},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {65, 24, 863},	// QsciLexerHTML::ASPJavaScriptWord
    {65, 25, 908},	// QsciLexerHTML::ASPPythonClassName
    {65, 26, 901},	// QsciLexerHTML::ASPPythonComment
    {65, 27, 900},	// QsciLexerHTML::ASPPythonDefault
    {65, 28, 903},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {65, 29, 909},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {65, 30, 911},	// QsciLexerHTML::ASPPythonIdentifier
    {65, 31, 905},	// QsciLexerHTML::ASPPythonKeyword
    {65, 32, 902},	// QsciLexerHTML::ASPPythonNumber
    {65, 33, 910},	// QsciLexerHTML::ASPPythonOperator
    {65, 34, 904},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {65, 35, 899},	// QsciLexerHTML::ASPPythonStart
    {65, 36, 907},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {65, 37, 906},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {65, 38, 828},	// QsciLexerHTML::ASPStart
    {65, 39, 880},	// QsciLexerHTML::ASPVBScriptComment
    {65, 40, 879},	// QsciLexerHTML::ASPVBScriptDefault
    {65, 41, 884},	// QsciLexerHTML::ASPVBScriptIdentifier
    {65, 42, 882},	// QsciLexerHTML::ASPVBScriptKeyword
    {65, 43, 881},	// QsciLexerHTML::ASPVBScriptNumber
    {65, 44, 878},	// QsciLexerHTML::ASPVBScriptStart
    {65, 45, 883},	// QsciLexerHTML::ASPVBScriptString
    {65, 46, 885},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {65, 47, 832},	// QsciLexerHTML::ASPXCComment
    {65, 66, 815},	// QsciLexerHTML::Attribute
    {65, 104, 829},	// QsciLexerHTML::CDATA
    {65, 158, 812},	// QsciLexerHTML::Default
    {65, 197, 822},	// QsciLexerHTML::Entity
    {65, 226, 821},	// QsciLexerHTML::HTMLComment
    {65, 227, 818},	// QsciLexerHTML::HTMLDoubleQuotedString
    {65, 228, 817},	// QsciLexerHTML::HTMLNumber
    {65, 229, 819},	// QsciLexerHTML::HTMLSingleQuotedString
    {65, 230, 831},	// QsciLexerHTML::HTMLValue
    {65, 285, 846},	// QsciLexerHTML::JavaScriptComment
    {65, 286, 848},	// QsciLexerHTML::JavaScriptCommentDoc
    {65, 287, 847},	// QsciLexerHTML::JavaScriptCommentLine
    {65, 288, 845},	// QsciLexerHTML::JavaScriptDefault
    {65, 289, 852},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {65, 290, 851},	// QsciLexerHTML::JavaScriptKeyword
    {65, 291, 849},	// QsciLexerHTML::JavaScriptNumber
    {65, 292, 856},	// QsciLexerHTML::JavaScriptRegex
    {65, 293, 853},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {65, 294, 844},	// QsciLexerHTML::JavaScriptStart
    {65, 295, 854},	// QsciLexerHTML::JavaScriptSymbol
    {65, 296, 855},	// QsciLexerHTML::JavaScriptUnclosedString
    {65, 297, 850},	// QsciLexerHTML::JavaScriptWord
    {65, 395, 820},	// QsciLexerHTML::OtherInTag
    {65, 396, 918},	// QsciLexerHTML::PHPComment
    {65, 397, 919},	// QsciLexerHTML::PHPCommentLine
    {65, 398, 912},	// QsciLexerHTML::PHPDefault
    {65, 399, 913},	// QsciLexerHTML::PHPDoubleQuotedString
    {65, 400, 920},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {65, 401, 915},	// QsciLexerHTML::PHPKeyword
    {65, 402, 916},	// QsciLexerHTML::PHPNumber
    {65, 403, 921},	// QsciLexerHTML::PHPOperator
    {65, 404, 914},	// QsciLexerHTML::PHPSingleQuotedString
    {65, 405, 830},	// QsciLexerHTML::PHPStart
    {65, 406, 917},	// QsciLexerHTML::PHPVariable
    {65, 451, 895},	// QsciLexerHTML::PythonClassName
    {65, 452, 888},	// QsciLexerHTML::PythonComment
    {65, 453, 887},	// QsciLexerHTML::PythonDefault
    {65, 454, 890},	// QsciLexerHTML::PythonDoubleQuotedString
    {65, 455, 896},	// QsciLexerHTML::PythonFunctionMethodName
    {65, 456, 898},	// QsciLexerHTML::PythonIdentifier
    {65, 457, 892},	// QsciLexerHTML::PythonKeyword
    {65, 458, 889},	// QsciLexerHTML::PythonNumber
    {65, 459, 897},	// QsciLexerHTML::PythonOperator
    {65, 460, 891},	// QsciLexerHTML::PythonSingleQuotedString
    {65, 461, 886},	// QsciLexerHTML::PythonStart
    {65, 462, 894},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {65, 463, 893},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {65, 502, 810},	// QsciLexerHTML::QsciLexerHTML
    {65, 503, 780},	// QsciLexerHTML::QsciLexerHTML#
    {65, 631, 843},	// QsciLexerHTML::SGMLBlockDefault
    {65, 632, 834},	// QsciLexerHTML::SGMLCommand
    {65, 633, 841},	// QsciLexerHTML::SGMLComment
    {65, 634, 833},	// QsciLexerHTML::SGMLDefault
    {65, 635, 836},	// QsciLexerHTML::SGMLDoubleQuotedString
    {65, 636, 840},	// QsciLexerHTML::SGMLEntity
    {65, 637, 838},	// QsciLexerHTML::SGMLError
    {65, 638, 835},	// QsciLexerHTML::SGMLParameter
    {65, 639, 842},	// QsciLexerHTML::SGMLParameterComment
    {65, 640, 837},	// QsciLexerHTML::SGMLSingleQuotedString
    {65, 641, 839},	// QsciLexerHTML::SGMLSpecial
    {65, 644, 826},	// QsciLexerHTML::Script
    {65, 714, 813},	// QsciLexerHTML::Tag
    {65, 735, 816},	// QsciLexerHTML::UnknownAttribute
    {65, 738, 814},	// QsciLexerHTML::UnknownTag
    {65, 740, 872},	// QsciLexerHTML::VBScriptComment
    {65, 741, 871},	// QsciLexerHTML::VBScriptDefault
    {65, 742, 876},	// QsciLexerHTML::VBScriptIdentifier
    {65, 743, 874},	// QsciLexerHTML::VBScriptKeyword
    {65, 744, 873},	// QsciLexerHTML::VBScriptNumber
    {65, 745, 870},	// QsciLexerHTML::VBScriptStart
    {65, 746, 875},	// QsciLexerHTML::VBScriptString
    {65, 747, 877},	// QsciLexerHTML::VBScriptUnclosedString
    {65, 785, 825},	// QsciLexerHTML::XMLEnd
    {65, 786, 824},	// QsciLexerHTML::XMLStart
    {65, 787, 823},	// QsciLexerHTML::XMLTagEnd
    {65, 816, 783},	// QsciLexerHTML::autoCompletionFillups
    {65, 853, 792},	// QsciLexerHTML::caseSensitiveTags
    {65, 890, 785},	// QsciLexerHTML::defaultColor$
    {65, 892, 786},	// QsciLexerHTML::defaultEolFill$
    {65, 894, 787},	// QsciLexerHTML::defaultFont$
    {65, 896, 788},	// QsciLexerHTML::defaultPaper$
    {65, 900, 790},	// QsciLexerHTML::description$
    {65, 903, 794},	// QsciLexerHTML::djangoTemplates
    {65, 968, 795},	// QsciLexerHTML::foldCompact
    {65, 975, 796},	// QsciLexerHTML::foldPreprocessor
    {65, 977, 798},	// QsciLexerHTML::foldScriptComments
    {65, 978, 800},	// QsciLexerHTML::foldScriptHeredocs
    {65, 1044, 789},	// QsciLexerHTML::keywords$
    {65, 1045, 781},	// QsciLexerHTML::language
    {65, 1050, 782},	// QsciLexerHTML::lexer
    {65, 1065, 802},	// QsciLexerHTML::makoTemplates
    {65, 1101, 773},	// QsciLexerHTML::metaObject
    {65, 1143, 779},	// QsciLexerHTML::qt_metacall$$?
    {65, 1145, 774},	// QsciLexerHTML::qt_metacast$
    {65, 1150, 806},	// QsciLexerHTML::readProperties#$
    {65, 1159, 791},	// QsciLexerHTML::refreshProperties
    {65, 1243, 805},	// QsciLexerHTML::setCaseSensitiveTags$
    {65, 1262, 793},	// QsciLexerHTML::setDjangoTemplates$
    {65, 1299, 803},	// QsciLexerHTML::setFoldCompact$
    {65, 1311, 804},	// QsciLexerHTML::setFoldPreprocessor$
    {65, 1315, 797},	// QsciLexerHTML::setFoldScriptComments$
    {65, 1317, 799},	// QsciLexerHTML::setFoldScriptHeredocs$
    {65, 1372, 801},	// QsciLexerHTML::setMakoTemplates$
    {65, 1497, 811},	// QsciLexerHTML::staticMetaObject
    {65, 1519, 808},	// QsciLexerHTML::tr$
    {65, 1520, 775},	// QsciLexerHTML::tr$$
    {65, 1521, 777},	// QsciLexerHTML::tr$$$
    {65, 1523, 809},	// QsciLexerHTML::trUtf8$
    {65, 1524, 776},	// QsciLexerHTML::trUtf8$$
    {65, 1525, 778},	// QsciLexerHTML::trUtf8$$$
    {65, 1548, 784},	// QsciLexerHTML::wordCharacters
    {65, 1554, 807},	// QsciLexerHTML::writeProperties#$
    {65, 1581, 922},	// QsciLexerHTML::~QsciLexerHTML
    {66, 504, 937},	// QsciLexerIDL::QsciLexerIDL
    {66, 505, 930},	// QsciLexerIDL::QsciLexerIDL#
    {66, 890, 932},	// QsciLexerIDL::defaultColor$
    {66, 900, 934},	// QsciLexerIDL::description$
    {66, 1044, 933},	// QsciLexerIDL::keywords$
    {66, 1045, 931},	// QsciLexerIDL::language
    {66, 1101, 923},	// QsciLexerIDL::metaObject
    {66, 1143, 929},	// QsciLexerIDL::qt_metacall$$?
    {66, 1145, 924},	// QsciLexerIDL::qt_metacast$
    {66, 1497, 938},	// QsciLexerIDL::staticMetaObject
    {66, 1519, 935},	// QsciLexerIDL::tr$
    {66, 1520, 925},	// QsciLexerIDL::tr$$
    {66, 1521, 927},	// QsciLexerIDL::tr$$$
    {66, 1523, 936},	// QsciLexerIDL::trUtf8$
    {66, 1524, 926},	// QsciLexerIDL::trUtf8$$
    {66, 1525, 928},	// QsciLexerIDL::trUtf8$$$
    {66, 1582, 939},	// QsciLexerIDL::~QsciLexerIDL
    {67, 506, 952},	// QsciLexerJava::QsciLexerJava
    {67, 507, 947},	// QsciLexerJava::QsciLexerJava#
    {67, 1044, 949},	// QsciLexerJava::keywords$
    {67, 1045, 948},	// QsciLexerJava::language
    {67, 1101, 940},	// QsciLexerJava::metaObject
    {67, 1143, 946},	// QsciLexerJava::qt_metacall$$?
    {67, 1145, 941},	// QsciLexerJava::qt_metacast$
    {67, 1497, 953},	// QsciLexerJava::staticMetaObject
    {67, 1519, 950},	// QsciLexerJava::tr$
    {67, 1520, 942},	// QsciLexerJava::tr$$
    {67, 1521, 944},	// QsciLexerJava::tr$$$
    {67, 1523, 951},	// QsciLexerJava::trUtf8$
    {67, 1524, 943},	// QsciLexerJava::trUtf8$$
    {67, 1525, 945},	// QsciLexerJava::trUtf8$$$
    {67, 1583, 954},	// QsciLexerJava::~QsciLexerJava
    {68, 508, 972},	// QsciLexerJavaScript::QsciLexerJavaScript
    {68, 509, 962},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {68, 890, 964},	// QsciLexerJavaScript::defaultColor$
    {68, 892, 965},	// QsciLexerJavaScript::defaultEolFill$
    {68, 894, 966},	// QsciLexerJavaScript::defaultFont$
    {68, 896, 967},	// QsciLexerJavaScript::defaultPaper$
    {68, 900, 969},	// QsciLexerJavaScript::description$
    {68, 1044, 968},	// QsciLexerJavaScript::keywords$
    {68, 1045, 963},	// QsciLexerJavaScript::language
    {68, 1101, 955},	// QsciLexerJavaScript::metaObject
    {68, 1143, 961},	// QsciLexerJavaScript::qt_metacall$$?
    {68, 1145, 956},	// QsciLexerJavaScript::qt_metacast$
    {68, 1497, 973},	// QsciLexerJavaScript::staticMetaObject
    {68, 1519, 970},	// QsciLexerJavaScript::tr$
    {68, 1520, 957},	// QsciLexerJavaScript::tr$$
    {68, 1521, 959},	// QsciLexerJavaScript::tr$$$
    {68, 1523, 971},	// QsciLexerJavaScript::trUtf8$
    {68, 1524, 958},	// QsciLexerJavaScript::trUtf8$$
    {68, 1525, 960},	// QsciLexerJavaScript::trUtf8$$$
    {68, 1584, 974},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {69, 89, 1016},	// QsciLexerLua::BasicFunctions
    {69, 122, 1010},	// QsciLexerLua::Character
    {69, 137, 1005},	// QsciLexerLua::Comment
    {69, 149, 1018},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {69, 158, 1004},	// QsciLexerLua::Default
    {69, 251, 1014},	// QsciLexerLua::Identifier
    {69, 299, 1008},	// QsciLexerLua::Keyword
    {69, 304, 1019},	// QsciLexerLua::KeywordSet5
    {69, 305, 1020},	// QsciLexerLua::KeywordSet6
    {69, 306, 1021},	// QsciLexerLua::KeywordSet7
    {69, 307, 1022},	// QsciLexerLua::KeywordSet8
    {69, 309, 1023},	// QsciLexerLua::Label
    {69, 342, 1006},	// QsciLexerLua::LineComment
    {69, 365, 1011},	// QsciLexerLua::LiteralString
    {69, 389, 1007},	// QsciLexerLua::Number
    {69, 393, 1013},	// QsciLexerLua::Operator
    {69, 446, 1012},	// QsciLexerLua::Preprocessor
    {69, 510, 1001},	// QsciLexerLua::QsciLexerLua
    {69, 511, 982},	// QsciLexerLua::QsciLexerLua#
    {69, 687, 1009},	// QsciLexerLua::String
    {69, 690, 1017},	// QsciLexerLua::StringTableMathsFunctions
    {69, 732, 1015},	// QsciLexerLua::UnclosedString
    {69, 825, 985},	// QsciLexerLua::autoCompletionWordSeparators
    {69, 834, 1002},	// QsciLexerLua::blockStart
    {69, 835, 986},	// QsciLexerLua::blockStart$
    {69, 841, 987},	// QsciLexerLua::braceStyle
    {69, 890, 988},	// QsciLexerLua::defaultColor$
    {69, 892, 989},	// QsciLexerLua::defaultEolFill$
    {69, 894, 990},	// QsciLexerLua::defaultFont$
    {69, 896, 991},	// QsciLexerLua::defaultPaper$
    {69, 900, 993},	// QsciLexerLua::description$
    {69, 968, 995},	// QsciLexerLua::foldCompact
    {69, 1044, 992},	// QsciLexerLua::keywords$
    {69, 1045, 983},	// QsciLexerLua::language
    {69, 1050, 984},	// QsciLexerLua::lexer
    {69, 1101, 975},	// QsciLexerLua::metaObject
    {69, 1143, 981},	// QsciLexerLua::qt_metacall$$?
    {69, 1145, 976},	// QsciLexerLua::qt_metacast$
    {69, 1150, 997},	// QsciLexerLua::readProperties#$
    {69, 1159, 994},	// QsciLexerLua::refreshProperties
    {69, 1299, 996},	// QsciLexerLua::setFoldCompact$
    {69, 1497, 1003},	// QsciLexerLua::staticMetaObject
    {69, 1519, 999},	// QsciLexerLua::tr$
    {69, 1520, 977},	// QsciLexerLua::tr$$
    {69, 1521, 979},	// QsciLexerLua::tr$$$
    {69, 1523, 1000},	// QsciLexerLua::trUtf8$
    {69, 1524, 978},	// QsciLexerLua::trUtf8$$
    {69, 1525, 980},	// QsciLexerLua::trUtf8$$$
    {69, 1554, 998},	// QsciLexerLua::writeProperties#$
    {69, 1585, 1024},	// QsciLexerLua::~QsciLexerLua
    {70, 137, 1046},	// QsciLexerMakefile::Comment
    {70, 158, 1045},	// QsciLexerMakefile::Default
    {70, 203, 1051},	// QsciLexerMakefile::Error
    {70, 393, 1049},	// QsciLexerMakefile::Operator
    {70, 446, 1047},	// QsciLexerMakefile::Preprocessor
    {70, 512, 1043},	// QsciLexerMakefile::QsciLexerMakefile
    {70, 513, 1032},	// QsciLexerMakefile::QsciLexerMakefile#
    {70, 715, 1050},	// QsciLexerMakefile::Target
    {70, 755, 1048},	// QsciLexerMakefile::Variable
    {70, 890, 1036},	// QsciLexerMakefile::defaultColor$
    {70, 892, 1037},	// QsciLexerMakefile::defaultEolFill$
    {70, 894, 1038},	// QsciLexerMakefile::defaultFont$
    {70, 896, 1039},	// QsciLexerMakefile::defaultPaper$
    {70, 900, 1040},	// QsciLexerMakefile::description$
    {70, 1045, 1033},	// QsciLexerMakefile::language
    {70, 1050, 1034},	// QsciLexerMakefile::lexer
    {70, 1101, 1025},	// QsciLexerMakefile::metaObject
    {70, 1143, 1031},	// QsciLexerMakefile::qt_metacall$$?
    {70, 1145, 1026},	// QsciLexerMakefile::qt_metacast$
    {70, 1497, 1044},	// QsciLexerMakefile::staticMetaObject
    {70, 1519, 1041},	// QsciLexerMakefile::tr$
    {70, 1520, 1027},	// QsciLexerMakefile::tr$$
    {70, 1521, 1029},	// QsciLexerMakefile::tr$$$
    {70, 1523, 1042},	// QsciLexerMakefile::trUtf8$
    {70, 1524, 1028},	// QsciLexerMakefile::trUtf8$$
    {70, 1525, 1030},	// QsciLexerMakefile::trUtf8$$$
    {70, 1548, 1035},	// QsciLexerMakefile::wordCharacters
    {70, 1586, 1052},	// QsciLexerMakefile::~QsciLexerMakefile
    {71, 86, 1093},	// QsciLexerPOV::BadDirective
    {71, 137, 1085},	// QsciLexerPOV::Comment
    {71, 143, 1086},	// QsciLexerPOV::CommentLine
    {71, 158, 1084},	// QsciLexerPOV::Default
    {71, 173, 1092},	// QsciLexerPOV::Directive
    {71, 251, 1089},	// QsciLexerPOV::Identifier
    {71, 305, 1098},	// QsciLexerPOV::KeywordSet6
    {71, 306, 1099},	// QsciLexerPOV::KeywordSet7
    {71, 307, 1100},	// QsciLexerPOV::KeywordSet8
    {71, 389, 1087},	// QsciLexerPOV::Number
    {71, 391, 1094},	// QsciLexerPOV::ObjectsCSGAppearance
    {71, 393, 1088},	// QsciLexerPOV::Operator
    {71, 444, 1097},	// QsciLexerPOV::PredefinedFunctions
    {71, 445, 1096},	// QsciLexerPOV::PredefinedIdentifiers
    {71, 514, 1082},	// QsciLexerPOV::QsciLexerPOV
    {71, 515, 1060},	// QsciLexerPOV::QsciLexerPOV#
    {71, 687, 1090},	// QsciLexerPOV::String
    {71, 730, 1095},	// QsciLexerPOV::TypesModifiersItems
    {71, 732, 1091},	// QsciLexerPOV::UnclosedString
    {71, 841, 1063},	// QsciLexerPOV::braceStyle
    {71, 890, 1065},	// QsciLexerPOV::defaultColor$
    {71, 892, 1066},	// QsciLexerPOV::defaultEolFill$
    {71, 894, 1067},	// QsciLexerPOV::defaultFont$
    {71, 896, 1068},	// QsciLexerPOV::defaultPaper$
    {71, 900, 1070},	// QsciLexerPOV::description$
    {71, 967, 1072},	// QsciLexerPOV::foldComments
    {71, 968, 1073},	// QsciLexerPOV::foldCompact
    {71, 969, 1074},	// QsciLexerPOV::foldDirectives
    {71, 1044, 1069},	// QsciLexerPOV::keywords$
    {71, 1045, 1061},	// QsciLexerPOV::language
    {71, 1050, 1062},	// QsciLexerPOV::lexer
    {71, 1101, 1053},	// QsciLexerPOV::metaObject
    {71, 1143, 1059},	// QsciLexerPOV::qt_metacall$$?
    {71, 1145, 1054},	// QsciLexerPOV::qt_metacast$
    {71, 1150, 1078},	// QsciLexerPOV::readProperties#$
    {71, 1159, 1071},	// QsciLexerPOV::refreshProperties
    {71, 1297, 1075},	// QsciLexerPOV::setFoldComments$
    {71, 1299, 1076},	// QsciLexerPOV::setFoldCompact$
    {71, 1301, 1077},	// QsciLexerPOV::setFoldDirectives$
    {71, 1497, 1083},	// QsciLexerPOV::staticMetaObject
    {71, 1519, 1080},	// QsciLexerPOV::tr$
    {71, 1520, 1055},	// QsciLexerPOV::tr$$
    {71, 1521, 1057},	// QsciLexerPOV::tr$$$
    {71, 1523, 1081},	// QsciLexerPOV::trUtf8$
    {71, 1524, 1056},	// QsciLexerPOV::trUtf8$$
    {71, 1525, 1058},	// QsciLexerPOV::trUtf8$$$
    {71, 1548, 1064},	// QsciLexerPOV::wordCharacters
    {71, 1554, 1079},	// QsciLexerPOV::writeProperties#$
    {71, 1587, 1101},	// QsciLexerPOV::~QsciLexerPOV
    {72, 63, 1155},	// QsciLexerPascal::Asm
    {72, 122, 1153},	// QsciLexerPascal::Character
    {72, 137, 1143},	// QsciLexerPascal::Comment
    {72, 143, 1145},	// QsciLexerPascal::CommentLine
    {72, 147, 1144},	// QsciLexerPascal::CommentParenthesis
    {72, 158, 1141},	// QsciLexerPascal::Default
    {72, 236, 1149},	// QsciLexerPascal::HexNumber
    {72, 251, 1142},	// QsciLexerPascal::Identifier
    {72, 299, 1150},	// QsciLexerPascal::Keyword
    {72, 389, 1148},	// QsciLexerPascal::Number
    {72, 393, 1154},	// QsciLexerPascal::Operator
    {72, 441, 1146},	// QsciLexerPascal::PreProcessor
    {72, 443, 1147},	// QsciLexerPascal::PreProcessorParenthesis
    {72, 516, 1136},	// QsciLexerPascal::QsciLexerPascal
    {72, 517, 1109},	// QsciLexerPascal::QsciLexerPascal#
    {72, 668, 1151},	// QsciLexerPascal::SingleQuotedString
    {72, 732, 1152},	// QsciLexerPascal::UnclosedString
    {72, 825, 1112},	// QsciLexerPascal::autoCompletionWordSeparators
    {72, 831, 1137},	// QsciLexerPascal::blockEnd
    {72, 832, 1113},	// QsciLexerPascal::blockEnd$
    {72, 834, 1138},	// QsciLexerPascal::blockStart
    {72, 835, 1114},	// QsciLexerPascal::blockStart$
    {72, 836, 1139},	// QsciLexerPascal::blockStartKeyword
    {72, 837, 1115},	// QsciLexerPascal::blockStartKeyword$
    {72, 841, 1116},	// QsciLexerPascal::braceStyle
    {72, 890, 1117},	// QsciLexerPascal::defaultColor$
    {72, 892, 1118},	// QsciLexerPascal::defaultEolFill$
    {72, 894, 1119},	// QsciLexerPascal::defaultFont$
    {72, 896, 1120},	// QsciLexerPascal::defaultPaper$
    {72, 900, 1122},	// QsciLexerPascal::description$
    {72, 967, 1124},	// QsciLexerPascal::foldComments
    {72, 968, 1125},	// QsciLexerPascal::foldCompact
    {72, 975, 1126},	// QsciLexerPascal::foldPreprocessor
    {72, 1044, 1121},	// QsciLexerPascal::keywords$
    {72, 1045, 1110},	// QsciLexerPascal::language
    {72, 1050, 1111},	// QsciLexerPascal::lexer
    {72, 1101, 1102},	// QsciLexerPascal::metaObject
    {72, 1143, 1108},	// QsciLexerPascal::qt_metacall$$?
    {72, 1145, 1103},	// QsciLexerPascal::qt_metacast$
    {72, 1150, 1132},	// QsciLexerPascal::readProperties#$
    {72, 1159, 1123},	// QsciLexerPascal::refreshProperties
    {72, 1297, 1129},	// QsciLexerPascal::setFoldComments$
    {72, 1299, 1130},	// QsciLexerPascal::setFoldCompact$
    {72, 1311, 1131},	// QsciLexerPascal::setFoldPreprocessor$
    {72, 1437, 1127},	// QsciLexerPascal::setSmartHighlighting$
    {72, 1491, 1128},	// QsciLexerPascal::smartHighlighting
    {72, 1497, 1140},	// QsciLexerPascal::staticMetaObject
    {72, 1519, 1134},	// QsciLexerPascal::tr$
    {72, 1520, 1104},	// QsciLexerPascal::tr$$
    {72, 1521, 1106},	// QsciLexerPascal::tr$$$
    {72, 1523, 1135},	// QsciLexerPascal::trUtf8$
    {72, 1524, 1105},	// QsciLexerPascal::trUtf8$$
    {72, 1525, 1107},	// QsciLexerPascal::trUtf8$$$
    {72, 1554, 1133},	// QsciLexerPascal::writeProperties#$
    {72, 1588, 1156},	// QsciLexerPascal::~QsciLexerPascal
    {73, 61, 1208},	// QsciLexerPerl::Array
    {73, 82, 1218},	// QsciLexerPerl::BacktickHereDocument
    {73, 83, 1234},	// QsciLexerPerl::BacktickHereDocumentVar
    {73, 84, 1213},	// QsciLexerPerl::Backticks
    {73, 85, 1232},	// QsciLexerPerl::BackticksVar
    {73, 137, 1199},	// QsciLexerPerl::Comment
    {73, 156, 1214},	// QsciLexerPerl::DataSection
    {73, 158, 1197},	// QsciLexerPerl::Default
    {73, 182, 1217},	// QsciLexerPerl::DoubleQuotedHereDocument
    {73, 183, 1233},	// QsciLexerPerl::DoubleQuotedHereDocumentVar
    {73, 184, 1203},	// QsciLexerPerl::DoubleQuotedString
    {73, 185, 1228},	// QsciLexerPerl::DoubleQuotedStringVar
    {73, 203, 1198},	// QsciLexerPerl::Error
    {73, 214, 1227},	// QsciLexerPerl::FormatBody
    {73, 215, 1226},	// QsciLexerPerl::FormatIdentifier
    {73, 231, 1209},	// QsciLexerPerl::Hash
    {73, 235, 1215},	// QsciLexerPerl::HereDocumentDelimiter
    {73, 251, 1206},	// QsciLexerPerl::Identifier
    {73, 299, 1202},	// QsciLexerPerl::Keyword
    {73, 389, 1201},	// QsciLexerPerl::Number
    {73, 393, 1205},	// QsciLexerPerl::Operator
    {73, 407, 1200},	// QsciLexerPerl::POD
    {73, 408, 1224},	// QsciLexerPerl::PODVerbatim
    {73, 518, 1193},	// QsciLexerPerl::QsciLexerPerl
    {73, 519, 1164},	// QsciLexerPerl::QsciLexerPerl#
    {73, 566, 1219},	// QsciLexerPerl::QuotedStringQ
    {73, 567, 1220},	// QsciLexerPerl::QuotedStringQQ
    {73, 568, 1235},	// QsciLexerPerl::QuotedStringQQVar
    {73, 569, 1222},	// QsciLexerPerl::QuotedStringQR
    {73, 570, 1237},	// QsciLexerPerl::QuotedStringQRVar
    {73, 571, 1223},	// QsciLexerPerl::QuotedStringQW
    {73, 572, 1221},	// QsciLexerPerl::QuotedStringQX
    {73, 573, 1236},	// QsciLexerPerl::QuotedStringQXVar
    {73, 579, 1211},	// QsciLexerPerl::Regex
    {73, 580, 1230},	// QsciLexerPerl::RegexVar
    {73, 642, 1207},	// QsciLexerPerl::Scalar
    {73, 667, 1216},	// QsciLexerPerl::SingleQuotedHereDocument
    {73, 668, 1204},	// QsciLexerPerl::SingleQuotedString
    {73, 697, 1225},	// QsciLexerPerl::SubroutinePrototype
    {73, 698, 1212},	// QsciLexerPerl::Substitution
    {73, 700, 1231},	// QsciLexerPerl::SubstitutionVar
    {73, 706, 1210},	// QsciLexerPerl::SymbolTable
    {73, 725, 1229},	// QsciLexerPerl::Translation
    {73, 825, 1167},	// QsciLexerPerl::autoCompletionWordSeparators
    {73, 831, 1194},	// QsciLexerPerl::blockEnd
    {73, 832, 1168},	// QsciLexerPerl::blockEnd$
    {73, 834, 1195},	// QsciLexerPerl::blockStart
    {73, 835, 1169},	// QsciLexerPerl::blockStart$
    {73, 841, 1170},	// QsciLexerPerl::braceStyle
    {73, 890, 1172},	// QsciLexerPerl::defaultColor$
    {73, 892, 1173},	// QsciLexerPerl::defaultEolFill$
    {73, 894, 1174},	// QsciLexerPerl::defaultFont$
    {73, 896, 1175},	// QsciLexerPerl::defaultPaper$
    {73, 900, 1177},	// QsciLexerPerl::description$
    {73, 965, 1180},	// QsciLexerPerl::foldAtElse
    {73, 967, 1181},	// QsciLexerPerl::foldComments
    {73, 968, 1182},	// QsciLexerPerl::foldCompact
    {73, 973, 1186},	// QsciLexerPerl::foldPODBlocks
    {73, 974, 1184},	// QsciLexerPerl::foldPackages
    {73, 1044, 1176},	// QsciLexerPerl::keywords$
    {73, 1045, 1165},	// QsciLexerPerl::language
    {73, 1050, 1166},	// QsciLexerPerl::lexer
    {73, 1101, 1157},	// QsciLexerPerl::metaObject
    {73, 1143, 1163},	// QsciLexerPerl::qt_metacall$$?
    {73, 1145, 1158},	// QsciLexerPerl::qt_metacast$
    {73, 1150, 1189},	// QsciLexerPerl::readProperties#$
    {73, 1159, 1178},	// QsciLexerPerl::refreshProperties
    {73, 1293, 1179},	// QsciLexerPerl::setFoldAtElse$
    {73, 1297, 1187},	// QsciLexerPerl::setFoldComments$
    {73, 1299, 1188},	// QsciLexerPerl::setFoldCompact$
    {73, 1307, 1185},	// QsciLexerPerl::setFoldPODBlocks$
    {73, 1309, 1183},	// QsciLexerPerl::setFoldPackages$
    {73, 1497, 1196},	// QsciLexerPerl::staticMetaObject
    {73, 1519, 1191},	// QsciLexerPerl::tr$
    {73, 1520, 1159},	// QsciLexerPerl::tr$$
    {73, 1521, 1161},	// QsciLexerPerl::tr$$$
    {73, 1523, 1192},	// QsciLexerPerl::trUtf8$
    {73, 1524, 1160},	// QsciLexerPerl::trUtf8$$
    {73, 1525, 1162},	// QsciLexerPerl::trUtf8$$$
    {73, 1548, 1171},	// QsciLexerPerl::wordCharacters
    {73, 1554, 1190},	// QsciLexerPerl::writeProperties#$
    {73, 1589, 1238},	// QsciLexerPerl::~QsciLexerPerl
    {74, 62, 1279},	// QsciLexerPostScript::ArrayParenthesis
    {74, 87, 1285},	// QsciLexerPostScript::BadStringCharacter
    {74, 88, 1284},	// QsciLexerPostScript::Base85String
    {74, 137, 1271},	// QsciLexerPostScript::Comment
    {74, 153, 1272},	// QsciLexerPostScript::DSCComment
    {74, 154, 1273},	// QsciLexerPostScript::DSCCommentValue
    {74, 158, 1270},	// QsciLexerPostScript::Default
    {74, 171, 1280},	// QsciLexerPostScript::DictionaryParenthesis
    {74, 237, 1283},	// QsciLexerPostScript::HexString
    {74, 254, 1278},	// QsciLexerPostScript::ImmediateEvalLiteral
    {74, 299, 1276},	// QsciLexerPostScript::Keyword
    {74, 364, 1277},	// QsciLexerPostScript::Literal
    {74, 382, 1275},	// QsciLexerPostScript::Name
    {74, 389, 1274},	// QsciLexerPostScript::Number
    {74, 448, 1281},	// QsciLexerPostScript::ProcedureParenthesis
    {74, 520, 1268},	// QsciLexerPostScript::QsciLexerPostScript
    {74, 521, 1246},	// QsciLexerPostScript::QsciLexerPostScript#
    {74, 716, 1282},	// QsciLexerPostScript::Text
    {74, 841, 1249},	// QsciLexerPostScript::braceStyle
    {74, 890, 1250},	// QsciLexerPostScript::defaultColor$
    {74, 894, 1251},	// QsciLexerPostScript::defaultFont$
    {74, 896, 1252},	// QsciLexerPostScript::defaultPaper$
    {74, 900, 1254},	// QsciLexerPostScript::description$
    {74, 965, 1259},	// QsciLexerPostScript::foldAtElse
    {74, 968, 1258},	// QsciLexerPostScript::foldCompact
    {74, 1044, 1253},	// QsciLexerPostScript::keywords$
    {74, 1045, 1247},	// QsciLexerPostScript::language
    {74, 1049, 1257},	// QsciLexerPostScript::level
    {74, 1050, 1248},	// QsciLexerPostScript::lexer
    {74, 1101, 1239},	// QsciLexerPostScript::metaObject
    {74, 1143, 1245},	// QsciLexerPostScript::qt_metacall$$?
    {74, 1145, 1240},	// QsciLexerPostScript::qt_metacast$
    {74, 1150, 1264},	// QsciLexerPostScript::readProperties#$
    {74, 1159, 1255},	// QsciLexerPostScript::refreshProperties
    {74, 1293, 1263},	// QsciLexerPostScript::setFoldAtElse$
    {74, 1299, 1262},	// QsciLexerPostScript::setFoldCompact$
    {74, 1366, 1261},	// QsciLexerPostScript::setLevel$
    {74, 1454, 1260},	// QsciLexerPostScript::setTokenize$
    {74, 1497, 1269},	// QsciLexerPostScript::staticMetaObject
    {74, 1517, 1256},	// QsciLexerPostScript::tokenize
    {74, 1519, 1266},	// QsciLexerPostScript::tr$
    {74, 1520, 1241},	// QsciLexerPostScript::tr$$
    {74, 1521, 1243},	// QsciLexerPostScript::tr$$$
    {74, 1523, 1267},	// QsciLexerPostScript::trUtf8$
    {74, 1524, 1242},	// QsciLexerPostScript::trUtf8$$
    {74, 1525, 1244},	// QsciLexerPostScript::trUtf8$$$
    {74, 1554, 1265},	// QsciLexerPostScript::writeProperties#$
    {74, 1590, 1286},	// QsciLexerPostScript::~QsciLexerPostScript
    {75, 64, 1317},	// QsciLexerProperties::Assignment
    {75, 137, 1315},	// QsciLexerProperties::Comment
    {75, 158, 1314},	// QsciLexerProperties::Default
    {75, 159, 1318},	// QsciLexerProperties::DefaultValue
    {75, 298, 1319},	// QsciLexerProperties::Key
    {75, 522, 1312},	// QsciLexerProperties::QsciLexerProperties
    {75, 523, 1294},	// QsciLexerProperties::QsciLexerProperties#
    {75, 647, 1316},	// QsciLexerProperties::Section
    {75, 890, 1298},	// QsciLexerProperties::defaultColor$
    {75, 892, 1299},	// QsciLexerProperties::defaultEolFill$
    {75, 894, 1300},	// QsciLexerProperties::defaultFont$
    {75, 896, 1301},	// QsciLexerProperties::defaultPaper$
    {75, 900, 1302},	// QsciLexerProperties::description$
    {75, 968, 1304},	// QsciLexerProperties::foldCompact
    {75, 1019, 1306},	// QsciLexerProperties::initialSpaces
    {75, 1045, 1295},	// QsciLexerProperties::language
    {75, 1050, 1296},	// QsciLexerProperties::lexer
    {75, 1101, 1287},	// QsciLexerProperties::metaObject
    {75, 1143, 1293},	// QsciLexerProperties::qt_metacall$$?
    {75, 1145, 1288},	// QsciLexerProperties::qt_metacast$
    {75, 1150, 1308},	// QsciLexerProperties::readProperties#$
    {75, 1159, 1303},	// QsciLexerProperties::refreshProperties
    {75, 1299, 1307},	// QsciLexerProperties::setFoldCompact$
    {75, 1360, 1305},	// QsciLexerProperties::setInitialSpaces$
    {75, 1497, 1313},	// QsciLexerProperties::staticMetaObject
    {75, 1519, 1310},	// QsciLexerProperties::tr$
    {75, 1520, 1289},	// QsciLexerProperties::tr$$
    {75, 1521, 1291},	// QsciLexerProperties::tr$$$
    {75, 1523, 1311},	// QsciLexerProperties::trUtf8$
    {75, 1524, 1290},	// QsciLexerProperties::trUtf8$$
    {75, 1525, 1292},	// QsciLexerProperties::trUtf8$$$
    {75, 1548, 1297},	// QsciLexerProperties::wordCharacters
    {75, 1554, 1309},	// QsciLexerProperties::writeProperties#$
    {75, 1591, 1320},	// QsciLexerProperties::~QsciLexerProperties
    {76, 131, 1376},	// QsciLexerPython::ClassName
    {76, 137, 1369},	// QsciLexerPython::Comment
    {76, 138, 1380},	// QsciLexerPython::CommentBlock
    {76, 157, 1383},	// QsciLexerPython::Decorator
    {76, 158, 1368},	// QsciLexerPython::Default
    {76, 184, 1371},	// QsciLexerPython::DoubleQuotedString
    {76, 219, 1377},	// QsciLexerPython::FunctionMethodName
    {76, 241, 1382},	// QsciLexerPython::HighlightedIdentifier
    {76, 251, 1379},	// QsciLexerPython::Identifier
    {76, 281, 1385},	// QsciLexerPython::Inconsistent
    {76, 299, 1373},	// QsciLexerPython::Keyword
    {76, 388, 1384},	// QsciLexerPython::NoWarning
    {76, 389, 1370},	// QsciLexerPython::Number
    {76, 393, 1378},	// QsciLexerPython::Operator
    {76, 524, 1365},	// QsciLexerPython::QsciLexerPython
    {76, 525, 1328},	// QsciLexerPython::QsciLexerPython#
    {76, 668, 1372},	// QsciLexerPython::SingleQuotedString
    {76, 672, 1387},	// QsciLexerPython::Spaces
    {76, 712, 1388},	// QsciLexerPython::Tabs
    {76, 713, 1386},	// QsciLexerPython::TabsAfterSpaces
    {76, 726, 1375},	// QsciLexerPython::TripleDoubleQuotedString
    {76, 728, 1374},	// QsciLexerPython::TripleSingleQuotedString
    {76, 732, 1381},	// QsciLexerPython::UnclosedString
    {76, 825, 1331},	// QsciLexerPython::autoCompletionWordSeparators
    {76, 833, 1332},	// QsciLexerPython::blockLookback
    {76, 834, 1366},	// QsciLexerPython::blockStart
    {76, 835, 1333},	// QsciLexerPython::blockStart$
    {76, 841, 1334},	// QsciLexerPython::braceStyle
    {76, 890, 1335},	// QsciLexerPython::defaultColor$
    {76, 892, 1336},	// QsciLexerPython::defaultEolFill$
    {76, 894, 1337},	// QsciLexerPython::defaultFont$
    {76, 896, 1338},	// QsciLexerPython::defaultPaper$
    {76, 900, 1341},	// QsciLexerPython::description$
    {76, 967, 1343},	// QsciLexerPython::foldComments
    {76, 968, 1345},	// QsciLexerPython::foldCompact
    {76, 976, 1346},	// QsciLexerPython::foldQuotes
    {76, 998, 1349},	// QsciLexerPython::highlightSubidentifiers
    {76, 1005, 1339},	// QsciLexerPython::indentationGuideView
    {76, 1007, 1347},	// QsciLexerPython::indentationWarning
    {76, 1044, 1340},	// QsciLexerPython::keywords$
    {76, 1045, 1329},	// QsciLexerPython::language
    {76, 1050, 1330},	// QsciLexerPython::lexer
    {76, 1101, 1321},	// QsciLexerPython::metaObject
    {76, 1143, 1327},	// QsciLexerPython::qt_metacall$$?
    {76, 1145, 1322},	// QsciLexerPython::qt_metacast$
    {76, 1150, 1361},	// QsciLexerPython::readProperties#$
    {76, 1159, 1342},	// QsciLexerPython::refreshProperties
    {76, 1297, 1358},	// QsciLexerPython::setFoldComments$
    {76, 1299, 1344},	// QsciLexerPython::setFoldCompact$
    {76, 1313, 1359},	// QsciLexerPython::setFoldQuotes$
    {76, 1331, 1348},	// QsciLexerPython::setHighlightSubidentifiers$
    {76, 1345, 1360},	// QsciLexerPython::setIndentationWarning$
    {76, 1439, 1350},	// QsciLexerPython::setStringsOverNewlineAllowed$
    {76, 1464, 1352},	// QsciLexerPython::setV2UnicodeAllowed$
    {76, 1466, 1354},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {76, 1468, 1356},	// QsciLexerPython::setV3BytesAllowed$
    {76, 1497, 1367},	// QsciLexerPython::staticMetaObject
    {76, 1498, 1351},	// QsciLexerPython::stringsOverNewlineAllowed
    {76, 1519, 1363},	// QsciLexerPython::tr$
    {76, 1520, 1323},	// QsciLexerPython::tr$$
    {76, 1521, 1325},	// QsciLexerPython::tr$$$
    {76, 1523, 1364},	// QsciLexerPython::trUtf8$
    {76, 1524, 1324},	// QsciLexerPython::trUtf8$$
    {76, 1525, 1326},	// QsciLexerPython::trUtf8$$$
    {76, 1533, 1353},	// QsciLexerPython::v2UnicodeAllowed
    {76, 1534, 1355},	// QsciLexerPython::v3BinaryOctalAllowed
    {76, 1535, 1357},	// QsciLexerPython::v3BytesAllowed
    {76, 1554, 1362},	// QsciLexerPython::writeProperties#$
    {76, 1592, 1389},	// QsciLexerPython::~QsciLexerPython
    {77, 84, 1442},	// QsciLexerRuby::Backticks
    {77, 131, 1432},	// QsciLexerRuby::ClassName
    {77, 133, 1441},	// QsciLexerRuby::ClassVariable
    {77, 137, 1426},	// QsciLexerRuby::Comment
    {77, 156, 1443},	// QsciLexerRuby::DataSection
    {77, 158, 1424},	// QsciLexerRuby::Default
    {77, 168, 1451},	// QsciLexerRuby::DemotedKeyword
    {77, 184, 1430},	// QsciLexerRuby::DoubleQuotedString
    {77, 203, 1425},	// QsciLexerRuby::Error
    {77, 219, 1433},	// QsciLexerRuby::FunctionMethodName
    {77, 220, 1437},	// QsciLexerRuby::Global
    {77, 234, 1445},	// QsciLexerRuby::HereDocument
    {77, 235, 1444},	// QsciLexerRuby::HereDocumentDelimiter
    {77, 251, 1435},	// QsciLexerRuby::Identifier
    {77, 282, 1440},	// QsciLexerRuby::InstanceVariable
    {77, 299, 1429},	// QsciLexerRuby::Keyword
    {77, 377, 1439},	// QsciLexerRuby::ModuleName
    {77, 389, 1428},	// QsciLexerRuby::Number
    {77, 393, 1434},	// QsciLexerRuby::Operator
    {77, 407, 1427},	// QsciLexerRuby::POD
    {77, 424, 1447},	// QsciLexerRuby::PercentStringQ
    {77, 425, 1446},	// QsciLexerRuby::PercentStringq
    {77, 426, 1449},	// QsciLexerRuby::PercentStringr
    {77, 427, 1450},	// QsciLexerRuby::PercentStringw
    {77, 428, 1448},	// QsciLexerRuby::PercentStringx
    {77, 526, 1419},	// QsciLexerRuby::QsciLexerRuby
    {77, 527, 1397},	// QsciLexerRuby::QsciLexerRuby#
    {77, 579, 1436},	// QsciLexerRuby::Regex
    {77, 668, 1431},	// QsciLexerRuby::SingleQuotedString
    {77, 681, 1454},	// QsciLexerRuby::Stderr
    {77, 682, 1452},	// QsciLexerRuby::Stdin
    {77, 683, 1453},	// QsciLexerRuby::Stdout
    {77, 702, 1438},	// QsciLexerRuby::Symbol
    {77, 831, 1420},	// QsciLexerRuby::blockEnd
    {77, 832, 1400},	// QsciLexerRuby::blockEnd$
    {77, 834, 1421},	// QsciLexerRuby::blockStart
    {77, 835, 1401},	// QsciLexerRuby::blockStart$
    {77, 836, 1422},	// QsciLexerRuby::blockStartKeyword
    {77, 837, 1402},	// QsciLexerRuby::blockStartKeyword$
    {77, 841, 1403},	// QsciLexerRuby::braceStyle
    {77, 890, 1404},	// QsciLexerRuby::defaultColor$
    {77, 892, 1405},	// QsciLexerRuby::defaultEolFill$
    {77, 894, 1406},	// QsciLexerRuby::defaultFont$
    {77, 896, 1407},	// QsciLexerRuby::defaultPaper$
    {77, 900, 1409},	// QsciLexerRuby::description$
    {77, 967, 1412},	// QsciLexerRuby::foldComments
    {77, 968, 1414},	// QsciLexerRuby::foldCompact
    {77, 1044, 1408},	// QsciLexerRuby::keywords$
    {77, 1045, 1398},	// QsciLexerRuby::language
    {77, 1050, 1399},	// QsciLexerRuby::lexer
    {77, 1101, 1390},	// QsciLexerRuby::metaObject
    {77, 1143, 1396},	// QsciLexerRuby::qt_metacall$$?
    {77, 1145, 1391},	// QsciLexerRuby::qt_metacast$
    {77, 1150, 1415},	// QsciLexerRuby::readProperties#$
    {77, 1159, 1410},	// QsciLexerRuby::refreshProperties
    {77, 1297, 1411},	// QsciLexerRuby::setFoldComments$
    {77, 1299, 1413},	// QsciLexerRuby::setFoldCompact$
    {77, 1497, 1423},	// QsciLexerRuby::staticMetaObject
    {77, 1519, 1417},	// QsciLexerRuby::tr$
    {77, 1520, 1392},	// QsciLexerRuby::tr$$
    {77, 1521, 1394},	// QsciLexerRuby::tr$$$
    {77, 1523, 1418},	// QsciLexerRuby::trUtf8$
    {77, 1524, 1393},	// QsciLexerRuby::trUtf8$$
    {77, 1525, 1395},	// QsciLexerRuby::trUtf8$$$
    {77, 1554, 1416},	// QsciLexerRuby::writeProperties#$
    {77, 1593, 1455},	// QsciLexerRuby::~QsciLexerRuby
    {78, 137, 1497},	// QsciLexerSQL::Comment
    {78, 140, 1499},	// QsciLexerSQL::CommentDoc
    {78, 141, 1510},	// QsciLexerSQL::CommentDocKeyword
    {78, 142, 1511},	// QsciLexerSQL::CommentDocKeywordError
    {78, 143, 1498},	// QsciLexerSQL::CommentLine
    {78, 145, 1509},	// QsciLexerSQL::CommentLineHash
    {78, 158, 1496},	// QsciLexerSQL::Default
    {78, 184, 1502},	// QsciLexerSQL::DoubleQuotedString
    {78, 251, 1507},	// QsciLexerSQL::Identifier
    {78, 299, 1501},	// QsciLexerSQL::Keyword
    {78, 304, 1512},	// QsciLexerSQL::KeywordSet5
    {78, 305, 1513},	// QsciLexerSQL::KeywordSet6
    {78, 306, 1514},	// QsciLexerSQL::KeywordSet7
    {78, 307, 1515},	// QsciLexerSQL::KeywordSet8
    {78, 389, 1500},	// QsciLexerSQL::Number
    {78, 393, 1506},	// QsciLexerSQL::Operator
    {78, 434, 1508},	// QsciLexerSQL::PlusComment
    {78, 435, 1504},	// QsciLexerSQL::PlusKeyword
    {78, 436, 1505},	// QsciLexerSQL::PlusPrompt
    {78, 528, 1494},	// QsciLexerSQL::QsciLexerSQL
    {78, 529, 1463},	// QsciLexerSQL::QsciLexerSQL#
    {78, 563, 1516},	// QsciLexerSQL::QuotedIdentifier
    {78, 668, 1503},	// QsciLexerSQL::SingleQuotedString
    {78, 828, 1474},	// QsciLexerSQL::backslashEscapes
    {78, 841, 1466},	// QsciLexerSQL::braceStyle
    {78, 890, 1467},	// QsciLexerSQL::defaultColor$
    {78, 892, 1468},	// QsciLexerSQL::defaultEolFill$
    {78, 894, 1469},	// QsciLexerSQL::defaultFont$
    {78, 896, 1470},	// QsciLexerSQL::defaultPaper$
    {78, 900, 1472},	// QsciLexerSQL::description$
    {78, 906, 1476},	// QsciLexerSQL::dottedWords
    {78, 965, 1478},	// QsciLexerSQL::foldAtElse
    {78, 967, 1479},	// QsciLexerSQL::foldComments
    {78, 968, 1480},	// QsciLexerSQL::foldCompact
    {78, 972, 1482},	// QsciLexerSQL::foldOnlyBegin
    {78, 994, 1484},	// QsciLexerSQL::hashComments
    {78, 1044, 1471},	// QsciLexerSQL::keywords$
    {78, 1045, 1464},	// QsciLexerSQL::language
    {78, 1050, 1465},	// QsciLexerSQL::lexer
    {78, 1101, 1456},	// QsciLexerSQL::metaObject
    {78, 1143, 1462},	// QsciLexerSQL::qt_metacall$$?
    {78, 1145, 1457},	// QsciLexerSQL::qt_metacast$
    {78, 1146, 1486},	// QsciLexerSQL::quotedIdentifiers
    {78, 1150, 1490},	// QsciLexerSQL::readProperties#$
    {78, 1159, 1473},	// QsciLexerSQL::refreshProperties
    {78, 1217, 1487},	// QsciLexerSQL::setBackslashEscapes$
    {78, 1268, 1475},	// QsciLexerSQL::setDottedWords$
    {78, 1293, 1477},	// QsciLexerSQL::setFoldAtElse$
    {78, 1297, 1488},	// QsciLexerSQL::setFoldComments$
    {78, 1299, 1489},	// QsciLexerSQL::setFoldCompact$
    {78, 1305, 1481},	// QsciLexerSQL::setFoldOnlyBegin$
    {78, 1327, 1483},	// QsciLexerSQL::setHashComments$
    {78, 1420, 1485},	// QsciLexerSQL::setQuotedIdentifiers$
    {78, 1497, 1495},	// QsciLexerSQL::staticMetaObject
    {78, 1519, 1492},	// QsciLexerSQL::tr$
    {78, 1520, 1458},	// QsciLexerSQL::tr$$
    {78, 1521, 1460},	// QsciLexerSQL::tr$$$
    {78, 1523, 1493},	// QsciLexerSQL::trUtf8$
    {78, 1524, 1459},	// QsciLexerSQL::trUtf8$$
    {78, 1525, 1461},	// QsciLexerSQL::trUtf8$$$
    {78, 1554, 1491},	// QsciLexerSQL::writeProperties#$
    {78, 1594, 1517},	// QsciLexerSQL::~QsciLexerSQL
    {79, 137, 1545},	// QsciLexerTCL::Comment
    {79, 138, 1565},	// QsciLexerTCL::CommentBlock
    {79, 139, 1564},	// QsciLexerTCL::CommentBox
    {79, 143, 1546},	// QsciLexerTCL::CommentLine
    {79, 158, 1544},	// QsciLexerTCL::Default
    {79, 205, 1555},	// QsciLexerTCL::ExpandKeyword
    {79, 250, 1558},	// QsciLexerTCL::ITCLKeyword
    {79, 251, 1551},	// QsciLexerTCL::Identifier
    {79, 305, 1560},	// QsciLexerTCL::KeywordSet6
    {79, 306, 1561},	// QsciLexerTCL::KeywordSet7
    {79, 307, 1562},	// QsciLexerTCL::KeywordSet8
    {79, 308, 1563},	// QsciLexerTCL::KeywordSet9
    {79, 376, 1554},	// QsciLexerTCL::Modifier
    {79, 389, 1547},	// QsciLexerTCL::Number
    {79, 393, 1550},	// QsciLexerTCL::Operator
    {79, 530, 1542},	// QsciLexerTCL::QsciLexerTCL
    {79, 531, 1525},	// QsciLexerTCL::QsciLexerTCL#
    {79, 564, 1548},	// QsciLexerTCL::QuotedKeyword
    {79, 565, 1549},	// QsciLexerTCL::QuotedString
    {79, 698, 1552},	// QsciLexerTCL::Substitution
    {79, 699, 1553},	// QsciLexerTCL::SubstitutionBrace
    {79, 708, 1556},	// QsciLexerTCL::TCLKeyword
    {79, 722, 1559},	// QsciLexerTCL::TkCommand
    {79, 723, 1557},	// QsciLexerTCL::TkKeyword
    {79, 841, 1528},	// QsciLexerTCL::braceStyle
    {79, 890, 1529},	// QsciLexerTCL::defaultColor$
    {79, 892, 1530},	// QsciLexerTCL::defaultEolFill$
    {79, 894, 1531},	// QsciLexerTCL::defaultFont$
    {79, 896, 1532},	// QsciLexerTCL::defaultPaper$
    {79, 900, 1534},	// QsciLexerTCL::description$
    {79, 967, 1537},	// QsciLexerTCL::foldComments
    {79, 1044, 1533},	// QsciLexerTCL::keywords$
    {79, 1045, 1526},	// QsciLexerTCL::language
    {79, 1050, 1527},	// QsciLexerTCL::lexer
    {79, 1101, 1518},	// QsciLexerTCL::metaObject
    {79, 1143, 1524},	// QsciLexerTCL::qt_metacall$$?
    {79, 1145, 1519},	// QsciLexerTCL::qt_metacast$
    {79, 1150, 1538},	// QsciLexerTCL::readProperties#$
    {79, 1159, 1535},	// QsciLexerTCL::refreshProperties
    {79, 1297, 1536},	// QsciLexerTCL::setFoldComments$
    {79, 1497, 1543},	// QsciLexerTCL::staticMetaObject
    {79, 1519, 1540},	// QsciLexerTCL::tr$
    {79, 1520, 1520},	// QsciLexerTCL::tr$$
    {79, 1521, 1522},	// QsciLexerTCL::tr$$$
    {79, 1523, 1541},	// QsciLexerTCL::trUtf8$
    {79, 1524, 1521},	// QsciLexerTCL::trUtf8$$
    {79, 1525, 1523},	// QsciLexerTCL::trUtf8$$$
    {79, 1554, 1539},	// QsciLexerTCL::writeProperties#$
    {79, 1595, 1566},	// QsciLexerTCL::~QsciLexerTCL
    {80, 136, 1600},	// QsciLexerTeX::Command
    {80, 158, 1596},	// QsciLexerTeX::Default
    {80, 223, 1598},	// QsciLexerTeX::Group
    {80, 532, 1594},	// QsciLexerTeX::QsciLexerTeX
    {80, 533, 1574},	// QsciLexerTeX::QsciLexerTeX#
    {80, 673, 1597},	// QsciLexerTeX::Special
    {80, 702, 1599},	// QsciLexerTeX::Symbol
    {80, 716, 1601},	// QsciLexerTeX::Text
    {80, 890, 1578},	// QsciLexerTeX::defaultColor$
    {80, 900, 1580},	// QsciLexerTeX::description$
    {80, 967, 1583},	// QsciLexerTeX::foldComments
    {80, 968, 1585},	// QsciLexerTeX::foldCompact
    {80, 1044, 1579},	// QsciLexerTeX::keywords$
    {80, 1045, 1575},	// QsciLexerTeX::language
    {80, 1050, 1576},	// QsciLexerTeX::lexer
    {80, 1101, 1567},	// QsciLexerTeX::metaObject
    {80, 1138, 1587},	// QsciLexerTeX::processComments
    {80, 1139, 1589},	// QsciLexerTeX::processIf
    {80, 1143, 1573},	// QsciLexerTeX::qt_metacall$$?
    {80, 1145, 1568},	// QsciLexerTeX::qt_metacast$
    {80, 1150, 1590},	// QsciLexerTeX::readProperties#$
    {80, 1159, 1581},	// QsciLexerTeX::refreshProperties
    {80, 1297, 1582},	// QsciLexerTeX::setFoldComments$
    {80, 1299, 1584},	// QsciLexerTeX::setFoldCompact$
    {80, 1416, 1586},	// QsciLexerTeX::setProcessComments$
    {80, 1418, 1588},	// QsciLexerTeX::setProcessIf$
    {80, 1497, 1595},	// QsciLexerTeX::staticMetaObject
    {80, 1519, 1592},	// QsciLexerTeX::tr$
    {80, 1520, 1569},	// QsciLexerTeX::tr$$
    {80, 1521, 1571},	// QsciLexerTeX::tr$$$
    {80, 1523, 1593},	// QsciLexerTeX::trUtf8$
    {80, 1524, 1570},	// QsciLexerTeX::trUtf8$$
    {80, 1525, 1572},	// QsciLexerTeX::trUtf8$$$
    {80, 1548, 1577},	// QsciLexerTeX::wordCharacters
    {80, 1554, 1591},	// QsciLexerTeX::writeProperties#$
    {80, 1596, 1602},	// QsciLexerTeX::~QsciLexerTeX
    {81, 66, 1647},	// QsciLexerVHDL::Attribute
    {81, 137, 1638},	// QsciLexerVHDL::Comment
    {81, 143, 1639},	// QsciLexerVHDL::CommentLine
    {81, 158, 1637},	// QsciLexerVHDL::Default
    {81, 251, 1643},	// QsciLexerVHDL::Identifier
    {81, 299, 1645},	// QsciLexerVHDL::Keyword
    {81, 306, 1651},	// QsciLexerVHDL::KeywordSet7
    {81, 389, 1640},	// QsciLexerVHDL::Number
    {81, 393, 1642},	// QsciLexerVHDL::Operator
    {81, 534, 1635},	// QsciLexerVHDL::QsciLexerVHDL
    {81, 535, 1610},	// QsciLexerVHDL::QsciLexerVHDL#
    {81, 677, 1648},	// QsciLexerVHDL::StandardFunction
    {81, 678, 1646},	// QsciLexerVHDL::StandardOperator
    {81, 679, 1649},	// QsciLexerVHDL::StandardPackage
    {81, 680, 1650},	// QsciLexerVHDL::StandardType
    {81, 687, 1641},	// QsciLexerVHDL::String
    {81, 732, 1644},	// QsciLexerVHDL::UnclosedString
    {81, 841, 1613},	// QsciLexerVHDL::braceStyle
    {81, 890, 1614},	// QsciLexerVHDL::defaultColor$
    {81, 892, 1615},	// QsciLexerVHDL::defaultEolFill$
    {81, 894, 1616},	// QsciLexerVHDL::defaultFont$
    {81, 896, 1617},	// QsciLexerVHDL::defaultPaper$
    {81, 900, 1619},	// QsciLexerVHDL::description$
    {81, 964, 1624},	// QsciLexerVHDL::foldAtBegin
    {81, 965, 1623},	// QsciLexerVHDL::foldAtElse
    {81, 966, 1625},	// QsciLexerVHDL::foldAtParenthesis
    {81, 967, 1621},	// QsciLexerVHDL::foldComments
    {81, 968, 1622},	// QsciLexerVHDL::foldCompact
    {81, 1044, 1618},	// QsciLexerVHDL::keywords$
    {81, 1045, 1611},	// QsciLexerVHDL::language
    {81, 1050, 1612},	// QsciLexerVHDL::lexer
    {81, 1101, 1603},	// QsciLexerVHDL::metaObject
    {81, 1143, 1609},	// QsciLexerVHDL::qt_metacall$$?
    {81, 1145, 1604},	// QsciLexerVHDL::qt_metacast$
    {81, 1150, 1631},	// QsciLexerVHDL::readProperties#$
    {81, 1159, 1620},	// QsciLexerVHDL::refreshProperties
    {81, 1291, 1629},	// QsciLexerVHDL::setFoldAtBegin$
    {81, 1293, 1628},	// QsciLexerVHDL::setFoldAtElse$
    {81, 1295, 1630},	// QsciLexerVHDL::setFoldAtParenthesis$
    {81, 1297, 1626},	// QsciLexerVHDL::setFoldComments$
    {81, 1299, 1627},	// QsciLexerVHDL::setFoldCompact$
    {81, 1497, 1636},	// QsciLexerVHDL::staticMetaObject
    {81, 1519, 1633},	// QsciLexerVHDL::tr$
    {81, 1520, 1605},	// QsciLexerVHDL::tr$$
    {81, 1521, 1607},	// QsciLexerVHDL::tr$$$
    {81, 1523, 1634},	// QsciLexerVHDL::trUtf8$
    {81, 1524, 1606},	// QsciLexerVHDL::trUtf8$$
    {81, 1525, 1608},	// QsciLexerVHDL::trUtf8$$$
    {81, 1554, 1632},	// QsciLexerVHDL::writeProperties#$
    {81, 1597, 1652},	// QsciLexerVHDL::~QsciLexerVHDL
    {82, 536, 1675},	// QsciLexerXML::QsciLexerXML
    {82, 537, 1660},	// QsciLexerXML::QsciLexerXML#
    {82, 890, 1663},	// QsciLexerXML::defaultColor$
    {82, 892, 1664},	// QsciLexerXML::defaultEolFill$
    {82, 894, 1665},	// QsciLexerXML::defaultFont$
    {82, 896, 1666},	// QsciLexerXML::defaultPaper$
    {82, 1044, 1667},	// QsciLexerXML::keywords$
    {82, 1045, 1661},	// QsciLexerXML::language
    {82, 1050, 1662},	// QsciLexerXML::lexer
    {82, 1101, 1653},	// QsciLexerXML::metaObject
    {82, 1143, 1659},	// QsciLexerXML::qt_metacall$$?
    {82, 1145, 1654},	// QsciLexerXML::qt_metacast$
    {82, 1150, 1671},	// QsciLexerXML::readProperties#$
    {82, 1159, 1668},	// QsciLexerXML::refreshProperties
    {82, 1179, 1670},	// QsciLexerXML::scriptsStyled
    {82, 1426, 1669},	// QsciLexerXML::setScriptsStyled$
    {82, 1497, 1676},	// QsciLexerXML::staticMetaObject
    {82, 1519, 1673},	// QsciLexerXML::tr$
    {82, 1520, 1655},	// QsciLexerXML::tr$$
    {82, 1521, 1657},	// QsciLexerXML::tr$$$
    {82, 1523, 1674},	// QsciLexerXML::trUtf8$
    {82, 1524, 1656},	// QsciLexerXML::trUtf8$$
    {82, 1525, 1658},	// QsciLexerXML::trUtf8$$$
    {82, 1554, 1672},	// QsciLexerXML::writeProperties#$
    {82, 1598, 1677},	// QsciLexerXML::~QsciLexerXML
    {83, 137, 1704},	// QsciLexerYAML::Comment
    {83, 158, 1703},	// QsciLexerYAML::Default
    {83, 174, 1709},	// QsciLexerYAML::DocumentDelimiter
    {83, 251, 1705},	// QsciLexerYAML::Identifier
    {83, 299, 1706},	// QsciLexerYAML::Keyword
    {83, 389, 1707},	// QsciLexerYAML::Number
    {83, 393, 1712},	// QsciLexerYAML::Operator
    {83, 538, 1701},	// QsciLexerYAML::QsciLexerYAML
    {83, 539, 1685},	// QsciLexerYAML::QsciLexerYAML#
    {83, 578, 1708},	// QsciLexerYAML::Reference
    {83, 707, 1711},	// QsciLexerYAML::SyntaxErrorMarker
    {83, 717, 1710},	// QsciLexerYAML::TextBlockMarker
    {83, 890, 1688},	// QsciLexerYAML::defaultColor$
    {83, 892, 1689},	// QsciLexerYAML::defaultEolFill$
    {83, 894, 1690},	// QsciLexerYAML::defaultFont$
    {83, 896, 1691},	// QsciLexerYAML::defaultPaper$
    {83, 900, 1693},	// QsciLexerYAML::description$
    {83, 967, 1695},	// QsciLexerYAML::foldComments
    {83, 1044, 1692},	// QsciLexerYAML::keywords$
    {83, 1045, 1686},	// QsciLexerYAML::language
    {83, 1050, 1687},	// QsciLexerYAML::lexer
    {83, 1101, 1678},	// QsciLexerYAML::metaObject
    {83, 1143, 1684},	// QsciLexerYAML::qt_metacall$$?
    {83, 1145, 1679},	// QsciLexerYAML::qt_metacast$
    {83, 1150, 1697},	// QsciLexerYAML::readProperties#$
    {83, 1159, 1694},	// QsciLexerYAML::refreshProperties
    {83, 1297, 1696},	// QsciLexerYAML::setFoldComments$
    {83, 1497, 1702},	// QsciLexerYAML::staticMetaObject
    {83, 1519, 1699},	// QsciLexerYAML::tr$
    {83, 1520, 1680},	// QsciLexerYAML::tr$$
    {83, 1521, 1682},	// QsciLexerYAML::tr$$$
    {83, 1523, 1700},	// QsciLexerYAML::trUtf8$
    {83, 1524, 1681},	// QsciLexerYAML::trUtf8$$
    {83, 1525, 1683},	// QsciLexerYAML::trUtf8$$$
    {83, 1554, 1698},	// QsciLexerYAML::writeProperties#$
    {83, 1599, 1713},	// QsciLexerYAML::~QsciLexerYAML
    {84, 541, 1721},	// QsciMacro::QsciMacro#
    {84, 542, 1722},	// QsciMacro::QsciMacro$#
    {84, 857, 1723},	// QsciMacro::clear
    {84, 920, 1728},	// QsciMacro::endRecording
    {84, 1061, 1724},	// QsciMacro::load$
    {84, 1101, 1714},	// QsciMacro::metaObject
    {84, 1129, 1726},	// QsciMacro::play
    {84, 1143, 1720},	// QsciMacro::qt_metacall$$?
    {84, 1145, 1715},	// QsciMacro::qt_metacast$
    {84, 1176, 1725},	// QsciMacro::save
    {84, 1493, 1727},	// QsciMacro::startRecording
    {84, 1497, 1731},	// QsciMacro::staticMetaObject
    {84, 1519, 1729},	// QsciMacro::tr$
    {84, 1520, 1716},	// QsciMacro::tr$$
    {84, 1521, 1718},	// QsciMacro::tr$$$
    {84, 1523, 1730},	// QsciMacro::trUtf8$
    {84, 1524, 1717},	// QsciMacro::trUtf8$$
    {84, 1525, 1719},	// QsciMacro::trUtf8$$$
    {84, 1600, 1732},	// QsciMacro::~QsciMacro
    {85, 543, 1740},	// QsciPrinter::QsciPrinter
    {85, 544, 1733},	// QsciPrinter::QsciPrinter$
    {85, 986, 1734},	// QsciPrinter::formatPage#$#$
    {85, 1064, 1735},	// QsciPrinter::magnification
    {85, 1135, 1741},	// QsciPrinter::printRange#
    {85, 1136, 1742},	// QsciPrinter::printRange#$
    {85, 1137, 1737},	// QsciPrinter::printRange#$$
    {85, 1370, 1736},	// QsciPrinter::setMagnification$
    {85, 1482, 1739},	// QsciPrinter::setWrapMode$
    {85, 1550, 1738},	// QsciPrinter::wrapMode
    {85, 1601, 1743},	// QsciPrinter::~QsciPrinter
    {86, 49, 2046},	// QsciScintilla::AcsAPIs
    {86, 50, 2044},	// QsciScintilla::AcsAll
    {86, 51, 2045},	// QsciScintilla::AcsDocument
    {86, 52, 2043},	// QsciScintilla::AcsNone
    {86, 54, 2042},	// QsciScintilla::AcusAlways
    {86, 55, 2041},	// QsciScintilla::AcusExplicit
    {86, 56, 2040},	// QsciScintilla::AcusNever
    {86, 58, 2039},	// QsciScintilla::AnnotationBoxed
    {86, 59, 2037},	// QsciScintilla::AnnotationHidden
    {86, 60, 2038},	// QsciScintilla::AnnotationStandard
    {86, 79, 2112},	// QsciScintilla::Background
    {86, 94, 2100},	// QsciScintilla::BottomLeftCorner
    {86, 96, 2074},	// QsciScintilla::BoxIndicator
    {86, 97, 2065},	// QsciScintilla::BoxedFoldStyle
    {86, 98, 2104},	// QsciScintilla::BoxedMinus
    {86, 99, 2105},	// QsciScintilla::BoxedMinusConnected
    {86, 100, 2102},	// QsciScintilla::BoxedPlus
    {86, 101, 2103},	// QsciScintilla::BoxedPlusConnected
    {86, 102, 2067},	// QsciScintilla::BoxedTreeFoldStyle
    {86, 108, 2051},	// QsciScintilla::CallTipsAboveText
    {86, 109, 2050},	// QsciScintilla::CallTipsBelowText
    {86, 110, 2055},	// QsciScintilla::CallTipsContext
    {86, 111, 2054},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {86, 112, 2053},	// QsciScintilla::CallTipsNoContext
    {86, 113, 2052},	// QsciScintilla::CallTipsNone
    {86, 124, 2090},	// QsciScintilla::Circle
    {86, 125, 2064},	// QsciScintilla::CircledFoldStyle
    {86, 126, 2110},	// QsciScintilla::CircledMinus
    {86, 127, 2111},	// QsciScintilla::CircledMinusConnected
    {86, 128, 2108},	// QsciScintilla::CircledPlus
    {86, 129, 2109},	// QsciScintilla::CircledPlusConnected
    {86, 130, 2066},	// QsciScintilla::CircledTreeFoldStyle
    {86, 155, 2077},	// QsciScintilla::DashesIndicator
    {86, 170, 2071},	// QsciScintilla::DiagonalIndicator
    {86, 179, 2080},	// QsciScintilla::DotBoxIndicator
    {86, 180, 2078},	// QsciScintilla::DotsIndicator
    {86, 186, 2096},	// QsciScintilla::DownTriangle
    {86, 193, 2058},	// QsciScintilla::EdgeBackground
    {86, 194, 2057},	// QsciScintilla::EdgeLine
    {86, 195, 2056},	// QsciScintilla::EdgeNone
    {86, 200, 2061},	// QsciScintilla::EolMac
    {86, 201, 2060},	// QsciScintilla::EolUnix
    {86, 202, 2059},	// QsciScintilla::EolWindows
    {86, 217, 2115},	// QsciScintilla::FullRectangle
    {86, 238, 2073},	// QsciScintilla::HiddenIndicator
    {86, 284, 2095},	// QsciScintilla::Invisible
    {86, 315, 2116},	// QsciScintilla::LeftRectangle
    {86, 316, 2107},	// QsciScintilla::LeftSideRoundedSplitter
    {86, 317, 2101},	// QsciScintilla::LeftSideSplitter
    {86, 373, 2097},	// QsciScintilla::Minus
    {86, 374, -1},	// QsciScintilla::MoNone
    {86, 375, -4},	// QsciScintilla::MoSublineSelect
    {86, 385, 2047},	// QsciScintilla::NoBraceMatch
    {86, 386, 2062},	// QsciScintilla::NoFoldStyle
    {86, 390, 2087},	// QsciScintilla::NumberMargin
    {86, 431, 2063},	// QsciScintilla::PlainFoldStyle
    {86, 432, 2068},	// QsciScintilla::PlainIndicator
    {86, 433, 2098},	// QsciScintilla::Plus
    {86, 545, 2003},	// QsciScintilla::QsciScintilla
    {86, 546, 1751},	// QsciScintilla::QsciScintilla#
    {86, 576, 2091},	// QsciScintilla::Rectangle
    {86, 581, 2094},	// QsciScintilla::RightArrow
    {86, 582, 2092},	// QsciScintilla::RightTriangle
    {86, 583, 2075},	// QsciScintilla::RoundBoxIndicator
    {86, 584, 2106},	// QsciScintilla::RoundedBottomLeftCorner
    {86, 669, 2049},	// QsciScintilla::SloppyBraceMatch
    {86, 671, 2093},	// QsciScintilla::SmallRectangle
    {86, 674, 2069},	// QsciScintilla::SquiggleIndicator
    {86, 675, 2079},	// QsciScintilla::SquiggleLowIndicator
    {86, 676, 2081},	// QsciScintilla::SquigglePixmapIndicator
    {86, 684, 2076},	// QsciScintilla::StraightBoxIndicator
    {86, 685, 2048},	// QsciScintilla::StrictBraceMatch
    {86, 686, 2072},	// QsciScintilla::StrikeIndicator
    {86, 703, 2084},	// QsciScintilla::SymbolMargin
    {86, 704, 2086},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {86, 705, 2085},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {86, 709, 2070},	// QsciScintilla::TTIndicator
    {86, 718, 2088},	// QsciScintilla::TextMargin
    {86, 719, 2089},	// QsciScintilla::TextMarginRightJustified
    {86, 720, 2113},	// QsciScintilla::ThreeDots
    {86, 721, 2114},	// QsciScintilla::ThreeRightArrows
    {86, 733, 2117},	// QsciScintilla::Underline
    {86, 758, 2099},	// QsciScintilla::VerticalLine
    {86, 772, 2123},	// QsciScintilla::WrapCharacter
    {86, 773, 2126},	// QsciScintilla::WrapFlagByBorder
    {86, 774, 2125},	// QsciScintilla::WrapFlagByText
    {86, 775, 2127},	// QsciScintilla::WrapFlagInMargin
    {86, 776, 2124},	// QsciScintilla::WrapFlagNone
    {86, 777, 2128},	// QsciScintilla::WrapIndentFixed
    {86, 778, 2130},	// QsciScintilla::WrapIndentIndented
    {86, 779, 2129},	// QsciScintilla::WrapIndentSame
    {86, 780, 2121},	// QsciScintilla::WrapNone
    {86, 781, 2122},	// QsciScintilla::WrapWord
    {86, 782, 2118},	// QsciScintilla::WsInvisible
    {86, 783, 2119},	// QsciScintilla::WsVisible
    {86, 784, 2120},	// QsciScintilla::WsVisibleAfterIndent
    {86, 795, 1755},	// QsciScintilla::annotate$#
    {86, 796, 1754},	// QsciScintilla::annotate$$#
    {86, 797, 1753},	// QsciScintilla::annotate$$$
    {86, 798, 1756},	// QsciScintilla::annotate$?
    {86, 800, 1757},	// QsciScintilla::annotation$
    {86, 801, 1758},	// QsciScintilla::annotationDisplay
    {86, 803, 1752},	// QsciScintilla::apiContext$$$
    {86, 809, 1912},	// QsciScintilla::append$
    {86, 812, 1914},	// QsciScintilla::autoCompleteFromAPIs
    {86, 813, 1913},	// QsciScintilla::autoCompleteFromAll
    {86, 814, 1915},	// QsciScintilla::autoCompleteFromDocument
    {86, 815, 1760},	// QsciScintilla::autoCompletionCaseSensitivity
    {86, 817, 1761},	// QsciScintilla::autoCompletionFillupsEnabled
    {86, 818, 1762},	// QsciScintilla::autoCompletionReplaceWord
    {86, 821, 1763},	// QsciScintilla::autoCompletionShowSingle
    {86, 822, 1764},	// QsciScintilla::autoCompletionSource
    {86, 823, 1765},	// QsciScintilla::autoCompletionThreshold
    {86, 824, 1766},	// QsciScintilla::autoCompletionUseSingle
    {86, 826, 1767},	// QsciScintilla::autoIndent
    {86, 829, 1768},	// QsciScintilla::backspaceUnindents
    {86, 830, 1769},	// QsciScintilla::beginUndoAction
    {86, 840, 1770},	// QsciScintilla::braceMatching
    {86, 842, 1916},	// QsciScintilla::callTip
    {86, 845, 1771},	// QsciScintilla::callTipsPosition
    {86, 846, 1772},	// QsciScintilla::callTipsStyle
    {86, 847, 1773},	// QsciScintilla::callTipsVisible
    {86, 850, 1774},	// QsciScintilla::cancelList
    {86, 852, 1775},	// QsciScintilla::caseSensitive
    {86, 857, 1917},	// QsciScintilla::clear
    {86, 859, 2004},	// QsciScintilla::clearAnnotations
    {86, 860, 1759},	// QsciScintilla::clearAnnotations$
    {86, 861, 1776},	// QsciScintilla::clearFolds
    {86, 863, 1777},	// QsciScintilla::clearIndicatorRange$$$$$
    {86, 865, 2025},	// QsciScintilla::clearMarginText
    {86, 866, 1875},	// QsciScintilla::clearMarginText$
    {86, 867, 1778},	// QsciScintilla::clearRegisteredImages
    {86, 869, 1779},	// QsciScintilla::color
    {86, 877, 2000},	// QsciScintilla::contextMenuEvent#
    {86, 878, 1780},	// QsciScintilla::contractedFolds
    {86, 880, 1781},	// QsciScintilla::convertEols$
    {86, 881, 1918},	// QsciScintilla::copy
    {86, 883, 1989},	// QsciScintilla::copyAvailable$
    {86, 884, 1782},	// QsciScintilla::createStandardContextMenu
    {86, 886, 1988},	// QsciScintilla::cursorPositionChanged$$
    {86, 888, 1919},	// QsciScintilla::cut
    {86, 904, 1783},	// QsciScintilla::document
    {86, 915, 1785},	// QsciScintilla::edgeColor
    {86, 916, 1786},	// QsciScintilla::edgeColumn
    {86, 917, 1787},	// QsciScintilla::edgeMode
    {86, 921, 1784},	// QsciScintilla::endUndoAction
    {86, 922, 1920},	// QsciScintilla::ensureCursorVisible
    {86, 924, 1921},	// QsciScintilla::ensureLineVisible$
    {86, 930, 1789},	// QsciScintilla::eolMode
    {86, 931, 1790},	// QsciScintilla::eolVisibility
    {86, 933, 1999},	// QsciScintilla::event#
    {86, 936, 1791},	// QsciScintilla::extraAscent
    {86, 937, 1792},	// QsciScintilla::extraDescent
    {86, 939, 1793},	// QsciScintilla::fillIndicatorRange$$$$$
    {86, 943, 2005},	// QsciScintilla::findFirst$$$$$
    {86, 944, 2006},	// QsciScintilla::findFirst$$$$$$
    {86, 945, 2007},	// QsciScintilla::findFirst$$$$$$$
    {86, 946, 2008},	// QsciScintilla::findFirst$$$$$$$$
    {86, 947, 2009},	// QsciScintilla::findFirst$$$$$$$$$
    {86, 948, 1794},	// QsciScintilla::findFirst$$$$$$$$$$
    {86, 950, 2010},	// QsciScintilla::findFirstInSelection$$$$
    {86, 951, 2011},	// QsciScintilla::findFirstInSelection$$$$$
    {86, 952, 2012},	// QsciScintilla::findFirstInSelection$$$$$$
    {86, 953, 1795},	// QsciScintilla::findFirstInSelection$$$$$$$
    {86, 954, 1796},	// QsciScintilla::findNext
    {86, 955, 1797},	// QsciScintilla::firstVisibleLine
    {86, 962, 2030},	// QsciScintilla::foldAll
    {86, 963, 1922},	// QsciScintilla::foldAll$
    {86, 971, 1923},	// QsciScintilla::foldLine$
    {86, 979, 1798},	// QsciScintilla::folding
    {86, 990, 1799},	// QsciScintilla::getCursorPosition$$
    {86, 992, 1800},	// QsciScintilla::getSelection$$$$
    {86, 993, 1801},	// QsciScintilla::hasSelectedText
    {86, 1002, 1924},	// QsciScintilla::indent$
    {86, 1004, 1802},	// QsciScintilla::indentation$
    {86, 1006, 1803},	// QsciScintilla::indentationGuides
    {86, 1008, 1805},	// QsciScintilla::indentationWidth
    {86, 1009, 1804},	// QsciScintilla::indentationsUseTabs
    {86, 1011, 1990},	// QsciScintilla::indicatorClicked$$$
    {86, 1013, 2013},	// QsciScintilla::indicatorDefine$
    {86, 1014, 1806},	// QsciScintilla::indicatorDefine$$
    {86, 1016, 1807},	// QsciScintilla::indicatorDrawUnder$
    {86, 1018, 1991},	// QsciScintilla::indicatorReleased$$$
    {86, 1024, 1925},	// QsciScintilla::insert$
    {86, 1026, 1926},	// QsciScintilla::insertAt$$$
    {86, 1028, 1808},	// QsciScintilla::isCallTipActive
    {86, 1029, 1809},	// QsciScintilla::isListActive
    {86, 1030, 1810},	// QsciScintilla::isModified
    {86, 1033, 1811},	// QsciScintilla::isReadOnly
    {86, 1034, 1812},	// QsciScintilla::isRedoAvailable
    {86, 1035, 1813},	// QsciScintilla::isUndoAvailable
    {86, 1036, 1814},	// QsciScintilla::isUtf8
    {86, 1038, 1815},	// QsciScintilla::isWordCharacter$
    {86, 1048, 1820},	// QsciScintilla::length
    {86, 1050, 1821},	// QsciScintilla::lexer
    {86, 1053, 1816},	// QsciScintilla::lineAt#
    {86, 1055, 1817},	// QsciScintilla::lineIndexFromPosition$$$
    {86, 1057, 1818},	// QsciScintilla::lineLength$
    {86, 1058, 1819},	// QsciScintilla::lines
    {86, 1059, 1992},	// QsciScintilla::linesChanged
    {86, 1067, 1993},	// QsciScintilla::marginClicked$$$
    {86, 1069, 1822},	// QsciScintilla::marginLineNumbers$
    {86, 1071, 1823},	// QsciScintilla::marginMarkerMask$
    {86, 1072, 1824},	// QsciScintilla::marginOptions
    {86, 1074, 1825},	// QsciScintilla::marginSensitivity$
    {86, 1076, 1826},	// QsciScintilla::marginType$
    {86, 1078, 1827},	// QsciScintilla::marginWidth$
    {86, 1080, 1832},	// QsciScintilla::markerAdd$$
    {86, 1082, -7},	// QsciScintilla::markerDefine#
    {86, 1083, -10},	// QsciScintilla::markerDefine#$
    {86, 1084, -13},	// QsciScintilla::markerDefine$
    {86, 1085, -16},	// QsciScintilla::markerDefine$$
    {86, 1087, 2018},	// QsciScintilla::markerDelete$
    {86, 1088, 1834},	// QsciScintilla::markerDelete$$
    {86, 1089, 2019},	// QsciScintilla::markerDeleteAll
    {86, 1090, 1835},	// QsciScintilla::markerDeleteAll$
    {86, 1092, 1836},	// QsciScintilla::markerDeleteHandle$
    {86, 1094, 1838},	// QsciScintilla::markerFindNext$$
    {86, 1096, 1839},	// QsciScintilla::markerFindPrevious$$
    {86, 1098, 1837},	// QsciScintilla::markerLine$
    {86, 1100, 1833},	// QsciScintilla::markersAtLine$
    {86, 1101, 1744},	// QsciScintilla::metaObject
    {86, 1104, 1994},	// QsciScintilla::modificationAttempted
    {86, 1106, 1995},	// QsciScintilla::modificationChanged$
    {86, 1116, 1927},	// QsciScintilla::moveToMatchingBrace
    {86, 1119, 1840},	// QsciScintilla::overwriteMode
    {86, 1124, 1841},	// QsciScintilla::paper
    {86, 1128, 1928},	// QsciScintilla::paste
    {86, 1132, 1842},	// QsciScintilla::positionFromLineIndex$$
    {86, 1143, 1750},	// QsciScintilla::qt_metacall$$?
    {86, 1145, 1745},	// QsciScintilla::qt_metacast$
    {86, 1148, 1843},	// QsciScintilla::read#
    {86, 1154, 2020},	// QsciScintilla::recolor
    {86, 1155, 2021},	// QsciScintilla::recolor$
    {86, 1156, 1844},	// QsciScintilla::recolor$$
    {86, 1157, 1929},	// QsciScintilla::redo
    {86, 1161, -19},	// QsciScintilla::registerImage$#
    {86, 1164, 1930},	// QsciScintilla::removeSelectedText
    {86, 1166, 1847},	// QsciScintilla::replace$
    {86, 1168, 1931},	// QsciScintilla::replaceSelectedText$
    {86, 1169, 1848},	// QsciScintilla::resetFoldMarginColors
    {86, 1170, 1881},	// QsciScintilla::resetMatchedBraceIndicator
    {86, 1171, 1932},	// QsciScintilla::resetSelectionBackgroundColor
    {86, 1172, 1933},	// QsciScintilla::resetSelectionForegroundColor
    {86, 1173, 1885},	// QsciScintilla::resetUnmatchedBraceIndicator
    {86, 1182, 2031},	// QsciScintilla::selectAll
    {86, 1183, 1934},	// QsciScintilla::selectAll$
    {86, 1184, 1935},	// QsciScintilla::selectToMatchingBrace
    {86, 1185, 1887},	// QsciScintilla::selectedText
    {86, 1186, 1996},	// QsciScintilla::selectionChanged
    {86, 1187, 1888},	// QsciScintilla::selectionToEol
    {86, 1193, 1850},	// QsciScintilla::setAnnotationDisplay$
    {86, 1195, 1936},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {86, 1197, 1852},	// QsciScintilla::setAutoCompletionFillups$
    {86, 1199, 1851},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {86, 1201, 1937},	// QsciScintilla::setAutoCompletionReplaceWord$
    {86, 1203, 1938},	// QsciScintilla::setAutoCompletionShowSingle$
    {86, 1205, 1939},	// QsciScintilla::setAutoCompletionSource$
    {86, 1207, 1940},	// QsciScintilla::setAutoCompletionThreshold$
    {86, 1209, 1941},	// QsciScintilla::setAutoCompletionUseSingle$
    {86, 1211, 1853},	// QsciScintilla::setAutoCompletionWordSeparators?
    {86, 1213, 1942},	// QsciScintilla::setAutoIndent$
    {86, 1219, 1944},	// QsciScintilla::setBackspaceUnindents$
    {86, 1221, 1943},	// QsciScintilla::setBraceMatching$
    {86, 1223, 1854},	// QsciScintilla::setCallTipsBackgroundColor#
    {86, 1225, 1855},	// QsciScintilla::setCallTipsForegroundColor#
    {86, 1227, 1856},	// QsciScintilla::setCallTipsHighlightColor#
    {86, 1229, 1857},	// QsciScintilla::setCallTipsPosition$
    {86, 1231, 1858},	// QsciScintilla::setCallTipsStyle$
    {86, 1233, 1859},	// QsciScintilla::setCallTipsVisible$
    {86, 1235, 1945},	// QsciScintilla::setCaretForegroundColor#
    {86, 1237, 1946},	// QsciScintilla::setCaretLineBackgroundColor#
    {86, 1239, 1947},	// QsciScintilla::setCaretLineVisible$
    {86, 1241, 1948},	// QsciScintilla::setCaretWidth$
    {86, 1247, 1949},	// QsciScintilla::setColor#
    {86, 1250, 1860},	// QsciScintilla::setContractedFolds?
    {86, 1252, 1950},	// QsciScintilla::setCursorPosition$$
    {86, 1264, 1861},	// QsciScintilla::setDocument#
    {86, 1270, 1862},	// QsciScintilla::setEdgeColor#
    {86, 1272, 1863},	// QsciScintilla::setEdgeColumn$
    {86, 1274, 1864},	// QsciScintilla::setEdgeMode$
    {86, 1281, 1951},	// QsciScintilla::setEolMode$
    {86, 1283, 1952},	// QsciScintilla::setEolVisibility$
    {86, 1285, 1890},	// QsciScintilla::setExtraAscent$
    {86, 1287, 1891},	// QsciScintilla::setExtraDescent$
    {86, 1289, 1865},	// QsciScintilla::setFirstVisibleLine$
    {86, 1303, 1849},	// QsciScintilla::setFoldMarginColors##
    {86, 1319, 2032},	// QsciScintilla::setFolding$
    {86, 1320, 1953},	// QsciScintilla::setFolding$$
    {86, 1322, 1788},	// QsciScintilla::setFont#
    {86, 1337, 1954},	// QsciScintilla::setIndentation$$
    {86, 1339, 1955},	// QsciScintilla::setIndentationGuides$
    {86, 1341, 1956},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {86, 1343, 1957},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {86, 1347, 1959},	// QsciScintilla::setIndentationWidth$
    {86, 1349, 1958},	// QsciScintilla::setIndentationsUseTabs$
    {86, 1351, 2022},	// QsciScintilla::setIndicatorDrawUnder$
    {86, 1352, 1866},	// QsciScintilla::setIndicatorDrawUnder$$
    {86, 1354, 2023},	// QsciScintilla::setIndicatorForegroundColor#
    {86, 1355, 1867},	// QsciScintilla::setIndicatorForegroundColor#$
    {86, 1357, 2024},	// QsciScintilla::setIndicatorOutlineColor#
    {86, 1358, 1868},	// QsciScintilla::setIndicatorOutlineColor#$
    {86, 1367, 2033},	// QsciScintilla::setLexer
    {86, 1368, 1960},	// QsciScintilla::setLexer#
    {86, 1374, 1964},	// QsciScintilla::setMarginLineNumbers$$
    {86, 1376, 1965},	// QsciScintilla::setMarginMarkerMask$$
    {86, 1378, 1869},	// QsciScintilla::setMarginOptions$
    {86, 1380, 1966},	// QsciScintilla::setMarginSensitivity$$
    {86, 1382, 1872},	// QsciScintilla::setMarginText$#
    {86, 1383, 1871},	// QsciScintilla::setMarginText$$#
    {86, 1384, 1870},	// QsciScintilla::setMarginText$$$
    {86, 1385, 1873},	// QsciScintilla::setMarginText$?
    {86, 1387, 1874},	// QsciScintilla::setMarginType$$
    {86, 1389, -22},	// QsciScintilla::setMarginWidth$$
    {86, 1391, 1961},	// QsciScintilla::setMarginsBackgroundColor#
    {86, 1393, 1962},	// QsciScintilla::setMarginsFont#
    {86, 1395, 1963},	// QsciScintilla::setMarginsForegroundColor#
    {86, 1397, 2026},	// QsciScintilla::setMarkerBackgroundColor#
    {86, 1398, 1876},	// QsciScintilla::setMarkerBackgroundColor#$
    {86, 1400, 2027},	// QsciScintilla::setMarkerForegroundColor#
    {86, 1401, 1877},	// QsciScintilla::setMarkerForegroundColor#$
    {86, 1403, 1878},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {86, 1405, 1879},	// QsciScintilla::setMatchedBraceForegroundColor#
    {86, 1407, 1880},	// QsciScintilla::setMatchedBraceIndicator$
    {86, 1409, 1969},	// QsciScintilla::setModified$
    {86, 1411, 1892},	// QsciScintilla::setOverwriteMode$
    {86, 1413, 1970},	// QsciScintilla::setPaper#
    {86, 1422, 1971},	// QsciScintilla::setReadOnly$
    {86, 1429, 1972},	// QsciScintilla::setSelection$$$$
    {86, 1431, 1973},	// QsciScintilla::setSelectionBackgroundColor#
    {86, 1433, 1974},	// QsciScintilla::setSelectionForegroundColor#
    {86, 1435, 1889},	// QsciScintilla::setSelectionToEol$
    {86, 1446, 1975},	// QsciScintilla::setTabIndents$
    {86, 1448, 1976},	// QsciScintilla::setTabWidth$
    {86, 1450, 1977},	// QsciScintilla::setText$
    {86, 1456, 1882},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {86, 1458, 1883},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {86, 1460, 1884},	// QsciScintilla::setUnmatchedBraceIndicator$
    {86, 1462, 1978},	// QsciScintilla::setUtf8$
    {86, 1472, 1893},	// QsciScintilla::setWhitespaceBackgroundColor#
    {86, 1474, 1894},	// QsciScintilla::setWhitespaceForegroundColor#
    {86, 1476, 1895},	// QsciScintilla::setWhitespaceSize$
    {86, 1478, 1979},	// QsciScintilla::setWhitespaceVisibility$
    {86, 1480, 1896},	// QsciScintilla::setWrapIndentMode$
    {86, 1482, 1980},	// QsciScintilla::setWrapMode$
    {86, 1484, 2028},	// QsciScintilla::setWrapVisualFlags$
    {86, 1485, 2029},	// QsciScintilla::setWrapVisualFlags$$
    {86, 1486, 1886},	// QsciScintilla::setWrapVisualFlags$$$
    {86, 1489, 1897},	// QsciScintilla::showUserList$?
    {86, 1492, 1898},	// QsciScintilla::standardCommands
    {86, 1497, 2034},	// QsciScintilla::staticMetaObject
    {86, 1505, 1899},	// QsciScintilla::tabIndents
    {86, 1506, 1900},	// QsciScintilla::tabWidth
    {86, 1508, 1901},	// QsciScintilla::text
    {86, 1509, 1902},	// QsciScintilla::text$
    {86, 1511, 1997},	// QsciScintilla::textChanged
    {86, 1513, 1903},	// QsciScintilla::textHeight$
    {86, 1519, 2001},	// QsciScintilla::tr$
    {86, 1520, 1746},	// QsciScintilla::tr$$
    {86, 1521, 1748},	// QsciScintilla::tr$$$
    {86, 1523, 2002},	// QsciScintilla::trUtf8$
    {86, 1524, 1747},	// QsciScintilla::trUtf8$$
    {86, 1525, 1749},	// QsciScintilla::trUtf8$$$
    {86, 1526, 1981},	// QsciScintilla::undo
    {86, 1528, 1982},	// QsciScintilla::unindent$
    {86, 1532, 1998},	// QsciScintilla::userListActivated$$
    {86, 1541, 1904},	// QsciScintilla::whitespaceSize
    {86, 1542, 1905},	// QsciScintilla::whitespaceVisibility
    {86, 1545, 1906},	// QsciScintilla::wordAtLineIndex$$
    {86, 1547, 1907},	// QsciScintilla::wordAtPoint#
    {86, 1548, 1908},	// QsciScintilla::wordCharacters
    {86, 1549, 1910},	// QsciScintilla::wrapIndentMode
    {86, 1550, 1909},	// QsciScintilla::wrapMode
    {86, 1552, 1911},	// QsciScintilla::write#
    {86, 1559, 1984},	// QsciScintilla::zoomIn
    {86, 1560, 1983},	// QsciScintilla::zoomIn$
    {86, 1561, 1986},	// QsciScintilla::zoomOut
    {86, 1562, 1985},	// QsciScintilla::zoomOut$
    {86, 1564, 1987},	// QsciScintilla::zoomTo$
    {86, 1602, 2131},	// QsciScintilla::~QsciScintilla
    {87, 465, 2155},	// QsciScintillaBase::QSCN_SELCHANGED$
    {87, 547, 2205},	// QsciScintillaBase::QsciScintillaBase
    {87, 548, 2139},	// QsciScintillaBase::QsciScintillaBase#
    {87, 585, 2159},	// QsciScintillaBase::SCEN_CHANGE
    {87, 586, 2156},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {87, 587, 2157},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {87, 589, 2158},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {87, 591, 2160},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {87, 593, 2161},	// QsciScintillaBase::SCN_CHARADDED$
    {87, 595, 2162},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {87, 597, 2163},	// QsciScintillaBase::SCN_DWELLEND$$$
    {87, 599, 2164},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {87, 601, 2165},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {87, 603, 2166},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {87, 605, 2167},	// QsciScintillaBase::SCN_HOTSPOTRELEASECLICK$$
    {87, 607, 2168},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {87, 609, 2169},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {87, 611, 2170},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {87, 613, 2171},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {87, 615, 2172},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {87, 616, 2173},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {87, 618, 2174},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {87, 619, 2175},	// QsciScintillaBase::SCN_PAINTED
    {87, 620, 2176},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {87, 621, 2177},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {87, 623, 2178},	// QsciScintillaBase::SCN_STYLENEEDED$
    {87, 625, 2179},	// QsciScintillaBase::SCN_UPDATEUI$
    {87, 627, 2180},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {87, 628, 2181},	// QsciScintillaBase::SCN_ZOOM
    {87, 630, -25},	// QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    {87, 656, 2206},	// QsciScintillaBase::SendScintilla$
    {87, 657, 2150},	// QsciScintillaBase::SendScintilla$#
    {87, 658, -72},	// QsciScintillaBase::SendScintilla$$
    {87, 659, -77},	// QsciScintillaBase::SendScintilla$$#
    {87, 660, 2151},	// QsciScintillaBase::SendScintilla$$##$$
    {87, 661, -81},	// QsciScintillaBase::SendScintilla$$$
    {87, 662, 2148},	// QsciScintillaBase::SendScintilla$$$$
    {87, 664, 2154},	// QsciScintillaBase::SendScintillaPtrResult$
    {87, 849, 2182},	// QsciScintillaBase::canInsertFromMimeData#
    {87, 877, 2185},	// QsciScintillaBase::contextMenuEvent#
    {87, 908, 2186},	// QsciScintillaBase::dragEnterEvent#
    {87, 910, 2187},	// QsciScintillaBase::dragLeaveEvent#
    {87, 912, 2188},	// QsciScintillaBase::dragMoveEvent#
    {87, 914, 2189},	// QsciScintillaBase::dropEvent#
    {87, 957, 2190},	// QsciScintillaBase::focusInEvent#
    {87, 959, 2192},	// QsciScintillaBase::focusNextPrevChild$
    {87, 961, 2191},	// QsciScintillaBase::focusOutEvent#
    {87, 988, 2183},	// QsciScintillaBase::fromMimeData#$
    {87, 1021, 2194},	// QsciScintillaBase::inputMethodEvent#
    {87, 1041, 2193},	// QsciScintillaBase::keyPressEvent#
    {87, 1101, 2132},	// QsciScintillaBase::metaObject
    {87, 1108, 2195},	// QsciScintillaBase::mouseDoubleClickEvent#
    {87, 1110, 2196},	// QsciScintillaBase::mouseMoveEvent#
    {87, 1112, 2197},	// QsciScintillaBase::mousePressEvent#
    {87, 1114, 2198},	// QsciScintillaBase::mouseReleaseEvent#
    {87, 1122, 2199},	// QsciScintillaBase::paintEvent#
    {87, 1130, 2140},	// QsciScintillaBase::pool
    {87, 1143, 2138},	// QsciScintillaBase::qt_metacall$$?
    {87, 1145, 2133},	// QsciScintillaBase::qt_metacast$
    {87, 1175, 2200},	// QsciScintillaBase::resizeEvent#
    {87, 1181, 2201},	// QsciScintillaBase::scrollContentsBy$$
    {87, 1427, 2202},	// QsciScintillaBase::setScrollBars
    {87, 1497, 2208},	// QsciScintillaBase::staticMetaObject
    {87, 1516, 2184},	// QsciScintillaBase::toMimeData#$
    {87, 1519, 2203},	// QsciScintillaBase::tr$
    {87, 1520, 2134},	// QsciScintillaBase::tr$$
    {87, 1521, 2136},	// QsciScintillaBase::tr$$$
    {87, 1523, 2204},	// QsciScintillaBase::trUtf8$
    {87, 1524, 2135},	// QsciScintillaBase::trUtf8$$
    {87, 1525, 2137},	// QsciScintillaBase::trUtf8$$$
    {87, 1603, 2255},	// QsciScintillaBase::~QsciScintillaBase
    {88, 367, 2284},	// QsciStyle::LowerCase
    {88, 394, 2282},	// QsciStyle::OriginalCase
    {88, 549, 2280},	// QsciStyle::QsciStyle
    {88, 550, 2279},	// QsciStyle::QsciStyle#
    {88, 551, 2256},	// QsciStyle::QsciStyle$
    {88, 552, 2281},	// QsciStyle::QsciStyle$$###
    {88, 553, 2257},	// QsciStyle::QsciStyle$$###$
    {88, 739, 2283},	// QsciStyle::UpperCase
    {88, 811, 2258},	// QsciStyle::apply#
    {88, 855, 2275},	// QsciStyle::changeable
    {88, 869, 2263},	// QsciStyle::color
    {88, 899, 2261},	// QsciStyle::description
    {88, 926, 2269},	// QsciStyle::eolFill
    {88, 980, 2267},	// QsciStyle::font
    {88, 1000, 2277},	// QsciStyle::hotspot
    {88, 1124, 2265},	// QsciStyle::paper
    {88, 1158, 2278},	// QsciStyle::refresh
    {88, 1245, 2274},	// QsciStyle::setChangeable$
    {88, 1247, 2262},	// QsciStyle::setColor#
    {88, 1260, 2260},	// QsciStyle::setDescription$
    {88, 1278, 2268},	// QsciStyle::setEolFill$
    {88, 1322, 2266},	// QsciStyle::setFont#
    {88, 1335, 2276},	// QsciStyle::setHotspot$
    {88, 1413, 2264},	// QsciStyle::setPaper#
    {88, 1452, 2270},	// QsciStyle::setTextCase$
    {88, 1470, 2272},	// QsciStyle::setVisible$
    {88, 1499, 2259},	// QsciStyle::style
    {88, 1510, 2271},	// QsciStyle::textCase
    {88, 1539, 2273},	// QsciStyle::visible
    {88, 1604, 2285},	// QsciStyle::~QsciStyle
    {89, 555, 2291},	// QsciStyledText::QsciStyledText#
    {89, 556, 2287},	// QsciStyledText::QsciStyledText$#
    {89, 557, 2286},	// QsciStyledText::QsciStyledText$$
    {89, 811, 2288},	// QsciStyledText::apply#
    {89, 1499, 2290},	// QsciStyledText::style
    {89, 1508, 2289},	// QsciStyledText::text
    {89, 1605, 2292},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 89,
        __smokeqsci::methods, 2293,
        __smokeqsci::methodMaps, 2191,
        __smokeqsci::methodNames, 1605,
        __smokeqsci::types, 243,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
