#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGLBuffer
      switch(to) {
        case 27: return (void*)(QGLBuffer*)xptr;
        default: return xptr;
      }
    case 28:   //QGLColormap
      switch(to) {
        case 28: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 29:   //QGLContext
      switch(to) {
        case 29: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFormat
      switch(to) {
        case 30: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObject
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 32:   //QGLFramebufferObjectFormat
      switch(to) {
        case 32: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 33:   //QGLPixelBuffer
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShader
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShader*)xptr;
        case 34: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 35:   //QGLShaderProgram
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 35: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 36:   //QGLWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 61: return (void*)(QObject*)(QGLWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 36: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsItem
      switch(to) {
        case 38: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 39:   //QGraphicsObject
      switch(to) {
        case 61: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 39: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 40:   //QHashDummyValue
      switch(to) {
        case 40: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 41:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 41: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QIcon
      switch(to) {
        case 42: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 43:   //QImage
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 43: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 44:   //QIncompatibleFlag
      switch(to) {
        case 44: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 45:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 45: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QItemSelectionRange
      switch(to) {
        case 46: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 47:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 47: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QKeySequence
      switch(to) {
        case 48: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 49:   //QLatin1String
      switch(to) {
        case 49: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 50:   //QLine
      switch(to) {
        case 50: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 51:   //QLineF
      switch(to) {
        case 51: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 52:   //QListWidgetItem
      switch(to) {
        case 52: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 53:   //QLocale
      switch(to) {
        case 53: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 54:   //QMargins
      switch(to) {
        case 54: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix
      switch(to) {
        case 55: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 56:   //QMatrix4x4
      switch(to) {
        case 56: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 36: return (void*)(QGLWidget*)(QObject*)xptr;
        case 34: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintDevice
      switch(to) {
        case 62: return (void*)(QPaintDevice*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 36: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainter
      switch(to) {
        case 65: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPen
      switch(to) {
        case 68: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 69:   //QPersistentModelIndex
      switch(to) {
        case 69: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 70:   //QPicture
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 70: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 71:   //QPixmap
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 71: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 72:   //QPoint
      switch(to) {
        case 72: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 73:   //QPointF
      switch(to) {
        case 73: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygon
      switch(to) {
        case 74: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 75:   //QPolygonF
      switch(to) {
        case 75: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 76:   //QQuaternion
      switch(to) {
        case 76: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 77:   //QRect
      switch(to) {
        case 77: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 78:   //QRectF
      switch(to) {
        case 78: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 79:   //QRegExp
      switch(to) {
        case 79: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 80:   //QRegion
      switch(to) {
        case 80: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 81:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 81: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 82: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QSize
      switch(to) {
        case 83: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 84:   //QSizeF
      switch(to) {
        case 84: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 85:   //QSizePolicy
      switch(to) {
        case 85: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 86:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 61: return (void*)(QObject*)(QSplitter*)xptr;
        case 62: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 86: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 87:   //QStandardItem
      switch(to) {
        case 87: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 88:   //QString::Null
      switch(to) {
        case 88: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 89:   //QStringRef
      switch(to) {
        case 89: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 90:   //QStyle
      switch(to) {
        case 61: return (void*)(QObject*)(QStyle*)xptr;
        case 90: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 91:   //QStyleOption
      switch(to) {
        case 91: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 36: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QPaintDevice
    61, 0,	// 3: QObject
    112, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLBuffer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//26
    { "QGLBuffer", false, 0, xcall_QGLBuffer, xenum_QGLBuffer, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLBuffer) },	//27
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//28
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//29
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//30
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//31
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//32
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//33
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//34
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//35
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//36
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//37
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//38
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//39
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//40
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QIcon", true, 0, 0, 0, 0, 0 },	//42
    { "QImage", true, 0, 0, 0, 0, 0 },	//43
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//44
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//46
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//48
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//49
    { "QLine", true, 0, 0, 0, 0, 0 },	//50
    { "QLineF", true, 0, 0, 0, 0, 0 },	//51
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//52
    { "QLocale", true, 0, 0, 0, 0, 0 },	//53
    { "QMargins", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//55
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainter", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPen", true, 0, 0, 0, 0, 0 },	//68
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//69
    { "QPicture", true, 0, 0, 0, 0, 0 },	//70
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//71
    { "QPoint", true, 0, 0, 0, 0, 0 },	//72
    { "QPointF", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//74
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//75
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//76
    { "QRect", true, 0, 0, 0, 0, 0 },	//77
    { "QRectF", true, 0, 0, 0, 0, 0 },	//78
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//79
    { "QRegion", true, 0, 0, 0, 0, 0 },	//80
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QSize", true, 0, 0, 0, 0, 0 },	//83
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//84
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//85
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//86
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//87
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//88
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//89
    { "QStyle", true, 0, 0, 0, 0, 0 },	//90
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "2", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "3", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "4", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "GLbitfield", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "GLenum", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "GLfloat", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "GLint", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "GLuint", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//21
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//22
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//23
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//24
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//25
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//26
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//27
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//28
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//31
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//32
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//35
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//37
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//38
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//40
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//42
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//51
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QGLFunctions::OpenGLFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//131
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//133
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//134
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//135
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//136
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//137
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//138
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//140
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QGL::FormatOption", 26, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref },	//144
    { "QGLBuffer*", 27, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QGLBuffer::Access", 27, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QGLBuffer::Type", 27, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QGLBuffer::UsagePattern", 27, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref },	//149
    { "QGLColormap*", 28, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QGLContext::BindOption", 29, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QGLFormat", 30, Smoke::t_class|Smoke::tf_stack },	//153
    { "QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//154
    { "QGLFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QGLFormat::OpenGLContextProfile", 30, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QGLFormat::OpenGLVersionFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QGLFramebufferObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QGLFramebufferObject::Attachment", 31, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QGLFramebufferObjectFormat", 32, Smoke::t_class|Smoke::tf_stack },	//160
    { "QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref },	//161
    { "QGLFramebufferObjectFormat*", 32, Smoke::t_class|Smoke::tf_ptr },	//162
    { "QGLFunctions::OpenGLFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QGLPixelBuffer*", 33, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QGLShader*", 34, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QGLShader::ShaderTypeBit", 34, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QGLShaderProgram*", 35, Smoke::t_class|Smoke::tf_ptr },	//167
    { "QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr },	//168
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QGraphicsItem*", 38, Smoke::t_class|Smoke::tf_ptr },	//172
    { "QGraphicsItem::GraphicsItemChange", 38, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QGraphicsItem::GraphicsItemFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QGraphicsObject*", 39, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QHideEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QIcon&", 42, Smoke::t_class|Smoke::tf_ref },	//181
    { "QImage", 43, Smoke::t_class|Smoke::tf_stack },	//182
    { "QImage&", 43, Smoke::t_class|Smoke::tf_ref },	//183
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QIncompatibleFlag", 44, Smoke::t_class|Smoke::tf_stack },	//185
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QInputMethodEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//187
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QKeyEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref },	//190
    { "QKeySequence::StandardKey", 48, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QLine", 50, Smoke::t_class|Smoke::tf_stack },	//193
    { "QLine&", 50, Smoke::t_class|Smoke::tf_ref },	//194
    { "QLineF", 51, Smoke::t_class|Smoke::tf_stack },	//195
    { "QLineF&", 51, Smoke::t_class|Smoke::tf_ref },	//196
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//197
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//198
    { "QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref },	//199
    { "QLocale&", 53, Smoke::t_class|Smoke::tf_ref },	//200
    { "QLocale::NumberOption", 53, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QMatrix&", 55, Smoke::t_class|Smoke::tf_ref },	//203
    { "QMatrix4x4", 56, Smoke::t_class|Smoke::tf_stack },	//204
    { "QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref },	//205
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QObject*(*)()", 61, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QPaintDevice*", 62, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QPaintDevice::PaintDeviceMetric", 62, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QPaintEngine::DirtyFlag", 63, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QPaintEngine::PaintEngineFeature", 63, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QPaintEngine::Type", 63, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QPainter*", 65, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QPainter::RenderHint", 65, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//223
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//224
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//225
    { "QPen&", 68, Smoke::t_class|Smoke::tf_ref },	//226
    { "QPicture&", 70, Smoke::t_class|Smoke::tf_ref },	//227
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QPixmap", 71, Smoke::t_class|Smoke::tf_stack },	//229
    { "QPixmap&", 71, Smoke::t_class|Smoke::tf_ref },	//230
    { "QPoint", 72, Smoke::t_class|Smoke::tf_stack },	//231
    { "QPoint&", 72, Smoke::t_class|Smoke::tf_ref },	//232
    { "QPointF", 73, Smoke::t_class|Smoke::tf_stack },	//233
    { "QPointF&", 73, Smoke::t_class|Smoke::tf_ref },	//234
    { "QPolygon", 74, Smoke::t_class|Smoke::tf_stack },	//235
    { "QPolygon&", 74, Smoke::t_class|Smoke::tf_ref },	//236
    { "QPolygonF", 75, Smoke::t_class|Smoke::tf_stack },	//237
    { "QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref },	//238
    { "QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref },	//239
    { "QRect&", 77, Smoke::t_class|Smoke::tf_ref },	//240
    { "QRectF&", 78, Smoke::t_class|Smoke::tf_ref },	//241
    { "QRegExp&", 79, Smoke::t_class|Smoke::tf_ref },	//242
    { "QRegion", 80, Smoke::t_class|Smoke::tf_stack },	//243
    { "QRegion&", 80, Smoke::t_class|Smoke::tf_ref },	//244
    { "QResizeEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//245
    { "QShowEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//246
    { "QSize", 83, Smoke::t_class|Smoke::tf_stack },	//247
    { "QSize&", 83, Smoke::t_class|Smoke::tf_ref },	//248
    { "QSizeF&", 84, Smoke::t_class|Smoke::tf_ref },	//249
    { "QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref },	//250
    { "QSizePolicy::ControlType", 85, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QSplitter&", 86, Smoke::t_class|Smoke::tf_ref },	//252
    { "QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref },	//253
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//255
    { "QString::Null", 88, Smoke::t_class|Smoke::tf_stack },	//256
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//259
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//260
    { "QStyle&", 90, Smoke::t_class|Smoke::tf_ref },	//261
    { "QStyle::StateFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QStyle::SubControl", 90, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//271
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//277
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//278
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//280
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//282
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//283
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//284
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//285
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//286
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//287
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//288
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//289
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//290
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//292
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//293
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//294
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//295
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//296
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//297
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//298
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//299
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//300
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//301
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//302
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//303
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//304
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//305
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//306
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//378
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//379
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//380
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtMsgType", 37, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForActiveQtModule", 37, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForCoreModule", 37, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForDBusModule", 37, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForDeclarativeModule", 37, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForGuiModule", 37, Smoke::t_enum|Smoke::tf_stack },	//389
    { "QtValidLicenseForHelpModule", 37, Smoke::t_enum|Smoke::tf_stack },	//390
    { "QtValidLicenseForMultimediaModule", 37, Smoke::t_enum|Smoke::tf_stack },	//391
    { "QtValidLicenseForNetworkModule", 37, Smoke::t_enum|Smoke::tf_stack },	//392
    { "QtValidLicenseForOpenGLModule", 37, Smoke::t_enum|Smoke::tf_stack },	//393
    { "QtValidLicenseForOpenVGModule", 37, Smoke::t_enum|Smoke::tf_stack },	//394
    { "QtValidLicenseForQt3SupportLightModule", 37, Smoke::t_enum|Smoke::tf_stack },	//395
    { "QtValidLicenseForQt3SupportModule", 37, Smoke::t_enum|Smoke::tf_stack },	//396
    { "QtValidLicenseForScriptModule", 37, Smoke::t_enum|Smoke::tf_stack },	//397
    { "QtValidLicenseForScriptToolsModule", 37, Smoke::t_enum|Smoke::tf_stack },	//398
    { "QtValidLicenseForSqlModule", 37, Smoke::t_enum|Smoke::tf_stack },	//399
    { "QtValidLicenseForSvgModule", 37, Smoke::t_enum|Smoke::tf_stack },	//400
    { "QtValidLicenseForTestModule", 37, Smoke::t_enum|Smoke::tf_stack },	//401
    { "QtValidLicenseForXmlModule", 37, Smoke::t_enum|Smoke::tf_stack },	//402
    { "QtValidLicenseForXmlPatternsModule", 37, Smoke::t_enum|Smoke::tf_stack },	//403
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//404
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//405
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//406
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//407
    { "const GLfloat*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const GLfloat[2][2]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//409
    { "const GLfloat[3][3]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//410
    { "const GLfloat[4][4]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//411
    { "const GLint*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const GLuint*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//413
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//416
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//417
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//430
    { "const QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//433
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//435
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//437
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//439
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//441
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//443
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//445
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//447
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//449
    { "const QHashDummyValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QIcon&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QImage&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QItemSelectionRange&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QLatin1String&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QLine&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QLineF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QLocale&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QMargins&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QMatrix&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QMatrix4x4*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//463
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//467
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QPen&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QPersistentModelIndex&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QPicture&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QPixmap&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QPoint", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//474
    { "const QPoint&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QPointF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//476
    { "const QPointF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QPolygon&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QQuaternion", 76, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//480
    { "const QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QRect&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const QRectF&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QRegExp&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const QRegExp*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//485
    { "const QRegion&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const QSize", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//487
    { "const QSize&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const QSizeF", 84, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//489
    { "const QSizeF&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const QSplitter&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//494
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//495
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//496
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//497
    { "const QStringRef&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//498
    { "const QStyleOption&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//499
    { "const QStyleOption::OptionType&", 91, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//500
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//501
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//502
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//503
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//504
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//505
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//506
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//507
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//508
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//509
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//510
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//511
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//512
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//513
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//514
    { "const QVector2D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//515
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//516
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//517
    { "const QVector3D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//518
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//519
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//520
    { "const QVector4D*", 110, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//521
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//522
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//523
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//524
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//525
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//526
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//527
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//528
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//529
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//530
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//531
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//532
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//533
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//534
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//535
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//536
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//537
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//538
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//539
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//540
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//541
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//542
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//543
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//544
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//545
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    219, 0,	//1  QPaintEngine::Type
    147, 0,	//3  QGLBuffer::Type
    428, 0,	//5  const QGLBuffer&
    148, 0,	//7  QGLBuffer::UsagePattern
    528, 543, 528, 0,	//9  int, void*, int
    528, 525, 528, 0,	//13  int, const void*, int
    525, 528, 0,	//17  const void*, int
    528, 0,	//20  int
    146, 0,	//22  QGLBuffer::Access
    429, 0,	//24  const QGLColormap&
    528, 524, 528, 0,	//26  int, const unsigned int*, int
    528, 536, 0,	//30  int, unsigned int
    528, 420, 0,	//33  int, const QColor&
    536, 0,	//36  unsigned int
    537, 0,	//38  unsigned long
    528, 524, 0,	//40  int, const unsigned int*
    431, 214, 0,	//43  const QGLFormat&, QPaintDevice*
    431, 0,	//46  const QGLFormat&
    430, 0,	//48  const QGLContext*
    430, 430, 0,	//50  const QGLContext*, const QGLContext*
    452, 5, 7, 76, 0,	//53  const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>
    473, 5, 7, 76, 0,	//58  const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>
    452, 5, 7, 0,	//63  const QImage&, GLenum, GLint
    473, 5, 7, 0,	//67  const QPixmap&, GLenum, GLint
    495, 0,	//71  const QString&
    8, 0,	//73  GLuint
    483, 8, 5, 0,	//75  const QRectF&, GLuint, GLenum
    477, 8, 5, 0,	//79  const QPointF&, GLuint, GLenum
    431, 528, 0,	//83  const QGLFormat&, int
    405, 0,	//86  bool
    427, 528, 0,	//88  const QFont&, int
    420, 0,	//91  const QColor&
    214, 0,	//93  QPaintDevice*
    452, 0,	//95  const QImage&
    452, 5, 0,	//97  const QImage&, GLenum
    473, 0,	//100  const QPixmap&
    473, 5, 0,	//102  const QPixmap&, GLenum
    483, 8, 0,	//105  const QRectF&, GLuint
    477, 8, 0,	//108  const QPointF&, GLuint
    151, 0,	//111  QGLContext*
    75, 528, 0,	//113  QFlags<QGL::FormatOption>, int
    75, 0,	//116  QFlags<QGL::FormatOption>
    528, 528, 0,	//118  int, int
    156, 0,	//121  QGLFormat::OpenGLContextProfile
    488, 5, 0,	//123  const QSize&, GLenum
    528, 528, 5, 0,	//126  int, int, GLenum
    488, 159, 5, 5, 0,	//130  const QSize&, QGLFramebufferObject::Attachment, GLenum, GLenum
    528, 528, 159, 5, 5, 0,	//135  int, int, QGLFramebufferObject::Attachment, GLenum, GLenum
    488, 432, 0,	//141  const QSize&, const QGLFramebufferObjectFormat&
    528, 528, 432, 0,	//144  int, int, const QGLFramebufferObjectFormat&
    158, 482, 158, 482, 4, 5, 0,	//148  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield, GLenum
    215, 0,	//155  QPaintDevice::PaintDeviceMetric
    488, 0,	//157  const QSize&
    488, 159, 0,	//159  const QSize&, QGLFramebufferObject::Attachment
    488, 159, 5, 0,	//162  const QSize&, QGLFramebufferObject::Attachment, GLenum
    528, 528, 159, 0,	//166  int, int, QGLFramebufferObject::Attachment
    528, 528, 159, 5, 0,	//170  int, int, QGLFramebufferObject::Attachment, GLenum
    158, 482, 158, 482, 0,	//175  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    158, 482, 158, 482, 4, 0,	//180  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield
    432, 0,	//186  const QGLFramebufferObjectFormat&
    159, 0,	//188  QGLFramebufferObject::Attachment
    5, 0,	//190  GLenum
    488, 431, 168, 0,	//192  const QSize&, const QGLFormat&, QGLWidget*
    528, 528, 431, 168, 0,	//196  int, int, const QGLFormat&, QGLWidget*
    488, 431, 0,	//201  const QSize&, const QGLFormat&
    528, 528, 431, 0,	//204  int, int, const QGLFormat&
    522, 0,	//208  const char*
    522, 522, 0,	//210  const char*, const char*
    522, 522, 528, 0,	//213  const char*, const char*, int
    209, 528, 544, 0,	//217  QMetaObject::Call, int, void**
    79, 212, 0,	//221  QFlags<QGLShader::ShaderTypeBit>, QObject*
    79, 430, 212, 0,	//224  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    418, 0,	//228  const QByteArray&
    79, 430, 0,	//230  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    79, 0,	//233  QFlags<QGLShader::ShaderTypeBit>
    212, 0,	//235  QObject*
    430, 212, 0,	//237  const QGLContext*, QObject*
    165, 0,	//240  QGLShader*
    79, 522, 0,	//242  QFlags<QGLShader::ShaderTypeBit>, const char*
    79, 418, 0,	//245  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    79, 495, 0,	//248  QFlags<QGLShader::ShaderTypeBit>, const QString&
    522, 528, 0,	//251  const char*, int
    418, 528, 0,	//254  const QByteArray&, int
    495, 528, 0,	//257  const QString&, int
    528, 6, 0,	//260  int, GLfloat
    528, 6, 6, 0,	//263  int, GLfloat, GLfloat
    528, 6, 6, 6, 0,	//267  int, GLfloat, GLfloat, GLfloat
    528, 6, 6, 6, 6, 0,	//272  int, GLfloat, GLfloat, GLfloat, GLfloat
    528, 514, 0,	//278  int, const QVector2D&
    528, 517, 0,	//281  int, const QVector3D&
    528, 520, 0,	//284  int, const QVector4D&
    528, 408, 528, 528, 0,	//287  int, const GLfloat*, int, int
    522, 6, 0,	//292  const char*, GLfloat
    522, 6, 6, 0,	//295  const char*, GLfloat, GLfloat
    522, 6, 6, 6, 0,	//299  const char*, GLfloat, GLfloat, GLfloat
    522, 6, 6, 6, 6, 0,	//304  const char*, GLfloat, GLfloat, GLfloat, GLfloat
    522, 514, 0,	//310  const char*, const QVector2D&
    522, 517, 0,	//313  const char*, const QVector3D&
    522, 520, 0,	//316  const char*, const QVector4D&
    522, 420, 0,	//319  const char*, const QColor&
    522, 408, 528, 528, 0,	//322  const char*, const GLfloat*, int, int
    528, 515, 528, 0,	//327  int, const QVector2D*, int
    528, 518, 528, 0,	//331  int, const QVector3D*, int
    528, 521, 528, 0,	//335  int, const QVector4D*, int
    528, 5, 525, 528, 528, 0,	//339  int, GLenum, const void*, int, int
    522, 515, 528, 0,	//345  const char*, const QVector2D*, int
    522, 518, 528, 0,	//349  const char*, const QVector3D*, int
    522, 521, 528, 0,	//353  const char*, const QVector4D*, int
    522, 5, 525, 528, 528, 0,	//357  const char*, GLenum, const void*, int, int
    528, 5, 528, 528, 528, 0,	//363  int, GLenum, int, int, int
    522, 5, 528, 528, 528, 0,	//369  const char*, GLenum, int, int, int
    528, 7, 0,	//375  int, GLint
    528, 8, 0,	//378  int, GLuint
    528, 475, 0,	//381  int, const QPoint&
    528, 477, 0,	//384  int, const QPointF&
    528, 488, 0,	//387  int, const QSize&
    528, 490, 0,	//390  int, const QSizeF&
    528, 434, 0,	//393  int, const QGenericMatrix<2,2,double>&
    528, 436, 0,	//396  int, const QGenericMatrix<2,3,double>&
    528, 438, 0,	//399  int, const QGenericMatrix<2,4,double>&
    528, 440, 0,	//402  int, const QGenericMatrix<3,2,double>&
    528, 442, 0,	//405  int, const QGenericMatrix<3,3,double>&
    528, 444, 0,	//408  int, const QGenericMatrix<3,4,double>&
    528, 446, 0,	//411  int, const QGenericMatrix<4,2,double>&
    528, 448, 0,	//414  int, const QGenericMatrix<4,3,double>&
    528, 462, 0,	//417  int, const QMatrix4x4&
    528, 409, 0,	//420  int, const GLfloat[2][2]
    528, 410, 0,	//423  int, const GLfloat[3][3]
    528, 411, 0,	//426  int, const GLfloat[4][4]
    528, 506, 0,	//429  int, const QTransform&
    522, 7, 0,	//432  const char*, GLint
    522, 8, 0,	//435  const char*, GLuint
    522, 475, 0,	//438  const char*, const QPoint&
    522, 477, 0,	//441  const char*, const QPointF&
    522, 488, 0,	//444  const char*, const QSize&
    522, 490, 0,	//447  const char*, const QSizeF&
    522, 434, 0,	//450  const char*, const QGenericMatrix<2,2,double>&
    522, 436, 0,	//453  const char*, const QGenericMatrix<2,3,double>&
    522, 438, 0,	//456  const char*, const QGenericMatrix<2,4,double>&
    522, 440, 0,	//459  const char*, const QGenericMatrix<3,2,double>&
    522, 442, 0,	//462  const char*, const QGenericMatrix<3,3,double>&
    522, 444, 0,	//465  const char*, const QGenericMatrix<3,4,double>&
    522, 446, 0,	//468  const char*, const QGenericMatrix<4,2,double>&
    522, 448, 0,	//471  const char*, const QGenericMatrix<4,3,double>&
    522, 462, 0,	//474  const char*, const QMatrix4x4&
    522, 409, 0,	//477  const char*, const GLfloat[2][2]
    522, 410, 0,	//480  const char*, const GLfloat[3][3]
    522, 411, 0,	//483  const char*, const GLfloat[4][4]
    522, 506, 0,	//486  const char*, const QTransform&
    528, 412, 528, 0,	//489  int, const GLint*, int
    528, 413, 528, 0,	//493  int, const GLuint*, int
    528, 435, 528, 0,	//497  int, const QGenericMatrix<2,2,double>*, int
    528, 437, 528, 0,	//501  int, const QGenericMatrix<2,3,double>*, int
    528, 439, 528, 0,	//505  int, const QGenericMatrix<2,4,double>*, int
    528, 441, 528, 0,	//509  int, const QGenericMatrix<3,2,double>*, int
    528, 443, 528, 0,	//513  int, const QGenericMatrix<3,3,double>*, int
    528, 445, 528, 0,	//517  int, const QGenericMatrix<3,4,double>*, int
    528, 447, 528, 0,	//521  int, const QGenericMatrix<4,2,double>*, int
    528, 449, 528, 0,	//525  int, const QGenericMatrix<4,3,double>*, int
    528, 463, 528, 0,	//529  int, const QMatrix4x4*, int
    522, 412, 528, 0,	//533  const char*, const GLint*, int
    522, 413, 528, 0,	//537  const char*, const GLuint*, int
    522, 435, 528, 0,	//541  const char*, const QGenericMatrix<2,2,double>*, int
    522, 437, 528, 0,	//545  const char*, const QGenericMatrix<2,3,double>*, int
    522, 439, 528, 0,	//549  const char*, const QGenericMatrix<2,4,double>*, int
    522, 441, 528, 0,	//553  const char*, const QGenericMatrix<3,2,double>*, int
    522, 443, 528, 0,	//557  const char*, const QGenericMatrix<3,3,double>*, int
    522, 445, 528, 0,	//561  const char*, const QGenericMatrix<3,4,double>*, int
    522, 447, 528, 0,	//565  const char*, const QGenericMatrix<4,2,double>*, int
    522, 449, 528, 0,	//569  const char*, const QGenericMatrix<4,3,double>*, int
    522, 463, 528, 0,	//573  const char*, const QMatrix4x4*, int
    528, 408, 528, 0,	//577  int, const GLfloat*, int
    528, 515, 0,	//581  int, const QVector2D*
    528, 518, 0,	//584  int, const QVector3D*
    528, 521, 0,	//587  int, const QVector4D*
    528, 5, 525, 528, 0,	//590  int, GLenum, const void*, int
    522, 408, 528, 0,	//595  const char*, const GLfloat*, int
    522, 515, 0,	//599  const char*, const QVector2D*
    522, 518, 0,	//602  const char*, const QVector3D*
    522, 521, 0,	//605  const char*, const QVector4D*
    522, 5, 525, 528, 0,	//608  const char*, GLenum, const void*, int
    528, 5, 528, 528, 0,	//613  int, GLenum, int, int
    522, 5, 528, 528, 0,	//618  const char*, GLenum, int, int
    305, 433, 138, 0,	//623  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    151, 305, 433, 138, 0,	//627  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    431, 305, 433, 138, 0,	//632  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    151, 430, 405, 0,	//637  QGLContext*, const QGLContext*, bool
    528, 528, 405, 0,	//641  int, int, bool
    528, 528, 495, 427, 528, 0,	//645  int, int, const QString&, const QFont&, int
    526, 526, 526, 495, 427, 528, 0,	//651  double, double, double, const QString&, const QFont&, int
    52, 0,	//658  QEvent*
    220, 0,	//660  QPaintEvent*
    245, 0,	//662  QResizeEvent*
    305, 0,	//664  QWidget*
    305, 433, 0,	//666  QWidget*, const QGLWidget*
    151, 305, 0,	//669  QGLContext*, QWidget*
    151, 305, 433, 0,	//672  QGLContext*, QWidget*, const QGLWidget*
    431, 305, 0,	//676  const QGLFormat&, QWidget*
    431, 305, 433, 0,	//679  const QGLFormat&, QWidget*, const QGLWidget*
    151, 430, 0,	//683  QGLContext*, const QGLContext*
    528, 528, 495, 0,	//686  int, int, const QString&
    528, 528, 495, 427, 0,	//690  int, int, const QString&, const QFont&
    526, 526, 526, 495, 0,	//695  double, double, double, const QString&
    526, 526, 526, 495, 427, 0,	//700  double, double, double, const QString&, const QFont&
    427, 0,	//706  const QFont&
    414, 414, 0,	//708  const QBitArray&, const QBitArray&
    471, 0,	//711  const QPersistentModelIndex&
    328, 528, 0,	//713  Qt::DockWidgetArea, int
    169, 169, 0,	//716  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    431, 431, 0,	//719  const QGLFormat&, const QGLFormat&
    475, 526, 0,	//722  const QPoint&, double
    526, 0,	//725  double
    40, 453, 0,	//727  QDebug, const QItemSelectionRange&
    526, 477, 0,	//730  double, const QPointF&
    353, 132, 0,	//733  Qt::MouseButton, QFlags<Qt::MouseButton>
    460, 460, 0,	//736  const QMargins&, const QMargins&
    40, 499, 0,	//739  QDebug, const QStyleOption&
    526, 490, 0,	//742  double, const QSizeF&
    43, 528, 0,	//745  QDir::SortFlag, int
    10, 10, 0,	//748  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    40, 471, 0,	//751  QDebug, const QPersistentModelIndex&
    36, 183, 0,	//754  QDataStream&, QImage&
    36, 491, 0,	//757  QDataStream&, const QSizePolicy&
    342, 528, 0,	//760  Qt::InputMethodHint, int
    268, 528, 0,	//763  QStyleOptionToolBar::ToolBarFeature, int
    40, 506, 0,	//766  QDebug, const QTransform&
    407, 522, 0,	//769  char*, const char*
    482, 482, 0,	//772  const QRect&, const QRect&
    488, 488, 0,	//775  const QSize&, const QSize&
    36, 506, 0,	//778  QDataStream&, const QTransform&
    163, 163, 0,	//781  QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature
    274, 274, 0,	//784  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    40, 475, 0,	//787  QDebug, const QPoint&
    462, 462, 0,	//790  const QMatrix4x4&, const QMatrix4x4&
    166, 166, 0,	//793  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    534, 0,	//796  unsigned char
    42, 65, 0,	//798  QDir::Filter, QFlags<QDir::Filter>
    520, 520, 0,	//801  const QVector4D&, const QVector4D&
    477, 461, 0,	//804  const QPointF&, const QMatrix&
    218, 218, 0,	//807  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    456, 506, 0,	//810  const QLine&, const QTransform&
    514, 514, 0,	//813  const QVector2D&, const QVector2D&
    53, 70, 0,	//816  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    380, 137, 0,	//819  Qt::WindowState, QFlags<Qt::WindowState>
    490, 526, 0,	//822  const QSizeF&, double
    36, 456, 0,	//825  QDataStream&, const QLine&
    42, 528, 0,	//828  QDir::Filter, int
    506, 506, 0,	//831  const QTransform&, const QTransform&
    55, 72, 0,	//834  QFileDialog::Option, QFlags<QFileDialog::Option>
    490, 490, 0,	//837  const QSizeF&, const QSizeF&
    418, 418, 0,	//840  const QByteArray&, const QByteArray&
    455, 498, 0,	//843  const QLatin1String&, const QStringRef&
    481, 0,	//846  const QQuaternion&
    11, 11, 0,	//848  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    353, 353, 0,	//851  Qt::MouseButton, Qt::MouseButton
    40, 511, 0,	//854  QDebug, const QVariant::Type
    510, 512, 0,	//857  const QVariant&, const QVariantComparisonHelper&
    481, 526, 0,	//860  const QQuaternion&, double
    23, 23, 0,	//863  QBool, QBool
    267, 267, 0,	//866  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    266, 266, 0,	//869  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    141, 141, 0,	//872  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    308, 123, 0,	//875  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    498, 0,	//878  const QStringRef&
    278, 278, 0,	//880  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    256, 256, 0,	//883  QString::Null, QString::Null
    40, 427, 0,	//886  QDebug, const QFont&
    40, 478, 0,	//889  QDebug, const QPolygon&
    36, 483, 0,	//892  QDataStream&, const QRectF&
    36, 200, 0,	//895  QDataStream&, QLocale&
    263, 528, 0,	//898  QStyle::SubControl, int
    45, 45, 0,	//901  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    27, 495, 0,	//904  QChar, const QString&
    180, 87, 0,	//907  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    221, 482, 469, 405, 528, 416, 0,	//910  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    221, 482, 469, 0,	//917  QPainter*, const QRect&, const QPalette&
    221, 482, 469, 405, 0,	//921  QPainter*, const QRect&, const QPalette&, bool
    221, 482, 469, 405, 528, 0,	//926  QPainter*, const QRect&, const QPalette&, bool, int
    514, 0,	//932  const QVector2D&
    42, 42, 0,	//934  QDir::Filter, QDir::Filter
    36, 469, 0,	//937  QDataStream&, const QPalette&
    40, 505, 0,	//940  QDebug, const QTime&
    481, 481, 0,	//943  const QQuaternion&, const QQuaternion&
    275, 113, 0,	//946  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    36, 418, 0,	//949  QDataStream&, const QByteArray&
    40, 422, 0,	//952  QDebug, const QDate&
    414, 0,	//955  const QBitArray&
    276, 114, 0,	//957  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    523, 535, 528, 0,	//960  const unsigned char*, unsigned char*, int
    19, 61, 0,	//964  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    479, 506, 0,	//967  const QPolygonF&, const QTransform&
    510, 297, 543, 0,	//970  const QVariant&, QVariant::Type, void*
    539, 0,	//974  unsigned short
    213, 0,	//976  QObject*(*)()
    529, 0,	//978  long
    370, 370, 0,	//980  Qt::ToolBarArea, Qt::ToolBarArea
    530, 0,	//983  long long
    40, 479, 0,	//985  QDebug, const QPolygonF&
    228, 100, 0,	//988  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    221, 528, 528, 528, 528, 469, 405, 416, 0,	//991  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    221, 528, 528, 528, 528, 469, 0,	//1000  QPainter*, int, int, int, int, const QPalette&
    221, 528, 528, 528, 528, 469, 405, 0,	//1007  QPainter*, int, int, int, int, const QPalette&, bool
    306, 528, 0,	//1015  QWidget::RenderFlag, int
    40, 420, 0,	//1018  QDebug, const QColor&
    291, 528, 0,	//1021  QTreeWidgetItemIterator::IteratorFlag, int
    330, 528, 0,	//1024  Qt::DropAction, int
    221, 528, 528, 528, 528, 469, 405, 528, 528, 416, 0,	//1027  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    221, 528, 528, 528, 528, 469, 405, 528, 0,	//1038  QPainter*, int, int, int, int, const QPalette&, bool, int
    221, 528, 528, 528, 528, 469, 405, 528, 528, 0,	//1047  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    36, 496, 0,	//1057  QDataStream&, const QStringList&
    9, 9, 0,	//1060  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    36, 226, 0,	//1063  QDataStream&, QPen&
    527, 0,	//1066  float
    169, 80, 0,	//1068  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    308, 308, 0,	//1071  Qt::AlignmentFlag, Qt::AlignmentFlag
    36, 32, 0,	//1074  QDataStream&, QColor&
    44, 528, 0,	//1077  QDirIterator::IteratorFlag, int
    36, 484, 0,	//1080  QDataStream&, const QRegExp&
    293, 528, 0,	//1083  QUrl::FormattingOption, int
    44, 67, 0,	//1086  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    418, 522, 0,	//1089  const QByteArray&, const char*
    171, 171, 0,	//1092  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    142, 528, 0,	//1095  QFontDialog::FontDialogOption, int
    40, 490, 0,	//1098  QDebug, const QSizeF&
    328, 124, 0,	//1101  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    266, 528, 0,	//1104  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    40, 431, 0,	//1107  QDebug, const QGLFormat&
    456, 461, 0,	//1110  const QLine&, const QMatrix&
    217, 217, 0,	//1113  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    528, 528, 528, 0,	//1116  int, int, int
    457, 461, 0,	//1120  const QLineF&, const QMatrix&
    355, 355, 0,	//1123  Qt::Orientation, Qt::Orientation
    468, 461, 0,	//1126  const QPainterPath&, const QMatrix&
    370, 528, 0,	//1129  Qt::ToolBarArea, int
    517, 517, 0,	//1132  const QVector3D&, const QVector3D&
    36, 234, 0,	//1135  QDataStream&, QPointF&
    351, 528, 0,	//1138  Qt::MatchFlag, int
    36, 454, 0,	//1141  QDataStream&, const QKeySequence&
    36, 501, 0,	//1144  QDataStream&, const QTableWidgetItem&
    40, 173, 0,	//1147  QDebug, QGraphicsItem::GraphicsItemChange
    40, 425, 0,	//1150  QDebug, const QEasingCurve&
    188, 528, 0,	//1153  QItemSelectionModel::SelectionFlag, int
    36, 421, 0,	//1156  QDataStream&, const QCursor&
    208, 96, 0,	//1159  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    335, 335, 0,	//1162  Qt::GestureFlag, Qt::GestureFlag
    36, 37, 0,	//1165  QDataStream&, QDate&
    36, 472, 0,	//1168  QDataStream&, const QPicture&
    180, 180, 0,	//1171  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    208, 208, 0,	//1174  QMessageBox::StandardButton, QMessageBox::StandardButton
    53, 528, 0,	//1177  QEventLoop::ProcessEventsFlag, int
    406, 418, 0,	//1180  char, const QByteArray&
    36, 303, 0,	//1183  QDataStream&, QVector4D&
    207, 95, 0,	//1186  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    40, 103, 0,	//1189  QDebug, QFlags<QStyle::StateFlag>
    522, 418, 0,	//1192  const char*, const QByteArray&
    142, 142, 0,	//1195  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    36, 294, 0,	//1198  QDataStream&, QUuid&
    526, 526, 0,	//1201  double, double
    157, 157, 0,	//1204  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    36, 26, 0,	//1207  QDataStream&, QByteArray&
    36, 296, 0,	//1210  QDataStream&, QVariant&
    36, 507, 0,	//1213  QDataStream&, const QTreeWidgetItem&
    36, 242, 0,	//1216  QDataStream&, QRegExp&
    222, 222, 0,	//1219  QPainter::RenderHint, QPainter::RenderHint
    477, 477, 0,	//1222  const QPointF&, const QPointF&
    506, 526, 0,	//1225  const QTransform&, double
    282, 492, 0,	//1228  QTextStream&, const QSplitter&
    12, 59, 0,	//1231  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    143, 528, 0,	//1234  QGL::FormatOption, int
    514, 526, 0,	//1237  const QVector2D&, double
    143, 143, 0,	//1240  QGL::FormatOption, QGL::FormatOption
    291, 291, 0,	//1243  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    264, 264, 0,	//1246  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    498, 498, 0,	//1249  const QStringRef&, const QStringRef&
    520, 526, 0,	//1252  const QVector4D&, double
    264, 528, 0,	//1255  QStyleOptionButton::ButtonFeature, int
    54, 528, 0,	//1258  QFile::Permission, int
    40, 457, 0,	//1261  QDebug, const QLineF&
    27, 27, 0,	//1264  QChar, QChar
    462, 526, 0,	//1267  const QMatrix4x4&, double
    468, 506, 0,	//1270  const QPainterPath&, const QTransform&
    36, 415, 0,	//1273  QDataStream&, const QBrush&
    206, 94, 0,	//1276  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    522, 522, 536, 0,	//1279  const char*, const char*, unsigned int
    12, 12, 0,	//1283  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    186, 528, 0,	//1286  QInputDialog::InputDialogOption, int
    152, 152, 0,	//1289  QGLContext::BindOption, QGLContext::BindOption
    262, 528, 0,	//1292  QStyle::StateFlag, int
    40, 65, 0,	//1295  QDebug, QFlags<QDir::Filter>
    36, 244, 0,	//1298  QDataStream&, QRegion&
    222, 528, 0,	//1301  QPainter::RenderHint, int
    267, 528, 0,	//1304  QStyleOptionTab::CornerWidget, int
    307, 307, 0,	//1307  QWizard::WizardOption, QWizard::WizardOption
    284, 118, 0,	//1310  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    36, 22, 0,	//1313  QDataStream&, QBitArray&
    307, 122, 0,	//1316  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    477, 526, 0,	//1319  const QPointF&, double
    218, 98, 0,	//1322  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    174, 174, 0,	//1325  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    27, 0,	//1328  QChar
    221, 528, 528, 528, 528, 469, 405, 528, 416, 0,	//1330  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    9, 56, 0,	//1340  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    542, 0,	//1343  void(*)(QtMsgType,const char*)
    36, 422, 0,	//1345  QDataStream&, const QDate&
    467, 495, 464, 0,	//1348  const QObject*, const QString&, const QMetaObject&
    351, 131, 0,	//1352  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    517, 462, 0,	//1355  const QVector3D&, const QMatrix4x4&
    335, 528, 0,	//1358  Qt::GestureFlag, int
    221, 482, 469, 405, 416, 0,	//1361  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    274, 528, 0,	//1367  QTextCodec::ConversionFlag, int
    251, 251, 0,	//1370  QSizePolicy::ControlType, QSizePolicy::ControlType
    141, 528, 0,	//1373  QFontComboBox::FontFilter, int
    275, 528, 0,	//1376  QTextDocument::FindFlag, int
    36, 35, 0,	//1379  QDataStream&, QCursor&
    348, 130, 0,	//1382  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    517, 526, 0,	//1385  const QVector3D&, double
    351, 351, 0,	//1388  Qt::MatchFlag, Qt::MatchFlag
    36, 289, 0,	//1391  QDataStream&, QTransform&
    478, 461, 0,	//1394  const QPolygon&, const QMatrix&
    543, 0,	//1397  void*
    267, 108, 0,	//1399  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    495, 256, 0,	//1402  const QString&, QString::Null
    40, 470, 0,	//1405  QDebug, const QPen&
    269, 269, 0,	//1408  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    192, 528, 0,	//1411  QLibrary::LoadHint, int
    36, 249, 0,	//1414  QDataStream&, QSizeF&
    498, 522, 0,	//1417  const QStringRef&, const char*
    221, 482, 469, 405, 528, 528, 416, 0,	//1420  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    221, 482, 469, 405, 528, 528, 0,	//1428  QPainter*, const QRect&, const QPalette&, bool, int, int
    217, 528, 0,	//1435  QPaintEngine::DirtyFlag, int
    276, 276, 0,	//1438  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    174, 528, 0,	//1441  QGraphicsItem::GraphicsItemFlag, int
    477, 0,	//1444  const QPointF&
    543, 533, 533, 533, 0,	//1446  void*, size_t, size_t, size_t
    345, 345, 0,	//1451  Qt::ItemFlag, Qt::ItemFlag
    36, 473, 0,	//1454  QDataStream&, const QPixmap&
    538, 0,	//1457  unsigned long long
    381, 138, 0,	//1459  Qt::WindowType, QFlags<Qt::WindowType>
    40, 488, 0,	//1462  QDebug, const QSize&
    477, 506, 0,	//1465  const QPointF&, const QTransform&
    345, 129, 0,	//1468  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    40, 517, 0,	//1471  QDebug, const QVector3D&
    373, 136, 0,	//1474  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    45, 68, 0,	//1477  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    171, 528, 0,	//1480  QGraphicsEffect::ChangeFlag, int
    221, 528, 528, 528, 528, 420, 528, 416, 0,	//1483  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    221, 528, 528, 528, 528, 420, 0,	//1492  QPainter*, int, int, int, int, const QColor&
    221, 528, 528, 528, 528, 420, 528, 0,	//1499  QPainter*, int, int, int, int, const QColor&, int
    36, 508, 0,	//1507  QDataStream&, const QUrl&
    543, 528, 533, 0,	//1510  void*, int, size_t
    251, 101, 0,	//1514  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    36, 510, 0,	//1517  QDataStream&, const QVariant&
    36, 194, 0,	//1520  QDataStream&, QLine&
    12, 528, 0,	//1523  QAbstractSpinBox::StepEnabledFlag, int
    40, 514, 0,	//1526  QDebug, const QVector2D&
    348, 348, 0,	//1529  Qt::KeyboardModifier, Qt::KeyboardModifier
    462, 520, 0,	//1532  const QMatrix4x4&, const QVector4D&
    19, 528, 0,	//1535  QAccessible::StateFlag, int
    221, 482, 420, 528, 416, 0,	//1538  QPainter*, const QRect&, const QColor&, int, const QBrush*
    221, 482, 420, 0,	//1544  QPainter*, const QRect&, const QColor&
    221, 482, 420, 528, 0,	//1548  QPainter*, const QRect&, const QColor&, int
    228, 228, 0,	//1553  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    39, 528, 0,	//1556  QDateTimeEdit::Section, int
    541, 0,	//1559  void(*)()
    308, 528, 0,	//1561  Qt::AlignmentFlag, int
    475, 461, 0,	//1564  const QPoint&, const QMatrix&
    348, 528, 0,	//1567  Qt::KeyboardModifier, int
    345, 528, 0,	//1570  Qt::ItemFlag, int
    340, 127, 0,	//1573  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    36, 470, 0,	//1576  QDataStream&, const QPen&
    475, 475, 0,	//1579  const QPoint&, const QPoint&
    257, 528, 0,	//1582  QString::SectionFlag, int
    381, 528, 0,	//1585  Qt::WindowType, int
    306, 306, 0,	//1588  QWidget::RenderFlag, QWidget::RenderFlag
    498, 495, 0,	//1591  const QStringRef&, const QString&
    221, 482, 460, 473, 482, 460, 504, 69, 0,	//1594  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    221, 482, 460, 473, 482, 460, 0,	//1603  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    221, 482, 460, 473, 482, 460, 504, 0,	//1610  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    450, 450, 0,	//1618  const QHashDummyValue&, const QHashDummyValue&
    522, 536, 0,	//1621  const char*, unsigned int
    293, 293, 0,	//1624  QUrl::FormattingOption, QUrl::FormattingOption
    33, 528, 0,	//1627  QColorDialog::ColorDialogOption, int
    36, 181, 0,	//1630  QDataStream&, QIcon&
    36, 478, 0,	//1633  QDataStream&, const QPolygon&
    373, 528, 0,	//1636  Qt::TouchPointState, int
    40, 460, 0,	//1639  QDebug, const QMargins&
    306, 121, 0,	//1642  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    278, 528, 0,	//1645  QTextFormat::PageBreakFlag, int
    184, 528, 0,	//1648  QImageIOPlugin::Capability, int
    40, 83, 0,	//1651  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    177, 528, 0,	//1654  QGraphicsView::CacheModeFlag, int
    10, 528, 0,	//1657  QAbstractItemView::EditTrigger, int
    40, 520, 0,	//1660  QDebug, const QVector4D&
    282, 283, 0,	//1663  QTextStream&, QTextStream&(*)(QTextStream&)
    307, 528, 0,	//1666  QWizard::WizardOption, int
    55, 528, 0,	//1669  QFileDialog::Option, int
    262, 103, 0,	//1672  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    462, 475, 0,	//1675  const QMatrix4x4&, const QPoint&
    269, 110, 0,	//1678  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    36, 51, 0,	//1681  QDataStream&, QEasingCurve&
    176, 84, 0,	//1684  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    206, 206, 0,	//1687  QMdiArea::AreaOption, QMdiArea::AreaOption
    36, 253, 0,	//1690  QDataStream&, QStandardItem&
    36, 457, 0,	//1693  QDataStream&, const QLineF&
    54, 71, 0,	//1696  QFile::Permission, QFlags<QFile::Permission>
    218, 528, 0,	//1699  QPaintEngine::PaintEngineFeature, int
    40, 468, 0,	//1702  QDebug, const QPainterPath&
    407, 522, 536, 0,	//1705  char*, const char*, unsigned int
    33, 62, 0,	//1709  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    36, 24, 0,	//1712  QDataStream&, QBrush&
    36, 477, 0,	//1715  QDataStream&, const QPointF&
    36, 205, 0,	//1718  QDataStream&, QMatrix4x4&
    520, 0,	//1721  const QVector4D&
    40, 462, 0,	//1723  QDebug, const QMatrix4x4&
    508, 0,	//1726  const QUrl&
    178, 528, 0,	//1728  QGraphicsView::OptimizationFlag, int
    36, 277, 0,	//1731  QDataStream&, QTextFormat&
    475, 527, 0,	//1734  const QPoint&, float
    201, 528, 0,	//1737  QLocale::NumberOption, int
    36, 199, 0,	//1740  QDataStream&, QListWidgetItem&
    543, 533, 0,	//1743  void*, size_t
    171, 82, 0,	//1746  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    170, 81, 0,	//1749  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    495, 495, 0,	//1752  const QString&, const QString&
    269, 528, 0,	//1755  QStyleOptionToolButton::ToolButtonFeature, int
    208, 528, 0,	//1758  QMessageBox::StandardButton, int
    522, 522, 522, 528, 0,	//1761  const char*, const char*, const char*, int
    495, 498, 0,	//1766  const QString&, const QStringRef&
    40, 174, 0,	//1769  QDebug, QGraphicsItem::GraphicsItemFlag
    18, 60, 0,	//1772  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    191, 189, 0,	//1775  QKeySequence::StandardKey, QKeyEvent*
    251, 528, 0,	//1778  QSizePolicy::ControlType, int
    36, 250, 0,	//1781  QDataStream&, QSizePolicy&
    166, 528, 0,	//1784  QGLShader::ShaderTypeBit, int
    163, 78, 0,	//1787  QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>
    522, 498, 0,	//1790  const char*, const QStringRef&
    36, 203, 0,	//1793  QDataStream&, QMatrix&
    353, 528, 0,	//1796  Qt::MouseButton, int
    266, 107, 0,	//1799  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    36, 248, 0,	//1802  QDataStream&, QSize&
    44, 44, 0,	//1805  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    342, 342, 0,	//1808  Qt::InputMethodHint, Qt::InputMethodHint
    284, 284, 0,	//1811  QTextStream::NumberFlag, QTextStream::NumberFlag
    462, 477, 0,	//1814  const QMatrix4x4&, const QPointF&
    462, 0,	//1817  const QMatrix4x4&
    11, 58, 0,	//1819  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    526, 514, 0,	//1822  double, const QVector2D&
    186, 186, 0,	//1825  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    11, 528, 0,	//1828  QAbstractPrintDialog::PrintDialogOption, int
    36, 298, 0,	//1831  QDataStream&, QVariant::Type&
    367, 134, 0,	//1834  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    36, 517, 0,	//1837  QDataStream&, const QVector3D&
    457, 506, 0,	//1840  const QLineF&, const QTransform&
    498, 455, 0,	//1843  const QStringRef&, const QLatin1String&
    532, 0,	//1846  signed char
    36, 479, 0,	//1848  QDataStream&, const QPolygonF&
    36, 490, 0,	//1851  QDataStream&, const QSizeF&
    370, 135, 0,	//1854  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    526, 517, 0,	//1857  double, const QVector3D&
    36, 427, 0,	//1860  QDataStream&, const QFont&
    281, 117, 0,	//1863  QTextOption::Flag, QFlags<QTextOption::Flag>
    36, 271, 0,	//1866  QDataStream&, QTableWidgetItem&
    157, 77, 0,	//1869  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    263, 104, 0,	//1872  QStyle::SubControl, QFlags<QStyle::SubControl>
    36, 514, 0,	//1875  QDataStream&, const QVector2D&
    36, 461, 0,	//1878  QDataStream&, const QMatrix&
    222, 99, 0,	//1881  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    192, 192, 0,	//1884  QLibrary::LoadHint, QLibrary::LoadHint
    526, 462, 0,	//1887  double, const QMatrix4x4&
    178, 86, 0,	//1890  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    380, 380, 0,	//1893  Qt::WindowState, Qt::WindowState
    279, 279, 0,	//1896  QTextItem::RenderFlag, QTextItem::RenderFlag
    40, 508, 0,	//1899  QDebug, const QUrl&
    177, 177, 0,	//1902  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    293, 120, 0,	//1905  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    36, 238, 0,	//1908  QDataStream&, QPolygonF&
    291, 119, 0,	//1911  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    36, 225, 0,	//1914  QDataStream&, QPalette&
    36, 468, 0,	//1917  QDataStream&, const QPainterPath&
    19, 19, 0,	//1920  QAccessible::StateFlag, QAccessible::StateFlag
    483, 483, 0,	//1923  const QRectF&, const QRectF&
    526, 488, 0,	//1926  double, const QSize&
    189, 191, 0,	//1929  QKeyEvent*, QKeySequence::StandardKey
    54, 54, 0,	//1932  QFile::Permission, QFile::Permission
    466, 0,	//1935  const QModelIndex&
    177, 85, 0,	//1937  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    263, 263, 0,	//1940  QStyle::SubControl, QStyle::SubControl
    40, 456, 0,	//1943  QDebug, const QLine&
    10, 57, 0,	//1946  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    228, 528, 0,	//1949  QPinchGesture::ChangeFlag, int
    36, 239, 0,	//1952  QDataStream&, QQuaternion&
    520, 462, 0,	//1955  const QVector4D&, const QMatrix4x4&
    36, 414, 0,	//1958  QDataStream&, const QBitArray&
    461, 461, 0,	//1961  const QMatrix&, const QMatrix&
    270, 270, 0,	//1964  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    543, 525, 533, 0,	//1967  void*, const void*, size_t
    526, 475, 0,	//1971  double, const QPoint&
    202, 93, 0,	//1974  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    40, 175, 0,	//1977  QDebug, QGraphicsObject*
    40, 466, 0,	//1980  QDebug, const QModelIndex&
    531, 0,	//1983  short
    40, 423, 0,	//1985  QDebug, const QDateTime&
    207, 207, 0,	//1988  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    36, 475, 0,	//1991  QDataStream&, const QPoint&
    36, 452, 0,	//1994  QDataStream&, const QImage&
    526, 481, 0,	//1997  double, const QQuaternion&
    418, 406, 0,	//2000  const QByteArray&, char
    275, 275, 0,	//2003  QTextDocument::FindFlag, QTextDocument::FindFlag
    40, 454, 0,	//2006  QDebug, const QKeySequence&
    217, 97, 0,	//2009  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    41, 41, 0,	//2012  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    18, 18, 0,	//2015  QAccessible::RelationFlag, QAccessible::RelationFlag
    40, 467, 0,	//2018  QDebug, const QObject*
    176, 176, 0,	//2021  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    143, 75, 0,	//2024  QGL::FormatOption, QFlags<QGL::FormatOption>
    40, 426, 0,	//2027  QDebug, const QEvent*
    527, 527, 0,	//2030  float, float
    36, 140, 0,	//2033  QDataStream&, QFont&
    43, 66, 0,	//2036  QDir::SortFlag, QFlags<QDir::SortFlag>
    407, 533, 522, 540, 0,	//2039  char*, size_t, const char*, va_list
    186, 89, 0,	//2044  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    257, 102, 0,	//2047  QString::SectionFlag, QFlags<QString::SectionFlag>
    36, 488, 0,	//2050  QDataStream&, const QSize&
    188, 90, 0,	//2053  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    36, 241, 0,	//2056  QDataStream&, QRectF&
    274, 112, 0,	//2059  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    40, 87, 0,	//2062  QDebug, QFlags<QIODevice::OpenModeFlag>
    36, 419, 0,	//2065  QDataStream&, const QChar&
    405, 23, 0,	//2068  bool, QBool
    40, 483, 0,	//2071  QDebug, const QRectF&
    169, 528, 0,	//2074  QGestureRecognizer::ResultFlag, int
    478, 506, 0,	//2077  const QPolygon&, const QTransform&
    23, 405, 0,	//2080  QBool, bool
    380, 528, 0,	//2083  Qt::WindowState, int
    270, 111, 0,	//2086  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    36, 280, 0,	//2089  QDataStream&, QTextLength&
    36, 259, 0,	//2092  QDataStream&, QStringList&
    36, 482, 0,	//2095  QDataStream&, const QRect&
    36, 486, 0,	//2098  QDataStream&, const QRegion&
    328, 328, 0,	//2101  Qt::DockWidgetArea, Qt::DockWidgetArea
    40, 461, 0,	//2104  QDebug, const QMatrix&
    170, 528, 0,	//2107  QGraphicsBlurEffect::BlurHint, int
    201, 92, 0,	//2110  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    157, 528, 0,	//2113  QGLFormat::OpenGLVersionFlag, int
    163, 528, 0,	//2116  QGLFunctions::OpenGLFeature, int
    281, 281, 0,	//2119  QTextOption::Flag, QTextOption::Flag
    152, 76, 0,	//2122  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    36, 420, 0,	//2125  QDataStream&, const QColor&
    381, 381, 0,	//2128  Qt::WindowType, Qt::WindowType
    39, 39, 0,	//2131  QDateTimeEdit::Section, QDateTimeEdit::Section
    488, 526, 0,	//2134  const QSize&, double
    462, 517, 0,	//2137  const QMatrix4x4&, const QVector3D&
    256, 495, 0,	//2140  QString::Null, const QString&
    40, 415, 0,	//2143  QDebug, const QBrush&
    43, 43, 0,	//2146  QDir::SortFlag, QDir::SortFlag
    342, 128, 0,	//2149  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    36, 232, 0,	//2152  QDataStream&, QPoint&
    40, 477, 0,	//2155  QDebug, const QPointF&
    467, 495, 485, 464, 198, 0,	//2158  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    36, 38, 0,	//2164  QDataStream&, QDateTime&
    265, 265, 0,	//2167  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    36, 505, 0,	//2170  QDataStream&, const QTime&
    36, 290, 0,	//2173  QDataStream&, QTreeWidgetItem&
    36, 190, 0,	//2176  QDataStream&, QKeySequence&
    276, 528, 0,	//2179  QTextEdit::AutoFormattingFlag, int
    36, 509, 0,	//2182  QDataStream&, const QUuid&
    282, 285, 0,	//2185  QTextStream&, QTextStreamManipulator
    184, 88, 0,	//2188  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    36, 503, 0,	//2191  QDataStream&, const QTextLength&
    486, 506, 0,	//2194  const QRegion&, const QTransform&
    477, 462, 0,	//2197  const QPointF&, const QMatrix4x4&
    40, 172, 0,	//2200  QDebug, QGraphicsItem*
    45, 528, 0,	//2203  QDockWidget::DockWidgetFeature, int
    36, 458, 0,	//2206  QDataStream&, const QListWidgetItem&
    257, 257, 0,	//2209  QString::SectionFlag, QString::SectionFlag
    533, 533, 0,	//2212  size_t, size_t
    176, 528, 0,	//2215  QGraphicsScene::SceneLayer, int
    284, 528, 0,	//2218  QTextStream::NumberFlag, int
    523, 528, 528, 0,	//2221  const unsigned char*, int, int
    523, 528, 0,	//2225  const unsigned char*, int
    180, 528, 0,	//2228  QIODevice::OpenModeFlag, int
    40, 500, 0,	//2231  QDebug, const QStyleOption::OptionType&
    335, 126, 0,	//2234  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    36, 493, 0,	//2237  QDataStream&, const QStandardItem&
    479, 461, 0,	//2240  const QPolygonF&, const QMatrix&
    18, 528, 0,	//2243  QAccessible::RelationFlag, int
    475, 0,	//2246  const QPoint&
    36, 236, 0,	//2248  QDataStream&, QPolygon&
    221, 482, 460, 473, 0,	//2251  QPainter*, const QRect&, const QMargins&, const QPixmap&
    141, 73, 0,	//2256  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    55, 55, 0,	//2259  QFileDialog::Option, QFileDialog::Option
    206, 528, 0,	//2262  QMdiArea::AreaOption, int
    36, 255, 0,	//2265  QDataStream&, QString&
    39, 63, 0,	//2268  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    41, 64, 0,	//2271  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    221, 475, 475, 469, 405, 528, 528, 0,	//2274  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    221, 475, 475, 469, 0,	//2282  QPainter*, const QPoint&, const QPoint&, const QPalette&
    221, 475, 475, 469, 405, 0,	//2287  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    221, 475, 475, 469, 405, 528, 0,	//2293  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    188, 188, 0,	//2300  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    36, 495, 0,	//2303  QDataStream&, const QString&
    36, 425, 0,	//2306  QDataStream&, const QEasingCurve&
    282, 252, 0,	//2309  QTextStream&, QSplitter&
    152, 528, 0,	//2312  QGLContext::BindOption, int
    36, 462, 0,	//2315  QDataStream&, const QMatrix4x4&
    36, 28, 0,	//2318  QDataStream&, QChar&
    36, 520, 0,	//2321  QDataStream&, const QVector4D&
    262, 262, 0,	//2324  QStyle::StateFlag, QStyle::StateFlag
    453, 0,	//2327  const QItemSelectionRange&
    367, 367, 0,	//2329  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    36, 230, 0,	//2332  QDataStream&, QPixmap&
    53, 53, 0,	//2335  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    475, 462, 0,	//2338  const QPoint&, const QMatrix4x4&
    36, 240, 0,	//2341  QDataStream&, QRect&
    9, 528, 0,	//2344  QAbstractFileEngine::FileFlag, int
    142, 74, 0,	//2347  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    178, 178, 0,	//2350  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    384, 522, 0,	//2353  QtMsgType, const char*
    340, 528, 0,	//2356  Qt::ImageConversionFlag, int
    517, 0,	//2359  const QVector3D&
    264, 105, 0,	//2361  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    33, 33, 0,	//2364  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    40, 482, 0,	//2367  QDebug, const QRect&
    36, 451, 0,	//2370  QDataStream&, const QIcon&
    36, 511, 0,	//2373  QDataStream&, const QVariant::Type
    36, 301, 0,	//2376  QDataStream&, QVector3D&
    270, 528, 0,	//2379  QStyleOptionViewItemV2::ViewItemFeature, int
    526, 520, 0,	//2382  double, const QVector4D&
    36, 196, 0,	//2385  QDataStream&, QLineF&
    36, 224, 0,	//2388  QDataStream&, QPainterPath&
    174, 83, 0,	//2391  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    36, 227, 0,	//2394  QDataStream&, QPicture&
    373, 373, 0,	//2397  Qt::TouchPointState, Qt::TouchPointState
    166, 79, 0,	//2400  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    279, 116, 0,	//2403  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    367, 528, 0,	//2406  Qt::TextInteractionFlag, int
    475, 506, 0,	//2409  const QPoint&, const QTransform&
    265, 528, 0,	//2412  QStyleOptionFrameV2::FrameFeature, int
    41, 528, 0,	//2415  QDialogButtonBox::StandardButton, int
    268, 268, 0,	//2418  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    279, 528, 0,	//2421  QTextItem::RenderFlag, int
    36, 299, 0,	//2424  QDataStream&, QVector2D&
    406, 0,	//2427  char
    36, 423, 0,	//2429  QDataStream&, const QDateTime&
    202, 528, 0,	//2432  QMainWindow::DockOption, int
    36, 286, 0,	//2435  QDataStream&, QTime&
    278, 115, 0,	//2438  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    475, 528, 0,	//2441  const QPoint&, int
    340, 340, 0,	//2444  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    40, 481, 0,	//2447  QDebug, const QQuaternion&
    265, 106, 0,	//2450  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    36, 502, 0,	//2453  QDataStream&, const QTextFormat&
    330, 125, 0,	//2456  Qt::DropAction, QFlags<Qt::DropAction>
    207, 528, 0,	//2459  QMdiSubWindow::SubWindowOption, int
    330, 330, 0,	//2462  Qt::DropAction, Qt::DropAction
    170, 170, 0,	//2465  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    355, 528, 0,	//2468  Qt::Orientation, int
    184, 184, 0,	//2471  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    36, 481, 0,	//2474  QDataStream&, const QQuaternion&
    40, 424, 0,	//2477  QDebug, const QDir&
    486, 461, 0,	//2480  const QRegion&, const QMatrix&
    40, 486, 0,	//2483  QDebug, const QRegion&
    527, 475, 0,	//2486  float, const QPoint&
    36, 292, 0,	//2489  QDataStream&, QUrl&
    192, 91, 0,	//2492  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    281, 528, 0,	//2495  QTextOption::Flag, int
    495, 27, 0,	//2498  const QString&, QChar
    528, 528, 528, 528, 0,	//2501  int, int, int, int
    355, 133, 0,	//2506  Qt::Orientation, QFlags<Qt::Orientation>
    268, 109, 0,	//2509  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    202, 202, 0,	//2512  QMainWindow::DockOption, QMainWindow::DockOption
    533, 0,	//2515  size_t
    40, 510, 0,	//2517  QDebug, const QVariant&
    201, 201, 0,	//2520  QLocale::NumberOption, QLocale::NumberOption
    36, 459, 0,	//2523  QDataStream&, const QLocale&
    212, 52, 0,	//2526  QObject*, QEvent*
    287, 0,	//2529  QTimerEvent*
    29, 0,	//2531  QChildEvent*
    210, 0,	//2533  QMouseEvent*
    304, 0,	//2535  QWheelEvent*
    189, 0,	//2537  QKeyEvent*
    139, 0,	//2539  QFocusEvent*
    211, 0,	//2541  QMoveEvent*
    30, 0,	//2543  QCloseEvent*
    34, 0,	//2545  QContextMenuEvent*
    272, 0,	//2547  QTabletEvent*
    20, 0,	//2549  QActionEvent*
    46, 0,	//2551  QDragEnterEvent*
    48, 0,	//2553  QDragMoveEvent*
    47, 0,	//2555  QDragLeaveEvent*
    50, 0,	//2557  QDropEvent*
    246, 0,	//2559  QShowEvent*
    179, 0,	//2561  QHideEvent*
    404, 0,	//2563  _XEvent*
    187, 0,	//2565  QInputMethodEvent*
    343, 0,	//2567  Qt::InputMethodQuery
    261, 0,	//2569  QStyle&
    469, 0,	//2571  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "CompatibilityProfile",	//6
    "CoreProfile",	//7
    "DefaultBindOption",	//8
    "DeprecatedFunctions",	//9
    "Depth",	//10
    "DepthBuffer",	//11
    "DirectRendering",	//12
    "DoubleBuffer",	//13
    "DrawChildren",	//14
    "DrawWindowBackground",	//15
    "DynamicCopy",	//16
    "DynamicDraw",	//17
    "DynamicRead",	//18
    "Fragment",	//19
    "Geometry",	//20
    "HasOverlay",	//21
    "IgnoreMask",	//22
    "IndexBuffer",	//23
    "IndirectRendering",	//24
    "InternalBindOption",	//25
    "InvertedYBindOption",	//26
    "LicensedActiveQt",	//27
    "LicensedCore",	//28
    "LicensedDBus",	//29
    "LicensedDeclarative",	//30
    "LicensedGui",	//31
    "LicensedHelp",	//32
    "LicensedMultimedia",	//33
    "LicensedNetwork",	//34
    "LicensedOpenGL",	//35
    "LicensedOpenVG",	//36
    "LicensedQt3Support",	//37
    "LicensedQt3SupportLight",	//38
    "LicensedScript",	//39
    "LicensedScriptTools",	//40
    "LicensedSql",	//41
    "LicensedSvg",	//42
    "LicensedTest",	//43
    "LicensedXml",	//44
    "LicensedXmlPatterns",	//45
    "LinearFilteringBindOption",	//46
    "MemoryManagedBindOption",	//47
    "MipmapBindOption",	//48
    "NoAccumBuffer",	//49
    "NoAlphaChannel",	//50
    "NoAttachment",	//51
    "NoBindOption",	//52
    "NoDeprecatedFunctions",	//53
    "NoDepthBuffer",	//54
    "NoOverlay",	//55
    "NoProfile",	//56
    "NoSampleBuffers",	//57
    "NoStencilBuffer",	//58
    "NoStereoBuffers",	//59
    "OpenGL_ES_CommonLite_Version_1_0",	//60
    "OpenGL_ES_CommonLite_Version_1_1",	//61
    "OpenGL_ES_Common_Version_1_0",	//62
    "OpenGL_ES_Common_Version_1_1",	//63
    "OpenGL_ES_Version_2_0",	//64
    "OpenGL_Version_1_1",	//65
    "OpenGL_Version_1_2",	//66
    "OpenGL_Version_1_3",	//67
    "OpenGL_Version_1_4",	//68
    "OpenGL_Version_1_5",	//69
    "OpenGL_Version_2_0",	//70
    "OpenGL_Version_2_1",	//71
    "OpenGL_Version_3_0",	//72
    "OpenGL_Version_3_1",	//73
    "OpenGL_Version_3_2",	//74
    "OpenGL_Version_3_3",	//75
    "OpenGL_Version_4_0",	//76
    "OpenGL_Version_None",	//77
    "PixelPackBuffer",	//78
    "PixelUnpackBuffer",	//79
    "PremultipliedAlphaBindOption",	//80
    "QGLBuffer",	//81
    "QGLBuffer#",	//82
    "QGLBuffer$",	//83
    "QGLColormap",	//84
    "QGLColormap#",	//85
    "QGLContext",	//86
    "QGLContext#",	//87
    "QGLContext##",	//88
    "QGLFormat",	//89
    "QGLFormat#",	//90
    "QGLFormat$",	//91
    "QGLFormat$$",	//92
    "QGLFramebufferObject",	//93
    "QGLFramebufferObject#",	//94
    "QGLFramebufferObject##",	//95
    "QGLFramebufferObject#$",	//96
    "QGLFramebufferObject#$?",	//97
    "QGLFramebufferObject#$??",	//98
    "QGLFramebufferObject#?",	//99
    "QGLFramebufferObject$$",	//100
    "QGLFramebufferObject$$#",	//101
    "QGLFramebufferObject$$$",	//102
    "QGLFramebufferObject$$$?",	//103
    "QGLFramebufferObject$$$??",	//104
    "QGLFramebufferObject$$?",	//105
    "QGLFramebufferObjectFormat",	//106
    "QGLFramebufferObjectFormat#",	//107
    "QGLPixelBuffer",	//108
    "QGLPixelBuffer#",	//109
    "QGLPixelBuffer##",	//110
    "QGLPixelBuffer###",	//111
    "QGLPixelBuffer$$",	//112
    "QGLPixelBuffer$$#",	//113
    "QGLPixelBuffer$$##",	//114
    "QGLShader",	//115
    "QGLShader$",	//116
    "QGLShader$#",	//117
    "QGLShader$##",	//118
    "QGLShaderProgram",	//119
    "QGLShaderProgram#",	//120
    "QGLShaderProgram##",	//121
    "QGLWidget",	//122
    "QGLWidget#",	//123
    "QGLWidget##",	//124
    "QGLWidget###",	//125
    "QGLWidget###$",	//126
    "QGLWidget##$",	//127
    "QtCriticalMsg",	//128
    "QtDebugMsg",	//129
    "QtFatalMsg",	//130
    "QtSystemMsg",	//131
    "QtWarningMsg",	//132
    "ReadOnly",	//133
    "ReadWrite",	//134
    "Rgba",	//135
    "SP_CustomCameraCaptureButton",	//136
    "SP_CustomCameraCaptureButtonPressed",	//137
    "SP_CustomCameraPauseButton",	//138
    "SP_CustomCameraPauseButtonPressed",	//139
    "SP_CustomCameraPlayButton",	//140
    "SP_CustomCameraPlayButtonPressed",	//141
    "SP_CustomCameraRecButton",	//142
    "SP_CustomCameraRecButtonPressed",	//143
    "SP_CustomCameraStopButton",	//144
    "SP_CustomCameraStopButtonPressed",	//145
    "SP_CustomTabAll",	//146
    "SP_CustomTabArtist",	//147
    "SP_CustomTabFavourite",	//148
    "SP_CustomTabGenre",	//149
    "SP_CustomTabLanguage",	//150
    "SP_CustomTabMusicAlbum",	//151
    "SP_CustomTabPhotosAlbum",	//152
    "SP_CustomTabPhotosAll",	//153
    "SP_CustomTabPlaylist",	//154
    "SP_CustomTabServices",	//155
    "SP_CustomTabSongs",	//156
    "SP_CustomTabVideos",	//157
    "SP_CustomToolBarAdd",	//158
    "SP_CustomToolBarAddDetail",	//159
    "SP_CustomToolBarAgain",	//160
    "SP_CustomToolBarAgenda",	//161
    "SP_CustomToolBarAudioOff",	//162
    "SP_CustomToolBarAudioOn",	//163
    "SP_CustomToolBarBack",	//164
    "SP_CustomToolBarBluetoothOff",	//165
    "SP_CustomToolBarBluetoothOn",	//166
    "SP_CustomToolBarCancel",	//167
    "SP_CustomToolBarDelete",	//168
    "SP_CustomToolBarDone",	//169
    "SP_CustomToolBarEdit",	//170
    "SP_CustomToolBarEditDisabled",	//171
    "SP_CustomToolBarEmailSend",	//172
    "SP_CustomToolBarEmergencyCall",	//173
    "SP_CustomToolBarFavouriteAdd",	//174
    "SP_CustomToolBarFavouriteRemove",	//175
    "SP_CustomToolBarFavourites",	//176
    "SP_CustomToolBarGo",	//177
    "SP_CustomToolBarHome",	//178
    "SP_CustomToolBarImageTools",	//179
    "SP_CustomToolBarList",	//180
    "SP_CustomToolBarLock",	//181
    "SP_CustomToolBarLogs",	//182
    "SP_CustomToolBarMenu",	//183
    "SP_CustomToolBarNewContact",	//184
    "SP_CustomToolBarNewGroup",	//185
    "SP_CustomToolBarNextFrame",	//186
    "SP_CustomToolBarNowPlay",	//187
    "SP_CustomToolBarOptions",	//188
    "SP_CustomToolBarOther",	//189
    "SP_CustomToolBarOvi",	//190
    "SP_CustomToolBarPreviousFrame",	//191
    "SP_CustomToolBarRead",	//192
    "SP_CustomToolBarRedo",	//193
    "SP_CustomToolBarRedoDisabled",	//194
    "SP_CustomToolBarRefresh",	//195
    "SP_CustomToolBarRemoveDetail",	//196
    "SP_CustomToolBarRemoveDisabled",	//197
    "SP_CustomToolBarRepeat",	//198
    "SP_CustomToolBarRepeatOff",	//199
    "SP_CustomToolBarRepeatOne",	//200
    "SP_CustomToolBarSearch",	//201
    "SP_CustomToolBarSearchDisabled",	//202
    "SP_CustomToolBarSelectContent",	//203
    "SP_CustomToolBarSelfTimer",	//204
    "SP_CustomToolBarSend",	//205
    "SP_CustomToolBarSendDimmed",	//206
    "SP_CustomToolBarShare",	//207
    "SP_CustomToolBarShift",	//208
    "SP_CustomToolBarShuffle",	//209
    "SP_CustomToolBarShuffleOff",	//210
    "SP_CustomToolBarSignalOff",	//211
    "SP_CustomToolBarSignalOn",	//212
    "SP_CustomToolBarSync",	//213
    "SP_CustomToolBarTools",	//214
    "SP_CustomToolBarTrim",	//215
    "SP_CustomToolBarUnlock",	//216
    "SP_CustomToolBarUnmark",	//217
    "SP_CustomToolBarView",	//218
    "SP_CustomToolBarWlanOff",	//219
    "SP_CustomToolBarWlanOn",	//220
    "SampleBuffers",	//221
    "SingleBuffer",	//222
    "StaticCopy",	//223
    "StaticDraw",	//224
    "StaticRead",	//225
    "StencilBuffer",	//226
    "StereoBuffers",	//227
    "StreamCopy",	//228
    "StreamDraw",	//229
    "StreamRead",	//230
    "Vertex",	//231
    "VertexBuffer",	//232
    "WriteOnly",	//233
    "accum",	//234
    "accumBufferSize",	//235
    "actionEvent",	//236
    "addShader",	//237
    "addShader#",	//238
    "addShaderFromSourceCode",	//239
    "addShaderFromSourceCode$#",	//240
    "addShaderFromSourceCode$$",	//241
    "addShaderFromSourceFile",	//242
    "addShaderFromSourceFile$$",	//243
    "allocate",	//244
    "allocate$",	//245
    "allocate$$",	//246
    "alpha",	//247
    "alphaBufferSize",	//248
    "areSharing",	//249
    "areSharing##",	//250
    "attachment",	//251
    "attributeLocation",	//252
    "attributeLocation#",	//253
    "attributeLocation$",	//254
    "autoBufferSwap",	//255
    "bind",	//256
    "bindAttributeLocation",	//257
    "bindAttributeLocation#$",	//258
    "bindAttributeLocation$$",	//259
    "bindDefault",	//260
    "bindTexture",	//261
    "bindTexture#",	//262
    "bindTexture#?",	//263
    "bindTexture#??",	//264
    "bindTexture#??$",	//265
    "bindTexture$",	//266
    "bindToDynamicTexture",	//267
    "bindToDynamicTexture?",	//268
    "blitFramebuffer",	//269
    "blitFramebuffer####",	//270
    "blitFramebuffer####?",	//271
    "blitFramebuffer####??",	//272
    "blueBufferSize",	//273
    "bufferId",	//274
    "changeEvent",	//275
    "childEvent",	//276
    "chooseContext",	//277
    "chooseContext#",	//278
    "chooseVisual",	//279
    "closeEvent",	//280
    "colorIndex",	//281
    "colorIndex#",	//282
    "colormap",	//283
    "compileSourceCode",	//284
    "compileSourceCode#",	//285
    "compileSourceCode$",	//286
    "compileSourceFile",	//287
    "compileSourceFile$",	//288
    "connectNotify",	//289
    "context",	//290
    "contextMenuEvent",	//291
    "convertToGLFormat",	//292
    "convertToGLFormat#",	//293
    "create",	//294
    "create#",	//295
    "currentContext",	//296
    "currentCtx",	//297
    "customEvent",	//298
    "defaultFormat",	//299
    "defaultOverlayFormat",	//300
    "deleteTexture",	//301
    "deleteTexture?",	//302
    "depth",	//303
    "depthBufferSize",	//304
    "destroy",	//305
    "detach",	//306
    "devType",	//307
    "device",	//308
    "deviceIsPixmap",	//309
    "directRendering",	//310
    "disableAttributeArray",	//311
    "disableAttributeArray$",	//312
    "disconnectNotify",	//313
    "doneCurrent",	//314
    "doubleBuffer",	//315
    "dragEnterEvent",	//316
    "dragLeaveEvent",	//317
    "dragMoveEvent",	//318
    "drawTexture",	//319
    "drawTexture#?",	//320
    "drawTexture#??",	//321
    "dropEvent",	//322
    "enableAttributeArray",	//323
    "enableAttributeArray$",	//324
    "enabledChange",	//325
    "enterEvent",	//326
    "entryColor",	//327
    "entryColor$",	//328
    "entryRgb",	//329
    "entryRgb$",	//330
    "event",	//331
    "event#",	//332
    "eventFilter",	//333
    "find",	//334
    "find$",	//335
    "findNearest",	//336
    "findNearest$",	//337
    "focusInEvent",	//338
    "focusNextPrevChild",	//339
    "focusOutEvent",	//340
    "fontChange",	//341
    "fontDisplayListBase",	//342
    "fontDisplayListBase#",	//343
    "fontDisplayListBase#$",	//344
    "format",	//345
    "generateDynamicTexture",	//346
    "generateFontDisplayLists",	//347
    "generateFontDisplayLists#$",	//348
    "geometryInputType",	//349
    "geometryOutputType",	//350
    "geometryOutputVertexCount",	//351
    "getProcAddress",	//352
    "getProcAddress$",	//353
    "glDraw",	//354
    "glInit",	//355
    "grabFrameBuffer",	//356
    "grabFrameBuffer$",	//357
    "greenBufferSize",	//358
    "handle",	//359
    "hasOpenGL",	//360
    "hasOpenGLFramebufferBlit",	//361
    "hasOpenGLFramebufferObjects",	//362
    "hasOpenGLOverlays",	//363
    "hasOpenGLPbuffers",	//364
    "hasOpenGLShaderPrograms",	//365
    "hasOpenGLShaderPrograms#",	//366
    "hasOpenGLShaders",	//367
    "hasOpenGLShaders$",	//368
    "hasOpenGLShaders$#",	//369
    "hasOverlay",	//370
    "heightForWidth",	//371
    "hideEvent",	//372
    "initializeGL",	//373
    "initializeOverlayGL",	//374
    "initialized",	//375
    "inputMethodEvent",	//376
    "inputMethodQuery",	//377
    "internalTextureFormat",	//378
    "isBound",	//379
    "isCompiled",	//380
    "isCreated",	//381
    "isEmpty",	//382
    "isLinked",	//383
    "isSharing",	//384
    "isValid",	//385
    "keyPressEvent",	//386
    "keyReleaseEvent",	//387
    "languageChange",	//388
    "leaveEvent",	//389
    "link",	//390
    "log",	//391
    "majorVersion",	//392
    "makeCurrent",	//393
    "makeOverlayCurrent",	//394
    "map",	//395
    "map$",	//396
    "maxGeometryOutputVertices",	//397
    "metaObject",	//398
    "metric",	//399
    "metric$",	//400
    "minimumSizeHint",	//401
    "minorVersion",	//402
    "mipmap",	//403
    "mouseDoubleClickEvent",	//404
    "mouseMoveEvent",	//405
    "mousePressEvent",	//406
    "mouseReleaseEvent",	//407
    "moveEvent",	//408
    "openGLVersionFlags",	//409
    "operator!=",	//410
    "operator!=#",	//411
    "operator!=##",	//412
    "operator!=#$",	//413
    "operator!=$#",	//414
    "operator&",	//415
    "operator&##",	//416
    "operator*",	//417
    "operator*##",	//418
    "operator*#$",	//419
    "operator*$#",	//420
    "operator+",	//421
    "operator+##",	//422
    "operator+#$",	//423
    "operator+$#",	//424
    "operator+$$",	//425
    "operator-",	//426
    "operator-#",	//427
    "operator-##",	//428
    "operator-#$",	//429
    "operator/",	//430
    "operator/#$",	//431
    "operator<",	//432
    "operator<##",	//433
    "operator<#$",	//434
    "operator<$#",	//435
    "operator<<",	//436
    "operator<<##",	//437
    "operator<<#$",	//438
    "operator<<#?",	//439
    "operator<=",	//440
    "operator<=##",	//441
    "operator<=#$",	//442
    "operator<=$#",	//443
    "operator=",	//444
    "operator=#",	//445
    "operator==",	//446
    "operator==#",	//447
    "operator==##",	//448
    "operator==#$",	//449
    "operator==$#",	//450
    "operator>",	//451
    "operator>##",	//452
    "operator>#$",	//453
    "operator>$#",	//454
    "operator>=",	//455
    "operator>=##",	//456
    "operator>=#$",	//457
    "operator>=$#",	//458
    "operator>>",	//459
    "operator>>##",	//460
    "operator>>#$",	//461
    "operator>>#?",	//462
    "operator^",	//463
    "operator^##",	//464
    "operator|",	//465
    "operator|##",	//466
    "operator|$$",	//467
    "overlayContext",	//468
    "overlayTransparentColor",	//469
    "paintEngine",	//470
    "paintEvent",	//471
    "paintEvent#",	//472
    "paintGL",	//473
    "paintOverlayGL",	//474
    "paletteChange",	//475
    "plane",	//476
    "profile",	//477
    "programId",	//478
    "qAccessibleActionCastHelper",	//479
    "qAccessibleEditableTextCastHelper",	//480
    "qAccessibleImageCastHelper",	//481
    "qAccessibleTable2CastHelper",	//482
    "qAccessibleTableCastHelper",	//483
    "qAccessibleTextCastHelper",	//484
    "qAccessibleValueCastHelper",	//485
    "qAcos",	//486
    "qAcos$",	//487
    "qAddPostRoutine",	//488
    "qAddPostRoutine$",	//489
    "qAlpha",	//490
    "qAlpha$",	//491
    "qAppName",	//492
    "qAsin",	//493
    "qAsin$",	//494
    "qAtan",	//495
    "qAtan$",	//496
    "qAtan2",	//497
    "qAtan2$$",	//498
    "qBadAlloc",	//499
    "qBlue",	//500
    "qBlue$",	//501
    "qCeil",	//502
    "qCeil$",	//503
    "qChecksum",	//504
    "qChecksum$$",	//505
    "qCompress",	//506
    "qCompress#",	//507
    "qCompress#$",	//508
    "qCompress$$",	//509
    "qCompress$$$",	//510
    "qCos",	//511
    "qCos$",	//512
    "qCritical",	//513
    "qDebug",	//514
    "qDrawBorderPixmap",	//515
    "qDrawBorderPixmap####",	//516
    "qDrawBorderPixmap######",	//517
    "qDrawBorderPixmap#######",	//518
    "qDrawBorderPixmap#######$",	//519
    "qDrawPlainRect",	//520
    "qDrawPlainRect###",	//521
    "qDrawPlainRect###$",	//522
    "qDrawPlainRect###$#",	//523
    "qDrawPlainRect#$$$$#",	//524
    "qDrawPlainRect#$$$$#$",	//525
    "qDrawPlainRect#$$$$#$#",	//526
    "qDrawShadeLine",	//527
    "qDrawShadeLine####",	//528
    "qDrawShadeLine####$",	//529
    "qDrawShadeLine####$$",	//530
    "qDrawShadeLine####$$$",	//531
    "qDrawShadeLine#$$$$#",	//532
    "qDrawShadeLine#$$$$#$",	//533
    "qDrawShadeLine#$$$$#$$",	//534
    "qDrawShadeLine#$$$$#$$$",	//535
    "qDrawShadePanel",	//536
    "qDrawShadePanel###",	//537
    "qDrawShadePanel###$",	//538
    "qDrawShadePanel###$$",	//539
    "qDrawShadePanel###$$#",	//540
    "qDrawShadePanel#$$$$#",	//541
    "qDrawShadePanel#$$$$#$",	//542
    "qDrawShadePanel#$$$$#$$",	//543
    "qDrawShadePanel#$$$$#$$#",	//544
    "qDrawShadeRect",	//545
    "qDrawShadeRect###",	//546
    "qDrawShadeRect###$",	//547
    "qDrawShadeRect###$$",	//548
    "qDrawShadeRect###$$$",	//549
    "qDrawShadeRect###$$$#",	//550
    "qDrawShadeRect#$$$$#",	//551
    "qDrawShadeRect#$$$$#$",	//552
    "qDrawShadeRect#$$$$#$$",	//553
    "qDrawShadeRect#$$$$#$$$",	//554
    "qDrawShadeRect#$$$$#$$$#",	//555
    "qDrawWinButton",	//556
    "qDrawWinButton###",	//557
    "qDrawWinButton###$",	//558
    "qDrawWinButton###$#",	//559
    "qDrawWinButton#$$$$#",	//560
    "qDrawWinButton#$$$$#$",	//561
    "qDrawWinButton#$$$$#$#",	//562
    "qDrawWinPanel",	//563
    "qDrawWinPanel###",	//564
    "qDrawWinPanel###$",	//565
    "qDrawWinPanel###$#",	//566
    "qDrawWinPanel#$$$$#",	//567
    "qDrawWinPanel#$$$$#$",	//568
    "qDrawWinPanel#$$$$#$#",	//569
    "qExp",	//570
    "qExp$",	//571
    "qFabs",	//572
    "qFabs$",	//573
    "qFastCos",	//574
    "qFastCos$",	//575
    "qFastSin",	//576
    "qFastSin$",	//577
    "qFlagLocation",	//578
    "qFlagLocation$",	//579
    "qFloor",	//580
    "qFloor$",	//581
    "qFree",	//582
    "qFree$",	//583
    "qFreeAligned",	//584
    "qFreeAligned$",	//585
    "qFuzzyCompare",	//586
    "qFuzzyCompare##",	//587
    "qFuzzyCompare$$",	//588
    "qFuzzyIsNull",	//589
    "qFuzzyIsNull$",	//590
    "qGray",	//591
    "qGray$",	//592
    "qGray$$$",	//593
    "qGreen",	//594
    "qGreen$",	//595
    "qHash",	//596
    "qHash#",	//597
    "qHash$",	//598
    "qInf",	//599
    "qInstallMsgHandler",	//600
    "qInstallMsgHandler$",	//601
    "qIntCast",	//602
    "qIntCast$",	//603
    "qIsFinite",	//604
    "qIsFinite$",	//605
    "qIsGray",	//606
    "qIsGray$",	//607
    "qIsInf",	//608
    "qIsInf$",	//609
    "qIsNaN",	//610
    "qIsNaN$",	//611
    "qIsNull",	//612
    "qIsNull$",	//613
    "qLn",	//614
    "qLn$",	//615
    "qMalloc",	//616
    "qMalloc$",	//617
    "qMallocAligned",	//618
    "qMallocAligned$$",	//619
    "qMemCopy",	//620
    "qMemCopy$$$",	//621
    "qMemSet",	//622
    "qMemSet$$$",	//623
    "qPow",	//624
    "qPow$$",	//625
    "qQNaN",	//626
    "qRealloc",	//627
    "qRealloc$$",	//628
    "qReallocAligned",	//629
    "qReallocAligned$$$$",	//630
    "qRed",	//631
    "qRed$",	//632
    "qRegisterStaticPluginInstanceFunction",	//633
    "qRegisterStaticPluginInstanceFunction#",	//634
    "qRemovePostRoutine",	//635
    "qRemovePostRoutine$",	//636
    "qRgb",	//637
    "qRgb$$$",	//638
    "qRgba",	//639
    "qRgba$$$$",	//640
    "qRound",	//641
    "qRound$",	//642
    "qRound64",	//643
    "qRound64$",	//644
    "qSNaN",	//645
    "qSetFieldWidth",	//646
    "qSetFieldWidth$",	//647
    "qSetPadChar",	//648
    "qSetPadChar#",	//649
    "qSetRealNumberPrecision",	//650
    "qSetRealNumberPrecision$",	//651
    "qSharedBuild",	//652
    "qSin",	//653
    "qSin$",	//654
    "qSqrt",	//655
    "qSqrt$",	//656
    "qStringComparisonHelper",	//657
    "qStringComparisonHelper#$",	//658
    "qTan",	//659
    "qTan$",	//660
    "qUncompress",	//661
    "qUncompress#",	//662
    "qUncompress$$",	//663
    "qVersion",	//664
    "qWarning",	//665
    "qbswap_helper",	//666
    "qbswap_helper$$$",	//667
    "qgetenv",	//668
    "qgetenv$",	//669
    "qglClearColor",	//670
    "qglClearColor#",	//671
    "qglColor",	//672
    "qglColor#",	//673
    "qputenv",	//674
    "qputenv$#",	//675
    "qrand",	//676
    "qsrand",	//677
    "qsrand$",	//678
    "qstrcmp",	//679
    "qstrcmp##",	//680
    "qstrcmp#$",	//681
    "qstrcmp$#",	//682
    "qstrcmp$$",	//683
    "qstrcpy",	//684
    "qstrcpy$$",	//685
    "qstrdup",	//686
    "qstrdup$",	//687
    "qstricmp",	//688
    "qstricmp$$",	//689
    "qstrlen",	//690
    "qstrlen$",	//691
    "qstrncmp",	//692
    "qstrncmp$$$",	//693
    "qstrncpy",	//694
    "qstrncpy$$$",	//695
    "qstrnicmp",	//696
    "qstrnicmp$$$",	//697
    "qstrnlen",	//698
    "qstrnlen$$",	//699
    "qtTrId",	//700
    "qtTrId$",	//701
    "qtTrId$$",	//702
    "qt_assert",	//703
    "qt_assert$$$",	//704
    "qt_assert_x",	//705
    "qt_assert_x$$$$",	//706
    "qt_check_pointer",	//707
    "qt_check_pointer$$",	//708
    "qt_error_string",	//709
    "qt_error_string$",	//710
    "qt_message_output",	//711
    "qt_message_output$$",	//712
    "qt_metacall",	//713
    "qt_metacall$$?",	//714
    "qt_metacast",	//715
    "qt_metacast$",	//716
    "qt_noop",	//717
    "qt_qFindChild_helper",	//718
    "qt_qFindChild_helper#$#",	//719
    "qt_qFindChildren_helper",	//720
    "qt_qFindChildren_helper#$##?",	//721
    "qvariant_cast_helper",	//722
    "qvariant_cast_helper#$$",	//723
    "qvsnprintf",	//724
    "qvsnprintf$$$?",	//725
    "read",	//726
    "read$$$",	//727
    "redBufferSize",	//728
    "release",	//729
    "release$",	//730
    "releaseFromDynamicTexture",	//731
    "removeAllShaders",	//732
    "removeShader",	//733
    "removeShader#",	//734
    "renderPixmap",	//735
    "renderPixmap$",	//736
    "renderPixmap$$",	//737
    "renderPixmap$$$",	//738
    "renderText",	//739
    "renderText$$$",	//740
    "renderText$$$#",	//741
    "renderText$$$#$",	//742
    "renderText$$$$",	//743
    "renderText$$$$#",	//744
    "renderText$$$$#$",	//745
    "requestedFormat",	//746
    "reset",	//747
    "resizeEvent",	//748
    "resizeEvent#",	//749
    "resizeGL",	//750
    "resizeGL$$",	//751
    "resizeOverlayGL",	//752
    "resizeOverlayGL$$",	//753
    "rgba",	//754
    "sampleBuffers",	//755
    "samples",	//756
    "setAccum",	//757
    "setAccum$",	//758
    "setAccumBufferSize",	//759
    "setAccumBufferSize$",	//760
    "setAlpha",	//761
    "setAlpha$",	//762
    "setAlphaBufferSize",	//763
    "setAlphaBufferSize$",	//764
    "setAttachment",	//765
    "setAttachment$",	//766
    "setAttributeArray",	//767
    "setAttributeArray$#",	//768
    "setAttributeArray$#$",	//769
    "setAttributeArray$?$",	//770
    "setAttributeArray$?$$",	//771
    "setAttributeArray$?$$$",	//772
    "setAttributeBuffer",	//773
    "setAttributeBuffer$?$$",	//774
    "setAttributeBuffer$?$$$",	//775
    "setAttributeValue",	//776
    "setAttributeValue$#",	//777
    "setAttributeValue$?",	//778
    "setAttributeValue$?$$",	//779
    "setAttributeValue$??",	//780
    "setAttributeValue$???",	//781
    "setAttributeValue$????",	//782
    "setAutoBufferSwap",	//783
    "setAutoBufferSwap$",	//784
    "setBlueBufferSize",	//785
    "setBlueBufferSize$",	//786
    "setColormap",	//787
    "setColormap#",	//788
    "setContext",	//789
    "setContext#",	//790
    "setContext##",	//791
    "setContext##$",	//792
    "setCurrentCtx",	//793
    "setCurrentCtx#",	//794
    "setDefaultFormat",	//795
    "setDefaultFormat#",	//796
    "setDefaultOverlayFormat",	//797
    "setDefaultOverlayFormat#",	//798
    "setDepth",	//799
    "setDepth$",	//800
    "setDepthBufferSize",	//801
    "setDepthBufferSize$",	//802
    "setDevice",	//803
    "setDevice#",	//804
    "setDirectRendering",	//805
    "setDirectRendering$",	//806
    "setDoubleBuffer",	//807
    "setDoubleBuffer$",	//808
    "setEntries",	//809
    "setEntries$$",	//810
    "setEntries$$$",	//811
    "setEntry",	//812
    "setEntry$#",	//813
    "setEntry$$",	//814
    "setFormat",	//815
    "setFormat#",	//816
    "setGeometryInputType",	//817
    "setGeometryInputType?",	//818
    "setGeometryOutputType",	//819
    "setGeometryOutputType?",	//820
    "setGeometryOutputVertexCount",	//821
    "setGeometryOutputVertexCount$",	//822
    "setGreenBufferSize",	//823
    "setGreenBufferSize$",	//824
    "setHandle",	//825
    "setHandle$",	//826
    "setInitialized",	//827
    "setInitialized$",	//828
    "setInternalTextureFormat",	//829
    "setInternalTextureFormat?",	//830
    "setMipmap",	//831
    "setMipmap$",	//832
    "setMouseTracking",	//833
    "setMouseTracking$",	//834
    "setOption",	//835
    "setOption$",	//836
    "setOverlay",	//837
    "setOverlay$",	//838
    "setPlane",	//839
    "setPlane$",	//840
    "setPreferredPaintEngine",	//841
    "setPreferredPaintEngine$",	//842
    "setProfile",	//843
    "setProfile$",	//844
    "setRedBufferSize",	//845
    "setRedBufferSize$",	//846
    "setRgba",	//847
    "setRgba$",	//848
    "setSampleBuffers",	//849
    "setSampleBuffers$",	//850
    "setSamples",	//851
    "setSamples$",	//852
    "setStencil",	//853
    "setStencil$",	//854
    "setStencilBufferSize",	//855
    "setStencilBufferSize$",	//856
    "setStereo",	//857
    "setStereo$",	//858
    "setSwapInterval",	//859
    "setSwapInterval$",	//860
    "setTextureCacheLimit",	//861
    "setTextureCacheLimit$",	//862
    "setTextureTarget",	//863
    "setTextureTarget?",	//864
    "setUniformValue",	//865
    "setUniformValue$#",	//866
    "setUniformValue$?",	//867
    "setUniformValue$??",	//868
    "setUniformValue$???",	//869
    "setUniformValue$????",	//870
    "setUniformValueArray",	//871
    "setUniformValueArray$#$",	//872
    "setUniformValueArray$?$",	//873
    "setUniformValueArray$?$$",	//874
    "setUsagePattern",	//875
    "setUsagePattern$",	//876
    "setValid",	//877
    "setValid$",	//878
    "setVersion",	//879
    "setVersion$$",	//880
    "setVisible",	//881
    "setWindowCreated",	//882
    "setWindowCreated$",	//883
    "shaderId",	//884
    "shaderType",	//885
    "shaders",	//886
    "showEvent",	//887
    "size",	//888
    "sizeHint",	//889
    "sourceCode",	//890
    "staticMetaObject",	//891
    "stencil",	//892
    "stencilBufferSize",	//893
    "stereo",	//894
    "styleChange",	//895
    "swapBuffers",	//896
    "swapInterval",	//897
    "tabletEvent",	//898
    "testOption",	//899
    "testOption$",	//900
    "texture",	//901
    "textureCacheLimit",	//902
    "textureTarget",	//903
    "timerEvent",	//904
    "toImage",	//905
    "tr",	//906
    "tr$",	//907
    "tr$$",	//908
    "tr$$$",	//909
    "trUtf8",	//910
    "trUtf8$",	//911
    "trUtf8$$",	//912
    "trUtf8$$$",	//913
    "tryVisual",	//914
    "tryVisual#",	//915
    "tryVisual#$",	//916
    "type",	//917
    "uniformLocation",	//918
    "uniformLocation#",	//919
    "uniformLocation$",	//920
    "unmap",	//921
    "updateDynamicTexture",	//922
    "updateDynamicTexture?",	//923
    "updateGL",	//924
    "updateOverlayGL",	//925
    "usagePattern",	//926
    "wheelEvent",	//927
    "windowActivationChange",	//928
    "windowCreated",	//929
    "write",	//930
    "write$$$",	//931
    "x11Event",	//932
    "~QGLBuffer",	//933
    "~QGLColormap",	//934
    "~QGLContext",	//935
    "~QGLFormat",	//936
    "~QGLFramebufferObject",	//937
    "~QGLFramebufferObjectFormat",	//938
    "~QGLPixelBuffer",	//939
    "~QGLShader",	//940
    "~QGLShaderProgram",	//941
    "~QGLWidget",	//942
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 841, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {26, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 2},	//2 QGL::DoubleBuffer (enum)
    {26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 3},	//3 QGL::DepthBuffer (enum)
    {26, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 4},	//4 QGL::Rgba (enum)
    {26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 5},	//5 QGL::AlphaChannel (enum)
    {26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 6},	//6 QGL::AccumBuffer (enum)
    {26, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 7},	//7 QGL::StencilBuffer (enum)
    {26, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 8},	//8 QGL::StereoBuffers (enum)
    {26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 9},	//9 QGL::DirectRendering (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 10},	//10 QGL::HasOverlay (enum)
    {26, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 11},	//11 QGL::SampleBuffers (enum)
    {26, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 12},	//12 QGL::DeprecatedFunctions (enum)
    {26, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 13},	//13 QGL::SingleBuffer (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 14},	//14 QGL::NoDepthBuffer (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 15},	//15 QGL::ColorIndex (enum)
    {26, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 16},	//16 QGL::NoAlphaChannel (enum)
    {26, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 17},	//17 QGL::NoAccumBuffer (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 18},	//18 QGL::NoStencilBuffer (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 19},	//19 QGL::NoStereoBuffers (enum)
    {26, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 20},	//20 QGL::IndirectRendering (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 21},	//21 QGL::NoOverlay (enum)
    {26, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 22},	//22 QGL::NoSampleBuffers (enum)
    {26, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 23},	//23 QGL::NoDeprecatedFunctions (enum)
    {27, 81, 0, 0, Smoke::mf_ctor, 145, 1},	//24 QGLBuffer::QGLBuffer()
    {27, 81, 3, 1, Smoke::mf_ctor, 145, 2},	//25 QGLBuffer::QGLBuffer(QGLBuffer::Type)
    {27, 81, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 3},	//26 QGLBuffer::QGLBuffer(const QGLBuffer&)
    {27, 444, 5, 1, 0, 144, 4},	//27 QGLBuffer::operator=(const QGLBuffer&)
    {27, 917, 0, 0, Smoke::mf_const, 147, 5},	//28 QGLBuffer::type() const
    {27, 926, 0, 0, Smoke::mf_const, 148, 6},	//29 QGLBuffer::usagePattern() const
    {27, 875, 7, 1, 0, 0, 7},	//30 QGLBuffer::setUsagePattern(QGLBuffer::UsagePattern)
    {27, 294, 0, 0, 0, 405, 8},	//31 QGLBuffer::create()
    {27, 381, 0, 0, Smoke::mf_const, 405, 9},	//32 QGLBuffer::isCreated() const
    {27, 305, 0, 0, 0, 0, 10},	//33 QGLBuffer::destroy()
    {27, 256, 0, 0, 0, 405, 11},	//34 QGLBuffer::bind()
    {27, 729, 0, 0, 0, 0, 12},	//35 QGLBuffer::release()
    {27, 729, 3, 1, Smoke::mf_static, 0, 13},	//36 QGLBuffer::release(QGLBuffer::Type)
    {27, 274, 0, 0, Smoke::mf_const, 8, 14},	//37 QGLBuffer::bufferId() const
    {27, 888, 0, 0, Smoke::mf_const, 528, 15},	//38 QGLBuffer::size() const
    {27, 726, 9, 3, 0, 405, 16},	//39 QGLBuffer::read(int, void*, int)
    {27, 930, 13, 3, 0, 0, 17},	//40 QGLBuffer::write(int, const void*, int)
    {27, 244, 17, 2, 0, 0, 18},	//41 QGLBuffer::allocate(const void*, int)
    {27, 244, 20, 1, 0, 0, 19},	//42 QGLBuffer::allocate(int)
    {27, 395, 22, 1, 0, 543, 20},	//43 QGLBuffer::map(QGLBuffer::Access)
    {27, 921, 0, 0, 0, 405, 21},	//44 QGLBuffer::unmap()
    {27, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 22},	//45 QGLBuffer::VertexBuffer (enum)
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 23},	//46 QGLBuffer::IndexBuffer (enum)
    {27, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 24},	//47 QGLBuffer::PixelPackBuffer (enum)
    {27, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 25},	//48 QGLBuffer::PixelUnpackBuffer (enum)
    {27, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 26},	//49 QGLBuffer::StreamDraw (enum)
    {27, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 27},	//50 QGLBuffer::StreamRead (enum)
    {27, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 28},	//51 QGLBuffer::StreamCopy (enum)
    {27, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 29},	//52 QGLBuffer::StaticDraw (enum)
    {27, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 30},	//53 QGLBuffer::StaticRead (enum)
    {27, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 31},	//54 QGLBuffer::StaticCopy (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 32},	//55 QGLBuffer::DynamicDraw (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 33},	//56 QGLBuffer::DynamicRead (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 34},	//57 QGLBuffer::DynamicCopy (enum)
    {27, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 35},	//58 QGLBuffer::ReadOnly (enum)
    {27, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 36},	//59 QGLBuffer::WriteOnly (enum)
    {27, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 37},	//60 QGLBuffer::ReadWrite (enum)
    {27, 933, 0, 0, Smoke::mf_dtor, 0, 38 },	//61 QGLBuffer::~QGLBuffer()
    {28, 84, 0, 0, Smoke::mf_ctor, 150, 1},	//62 QGLColormap::QGLColormap()
    {28, 84, 24, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 2},	//63 QGLColormap::QGLColormap(const QGLColormap&)
    {28, 444, 24, 1, 0, 149, 3},	//64 QGLColormap::operator=(const QGLColormap&)
    {28, 382, 0, 0, Smoke::mf_const, 405, 4},	//65 QGLColormap::isEmpty() const
    {28, 888, 0, 0, Smoke::mf_const, 528, 5},	//66 QGLColormap::size() const
    {28, 306, 0, 0, 0, 0, 6},	//67 QGLColormap::detach()
    {28, 809, 26, 3, 0, 0, 7},	//68 QGLColormap::setEntries(int, const unsigned int*, int)
    {28, 812, 30, 2, 0, 0, 8},	//69 QGLColormap::setEntry(int, unsigned int)
    {28, 812, 33, 2, 0, 0, 9},	//70 QGLColormap::setEntry(int, const QColor&)
    {28, 329, 20, 1, Smoke::mf_const, 536, 10},	//71 QGLColormap::entryRgb(int) const
    {28, 327, 20, 1, Smoke::mf_const, 31, 11},	//72 QGLColormap::entryColor(int) const
    {28, 334, 36, 1, Smoke::mf_const, 528, 12},	//73 QGLColormap::find(unsigned int) const
    {28, 336, 36, 1, Smoke::mf_const, 528, 13},	//74 QGLColormap::findNearest(unsigned int) const
    {28, 359, 0, 0, Smoke::mf_protected, 537, 14},	//75 QGLColormap::handle()
    {28, 825, 38, 1, Smoke::mf_protected, 0, 15},	//76 QGLColormap::setHandle(unsigned long)
    {28, 809, 40, 2, 0, 0, 16},	//77 QGLColormap::setEntries(int, const unsigned int*)
    {28, 934, 0, 0, Smoke::mf_dtor, 0, 17 },	//78 QGLColormap::~QGLColormap()
    {29, 86, 43, 2, Smoke::mf_ctor, 151, 1},	//79 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {29, 86, 46, 1, Smoke::mf_ctor, 151, 2},	//80 QGLContext::QGLContext(const QGLFormat&)
    {29, 294, 48, 1, Smoke::mf_virtual, 405, 3},	//81 QGLContext::create(const QGLContext*)
    {29, 385, 0, 0, Smoke::mf_const, 405, 4},	//82 QGLContext::isValid() const
    {29, 384, 0, 0, Smoke::mf_const, 405, 5},	//83 QGLContext::isSharing() const
    {29, 747, 0, 0, 0, 0, 6},	//84 QGLContext::reset()
    {29, 249, 50, 2, Smoke::mf_static, 405, 7},	//85 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {29, 345, 0, 0, Smoke::mf_const, 153, 8},	//86 QGLContext::format() const
    {29, 746, 0, 0, Smoke::mf_const, 153, 9},	//87 QGLContext::requestedFormat() const
    {29, 815, 46, 1, 0, 0, 10},	//88 QGLContext::setFormat(const QGLFormat&)
    {29, 393, 0, 0, Smoke::mf_virtual, 0, 11},	//89 QGLContext::makeCurrent()
    {29, 314, 0, 0, Smoke::mf_virtual, 0, 12},	//90 QGLContext::doneCurrent()
    {29, 896, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//91 QGLContext::swapBuffers() const
    {29, 261, 53, 4, 0, 8, 14},	//92 QGLContext::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {29, 261, 58, 4, 0, 8, 15},	//93 QGLContext::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {29, 261, 63, 3, 0, 8, 16},	//94 QGLContext::bindTexture(const QImage&, GLenum, GLint)
    {29, 261, 67, 3, 0, 8, 17},	//95 QGLContext::bindTexture(const QPixmap&, GLenum, GLint)
    {29, 261, 71, 1, 0, 8, 18},	//96 QGLContext::bindTexture(const QString&)
    {29, 301, 73, 1, 0, 0, 19},	//97 QGLContext::deleteTexture(GLuint)
    {29, 319, 75, 3, 0, 0, 20},	//98 QGLContext::drawTexture(const QRectF&, GLuint, GLenum)
    {29, 319, 79, 3, 0, 0, 21},	//99 QGLContext::drawTexture(const QPointF&, GLuint, GLenum)
    {29, 861, 20, 1, Smoke::mf_static, 0, 22},	//100 QGLContext::setTextureCacheLimit(int)
    {29, 902, 0, 0, Smoke::mf_static, 528, 23},	//101 QGLContext::textureCacheLimit()
    {29, 352, 71, 1, Smoke::mf_const, 543, 24},	//102 QGLContext::getProcAddress(const QString&) const
    {29, 308, 0, 0, Smoke::mf_const, 214, 25},	//103 QGLContext::device() const
    {29, 469, 0, 0, Smoke::mf_const, 31, 26},	//104 QGLContext::overlayTransparentColor() const
    {29, 296, 0, 0, Smoke::mf_static, 430, 27},	//105 QGLContext::currentContext()
    {29, 277, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 405, 28},	//106 QGLContext::chooseContext(const QGLContext*)
    {29, 914, 83, 2, Smoke::mf_protected|Smoke::mf_virtual, 543, 29},	//107 QGLContext::tryVisual(const QGLFormat&, int)
    {29, 279, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 543, 30},	//108 QGLContext::chooseVisual()
    {29, 309, 0, 0, Smoke::mf_const|Smoke::mf_protected, 405, 31},	//109 QGLContext::deviceIsPixmap() const
    {29, 929, 0, 0, Smoke::mf_const|Smoke::mf_protected, 405, 32},	//110 QGLContext::windowCreated() const
    {29, 882, 86, 1, Smoke::mf_protected, 0, 33},	//111 QGLContext::setWindowCreated(bool)
    {29, 375, 0, 0, Smoke::mf_const|Smoke::mf_protected, 405, 34},	//112 QGLContext::initialized() const
    {29, 827, 86, 1, Smoke::mf_protected, 0, 35},	//113 QGLContext::setInitialized(bool)
    {29, 347, 88, 2, Smoke::mf_protected, 0, 36},	//114 QGLContext::generateFontDisplayLists(const QFont&, int)
    {29, 281, 91, 1, Smoke::mf_const|Smoke::mf_protected, 536, 37},	//115 QGLContext::colorIndex(const QColor&) const
    {29, 877, 86, 1, Smoke::mf_protected, 0, 38},	//116 QGLContext::setValid(bool)
    {29, 803, 93, 1, Smoke::mf_protected, 0, 39},	//117 QGLContext::setDevice(QPaintDevice*)
    {29, 294, 0, 0, 0, 405, 40},	//118 QGLContext::create()
    {29, 261, 95, 1, 0, 8, 41},	//119 QGLContext::bindTexture(const QImage&)
    {29, 261, 97, 2, 0, 8, 42},	//120 QGLContext::bindTexture(const QImage&, GLenum)
    {29, 261, 100, 1, 0, 8, 43},	//121 QGLContext::bindTexture(const QPixmap&)
    {29, 261, 102, 2, 0, 8, 44},	//122 QGLContext::bindTexture(const QPixmap&, GLenum)
    {29, 319, 105, 2, 0, 0, 45},	//123 QGLContext::drawTexture(const QRectF&, GLuint)
    {29, 319, 108, 2, 0, 0, 46},	//124 QGLContext::drawTexture(const QPointF&, GLuint)
    {29, 277, 0, 0, Smoke::mf_protected, 405, 47},	//125 QGLContext::chooseContext()
    {29, 914, 46, 1, Smoke::mf_protected, 543, 48},	//126 QGLContext::tryVisual(const QGLFormat&)
    {29, 297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 151, 49},	//127 QGLContext::currentCtx() const
    {29, 793, 111, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//128 QGLContext::setCurrentCtx(QGLContext*)
    {29, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 51},	//129 QGLContext::NoBindOption (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 52},	//130 QGLContext::InvertedYBindOption (enum)
    {29, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 53},	//131 QGLContext::MipmapBindOption (enum)
    {29, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 54},	//132 QGLContext::PremultipliedAlphaBindOption (enum)
    {29, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 55},	//133 QGLContext::LinearFilteringBindOption (enum)
    {29, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 56},	//134 QGLContext::MemoryManagedBindOption (enum)
    {29, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 57},	//135 QGLContext::CanFlipNativePixmapBindOption (enum)
    {29, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 58},	//136 QGLContext::DefaultBindOption (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 59},	//137 QGLContext::InternalBindOption (enum)
    {29, 935, 0, 0, Smoke::mf_dtor, 0, 60 },	//138 QGLContext::~QGLContext()
    {30, 89, 0, 0, Smoke::mf_ctor, 155, 1},	//139 QGLFormat::QGLFormat()
    {30, 89, 113, 2, Smoke::mf_ctor, 155, 2},	//140 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {30, 89, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 3},	//141 QGLFormat::QGLFormat(const QGLFormat&)
    {30, 444, 46, 1, 0, 154, 4},	//142 QGLFormat::operator=(const QGLFormat&)
    {30, 801, 20, 1, 0, 0, 5},	//143 QGLFormat::setDepthBufferSize(int)
    {30, 304, 0, 0, Smoke::mf_const, 528, 6},	//144 QGLFormat::depthBufferSize() const
    {30, 759, 20, 1, 0, 0, 7},	//145 QGLFormat::setAccumBufferSize(int)
    {30, 235, 0, 0, Smoke::mf_const, 528, 8},	//146 QGLFormat::accumBufferSize() const
    {30, 845, 20, 1, 0, 0, 9},	//147 QGLFormat::setRedBufferSize(int)
    {30, 728, 0, 0, Smoke::mf_const, 528, 10},	//148 QGLFormat::redBufferSize() const
    {30, 823, 20, 1, 0, 0, 11},	//149 QGLFormat::setGreenBufferSize(int)
    {30, 358, 0, 0, Smoke::mf_const, 528, 12},	//150 QGLFormat::greenBufferSize() const
    {30, 785, 20, 1, 0, 0, 13},	//151 QGLFormat::setBlueBufferSize(int)
    {30, 273, 0, 0, Smoke::mf_const, 528, 14},	//152 QGLFormat::blueBufferSize() const
    {30, 763, 20, 1, 0, 0, 15},	//153 QGLFormat::setAlphaBufferSize(int)
    {30, 248, 0, 0, Smoke::mf_const, 528, 16},	//154 QGLFormat::alphaBufferSize() const
    {30, 855, 20, 1, 0, 0, 17},	//155 QGLFormat::setStencilBufferSize(int)
    {30, 893, 0, 0, Smoke::mf_const, 528, 18},	//156 QGLFormat::stencilBufferSize() const
    {30, 849, 86, 1, 0, 0, 19},	//157 QGLFormat::setSampleBuffers(bool)
    {30, 755, 0, 0, Smoke::mf_const, 405, 20},	//158 QGLFormat::sampleBuffers() const
    {30, 851, 20, 1, 0, 0, 21},	//159 QGLFormat::setSamples(int)
    {30, 756, 0, 0, Smoke::mf_const, 528, 22},	//160 QGLFormat::samples() const
    {30, 859, 20, 1, 0, 0, 23},	//161 QGLFormat::setSwapInterval(int)
    {30, 897, 0, 0, Smoke::mf_const, 528, 24},	//162 QGLFormat::swapInterval() const
    {30, 315, 0, 0, Smoke::mf_const, 405, 25},	//163 QGLFormat::doubleBuffer() const
    {30, 807, 86, 1, 0, 0, 26},	//164 QGLFormat::setDoubleBuffer(bool)
    {30, 303, 0, 0, Smoke::mf_const, 405, 27},	//165 QGLFormat::depth() const
    {30, 799, 86, 1, 0, 0, 28},	//166 QGLFormat::setDepth(bool)
    {30, 754, 0, 0, Smoke::mf_const, 405, 29},	//167 QGLFormat::rgba() const
    {30, 847, 86, 1, 0, 0, 30},	//168 QGLFormat::setRgba(bool)
    {30, 247, 0, 0, Smoke::mf_const, 405, 31},	//169 QGLFormat::alpha() const
    {30, 761, 86, 1, 0, 0, 32},	//170 QGLFormat::setAlpha(bool)
    {30, 234, 0, 0, Smoke::mf_const, 405, 33},	//171 QGLFormat::accum() const
    {30, 757, 86, 1, 0, 0, 34},	//172 QGLFormat::setAccum(bool)
    {30, 892, 0, 0, Smoke::mf_const, 405, 35},	//173 QGLFormat::stencil() const
    {30, 853, 86, 1, 0, 0, 36},	//174 QGLFormat::setStencil(bool)
    {30, 894, 0, 0, Smoke::mf_const, 405, 37},	//175 QGLFormat::stereo() const
    {30, 857, 86, 1, 0, 0, 38},	//176 QGLFormat::setStereo(bool)
    {30, 310, 0, 0, Smoke::mf_const, 405, 39},	//177 QGLFormat::directRendering() const
    {30, 805, 86, 1, 0, 0, 40},	//178 QGLFormat::setDirectRendering(bool)
    {30, 370, 0, 0, Smoke::mf_const, 405, 41},	//179 QGLFormat::hasOverlay() const
    {30, 837, 86, 1, 0, 0, 42},	//180 QGLFormat::setOverlay(bool)
    {30, 476, 0, 0, Smoke::mf_const, 528, 43},	//181 QGLFormat::plane() const
    {30, 839, 20, 1, 0, 0, 44},	//182 QGLFormat::setPlane(int)
    {30, 835, 116, 1, 0, 0, 45},	//183 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {30, 899, 116, 1, Smoke::mf_const, 405, 46},	//184 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {30, 299, 0, 0, Smoke::mf_static, 153, 47},	//185 QGLFormat::defaultFormat()
    {30, 795, 46, 1, Smoke::mf_static, 0, 48},	//186 QGLFormat::setDefaultFormat(const QGLFormat&)
    {30, 300, 0, 0, Smoke::mf_static, 153, 49},	//187 QGLFormat::defaultOverlayFormat()
    {30, 797, 46, 1, Smoke::mf_static, 0, 50},	//188 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {30, 360, 0, 0, Smoke::mf_static, 405, 51},	//189 QGLFormat::hasOpenGL()
    {30, 363, 0, 0, Smoke::mf_static, 405, 52},	//190 QGLFormat::hasOpenGLOverlays()
    {30, 879, 118, 2, 0, 0, 53},	//191 QGLFormat::setVersion(int, int)
    {30, 392, 0, 0, Smoke::mf_const, 528, 54},	//192 QGLFormat::majorVersion() const
    {30, 402, 0, 0, Smoke::mf_const, 528, 55},	//193 QGLFormat::minorVersion() const
    {30, 843, 121, 1, 0, 0, 56},	//194 QGLFormat::setProfile(QGLFormat::OpenGLContextProfile)
    {30, 477, 0, 0, Smoke::mf_const, 156, 57},	//195 QGLFormat::profile() const
    {30, 409, 0, 0, Smoke::mf_static, 77, 58},	//196 QGLFormat::openGLVersionFlags()
    {30, 89, 116, 1, Smoke::mf_ctor, 155, 59},	//197 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 60},	//198 QGLFormat::NoProfile (enum)
    {30, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 61},	//199 QGLFormat::CoreProfile (enum)
    {30, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 62},	//200 QGLFormat::CompatibilityProfile (enum)
    {30, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 63},	//201 QGLFormat::OpenGL_Version_None (enum)
    {30, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 64},	//202 QGLFormat::OpenGL_Version_1_1 (enum)
    {30, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 65},	//203 QGLFormat::OpenGL_Version_1_2 (enum)
    {30, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 66},	//204 QGLFormat::OpenGL_Version_1_3 (enum)
    {30, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 67},	//205 QGLFormat::OpenGL_Version_1_4 (enum)
    {30, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 68},	//206 QGLFormat::OpenGL_Version_1_5 (enum)
    {30, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 69},	//207 QGLFormat::OpenGL_Version_2_0 (enum)
    {30, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 70},	//208 QGLFormat::OpenGL_Version_2_1 (enum)
    {30, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 71},	//209 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {30, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 72},	//210 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {30, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 73},	//211 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {30, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 74},	//212 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {30, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 75},	//213 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {30, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 76},	//214 QGLFormat::OpenGL_Version_3_0 (enum)
    {30, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 77},	//215 QGLFormat::OpenGL_Version_3_1 (enum)
    {30, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 78},	//216 QGLFormat::OpenGL_Version_3_2 (enum)
    {30, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 79},	//217 QGLFormat::OpenGL_Version_3_3 (enum)
    {30, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 80},	//218 QGLFormat::OpenGL_Version_4_0 (enum)
    {30, 936, 0, 0, Smoke::mf_dtor, 0, 81 },	//219 QGLFormat::~QGLFormat()
    {31, 93, 123, 2, Smoke::mf_ctor, 158, 1},	//220 QGLFramebufferObject::QGLFramebufferObject(const QSize&, GLenum)
    {31, 93, 126, 3, Smoke::mf_ctor, 158, 2},	//221 QGLFramebufferObject::QGLFramebufferObject(int, int, GLenum)
    {31, 93, 130, 4, Smoke::mf_ctor, 158, 3},	//222 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, GLenum, GLenum)
    {31, 93, 135, 5, Smoke::mf_ctor, 158, 4},	//223 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, GLenum, GLenum)
    {31, 93, 141, 2, Smoke::mf_ctor, 158, 5},	//224 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {31, 93, 144, 3, Smoke::mf_ctor, 158, 6},	//225 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {31, 345, 0, 0, Smoke::mf_const, 160, 7},	//226 QGLFramebufferObject::format() const
    {31, 385, 0, 0, Smoke::mf_const, 405, 8},	//227 QGLFramebufferObject::isValid() const
    {31, 379, 0, 0, Smoke::mf_const, 405, 9},	//228 QGLFramebufferObject::isBound() const
    {31, 256, 0, 0, 0, 405, 10},	//229 QGLFramebufferObject::bind()
    {31, 729, 0, 0, 0, 405, 11},	//230 QGLFramebufferObject::release()
    {31, 901, 0, 0, Smoke::mf_const, 8, 12},	//231 QGLFramebufferObject::texture() const
    {31, 888, 0, 0, Smoke::mf_const, 247, 13},	//232 QGLFramebufferObject::size() const
    {31, 905, 0, 0, Smoke::mf_const, 182, 14},	//233 QGLFramebufferObject::toImage() const
    {31, 251, 0, 0, Smoke::mf_const, 159, 15},	//234 QGLFramebufferObject::attachment() const
    {31, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//235 QGLFramebufferObject::paintEngine() const
    {31, 359, 0, 0, Smoke::mf_const, 8, 17},	//236 QGLFramebufferObject::handle() const
    {31, 260, 0, 0, Smoke::mf_static, 405, 18},	//237 QGLFramebufferObject::bindDefault()
    {31, 362, 0, 0, Smoke::mf_static, 405, 19},	//238 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {31, 319, 75, 3, 0, 0, 20},	//239 QGLFramebufferObject::drawTexture(const QRectF&, GLuint, GLenum)
    {31, 319, 79, 3, 0, 0, 21},	//240 QGLFramebufferObject::drawTexture(const QPointF&, GLuint, GLenum)
    {31, 361, 0, 0, Smoke::mf_static, 405, 22},	//241 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {31, 269, 148, 6, Smoke::mf_static, 0, 23},	//242 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield, GLenum)
    {31, 399, 155, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 528, 24},	//243 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 307, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 528, 25},	//244 QGLFramebufferObject::devType() const
    {31, 93, 157, 1, Smoke::mf_ctor, 158, 26},	//245 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {31, 93, 118, 2, Smoke::mf_ctor, 158, 27},	//246 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {31, 93, 159, 2, Smoke::mf_ctor, 158, 28},	//247 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {31, 93, 162, 3, Smoke::mf_ctor, 158, 29},	//248 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, GLenum)
    {31, 93, 166, 3, Smoke::mf_ctor, 158, 30},	//249 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {31, 93, 170, 4, Smoke::mf_ctor, 158, 31},	//250 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, GLenum)
    {31, 319, 105, 2, 0, 0, 32},	//251 QGLFramebufferObject::drawTexture(const QRectF&, GLuint)
    {31, 319, 108, 2, 0, 0, 33},	//252 QGLFramebufferObject::drawTexture(const QPointF&, GLuint)
    {31, 269, 175, 4, Smoke::mf_static, 0, 34},	//253 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {31, 269, 180, 5, Smoke::mf_static, 0, 35},	//254 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield)
    {31, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 36},	//255 QGLFramebufferObject::NoAttachment (enum)
    {31, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 37},	//256 QGLFramebufferObject::CombinedDepthStencil (enum)
    {31, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 38},	//257 QGLFramebufferObject::Depth (enum)
    {31, 937, 0, 0, Smoke::mf_dtor, 0, 39 },	//258 QGLFramebufferObject::~QGLFramebufferObject()
    {32, 106, 0, 0, Smoke::mf_ctor, 162, 1},	//259 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {32, 106, 186, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 162, 2},	//260 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {32, 444, 186, 1, 0, 161, 3},	//261 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {32, 851, 20, 1, 0, 0, 4},	//262 QGLFramebufferObjectFormat::setSamples(int)
    {32, 756, 0, 0, Smoke::mf_const, 528, 5},	//263 QGLFramebufferObjectFormat::samples() const
    {32, 831, 86, 1, 0, 0, 6},	//264 QGLFramebufferObjectFormat::setMipmap(bool)
    {32, 403, 0, 0, Smoke::mf_const, 405, 7},	//265 QGLFramebufferObjectFormat::mipmap() const
    {32, 765, 188, 1, 0, 0, 8},	//266 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {32, 251, 0, 0, Smoke::mf_const, 159, 9},	//267 QGLFramebufferObjectFormat::attachment() const
    {32, 863, 190, 1, 0, 0, 10},	//268 QGLFramebufferObjectFormat::setTextureTarget(GLenum)
    {32, 903, 0, 0, Smoke::mf_const, 5, 11},	//269 QGLFramebufferObjectFormat::textureTarget() const
    {32, 829, 190, 1, 0, 0, 12},	//270 QGLFramebufferObjectFormat::setInternalTextureFormat(GLenum)
    {32, 378, 0, 0, Smoke::mf_const, 5, 13},	//271 QGLFramebufferObjectFormat::internalTextureFormat() const
    {32, 446, 186, 1, Smoke::mf_const, 405, 14},	//272 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {32, 410, 186, 1, Smoke::mf_const, 405, 15},	//273 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {32, 938, 0, 0, Smoke::mf_dtor, 0, 16 },	//274 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {33, 108, 192, 3, Smoke::mf_ctor, 164, 1},	//275 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {33, 108, 196, 4, Smoke::mf_ctor, 164, 2},	//276 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {33, 385, 0, 0, Smoke::mf_const, 405, 3},	//277 QGLPixelBuffer::isValid() const
    {33, 393, 0, 0, 0, 405, 4},	//278 QGLPixelBuffer::makeCurrent()
    {33, 314, 0, 0, 0, 405, 5},	//279 QGLPixelBuffer::doneCurrent()
    {33, 346, 0, 0, Smoke::mf_const, 8, 6},	//280 QGLPixelBuffer::generateDynamicTexture() const
    {33, 267, 73, 1, 0, 405, 7},	//281 QGLPixelBuffer::bindToDynamicTexture(GLuint)
    {33, 731, 0, 0, 0, 0, 8},	//282 QGLPixelBuffer::releaseFromDynamicTexture()
    {33, 922, 73, 1, Smoke::mf_const, 0, 9},	//283 QGLPixelBuffer::updateDynamicTexture(GLuint) const
    {33, 261, 97, 2, 0, 8, 10},	//284 QGLPixelBuffer::bindTexture(const QImage&, GLenum)
    {33, 261, 102, 2, 0, 8, 11},	//285 QGLPixelBuffer::bindTexture(const QPixmap&, GLenum)
    {33, 261, 71, 1, 0, 8, 12},	//286 QGLPixelBuffer::bindTexture(const QString&)
    {33, 301, 73, 1, 0, 0, 13},	//287 QGLPixelBuffer::deleteTexture(GLuint)
    {33, 319, 75, 3, 0, 0, 14},	//288 QGLPixelBuffer::drawTexture(const QRectF&, GLuint, GLenum)
    {33, 319, 79, 3, 0, 0, 15},	//289 QGLPixelBuffer::drawTexture(const QPointF&, GLuint, GLenum)
    {33, 888, 0, 0, Smoke::mf_const, 247, 16},	//290 QGLPixelBuffer::size() const
    {33, 359, 0, 0, Smoke::mf_const, 537, 17},	//291 QGLPixelBuffer::handle() const
    {33, 905, 0, 0, Smoke::mf_const, 182, 18},	//292 QGLPixelBuffer::toImage() const
    {33, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 19},	//293 QGLPixelBuffer::paintEngine() const
    {33, 345, 0, 0, Smoke::mf_const, 153, 20},	//294 QGLPixelBuffer::format() const
    {33, 364, 0, 0, Smoke::mf_static, 405, 21},	//295 QGLPixelBuffer::hasOpenGLPbuffers()
    {33, 399, 155, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 528, 22},	//296 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 307, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 528, 23},	//297 QGLPixelBuffer::devType() const
    {33, 108, 157, 1, Smoke::mf_ctor, 164, 24},	//298 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {33, 108, 201, 2, Smoke::mf_ctor, 164, 25},	//299 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {33, 108, 118, 2, Smoke::mf_ctor, 164, 26},	//300 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {33, 108, 204, 3, Smoke::mf_ctor, 164, 27},	//301 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {33, 261, 95, 1, 0, 8, 28},	//302 QGLPixelBuffer::bindTexture(const QImage&)
    {33, 261, 100, 1, 0, 8, 29},	//303 QGLPixelBuffer::bindTexture(const QPixmap&)
    {33, 319, 105, 2, 0, 0, 30},	//304 QGLPixelBuffer::drawTexture(const QRectF&, GLuint)
    {33, 319, 108, 2, 0, 0, 31},	//305 QGLPixelBuffer::drawTexture(const QPointF&, GLuint)
    {33, 939, 0, 0, Smoke::mf_dtor, 0, 32 },	//306 QGLPixelBuffer::~QGLPixelBuffer()
    {34, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 465, 1},	//307 QGLShader::metaObject() const
    {34, 715, 208, 1, Smoke::mf_virtual, 543, 2},	//308 QGLShader::qt_metacast(const char*)
    {34, 906, 210, 2, Smoke::mf_static, 254, 3},	//309 QGLShader::tr(const char*, const char*)
    {34, 910, 210, 2, Smoke::mf_static, 254, 4},	//310 QGLShader::trUtf8(const char*, const char*)
    {34, 906, 213, 3, Smoke::mf_static, 254, 5},	//311 QGLShader::tr(const char*, const char*, int)
    {34, 910, 213, 3, Smoke::mf_static, 254, 6},	//312 QGLShader::trUtf8(const char*, const char*, int)
    {34, 713, 217, 3, Smoke::mf_virtual, 528, 7},	//313 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {34, 115, 221, 2, Smoke::mf_ctor, 165, 8},	//314 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {34, 115, 224, 3, Smoke::mf_ctor, 165, 9},	//315 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {34, 885, 0, 0, Smoke::mf_const, 79, 10},	//316 QGLShader::shaderType() const
    {34, 284, 208, 1, 0, 405, 11},	//317 QGLShader::compileSourceCode(const char*)
    {34, 284, 228, 1, 0, 405, 12},	//318 QGLShader::compileSourceCode(const QByteArray&)
    {34, 284, 71, 1, 0, 405, 13},	//319 QGLShader::compileSourceCode(const QString&)
    {34, 287, 71, 1, 0, 405, 14},	//320 QGLShader::compileSourceFile(const QString&)
    {34, 890, 0, 0, Smoke::mf_const, 25, 15},	//321 QGLShader::sourceCode() const
    {34, 380, 0, 0, Smoke::mf_const, 405, 16},	//322 QGLShader::isCompiled() const
    {34, 391, 0, 0, Smoke::mf_const, 254, 17},	//323 QGLShader::log() const
    {34, 884, 0, 0, Smoke::mf_const, 8, 18},	//324 QGLShader::shaderId() const
    {34, 367, 230, 2, Smoke::mf_static, 405, 19},	//325 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 906, 208, 1, Smoke::mf_static, 254, 20},	//326 QGLShader::tr(const char*)
    {34, 910, 208, 1, Smoke::mf_static, 254, 21},	//327 QGLShader::trUtf8(const char*)
    {34, 115, 233, 1, Smoke::mf_ctor, 165, 22},	//328 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {34, 115, 230, 2, Smoke::mf_ctor, 165, 23},	//329 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 367, 233, 1, Smoke::mf_static, 405, 24},	//330 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>)
    {34, 891, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 464, 25},	//331 QGLShader::staticMetaObject() const
    {34, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 26},	//332 QGLShader::Vertex (enum)
    {34, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 27},	//333 QGLShader::Fragment (enum)
    {34, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 28},	//334 QGLShader::Geometry (enum)
    {34, 940, 0, 0, Smoke::mf_dtor, 0, 29 },	//335 QGLShader::~QGLShader()
    {35, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 465, 1},	//336 QGLShaderProgram::metaObject() const
    {35, 715, 208, 1, Smoke::mf_virtual, 543, 2},	//337 QGLShaderProgram::qt_metacast(const char*)
    {35, 906, 210, 2, Smoke::mf_static, 254, 3},	//338 QGLShaderProgram::tr(const char*, const char*)
    {35, 910, 210, 2, Smoke::mf_static, 254, 4},	//339 QGLShaderProgram::trUtf8(const char*, const char*)
    {35, 906, 213, 3, Smoke::mf_static, 254, 5},	//340 QGLShaderProgram::tr(const char*, const char*, int)
    {35, 910, 213, 3, Smoke::mf_static, 254, 6},	//341 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {35, 713, 217, 3, Smoke::mf_virtual, 528, 7},	//342 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {35, 119, 235, 1, Smoke::mf_ctor, 167, 8},	//343 QGLShaderProgram::QGLShaderProgram(QObject*)
    {35, 119, 237, 2, Smoke::mf_ctor, 167, 9},	//344 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {35, 237, 240, 1, 0, 405, 10},	//345 QGLShaderProgram::addShader(QGLShader*)
    {35, 733, 240, 1, 0, 0, 11},	//346 QGLShaderProgram::removeShader(QGLShader*)
    {35, 886, 0, 0, Smoke::mf_const, 197, 12},	//347 QGLShaderProgram::shaders() const
    {35, 239, 242, 2, 0, 405, 13},	//348 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {35, 239, 245, 2, 0, 405, 14},	//349 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {35, 239, 248, 2, 0, 405, 15},	//350 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 242, 248, 2, 0, 405, 16},	//351 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 732, 0, 0, 0, 0, 17},	//352 QGLShaderProgram::removeAllShaders()
    {35, 390, 0, 0, Smoke::mf_virtual, 405, 18},	//353 QGLShaderProgram::link()
    {35, 383, 0, 0, Smoke::mf_const, 405, 19},	//354 QGLShaderProgram::isLinked() const
    {35, 391, 0, 0, Smoke::mf_const, 254, 20},	//355 QGLShaderProgram::log() const
    {35, 256, 0, 0, 0, 405, 21},	//356 QGLShaderProgram::bind()
    {35, 729, 0, 0, 0, 0, 22},	//357 QGLShaderProgram::release()
    {35, 478, 0, 0, Smoke::mf_const, 8, 23},	//358 QGLShaderProgram::programId() const
    {35, 397, 0, 0, Smoke::mf_const, 528, 24},	//359 QGLShaderProgram::maxGeometryOutputVertices() const
    {35, 821, 20, 1, 0, 0, 25},	//360 QGLShaderProgram::setGeometryOutputVertexCount(int)
    {35, 351, 0, 0, Smoke::mf_const, 528, 26},	//361 QGLShaderProgram::geometryOutputVertexCount() const
    {35, 817, 190, 1, 0, 0, 27},	//362 QGLShaderProgram::setGeometryInputType(GLenum)
    {35, 349, 0, 0, Smoke::mf_const, 5, 28},	//363 QGLShaderProgram::geometryInputType() const
    {35, 819, 190, 1, 0, 0, 29},	//364 QGLShaderProgram::setGeometryOutputType(GLenum)
    {35, 350, 0, 0, Smoke::mf_const, 5, 30},	//365 QGLShaderProgram::geometryOutputType() const
    {35, 257, 251, 2, 0, 0, 31},	//366 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {35, 257, 254, 2, 0, 0, 32},	//367 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {35, 257, 257, 2, 0, 0, 33},	//368 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {35, 252, 208, 1, Smoke::mf_const, 528, 34},	//369 QGLShaderProgram::attributeLocation(const char*) const
    {35, 252, 228, 1, Smoke::mf_const, 528, 35},	//370 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {35, 252, 71, 1, Smoke::mf_const, 528, 36},	//371 QGLShaderProgram::attributeLocation(const QString&) const
    {35, 776, 260, 2, 0, 0, 37},	//372 QGLShaderProgram::setAttributeValue(int, GLfloat)
    {35, 776, 263, 3, 0, 0, 38},	//373 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat)
    {35, 776, 267, 4, 0, 0, 39},	//374 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat)
    {35, 776, 272, 5, 0, 0, 40},	//375 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 776, 278, 2, 0, 0, 41},	//376 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {35, 776, 281, 2, 0, 0, 42},	//377 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {35, 776, 284, 2, 0, 0, 43},	//378 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {35, 776, 33, 2, 0, 0, 44},	//379 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {35, 776, 287, 4, 0, 0, 45},	//380 QGLShaderProgram::setAttributeValue(int, const GLfloat*, int, int)
    {35, 776, 292, 2, 0, 0, 46},	//381 QGLShaderProgram::setAttributeValue(const char*, GLfloat)
    {35, 776, 295, 3, 0, 0, 47},	//382 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat)
    {35, 776, 299, 4, 0, 0, 48},	//383 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat)
    {35, 776, 304, 5, 0, 0, 49},	//384 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 776, 310, 2, 0, 0, 50},	//385 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {35, 776, 313, 2, 0, 0, 51},	//386 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {35, 776, 316, 2, 0, 0, 52},	//387 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {35, 776, 319, 2, 0, 0, 53},	//388 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {35, 776, 322, 4, 0, 0, 54},	//389 QGLShaderProgram::setAttributeValue(const char*, const GLfloat*, int, int)
    {35, 767, 287, 4, 0, 0, 55},	//390 QGLShaderProgram::setAttributeArray(int, const GLfloat*, int, int)
    {35, 767, 327, 3, 0, 0, 56},	//391 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {35, 767, 331, 3, 0, 0, 57},	//392 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {35, 767, 335, 3, 0, 0, 58},	//393 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {35, 767, 339, 5, 0, 0, 59},	//394 QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int, int)
    {35, 767, 322, 4, 0, 0, 60},	//395 QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int, int)
    {35, 767, 345, 3, 0, 0, 61},	//396 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {35, 767, 349, 3, 0, 0, 62},	//397 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {35, 767, 353, 3, 0, 0, 63},	//398 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {35, 767, 357, 5, 0, 0, 64},	//399 QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int, int)
    {35, 773, 363, 5, 0, 0, 65},	//400 QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int, int)
    {35, 773, 369, 5, 0, 0, 66},	//401 QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int, int)
    {35, 323, 20, 1, 0, 0, 67},	//402 QGLShaderProgram::enableAttributeArray(int)
    {35, 323, 208, 1, 0, 0, 68},	//403 QGLShaderProgram::enableAttributeArray(const char*)
    {35, 311, 20, 1, 0, 0, 69},	//404 QGLShaderProgram::disableAttributeArray(int)
    {35, 311, 208, 1, 0, 0, 70},	//405 QGLShaderProgram::disableAttributeArray(const char*)
    {35, 918, 208, 1, Smoke::mf_const, 528, 71},	//406 QGLShaderProgram::uniformLocation(const char*) const
    {35, 918, 228, 1, Smoke::mf_const, 528, 72},	//407 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {35, 918, 71, 1, Smoke::mf_const, 528, 73},	//408 QGLShaderProgram::uniformLocation(const QString&) const
    {35, 865, 260, 2, 0, 0, 74},	//409 QGLShaderProgram::setUniformValue(int, GLfloat)
    {35, 865, 375, 2, 0, 0, 75},	//410 QGLShaderProgram::setUniformValue(int, GLint)
    {35, 865, 378, 2, 0, 0, 76},	//411 QGLShaderProgram::setUniformValue(int, GLuint)
    {35, 865, 263, 3, 0, 0, 77},	//412 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat)
    {35, 865, 267, 4, 0, 0, 78},	//413 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat)
    {35, 865, 272, 5, 0, 0, 79},	//414 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 865, 278, 2, 0, 0, 80},	//415 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {35, 865, 281, 2, 0, 0, 81},	//416 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {35, 865, 284, 2, 0, 0, 82},	//417 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {35, 865, 33, 2, 0, 0, 83},	//418 QGLShaderProgram::setUniformValue(int, const QColor&)
    {35, 865, 381, 2, 0, 0, 84},	//419 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {35, 865, 384, 2, 0, 0, 85},	//420 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {35, 865, 387, 2, 0, 0, 86},	//421 QGLShaderProgram::setUniformValue(int, const QSize&)
    {35, 865, 390, 2, 0, 0, 87},	//422 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {35, 865, 393, 2, 0, 0, 88},	//423 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {35, 865, 396, 2, 0, 0, 89},	//424 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {35, 865, 399, 2, 0, 0, 90},	//425 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {35, 865, 402, 2, 0, 0, 91},	//426 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {35, 865, 405, 2, 0, 0, 92},	//427 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {35, 865, 408, 2, 0, 0, 93},	//428 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {35, 865, 411, 2, 0, 0, 94},	//429 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {35, 865, 414, 2, 0, 0, 95},	//430 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {35, 865, 417, 2, 0, 0, 96},	//431 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {35, 865, 420, 2, 0, 0, 97},	//432 QGLShaderProgram::setUniformValue(int, const GLfloat[2][2])
    {35, 865, 423, 2, 0, 0, 98},	//433 QGLShaderProgram::setUniformValue(int, const GLfloat[3][3])
    {35, 865, 426, 2, 0, 0, 99},	//434 QGLShaderProgram::setUniformValue(int, const GLfloat[4][4])
    {35, 865, 429, 2, 0, 0, 100},	//435 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {35, 865, 292, 2, 0, 0, 101},	//436 QGLShaderProgram::setUniformValue(const char*, GLfloat)
    {35, 865, 432, 2, 0, 0, 102},	//437 QGLShaderProgram::setUniformValue(const char*, GLint)
    {35, 865, 435, 2, 0, 0, 103},	//438 QGLShaderProgram::setUniformValue(const char*, GLuint)
    {35, 865, 295, 3, 0, 0, 104},	//439 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat)
    {35, 865, 299, 4, 0, 0, 105},	//440 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat)
    {35, 865, 304, 5, 0, 0, 106},	//441 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 865, 310, 2, 0, 0, 107},	//442 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {35, 865, 313, 2, 0, 0, 108},	//443 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {35, 865, 316, 2, 0, 0, 109},	//444 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {35, 865, 319, 2, 0, 0, 110},	//445 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {35, 865, 438, 2, 0, 0, 111},	//446 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {35, 865, 441, 2, 0, 0, 112},	//447 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {35, 865, 444, 2, 0, 0, 113},	//448 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {35, 865, 447, 2, 0, 0, 114},	//449 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {35, 865, 450, 2, 0, 0, 115},	//450 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {35, 865, 453, 2, 0, 0, 116},	//451 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {35, 865, 456, 2, 0, 0, 117},	//452 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {35, 865, 459, 2, 0, 0, 118},	//453 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {35, 865, 462, 2, 0, 0, 119},	//454 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {35, 865, 465, 2, 0, 0, 120},	//455 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {35, 865, 468, 2, 0, 0, 121},	//456 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {35, 865, 471, 2, 0, 0, 122},	//457 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {35, 865, 474, 2, 0, 0, 123},	//458 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {35, 865, 477, 2, 0, 0, 124},	//459 QGLShaderProgram::setUniformValue(const char*, const GLfloat[2][2])
    {35, 865, 480, 2, 0, 0, 125},	//460 QGLShaderProgram::setUniformValue(const char*, const GLfloat[3][3])
    {35, 865, 483, 2, 0, 0, 126},	//461 QGLShaderProgram::setUniformValue(const char*, const GLfloat[4][4])
    {35, 865, 486, 2, 0, 0, 127},	//462 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {35, 871, 287, 4, 0, 0, 128},	//463 QGLShaderProgram::setUniformValueArray(int, const GLfloat*, int, int)
    {35, 871, 489, 3, 0, 0, 129},	//464 QGLShaderProgram::setUniformValueArray(int, const GLint*, int)
    {35, 871, 493, 3, 0, 0, 130},	//465 QGLShaderProgram::setUniformValueArray(int, const GLuint*, int)
    {35, 871, 327, 3, 0, 0, 131},	//466 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {35, 871, 331, 3, 0, 0, 132},	//467 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {35, 871, 335, 3, 0, 0, 133},	//468 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {35, 871, 497, 3, 0, 0, 134},	//469 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {35, 871, 501, 3, 0, 0, 135},	//470 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {35, 871, 505, 3, 0, 0, 136},	//471 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {35, 871, 509, 3, 0, 0, 137},	//472 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {35, 871, 513, 3, 0, 0, 138},	//473 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {35, 871, 517, 3, 0, 0, 139},	//474 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {35, 871, 521, 3, 0, 0, 140},	//475 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {35, 871, 525, 3, 0, 0, 141},	//476 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {35, 871, 529, 3, 0, 0, 142},	//477 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {35, 871, 322, 4, 0, 0, 143},	//478 QGLShaderProgram::setUniformValueArray(const char*, const GLfloat*, int, int)
    {35, 871, 533, 3, 0, 0, 144},	//479 QGLShaderProgram::setUniformValueArray(const char*, const GLint*, int)
    {35, 871, 537, 3, 0, 0, 145},	//480 QGLShaderProgram::setUniformValueArray(const char*, const GLuint*, int)
    {35, 871, 345, 3, 0, 0, 146},	//481 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {35, 871, 349, 3, 0, 0, 147},	//482 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {35, 871, 353, 3, 0, 0, 148},	//483 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {35, 871, 541, 3, 0, 0, 149},	//484 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {35, 871, 545, 3, 0, 0, 150},	//485 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {35, 871, 549, 3, 0, 0, 151},	//486 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {35, 871, 553, 3, 0, 0, 152},	//487 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {35, 871, 557, 3, 0, 0, 153},	//488 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {35, 871, 561, 3, 0, 0, 154},	//489 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {35, 871, 565, 3, 0, 0, 155},	//490 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {35, 871, 569, 3, 0, 0, 156},	//491 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {35, 871, 573, 3, 0, 0, 157},	//492 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {35, 365, 48, 1, Smoke::mf_static, 405, 158},	//493 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {35, 906, 208, 1, Smoke::mf_static, 254, 159},	//494 QGLShaderProgram::tr(const char*)
    {35, 910, 208, 1, Smoke::mf_static, 254, 160},	//495 QGLShaderProgram::trUtf8(const char*)
    {35, 119, 0, 0, Smoke::mf_ctor, 167, 161},	//496 QGLShaderProgram::QGLShaderProgram()
    {35, 119, 48, 1, Smoke::mf_ctor, 167, 162},	//497 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {35, 767, 577, 3, 0, 0, 163},	//498 QGLShaderProgram::setAttributeArray(int, const GLfloat*, int)
    {35, 767, 581, 2, 0, 0, 164},	//499 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {35, 767, 584, 2, 0, 0, 165},	//500 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {35, 767, 587, 2, 0, 0, 166},	//501 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {35, 767, 590, 4, 0, 0, 167},	//502 QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int)
    {35, 767, 595, 3, 0, 0, 168},	//503 QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int)
    {35, 767, 599, 2, 0, 0, 169},	//504 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {35, 767, 602, 2, 0, 0, 170},	//505 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {35, 767, 605, 2, 0, 0, 171},	//506 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {35, 767, 608, 4, 0, 0, 172},	//507 QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int)
    {35, 773, 613, 4, 0, 0, 173},	//508 QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int)
    {35, 773, 618, 4, 0, 0, 174},	//509 QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int)
    {35, 365, 0, 0, Smoke::mf_static, 405, 175},	//510 QGLShaderProgram::hasOpenGLShaderPrograms()
    {35, 891, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 464, 176},	//511 QGLShaderProgram::staticMetaObject() const
    {35, 941, 0, 0, Smoke::mf_dtor, 0, 177 },	//512 QGLShaderProgram::~QGLShaderProgram()
    {36, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 465, 1},	//513 QGLWidget::metaObject() const
    {36, 715, 208, 1, Smoke::mf_virtual, 543, 2},	//514 QGLWidget::qt_metacast(const char*)
    {36, 906, 210, 2, Smoke::mf_static, 254, 3},	//515 QGLWidget::tr(const char*, const char*)
    {36, 910, 210, 2, Smoke::mf_static, 254, 4},	//516 QGLWidget::trUtf8(const char*, const char*)
    {36, 906, 213, 3, Smoke::mf_static, 254, 5},	//517 QGLWidget::tr(const char*, const char*, int)
    {36, 910, 213, 3, Smoke::mf_static, 254, 6},	//518 QGLWidget::trUtf8(const char*, const char*, int)
    {36, 713, 217, 3, Smoke::mf_virtual, 528, 7},	//519 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {36, 122, 623, 3, Smoke::mf_ctor, 168, 8},	//520 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 122, 627, 4, Smoke::mf_ctor, 168, 9},	//521 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 122, 632, 4, Smoke::mf_ctor, 168, 10},	//522 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 672, 91, 1, Smoke::mf_const, 0, 11},	//523 QGLWidget::qglColor(const QColor&) const
    {36, 670, 91, 1, Smoke::mf_const, 0, 12},	//524 QGLWidget::qglClearColor(const QColor&) const
    {36, 385, 0, 0, Smoke::mf_const, 405, 13},	//525 QGLWidget::isValid() const
    {36, 384, 0, 0, Smoke::mf_const, 405, 14},	//526 QGLWidget::isSharing() const
    {36, 393, 0, 0, 0, 0, 15},	//527 QGLWidget::makeCurrent()
    {36, 314, 0, 0, 0, 0, 16},	//528 QGLWidget::doneCurrent()
    {36, 315, 0, 0, Smoke::mf_const, 405, 17},	//529 QGLWidget::doubleBuffer() const
    {36, 896, 0, 0, 0, 0, 18},	//530 QGLWidget::swapBuffers()
    {36, 345, 0, 0, Smoke::mf_const, 153, 19},	//531 QGLWidget::format() const
    {36, 815, 46, 1, 0, 0, 20},	//532 QGLWidget::setFormat(const QGLFormat&)
    {36, 290, 0, 0, Smoke::mf_const, 430, 21},	//533 QGLWidget::context() const
    {36, 789, 637, 3, 0, 0, 22},	//534 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {36, 735, 641, 3, 0, 229, 23},	//535 QGLWidget::renderPixmap(int, int, bool)
    {36, 356, 86, 1, 0, 182, 24},	//536 QGLWidget::grabFrameBuffer(bool)
    {36, 394, 0, 0, 0, 0, 25},	//537 QGLWidget::makeOverlayCurrent()
    {36, 468, 0, 0, Smoke::mf_const, 430, 26},	//538 QGLWidget::overlayContext() const
    {36, 292, 95, 1, Smoke::mf_static, 182, 27},	//539 QGLWidget::convertToGLFormat(const QImage&)
    {36, 833, 86, 1, 0, 0, 28},	//540 QGLWidget::setMouseTracking(bool)
    {36, 283, 0, 0, Smoke::mf_const, 429, 29},	//541 QGLWidget::colormap() const
    {36, 787, 24, 1, 0, 0, 30},	//542 QGLWidget::setColormap(const QGLColormap&)
    {36, 739, 645, 5, 0, 0, 31},	//543 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {36, 739, 651, 6, 0, 0, 32},	//544 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {36, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 33},	//545 QGLWidget::paintEngine() const
    {36, 261, 53, 4, 0, 8, 34},	//546 QGLWidget::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {36, 261, 58, 4, 0, 8, 35},	//547 QGLWidget::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {36, 261, 63, 3, 0, 8, 36},	//548 QGLWidget::bindTexture(const QImage&, GLenum, GLint)
    {36, 261, 67, 3, 0, 8, 37},	//549 QGLWidget::bindTexture(const QPixmap&, GLenum, GLint)
    {36, 261, 71, 1, 0, 8, 38},	//550 QGLWidget::bindTexture(const QString&)
    {36, 301, 73, 1, 0, 0, 39},	//551 QGLWidget::deleteTexture(GLuint)
    {36, 319, 75, 3, 0, 0, 40},	//552 QGLWidget::drawTexture(const QRectF&, GLuint, GLenum)
    {36, 319, 79, 3, 0, 0, 41},	//553 QGLWidget::drawTexture(const QPointF&, GLuint, GLenum)
    {36, 924, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//554 QGLWidget::updateGL()
    {36, 925, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//555 QGLWidget::updateOverlayGL()
    {36, 331, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 405, 44},	//556 QGLWidget::event(QEvent*)
    {36, 373, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//557 QGLWidget::initializeGL()
    {36, 750, 118, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//558 QGLWidget::resizeGL(int, int)
    {36, 473, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//559 QGLWidget::paintGL()
    {36, 374, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//560 QGLWidget::initializeOverlayGL()
    {36, 752, 118, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//561 QGLWidget::resizeOverlayGL(int, int)
    {36, 474, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//562 QGLWidget::paintOverlayGL()
    {36, 783, 86, 1, Smoke::mf_protected, 0, 51},	//563 QGLWidget::setAutoBufferSwap(bool)
    {36, 255, 0, 0, Smoke::mf_const|Smoke::mf_protected, 405, 52},	//564 QGLWidget::autoBufferSwap() const
    {36, 471, 660, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//565 QGLWidget::paintEvent(QPaintEvent*)
    {36, 748, 662, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//566 QGLWidget::resizeEvent(QResizeEvent*)
    {36, 355, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//567 QGLWidget::glInit()
    {36, 354, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//568 QGLWidget::glDraw()
    {36, 342, 88, 2, Smoke::mf_protected, 528, 57},	//569 QGLWidget::fontDisplayListBase(const QFont&, int)
    {36, 906, 208, 1, Smoke::mf_static, 254, 58},	//570 QGLWidget::tr(const char*)
    {36, 910, 208, 1, Smoke::mf_static, 254, 59},	//571 QGLWidget::trUtf8(const char*)
    {36, 122, 0, 0, Smoke::mf_ctor, 168, 60},	//572 QGLWidget::QGLWidget()
    {36, 122, 664, 1, Smoke::mf_ctor, 168, 61},	//573 QGLWidget::QGLWidget(QWidget*)
    {36, 122, 666, 2, Smoke::mf_ctor, 168, 62},	//574 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {36, 122, 111, 1, Smoke::mf_ctor, 168, 63},	//575 QGLWidget::QGLWidget(QGLContext*)
    {36, 122, 669, 2, Smoke::mf_ctor, 168, 64},	//576 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {36, 122, 672, 3, Smoke::mf_ctor, 168, 65},	//577 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {36, 122, 46, 1, Smoke::mf_ctor, 168, 66},	//578 QGLWidget::QGLWidget(const QGLFormat&)
    {36, 122, 676, 2, Smoke::mf_ctor, 168, 67},	//579 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {36, 122, 679, 3, Smoke::mf_ctor, 168, 68},	//580 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {36, 789, 111, 1, 0, 0, 69},	//581 QGLWidget::setContext(QGLContext*)
    {36, 789, 683, 2, 0, 0, 70},	//582 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {36, 735, 0, 0, 0, 229, 71},	//583 QGLWidget::renderPixmap()
    {36, 735, 20, 1, 0, 229, 72},	//584 QGLWidget::renderPixmap(int)
    {36, 735, 118, 2, 0, 229, 73},	//585 QGLWidget::renderPixmap(int, int)
    {36, 356, 0, 0, 0, 182, 74},	//586 QGLWidget::grabFrameBuffer()
    {36, 739, 686, 3, 0, 0, 75},	//587 QGLWidget::renderText(int, int, const QString&)
    {36, 739, 690, 4, 0, 0, 76},	//588 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {36, 739, 695, 4, 0, 0, 77},	//589 QGLWidget::renderText(double, double, double, const QString&)
    {36, 739, 700, 5, 0, 0, 78},	//590 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {36, 261, 95, 1, 0, 8, 79},	//591 QGLWidget::bindTexture(const QImage&)
    {36, 261, 97, 2, 0, 8, 80},	//592 QGLWidget::bindTexture(const QImage&, GLenum)
    {36, 261, 100, 1, 0, 8, 81},	//593 QGLWidget::bindTexture(const QPixmap&)
    {36, 261, 102, 2, 0, 8, 82},	//594 QGLWidget::bindTexture(const QPixmap&, GLenum)
    {36, 319, 105, 2, 0, 0, 83},	//595 QGLWidget::drawTexture(const QRectF&, GLuint)
    {36, 319, 108, 2, 0, 0, 84},	//596 QGLWidget::drawTexture(const QPointF&, GLuint)
    {36, 342, 706, 1, Smoke::mf_protected, 528, 85},	//597 QGLWidget::fontDisplayListBase(const QFont&)
    {36, 891, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 464, 86},	//598 QGLWidget::staticMetaObject() const
    {36, 942, 0, 0, Smoke::mf_dtor, 0, 87 },	//599 QGLWidget::~QGLWidget()
    {37, 415, 708, 2, Smoke::mf_static, 21, 1},	//600 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {37, 513, 0, 0, Smoke::mf_static, 40, 2},	//601 QGlobalSpace::qCritical()
    {37, 596, 711, 1, Smoke::mf_static, 536, 3},	//602 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {37, 465, 713, 2, Smoke::mf_static, 185, 4},	//603 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {37, 703, 213, 3, Smoke::mf_static, 0, 5},	//604 QGlobalSpace::qt_assert(const char*, const char*, int)
    {37, 465, 716, 2, Smoke::mf_static, 80, 6},	//605 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {37, 446, 719, 2, Smoke::mf_static, 405, 7},	//606 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {37, 417, 722, 2, Smoke::mf_static, 474, 8},	//607 QGlobalSpace::operator*(const QPoint&, double)
    {37, 608, 725, 1, Smoke::mf_static, 405, 9},	//608 QGlobalSpace::qIsInf(double)
    {37, 436, 727, 2, Smoke::mf_static, 40, 10},	//609 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {37, 417, 730, 2, Smoke::mf_static, 476, 11},	//610 QGlobalSpace::operator*(double, const QPointF&)
    {37, 465, 733, 2, Smoke::mf_static, 132, 12},	//611 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {37, 410, 736, 2, Smoke::mf_static, 405, 13},	//612 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {37, 436, 739, 2, Smoke::mf_static, 40, 14},	//613 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {37, 417, 742, 2, Smoke::mf_static, 489, 15},	//614 QGlobalSpace::operator*(double, const QSizeF&)
    {37, 465, 745, 2, Smoke::mf_static, 185, 16},	//615 QGlobalSpace::operator|(QDir::SortFlag, int)
    {37, 465, 748, 2, Smoke::mf_static, 57, 17},	//616 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {37, 436, 751, 2, Smoke::mf_static, 40, 18},	//617 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {37, 459, 754, 2, Smoke::mf_static, 36, 19},	//618 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {37, 436, 757, 2, Smoke::mf_static, 36, 20},	//619 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {37, 465, 760, 2, Smoke::mf_static, 185, 21},	//620 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {37, 465, 763, 2, Smoke::mf_static, 185, 22},	//621 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {37, 436, 766, 2, Smoke::mf_static, 40, 23},	//622 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {37, 684, 769, 2, Smoke::mf_static, 407, 24},	//623 QGlobalSpace::qstrcpy(char*, const char*)
    {37, 410, 772, 2, Smoke::mf_static, 405, 25},	//624 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {37, 421, 775, 2, Smoke::mf_static, 487, 26},	//625 QGlobalSpace::operator+(const QSize&, const QSize&)
    {37, 572, 725, 1, Smoke::mf_static, 526, 27},	//626 QGlobalSpace::qFabs(double)
    {37, 436, 778, 2, Smoke::mf_static, 36, 28},	//627 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {37, 465, 781, 2, Smoke::mf_static, 78, 29},	//628 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    {37, 465, 784, 2, Smoke::mf_static, 112, 30},	//629 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {37, 436, 787, 2, Smoke::mf_static, 40, 31},	//630 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {37, 626, 0, 0, Smoke::mf_static, 526, 32},	//631 QGlobalSpace::qQNaN()
    {37, 426, 790, 2, Smoke::mf_static, 204, 33},	//632 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {37, 465, 793, 2, Smoke::mf_static, 79, 34},	//633 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {37, 596, 796, 1, Smoke::mf_static, 536, 35},	//634 QGlobalSpace::qHash(unsigned char)
    {37, 465, 798, 2, Smoke::mf_static, 65, 36},	//635 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {37, 426, 801, 2, Smoke::mf_static, 519, 37},	//636 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {37, 417, 804, 2, Smoke::mf_static, 233, 38},	//637 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {37, 465, 807, 2, Smoke::mf_static, 98, 39},	//638 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {37, 417, 810, 2, Smoke::mf_static, 193, 40},	//639 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {37, 664, 0, 0, Smoke::mf_static, 522, 41},	//640 QGlobalSpace::qVersion()
    {37, 586, 813, 2, Smoke::mf_static, 405, 42},	//641 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {37, 465, 816, 2, Smoke::mf_static, 70, 43},	//642 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {37, 446, 736, 2, Smoke::mf_static, 405, 44},	//643 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {37, 465, 819, 2, Smoke::mf_static, 137, 45},	//644 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {37, 417, 822, 2, Smoke::mf_static, 489, 46},	//645 QGlobalSpace::operator*(const QSizeF&, double)
    {37, 436, 825, 2, Smoke::mf_static, 36, 47},	//646 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {37, 465, 828, 2, Smoke::mf_static, 185, 48},	//647 QGlobalSpace::operator|(QDir::Filter, int)
    {37, 586, 831, 2, Smoke::mf_static, 405, 49},	//648 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {37, 502, 725, 1, Smoke::mf_static, 528, 50},	//649 QGlobalSpace::qCeil(double)
    {37, 676, 0, 0, Smoke::mf_static, 528, 51},	//650 QGlobalSpace::qrand()
    {37, 591, 36, 1, Smoke::mf_static, 528, 52},	//651 QGlobalSpace::qGray(unsigned int)
    {37, 465, 834, 2, Smoke::mf_static, 72, 53},	//652 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {37, 426, 837, 2, Smoke::mf_static, 489, 54},	//653 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {37, 455, 840, 2, Smoke::mf_static, 405, 55},	//654 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {37, 446, 843, 2, Smoke::mf_static, 405, 56},	//655 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {37, 426, 846, 1, Smoke::mf_static, 480, 57},	//656 QGlobalSpace::operator-(const QQuaternion&)
    {37, 465, 848, 2, Smoke::mf_static, 58, 58},	//657 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {37, 465, 851, 2, Smoke::mf_static, 132, 59},	//658 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {37, 436, 854, 2, Smoke::mf_static, 40, 60},	//659 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {37, 631, 36, 1, Smoke::mf_static, 528, 61},	//660 QGlobalSpace::qRed(unsigned int)
    {37, 410, 857, 2, Smoke::mf_static, 405, 62},	//661 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {37, 417, 860, 2, Smoke::mf_static, 480, 63},	//662 QGlobalSpace::operator*(const QQuaternion&, double)
    {37, 446, 863, 2, Smoke::mf_static, 405, 64},	//663 QGlobalSpace::operator==(QBool, QBool)
    {37, 465, 866, 2, Smoke::mf_static, 108, 65},	//664 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {37, 465, 869, 2, Smoke::mf_static, 107, 66},	//665 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {37, 465, 872, 2, Smoke::mf_static, 73, 67},	//666 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {37, 465, 875, 2, Smoke::mf_static, 123, 68},	//667 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {37, 596, 878, 1, Smoke::mf_static, 536, 69},	//668 QGlobalSpace::qHash(const QStringRef&)
    {37, 465, 880, 2, Smoke::mf_static, 115, 70},	//669 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {37, 446, 883, 2, Smoke::mf_static, 405, 71},	//670 QGlobalSpace::operator==(QString::Null, QString::Null)
    {37, 436, 886, 2, Smoke::mf_static, 40, 72},	//671 QGlobalSpace::operator<<(QDebug, const QFont&)
    {37, 436, 889, 2, Smoke::mf_static, 40, 73},	//672 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {37, 436, 892, 2, Smoke::mf_static, 36, 74},	//673 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {37, 459, 895, 2, Smoke::mf_static, 36, 75},	//674 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {37, 490, 36, 1, Smoke::mf_static, 528, 76},	//675 QGlobalSpace::qAlpha(unsigned int)
    {37, 465, 898, 2, Smoke::mf_static, 185, 77},	//676 QGlobalSpace::operator|(QStyle::SubControl, int)
    {37, 465, 901, 2, Smoke::mf_static, 68, 78},	//677 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {37, 421, 904, 2, Smoke::mf_static, 494, 79},	//678 QGlobalSpace::operator+(QChar, const QString&)
    {37, 594, 36, 1, Smoke::mf_static, 528, 80},	//679 QGlobalSpace::qGreen(unsigned int)
    {37, 465, 907, 2, Smoke::mf_static, 87, 81},	//680 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {37, 536, 910, 6, Smoke::mf_static, 0, 82},	//681 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {37, 536, 917, 3, Smoke::mf_static, 0, 83},	//682 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {37, 536, 921, 4, Smoke::mf_static, 0, 84},	//683 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 536, 926, 5, Smoke::mf_static, 0, 85},	//684 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 426, 932, 1, Smoke::mf_static, 513, 86},	//685 QGlobalSpace::operator-(const QVector2D&)
    {37, 465, 934, 2, Smoke::mf_static, 65, 87},	//686 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {37, 436, 937, 2, Smoke::mf_static, 36, 88},	//687 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {37, 436, 940, 2, Smoke::mf_static, 40, 89},	//688 QGlobalSpace::operator<<(QDebug, const QTime&)
    {37, 417, 801, 2, Smoke::mf_static, 519, 90},	//689 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {37, 417, 943, 2, Smoke::mf_static, 480, 91},	//690 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {37, 465, 946, 2, Smoke::mf_static, 113, 92},	//691 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {37, 436, 949, 2, Smoke::mf_static, 36, 93},	//692 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {37, 436, 952, 2, Smoke::mf_static, 40, 94},	//693 QGlobalSpace::operator<<(QDebug, const QDate&)
    {37, 596, 955, 1, Smoke::mf_static, 536, 95},	//694 QGlobalSpace::qHash(const QBitArray&)
    {37, 465, 957, 2, Smoke::mf_static, 114, 96},	//695 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {37, 495, 725, 1, Smoke::mf_static, 526, 97},	//696 QGlobalSpace::qAtan(double)
    {37, 666, 960, 3, Smoke::mf_static, 0, 98},	//697 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {37, 465, 964, 2, Smoke::mf_static, 61, 99},	//698 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {37, 417, 967, 2, Smoke::mf_static, 237, 100},	//699 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {37, 722, 970, 3, Smoke::mf_static, 405, 101},	//700 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {37, 596, 71, 1, Smoke::mf_static, 536, 102},	//701 QGlobalSpace::qHash(const QString&)
    {37, 596, 974, 1, Smoke::mf_static, 536, 103},	//702 QGlobalSpace::qHash(unsigned short)
    {37, 633, 976, 1, Smoke::mf_static, 0, 104},	//703 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {37, 596, 978, 1, Smoke::mf_static, 536, 105},	//704 QGlobalSpace::qHash(long)
    {37, 465, 980, 2, Smoke::mf_static, 135, 106},	//705 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {37, 596, 983, 1, Smoke::mf_static, 536, 107},	//706 QGlobalSpace::qHash(long long)
    {37, 436, 985, 2, Smoke::mf_static, 40, 108},	//707 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {37, 421, 837, 2, Smoke::mf_static, 489, 109},	//708 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {37, 465, 988, 2, Smoke::mf_static, 100, 110},	//709 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {37, 556, 991, 8, Smoke::mf_static, 0, 111},	//710 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 556, 1000, 6, Smoke::mf_static, 0, 112},	//711 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {37, 556, 1007, 7, Smoke::mf_static, 0, 113},	//712 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 465, 1015, 2, Smoke::mf_static, 185, 114},	//713 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {37, 436, 1018, 2, Smoke::mf_static, 40, 115},	//714 QGlobalSpace::operator<<(QDebug, const QColor&)
    {37, 465, 1021, 2, Smoke::mf_static, 185, 116},	//715 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {37, 465, 1024, 2, Smoke::mf_static, 185, 117},	//716 QGlobalSpace::operator|(Qt::DropAction, int)
    {37, 545, 1027, 10, Smoke::mf_static, 0, 118},	//717 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {37, 545, 1000, 6, Smoke::mf_static, 0, 119},	//718 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {37, 545, 1007, 7, Smoke::mf_static, 0, 120},	//719 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 545, 1038, 8, Smoke::mf_static, 0, 121},	//720 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 545, 1047, 9, Smoke::mf_static, 0, 122},	//721 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 511, 725, 1, Smoke::mf_static, 526, 123},	//722 QGlobalSpace::qCos(double)
    {37, 436, 1057, 2, Smoke::mf_static, 36, 124},	//723 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {37, 465, 1060, 2, Smoke::mf_static, 56, 125},	//724 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {37, 459, 1063, 2, Smoke::mf_static, 36, 126},	//725 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {37, 677, 36, 1, Smoke::mf_static, 0, 127},	//726 QGlobalSpace::qsrand(unsigned int)
    {37, 608, 1066, 1, Smoke::mf_static, 405, 128},	//727 QGlobalSpace::qIsInf(float)
    {37, 465, 1068, 2, Smoke::mf_static, 80, 129},	//728 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {37, 465, 1071, 2, Smoke::mf_static, 123, 130},	//729 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {37, 459, 1074, 2, Smoke::mf_static, 36, 131},	//730 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {37, 465, 1077, 2, Smoke::mf_static, 185, 132},	//731 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {37, 436, 1080, 2, Smoke::mf_static, 36, 133},	//732 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {37, 465, 1083, 2, Smoke::mf_static, 185, 134},	//733 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {37, 465, 1086, 2, Smoke::mf_static, 67, 135},	//734 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {37, 432, 1089, 2, Smoke::mf_static, 405, 136},	//735 QGlobalSpace::operator<(const QByteArray&, const char*)
    {37, 465, 1092, 2, Smoke::mf_static, 82, 137},	//736 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {37, 465, 1095, 2, Smoke::mf_static, 185, 138},	//737 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {37, 436, 1098, 2, Smoke::mf_static, 40, 139},	//738 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {37, 465, 1101, 2, Smoke::mf_static, 124, 140},	//739 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {37, 465, 1104, 2, Smoke::mf_static, 185, 141},	//740 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {37, 436, 1107, 2, Smoke::mf_static, 40, 142},	//741 QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    {37, 417, 1110, 2, Smoke::mf_static, 193, 143},	//742 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {37, 665, 0, 0, Smoke::mf_static, 40, 144},	//743 QGlobalSpace::qWarning()
    {37, 465, 1113, 2, Smoke::mf_static, 97, 145},	//744 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {37, 421, 801, 2, Smoke::mf_static, 519, 146},	//745 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {37, 591, 1116, 3, Smoke::mf_static, 528, 147},	//746 QGlobalSpace::qGray(int, int, int)
    {37, 417, 1120, 2, Smoke::mf_static, 195, 148},	//747 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {37, 465, 1123, 2, Smoke::mf_static, 133, 149},	//748 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {37, 417, 1126, 2, Smoke::mf_static, 223, 150},	//749 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {37, 465, 1129, 2, Smoke::mf_static, 185, 151},	//750 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {37, 446, 1132, 2, Smoke::mf_static, 405, 152},	//751 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {37, 410, 813, 2, Smoke::mf_static, 405, 153},	//752 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {37, 459, 1135, 2, Smoke::mf_static, 36, 154},	//753 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {37, 465, 1138, 2, Smoke::mf_static, 185, 155},	//754 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {37, 436, 1141, 2, Smoke::mf_static, 36, 156},	//755 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {37, 436, 1144, 2, Smoke::mf_static, 36, 157},	//756 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {37, 436, 1147, 2, Smoke::mf_static, 40, 158},	//757 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {37, 436, 1150, 2, Smoke::mf_static, 40, 159},	//758 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {37, 465, 1153, 2, Smoke::mf_static, 185, 160},	//759 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {37, 436, 1156, 2, Smoke::mf_static, 36, 161},	//760 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {37, 465, 1159, 2, Smoke::mf_static, 96, 162},	//761 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {37, 465, 1162, 2, Smoke::mf_static, 126, 163},	//762 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {37, 459, 1165, 2, Smoke::mf_static, 36, 164},	//763 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {37, 436, 1168, 2, Smoke::mf_static, 36, 165},	//764 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {37, 465, 1171, 2, Smoke::mf_static, 87, 166},	//765 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {37, 465, 1174, 2, Smoke::mf_static, 96, 167},	//766 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {37, 465, 1177, 2, Smoke::mf_static, 185, 168},	//767 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {37, 421, 1180, 2, Smoke::mf_static, 417, 169},	//768 QGlobalSpace::operator+(char, const QByteArray&)
    {37, 430, 722, 2, Smoke::mf_static, 474, 170},	//769 QGlobalSpace::operator/(const QPoint&, double)
    {37, 459, 1183, 2, Smoke::mf_static, 36, 171},	//770 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {37, 421, 813, 2, Smoke::mf_static, 513, 172},	//771 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {37, 465, 1186, 2, Smoke::mf_static, 95, 173},	//772 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {37, 436, 1189, 2, Smoke::mf_static, 40, 174},	//773 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {37, 446, 1192, 2, Smoke::mf_static, 405, 175},	//774 QGlobalSpace::operator==(const char*, const QByteArray&)
    {37, 465, 1195, 2, Smoke::mf_static, 74, 176},	//775 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {37, 459, 1198, 2, Smoke::mf_static, 36, 177},	//776 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {37, 610, 1066, 1, Smoke::mf_static, 405, 178},	//777 QGlobalSpace::qIsNaN(float)
    {37, 586, 1201, 2, Smoke::mf_static, 405, 179},	//778 QGlobalSpace::qFuzzyCompare(double, double)
    {37, 612, 1066, 1, Smoke::mf_static, 405, 180},	//779 QGlobalSpace::qIsNull(float)
    {37, 465, 1204, 2, Smoke::mf_static, 77, 181},	//780 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {37, 459, 1207, 2, Smoke::mf_static, 36, 182},	//781 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {37, 459, 1210, 2, Smoke::mf_static, 36, 183},	//782 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {37, 436, 1213, 2, Smoke::mf_static, 36, 184},	//783 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {37, 459, 1216, 2, Smoke::mf_static, 36, 185},	//784 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {37, 465, 1219, 2, Smoke::mf_static, 99, 186},	//785 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {37, 446, 1222, 2, Smoke::mf_static, 405, 187},	//786 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {37, 430, 1225, 2, Smoke::mf_static, 288, 188},	//787 QGlobalSpace::operator/(const QTransform&, double)
    {37, 436, 1228, 2, Smoke::mf_static, 282, 189},	//788 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {37, 465, 1231, 2, Smoke::mf_static, 59, 190},	//789 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {37, 465, 1234, 2, Smoke::mf_static, 185, 191},	//790 QGlobalSpace::operator|(QGL::FormatOption, int)
    {37, 417, 1237, 2, Smoke::mf_static, 513, 192},	//791 QGlobalSpace::operator*(const QVector2D&, double)
    {37, 465, 1240, 2, Smoke::mf_static, 75, 193},	//792 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {37, 465, 1243, 2, Smoke::mf_static, 119, 194},	//793 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {37, 465, 1246, 2, Smoke::mf_static, 105, 195},	//794 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {37, 410, 1249, 2, Smoke::mf_static, 405, 196},	//795 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {37, 417, 1252, 2, Smoke::mf_static, 519, 197},	//796 QGlobalSpace::operator*(const QVector4D&, double)
    {37, 465, 1255, 2, Smoke::mf_static, 185, 198},	//797 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {37, 465, 1258, 2, Smoke::mf_static, 185, 199},	//798 QGlobalSpace::operator|(QFile::Permission, int)
    {37, 436, 1261, 2, Smoke::mf_static, 40, 200},	//799 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {37, 432, 1264, 2, Smoke::mf_static, 405, 201},	//800 QGlobalSpace::operator<(QChar, QChar)
    {37, 484, 0, 0, Smoke::mf_static, 17, 202},	//801 QGlobalSpace::qAccessibleTextCastHelper()
    {37, 446, 943, 2, Smoke::mf_static, 405, 203},	//802 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {37, 586, 790, 2, Smoke::mf_static, 405, 204},	//803 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {37, 430, 1267, 2, Smoke::mf_static, 204, 205},	//804 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {37, 417, 1270, 2, Smoke::mf_static, 223, 206},	//805 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {37, 436, 1273, 2, Smoke::mf_static, 36, 207},	//806 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {37, 465, 1276, 2, Smoke::mf_static, 94, 208},	//807 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {37, 696, 1279, 3, Smoke::mf_static, 528, 209},	//808 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {37, 596, 228, 1, Smoke::mf_static, 536, 210},	//809 QGlobalSpace::qHash(const QByteArray&)
    {37, 465, 1283, 2, Smoke::mf_static, 59, 211},	//810 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {37, 465, 1286, 2, Smoke::mf_static, 185, 212},	//811 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {37, 465, 1289, 2, Smoke::mf_static, 76, 213},	//812 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {37, 465, 1292, 2, Smoke::mf_static, 185, 214},	//813 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {37, 421, 790, 2, Smoke::mf_static, 204, 215},	//814 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {37, 436, 1295, 2, Smoke::mf_static, 40, 216},	//815 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {37, 417, 813, 2, Smoke::mf_static, 513, 217},	//816 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {37, 707, 251, 2, Smoke::mf_static, 0, 218},	//817 QGlobalSpace::qt_check_pointer(const char*, int)
    {37, 459, 1298, 2, Smoke::mf_static, 36, 219},	//818 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {37, 465, 1301, 2, Smoke::mf_static, 185, 220},	//819 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {37, 465, 1304, 2, Smoke::mf_static, 185, 221},	//820 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {37, 465, 1307, 2, Smoke::mf_static, 122, 222},	//821 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {37, 465, 1310, 2, Smoke::mf_static, 118, 223},	//822 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {37, 459, 1313, 2, Smoke::mf_static, 36, 224},	//823 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {37, 465, 1316, 2, Smoke::mf_static, 122, 225},	//824 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {37, 417, 1319, 2, Smoke::mf_static, 476, 226},	//825 QGlobalSpace::operator*(const QPointF&, double)
    {37, 679, 840, 2, Smoke::mf_static, 528, 227},	//826 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {37, 465, 1322, 2, Smoke::mf_static, 98, 228},	//827 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {37, 465, 1325, 2, Smoke::mf_static, 83, 229},	//828 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {37, 648, 1328, 1, Smoke::mf_static, 285, 230},	//829 QGlobalSpace::qSetPadChar(QChar)
    {37, 679, 1089, 2, Smoke::mf_static, 528, 231},	//830 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {37, 446, 775, 2, Smoke::mf_static, 405, 232},	//831 QGlobalSpace::operator==(const QSize&, const QSize&)
    {37, 536, 1330, 9, Smoke::mf_static, 0, 233},	//832 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {37, 536, 1000, 6, Smoke::mf_static, 0, 234},	//833 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 536, 1007, 7, Smoke::mf_static, 0, 235},	//834 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 536, 1038, 8, Smoke::mf_static, 0, 236},	//835 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 652, 0, 0, Smoke::mf_static, 405, 237},	//836 QGlobalSpace::qSharedBuild()
    {37, 421, 943, 2, Smoke::mf_static, 480, 238},	//837 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {37, 465, 1340, 2, Smoke::mf_static, 56, 239},	//838 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {37, 600, 1343, 1, Smoke::mf_static, 542, 240},	//839 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {37, 436, 1345, 2, Smoke::mf_static, 36, 241},	//840 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {37, 718, 1348, 3, Smoke::mf_static, 212, 242},	//841 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {37, 465, 1352, 2, Smoke::mf_static, 131, 243},	//842 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {37, 417, 1355, 2, Smoke::mf_static, 300, 244},	//843 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {37, 465, 1358, 2, Smoke::mf_static, 185, 245},	//844 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {37, 410, 840, 2, Smoke::mf_static, 405, 246},	//845 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {37, 556, 1361, 5, Smoke::mf_static, 0, 247},	//846 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 556, 917, 3, Smoke::mf_static, 0, 248},	//847 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {37, 556, 921, 4, Smoke::mf_static, 0, 249},	//848 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {37, 465, 1367, 2, Smoke::mf_static, 185, 250},	//849 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {37, 465, 1370, 2, Smoke::mf_static, 101, 251},	//850 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {37, 465, 1373, 2, Smoke::mf_static, 185, 252},	//851 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {37, 465, 1376, 2, Smoke::mf_static, 185, 253},	//852 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {37, 459, 1379, 2, Smoke::mf_static, 36, 254},	//853 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {37, 426, 813, 2, Smoke::mf_static, 513, 255},	//854 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {37, 465, 1382, 2, Smoke::mf_static, 130, 256},	//855 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {37, 430, 822, 2, Smoke::mf_static, 489, 257},	//856 QGlobalSpace::operator/(const QSizeF&, double)
    {37, 417, 1385, 2, Smoke::mf_static, 516, 258},	//857 QGlobalSpace::operator*(const QVector3D&, double)
    {37, 465, 1388, 2, Smoke::mf_static, 131, 259},	//858 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {37, 459, 1391, 2, Smoke::mf_static, 36, 260},	//859 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {37, 417, 1394, 2, Smoke::mf_static, 235, 261},	//860 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {37, 451, 1264, 2, Smoke::mf_static, 405, 262},	//861 QGlobalSpace::operator>(QChar, QChar)
    {37, 455, 1192, 2, Smoke::mf_static, 405, 263},	//862 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {37, 584, 1397, 1, Smoke::mf_static, 0, 264},	//863 QGlobalSpace::qFreeAligned(void*)
    {37, 465, 1399, 2, Smoke::mf_static, 108, 265},	//864 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {37, 446, 1402, 2, Smoke::mf_static, 405, 266},	//865 QGlobalSpace::operator==(const QString&, QString::Null)
    {37, 436, 1405, 2, Smoke::mf_static, 40, 267},	//866 QGlobalSpace::operator<<(QDebug, const QPen&)
    {37, 602, 1066, 1, Smoke::mf_static, 528, 268},	//867 QGlobalSpace::qIntCast(float)
    {37, 432, 840, 2, Smoke::mf_static, 405, 269},	//868 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {37, 465, 1408, 2, Smoke::mf_static, 110, 270},	//869 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {37, 674, 1192, 2, Smoke::mf_static, 405, 271},	//870 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {37, 465, 1411, 2, Smoke::mf_static, 185, 272},	//871 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {37, 459, 1414, 2, Smoke::mf_static, 36, 273},	//872 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {37, 657, 1417, 2, Smoke::mf_static, 405, 274},	//873 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {37, 692, 1279, 3, Smoke::mf_static, 528, 275},	//874 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {37, 545, 1420, 7, Smoke::mf_static, 0, 276},	//875 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {37, 545, 917, 3, Smoke::mf_static, 0, 277},	//876 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {37, 545, 921, 4, Smoke::mf_static, 0, 278},	//877 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {37, 545, 926, 5, Smoke::mf_static, 0, 279},	//878 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 545, 1428, 6, Smoke::mf_static, 0, 280},	//879 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {37, 465, 1435, 2, Smoke::mf_static, 185, 281},	//880 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {37, 465, 1438, 2, Smoke::mf_static, 114, 282},	//881 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {37, 465, 1441, 2, Smoke::mf_static, 185, 283},	//882 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {37, 426, 1444, 1, Smoke::mf_static, 476, 284},	//883 QGlobalSpace::operator-(const QPointF&)
    {37, 629, 1446, 4, Smoke::mf_static, 543, 285},	//884 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {37, 465, 1451, 2, Smoke::mf_static, 129, 286},	//885 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {37, 436, 1454, 2, Smoke::mf_static, 36, 287},	//886 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {37, 596, 1457, 1, Smoke::mf_static, 536, 288},	//887 QGlobalSpace::qHash(unsigned long long)
    {37, 465, 1459, 2, Smoke::mf_static, 138, 289},	//888 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {37, 436, 1462, 2, Smoke::mf_static, 40, 290},	//889 QGlobalSpace::operator<<(QDebug, const QSize&)
    {37, 417, 1465, 2, Smoke::mf_static, 233, 291},	//890 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {37, 465, 1468, 2, Smoke::mf_static, 129, 292},	//891 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {37, 436, 1471, 2, Smoke::mf_static, 40, 293},	//892 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {37, 465, 1474, 2, Smoke::mf_static, 136, 294},	//893 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {37, 492, 0, 0, Smoke::mf_static, 254, 295},	//894 QGlobalSpace::qAppName()
    {37, 455, 1249, 2, Smoke::mf_static, 405, 296},	//895 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {37, 465, 1477, 2, Smoke::mf_static, 68, 297},	//896 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {37, 596, 1328, 1, Smoke::mf_static, 536, 298},	//897 QGlobalSpace::qHash(QChar)
    {37, 465, 1480, 2, Smoke::mf_static, 185, 299},	//898 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {37, 520, 1483, 8, Smoke::mf_static, 0, 300},	//899 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {37, 520, 1492, 6, Smoke::mf_static, 0, 301},	//900 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {37, 520, 1499, 7, Smoke::mf_static, 0, 302},	//901 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {37, 446, 857, 2, Smoke::mf_static, 405, 303},	//902 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {37, 589, 725, 1, Smoke::mf_static, 405, 304},	//903 QGlobalSpace::qFuzzyIsNull(double)
    {37, 417, 790, 2, Smoke::mf_static, 204, 305},	//904 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {37, 436, 1507, 2, Smoke::mf_static, 36, 306},	//905 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {37, 622, 1510, 3, Smoke::mf_static, 543, 307},	//906 QGlobalSpace::qMemSet(void*, int, size_t)
    {37, 497, 1201, 2, Smoke::mf_static, 526, 308},	//907 QGlobalSpace::qAtan2(double, double)
    {37, 465, 1514, 2, Smoke::mf_static, 101, 309},	//908 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {37, 436, 1517, 2, Smoke::mf_static, 36, 310},	//909 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {37, 459, 1520, 2, Smoke::mf_static, 36, 311},	//910 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {37, 506, 254, 2, Smoke::mf_static, 25, 312},	//911 QGlobalSpace::qCompress(const QByteArray&, int)
    {37, 506, 228, 1, Smoke::mf_static, 25, 313},	//912 QGlobalSpace::qCompress(const QByteArray&)
    {37, 410, 719, 2, Smoke::mf_static, 405, 314},	//913 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {37, 465, 1523, 2, Smoke::mf_static, 185, 315},	//914 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {37, 436, 1526, 2, Smoke::mf_static, 40, 316},	//915 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {37, 465, 1529, 2, Smoke::mf_static, 130, 317},	//916 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {37, 417, 1532, 2, Smoke::mf_static, 302, 318},	//917 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {37, 465, 1535, 2, Smoke::mf_static, 185, 319},	//918 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {37, 432, 1192, 2, Smoke::mf_static, 405, 320},	//919 QGlobalSpace::operator<(const char*, const QByteArray&)
    {37, 520, 1538, 5, Smoke::mf_static, 0, 321},	//920 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {37, 520, 1544, 3, Smoke::mf_static, 0, 322},	//921 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {37, 520, 1548, 4, Smoke::mf_static, 0, 323},	//922 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {37, 465, 1553, 2, Smoke::mf_static, 100, 324},	//923 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {37, 465, 1556, 2, Smoke::mf_static, 185, 325},	//924 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {37, 488, 1559, 1, Smoke::mf_static, 0, 326},	//925 QGlobalSpace::qAddPostRoutine(void(*)())
    {37, 465, 1561, 2, Smoke::mf_static, 185, 327},	//926 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {37, 417, 1564, 2, Smoke::mf_static, 231, 328},	//927 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {37, 465, 1567, 2, Smoke::mf_static, 185, 329},	//928 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {37, 465, 1570, 2, Smoke::mf_static, 185, 330},	//929 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {37, 570, 725, 1, Smoke::mf_static, 526, 331},	//930 QGlobalSpace::qExp(double)
    {37, 410, 775, 2, Smoke::mf_static, 405, 332},	//931 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {37, 465, 1573, 2, Smoke::mf_static, 127, 333},	//932 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {37, 440, 1089, 2, Smoke::mf_static, 405, 334},	//933 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {37, 436, 1576, 2, Smoke::mf_static, 36, 335},	//934 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {37, 410, 1579, 2, Smoke::mf_static, 405, 336},	//935 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {37, 465, 1582, 2, Smoke::mf_static, 185, 337},	//936 QGlobalSpace::operator|(QString::SectionFlag, int)
    {37, 465, 1585, 2, Smoke::mf_static, 185, 338},	//937 QGlobalSpace::operator|(Qt::WindowType, int)
    {37, 465, 1588, 2, Smoke::mf_static, 121, 339},	//938 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {37, 446, 1591, 2, Smoke::mf_static, 405, 340},	//939 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {37, 612, 725, 1, Smoke::mf_static, 405, 341},	//940 QGlobalSpace::qIsNull(double)
    {37, 515, 1594, 8, Smoke::mf_static, 0, 342},	//941 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {37, 515, 1603, 6, Smoke::mf_static, 0, 343},	//942 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {37, 515, 1610, 7, Smoke::mf_static, 0, 344},	//943 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {37, 446, 1618, 2, Smoke::mf_static, 405, 345},	//944 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {37, 602, 725, 1, Smoke::mf_static, 528, 346},	//945 QGlobalSpace::qIntCast(double)
    {37, 463, 708, 2, Smoke::mf_static, 21, 347},	//946 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {37, 504, 1621, 2, Smoke::mf_static, 539, 348},	//947 QGlobalSpace::qChecksum(const char*, unsigned int)
    {37, 465, 1624, 2, Smoke::mf_static, 120, 349},	//948 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {37, 465, 1627, 2, Smoke::mf_static, 185, 350},	//949 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {37, 459, 1630, 2, Smoke::mf_static, 36, 351},	//950 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {37, 436, 1633, 2, Smoke::mf_static, 36, 352},	//951 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {37, 417, 1225, 2, Smoke::mf_static, 288, 353},	//952 QGlobalSpace::operator*(const QTransform&, double)
    {37, 465, 1636, 2, Smoke::mf_static, 185, 354},	//953 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {37, 432, 1249, 2, Smoke::mf_static, 405, 355},	//954 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {37, 436, 1639, 2, Smoke::mf_static, 40, 356},	//955 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {37, 465, 1642, 2, Smoke::mf_static, 121, 357},	//956 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {37, 465, 1645, 2, Smoke::mf_static, 185, 358},	//957 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {37, 668, 208, 1, Smoke::mf_static, 25, 359},	//958 QGlobalSpace::qgetenv(const char*)
    {37, 465, 1648, 2, Smoke::mf_static, 185, 360},	//959 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {37, 436, 1651, 2, Smoke::mf_static, 40, 361},	//960 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 465, 1654, 2, Smoke::mf_static, 185, 362},	//961 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {37, 465, 1657, 2, Smoke::mf_static, 185, 363},	//962 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {37, 410, 1417, 2, Smoke::mf_static, 405, 364},	//963 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {37, 436, 1660, 2, Smoke::mf_static, 40, 365},	//964 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {37, 459, 1663, 2, Smoke::mf_static, 282, 366},	//965 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 465, 1666, 2, Smoke::mf_static, 185, 367},	//966 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {37, 410, 1192, 2, Smoke::mf_static, 405, 368},	//967 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {37, 465, 1669, 2, Smoke::mf_static, 185, 369},	//968 QGlobalSpace::operator|(QFileDialog::Option, int)
    {37, 486, 725, 1, Smoke::mf_static, 526, 370},	//969 QGlobalSpace::qAcos(double)
    {37, 465, 1672, 2, Smoke::mf_static, 103, 371},	//970 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {37, 451, 1249, 2, Smoke::mf_static, 405, 372},	//971 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {37, 430, 1252, 2, Smoke::mf_static, 519, 373},	//972 QGlobalSpace::operator/(const QVector4D&, double)
    {37, 417, 1675, 2, Smoke::mf_static, 231, 374},	//973 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {37, 465, 1678, 2, Smoke::mf_static, 110, 375},	//974 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {37, 459, 1681, 2, Smoke::mf_static, 36, 376},	//975 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {37, 465, 1684, 2, Smoke::mf_static, 84, 377},	//976 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {37, 430, 860, 2, Smoke::mf_static, 480, 378},	//977 QGlobalSpace::operator/(const QQuaternion&, double)
    {37, 465, 1687, 2, Smoke::mf_static, 94, 379},	//978 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {37, 459, 1690, 2, Smoke::mf_static, 36, 380},	//979 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {37, 436, 1693, 2, Smoke::mf_static, 36, 381},	//980 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {37, 465, 1696, 2, Smoke::mf_static, 71, 382},	//981 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {37, 481, 0, 0, Smoke::mf_static, 17, 383},	//982 QGlobalSpace::qAccessibleImageCastHelper()
    {37, 465, 1699, 2, Smoke::mf_static, 185, 384},	//983 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {37, 436, 1702, 2, Smoke::mf_static, 40, 385},	//984 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {37, 694, 1705, 3, Smoke::mf_static, 407, 386},	//985 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {37, 465, 1709, 2, Smoke::mf_static, 62, 387},	//986 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {37, 459, 1712, 2, Smoke::mf_static, 36, 388},	//987 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {37, 436, 1715, 2, Smoke::mf_static, 36, 389},	//988 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {37, 459, 1718, 2, Smoke::mf_static, 36, 390},	//989 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {37, 426, 1721, 1, Smoke::mf_static, 519, 391},	//990 QGlobalSpace::operator-(const QVector4D&)
    {37, 436, 1723, 2, Smoke::mf_static, 40, 392},	//991 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {37, 596, 1726, 1, Smoke::mf_static, 536, 393},	//992 QGlobalSpace::qHash(const QUrl&)
    {37, 465, 1728, 2, Smoke::mf_static, 185, 394},	//993 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {37, 459, 1731, 2, Smoke::mf_static, 36, 395},	//994 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {37, 604, 1066, 1, Smoke::mf_static, 405, 396},	//995 QGlobalSpace::qIsFinite(float)
    {37, 410, 1132, 2, Smoke::mf_static, 405, 397},	//996 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {37, 446, 813, 2, Smoke::mf_static, 405, 398},	//997 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {37, 709, 20, 1, Smoke::mf_static, 254, 399},	//998 QGlobalSpace::qt_error_string(int)
    {37, 709, 0, 0, Smoke::mf_static, 254, 400},	//999 QGlobalSpace::qt_error_string()
    {37, 430, 1237, 2, Smoke::mf_static, 513, 401},	//1000 QGlobalSpace::operator/(const QVector2D&, double)
    {37, 417, 1734, 2, Smoke::mf_static, 474, 402},	//1001 QGlobalSpace::operator*(const QPoint&, float)
    {37, 465, 1737, 2, Smoke::mf_static, 185, 403},	//1002 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {37, 459, 1740, 2, Smoke::mf_static, 36, 404},	//1003 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {37, 627, 1743, 2, Smoke::mf_static, 543, 405},	//1004 QGlobalSpace::qRealloc(void*, size_t)
    {37, 465, 1746, 2, Smoke::mf_static, 82, 406},	//1005 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {37, 465, 1749, 2, Smoke::mf_static, 81, 407},	//1006 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {37, 421, 1752, 2, Smoke::mf_static, 494, 408},	//1007 QGlobalSpace::operator+(const QString&, const QString&)
    {37, 465, 1755, 2, Smoke::mf_static, 185, 409},	//1008 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {37, 483, 0, 0, Smoke::mf_static, 17, 410},	//1009 QGlobalSpace::qAccessibleTableCastHelper()
    {37, 465, 1758, 2, Smoke::mf_static, 185, 411},	//1010 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {37, 417, 1267, 2, Smoke::mf_static, 204, 412},	//1011 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {37, 705, 1761, 4, Smoke::mf_static, 0, 413},	//1012 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {37, 410, 1089, 2, Smoke::mf_static, 405, 414},	//1013 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {37, 410, 1766, 2, Smoke::mf_static, 405, 415},	//1014 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {37, 436, 1769, 2, Smoke::mf_static, 40, 416},	//1015 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {37, 465, 1772, 2, Smoke::mf_static, 60, 417},	//1016 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {37, 446, 1775, 2, Smoke::mf_static, 405, 418},	//1017 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {37, 465, 1778, 2, Smoke::mf_static, 185, 419},	//1018 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {37, 459, 1781, 2, Smoke::mf_static, 36, 420},	//1019 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {37, 451, 840, 2, Smoke::mf_static, 405, 421},	//1020 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {37, 641, 725, 1, Smoke::mf_static, 528, 422},	//1021 QGlobalSpace::qRound(double)
    {37, 465, 1784, 2, Smoke::mf_static, 185, 423},	//1022 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {37, 446, 1579, 2, Smoke::mf_static, 405, 424},	//1023 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {37, 465, 1787, 2, Smoke::mf_static, 78, 425},	//1024 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    {37, 465, 708, 2, Smoke::mf_static, 21, 426},	//1025 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {37, 446, 1790, 2, Smoke::mf_static, 405, 427},	//1026 QGlobalSpace::operator==(const char*, const QStringRef&)
    {37, 421, 1192, 2, Smoke::mf_static, 417, 428},	//1027 QGlobalSpace::operator+(const char*, const QByteArray&)
    {37, 459, 1793, 2, Smoke::mf_static, 36, 429},	//1028 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {37, 465, 1796, 2, Smoke::mf_static, 185, 430},	//1029 QGlobalSpace::operator|(Qt::MouseButton, int)
    {37, 465, 1799, 2, Smoke::mf_static, 107, 431},	//1030 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {37, 440, 1249, 2, Smoke::mf_static, 405, 432},	//1031 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {37, 459, 1802, 2, Smoke::mf_static, 36, 433},	//1032 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {37, 465, 1805, 2, Smoke::mf_static, 67, 434},	//1033 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {37, 465, 1808, 2, Smoke::mf_static, 128, 435},	//1034 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {37, 606, 36, 1, Smoke::mf_static, 405, 436},	//1035 QGlobalSpace::qIsGray(unsigned int)
    {37, 465, 1811, 2, Smoke::mf_static, 118, 437},	//1036 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {37, 417, 1814, 2, Smoke::mf_static, 233, 438},	//1037 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {37, 426, 1817, 1, Smoke::mf_static, 204, 439},	//1038 QGlobalSpace::operator-(const QMatrix4x4&)
    {37, 465, 1819, 2, Smoke::mf_static, 58, 440},	//1039 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {37, 417, 1822, 2, Smoke::mf_static, 513, 441},	//1040 QGlobalSpace::operator*(double, const QVector2D&)
    {37, 465, 1825, 2, Smoke::mf_static, 89, 442},	//1041 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {37, 465, 1828, 2, Smoke::mf_static, 185, 443},	//1042 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {37, 459, 1831, 2, Smoke::mf_static, 36, 444},	//1043 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {37, 446, 1264, 2, Smoke::mf_static, 405, 445},	//1044 QGlobalSpace::operator==(QChar, QChar)
    {37, 465, 1834, 2, Smoke::mf_static, 134, 446},	//1045 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {37, 436, 1837, 2, Smoke::mf_static, 36, 447},	//1046 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {37, 410, 1591, 2, Smoke::mf_static, 405, 448},	//1047 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {37, 417, 1840, 2, Smoke::mf_static, 195, 449},	//1048 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {37, 410, 1843, 2, Smoke::mf_static, 405, 450},	//1049 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {37, 596, 1846, 1, Smoke::mf_static, 536, 451},	//1050 QGlobalSpace::qHash(signed char)
    {37, 436, 1848, 2, Smoke::mf_static, 36, 452},	//1051 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {37, 436, 1851, 2, Smoke::mf_static, 36, 453},	//1052 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {37, 465, 1854, 2, Smoke::mf_static, 135, 454},	//1053 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {37, 417, 1857, 2, Smoke::mf_static, 516, 455},	//1054 QGlobalSpace::operator*(double, const QVector3D&)
    {37, 655, 725, 1, Smoke::mf_static, 526, 456},	//1055 QGlobalSpace::qSqrt(double)
    {37, 436, 1860, 2, Smoke::mf_static, 36, 457},	//1056 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {37, 465, 1863, 2, Smoke::mf_static, 117, 458},	//1057 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {37, 679, 210, 2, Smoke::mf_static, 528, 459},	//1058 QGlobalSpace::qstrcmp(const char*, const char*)
    {37, 459, 1866, 2, Smoke::mf_static, 36, 460},	//1059 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {37, 465, 1869, 2, Smoke::mf_static, 77, 461},	//1060 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {37, 465, 1872, 2, Smoke::mf_static, 104, 462},	//1061 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {37, 446, 801, 2, Smoke::mf_static, 405, 463},	//1062 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {37, 436, 1875, 2, Smoke::mf_static, 36, 464},	//1063 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {37, 436, 1878, 2, Smoke::mf_static, 36, 465},	//1064 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {37, 430, 1385, 2, Smoke::mf_static, 516, 466},	//1065 QGlobalSpace::operator/(const QVector3D&, double)
    {37, 465, 1881, 2, Smoke::mf_static, 99, 467},	//1066 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {37, 410, 843, 2, Smoke::mf_static, 405, 468},	//1067 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {37, 410, 1264, 2, Smoke::mf_static, 405, 469},	//1068 QGlobalSpace::operator!=(QChar, QChar)
    {37, 465, 1884, 2, Smoke::mf_static, 91, 470},	//1069 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {37, 417, 1887, 2, Smoke::mf_static, 204, 471},	//1070 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {37, 698, 1621, 2, Smoke::mf_static, 536, 472},	//1071 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {37, 465, 1890, 2, Smoke::mf_static, 86, 473},	//1072 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {37, 637, 1116, 3, Smoke::mf_static, 536, 474},	//1073 QGlobalSpace::qRgb(int, int, int)
    {37, 586, 801, 2, Smoke::mf_static, 405, 475},	//1074 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {37, 580, 725, 1, Smoke::mf_static, 528, 476},	//1075 QGlobalSpace::qFloor(double)
    {37, 465, 1893, 2, Smoke::mf_static, 137, 477},	//1076 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {37, 465, 1896, 2, Smoke::mf_static, 116, 478},	//1077 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {37, 436, 1899, 2, Smoke::mf_static, 40, 479},	//1078 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {37, 465, 1902, 2, Smoke::mf_static, 85, 480},	//1079 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {37, 465, 1905, 2, Smoke::mf_static, 120, 481},	//1080 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {37, 446, 837, 2, Smoke::mf_static, 405, 482},	//1081 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {37, 459, 1908, 2, Smoke::mf_static, 36, 483},	//1082 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {37, 465, 1911, 2, Smoke::mf_static, 119, 484},	//1083 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {37, 459, 1914, 2, Smoke::mf_static, 36, 485},	//1084 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {37, 436, 1917, 2, Smoke::mf_static, 36, 486},	//1085 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {37, 465, 1920, 2, Smoke::mf_static, 61, 487},	//1086 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {37, 446, 1249, 2, Smoke::mf_static, 405, 488},	//1087 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {37, 410, 1923, 2, Smoke::mf_static, 405, 489},	//1088 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {37, 417, 1926, 2, Smoke::mf_static, 487, 490},	//1089 QGlobalSpace::operator*(double, const QSize&)
    {37, 446, 1929, 2, Smoke::mf_static, 405, 491},	//1090 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {37, 465, 1932, 2, Smoke::mf_static, 71, 492},	//1091 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {37, 596, 1935, 1, Smoke::mf_static, 536, 493},	//1092 QGlobalSpace::qHash(const QModelIndex&)
    {37, 465, 1937, 2, Smoke::mf_static, 85, 494},	//1093 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {37, 465, 1940, 2, Smoke::mf_static, 104, 495},	//1094 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {37, 436, 1943, 2, Smoke::mf_static, 40, 496},	//1095 QGlobalSpace::operator<<(QDebug, const QLine&)
    {37, 485, 0, 0, Smoke::mf_static, 17, 497},	//1096 QGlobalSpace::qAccessibleValueCastHelper()
    {37, 465, 1946, 2, Smoke::mf_static, 57, 498},	//1097 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {37, 635, 1559, 1, Smoke::mf_static, 0, 499},	//1098 QGlobalSpace::qRemovePostRoutine(void(*)())
    {37, 465, 1949, 2, Smoke::mf_static, 185, 500},	//1099 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {37, 459, 1952, 2, Smoke::mf_static, 36, 501},	//1100 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {37, 417, 1955, 2, Smoke::mf_static, 302, 502},	//1101 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {37, 436, 1958, 2, Smoke::mf_static, 36, 503},	//1102 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {37, 586, 1961, 2, Smoke::mf_static, 405, 504},	//1103 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {37, 465, 1964, 2, Smoke::mf_static, 111, 505},	//1104 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {37, 578, 208, 1, Smoke::mf_static, 522, 506},	//1105 QGlobalSpace::qFlagLocation(const char*)
    {37, 620, 1967, 3, Smoke::mf_static, 543, 507},	//1106 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {37, 455, 1089, 2, Smoke::mf_static, 405, 508},	//1107 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {37, 417, 1971, 2, Smoke::mf_static, 474, 509},	//1108 QGlobalSpace::operator*(double, const QPoint&)
    {37, 610, 725, 1, Smoke::mf_static, 405, 510},	//1109 QGlobalSpace::qIsNaN(double)
    {37, 465, 1974, 2, Smoke::mf_static, 93, 511},	//1110 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {37, 436, 1977, 2, Smoke::mf_static, 40, 512},	//1111 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {37, 436, 1980, 2, Smoke::mf_static, 40, 513},	//1112 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {37, 596, 1983, 1, Smoke::mf_static, 536, 514},	//1113 QGlobalSpace::qHash(short)
    {37, 599, 0, 0, Smoke::mf_static, 526, 515},	//1114 QGlobalSpace::qInf()
    {37, 436, 1985, 2, Smoke::mf_static, 40, 516},	//1115 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {37, 465, 1988, 2, Smoke::mf_static, 95, 517},	//1116 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {37, 436, 1991, 2, Smoke::mf_static, 36, 518},	//1117 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {37, 436, 1994, 2, Smoke::mf_static, 36, 519},	//1118 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {37, 417, 1997, 2, Smoke::mf_static, 480, 520},	//1119 QGlobalSpace::operator*(double, const QQuaternion&)
    {37, 421, 2000, 2, Smoke::mf_static, 417, 521},	//1120 QGlobalSpace::operator+(const QByteArray&, char)
    {37, 465, 2003, 2, Smoke::mf_static, 113, 522},	//1121 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {37, 436, 2006, 2, Smoke::mf_static, 40, 523},	//1122 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {37, 465, 2009, 2, Smoke::mf_static, 97, 524},	//1123 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {37, 465, 2012, 2, Smoke::mf_static, 64, 525},	//1124 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {37, 430, 1319, 2, Smoke::mf_static, 476, 526},	//1125 QGlobalSpace::operator/(const QPointF&, double)
    {37, 661, 228, 1, Smoke::mf_static, 25, 527},	//1126 QGlobalSpace::qUncompress(const QByteArray&)
    {37, 455, 1264, 2, Smoke::mf_static, 405, 528},	//1127 QGlobalSpace::operator>=(QChar, QChar)
    {37, 465, 2015, 2, Smoke::mf_static, 60, 529},	//1128 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {37, 440, 840, 2, Smoke::mf_static, 405, 530},	//1129 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {37, 650, 20, 1, Smoke::mf_static, 285, 531},	//1130 QGlobalSpace::qSetRealNumberPrecision(int)
    {37, 436, 2018, 2, Smoke::mf_static, 40, 532},	//1131 QGlobalSpace::operator<<(QDebug, const QObject*)
    {37, 653, 725, 1, Smoke::mf_static, 526, 533},	//1132 QGlobalSpace::qSin(double)
    {37, 493, 725, 1, Smoke::mf_static, 526, 534},	//1133 QGlobalSpace::qAsin(double)
    {37, 586, 1132, 2, Smoke::mf_static, 405, 535},	//1134 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {37, 688, 210, 2, Smoke::mf_static, 528, 536},	//1135 QGlobalSpace::qstricmp(const char*, const char*)
    {37, 465, 2021, 2, Smoke::mf_static, 84, 537},	//1136 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {37, 465, 2024, 2, Smoke::mf_static, 75, 538},	//1137 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {37, 436, 2027, 2, Smoke::mf_static, 40, 539},	//1138 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {37, 586, 2030, 2, Smoke::mf_static, 405, 540},	//1139 QGlobalSpace::qFuzzyCompare(float, float)
    {37, 459, 2033, 2, Smoke::mf_static, 36, 541},	//1140 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {37, 465, 2036, 2, Smoke::mf_static, 66, 542},	//1141 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {37, 724, 2039, 4, Smoke::mf_static, 528, 543},	//1142 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {37, 465, 2044, 2, Smoke::mf_static, 89, 544},	//1143 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {37, 465, 2047, 2, Smoke::mf_static, 102, 545},	//1144 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {37, 436, 2050, 2, Smoke::mf_static, 36, 546},	//1145 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {37, 717, 0, 0, Smoke::mf_static, 0, 547},	//1146 QGlobalSpace::qt_noop()
    {37, 465, 2053, 2, Smoke::mf_static, 90, 548},	//1147 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {37, 451, 1192, 2, Smoke::mf_static, 405, 549},	//1148 QGlobalSpace::operator>(const char*, const QByteArray&)
    {37, 459, 2056, 2, Smoke::mf_static, 36, 550},	//1149 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {37, 646, 20, 1, Smoke::mf_static, 285, 551},	//1150 QGlobalSpace::qSetFieldWidth(int)
    {37, 465, 2059, 2, Smoke::mf_static, 112, 552},	//1151 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {37, 436, 2062, 2, Smoke::mf_static, 40, 553},	//1152 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {37, 436, 2065, 2, Smoke::mf_static, 36, 554},	//1153 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {37, 446, 1923, 2, Smoke::mf_static, 405, 555},	//1154 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {37, 410, 2068, 2, Smoke::mf_static, 405, 556},	//1155 QGlobalSpace::operator!=(bool, QBool)
    {37, 596, 38, 1, Smoke::mf_static, 536, 557},	//1156 QGlobalSpace::qHash(unsigned long)
    {37, 482, 0, 0, Smoke::mf_static, 17, 558},	//1157 QGlobalSpace::qAccessibleTable2CastHelper()
    {37, 436, 2071, 2, Smoke::mf_static, 40, 559},	//1158 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {37, 465, 2074, 2, Smoke::mf_static, 185, 560},	//1159 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {37, 417, 2077, 2, Smoke::mf_static, 235, 561},	//1160 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {37, 410, 2080, 2, Smoke::mf_static, 405, 562},	//1161 QGlobalSpace::operator!=(QBool, bool)
    {37, 465, 2083, 2, Smoke::mf_static, 185, 563},	//1162 QGlobalSpace::operator|(Qt::WindowState, int)
    {37, 465, 2086, 2, Smoke::mf_static, 111, 564},	//1163 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {37, 426, 1579, 2, Smoke::mf_static, 474, 565},	//1164 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {37, 614, 725, 1, Smoke::mf_static, 526, 566},	//1165 QGlobalSpace::qLn(double)
    {37, 459, 2089, 2, Smoke::mf_static, 36, 567},	//1166 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {37, 459, 2092, 2, Smoke::mf_static, 36, 568},	//1167 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {37, 586, 943, 2, Smoke::mf_static, 405, 569},	//1168 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {37, 527, 1047, 9, Smoke::mf_static, 0, 570},	//1169 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 527, 1000, 6, Smoke::mf_static, 0, 571},	//1170 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {37, 527, 1007, 7, Smoke::mf_static, 0, 572},	//1171 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 527, 1038, 8, Smoke::mf_static, 0, 573},	//1172 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 690, 208, 1, Smoke::mf_static, 536, 574},	//1173 QGlobalSpace::qstrlen(const char*)
    {37, 421, 1089, 2, Smoke::mf_static, 417, 575},	//1174 QGlobalSpace::operator+(const QByteArray&, const char*)
    {37, 436, 2095, 2, Smoke::mf_static, 36, 576},	//1175 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {37, 410, 837, 2, Smoke::mf_static, 405, 577},	//1176 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {37, 440, 1192, 2, Smoke::mf_static, 405, 578},	//1177 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {37, 436, 2098, 2, Smoke::mf_static, 36, 579},	//1178 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {37, 465, 2101, 2, Smoke::mf_static, 124, 580},	//1179 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {37, 436, 2104, 2, Smoke::mf_static, 40, 581},	//1180 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {37, 465, 2107, 2, Smoke::mf_static, 185, 582},	//1181 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {37, 446, 1766, 2, Smoke::mf_static, 405, 583},	//1182 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {37, 465, 2110, 2, Smoke::mf_static, 92, 584},	//1183 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {37, 465, 2113, 2, Smoke::mf_static, 185, 585},	//1184 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {37, 465, 2116, 2, Smoke::mf_static, 185, 586},	//1185 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    {37, 465, 2119, 2, Smoke::mf_static, 117, 587},	//1186 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {37, 465, 2122, 2, Smoke::mf_static, 76, 588},	//1187 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {37, 436, 2125, 2, Smoke::mf_static, 36, 589},	//1188 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {37, 465, 2128, 2, Smoke::mf_static, 138, 590},	//1189 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {37, 465, 2131, 2, Smoke::mf_static, 63, 591},	//1190 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {37, 480, 0, 0, Smoke::mf_static, 17, 592},	//1191 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {37, 417, 2134, 2, Smoke::mf_static, 487, 593},	//1192 QGlobalSpace::operator*(const QSize&, double)
    {37, 417, 2137, 2, Smoke::mf_static, 300, 594},	//1193 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {37, 446, 2140, 2, Smoke::mf_static, 405, 595},	//1194 QGlobalSpace::operator==(QString::Null, const QString&)
    {37, 436, 2143, 2, Smoke::mf_static, 40, 596},	//1195 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {37, 465, 2146, 2, Smoke::mf_static, 66, 597},	//1196 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {37, 465, 2149, 2, Smoke::mf_static, 128, 598},	//1197 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {37, 459, 2152, 2, Smoke::mf_static, 36, 599},	//1198 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {37, 436, 2155, 2, Smoke::mf_static, 40, 600},	//1199 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {37, 446, 1089, 2, Smoke::mf_static, 405, 601},	//1200 QGlobalSpace::operator==(const QByteArray&, const char*)
    {37, 720, 2158, 5, Smoke::mf_static, 0, 602},	//1201 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {37, 459, 2164, 2, Smoke::mf_static, 36, 603},	//1202 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {37, 465, 2167, 2, Smoke::mf_static, 106, 604},	//1203 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {37, 436, 2170, 2, Smoke::mf_static, 36, 605},	//1204 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {37, 459, 2173, 2, Smoke::mf_static, 36, 606},	//1205 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {37, 459, 2176, 2, Smoke::mf_static, 36, 607},	//1206 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {37, 451, 1089, 2, Smoke::mf_static, 405, 608},	//1207 QGlobalSpace::operator>(const QByteArray&, const char*)
    {37, 465, 2179, 2, Smoke::mf_static, 185, 609},	//1208 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {37, 421, 1579, 2, Smoke::mf_static, 474, 610},	//1209 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {37, 436, 2182, 2, Smoke::mf_static, 36, 611},	//1210 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {37, 582, 1397, 1, Smoke::mf_static, 0, 612},	//1211 QGlobalSpace::qFree(void*)
    {37, 421, 1132, 2, Smoke::mf_static, 516, 613},	//1212 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {37, 440, 1264, 2, Smoke::mf_static, 405, 614},	//1213 QGlobalSpace::operator<=(QChar, QChar)
    {37, 436, 2185, 2, Smoke::mf_static, 282, 615},	//1214 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {37, 465, 2188, 2, Smoke::mf_static, 88, 616},	//1215 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {37, 436, 2191, 2, Smoke::mf_static, 36, 617},	//1216 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {37, 596, 36, 1, Smoke::mf_static, 536, 618},	//1217 QGlobalSpace::qHash(unsigned int)
    {37, 417, 2194, 2, Smoke::mf_static, 243, 619},	//1218 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {37, 410, 2140, 2, Smoke::mf_static, 405, 620},	//1219 QGlobalSpace::operator!=(QString::Null, const QString&)
    {37, 643, 725, 1, Smoke::mf_static, 530, 621},	//1220 QGlobalSpace::qRound64(double)
    {37, 417, 2197, 2, Smoke::mf_static, 233, 622},	//1221 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {37, 436, 2200, 2, Smoke::mf_static, 40, 623},	//1222 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {37, 465, 2203, 2, Smoke::mf_static, 185, 624},	//1223 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {37, 436, 2206, 2, Smoke::mf_static, 36, 625},	//1224 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {37, 465, 2209, 2, Smoke::mf_static, 102, 626},	//1225 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {37, 618, 2212, 2, Smoke::mf_static, 543, 627},	//1226 QGlobalSpace::qMallocAligned(size_t, size_t)
    {37, 465, 2215, 2, Smoke::mf_static, 185, 628},	//1227 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {37, 465, 2218, 2, Smoke::mf_static, 185, 629},	//1228 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {37, 410, 1402, 2, Smoke::mf_static, 405, 630},	//1229 QGlobalSpace::operator!=(const QString&, QString::Null)
    {37, 506, 2221, 3, Smoke::mf_static, 25, 631},	//1230 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {37, 506, 2225, 2, Smoke::mf_static, 25, 632},	//1231 QGlobalSpace::qCompress(const unsigned char*, int)
    {37, 465, 2228, 2, Smoke::mf_static, 185, 633},	//1232 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {37, 417, 381, 2, Smoke::mf_static, 474, 634},	//1233 QGlobalSpace::operator*(int, const QPoint&)
    {37, 436, 2231, 2, Smoke::mf_static, 40, 635},	//1234 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {37, 686, 208, 1, Smoke::mf_static, 407, 636},	//1235 QGlobalSpace::qstrdup(const char*)
    {37, 465, 2234, 2, Smoke::mf_static, 126, 637},	//1236 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {37, 436, 2237, 2, Smoke::mf_static, 36, 638},	//1237 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {37, 417, 2240, 2, Smoke::mf_static, 237, 639},	//1238 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {37, 465, 2243, 2, Smoke::mf_static, 185, 640},	//1239 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {37, 410, 943, 2, Smoke::mf_static, 405, 641},	//1240 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {37, 514, 0, 0, Smoke::mf_static, 40, 642},	//1241 QGlobalSpace::qDebug()
    {37, 426, 2246, 1, Smoke::mf_static, 474, 643},	//1242 QGlobalSpace::operator-(const QPoint&)
    {37, 459, 2248, 2, Smoke::mf_static, 36, 644},	//1243 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {37, 515, 2251, 4, Smoke::mf_static, 0, 645},	//1244 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {37, 410, 801, 2, Smoke::mf_static, 405, 646},	//1245 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {37, 465, 2256, 2, Smoke::mf_static, 73, 647},	//1246 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {37, 679, 1192, 2, Smoke::mf_static, 528, 648},	//1247 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {37, 465, 2259, 2, Smoke::mf_static, 72, 649},	//1248 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {37, 465, 2262, 2, Smoke::mf_static, 185, 650},	//1249 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {37, 659, 725, 1, Smoke::mf_static, 526, 651},	//1250 QGlobalSpace::qTan(double)
    {37, 459, 2265, 2, Smoke::mf_static, 36, 652},	//1251 QGlobalSpace::operator>>(QDataStream&, QString&)
    {37, 465, 2268, 2, Smoke::mf_static, 63, 653},	//1252 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {37, 446, 840, 2, Smoke::mf_static, 405, 654},	//1253 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {37, 465, 2271, 2, Smoke::mf_static, 64, 655},	//1254 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {37, 527, 2274, 7, Smoke::mf_static, 0, 656},	//1255 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {37, 527, 2282, 4, Smoke::mf_static, 0, 657},	//1256 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {37, 527, 2287, 5, Smoke::mf_static, 0, 658},	//1257 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {37, 527, 2293, 6, Smoke::mf_static, 0, 659},	//1258 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {37, 465, 2300, 2, Smoke::mf_static, 90, 660},	//1259 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {37, 417, 1132, 2, Smoke::mf_static, 516, 661},	//1260 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {37, 563, 1361, 5, Smoke::mf_static, 0, 662},	//1261 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 563, 917, 3, Smoke::mf_static, 0, 663},	//1262 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {37, 563, 921, 4, Smoke::mf_static, 0, 664},	//1263 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 436, 2303, 2, Smoke::mf_static, 36, 665},	//1264 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {37, 596, 20, 1, Smoke::mf_static, 536, 666},	//1265 QGlobalSpace::qHash(int)
    {37, 426, 1222, 2, Smoke::mf_static, 476, 667},	//1266 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {37, 436, 2306, 2, Smoke::mf_static, 36, 668},	//1267 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {37, 459, 2309, 2, Smoke::mf_static, 282, 669},	//1268 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {37, 465, 2312, 2, Smoke::mf_static, 185, 670},	//1269 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {37, 436, 2315, 2, Smoke::mf_static, 36, 671},	//1270 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {37, 459, 2318, 2, Smoke::mf_static, 36, 672},	//1271 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {37, 421, 1225, 2, Smoke::mf_static, 288, 673},	//1272 QGlobalSpace::operator+(const QTransform&, double)
    {37, 436, 2321, 2, Smoke::mf_static, 36, 674},	//1273 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {37, 465, 2324, 2, Smoke::mf_static, 103, 675},	//1274 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {37, 596, 2327, 1, Smoke::mf_static, 536, 676},	//1275 QGlobalSpace::qHash(const QItemSelectionRange&)
    {37, 465, 2329, 2, Smoke::mf_static, 134, 677},	//1276 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {37, 624, 1201, 2, Smoke::mf_static, 526, 678},	//1277 QGlobalSpace::qPow(double, double)
    {37, 446, 1417, 2, Smoke::mf_static, 405, 679},	//1278 QGlobalSpace::operator==(const QStringRef&, const char*)
    {37, 410, 1790, 2, Smoke::mf_static, 405, 680},	//1279 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {37, 459, 2332, 2, Smoke::mf_static, 36, 681},	//1280 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {37, 421, 840, 2, Smoke::mf_static, 417, 682},	//1281 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {37, 465, 2335, 2, Smoke::mf_static, 70, 683},	//1282 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {37, 417, 2338, 2, Smoke::mf_static, 231, 684},	//1283 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {37, 459, 2341, 2, Smoke::mf_static, 36, 685},	//1284 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {37, 465, 2344, 2, Smoke::mf_static, 185, 686},	//1285 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {37, 465, 2347, 2, Smoke::mf_static, 74, 687},	//1286 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {37, 465, 2350, 2, Smoke::mf_static, 86, 688},	//1287 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {37, 711, 2353, 2, Smoke::mf_static, 0, 689},	//1288 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {37, 465, 2356, 2, Smoke::mf_static, 185, 690},	//1289 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {37, 426, 2359, 1, Smoke::mf_static, 516, 691},	//1290 QGlobalSpace::operator-(const QVector3D&)
    {37, 465, 2361, 2, Smoke::mf_static, 105, 692},	//1291 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {37, 465, 2364, 2, Smoke::mf_static, 62, 693},	//1292 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {37, 436, 2367, 2, Smoke::mf_static, 40, 694},	//1293 QGlobalSpace::operator<<(QDebug, const QRect&)
    {37, 574, 725, 1, Smoke::mf_static, 526, 695},	//1294 QGlobalSpace::qFastCos(double)
    {37, 436, 2370, 2, Smoke::mf_static, 36, 696},	//1295 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {37, 436, 2373, 2, Smoke::mf_static, 36, 697},	//1296 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {37, 459, 2376, 2, Smoke::mf_static, 36, 698},	//1297 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {37, 465, 2379, 2, Smoke::mf_static, 185, 699},	//1298 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {37, 417, 2382, 2, Smoke::mf_static, 519, 700},	//1299 QGlobalSpace::operator*(double, const QVector4D&)
    {37, 430, 2134, 2, Smoke::mf_static, 487, 701},	//1300 QGlobalSpace::operator/(const QSize&, double)
    {37, 459, 2385, 2, Smoke::mf_static, 36, 702},	//1301 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {37, 459, 2388, 2, Smoke::mf_static, 36, 703},	//1302 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {37, 465, 2391, 2, Smoke::mf_static, 83, 704},	//1303 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 459, 2394, 2, Smoke::mf_static, 36, 705},	//1304 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {37, 446, 2068, 2, Smoke::mf_static, 405, 706},	//1305 QGlobalSpace::operator==(bool, QBool)
    {37, 563, 991, 8, Smoke::mf_static, 0, 707},	//1306 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 563, 1000, 6, Smoke::mf_static, 0, 708},	//1307 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 563, 1007, 7, Smoke::mf_static, 0, 709},	//1308 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 465, 2397, 2, Smoke::mf_static, 136, 710},	//1309 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {37, 465, 2400, 2, Smoke::mf_static, 79, 711},	//1310 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {37, 465, 2403, 2, Smoke::mf_static, 116, 712},	//1311 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {37, 465, 2406, 2, Smoke::mf_static, 185, 713},	//1312 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {37, 417, 2409, 2, Smoke::mf_static, 231, 714},	//1313 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {37, 465, 2412, 2, Smoke::mf_static, 185, 715},	//1314 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {37, 465, 2415, 2, Smoke::mf_static, 185, 716},	//1315 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {37, 426, 943, 2, Smoke::mf_static, 480, 717},	//1316 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {37, 465, 2418, 2, Smoke::mf_static, 109, 718},	//1317 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {37, 426, 1132, 2, Smoke::mf_static, 516, 719},	//1318 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {37, 465, 2421, 2, Smoke::mf_static, 185, 720},	//1319 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {37, 459, 2424, 2, Smoke::mf_static, 36, 721},	//1320 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {37, 479, 0, 0, Smoke::mf_static, 17, 722},	//1321 QGlobalSpace::qAccessibleActionCastHelper()
    {37, 596, 2427, 1, Smoke::mf_static, 536, 723},	//1322 QGlobalSpace::qHash(char)
    {37, 436, 2429, 2, Smoke::mf_static, 36, 724},	//1323 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {37, 500, 36, 1, Smoke::mf_static, 528, 725},	//1324 QGlobalSpace::qBlue(unsigned int)
    {37, 465, 2432, 2, Smoke::mf_static, 185, 726},	//1325 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {37, 459, 2435, 2, Smoke::mf_static, 36, 727},	//1326 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {37, 410, 1222, 2, Smoke::mf_static, 405, 728},	//1327 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {37, 465, 2438, 2, Smoke::mf_static, 115, 729},	//1328 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {37, 604, 725, 1, Smoke::mf_static, 405, 730},	//1329 QGlobalSpace::qIsFinite(double)
    {37, 417, 2441, 2, Smoke::mf_static, 474, 731},	//1330 QGlobalSpace::operator*(const QPoint&, int)
    {37, 465, 2444, 2, Smoke::mf_static, 127, 732},	//1331 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {37, 426, 775, 2, Smoke::mf_static, 487, 733},	//1332 QGlobalSpace::operator-(const QSize&, const QSize&)
    {37, 436, 2447, 2, Smoke::mf_static, 40, 734},	//1333 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {37, 645, 0, 0, Smoke::mf_static, 526, 735},	//1334 QGlobalSpace::qSNaN()
    {37, 465, 2450, 2, Smoke::mf_static, 106, 736},	//1335 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {37, 436, 2453, 2, Smoke::mf_static, 36, 737},	//1336 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {37, 589, 1066, 1, Smoke::mf_static, 405, 738},	//1337 QGlobalSpace::qFuzzyIsNull(float)
    {37, 465, 2456, 2, Smoke::mf_static, 125, 739},	//1338 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {37, 465, 2459, 2, Smoke::mf_static, 185, 740},	//1339 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {37, 661, 2225, 2, Smoke::mf_static, 25, 741},	//1340 QGlobalSpace::qUncompress(const unsigned char*, int)
    {37, 465, 2462, 2, Smoke::mf_static, 125, 742},	//1341 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {37, 465, 2465, 2, Smoke::mf_static, 81, 743},	//1342 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {37, 465, 2468, 2, Smoke::mf_static, 185, 744},	//1343 QGlobalSpace::operator|(Qt::Orientation, int)
    {37, 576, 725, 1, Smoke::mf_static, 526, 745},	//1344 QGlobalSpace::qFastSin(double)
    {37, 465, 2471, 2, Smoke::mf_static, 88, 746},	//1345 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {37, 436, 2474, 2, Smoke::mf_static, 36, 747},	//1346 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {37, 436, 2477, 2, Smoke::mf_static, 40, 748},	//1347 QGlobalSpace::operator<<(QDebug, const QDir&)
    {37, 421, 1222, 2, Smoke::mf_static, 476, 749},	//1348 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {37, 417, 2480, 2, Smoke::mf_static, 243, 750},	//1349 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {37, 446, 2080, 2, Smoke::mf_static, 405, 751},	//1350 QGlobalSpace::operator==(QBool, bool)
    {37, 446, 772, 2, Smoke::mf_static, 405, 752},	//1351 QGlobalSpace::operator==(const QRect&, const QRect&)
    {37, 436, 2483, 2, Smoke::mf_static, 40, 753},	//1352 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {37, 417, 2486, 2, Smoke::mf_static, 474, 754},	//1353 QGlobalSpace::operator*(float, const QPoint&)
    {37, 700, 251, 2, Smoke::mf_static, 254, 755},	//1354 QGlobalSpace::qtTrId(const char*, int)
    {37, 700, 208, 1, Smoke::mf_static, 254, 756},	//1355 QGlobalSpace::qtTrId(const char*)
    {37, 459, 2489, 2, Smoke::mf_static, 36, 757},	//1356 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {37, 465, 2492, 2, Smoke::mf_static, 91, 758},	//1357 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {37, 465, 2495, 2, Smoke::mf_static, 185, 759},	//1358 QGlobalSpace::operator|(QTextOption::Flag, int)
    {37, 421, 2498, 2, Smoke::mf_static, 494, 760},	//1359 QGlobalSpace::operator+(const QString&, QChar)
    {37, 499, 0, 0, Smoke::mf_static, 0, 761},	//1360 QGlobalSpace::qBadAlloc()
    {37, 410, 883, 2, Smoke::mf_static, 405, 762},	//1361 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {37, 639, 2501, 4, Smoke::mf_static, 536, 763},	//1362 QGlobalSpace::qRgba(int, int, int, int)
    {37, 465, 2506, 2, Smoke::mf_static, 133, 764},	//1363 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {37, 465, 2509, 2, Smoke::mf_static, 109, 765},	//1364 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {37, 465, 2512, 2, Smoke::mf_static, 93, 766},	//1365 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {37, 410, 863, 2, Smoke::mf_static, 405, 767},	//1366 QGlobalSpace::operator!=(QBool, QBool)
    {37, 436, 1663, 2, Smoke::mf_static, 282, 768},	//1367 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 616, 2515, 1, Smoke::mf_static, 543, 769},	//1368 QGlobalSpace::qMalloc(size_t)
    {37, 436, 2517, 2, Smoke::mf_static, 40, 770},	//1369 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {37, 446, 1843, 2, Smoke::mf_static, 405, 771},	//1370 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {37, 426, 1225, 2, Smoke::mf_static, 288, 772},	//1371 QGlobalSpace::operator-(const QTransform&, double)
    {37, 465, 2520, 2, Smoke::mf_static, 92, 773},	//1372 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {37, 436, 2523, 2, Smoke::mf_static, 36, 774},	//1373 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {37, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 775},	//1374 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {37, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 776},	//1375 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {37, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 777},	//1376 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {37, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 778},	//1377 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {37, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 779},	//1378 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {37, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 780},	//1379 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {37, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 781},	//1380 QGlobalSpace::SP_CustomToolBarBack (enum)
    {37, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 782},	//1381 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {37, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 783},	//1382 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {37, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 784},	//1383 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {37, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 785},	//1384 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {37, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 786},	//1385 QGlobalSpace::SP_CustomToolBarDone (enum)
    {37, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 787},	//1386 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {37, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 788},	//1387 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {37, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 789},	//1388 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {37, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 790},	//1389 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {37, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 791},	//1390 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {37, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 792},	//1391 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {37, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 793},	//1392 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {37, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 794},	//1393 QGlobalSpace::SP_CustomToolBarGo (enum)
    {37, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 795},	//1394 QGlobalSpace::SP_CustomToolBarHome (enum)
    {37, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 796},	//1395 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {37, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 797},	//1396 QGlobalSpace::SP_CustomToolBarList (enum)
    {37, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 798},	//1397 QGlobalSpace::SP_CustomToolBarLock (enum)
    {37, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 799},	//1398 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {37, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 800},	//1399 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {37, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 801},	//1400 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {37, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 802},	//1401 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {37, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 803},	//1402 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {37, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 804},	//1403 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {37, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 805},	//1404 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {37, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 806},	//1405 QGlobalSpace::SP_CustomToolBarOther (enum)
    {37, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 807},	//1406 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {37, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 808},	//1407 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {37, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 809},	//1408 QGlobalSpace::SP_CustomToolBarRead (enum)
    {37, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 810},	//1409 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {37, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 811},	//1410 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {37, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 812},	//1411 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {37, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 813},	//1412 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {37, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 814},	//1413 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {37, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 815},	//1414 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {37, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 816},	//1415 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {37, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 817},	//1416 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {37, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 818},	//1417 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {37, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 819},	//1418 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {37, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 820},	//1419 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {37, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 821},	//1420 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {37, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 822},	//1421 QGlobalSpace::SP_CustomToolBarSend (enum)
    {37, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 823},	//1422 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {37, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 824},	//1423 QGlobalSpace::SP_CustomToolBarShare (enum)
    {37, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 825},	//1424 QGlobalSpace::SP_CustomToolBarShift (enum)
    {37, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 826},	//1425 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {37, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 827},	//1426 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {37, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 828},	//1427 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {37, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 829},	//1428 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {37, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 830},	//1429 QGlobalSpace::SP_CustomToolBarSync (enum)
    {37, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 831},	//1430 QGlobalSpace::SP_CustomToolBarTools (enum)
    {37, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 832},	//1431 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {37, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 833},	//1432 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {37, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 834},	//1433 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {37, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 835},	//1434 QGlobalSpace::SP_CustomToolBarView (enum)
    {37, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 836},	//1435 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {37, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 837},	//1436 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {37, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 838},	//1437 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {37, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 839},	//1438 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {37, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 840},	//1439 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {37, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 841},	//1440 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {37, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 842},	//1441 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {37, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 843},	//1442 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {37, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 844},	//1443 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {37, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 845},	//1444 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {37, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 846},	//1445 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {37, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 847},	//1446 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {37, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 848},	//1447 QGlobalSpace::SP_CustomTabAll (enum)
    {37, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 849},	//1448 QGlobalSpace::SP_CustomTabArtist (enum)
    {37, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 850},	//1449 QGlobalSpace::SP_CustomTabFavourite (enum)
    {37, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 851},	//1450 QGlobalSpace::SP_CustomTabGenre (enum)
    {37, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 852},	//1451 QGlobalSpace::SP_CustomTabLanguage (enum)
    {37, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 853},	//1452 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {37, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 854},	//1453 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {37, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 855},	//1454 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {37, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 856},	//1455 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {37, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 857},	//1456 QGlobalSpace::SP_CustomTabServices (enum)
    {37, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 858},	//1457 QGlobalSpace::SP_CustomTabSongs (enum)
    {37, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 529, 859},	//1458 QGlobalSpace::SP_CustomTabVideos (enum)
    {37, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 393, 860},	//1459 QGlobalSpace::LicensedOpenGL (enum)
    {37, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 861},	//1460 QGlobalSpace::LicensedSvg (enum)
    {37, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 862},	//1461 QGlobalSpace::LicensedOpenVG (enum)
    {37, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 863},	//1462 QGlobalSpace::LicensedScript (enum)
    {37, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 864},	//1463 QGlobalSpace::LicensedQt3SupportLight (enum)
    {37, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 865},	//1464 QGlobalSpace::QtDebugMsg (enum)
    {37, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 866},	//1465 QGlobalSpace::QtWarningMsg (enum)
    {37, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 867},	//1466 QGlobalSpace::QtCriticalMsg (enum)
    {37, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 868},	//1467 QGlobalSpace::QtFatalMsg (enum)
    {37, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 869},	//1468 QGlobalSpace::QtSystemMsg (enum)
    {37, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 870},	//1469 QGlobalSpace::LicensedGui (enum)
    {37, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 403, 871},	//1470 QGlobalSpace::LicensedXmlPatterns (enum)
    {37, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 399, 872},	//1471 QGlobalSpace::LicensedSql (enum)
    {37, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 873},	//1472 QGlobalSpace::LicensedActiveQt (enum)
    {37, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 396, 874},	//1473 QGlobalSpace::LicensedQt3Support (enum)
    {37, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 875},	//1474 QGlobalSpace::LicensedDBus (enum)
    {37, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 876},	//1475 QGlobalSpace::LicensedCore (enum)
    {37, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 877},	//1476 QGlobalSpace::LicensedNetwork (enum)
    {37, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 391, 878},	//1477 QGlobalSpace::LicensedMultimedia (enum)
    {37, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 879},	//1478 QGlobalSpace::LicensedTest (enum)
    {37, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 880},	//1479 QGlobalSpace::LicensedScriptTools (enum)
    {37, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 881},	//1480 QGlobalSpace::LicensedHelp (enum)
    {37, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 402, 882},	//1481 QGlobalSpace::LicensedXml (enum)
    {37, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 883},	//1482 QGlobalSpace::LicensedDeclarative (enum)
    {61, 331, 658, 1, Smoke::mf_virtual, 405, 0},	//1483 QObject::event(QEvent*)
    {61, 333, 2526, 2, Smoke::mf_virtual, 405, 0},	//1484 QObject::eventFilter(QObject*, QEvent*)
    {61, 904, 2529, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1485 QObject::timerEvent(QTimerEvent*)
    {61, 276, 2531, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1486 QObject::childEvent(QChildEvent*)
    {61, 298, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1487 QObject::customEvent(QEvent*)
    {61, 289, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1488 QObject::connectNotify(const char*)
    {61, 313, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1489 QObject::disconnectNotify(const char*)
    {112, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 528, 0},	//1490 QWidget::devType() const
    {112, 881, 86, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1491 QWidget::setVisible(bool)
    {112, 889, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 247, 0},	//1492 QWidget::sizeHint() const
    {112, 401, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 247, 0},	//1493 QWidget::minimumSizeHint() const
    {112, 371, 20, 1, Smoke::mf_const|Smoke::mf_virtual, 528, 0},	//1494 QWidget::heightForWidth(int) const
    {112, 406, 2533, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1495 QWidget::mousePressEvent(QMouseEvent*)
    {112, 407, 2533, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1496 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 404, 2533, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1497 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 405, 2533, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1498 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 927, 2535, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1499 QWidget::wheelEvent(QWheelEvent*)
    {112, 386, 2537, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1500 QWidget::keyPressEvent(QKeyEvent*)
    {112, 387, 2537, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1501 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 338, 2539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1502 QWidget::focusInEvent(QFocusEvent*)
    {112, 340, 2539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1503 QWidget::focusOutEvent(QFocusEvent*)
    {112, 326, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1504 QWidget::enterEvent(QEvent*)
    {112, 389, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1505 QWidget::leaveEvent(QEvent*)
    {112, 408, 2541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1506 QWidget::moveEvent(QMoveEvent*)
    {112, 280, 2543, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1507 QWidget::closeEvent(QCloseEvent*)
    {112, 291, 2545, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1508 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 898, 2547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1509 QWidget::tabletEvent(QTabletEvent*)
    {112, 236, 2549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1510 QWidget::actionEvent(QActionEvent*)
    {112, 316, 2551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1511 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 318, 2553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1512 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 317, 2555, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1513 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 322, 2557, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1514 QWidget::dropEvent(QDropEvent*)
    {112, 887, 2559, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1515 QWidget::showEvent(QShowEvent*)
    {112, 372, 2561, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1516 QWidget::hideEvent(QHideEvent*)
    {112, 932, 2563, 1, Smoke::mf_protected|Smoke::mf_virtual, 405, 0},	//1517 QWidget::x11Event(_XEvent*)
    {112, 275, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1518 QWidget::changeEvent(QEvent*)
    {112, 399, 155, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 528, 0},	//1519 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 376, 2565, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1520 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 377, 2567, 1, Smoke::mf_const|Smoke::mf_virtual, 295, 0},	//1521 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 339, 86, 1, Smoke::mf_protected|Smoke::mf_virtual, 405, 0},	//1522 QWidget::focusNextPrevChild(bool)
    {112, 895, 2569, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1523 QWidget::styleChange(QStyle&)
    {112, 325, 86, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1524 QWidget::enabledChange(bool)
    {112, 475, 2571, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1525 QWidget::paletteChange(const QPalette&)
    {112, 341, 706, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1526 QWidget::fontChange(const QFont&)
    {112, 928, 86, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1527 QWidget::windowActivationChange(bool)
    {112, 388, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1528 QWidget::languageChange()
    {112, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 40},	//1529 QWidget::DrawWindowBackground (enum)
    {112, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 41},	//1530 QWidget::DrawChildren (enum)
    {112, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 42},	//1531 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    251,  // QGLFramebufferObject::drawTexture(const QRectF&, GLuint)
    252,  // QGLFramebufferObject::drawTexture(const QPointF&, GLuint)
    0,
    239,  // QGLFramebufferObject::drawTexture(const QRectF&, GLuint, GLenum)
    240,  // QGLFramebufferObject::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    119,  // QGLContext::bindTexture(const QImage&)
    121,  // QGLContext::bindTexture(const QPixmap&)
    0,
    120,  // QGLContext::bindTexture(const QImage&, GLenum)
    122,  // QGLContext::bindTexture(const QPixmap&, GLenum)
    0,
    94,  // QGLContext::bindTexture(const QImage&, GLenum, GLint)
    95,  // QGLContext::bindTexture(const QPixmap&, GLenum, GLint)
    0,
    92,  // QGLContext::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    93,  // QGLContext::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    0,
    123,  // QGLContext::drawTexture(const QRectF&, GLuint)
    124,  // QGLContext::drawTexture(const QPointF&, GLuint)
    0,
    98,  // QGLContext::drawTexture(const QRectF&, GLuint, GLenum)
    99,  // QGLContext::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    343,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    497,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    348,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    350,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    369,  // QGLShaderProgram::attributeLocation(const char*) const
    371,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    366,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    368,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    404,  // QGLShaderProgram::disableAttributeArray(int)
    405,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    402,  // QGLShaderProgram::enableAttributeArray(int)
    403,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    499,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    500,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    501,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    504,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    505,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    506,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    391,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    392,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    393,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    396,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    397,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    398,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    498,  // QGLShaderProgram::setAttributeArray(int, const GLfloat*, int)
    503,  // QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int)
    0,
    390,  // QGLShaderProgram::setAttributeArray(int, const GLfloat*, int, int)
    395,  // QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int, int)
    502,  // QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int)
    507,  // QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int)
    0,
    394,  // QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int, int)
    399,  // QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int, int)
    0,
    508,  // QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int)
    509,  // QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int)
    0,
    400,  // QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int, int)
    401,  // QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int, int)
    0,
    376,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    377,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    378,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    379,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    385,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    386,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    387,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    388,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    372,  // QGLShaderProgram::setAttributeValue(int, GLfloat)
    381,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat)
    0,
    380,  // QGLShaderProgram::setAttributeValue(int, const GLfloat*, int, int)
    389,  // QGLShaderProgram::setAttributeValue(const char*, const GLfloat*, int, int)
    0,
    373,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat)
    382,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat)
    0,
    374,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat)
    383,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat)
    0,
    375,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    384,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    0,
    415,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    416,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    417,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    418,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    419,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    420,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    421,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    422,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    431,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    435,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    442,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    443,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    444,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    445,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    446,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    447,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    448,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    449,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    458,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    462,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    409,  // QGLShaderProgram::setUniformValue(int, GLfloat)
    410,  // QGLShaderProgram::setUniformValue(int, GLint)
    411,  // QGLShaderProgram::setUniformValue(int, GLuint)
    423,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    424,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    425,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    426,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    427,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    428,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    429,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    430,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    432,  // QGLShaderProgram::setUniformValue(int, const GLfloat[2][2])
    433,  // QGLShaderProgram::setUniformValue(int, const GLfloat[3][3])
    434,  // QGLShaderProgram::setUniformValue(int, const GLfloat[4][4])
    436,  // QGLShaderProgram::setUniformValue(const char*, GLfloat)
    437,  // QGLShaderProgram::setUniformValue(const char*, GLint)
    438,  // QGLShaderProgram::setUniformValue(const char*, GLuint)
    450,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    451,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    452,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    453,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    454,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    455,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    456,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    457,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    459,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[2][2])
    460,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[3][3])
    461,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[4][4])
    0,
    412,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat)
    439,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat)
    0,
    413,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat)
    440,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat)
    0,
    414,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    441,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    0,
    466,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    467,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    468,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    477,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    481,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    482,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    483,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    492,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    464,  // QGLShaderProgram::setUniformValueArray(int, const GLint*, int)
    465,  // QGLShaderProgram::setUniformValueArray(int, const GLuint*, int)
    469,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    470,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    471,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    472,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    473,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    474,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    475,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    476,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    479,  // QGLShaderProgram::setUniformValueArray(const char*, const GLint*, int)
    480,  // QGLShaderProgram::setUniformValueArray(const char*, const GLuint*, int)
    484,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    485,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    486,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    487,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    488,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    489,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    490,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    491,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    463,  // QGLShaderProgram::setUniformValueArray(int, const GLfloat*, int, int)
    478,  // QGLShaderProgram::setUniformValueArray(const char*, const GLfloat*, int, int)
    0,
    406,  // QGLShaderProgram::uniformLocation(const char*) const
    408,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    302,  // QGLPixelBuffer::bindTexture(const QImage&)
    303,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    284,  // QGLPixelBuffer::bindTexture(const QImage&, GLenum)
    285,  // QGLPixelBuffer::bindTexture(const QPixmap&, GLenum)
    0,
    304,  // QGLPixelBuffer::drawTexture(const QRectF&, GLuint)
    305,  // QGLPixelBuffer::drawTexture(const QPointF&, GLuint)
    0,
    288,  // QGLPixelBuffer::drawTexture(const QRectF&, GLuint, GLenum)
    289,  // QGLPixelBuffer::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    612,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    624,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    661,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    752,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    795,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    845,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    913,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    931,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    935,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    996,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1049,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    1067,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    1068,  // QGlobalSpace::operator!=(QChar, QChar)
    1088,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    1176,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    1240,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    1245,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1327,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    1361,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    1366,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    963,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1013,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1047,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    1161,  // QGlobalSpace::operator!=(QBool, bool)
    1219,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    967,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    1014,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    1155,  // QGlobalSpace::operator!=(bool, QBool)
    1229,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    1279,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    0,
    637,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    639,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    689,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    690,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    699,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    742,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    747,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    749,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    805,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    816,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    843,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    860,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    890,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    904,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    917,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    927,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    973,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    1037,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1048,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1101,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    1160,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1193,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1218,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1221,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    1238,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1260,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    1283,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1313,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1349,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    607,  // QGlobalSpace::operator*(const QPoint&, double)
    645,  // QGlobalSpace::operator*(const QSizeF&, double)
    662,  // QGlobalSpace::operator*(const QQuaternion&, double)
    791,  // QGlobalSpace::operator*(const QVector2D&, double)
    796,  // QGlobalSpace::operator*(const QVector4D&, double)
    825,  // QGlobalSpace::operator*(const QPointF&, double)
    857,  // QGlobalSpace::operator*(const QVector3D&, double)
    952,  // QGlobalSpace::operator*(const QTransform&, double)
    1001,  // QGlobalSpace::operator*(const QPoint&, float)
    1011,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    1192,  // QGlobalSpace::operator*(const QSize&, double)
    1330,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    610,  // QGlobalSpace::operator*(double, const QPointF&)
    614,  // QGlobalSpace::operator*(double, const QSizeF&)
    1040,  // QGlobalSpace::operator*(double, const QVector2D&)
    1054,  // QGlobalSpace::operator*(double, const QVector3D&)
    1070,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1089,  // QGlobalSpace::operator*(double, const QSize&)
    1108,  // QGlobalSpace::operator*(double, const QPoint&)
    1119,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1233,  // QGlobalSpace::operator*(int, const QPoint&)
    1299,  // QGlobalSpace::operator*(double, const QVector4D&)
    1353,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    625,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    708,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    745,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    771,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    814,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    837,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    1209,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    1212,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    1281,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1348,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    678,  // QGlobalSpace::operator+(QChar, const QString&)
    1120,  // QGlobalSpace::operator+(const QByteArray&, char)
    1174,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    1272,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    768,  // QGlobalSpace::operator+(char, const QByteArray&)
    1027,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    1359,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    656,  // QGlobalSpace::operator-(const QQuaternion&)
    685,  // QGlobalSpace::operator-(const QVector2D&)
    883,  // QGlobalSpace::operator-(const QPointF&)
    990,  // QGlobalSpace::operator-(const QVector4D&)
    1038,  // QGlobalSpace::operator-(const QMatrix4x4&)
    1242,  // QGlobalSpace::operator-(const QPoint&)
    1290,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    632,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    636,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    653,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    854,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1164,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    1266,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    1316,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    1318,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    1332,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    769,  // QGlobalSpace::operator/(const QPoint&, double)
    787,  // QGlobalSpace::operator/(const QTransform&, double)
    804,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    856,  // QGlobalSpace::operator/(const QSizeF&, double)
    972,  // QGlobalSpace::operator/(const QVector4D&, double)
    977,  // QGlobalSpace::operator/(const QQuaternion&, double)
    1000,  // QGlobalSpace::operator/(const QVector2D&, double)
    1065,  // QGlobalSpace::operator/(const QVector3D&, double)
    1125,  // QGlobalSpace::operator/(const QPointF&, double)
    1300,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    800,  // QGlobalSpace::operator<(QChar, QChar)
    868,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    954,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    609,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    613,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    617,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    619,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    622,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    627,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    630,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    646,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    671,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    672,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    673,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    687,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    688,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    692,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    693,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    707,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    714,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    732,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    738,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    741,  // QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    755,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    756,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    758,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    760,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    764,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    783,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    788,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    799,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    806,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    840,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    866,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    886,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    889,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    892,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    905,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    909,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    915,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    934,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    951,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    955,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    964,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    980,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    984,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    988,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    991,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    1046,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    1051,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    1052,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1056,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1063,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    1064,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    1078,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    1085,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    1095,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1102,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    1111,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    1112,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1115,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    1117,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    1118,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    1122,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    1131,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1138,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    1145,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1153,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1158,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1175,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1178,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    1180,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1188,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1195,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    1199,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    1204,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    1210,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1214,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1216,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    1222,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1224,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    1237,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    1267,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1270,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    1273,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    1293,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1295,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    1323,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    1333,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    1336,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    1346,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1347,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    1352,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    1367,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1369,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1373,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    659,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    757,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    773,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    815,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    960,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1015,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    1152,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    1234,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    1264,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1296,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    1031,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1129,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1213,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    606,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    643,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    655,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    663,  // QGlobalSpace::operator==(QBool, QBool)
    670,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    751,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    786,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    802,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    831,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    902,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    944,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    997,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    1023,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1044,  // QGlobalSpace::operator==(QChar, QChar)
    1062,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    1081,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    1087,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1154,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    1253,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1351,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    1370,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    939,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    1090,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    1194,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1200,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1278,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1350,  // QGlobalSpace::operator==(QBool, bool)
    0,
    774,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    865,  // QGlobalSpace::operator==(const QString&, QString::Null)
    1017,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    1026,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    1182,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    1305,  // QGlobalSpace::operator==(bool, QBool)
    0,
    861,  // QGlobalSpace::operator>(QChar, QChar)
    971,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    1020,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    654,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    895,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    1127,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    618,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    674,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    725,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    730,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    753,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    763,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    770,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    776,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    781,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    782,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    784,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    818,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    823,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    853,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    859,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    872,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    910,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    950,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    965,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    975,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    979,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    987,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    989,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    994,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    1003,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    1019,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    1028,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    1032,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    1059,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    1082,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1084,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    1100,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    1140,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1149,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1166,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1198,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1202,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    1205,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1206,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    1243,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1268,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    1271,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1280,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1284,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1297,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    1301,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    1302,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1304,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    1320,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    1326,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1356,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    1043,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    1251,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    603,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    605,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    611,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    615,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    616,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    620,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    621,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    628,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    629,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    633,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    635,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    638,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    642,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    644,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    647,  // QGlobalSpace::operator|(QDir::Filter, int)
    652,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    657,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    658,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    664,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    665,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    666,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    667,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    669,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    676,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    677,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    680,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    686,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    691,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    695,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    698,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    705,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    709,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    713,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    715,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    716,  // QGlobalSpace::operator|(Qt::DropAction, int)
    724,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    728,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    729,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    731,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    733,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    734,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    736,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    737,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    739,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    740,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    744,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    748,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    750,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    754,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    759,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    761,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    762,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    765,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    766,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    767,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    772,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    775,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    780,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    785,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    789,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    790,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    792,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    793,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    794,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    797,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    798,  // QGlobalSpace::operator|(QFile::Permission, int)
    807,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    810,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    811,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    812,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    813,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    819,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    820,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    821,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    822,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    824,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    827,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    828,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    838,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    842,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    844,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    849,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    850,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    851,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    852,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    855,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    858,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    864,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    869,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    871,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    880,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    881,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    882,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    885,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    888,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    891,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    893,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    896,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    898,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    908,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    914,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    916,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    918,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    923,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    924,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    926,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    928,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    929,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    932,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    936,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    937,  // QGlobalSpace::operator|(Qt::WindowType, int)
    938,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    948,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    949,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    953,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    956,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    957,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    959,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    961,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    962,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    966,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    968,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    970,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    974,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    976,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    978,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    981,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    983,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    986,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    993,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    1002,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    1005,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    1006,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    1008,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    1010,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    1016,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    1018,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    1022,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    1024,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    1029,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    1030,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    1033,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    1034,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1036,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1039,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    1041,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    1042,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    1045,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    1053,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    1057,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    1060,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    1061,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    1066,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    1069,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1072,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1076,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1077,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1079,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    1080,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1083,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    1086,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1091,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    1093,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1094,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    1097,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    1099,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    1104,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1110,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    1116,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1121,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1123,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    1124,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    1128,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1136,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1137,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    1141,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1143,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    1144,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1147,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    1151,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    1159,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    1162,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1163,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    1179,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1181,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1183,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1184,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    1185,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    1186,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    1187,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    1189,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    1190,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    1196,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1197,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    1203,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    1208,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    1215,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1223,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1225,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    1227,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1228,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1232,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1236,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1239,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    1246,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1248,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    1249,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    1252,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1254,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1259,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    1269,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    1274,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1276,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1282,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1285,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    1286,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1287,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    1289,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    1291,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1292,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    1298,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1303,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1309,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    1310,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    1311,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    1312,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1314,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1315,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    1317,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    1319,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1325,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    1328,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    1331,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    1335,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    1338,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1339,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    1341,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    1342,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1343,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1345,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    1357,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1358,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    1363,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    1364,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    1365,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    1372,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    641,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    648,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    803,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    1074,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    1103,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1134,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    1168,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    778,  // QGlobalSpace::qFuzzyCompare(double, double)
    1139,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    903,  // QGlobalSpace::qFuzzyIsNull(double)
    1337,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    602,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    668,  // QGlobalSpace::qHash(const QStringRef&)
    694,  // QGlobalSpace::qHash(const QBitArray&)
    809,  // QGlobalSpace::qHash(const QByteArray&)
    897,  // QGlobalSpace::qHash(QChar)
    992,  // QGlobalSpace::qHash(const QUrl&)
    1092,  // QGlobalSpace::qHash(const QModelIndex&)
    1275,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    634,  // QGlobalSpace::qHash(unsigned char)
    701,  // QGlobalSpace::qHash(const QString&)
    702,  // QGlobalSpace::qHash(unsigned short)
    704,  // QGlobalSpace::qHash(long)
    706,  // QGlobalSpace::qHash(long long)
    887,  // QGlobalSpace::qHash(unsigned long long)
    1050,  // QGlobalSpace::qHash(signed char)
    1113,  // QGlobalSpace::qHash(short)
    1156,  // QGlobalSpace::qHash(unsigned long)
    1217,  // QGlobalSpace::qHash(unsigned int)
    1265,  // QGlobalSpace::qHash(int)
    1322,  // QGlobalSpace::qHash(char)
    0,
    867,  // QGlobalSpace::qIntCast(float)
    945,  // QGlobalSpace::qIntCast(double)
    0,
    995,  // QGlobalSpace::qIsFinite(float)
    1329,  // QGlobalSpace::qIsFinite(double)
    0,
    608,  // QGlobalSpace::qIsInf(double)
    727,  // QGlobalSpace::qIsInf(float)
    0,
    777,  // QGlobalSpace::qIsNaN(float)
    1109,  // QGlobalSpace::qIsNaN(double)
    0,
    779,  // QGlobalSpace::qIsNull(float)
    940,  // QGlobalSpace::qIsNull(double)
    0,
    573,  // QGLWidget::QGLWidget(QWidget*)
    575,  // QGLWidget::QGLWidget(QGLContext*)
    578,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    574,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    576,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    579,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    577,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    580,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    521,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    522,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    591,  // QGLWidget::bindTexture(const QImage&)
    593,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    592,  // QGLWidget::bindTexture(const QImage&, GLenum)
    594,  // QGLWidget::bindTexture(const QPixmap&, GLenum)
    0,
    548,  // QGLWidget::bindTexture(const QImage&, GLenum, GLint)
    549,  // QGLWidget::bindTexture(const QPixmap&, GLenum, GLint)
    0,
    546,  // QGLWidget::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    547,  // QGLWidget::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    0,
    595,  // QGLWidget::drawTexture(const QRectF&, GLuint)
    596,  // QGLWidget::drawTexture(const QPointF&, GLuint)
    0,
    552,  // QGLWidget::drawTexture(const QRectF&, GLuint, GLenum)
    553,  // QGLWidget::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    314,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    329,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    317,  // QGLShader::compileSourceCode(const char*)
    319,  // QGLShader::compileSourceCode(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 1, 6},	// QGL::AccumBuffer
    {26, 2, 5},	// QGL::AlphaChannel
    {26, 4, 15},	// QGL::ColorIndex
    {26, 9, 12},	// QGL::DeprecatedFunctions
    {26, 11, 3},	// QGL::DepthBuffer
    {26, 12, 9},	// QGL::DirectRendering
    {26, 13, 2},	// QGL::DoubleBuffer
    {26, 21, 10},	// QGL::HasOverlay
    {26, 24, 20},	// QGL::IndirectRendering
    {26, 49, 17},	// QGL::NoAccumBuffer
    {26, 50, 16},	// QGL::NoAlphaChannel
    {26, 53, 23},	// QGL::NoDeprecatedFunctions
    {26, 54, 14},	// QGL::NoDepthBuffer
    {26, 55, 21},	// QGL::NoOverlay
    {26, 57, 22},	// QGL::NoSampleBuffers
    {26, 58, 18},	// QGL::NoStencilBuffer
    {26, 59, 19},	// QGL::NoStereoBuffers
    {26, 135, 4},	// QGL::Rgba
    {26, 221, 11},	// QGL::SampleBuffers
    {26, 222, 13},	// QGL::SingleBuffer
    {26, 226, 7},	// QGL::StencilBuffer
    {26, 227, 8},	// QGL::StereoBuffers
    {26, 842, 1},	// QGL::setPreferredPaintEngine$
    {27, 16, 57},	// QGLBuffer::DynamicCopy
    {27, 17, 55},	// QGLBuffer::DynamicDraw
    {27, 18, 56},	// QGLBuffer::DynamicRead
    {27, 23, 46},	// QGLBuffer::IndexBuffer
    {27, 78, 47},	// QGLBuffer::PixelPackBuffer
    {27, 79, 48},	// QGLBuffer::PixelUnpackBuffer
    {27, 81, 24},	// QGLBuffer::QGLBuffer
    {27, 82, 26},	// QGLBuffer::QGLBuffer#
    {27, 83, 25},	// QGLBuffer::QGLBuffer$
    {27, 133, 58},	// QGLBuffer::ReadOnly
    {27, 134, 60},	// QGLBuffer::ReadWrite
    {27, 223, 54},	// QGLBuffer::StaticCopy
    {27, 224, 52},	// QGLBuffer::StaticDraw
    {27, 225, 53},	// QGLBuffer::StaticRead
    {27, 228, 51},	// QGLBuffer::StreamCopy
    {27, 229, 49},	// QGLBuffer::StreamDraw
    {27, 230, 50},	// QGLBuffer::StreamRead
    {27, 232, 45},	// QGLBuffer::VertexBuffer
    {27, 233, 59},	// QGLBuffer::WriteOnly
    {27, 245, 42},	// QGLBuffer::allocate$
    {27, 246, 41},	// QGLBuffer::allocate$$
    {27, 256, 34},	// QGLBuffer::bind
    {27, 274, 37},	// QGLBuffer::bufferId
    {27, 294, 31},	// QGLBuffer::create
    {27, 305, 33},	// QGLBuffer::destroy
    {27, 381, 32},	// QGLBuffer::isCreated
    {27, 396, 43},	// QGLBuffer::map$
    {27, 445, 27},	// QGLBuffer::operator=#
    {27, 727, 39},	// QGLBuffer::read$$$
    {27, 729, 35},	// QGLBuffer::release
    {27, 730, 36},	// QGLBuffer::release$
    {27, 876, 30},	// QGLBuffer::setUsagePattern$
    {27, 888, 38},	// QGLBuffer::size
    {27, 917, 28},	// QGLBuffer::type
    {27, 921, 44},	// QGLBuffer::unmap
    {27, 926, 29},	// QGLBuffer::usagePattern
    {27, 931, 40},	// QGLBuffer::write$$$
    {27, 933, 61},	// QGLBuffer::~QGLBuffer
    {28, 84, 62},	// QGLColormap::QGLColormap
    {28, 85, 63},	// QGLColormap::QGLColormap#
    {28, 306, 67},	// QGLColormap::detach
    {28, 328, 72},	// QGLColormap::entryColor$
    {28, 330, 71},	// QGLColormap::entryRgb$
    {28, 335, 73},	// QGLColormap::find$
    {28, 337, 74},	// QGLColormap::findNearest$
    {28, 359, 75},	// QGLColormap::handle
    {28, 382, 65},	// QGLColormap::isEmpty
    {28, 445, 64},	// QGLColormap::operator=#
    {28, 810, 77},	// QGLColormap::setEntries$$
    {28, 811, 68},	// QGLColormap::setEntries$$$
    {28, 813, 70},	// QGLColormap::setEntry$#
    {28, 814, 69},	// QGLColormap::setEntry$$
    {28, 826, 76},	// QGLColormap::setHandle$
    {28, 888, 66},	// QGLColormap::size
    {28, 934, 78},	// QGLColormap::~QGLColormap
    {29, 3, 135},	// QGLContext::CanFlipNativePixmapBindOption
    {29, 8, 136},	// QGLContext::DefaultBindOption
    {29, 25, 137},	// QGLContext::InternalBindOption
    {29, 26, 130},	// QGLContext::InvertedYBindOption
    {29, 46, 133},	// QGLContext::LinearFilteringBindOption
    {29, 47, 134},	// QGLContext::MemoryManagedBindOption
    {29, 48, 131},	// QGLContext::MipmapBindOption
    {29, 52, 129},	// QGLContext::NoBindOption
    {29, 80, 132},	// QGLContext::PremultipliedAlphaBindOption
    {29, 87, 80},	// QGLContext::QGLContext#
    {29, 88, 79},	// QGLContext::QGLContext##
    {29, 250, 85},	// QGLContext::areSharing##
    {29, 262, -7},	// QGLContext::bindTexture#
    {29, 263, -10},	// QGLContext::bindTexture#?
    {29, 264, -13},	// QGLContext::bindTexture#??
    {29, 265, -16},	// QGLContext::bindTexture#??$
    {29, 266, 96},	// QGLContext::bindTexture$
    {29, 277, 125},	// QGLContext::chooseContext
    {29, 278, 106},	// QGLContext::chooseContext#
    {29, 279, 108},	// QGLContext::chooseVisual
    {29, 282, 115},	// QGLContext::colorIndex#
    {29, 294, 118},	// QGLContext::create
    {29, 295, 81},	// QGLContext::create#
    {29, 296, 105},	// QGLContext::currentContext
    {29, 297, 127},	// QGLContext::currentCtx
    {29, 302, 97},	// QGLContext::deleteTexture?
    {29, 308, 103},	// QGLContext::device
    {29, 309, 109},	// QGLContext::deviceIsPixmap
    {29, 314, 90},	// QGLContext::doneCurrent
    {29, 320, -19},	// QGLContext::drawTexture#?
    {29, 321, -22},	// QGLContext::drawTexture#??
    {29, 345, 86},	// QGLContext::format
    {29, 348, 114},	// QGLContext::generateFontDisplayLists#$
    {29, 353, 102},	// QGLContext::getProcAddress$
    {29, 375, 112},	// QGLContext::initialized
    {29, 384, 83},	// QGLContext::isSharing
    {29, 385, 82},	// QGLContext::isValid
    {29, 393, 89},	// QGLContext::makeCurrent
    {29, 469, 104},	// QGLContext::overlayTransparentColor
    {29, 746, 87},	// QGLContext::requestedFormat
    {29, 747, 84},	// QGLContext::reset
    {29, 794, 128},	// QGLContext::setCurrentCtx#
    {29, 804, 117},	// QGLContext::setDevice#
    {29, 816, 88},	// QGLContext::setFormat#
    {29, 828, 113},	// QGLContext::setInitialized$
    {29, 862, 100},	// QGLContext::setTextureCacheLimit$
    {29, 878, 116},	// QGLContext::setValid$
    {29, 883, 111},	// QGLContext::setWindowCreated$
    {29, 896, 91},	// QGLContext::swapBuffers
    {29, 902, 101},	// QGLContext::textureCacheLimit
    {29, 915, 126},	// QGLContext::tryVisual#
    {29, 916, 107},	// QGLContext::tryVisual#$
    {29, 929, 110},	// QGLContext::windowCreated
    {29, 935, 138},	// QGLContext::~QGLContext
    {30, 6, 200},	// QGLFormat::CompatibilityProfile
    {30, 7, 199},	// QGLFormat::CoreProfile
    {30, 56, 198},	// QGLFormat::NoProfile
    {30, 60, 210},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {30, 61, 212},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {30, 62, 209},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {30, 63, 211},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {30, 64, 213},	// QGLFormat::OpenGL_ES_Version_2_0
    {30, 65, 202},	// QGLFormat::OpenGL_Version_1_1
    {30, 66, 203},	// QGLFormat::OpenGL_Version_1_2
    {30, 67, 204},	// QGLFormat::OpenGL_Version_1_3
    {30, 68, 205},	// QGLFormat::OpenGL_Version_1_4
    {30, 69, 206},	// QGLFormat::OpenGL_Version_1_5
    {30, 70, 207},	// QGLFormat::OpenGL_Version_2_0
    {30, 71, 208},	// QGLFormat::OpenGL_Version_2_1
    {30, 72, 214},	// QGLFormat::OpenGL_Version_3_0
    {30, 73, 215},	// QGLFormat::OpenGL_Version_3_1
    {30, 74, 216},	// QGLFormat::OpenGL_Version_3_2
    {30, 75, 217},	// QGLFormat::OpenGL_Version_3_3
    {30, 76, 218},	// QGLFormat::OpenGL_Version_4_0
    {30, 77, 201},	// QGLFormat::OpenGL_Version_None
    {30, 89, 139},	// QGLFormat::QGLFormat
    {30, 90, 141},	// QGLFormat::QGLFormat#
    {30, 91, 197},	// QGLFormat::QGLFormat$
    {30, 92, 140},	// QGLFormat::QGLFormat$$
    {30, 234, 171},	// QGLFormat::accum
    {30, 235, 146},	// QGLFormat::accumBufferSize
    {30, 247, 169},	// QGLFormat::alpha
    {30, 248, 154},	// QGLFormat::alphaBufferSize
    {30, 273, 152},	// QGLFormat::blueBufferSize
    {30, 299, 185},	// QGLFormat::defaultFormat
    {30, 300, 187},	// QGLFormat::defaultOverlayFormat
    {30, 303, 165},	// QGLFormat::depth
    {30, 304, 144},	// QGLFormat::depthBufferSize
    {30, 310, 177},	// QGLFormat::directRendering
    {30, 315, 163},	// QGLFormat::doubleBuffer
    {30, 358, 150},	// QGLFormat::greenBufferSize
    {30, 360, 189},	// QGLFormat::hasOpenGL
    {30, 363, 190},	// QGLFormat::hasOpenGLOverlays
    {30, 370, 179},	// QGLFormat::hasOverlay
    {30, 392, 192},	// QGLFormat::majorVersion
    {30, 402, 193},	// QGLFormat::minorVersion
    {30, 409, 196},	// QGLFormat::openGLVersionFlags
    {30, 445, 142},	// QGLFormat::operator=#
    {30, 476, 181},	// QGLFormat::plane
    {30, 477, 195},	// QGLFormat::profile
    {30, 728, 148},	// QGLFormat::redBufferSize
    {30, 754, 167},	// QGLFormat::rgba
    {30, 755, 158},	// QGLFormat::sampleBuffers
    {30, 756, 160},	// QGLFormat::samples
    {30, 758, 172},	// QGLFormat::setAccum$
    {30, 760, 145},	// QGLFormat::setAccumBufferSize$
    {30, 762, 170},	// QGLFormat::setAlpha$
    {30, 764, 153},	// QGLFormat::setAlphaBufferSize$
    {30, 786, 151},	// QGLFormat::setBlueBufferSize$
    {30, 796, 186},	// QGLFormat::setDefaultFormat#
    {30, 798, 188},	// QGLFormat::setDefaultOverlayFormat#
    {30, 800, 166},	// QGLFormat::setDepth$
    {30, 802, 143},	// QGLFormat::setDepthBufferSize$
    {30, 806, 178},	// QGLFormat::setDirectRendering$
    {30, 808, 164},	// QGLFormat::setDoubleBuffer$
    {30, 824, 149},	// QGLFormat::setGreenBufferSize$
    {30, 836, 183},	// QGLFormat::setOption$
    {30, 838, 180},	// QGLFormat::setOverlay$
    {30, 840, 182},	// QGLFormat::setPlane$
    {30, 844, 194},	// QGLFormat::setProfile$
    {30, 846, 147},	// QGLFormat::setRedBufferSize$
    {30, 848, 168},	// QGLFormat::setRgba$
    {30, 850, 157},	// QGLFormat::setSampleBuffers$
    {30, 852, 159},	// QGLFormat::setSamples$
    {30, 854, 174},	// QGLFormat::setStencil$
    {30, 856, 155},	// QGLFormat::setStencilBufferSize$
    {30, 858, 176},	// QGLFormat::setStereo$
    {30, 860, 161},	// QGLFormat::setSwapInterval$
    {30, 880, 191},	// QGLFormat::setVersion$$
    {30, 892, 173},	// QGLFormat::stencil
    {30, 893, 156},	// QGLFormat::stencilBufferSize
    {30, 894, 175},	// QGLFormat::stereo
    {30, 897, 162},	// QGLFormat::swapInterval
    {30, 900, 184},	// QGLFormat::testOption$
    {30, 936, 219},	// QGLFormat::~QGLFormat
    {31, 5, 256},	// QGLFramebufferObject::CombinedDepthStencil
    {31, 10, 257},	// QGLFramebufferObject::Depth
    {31, 51, 255},	// QGLFramebufferObject::NoAttachment
    {31, 94, 245},	// QGLFramebufferObject::QGLFramebufferObject#
    {31, 95, 224},	// QGLFramebufferObject::QGLFramebufferObject##
    {31, 96, 247},	// QGLFramebufferObject::QGLFramebufferObject#$
    {31, 97, 248},	// QGLFramebufferObject::QGLFramebufferObject#$?
    {31, 98, 222},	// QGLFramebufferObject::QGLFramebufferObject#$??
    {31, 99, 220},	// QGLFramebufferObject::QGLFramebufferObject#?
    {31, 100, 246},	// QGLFramebufferObject::QGLFramebufferObject$$
    {31, 101, 225},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {31, 102, 249},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {31, 103, 250},	// QGLFramebufferObject::QGLFramebufferObject$$$?
    {31, 104, 223},	// QGLFramebufferObject::QGLFramebufferObject$$$??
    {31, 105, 221},	// QGLFramebufferObject::QGLFramebufferObject$$?
    {31, 251, 234},	// QGLFramebufferObject::attachment
    {31, 256, 229},	// QGLFramebufferObject::bind
    {31, 260, 237},	// QGLFramebufferObject::bindDefault
    {31, 270, 253},	// QGLFramebufferObject::blitFramebuffer####
    {31, 271, 254},	// QGLFramebufferObject::blitFramebuffer####?
    {31, 272, 242},	// QGLFramebufferObject::blitFramebuffer####??
    {31, 307, 244},	// QGLFramebufferObject::devType
    {31, 320, -1},	// QGLFramebufferObject::drawTexture#?
    {31, 321, -4},	// QGLFramebufferObject::drawTexture#??
    {31, 345, 226},	// QGLFramebufferObject::format
    {31, 359, 236},	// QGLFramebufferObject::handle
    {31, 361, 241},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {31, 362, 238},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {31, 379, 228},	// QGLFramebufferObject::isBound
    {31, 385, 227},	// QGLFramebufferObject::isValid
    {31, 400, 243},	// QGLFramebufferObject::metric$
    {31, 470, 235},	// QGLFramebufferObject::paintEngine
    {31, 729, 230},	// QGLFramebufferObject::release
    {31, 888, 232},	// QGLFramebufferObject::size
    {31, 901, 231},	// QGLFramebufferObject::texture
    {31, 905, 233},	// QGLFramebufferObject::toImage
    {31, 937, 258},	// QGLFramebufferObject::~QGLFramebufferObject
    {32, 106, 259},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {32, 107, 260},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {32, 251, 267},	// QGLFramebufferObjectFormat::attachment
    {32, 378, 271},	// QGLFramebufferObjectFormat::internalTextureFormat
    {32, 403, 265},	// QGLFramebufferObjectFormat::mipmap
    {32, 411, 273},	// QGLFramebufferObjectFormat::operator!=#
    {32, 445, 261},	// QGLFramebufferObjectFormat::operator=#
    {32, 447, 272},	// QGLFramebufferObjectFormat::operator==#
    {32, 756, 263},	// QGLFramebufferObjectFormat::samples
    {32, 766, 266},	// QGLFramebufferObjectFormat::setAttachment$
    {32, 830, 270},	// QGLFramebufferObjectFormat::setInternalTextureFormat?
    {32, 832, 264},	// QGLFramebufferObjectFormat::setMipmap$
    {32, 852, 262},	// QGLFramebufferObjectFormat::setSamples$
    {32, 864, 268},	// QGLFramebufferObjectFormat::setTextureTarget?
    {32, 903, 269},	// QGLFramebufferObjectFormat::textureTarget
    {32, 938, 274},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {33, 109, 298},	// QGLPixelBuffer::QGLPixelBuffer#
    {33, 110, 299},	// QGLPixelBuffer::QGLPixelBuffer##
    {33, 111, 275},	// QGLPixelBuffer::QGLPixelBuffer###
    {33, 112, 300},	// QGLPixelBuffer::QGLPixelBuffer$$
    {33, 113, 301},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {33, 114, 276},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {33, 262, -193},	// QGLPixelBuffer::bindTexture#
    {33, 263, -196},	// QGLPixelBuffer::bindTexture#?
    {33, 266, 286},	// QGLPixelBuffer::bindTexture$
    {33, 268, 281},	// QGLPixelBuffer::bindToDynamicTexture?
    {33, 302, 287},	// QGLPixelBuffer::deleteTexture?
    {33, 307, 297},	// QGLPixelBuffer::devType
    {33, 314, 279},	// QGLPixelBuffer::doneCurrent
    {33, 320, -199},	// QGLPixelBuffer::drawTexture#?
    {33, 321, -202},	// QGLPixelBuffer::drawTexture#??
    {33, 345, 294},	// QGLPixelBuffer::format
    {33, 346, 280},	// QGLPixelBuffer::generateDynamicTexture
    {33, 359, 291},	// QGLPixelBuffer::handle
    {33, 364, 295},	// QGLPixelBuffer::hasOpenGLPbuffers
    {33, 385, 277},	// QGLPixelBuffer::isValid
    {33, 393, 278},	// QGLPixelBuffer::makeCurrent
    {33, 400, 296},	// QGLPixelBuffer::metric$
    {33, 470, 293},	// QGLPixelBuffer::paintEngine
    {33, 731, 282},	// QGLPixelBuffer::releaseFromDynamicTexture
    {33, 888, 290},	// QGLPixelBuffer::size
    {33, 905, 292},	// QGLPixelBuffer::toImage
    {33, 923, 283},	// QGLPixelBuffer::updateDynamicTexture?
    {33, 939, 306},	// QGLPixelBuffer::~QGLPixelBuffer
    {34, 19, 333},	// QGLShader::Fragment
    {34, 20, 334},	// QGLShader::Geometry
    {34, 116, 328},	// QGLShader::QGLShader$
    {34, 117, -884},	// QGLShader::QGLShader$#
    {34, 118, 315},	// QGLShader::QGLShader$##
    {34, 231, 332},	// QGLShader::Vertex
    {34, 285, 318},	// QGLShader::compileSourceCode#
    {34, 286, -887},	// QGLShader::compileSourceCode$
    {34, 288, 320},	// QGLShader::compileSourceFile$
    {34, 368, 330},	// QGLShader::hasOpenGLShaders$
    {34, 369, 325},	// QGLShader::hasOpenGLShaders$#
    {34, 380, 322},	// QGLShader::isCompiled
    {34, 391, 323},	// QGLShader::log
    {34, 398, 307},	// QGLShader::metaObject
    {34, 714, 313},	// QGLShader::qt_metacall$$?
    {34, 716, 308},	// QGLShader::qt_metacast$
    {34, 884, 324},	// QGLShader::shaderId
    {34, 885, 316},	// QGLShader::shaderType
    {34, 890, 321},	// QGLShader::sourceCode
    {34, 891, 331},	// QGLShader::staticMetaObject
    {34, 907, 326},	// QGLShader::tr$
    {34, 908, 309},	// QGLShader::tr$$
    {34, 909, 311},	// QGLShader::tr$$$
    {34, 911, 327},	// QGLShader::trUtf8$
    {34, 912, 310},	// QGLShader::trUtf8$$
    {34, 913, 312},	// QGLShader::trUtf8$$$
    {34, 940, 335},	// QGLShader::~QGLShader
    {35, 119, 496},	// QGLShaderProgram::QGLShaderProgram
    {35, 120, -25},	// QGLShaderProgram::QGLShaderProgram#
    {35, 121, 344},	// QGLShaderProgram::QGLShaderProgram##
    {35, 238, 345},	// QGLShaderProgram::addShader#
    {35, 240, 349},	// QGLShaderProgram::addShaderFromSourceCode$#
    {35, 241, -28},	// QGLShaderProgram::addShaderFromSourceCode$$
    {35, 243, 351},	// QGLShaderProgram::addShaderFromSourceFile$$
    {35, 253, 370},	// QGLShaderProgram::attributeLocation#
    {35, 254, -31},	// QGLShaderProgram::attributeLocation$
    {35, 256, 356},	// QGLShaderProgram::bind
    {35, 258, 367},	// QGLShaderProgram::bindAttributeLocation#$
    {35, 259, -34},	// QGLShaderProgram::bindAttributeLocation$$
    {35, 312, -37},	// QGLShaderProgram::disableAttributeArray$
    {35, 324, -40},	// QGLShaderProgram::enableAttributeArray$
    {35, 349, 363},	// QGLShaderProgram::geometryInputType
    {35, 350, 365},	// QGLShaderProgram::geometryOutputType
    {35, 351, 361},	// QGLShaderProgram::geometryOutputVertexCount
    {35, 365, 510},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {35, 366, 493},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {35, 383, 354},	// QGLShaderProgram::isLinked
    {35, 390, 353},	// QGLShaderProgram::link
    {35, 391, 355},	// QGLShaderProgram::log
    {35, 397, 359},	// QGLShaderProgram::maxGeometryOutputVertices
    {35, 398, 336},	// QGLShaderProgram::metaObject
    {35, 478, 358},	// QGLShaderProgram::programId
    {35, 714, 342},	// QGLShaderProgram::qt_metacall$$?
    {35, 716, 337},	// QGLShaderProgram::qt_metacast$
    {35, 729, 357},	// QGLShaderProgram::release
    {35, 732, 352},	// QGLShaderProgram::removeAllShaders
    {35, 734, 346},	// QGLShaderProgram::removeShader#
    {35, 768, -43},	// QGLShaderProgram::setAttributeArray$#
    {35, 769, -50},	// QGLShaderProgram::setAttributeArray$#$
    {35, 770, -57},	// QGLShaderProgram::setAttributeArray$?$
    {35, 771, -60},	// QGLShaderProgram::setAttributeArray$?$$
    {35, 772, -65},	// QGLShaderProgram::setAttributeArray$?$$$
    {35, 774, -68},	// QGLShaderProgram::setAttributeBuffer$?$$
    {35, 775, -71},	// QGLShaderProgram::setAttributeBuffer$?$$$
    {35, 777, -74},	// QGLShaderProgram::setAttributeValue$#
    {35, 778, -83},	// QGLShaderProgram::setAttributeValue$?
    {35, 779, -86},	// QGLShaderProgram::setAttributeValue$?$$
    {35, 780, -89},	// QGLShaderProgram::setAttributeValue$??
    {35, 781, -92},	// QGLShaderProgram::setAttributeValue$???
    {35, 782, -95},	// QGLShaderProgram::setAttributeValue$????
    {35, 818, 362},	// QGLShaderProgram::setGeometryInputType?
    {35, 820, 364},	// QGLShaderProgram::setGeometryOutputType?
    {35, 822, 360},	// QGLShaderProgram::setGeometryOutputVertexCount$
    {35, 866, -98},	// QGLShaderProgram::setUniformValue$#
    {35, 867, -119},	// QGLShaderProgram::setUniformValue$?
    {35, 868, -148},	// QGLShaderProgram::setUniformValue$??
    {35, 869, -151},	// QGLShaderProgram::setUniformValue$???
    {35, 870, -154},	// QGLShaderProgram::setUniformValue$????
    {35, 872, -157},	// QGLShaderProgram::setUniformValueArray$#$
    {35, 873, -166},	// QGLShaderProgram::setUniformValueArray$?$
    {35, 874, -187},	// QGLShaderProgram::setUniformValueArray$?$$
    {35, 886, 347},	// QGLShaderProgram::shaders
    {35, 891, 511},	// QGLShaderProgram::staticMetaObject
    {35, 907, 494},	// QGLShaderProgram::tr$
    {35, 908, 338},	// QGLShaderProgram::tr$$
    {35, 909, 340},	// QGLShaderProgram::tr$$$
    {35, 911, 495},	// QGLShaderProgram::trUtf8$
    {35, 912, 339},	// QGLShaderProgram::trUtf8$$
    {35, 913, 341},	// QGLShaderProgram::trUtf8$$$
    {35, 919, 407},	// QGLShaderProgram::uniformLocation#
    {35, 920, -190},	// QGLShaderProgram::uniformLocation$
    {35, 941, 512},	// QGLShaderProgram::~QGLShaderProgram
    {36, 122, 572},	// QGLWidget::QGLWidget
    {36, 123, -852},	// QGLWidget::QGLWidget#
    {36, 124, -856},	// QGLWidget::QGLWidget##
    {36, 125, -860},	// QGLWidget::QGLWidget###
    {36, 126, -863},	// QGLWidget::QGLWidget###$
    {36, 127, 520},	// QGLWidget::QGLWidget##$
    {36, 255, 564},	// QGLWidget::autoBufferSwap
    {36, 262, -866},	// QGLWidget::bindTexture#
    {36, 263, -869},	// QGLWidget::bindTexture#?
    {36, 264, -872},	// QGLWidget::bindTexture#??
    {36, 265, -875},	// QGLWidget::bindTexture#??$
    {36, 266, 550},	// QGLWidget::bindTexture$
    {36, 283, 541},	// QGLWidget::colormap
    {36, 290, 533},	// QGLWidget::context
    {36, 293, 539},	// QGLWidget::convertToGLFormat#
    {36, 302, 551},	// QGLWidget::deleteTexture?
    {36, 314, 528},	// QGLWidget::doneCurrent
    {36, 315, 529},	// QGLWidget::doubleBuffer
    {36, 320, -878},	// QGLWidget::drawTexture#?
    {36, 321, -881},	// QGLWidget::drawTexture#??
    {36, 332, 556},	// QGLWidget::event#
    {36, 343, 597},	// QGLWidget::fontDisplayListBase#
    {36, 344, 569},	// QGLWidget::fontDisplayListBase#$
    {36, 345, 531},	// QGLWidget::format
    {36, 354, 568},	// QGLWidget::glDraw
    {36, 355, 567},	// QGLWidget::glInit
    {36, 356, 586},	// QGLWidget::grabFrameBuffer
    {36, 357, 536},	// QGLWidget::grabFrameBuffer$
    {36, 373, 557},	// QGLWidget::initializeGL
    {36, 374, 560},	// QGLWidget::initializeOverlayGL
    {36, 384, 526},	// QGLWidget::isSharing
    {36, 385, 525},	// QGLWidget::isValid
    {36, 393, 527},	// QGLWidget::makeCurrent
    {36, 394, 537},	// QGLWidget::makeOverlayCurrent
    {36, 398, 513},	// QGLWidget::metaObject
    {36, 468, 538},	// QGLWidget::overlayContext
    {36, 470, 545},	// QGLWidget::paintEngine
    {36, 472, 565},	// QGLWidget::paintEvent#
    {36, 473, 559},	// QGLWidget::paintGL
    {36, 474, 562},	// QGLWidget::paintOverlayGL
    {36, 671, 524},	// QGLWidget::qglClearColor#
    {36, 673, 523},	// QGLWidget::qglColor#
    {36, 714, 519},	// QGLWidget::qt_metacall$$?
    {36, 716, 514},	// QGLWidget::qt_metacast$
    {36, 735, 583},	// QGLWidget::renderPixmap
    {36, 736, 584},	// QGLWidget::renderPixmap$
    {36, 737, 585},	// QGLWidget::renderPixmap$$
    {36, 738, 535},	// QGLWidget::renderPixmap$$$
    {36, 740, 587},	// QGLWidget::renderText$$$
    {36, 741, 588},	// QGLWidget::renderText$$$#
    {36, 742, 543},	// QGLWidget::renderText$$$#$
    {36, 743, 589},	// QGLWidget::renderText$$$$
    {36, 744, 590},	// QGLWidget::renderText$$$$#
    {36, 745, 544},	// QGLWidget::renderText$$$$#$
    {36, 749, 566},	// QGLWidget::resizeEvent#
    {36, 751, 558},	// QGLWidget::resizeGL$$
    {36, 753, 561},	// QGLWidget::resizeOverlayGL$$
    {36, 784, 563},	// QGLWidget::setAutoBufferSwap$
    {36, 788, 542},	// QGLWidget::setColormap#
    {36, 790, 581},	// QGLWidget::setContext#
    {36, 791, 582},	// QGLWidget::setContext##
    {36, 792, 534},	// QGLWidget::setContext##$
    {36, 816, 532},	// QGLWidget::setFormat#
    {36, 834, 540},	// QGLWidget::setMouseTracking$
    {36, 891, 598},	// QGLWidget::staticMetaObject
    {36, 896, 530},	// QGLWidget::swapBuffers
    {36, 907, 570},	// QGLWidget::tr$
    {36, 908, 515},	// QGLWidget::tr$$
    {36, 909, 517},	// QGLWidget::tr$$$
    {36, 911, 571},	// QGLWidget::trUtf8$
    {36, 912, 516},	// QGLWidget::trUtf8$$
    {36, 913, 518},	// QGLWidget::trUtf8$$$
    {36, 924, 554},	// QGLWidget::updateGL
    {36, 925, 555},	// QGLWidget::updateOverlayGL
    {36, 942, 599},	// QGLWidget::~QGLWidget
    {37, 27, 1472},	// QGlobalSpace::LicensedActiveQt
    {37, 28, 1475},	// QGlobalSpace::LicensedCore
    {37, 29, 1474},	// QGlobalSpace::LicensedDBus
    {37, 30, 1482},	// QGlobalSpace::LicensedDeclarative
    {37, 31, 1469},	// QGlobalSpace::LicensedGui
    {37, 32, 1480},	// QGlobalSpace::LicensedHelp
    {37, 33, 1477},	// QGlobalSpace::LicensedMultimedia
    {37, 34, 1476},	// QGlobalSpace::LicensedNetwork
    {37, 35, 1459},	// QGlobalSpace::LicensedOpenGL
    {37, 36, 1461},	// QGlobalSpace::LicensedOpenVG
    {37, 37, 1473},	// QGlobalSpace::LicensedQt3Support
    {37, 38, 1463},	// QGlobalSpace::LicensedQt3SupportLight
    {37, 39, 1462},	// QGlobalSpace::LicensedScript
    {37, 40, 1479},	// QGlobalSpace::LicensedScriptTools
    {37, 41, 1471},	// QGlobalSpace::LicensedSql
    {37, 42, 1460},	// QGlobalSpace::LicensedSvg
    {37, 43, 1478},	// QGlobalSpace::LicensedTest
    {37, 44, 1481},	// QGlobalSpace::LicensedXml
    {37, 45, 1470},	// QGlobalSpace::LicensedXmlPatterns
    {37, 128, 1466},	// QGlobalSpace::QtCriticalMsg
    {37, 129, 1464},	// QGlobalSpace::QtDebugMsg
    {37, 130, 1467},	// QGlobalSpace::QtFatalMsg
    {37, 131, 1468},	// QGlobalSpace::QtSystemMsg
    {37, 132, 1465},	// QGlobalSpace::QtWarningMsg
    {37, 136, 1437},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {37, 137, 1438},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {37, 138, 1439},	// QGlobalSpace::SP_CustomCameraPauseButton
    {37, 139, 1440},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {37, 140, 1441},	// QGlobalSpace::SP_CustomCameraPlayButton
    {37, 141, 1442},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {37, 142, 1443},	// QGlobalSpace::SP_CustomCameraRecButton
    {37, 143, 1444},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {37, 144, 1445},	// QGlobalSpace::SP_CustomCameraStopButton
    {37, 145, 1446},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {37, 146, 1447},	// QGlobalSpace::SP_CustomTabAll
    {37, 147, 1448},	// QGlobalSpace::SP_CustomTabArtist
    {37, 148, 1449},	// QGlobalSpace::SP_CustomTabFavourite
    {37, 149, 1450},	// QGlobalSpace::SP_CustomTabGenre
    {37, 150, 1451},	// QGlobalSpace::SP_CustomTabLanguage
    {37, 151, 1452},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {37, 152, 1453},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {37, 153, 1454},	// QGlobalSpace::SP_CustomTabPhotosAll
    {37, 154, 1455},	// QGlobalSpace::SP_CustomTabPlaylist
    {37, 155, 1456},	// QGlobalSpace::SP_CustomTabServices
    {37, 156, 1457},	// QGlobalSpace::SP_CustomTabSongs
    {37, 157, 1458},	// QGlobalSpace::SP_CustomTabVideos
    {37, 158, 1374},	// QGlobalSpace::SP_CustomToolBarAdd
    {37, 159, 1375},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {37, 160, 1376},	// QGlobalSpace::SP_CustomToolBarAgain
    {37, 161, 1377},	// QGlobalSpace::SP_CustomToolBarAgenda
    {37, 162, 1378},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {37, 163, 1379},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {37, 164, 1380},	// QGlobalSpace::SP_CustomToolBarBack
    {37, 165, 1381},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {37, 166, 1382},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {37, 167, 1383},	// QGlobalSpace::SP_CustomToolBarCancel
    {37, 168, 1384},	// QGlobalSpace::SP_CustomToolBarDelete
    {37, 169, 1385},	// QGlobalSpace::SP_CustomToolBarDone
    {37, 170, 1386},	// QGlobalSpace::SP_CustomToolBarEdit
    {37, 171, 1387},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {37, 172, 1388},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {37, 173, 1389},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {37, 174, 1390},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {37, 175, 1391},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {37, 176, 1392},	// QGlobalSpace::SP_CustomToolBarFavourites
    {37, 177, 1393},	// QGlobalSpace::SP_CustomToolBarGo
    {37, 178, 1394},	// QGlobalSpace::SP_CustomToolBarHome
    {37, 179, 1395},	// QGlobalSpace::SP_CustomToolBarImageTools
    {37, 180, 1396},	// QGlobalSpace::SP_CustomToolBarList
    {37, 181, 1397},	// QGlobalSpace::SP_CustomToolBarLock
    {37, 182, 1398},	// QGlobalSpace::SP_CustomToolBarLogs
    {37, 183, 1399},	// QGlobalSpace::SP_CustomToolBarMenu
    {37, 184, 1400},	// QGlobalSpace::SP_CustomToolBarNewContact
    {37, 185, 1401},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {37, 186, 1402},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {37, 187, 1403},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {37, 188, 1404},	// QGlobalSpace::SP_CustomToolBarOptions
    {37, 189, 1405},	// QGlobalSpace::SP_CustomToolBarOther
    {37, 190, 1406},	// QGlobalSpace::SP_CustomToolBarOvi
    {37, 191, 1407},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {37, 192, 1408},	// QGlobalSpace::SP_CustomToolBarRead
    {37, 193, 1410},	// QGlobalSpace::SP_CustomToolBarRedo
    {37, 194, 1409},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {37, 195, 1411},	// QGlobalSpace::SP_CustomToolBarRefresh
    {37, 196, 1412},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {37, 197, 1413},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {37, 198, 1414},	// QGlobalSpace::SP_CustomToolBarRepeat
    {37, 199, 1415},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {37, 200, 1416},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {37, 201, 1417},	// QGlobalSpace::SP_CustomToolBarSearch
    {37, 202, 1418},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {37, 203, 1419},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {37, 204, 1420},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {37, 205, 1421},	// QGlobalSpace::SP_CustomToolBarSend
    {37, 206, 1422},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {37, 207, 1423},	// QGlobalSpace::SP_CustomToolBarShare
    {37, 208, 1424},	// QGlobalSpace::SP_CustomToolBarShift
    {37, 209, 1425},	// QGlobalSpace::SP_CustomToolBarShuffle
    {37, 210, 1426},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {37, 211, 1427},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {37, 212, 1428},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {37, 213, 1429},	// QGlobalSpace::SP_CustomToolBarSync
    {37, 214, 1430},	// QGlobalSpace::SP_CustomToolBarTools
    {37, 215, 1431},	// QGlobalSpace::SP_CustomToolBarTrim
    {37, 216, 1432},	// QGlobalSpace::SP_CustomToolBarUnlock
    {37, 217, 1433},	// QGlobalSpace::SP_CustomToolBarUnmark
    {37, 218, 1434},	// QGlobalSpace::SP_CustomToolBarView
    {37, 219, 1435},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {37, 220, 1436},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {37, 412, -205},	// QGlobalSpace::operator!=##
    {37, 413, -226},	// QGlobalSpace::operator!=#$
    {37, 414, -232},	// QGlobalSpace::operator!=$#
    {37, 416, 600},	// QGlobalSpace::operator&##
    {37, 418, -238},	// QGlobalSpace::operator*##
    {37, 419, -268},	// QGlobalSpace::operator*#$
    {37, 420, -281},	// QGlobalSpace::operator*$#
    {37, 422, -293},	// QGlobalSpace::operator+##
    {37, 423, -304},	// QGlobalSpace::operator+#$
    {37, 424, -309},	// QGlobalSpace::operator+$#
    {37, 425, 1007},	// QGlobalSpace::operator+$$
    {37, 427, -313},	// QGlobalSpace::operator-#
    {37, 428, -321},	// QGlobalSpace::operator-##
    {37, 429, 1371},	// QGlobalSpace::operator-#$
    {37, 431, -331},	// QGlobalSpace::operator/#$
    {37, 433, -342},	// QGlobalSpace::operator<##
    {37, 434, 735},	// QGlobalSpace::operator<#$
    {37, 435, 919},	// QGlobalSpace::operator<$#
    {37, 437, -346},	// QGlobalSpace::operator<<##
    {37, 438, -440},	// QGlobalSpace::operator<<#$
    {37, 439, 723},	// QGlobalSpace::operator<<#?
    {37, 441, -451},	// QGlobalSpace::operator<=##
    {37, 442, 933},	// QGlobalSpace::operator<=#$
    {37, 443, 1177},	// QGlobalSpace::operator<=$#
    {37, 448, -455},	// QGlobalSpace::operator==##
    {37, 449, -477},	// QGlobalSpace::operator==#$
    {37, 450, -484},	// QGlobalSpace::operator==$#
    {37, 452, -491},	// QGlobalSpace::operator>##
    {37, 453, 1207},	// QGlobalSpace::operator>#$
    {37, 454, 1148},	// QGlobalSpace::operator>$#
    {37, 456, -495},	// QGlobalSpace::operator>=##
    {37, 457, 1107},	// QGlobalSpace::operator>=#$
    {37, 458, 862},	// QGlobalSpace::operator>=$#
    {37, 460, -499},	// QGlobalSpace::operator>>##
    {37, 461, -551},	// QGlobalSpace::operator>>#$
    {37, 462, 1167},	// QGlobalSpace::operator>>#?
    {37, 464, 946},	// QGlobalSpace::operator^##
    {37, 466, 1025},	// QGlobalSpace::operator|##
    {37, 467, -554},	// QGlobalSpace::operator|$$
    {37, 479, 1321},	// QGlobalSpace::qAccessibleActionCastHelper
    {37, 480, 1191},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {37, 481, 982},	// QGlobalSpace::qAccessibleImageCastHelper
    {37, 482, 1157},	// QGlobalSpace::qAccessibleTable2CastHelper
    {37, 483, 1009},	// QGlobalSpace::qAccessibleTableCastHelper
    {37, 484, 801},	// QGlobalSpace::qAccessibleTextCastHelper
    {37, 485, 1096},	// QGlobalSpace::qAccessibleValueCastHelper
    {37, 487, 969},	// QGlobalSpace::qAcos$
    {37, 489, 925},	// QGlobalSpace::qAddPostRoutine$
    {37, 491, 675},	// QGlobalSpace::qAlpha$
    {37, 492, 894},	// QGlobalSpace::qAppName
    {37, 494, 1133},	// QGlobalSpace::qAsin$
    {37, 496, 696},	// QGlobalSpace::qAtan$
    {37, 498, 907},	// QGlobalSpace::qAtan2$$
    {37, 499, 1360},	// QGlobalSpace::qBadAlloc
    {37, 501, 1324},	// QGlobalSpace::qBlue$
    {37, 503, 649},	// QGlobalSpace::qCeil$
    {37, 505, 947},	// QGlobalSpace::qChecksum$$
    {37, 507, 912},	// QGlobalSpace::qCompress#
    {37, 508, 911},	// QGlobalSpace::qCompress#$
    {37, 509, 1231},	// QGlobalSpace::qCompress$$
    {37, 510, 1230},	// QGlobalSpace::qCompress$$$
    {37, 512, 722},	// QGlobalSpace::qCos$
    {37, 513, 601},	// QGlobalSpace::qCritical
    {37, 514, 1241},	// QGlobalSpace::qDebug
    {37, 516, 1244},	// QGlobalSpace::qDrawBorderPixmap####
    {37, 517, 942},	// QGlobalSpace::qDrawBorderPixmap######
    {37, 518, 943},	// QGlobalSpace::qDrawBorderPixmap#######
    {37, 519, 941},	// QGlobalSpace::qDrawBorderPixmap#######$
    {37, 521, 921},	// QGlobalSpace::qDrawPlainRect###
    {37, 522, 922},	// QGlobalSpace::qDrawPlainRect###$
    {37, 523, 920},	// QGlobalSpace::qDrawPlainRect###$#
    {37, 524, 900},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {37, 525, 901},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {37, 526, 899},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {37, 528, 1256},	// QGlobalSpace::qDrawShadeLine####
    {37, 529, 1257},	// QGlobalSpace::qDrawShadeLine####$
    {37, 530, 1258},	// QGlobalSpace::qDrawShadeLine####$$
    {37, 531, 1255},	// QGlobalSpace::qDrawShadeLine####$$$
    {37, 532, 1170},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {37, 533, 1171},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {37, 534, 1172},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {37, 535, 1169},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {37, 537, 682},	// QGlobalSpace::qDrawShadePanel###
    {37, 538, 683},	// QGlobalSpace::qDrawShadePanel###$
    {37, 539, 684},	// QGlobalSpace::qDrawShadePanel###$$
    {37, 540, 681},	// QGlobalSpace::qDrawShadePanel###$$#
    {37, 541, 833},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {37, 542, 834},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {37, 543, 835},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {37, 544, 832},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {37, 546, 876},	// QGlobalSpace::qDrawShadeRect###
    {37, 547, 877},	// QGlobalSpace::qDrawShadeRect###$
    {37, 548, 878},	// QGlobalSpace::qDrawShadeRect###$$
    {37, 549, 879},	// QGlobalSpace::qDrawShadeRect###$$$
    {37, 550, 875},	// QGlobalSpace::qDrawShadeRect###$$$#
    {37, 551, 718},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {37, 552, 719},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {37, 553, 720},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {37, 554, 721},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {37, 555, 717},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {37, 557, 847},	// QGlobalSpace::qDrawWinButton###
    {37, 558, 848},	// QGlobalSpace::qDrawWinButton###$
    {37, 559, 846},	// QGlobalSpace::qDrawWinButton###$#
    {37, 560, 711},	// QGlobalSpace::qDrawWinButton#$$$$#
    {37, 561, 712},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {37, 562, 710},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {37, 564, 1262},	// QGlobalSpace::qDrawWinPanel###
    {37, 565, 1263},	// QGlobalSpace::qDrawWinPanel###$
    {37, 566, 1261},	// QGlobalSpace::qDrawWinPanel###$#
    {37, 567, 1307},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {37, 568, 1308},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {37, 569, 1306},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {37, 571, 930},	// QGlobalSpace::qExp$
    {37, 573, 626},	// QGlobalSpace::qFabs$
    {37, 575, 1294},	// QGlobalSpace::qFastCos$
    {37, 577, 1344},	// QGlobalSpace::qFastSin$
    {37, 579, 1105},	// QGlobalSpace::qFlagLocation$
    {37, 581, 1075},	// QGlobalSpace::qFloor$
    {37, 583, 1211},	// QGlobalSpace::qFree$
    {37, 585, 863},	// QGlobalSpace::qFreeAligned$
    {37, 587, -801},	// QGlobalSpace::qFuzzyCompare##
    {37, 588, -809},	// QGlobalSpace::qFuzzyCompare$$
    {37, 590, -812},	// QGlobalSpace::qFuzzyIsNull$
    {37, 592, 651},	// QGlobalSpace::qGray$
    {37, 593, 746},	// QGlobalSpace::qGray$$$
    {37, 595, 679},	// QGlobalSpace::qGreen$
    {37, 597, -815},	// QGlobalSpace::qHash#
    {37, 598, -824},	// QGlobalSpace::qHash$
    {37, 599, 1114},	// QGlobalSpace::qInf
    {37, 601, 839},	// QGlobalSpace::qInstallMsgHandler$
    {37, 603, -837},	// QGlobalSpace::qIntCast$
    {37, 605, -840},	// QGlobalSpace::qIsFinite$
    {37, 607, 1035},	// QGlobalSpace::qIsGray$
    {37, 609, -843},	// QGlobalSpace::qIsInf$
    {37, 611, -846},	// QGlobalSpace::qIsNaN$
    {37, 613, -849},	// QGlobalSpace::qIsNull$
    {37, 615, 1165},	// QGlobalSpace::qLn$
    {37, 617, 1368},	// QGlobalSpace::qMalloc$
    {37, 619, 1226},	// QGlobalSpace::qMallocAligned$$
    {37, 621, 1106},	// QGlobalSpace::qMemCopy$$$
    {37, 623, 906},	// QGlobalSpace::qMemSet$$$
    {37, 625, 1277},	// QGlobalSpace::qPow$$
    {37, 626, 631},	// QGlobalSpace::qQNaN
    {37, 628, 1004},	// QGlobalSpace::qRealloc$$
    {37, 630, 884},	// QGlobalSpace::qReallocAligned$$$$
    {37, 632, 660},	// QGlobalSpace::qRed$
    {37, 634, 703},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {37, 636, 1098},	// QGlobalSpace::qRemovePostRoutine$
    {37, 638, 1073},	// QGlobalSpace::qRgb$$$
    {37, 640, 1362},	// QGlobalSpace::qRgba$$$$
    {37, 642, 1021},	// QGlobalSpace::qRound$
    {37, 644, 1220},	// QGlobalSpace::qRound64$
    {37, 645, 1334},	// QGlobalSpace::qSNaN
    {37, 647, 1150},	// QGlobalSpace::qSetFieldWidth$
    {37, 649, 829},	// QGlobalSpace::qSetPadChar#
    {37, 651, 1130},	// QGlobalSpace::qSetRealNumberPrecision$
    {37, 652, 836},	// QGlobalSpace::qSharedBuild
    {37, 654, 1132},	// QGlobalSpace::qSin$
    {37, 656, 1055},	// QGlobalSpace::qSqrt$
    {37, 658, 873},	// QGlobalSpace::qStringComparisonHelper#$
    {37, 660, 1250},	// QGlobalSpace::qTan$
    {37, 662, 1126},	// QGlobalSpace::qUncompress#
    {37, 663, 1340},	// QGlobalSpace::qUncompress$$
    {37, 664, 640},	// QGlobalSpace::qVersion
    {37, 665, 743},	// QGlobalSpace::qWarning
    {37, 667, 697},	// QGlobalSpace::qbswap_helper$$$
    {37, 669, 958},	// QGlobalSpace::qgetenv$
    {37, 675, 870},	// QGlobalSpace::qputenv$#
    {37, 676, 650},	// QGlobalSpace::qrand
    {37, 678, 726},	// QGlobalSpace::qsrand$
    {37, 680, 826},	// QGlobalSpace::qstrcmp##
    {37, 681, 830},	// QGlobalSpace::qstrcmp#$
    {37, 682, 1247},	// QGlobalSpace::qstrcmp$#
    {37, 683, 1058},	// QGlobalSpace::qstrcmp$$
    {37, 685, 623},	// QGlobalSpace::qstrcpy$$
    {37, 687, 1235},	// QGlobalSpace::qstrdup$
    {37, 689, 1135},	// QGlobalSpace::qstricmp$$
    {37, 691, 1173},	// QGlobalSpace::qstrlen$
    {37, 693, 874},	// QGlobalSpace::qstrncmp$$$
    {37, 695, 985},	// QGlobalSpace::qstrncpy$$$
    {37, 697, 808},	// QGlobalSpace::qstrnicmp$$$
    {37, 699, 1071},	// QGlobalSpace::qstrnlen$$
    {37, 701, 1355},	// QGlobalSpace::qtTrId$
    {37, 702, 1354},	// QGlobalSpace::qtTrId$$
    {37, 704, 604},	// QGlobalSpace::qt_assert$$$
    {37, 706, 1012},	// QGlobalSpace::qt_assert_x$$$$
    {37, 708, 817},	// QGlobalSpace::qt_check_pointer$$
    {37, 709, 999},	// QGlobalSpace::qt_error_string
    {37, 710, 998},	// QGlobalSpace::qt_error_string$
    {37, 712, 1288},	// QGlobalSpace::qt_message_output$$
    {37, 717, 1146},	// QGlobalSpace::qt_noop
    {37, 719, 841},	// QGlobalSpace::qt_qFindChild_helper#$#
    {37, 721, 1201},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {37, 723, 700},	// QGlobalSpace::qvariant_cast_helper#$$
    {37, 725, 1142},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 112,
        __smokeqtopengl::methods, 1532,
        __smokeqtopengl::methodMaps, 766,
        __smokeqtopengl::methodNames, 942,
        __smokeqtopengl::types, 545,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
